
 /////////////////////////////////////////////////////////////////////////////
 // This source code is part of the graphical framework called “Knižnica
 // grafického robota”. (The name is Slovak like the vast majority of own
 // identifiers used in this project.) The name translated to English means
 // “The Graphical Robot Library.”
 // 
 // Copyright © 2010 – 2016 by Roman Horváth
 // 
 // This program is free software: you can redistribute it and/or modify
 // it under the terms of the GNU General Public License as published by
 // the Free Software Foundation, either version 3 of the License, or
 // (at your option) any later version.
 // 
 // This program is distributed in the hope that it will be useful,
 // but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 // GNU General Public License for more details.
 // 
 // You should have received a copy of the GNU General Public License
 // along with this program (look for the file named license.txt). If not,
 // see <http://www.gnu.org/licenses/> or
 // <https://www.gnu.org/licenses/gpl-3.0.txt>.
 // 
 // In case of any questions or requests, please, contact the author
 // Roman Horváth by e-mail: roman.horvath@truni.sk
 // or horvath.roman.sk@gmail.com.
 // 

package knižnica;

/**
 * Rozhranie slúži na implementáciu metód slúžiacich na zistenie aktuálnej
 * orientácie (smeru/uhla) objektu a na definíciu konštánt pre základné smery.
 * 
 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
 */
public interface Smer
{
	// …
	/** Hodnota uhla zodpovedajúca smeru „východ“ – 0°. */
	public final static double VÝCHOD = 0.0;
	/** Hodnota uhla zodpovedajúca smeru „východ“ – 0°. */
	public final static double VYCHOD = 0.0;
	/** Hodnota uhla zodpovedajúca smeru „severovýchod“ – 45°. */
	public final static double SEVEROVÝCHOD = 45.0;
	/** Hodnota uhla zodpovedajúca smeru „severovýchod“ – 45°. */
	public final static double SEVEROVYCHOD = 45.0;
	/** Hodnota uhla zodpovedajúca smeru „sever“ – 90°. */
	public final static double SEVER = 90.0;
	/** Hodnota uhla zodpovedajúca smeru „severozápad“ – 135°. */
	public final static double SEVEROZÁPAD = 135.0;
	/** Hodnota uhla zodpovedajúca smeru „severozápad“ – 135°. */
	public final static double SEVEROZAPAD = 135.0;
	/** Hodnota uhla zodpovedajúca smeru „západ“ – 180°. */
	public final static double ZÁPAD = 180.0;
	/** Hodnota uhla zodpovedajúca smeru „západ“ – 180°. */
	public final static double ZAPAD = 180.0;
	/** Hodnota uhla zodpovedajúca smeru „juhozápad“ – 225°. */
	public final static double JUHOZÁPAD = 225.0;
	/** Hodnota uhla zodpovedajúca smeru „juhozápad“ – 225°. */
	public final static double JUHOZAPAD = 225.0;
	/** Hodnota uhla zodpovedajúca smeru „juh“ – 270°. */
	public final static double JUH = 270.0;
	/** Hodnota uhla zodpovedajúca smeru „juhovýchod“ – 315°. */
	public final static double JUHOVÝCHOD = 315.0;
	/** Hodnota uhla zodpovedajúca smeru „juhovýchod“ – 315°. */
	public final static double JUHOVYCHOD = 315.0;


	// vpravo/doprava, vľavo… ; otoč[?] ; otočNa[Myš]

	/** Prototyp metódy na zistenie smeru/uhla objektu. */
	public double uhol();
	/** Prototyp metódy na zistenie smeru/uhla objektu. */
	public double smer();

	// Odporúčané metódy na nastavenie smeru/uhla objektu
	/* * Prototyp metódy na nastavenie smeru/uhla objektu. * /
	public void uhol(double uhol);
	/* * Prototyp metódy na nastavenie smeru/uhla objektu. * /
	public void smer(double uhol);
	/* * Prototyp metódy na nastavenie smeru/uhla objektu. * /
	public void otoč(double uhol);
	/* * Prototyp metódy na nastavenie smeru/uhla objektu. * /
	public void otoc(double uhol);
	*/
}
