
 /////////////////////////////////////////////////////////////////////////////
 // This source code is part of the graphical framework called “Knižnica
 // grafického robota”. (The name is Slovak like the vast majority of own
 // identifiers used in this project.) The name translated to English means
 // “The Graphical Robot Library.”
 // 
 // Copyright © 2010 – 2016 by Roman Horváth
 // 
 // This program is free software: you can redistribute it and/or modify
 // it under the terms of the GNU General Public License as published by
 // the Free Software Foundation, either version 3 of the License, or
 // (at your option) any later version.
 // 
 // This program is distributed in the hope that it will be useful,
 // but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 // GNU General Public License for more details.
 // 
 // You should have received a copy of the GNU General Public License
 // along with this program (look for the file named license.txt). If not,
 // see <http://www.gnu.org/licenses/> or
 // <https://www.gnu.org/licenses/gpl-3.0.txt>.
 // 
 // In case of any questions or requests, please, contact the author
 // Roman Horváth by e-mail: roman.horvath@truni.sk
 // or horvath.roman.sk@gmail.com.
 // 

package knižnica;

import java.awt.AlphaComposite;
import java.awt.BasicStroke;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Composite;
import java.awt.Container;
import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.FileDialog;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics2D;
import java.awt.GraphicsDevice;
import java.awt.GraphicsEnvironment;
import java.awt.Image;
import java.awt.KeyboardFocusManager;
import java.awt.KeyEventDispatcher;
import java.awt.Point;
import java.awt.Polygon;
import java.awt.Rectangle;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.Stroke;
import java.awt.TexturePaint;
import java.awt.Toolkit;

import java.awt.color.ColorSpace;

import java.awt.dnd.DnDConstants;
import java.awt.dnd.DropTarget;
import java.awt.dnd.DropTargetListener;
import java.awt.dnd.DropTargetDragEvent;
import java.awt.dnd.DropTargetDropEvent;
import java.awt.dnd.DropTargetEvent;

import java.awt.datatransfer.Clipboard;
import java.awt.datatransfer.ClipboardOwner;
import java.awt.datatransfer.DataFlavor;
import java.awt.datatransfer.StringSelection;
import java.awt.datatransfer.Transferable;
import java.awt.datatransfer.UnsupportedFlavorException;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.ComponentEvent;
import java.awt.event.ComponentListener;
import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.event.MouseWheelEvent;
import java.awt.event.MouseWheelListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowFocusListener;

import java.awt.font.TextLayout;
import java.awt.font.TextAttribute;

import java.awt.geom.AffineTransform;
import java.awt.geom.Arc2D;
import java.awt.geom.Area;
import java.awt.geom.Ellipse2D;
import java.awt.geom.FlatteningPathIterator;
import java.awt.geom.Line2D;
import java.awt.geom.Path2D;
import java.awt.geom.PathIterator;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RoundRectangle2D;

import java.awt.image.BufferedImage;
import java.awt.image.ConvolveOp;
import java.awt.image.DataBufferInt;
import java.awt.image.DirectColorModel;
import java.awt.image.Kernel;
import java.awt.image.WritableRaster;

import java.io.BufferedWriter;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
// import java.io.FilenameFilter;
import java.io.FileNotFoundException;
// import java.io.FileReader;
// import java.io.FileWriter;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.IOException;
import java.io.OutputStreamWriter;
// import java.io.StringReader;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

import java.net.URISyntaxException;
import java.net.URL;
import java.net.URLClassLoader;
import java.net.URLDecoder;

import java.text.AttributedCharacterIterator;
import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.text.NumberFormat;

import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.Enumeration;
import java.util.HashMap; // pre väčšinu použití je výhodnejšia trieda TreeMap
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Locale;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Random;
import java.util.Set;
import java.util.SortedMap;
import java.util.Stack;
import java.util.TooManyListenersException;
import java.util.TreeMap;
import java.util.TreeSet;
import java.util.Vector;

import java.util.jar.JarEntry;
import java.util.jar.JarFile;
// import java.util.jar.JarInputStream;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import javax.imageio.ImageIO;

import javax.sound.sampled.AudioInputStream;
import javax.sound.sampled.AudioSystem;
import javax.sound.sampled.Clip;
import javax.sound.sampled.FloatControl;

import javax.swing.AbstractAction;
import javax.swing.BorderFactory;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JColorChooser;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JPasswordField;
import javax.swing.JPopupMenu;
import javax.swing.JTextField;
import javax.swing.JWindow;
import javax.swing.KeyStroke;
import javax.swing.OverlayLayout;
import javax.swing.SwingConstants;
import javax.swing.SwingUtilities;
import javax.swing.Timer;
import javax.swing.UIManager;

import javax.swing.filechooser.FileNameExtensionFilter;

import javax.xml.stream.XMLInputFactory;
import javax.xml.stream.XMLStreamConstants;
import javax.xml.stream.XMLStreamException;
import javax.xml.stream.XMLStreamReader;

import javafx.embed.swing.JFXPanel;
import javafx.scene.media.Media;
import javafx.scene.media.MediaPlayer;
import javafx.util.Duration;


import knižnica.podpora.*;


// <!-- Prvý riadok v nasledujúcom JavaDoc komentári je vysvetlivka -->
// <!-- smerujúca do tabuľky so zoznamom tried a zároveň značka pre -->
// <!-- RoboDoc filter. Každá zmena v tomto riadku musí byť zároveň -->
// <!-- vnesená do generátora dokumentácie RoboDoc.                 -->

/**
 * Hlavná trieda definujúca všetky metódy grafického robota, ktoré reprezentujú jeho funkcionalitu a&nbsp;mnohé konštanty, ktoré sú pri práci s&nbsp;knižnicou s&nbsp;výhodou využiteľné.<h2>Úvod</h2>
 * <!--
 * TODO:
 * Pravdepodobne sa premenuje „Dokumentácia…“ na „Programovanie v Jave
 * s pomocou…“.
 * Potom treba pridať aj úvodné slovo o tom, čo všetko programovanie v Jave
 * môže znamenať (o vyznavačoch „surového“ programovania – bez všelijakých
 * pomocných prvkov) a o tom, aký prístup volí táto knižnica (je to v podstate
 * „framework“ – pozri aj: Vývoj/___.cfg)…
 * -->
 * <P>Táto dokumentácia je podporným materiálom na vyučovanie úvodu do
 * programovania v Jave s podporou knižnice grafického robota. Obsahuje
 * úplný opis všetkých tried a metód vrátane príkladov použitia. (Materiál
 * môže byť priebežne aktualizovaný, preto odporúčame sledovať tieto
 * stránky.) Novšie verzie robota (máme na mysli fungujúcu knižnicu)
 * budú publikované na <a
 * href="http://pdf.truni.sk/katedry/kmi/pracovnici?horvath"
 * target="_blank">stránkach autora</a> (buď samostatne, alebo v rámci <a
 * href="http://pdf.truni.sk/horvath/softver?generator"
 * target="_blank">generátora projektov</a> pre <a
 * href="http://www.bluej.org/" target="_blank">BlueJ</a>, ktorý spomíname
 * neskôr).
 * 
 * <P>Skupina tried robota má uľahčiť vstup do problematiky programovania.
 * Programovanie je široká oblasť. Vstup do tejto problematiky s použitím
 * „čistého“ jazyka Java považujeme za náročný, preto vznikla táto podporná
 * knižnica. Aby bol tento nástroj použiteľný, bolo nevyhnutné
 * vypracovanie kompletnej dokumentácie, ktorú ponúkame na týchto stránkach.
 * 
 * <P>Grafický robot je skonštruovaný do sveta s dvoma {@linkplain Plátno
 * plátnami}, na ktoré môže kresliť. Funkcionalitu robota zabezpečuje najmä
 * ústredná trieda {@code currGRobot}. Okrem nej je vo svete robota
 * použiteľných vyše tucta ďalších tried, ktoré podporujú fungovanie robotov,
 * {@linkplain Svet sveta}, oboch {@linkplain Plátno plátien} a ďalších
 * prvkov, akými sú napríklad {@linkplain Obrázok obrázky}, {@linkplain Zvuk
 * zvuky}, {@linkplain Farba farby}, {@linkplain Zoznam zoznamy}, {@linkplain
 * ObsluhaUdalostí udalosti}, {@linkplain Súbor súbory} a podobne…
 * 
 * <P>Niektoré triedy sú takpovediac „obaľovacie“ – tvoria obal jestvujúcich
 * tried Javy: uzatvárajú a rozširujú ich funkcionalitu (<small>verzia 1.50
 * knižnice grafického robota vnútorne importovala vyše 130 tried Javy –
 * z nich vystupujú na povrch len niektoré; ich počet sa pri vyšších číslach
 * verzie knižnice stále môže navyšovať</small>).
 * Tieto triedy vznikli prirodzeným vývojom – ich účelom bolo zjednodušenie
 * používania robota. Vhodne doĺňajú jeho funkcionalitu a rozširujú jeho
 * možnosti.
 * 
 * <h2>Programovanie robota</h2>
 * 
 * <P>Nasledujúci príklad ukazuje ako naprogramovať robota tak, aby nakreslil
 * trojuholník (rovnostranný):
 * 
 * <pre CLASS="example">
	{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num3}; ++i)
	{
		{@link #dopredu(double) dopredu}({@code num50.0});
		{@link #doprava(double) doprava}({@code num120.0});
	}
	</pre>
 * <image>trojuholnik.png</image>Výsledok kreslenia trojuholníka
 * <P>Príklad tri razy zopakuje dvojicu príkazov na pohyb robota o 50 bodov
 * dopredu a otočenie o 120° doprava. Tým dostaneme trojuholník. (<small>Na
 * zamyslenie: prečo sa otáčame o 120°? Keď príklad chceme prepracovať tak,
 * aby sa ním dal nakresliť ľubovoľný pravidelný n-uholník, musíme poznať
 * odpoveď na túto otázku… Predtým, než sa pozriete na riešenie, skúste
 * porozmýšľať…</small>)
 * 
 * <P>Príklad sme prepracovali tak, aby kreslil ľubovoľný pravidelný
 * n-uholník so želanou dĺžkou strany. Zaviedli sme dve pomocné premenné,
 * ktorých hodnoty stačí zmeniť:
 * 
 * <pre CLASS="example">
	{@code typeint} početUhlov = {@code num3};
	{@code typedouble} dĺžkaStrany = {@code num50.0};

	{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; početUhlov; ++i)
	{
		{@link #dopredu(double) dopredu}(dĺžkaStrany);
		{@link #doprava(double) doprava}({@code num360.0} / početUhlov);
	}
	</pre>
 * 
 * <P>(<small>Teraz, keď ste uvideli riešenie, poznáte odpoveď na vyššie
 * spomenutú otázku? Pri odpovedaní na otázku, prečo sa na nakreslenie
 * trojuholníka otáčame práve o 120° môžeme zaujať najmenej dva rôzne postoje.
 * <b>Prvý postoj:</b> Keď sa na problém pozrieme z nadhľadu – z pohľadu
 * celkového pohybu robota a spýtame sa: koľko ráz sa musím otočiť, aby som
 * nakreslil trojuholník? Odpoveď znie dva razy. Kvôli zjednodušeniu výpočtov
 * zaveďme predpoklad, že robot musí skončiť otočený rovnakým smerom ako
 * začínal. Keď sa potom sa spýtame: koľko ráz sa musí pri kreslení
 * trojuholníka robot otočiť, aby skončil obrátený tým istým smerom ako
 * začínal? Odpoveď znie tri, čo je rovnaký počet ako počet uhlov
 * trojuholníka. V prípade, že kreslíme rovnostranný trojuholník, je miera
 * otočenia sa v každom rohu rovnomerná, pretože všetky tri uhly sú rovnaké.
 * Na otočenie sa okolo svojej osi o jednu otáčku, sa musí robot otočiť
 * o 360°. Keď toto otočenie rovnomerne rozdelíme na tri diely, dostávame
 * výsledok pootočenia sa v jednom rohu – 120°. Podobná úvaha platí pre každý
 * pravidelný n-uholník. <b>Druhý postoj:</b> Keď sa na problém pozrieme
 * detailnejšie len v kľúčovom bode pohybu robota – v rohu a zapojíme
 * poznatky z geometrie, ktoré hovoria, že súčet všetkých uhlov
 * v trojuholníku musí byť 180°. Keďže kreslíme rovnostranný trojuholník, sú
 * všetky tri uhly rovnaké, to znamená 60°. Ibaže pozor, hovoríme o vnútorných
 * uhloch trojuholníka. Musíme si uvedomiť, že robot je po nakreslení strany
 * otočený „von“ z trojuholníka. Je obrátený v smere kreslenia prvej strany
 * a na to, aby sa otočil do smeru kreslenia druhej strany, musí opísať
 * „vedľajší“ uhol vnútorného uhla (t. j. doplnok k priamemu uhlu – 180°), čo
 * je 120°.</small>)
 * 
 * <P>Všetky príklady v rámci tejto dokumentácie je nevyhnutné umiestniť do
 * triedy. Vhodná je napríklad nasledujúca schéma:
 * 
 * <P><small>(<b>Poznámka:</b> Rovnakú schému generuje aj šablóna „Hlavná
 * trieda aplikácie“ v slovenskom preklade softvéru <a
 * href="http://www.bluej.org/" target="_blank">BlueJ</a> a tak isto aj
 * <a href="http://pdf.truni.sk/horvath/softver?generator"
 * target="_blank">generátor projektov</a> od autora knižnice
 * {@code currGRobot}, ktorý nájdete na <a
 * href="http://pdf.truni.sk/katedry/kmi/pracovnici?horvath"
 * target="_blank">jeho stránkach</a>. Spomínaný <a
 * href="http://pdf.truni.sk/horvath/softver?generator"
 * target="_blank">generátor projektov</a> uľahčuje študentom vytvorenie
 * nového projektu <a href="http://www.bluej.org/" target="_blank">BlueJ</a>
 * a nasledujúci import knižnice {@code currGRobot} do projektu, ktorý by
 * inak museli vykonávať ručne.)</small>
 * 
 * <pre CLASS="example">
	{@code kwdimport} knižnica.{@code currGRobot};

	{@code kwdpublic} {@code typeclass} {@code note«názov triedy»} {@code kwdextends} {@code currGRobot}
	{
		{@code kwdprivate} {@code note«názov triedy»}()
		{
			{@code note«sem vložte kód príkladu»}
		}

		{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
		{
			{@code kwdnew} {@code note«názov triedy»}();
		}
	}
	</pre>
 * 
 * <P>Za <span CLASS="note">«názov triedy»</span> treba doplniť vhodný názov
 * – mal by vystihovať podstatu (toho, čo trieda robí). Na miesto <span
 * CLASS="note">«sem vložte kód príkladu»</span> treba vložiť príklad…
 * Vyššie uvedený príklad s kreslením trojuholníka vyzerá v schéme triedy
 * takto:
 * 
 * <pre CLASS="example">
	{@code kwdimport} knižnica.{@code currGRobot};

	{@code kwdpublic} {@code typeclass} Trojuholník {@code kwdextends} {@code currGRobot}
	{
		{@code kwdprivate} Trojuholník()
		{
	<div CLASS="red_block">        {@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num3}; ++i)
			{
				{@link #dopredu(double) dopredu}({@code num50.0});
				{@link #doprava(double) doprava}({@code num120.0});
			}
	</div>    }

		{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
		{
			{@code kwdnew} Trojuholník();
		}
	}
	</pre>
 * 
 * <h2>Metódy a konštruktory</h2>
 * 
 * <P>Funkčné prvky tried môžeme rozdeliť do dvoch základných kategórií:
 * 
 * <ul>
 * <li>metódy</li>
 * <li>a konštruktory.</li>
 * </ul>
 * 
 * <P>Metódy sa starajú o fungovanie objektu počas jeho bytia, konštruktory
 * spolupracujú pri vytváraní nového objektu. Konštruktor je vlastne
 * špeciálnou odrodou metódy, ktorá nesmie mať určený žiadny návratový typ
 * a musí sa volať rovnako ako trieda. Podľa toho ich ľahko rozlíšime.
 * Nasledujúci príklad definuje jednoduchú triedu {@code Šípka}
 * s konštruktorom a metódou:
 * 
 * <table><tr><td>
 * <pre CLASS="example">
	{@code kwdimport} knižnica.{@code currGRobot};

	{@code kwdpublic} {@code typeclass} {@code currŠípka} {@code kwdextends} {@code currGRobot}
	{
		{@code kwdpublic} {@code currŠípka}()
		{
			definujVlastnýTvar();
		}

		{@code kwdprivate} {@code typevoid} definujVlastnýTvar()
		{
			{@link #vlastnýTvar(KreslenieTvaru) vlastnýTvar}({@code kwdnew} {@link KreslenieTvaru KreslenieTvaru}()
			{
				{@code kwdpublic} {@code typevoid} {@link KreslenieTvaru#kresli(GRobot) kresli}({@code currGRobot} r)
				{
					r.{@link #zdvihniPero() zdvihniPero}();
					r.{@link #posuňVľavo(double) posuňVľavo}({@code num0.5} * r.{@link #veľkosť() veľkosť}());
					r.{@link #dozadu(double) dozadu}(r.{@link #veľkosť() veľkosť}());
					r.{@link #položPero() položPero}();
					r.{@link #doprava(double) doprava}({@code num15});
					r.{@link #dopredu(double) dopredu}({@code num2} * r.{@link #veľkosť() veľkosť}());
					r.{@link #doprava(double) doprava}({@code num150});
					r.{@link #dopredu(double) dopredu}({@code num2} * r.{@link #veľkosť() veľkosť}());
					{@code comm// Prípadné ďalšie príkazy…}
				}
			});
		}
	}
	</pre>
 * </td><td><image>tvarSipky.png</image>Vlastný tvar robota z príkladu
 * vľavo po zväčšení robota na veľkosť 100<br /><small>(šedá kružnica
 * je len ilustračná)</small></td></tr></table>
 * 
 * <P><a name="getter.setter.alias"><!--   --></a>
 * Okrem tohto rozdelenia, môžeme metódy rozdeliť do ďalších kategórií
 * podľa účelu. Z programátorského fyzického hľadiska (z pohľadu jazyka
 * Java) medzi nimi rozdiel nie je, ale z programátorského
 * logického<sup>[1]</sup> hľadiska (z pohľadu programátora) ten rozdiel
 * (prinajmenšom pre každého skúsenejšieho programátora) vidno. Jasne sa
 * rysujú najmä dva druhy metód – takzvané „gettery“ a „settery“, čo je
 * nepreložiteľný názov vyplývajúci z účelu metód. Getter (z anglického
 * „get“ – vziať) číta hodnotu vlastnosti a setter (z anglického „set“ –
 * nastaviť) ju, naopak, zapisuje. Jednou z hlavných myšlienok objektovo
 * orientovaného programovania vždy bolo mať súkromné vlastnosti a verejné
 * metódy, ktoré s nimi pracujú. Z toho sa vyvinuli gettery a settery, ktoré
 * síce nenašli pevné zakotvenie priamo v jazyku Java, ale programátori ich
 * odlišujú od „klasických“ metód. Našiel sa aj zaužívaný spôsob vyjadrenia
 * tejto skutočnosti v programe – najjednoduchší možný – v názve metódy.
 * Gettery začínajú anglickým „get“ a settery „set“… Takto by vyzeral
 * jednoduchý príklad triedy {@code Osoba} s vlastnosťou {@code vek}
 * a prislúchajúcim getterom a setterom:
 * 
 * <P><small>[1] – termín „logický“ je v počítačovej terminológii často
 * používaný ako opak „fyzického“; logický môže znamenať všeobecný,
 * nekonkrétny, patriaci do určitej množiny, vytvorený pre určité potreby…
 * naopak fyzický znamená kokrétny, pevný, stanovený…; logický a fyzický
 * v tomto prípade znamená akoby „pomyselný“ a „skutočný“, pričom i ten
 * pomyselný má v tomto prípade veľký význam, pretože dáva veciam určitý
 * zmysel, kategorizuje ich, rozdeľuje…</small>
 * 
 * <pre CLASS="example">
	{@code kwdpublic} {@code typeclass} Osoba
	{
		{@code kwdprivate} {@code typeint} vek;

		{@code kwdpublic} {@code typeint} getVek()
		{
			{@code kwdreturn} vek;
		}

		{@code kwdpublic} {@code typevoid} setVek({@code typeint} vek)
		{
			{@code kwdif} (vek &lt; {@code num0}) {@code kwdthrow} {@code kwdnew} {@link GRobotException#GRobot.GRobotException(String, String) GRobotException}(
				{@code srg"Vek nesmie byť záporný!"}, {@code srg"negativeAge"});
			{@code valthis}.vek = vek;
		}
	}
	</pre>
 * 
 * <P>V slovenskom názve anglické slovká get a set nevyzerajú príliš dobre,
 * preto sme sa rozhodli ich v rámci projektu grafického robota zamlčať.
 * Namiesto toho používame v rámci dokumentácie ikonu <a class="getter"></a> na
 * getter a <a class="setter"></a> na setter. Funkčnosť metód sa tým,
 * samozrejme, nemení, ibaže bez explicitného uvedenia „get“ a „set“ v názve
 * ich nie je možné na prvý pohľad (podľa názvu) rozoznať, preto sa to
 * usilujeme kompenzovať aspoň v dokumentácii pomocou ikon. Jestvujú
 * vlastnosti, ktoré nemajú žiadny setter. Z toho vyplýva, že sú určené len na
 * čítanie. Výskyt opačného typu vlastností (len na zápis) je v praxi veľmi
 * zriedkavý. Obvykle by každá vlastnosť mala mať možnosť čítania hodnoty.
 * V robotovi sa vlastnosti určené len na zápis nevyskytujú.
 * 
 * <P>Trieda {@code currGRobot} a všetky triedy tohto balíčka majú definované
 * veľké množstvo takzvaných <a class="alias"></a> aliasov. Aliasy sú presne
 * tým, čo slovo „alias“ vyjadruje – prezývkami. Potreba ich vzniku vyplynula
 * z častých (často zbytočných) omylov začínajúcich programátorov pri
 * používaní robota. Tie súviseli s nejednoznačnosťou slovenského jazyka,
 * v ktorom jestvuje množstvo synoným (dopredu, vpred, dozadu, vzad
 * a podobne). Časom bolo jasné, že na všetko nebude možné vytvoriť alias,
 * preto po dosiahnutí určitej úrovne nasýtenia už ďalšie aliasy (v súvislosti
 * s riešením synoným) nevznikali. <!--(Avšak tie, ktoré boli definované
 * dovtedy už v robotovi zostali.)-->
 * 
 * <P>Alias vo väčšine prípadov iba volá originálnu metódu (resp. kopíruje
 * správanie originálnej triedy, keďže aliasom môže byť i celá trieda).
 * Z technického pohľadu to mierne zvyšuje režijné náklady na činnosť
 * programu, preto i skúsenejším programátorom odporúčame používať vždy
 * originálne metódy, nie aliasy. Rovnako, v súvislosti s aliasmi tried,
 * originálne triedy a ich použitie v rôznych kontextoch je podrobnejšie
 * testované. Aj preto odporúčame používať originály.
 * 
 * <P>Každý slovenský identifikátor s diakritikou má definovaný alias bez
 * diakritiky, takže knižnicu je možné používať aj bez používania
 * diakritiky. Je však nevyhnutné byť pri používaní alebo nepoužívaní
 * diakritiky jednotnotný, inak povedané buď používať diakritiku dôsledne,
 * alebo vôbec. Kritické sú prípady priradenia inštancie s diakritikou do
 * premennej typu bez diakritiky. Nasledujúci riadok kódu nie je
 * preložiteľný:
 * 
 * <pre CLASS="example">
	{@link PolozkaPonuky PolozkaPonuky} položka = {@code kwdnew} {@link PoložkaPonuky#GRobot.PoložkaPonuky(String) PoložkaPonuky}({@code srg"Položka"});
	</pre>
 * 
 * <P>Rovnako nie je použiteľný žiadny identifikátor s čiastočne použitou
 * diakritikou (napríklad {@code Priehľadnost} alebo {@code Priehladnosť}).
 * 
 * <h2>História</h2>
 * 
 * <P>Skupina tried grafického robota je do značnej miery inšpirovaná
 * filozofiou programovacieho jazyka <a
 * href="http://en.wikipedia.org/wiki/Logo_(programming_language)"
 * target="_blank">Logo</a> a jeho pokračovateľov… <a
 * href="http://en.wikipedia.org/wiki/Logo_(programming_language)"
 * target="_blank">Logo</a> je programovací jazyk používaný vo výučbe. Keďže
 * originál jazyka je určený pre anglicky hovoriace deti a študentov, vzniká
 * po svete množstvo jazykových mutácií. Spomeňme dve najdôležitejšie
 * v slovenskom jazyku: <a href="http://comlogo.input.sk/"
 * target="_blank">Comenius Logo</a> a úspešného pokračovateľa <a
 * href="http://imagine.input.sk/" target="_blank">Imagine</a>. Vo svete <a
 * href="http://en.wikipedia.org/wiki/Logo_(programming_language)"
 * target="_blank">Loga</a> ide o programovanie kresliacej korytnačky, takže
 * učiaci sa môže hneď vidieť výsledky svojho úsilia. Z toho je odvodený
 * termín „korytnačia grafika“. Svet grafického robota sa usiluje tieto
 * princípy poskytnúť pre začínajúcich (i pokročilých) programujúcich
 * v programovacom jazyku Java. Pozrime sa na stručnú históriu vývoja
 * grafického robota…
 * 
 * <P>Začalo sa to vývojom triedy {@code Korytnačka} niekedy v auguste roku
 * 2010. Prvé verzie triedy {@code Korytnačka} (približne do verzie 4.0)
 * boli významnou mierou inšpirované triedou {@code Turtle} autora Alfreda
 * Herma (<small>Odkaz: Alfred Hermes, Turtle class, 6a, 14.12.2003,
 * English</small>), ktorá je súčasťou balíka <a
 * href="http://www.bluej.org/" target="_blank">BlueJ</a>. Boli jej
 * rozšírením a dá sa povedať, že s ňou boli spätne kompatibilné.
 * 
 * <P>Ďalšie verzie sa od pôvodnej idey značne odchýlili, preto nebola
 * deklarovaná spätná kompatibilita s pôvodnou triedou {@code Turtle}, ani
 * prvými verziami korytnačky. Takže môžeme povedať, že približne od verzie
 * 4.0, ktorá vznikala niekedy koncom zimného semestra akademického roka
 * 2010/2011, sa začal vývoj samostatnej triedy {@code Korytnačka}, ktorá už
 * nebola postavená na jadre pôvodnej triedy {@code Turtle}.
 * 
 * <P>Na stránkach univerzity v Princetone (<small>Zdroj: <a
 * href="http://introcs.cs.princeton.edu/java/stdlib/"
 * target="_blank">http://introcs.cs.princeton.edu/java/stdlib/</a></small>)
 * <!-- Starší odkaz: http://www.cs.princeton.edu/introcs/stdlib/ -->
 * sme našli našli knižnicu pre študentov pozostávajúcu zo 17 tried. Z nich
 * nás zaujala trieda {@code Draw}, v ktorej sme našli cenné poznatky
 * o práci s grafikou v Jave. S využitím týchto informácií sme začali
 * budovať novú sériu korytnačiek (beta verzia nového radu bola vyvíjaná
 * pod pracovným názvom {@code Želva} a bola už postavená na triedach
 * s príponou 2D – napríklad {@link Graphics2D Graphics2D}…). Postupne
 * pribúdali nové a nové zahniezdené (resp. vnorené) triedy a do stavu
 * s funkčnou lúkou, oblohou, súbormi, udalosťami, automatickým časovačom
 * a tak ďalej, sa trieda postupne prepracovávala od verzie 5.0 vyššie.
 * 
 * <P>Priebežne prechádzala výraznými úpravami, nie všetky čiastkové verzie
 * boli publikované. Od verzie 6.9 boli k dispozícii aliasy všetkých metód
 * a vlastností aj bez diakritiky. Táto verzia však nikdy neopustila
 * súkromie prostredia svojho vzniku. Priniesla množstvo novej
 * funkcionality, ďalšie vnorené triedy, nové metódy, zavrhla niektoré
 * staršie koncepty, iné ponechala… Tým sa spätná kompatibilita opäť
 * výrazne porušila.
 * 
 * <P>Verzia korytnačky 7.0 už „neuniesla“ svoje meno a na jej báze vznikol
 * nový projekt. Keďže študenti (neznalí histórie Loga) mali veľa otázok
 * ohľadom pomenovania a fungovania takto pomenovanej triedy ({@code
 * Korytnačka} – ako to, že kreslí – učíte nás, že názvy majú byť
 * výstižné…) a i samotná postupne sa rozrastajúca korytnačka sa od
 * pôvodného konceptu pridŕžajúceho sa Logovskej jednoduchosti značne
 * odchýlila, rozhodli sme, že zmena názvu a založenie nového projektu
 * novému konceptu iba prospeje.
 * 
 * <P>Testovanie prvej beta verzie triedy {@code currRobot} 0.6 sa začalo
 * koncom augusta 2011 – rok po začatí vývoja pôvodnej korytnačky. Koncom
 * septembra, po rozsiahlych úpravách a revíziách, prekročila verzia číslo
 * 0.8 (pričom sme sa rozhodli, že verzia 1.0 bude priradená až prvej úplnej
 * (v 0.8 stále chýbala definícia jednej triedy) a riadne otestovanej verzii
 * triedy {@code currRobot}). V januári 2013 bola ústredná trieda premenovaná
 * na {@code currGRobot}. Keďže nešlo o výraznú zmenu názvu, číslovanie
 * verzií bolo ponechané. Dôvody a dôsledky sú uvedené v <a
 * href="zoznam-zmien.html">zozname zmien</a> (pri čísle verzie
 * 1.33)…
 * 
 * <P>Ďalší významný zlom nastal na sklonku roka 2015. Knižnica bola
 * rozdelená na viacero samostatných súborov a presunutá do balíčka s názvom
 * <code>knižnica</code>. Tým sa knižnica priblížila ku korektnému prístupu
 * tvorby frameworkov v jazyku Java. Pôvodné umiestnenie v jednom súbore malo
 * rýdzo pragmatické odôvodnenie. Nejestvoval <a
 * href="http://pdf.truni.sk/horvath/softver?generator"
 * target="_blank">generátor projektov</a> a študenti si museli vytvárať
 * projekty sami. Vzhľadom na predchádzajúce skúsenosti bolo najjednoduchším
 * riešením poskytnúť jediný nezbalený súbor na prevzatie, ktorý študenti
 * umiestnili do priečinka s novým projektom.
 * 
 * <P>Potom už bolo komplikované hľadať cestu späť. Pôvodný plán bolo po
 * určitom čase zanechať túto vývojovú líniu projektu GRobot a začať vývoj
 * úplne novej verzie umiestnenej v balíčku a rozdelenej do samostatných
 * súborov od začiatku. Lenže hlavný (a zatiaľ jediný) vývojár bol nútený
 * presmerovať svoju energiu do nového projektu, ktorého súčasťou sa stala aj
 * knižnica GRobot. Preto sa vývoj novej línie nezačal a namiesto toho boli
 * niektoré kroky súvisiace s ďalším vylepšovaním knižnice vykonané priamo
 * v tejto línii.
 * 
 * <h2>Ďalšia odporúčaná študijná literatúra</h2>
 * 
 * <table class="references">
 * 
 * <tr><td>1.</td><td>Keogh, James: <i>Java bez předchozích znalostí –
 * průvodce pro samouky.</i> 1. vyd. Brno : Computer Press, 2005. ISBN
 * 80-251-0839-2.</td></tr>
 * 
 * <tr><td>2.</td><td>Kalaš, Ivan a kol.: <i>Informatika pre stredné
 * školy.</i> Bratislava : SPN, 2001. ISBN 80-08-01518-7.</td></tr>
 * 
 * <tr><td>3.</td><td>Zajacová, Katarína: <i>Základy programovania.</i>
 * Trnava : 2010. [online]. Dostupné na: <a
 * href="http://cec.truni.sk/zajacova/2010_ZP_Java/index.html" target="_blank"
 * >http://cec.truni.sk/zajacova/2010_ZP_Java/index.html</a>.</td></tr>
 * 
 * <tr><td>4.</td><td>Hudeková, Dominika: <i>Zbierka úloh
 * v Jave.</i> Trnava : 2012. [online]. Dostupné na: <a
 * href="http://cec.truni.sk/hudekova/2012_ZU_Java/index.html" target="_blank"
 * >http://cec.truni.sk/hudekova/2012_ZU_Java/index.html</a>.</td></tr>
 * 
 * <tr><td>5.</td><td>Hudeková, Dominika – Novák, Lukáš: <i>Java –
 * programovací jazyk pre pokročilých programátorov + Java ako prvý
 * programovací jazyk.</i> Trnava : 2014. [online]. Dostupné na: <a
 * href="http://cec.truni.sk/hudekova/2014_EU_Java/" target="_blank"
 * >http://cec.truni.sk/hudekova/2014_EU_Java/</a>.</td></tr>
 * 
 * </table>
 * 
 * <h2>Študijná literatúra v anglickom jazyku</h2>
 * 
 * <table class="references">
 * 
 * <tr><td>1.</td><td>Barnes, J. David – Kölling Michael: <i>Objects First
 * with Java: A Practical Introduction Using BlueJ: International
 * Edition.</i> 5/E. Canterbury, Kent : University of Kent, 2012. ISBN
 * 978-013-283554-1.</td></tr>
 * 
 * <tr><td>2.</td><td><i>The Java Tutorials (Learning the Java
 * Language).</i> Oracle, 1995, 2015. [online]. Dostupné na: <a
 * href="https://docs.oracle.com/javase/tutorial/"
 * target="_blank">https://docs.oracle.com/javase/tutorial/</a>.</td></tr>
 * 
 * <tr><td>3.</td><td><i>Java Platform Standard Edition 8 Documentation.</i>
 * Oracle. [online]. Dostupné na: <a
 * href="https://docs.oracle.com/javase/8/docs/"
 * target="_blank">https://docs.oracle.com/javase/8/docs/</a>.</td></tr>
 * 
 * </table>
 * 
 * <P><b>Od verzie 1.0 vyššie je pravidelne aktualizovaný
 * <a href="zoznam-zmien.html">zoznam zmien</a>.</b>
 * 
 *  @version CURRENT_VERSION</dd>
<dt><b>Úplný názov publikácie:</b></dt>
  <dd class="O-publikacii">Dokumentácia knižnice grafického robota – GRobot
 *  @author MAIN_DEVELOPER_TITLED</dd>
<dt><b>ISBN:</b></dt>
  <dd class="O-publikacii">ISBN ???-??-????-???-?</dd>
<dt><b>Vydanie:</b></dt>
  <dd class="O-publikacii">tretie, prepracované</dd>
 */
public class GRobot implements Poloha, Smer, Farebnosť, Priehľadnosť
{
	/*
	Poznámky:

		– Pri prechode robota na novú verziu Javy pozri:
			public Zoznam(Typ... prvky)
			com.sun.awt.AWTUtilities.setWindowOpaque(aWindow, false);

		– Pri rozširovaní dokumentácie treba dbať na výskyt nasledujúcich dvoch znakov v príkladoch použitia: < (relačný operátor menší než) - (rozdeľovník v úlohe operátora odčítania).

			– Prvý znak síce väčšinou (ak je sprava oddelený medzerou) HTML vie zvládnuť, ale je lepšie a bezpečnejšie ho nahradiť entitou &lt;.
			– Výskyt druhého znaku je kritický v úlohe operátora odčítania, kedy zvykne byť oddelený medzerami z oboch strán. Vtedy je lepšie ho nahradiť kódom: &#45;.

		– Treba skontrolovať všetky príklady v rámci dokumentácie a dopracovať čo najviac ďalších príkladov.

		– funkcionalita vo vývoji by mala:
		throw new java.lang.UnsupportedOperationException
			("Táto operácia nie je v súčasnosti implementovaná.");
	*/

	// ------------------- //
	//  *** Konštanty ***  //
	// ------------------- //

	// Spôsoby kreslenia

		/**
		 * Príznak priameho spôsobu písania textov a kreslenia obrázkov –
		 * nerotuje, necentruje. Nachádza využitie pri metódach {@link
		 * #spôsobKreslenia(int) spôsobKreslenia}, {@link #text(String, int)
		 * text} alebo {@link #obrázok(String, int) obrázok}.
		 */
		public final static int KRESLI_PRIAMO = 0;
		/**
		 * Príznak centrovania textu alebo obrázka na polohu (stred) robota.
		 * Nachádza využitie pri metódach {@link #spôsobKreslenia(int)
		 * spôsobKreslenia}, {@link #text(String, int) text} alebo {@link
		 * #obrázok(String, int) obrázok}.
		 */
		public final static int KRESLI_NA_STRED = 1;
		/**
		 * Príznak rotovania textu alebo obrázka kolmo na smer robota.
		 * Nachádza využitie pri metódach {@link #spôsobKreslenia(int)
		 * spôsobKreslenia}, {@link #text(String, int) text} alebo {@link
		 * #obrázok(String, int) obrázok}.
		 */
		public final static int KRESLI_ROTOVANÉ = 2;

		/** <a class="alias"></a> Alias pre {@link #KRESLI_ROTOVANÉ}. */
		public final static int KRESLI_ROTOVANE = KRESLI_ROTOVANÉ;
		/** <a class="alias"></a> Alias pre {@link #KRESLI_NA_STRED}. */
		public final static int KRESLI_CENTROVANÉ = KRESLI_NA_STRED;
		/** <a class="alias"></a> Alias pre {@link #KRESLI_CENTROVANÉ}. */
		public final static int KRESLI_CENTROVANE = KRESLI_NA_STRED;
		/** <a class="alias"></a> Alias pre {@link #KRESLI_ROTOVANÉ}. */
		public final static int KRESLI_V_SMERE = KRESLI_ROTOVANÉ;


	// Tlačidlá myši

		/**
		 * Číselná konštanta ľavého tlačidla myši (1). Použiteľná napríklad
		 * s metódami {@link ÚdajeUdalostí#tlačidloMyši() tlačidloMyši()},
		 * {@link ÚdajeUdalostí#tlačidloMyši(int) tlačidloMyši(ktoré)},
		 * {@link ÚdajeUdalostí#tlačidloMyšiDole(int)
		 * tlačidloMyšiDole(ktoré)} alebo
		 * {@link ÚdajeUdalostí#tlačidloMyšiHore(int)
		 * tlačidloMyšiHore(ktoré)}.
		 */
		public final static int ĽAVÉ = 1;
		/** <a class="alias"></a> Alias pre {@link #ĽAVÉ}. */
		public final static int LAVE = ĽAVÉ;
		/**
		 * Číselná konštanta stredného tlačidla myši (2). Použiteľná napríklad
		 * s metódami {@link ÚdajeUdalostí#tlačidloMyši() tlačidloMyši()},
		 * {@link ÚdajeUdalostí#tlačidloMyši(int)
		 * tlačidloMyši(ktoré)}, {@link ÚdajeUdalostí#tlačidloMyšiDole(int)
		 * tlačidloMyšiDole(ktoré)} alebo
		 * {@link ÚdajeUdalostí#tlačidloMyšiHore(int) tlačidloMyšiHore(ktoré)}.
		 */
		public final static int STREDNÉ = 2;
		/** <a class="alias"></a> Alias pre {@link #STREDNÉ}. */
		public final static int STREDNE = STREDNÉ;
		/**
		 * Číselná konštanta pravého tlačidla myši (3). Použiteľná napríklad
		 * s metódami {@link ÚdajeUdalostí#tlačidloMyši() tlačidloMyši()},
		 * {@link ÚdajeUdalostí#tlačidloMyši(int) tlačidloMyši(ktoré)},
		 * {@link ÚdajeUdalostí#tlačidloMyšiDole(int)
		 * tlačidloMyšiDole(ktoré)} alebo
		 * {@link ÚdajeUdalostí#tlačidloMyšiHore(int) tlačidloMyšiHore(ktoré)}.
		 */
		public final static int PRAVÉ = 3;
		/** <a class="alias"></a> Alias pre {@link #PRAVÉ}. */
		public final static int PRAVE = PRAVÉ;


	// Sekvencia

		/**
		 * Táto konštanta opisuje stav súvisiaci s reakciou {@code sekvencia}.
		 * (Je relevantná pre reakcie robota {@link GRobot#sekvencia(int,
		 * String, String, long, long) sekvencia} a reakciu aktívnej obsluhy
		 * udalostí {@link ObsluhaUdalostí#sekvencia(int, String, String, long,
		 * long) sekvencia}.)
		 * 
		 * Parameter {@code kódSpracovania} uvedenej reakcie nadobúda túto
		 * hodnotu počas informovania o stave čítania PNG sekvencie obrázkov
		 * metódou {@link Obrázok Obrázok}{@code .}{@link
		 * Obrázok#čítaj(String) čítaj}{@code (názovSúboru)}.
		 */
		public final static int ČÍTANIE_PNG_SEKVENCIE = 1;

		/** <a class="alias"></a> Alias pre {@link #ČÍTANIE_PNG_SEKVENCIE ČÍTANIE_PNG_SEKVENCIE}. */
		public final static int CITANIE_PNG_SEKVENCIE = 1;

		/**
		 * Táto konštanta opisuje stav súvisiaci s reakciou {@code sekvencia}.
		 * (Je relevantná pre reakcie robota {@link GRobot#sekvencia(int,
		 * String, String, long, long) sekvencia} a reakciu aktívnej obsluhy
		 * udalostí {@link ObsluhaUdalostí#sekvencia(int, String, String, long,
		 * long) sekvencia}.)
		 * 
		 * Parameter {@code kódSpracovania} uvedenej reakcie nadobúda túto
		 * hodnotu v prípade nedostatku voľnej pamäte na prečítanie celej
		 * PNG sekvencie obrázkov. (V takom prípade je všetko, čo bolo doteraz
		 * prečítané uvoľnené a metóda {@link Obrázok Obrázok}{@code .}{@link
		 * Obrázok#čítaj(String) čítaj}{@code (názovSúboru)} vráti hodnotu
		 * {@code valnull}.)
		 */
		public final static int CHYBA_ČÍTANIA_PNG_SEKVENCIE = -1;

		/** <a class="alias"></a> Alias pre {@link #CHYBA_ČÍTANIA_PNG_SEKVENCIE CHYBA_ČÍTANIA_PNG_SEKVENCIE}. */
		public final static int CHYBA_CITANIA_PNG_SEKVENCIE = -1;

		/**
		 * Táto konštanta opisuje stav súvisiaci s reakciou {@code sekvencia}.
		 * (Je relevantná pre reakcie robota {@link GRobot#sekvencia(int,
		 * String, String, long, long) sekvencia} a reakciu aktívnej obsluhy
		 * udalostí {@link ObsluhaUdalostí#sekvencia(int, String, String, long,
		 * long) sekvencia}.)
		 * 
		 * Parameter {@code kódSpracovania} uvedenej reakcie nadobúda túto
		 * hodnotu počas informovania o stave zápisu PNG sekvencie obrázkov
		 * metódou {@link Obrázok Obrázok}{@code .}{@link
		 * Obrázok#ulož(String, boolean) ulož}{@code (názovSúboru, prepísať)}
		 * (resp. jej inou verziou).
		 */
		public final static int ZÁPIS_PNG_SEKVENCIE = 2;

		/** <a class="alias"></a> Alias pre {@link #ZÁPIS_PNG_SEKVENCIE ZÁPIS_PNG_SEKVENCIE}. */
		public final static int ZAPIS_PNG_SEKVENCIE = 2;

		/**
		 * Táto konštanta opisuje stav súvisiaci s reakciou {@code sekvencia}.
		 * (Je relevantná pre reakcie robota {@link GRobot#sekvencia(int,
		 * String, String, long, long) sekvencia} a reakciu aktívnej obsluhy
		 * udalostí {@link ObsluhaUdalostí#sekvencia(int, String, String, long,
		 * long) sekvencia}.)
		 * 
		 * Parameter {@code kódSpracovania} uvedenej reakcie nadobúda túto
		 * hodnotu počas informovania o stave čítania animovaného obrázka
		 * vo formáte GIF metódou {@link Obrázok Obrázok}{@code .}{@link
		 * Obrázok#čítaj(String) čítaj}{@code (názovSúboru)}.
		 */
		public final static int ČÍTANIE_GIF_ANIMÁCIE = 3;

		/** <a class="alias"></a> Alias pre {@link #ČÍTANIE_GIF_ANIMÁCIE ČÍTANIE_GIF_ANIMÁCIE}. */
		public final static int CITANIE_GIF_ANIMACIE = 3;

		// /**
		//  * REZERVOVANÉ
		//  */
		// public final static int CHYBA_ČÍTANIA_GIF_ANIMÁCIE = -2;
		// 
		// // Alias REZERVOVANÉ
		// public final static int CHYBA_CITANIA_GIF_ANIMACIE = -2;

		/**
		 * Táto konštanta opisuje stav súvisiaci s reakciou {@code sekvencia}.
		 * (Je relevantná pre reakcie robota {@link GRobot#sekvencia(int,
		 * String, String, long, long) sekvencia} a reakciu aktívnej obsluhy
		 * udalostí {@link ObsluhaUdalostí#sekvencia(int, String, String, long,
		 * long) sekvencia}.)
		 * 
		 * Parameter {@code kódSpracovania} uvedenej reakcie nadobúda túto
		 * hodnotu počas informovania o stave zápisu animovaného obrázka
		 * vo formáte GIF metódou {@link Obrázok Obrázok}{@code .}{@link
		 * Obrázok#ulož(String, boolean) ulož}{@code (názovSúboru, prepísať)}
		 * (resp. jej inou verziou).
		 */
		public final static int ZÁPIS_GIF_ANIMÁCIE = 4;

		/** <a class="alias"></a> Alias pre {@link #ZÁPIS_GIF_ANIMÁCIE ZÁPIS_GIF_ANIMÁCIE}. */
		public final static int ZAPIS_GIF_ANIMACIE = 4;

		/**
		 * Táto konštanta opisuje stav súvisiaci s reakciou {@code sekvencia}.
		 * (Je relevantná pre reakcie robota {@link GRobot#sekvencia(int,
		 * String, String, long, long) sekvencia} a reakciu aktívnej obsluhy
		 * udalostí {@link ObsluhaUdalostí#sekvencia(int, String, String, long,
		 * long) sekvencia}.)
		 * 
		 * Parameter {@code kódSpracovania} uvedenej reakcie nadobúda túto
		 * hodnotu počas informovania o stave kopírovania súboru metódou
		 * {@link Súbor Súbor}{@code .}{@link Súbor#kopíruj(String, String,
		 * boolean) kopíruj}{@code (zdroj, cieľ, prepísať)} (resp. niektorou
		 * jej verziou).
		 */
		public final static int KOPÍROVANIE_SÚBOROV = 5;

		/** <a class="alias"></a> Alias pre {@link #KOPÍROVANIE_SÚBOROV KOPÍROVANIE_SÚBOROV}. */
		public final static int KOPIROVANIE_SUBOROV = 5;

		/**
		 * Táto konštanta opisuje stav súvisiaci s reakciou {@code sekvencia}.
		 * (Je relevantná pre reakcie robota {@link GRobot#sekvencia(int,
		 * String, String, long, long) sekvencia} a reakciu aktívnej obsluhy
		 * udalostí {@link ObsluhaUdalostí#sekvencia(int, String, String, long,
		 * long) sekvencia}.)
		 * 
		 * Parameter {@code kódSpracovania} uvedenej reakcie nadobúda túto
		 * hodnotu počas informovania o stave porovnávania súborov metódou
		 * {@link Súbor Súbor}{@code .}{@link Súbor#porovnaj(String, String)
		 * porovnaj}{@code (názov1, názov2)}.
		 */
		public final static int POROVNANIE_SÚBOROV = 6;

		/** <a class="alias"></a> Alias pre {@link #POROVNANIE_SÚBOROV POROVNANIE_SÚBOROV}. */
		public final static int POROVNANIE_SUBOROV = 6;



	// Verzia a autor…

		/** Konštanta majoritnej verzie tohto robota. */
		public final static int majorVersion = 1;
		/** Konštanta minoritnej verzie tohto robota. */
		public final static int minorVersion = 75;
		/** Konštanta poznámky verzie tohto robota. */
		public final static String versionNote = "";
		/** Konštanta rozpätia rokov vývoja tejto verzie…
			(v podstate na účel výpisu copyrightu…) */
		public final static String years = "2010 – 2016";
		/** Konštanta rozpätia rokov a mesiacov vývoja tejto verzie…
			(na účely automatického spracovania dokumentácie…) */
		public final static String yearsMonths = "august 2010 – september 2016";
		/** Konštanta s menom hlavného (zatiaľ jediného) vývojára tejto verzie…
			(v podstate na účel výpisu copyrightu… kto vie, či časom
			pribudnú aj nejakí ďalší…)<!-- poznámka z r. 2015 – vývoj tejto
			línie sa mal skončiť, takže to v tejto sérii nemali stihnúť, ale
			situácia sa zmenila a táto línia prežila… --> */
		public final static String mainDeveloper = "Roman Horváth";
		/** Konštanta s menom a titulmi hlavného vývojára tejto verzie…
			(na účely automatického spracovania dokumentácie…) */
		public final static String mainDeveloperTitled =
			"Mgr. Ing. Roman Horváth, PhD.";

		// Pozri tiež: versionString nižšie

	// Dialógy

		/**
		 * Hodnota, ktorú vráti metóda v prípade, že používateľ nezvolil
		 * žiadnu možnosť a zavrel dialóg. (Pozri skupinu metód {@link
		 * Svet#otázka(String) otázka}.)
		 */
		public final static int ZAVRETÉ = JOptionPane.CLOSED_OPTION;

		/** <a class="alias"></a> Alias pre {@link #ZAVRETÉ ZAVRETÉ}. */
		public final static int ZAVRETE = JOptionPane.CLOSED_OPTION;

		/**
		 * Hodnota, ktorú vráti metóda v prípade, že používateľ dialóg zrušil.
		 * (Použiteľné napríklad pri metóde {@link Svet#otázka(String)
		 * otázka}.)
		 */
		public final static int ZRUŠIŤ = JOptionPane.CANCEL_OPTION;

		/** <a class="alias"></a> Alias pre {@link #ZRUŠIŤ ZRUŠIŤ}. */
		public final static int ZRUSIT = JOptionPane.CANCEL_OPTION;

		/**
		 * Hodnota, ktorú vráti metóda v prípade, že používateľ zvolil
		 * z predvolených odpovedí „áno“.
		 * (Použiteľné napríklad pri metóde {@link Svet#otázka(String)
		 * otázka}.)
		 */
		public final static int ÁNO = JOptionPane.YES_OPTION;

		/** <a class="alias"></a> Alias pre {@link #ÁNO ÁNO}. */
		public final static int ANO = JOptionPane.YES_OPTION;

		/**
		 * Hodnota, ktorú vráti metóda v prípade, že používateľ zvolil
		 * z predvolených odpovedí „nie“.
		 * (Použiteľné napríklad pri metóde {@link Svet#otázka(String)
		 * otázka}.)
		 */
		public final static int NIE = JOptionPane.NO_OPTION;

	// Ladenie

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia} –
		 * režim sa pokúša zistiť, či má vypísať obsah všetkých premenných na
		 * vnútornú konzolu pred začatím vykonávania skriptu.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int VYPÍSAŤ_PREMENNÉ  = 0;

		/** <a class="alias"></a> Alias pre {@link #VYPÍSAŤ_PREMENNÉ VYPÍSAŤ_PREMENNÉ}. */
		public final static int VYPISAT_PREMENNE  = VYPÍSAŤ_PREMENNÉ;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia} –
		 * režim sa pokúša zistiť, či má na vnútornú konzolu pred začatím
		 * vykonávania skriptu vypísať definíciu menovky, ktorú našiel pri
		 * predbežnej analýze skriptu.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int VYPÍSAŤ_MENOVKU  = 1;

		/** <a class="alias"></a> Alias pre {@link #VYPÍSAŤ_MENOVKU VYPÍSAŤ_MENOVKU}. */
		public final static int VYPISAT_MENOVKU  = VYPÍSAŤ_MENOVKU;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia} –
		 * režim sa pokúša zistiť, či má vypísať riadok skriptu na vnútornú
		 * konzolu.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int VYPÍSAŤ_RIADOK  = 2;

		/** <a class="alias"></a> Alias pre {@link #VYPÍSAŤ_RIADOK VYPÍSAŤ_RIADOK}. */
		public final static int VYPISAT_RIADOK  = VYPÍSAŤ_RIADOK;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia} –
		 * režim sa pokúša zistiť, či má čakať pred vykonaním riadka skriptu.
		 * Ak je odpoveď na túto otázku {@code valtrue}, tak táto správa
		 * vznikne opakovane po 350 ms, kým nebude odpoveď {@code valfalse}.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int ČAKAŤ    = 3;

		/** <a class="alias"></a> Alias pre {@link #ČAKAŤ ČAKAŤ}. */
		public final static int CAKAT    = ČAKAŤ;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia} –
		 * režim sa pokúša zistiť, či má prerušiť vykonávanie skriptu.
		 * Ak je odpoveď {@code valtrue}, tak sa vykonávanie skriptu ukončí.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int PRERUŠIŤ = 4;

		/** <a class="alias"></a> Alias pre {@link #PRERUŠIŤ PRERUŠIŤ}. */
		public final static int PRERUSIT = PRERUŠIŤ;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia} –
		 * režim sa pokúša zistiť, či má v poslednej chvíli zabrániť
		 * vykonaniu príkazu s konkrétnymi hodnotami parametrov. Táto otázka
		 * ladenia sa dá využiť aj na overenie toho, s akými hodnotami
		 * parametrov bude v skutočnosti metóda zavolaná.
		 * Ak je odpoveď {@code valtrue}, tak sa príkaz nevykoná a stroj
		 * skriptu pokračuje tak, akoby metóda príkazu nebola nájdená.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int ZABRÁNIŤ_VYKONANIU = 5;

		/** <a class="alias"></a> Alias pre {@link #ZABRÁNIŤ_VYKONANIU ZABRÁNIŤ_VYKONANIU}. */
		public final static int ZABRANIT_VYKONANIU = ZABRÁNIŤ_VYKONANIU;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia}
		 * v {@linkplain Svet#interaktívnyRežim(boolean) interaktívnom
		 * režime} – režim sa pokúša overiť, či smie vypísať ozvenu
		 * potvrdeného príkazového riadka na vnútornú konzolu.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int VYPÍSAŤ_PRÍKAZ  = 6;

		/** <a class="alias"></a> Alias pre {@link #VYPÍSAŤ_PRÍKAZ VYPÍSAŤ_PRÍKAZ}. */
		public final static int VYPISAT_PRIKAZ = VYPÍSAŤ_PRÍKAZ;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia}
		 * v {@linkplain Svet#interaktívnyRežim(boolean) interaktívnom
		 * režime} – režim sa pokúša overiť, či smie vykonať potvrdený
		 * príkazový riadok.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int VYKONAŤ_PRÍKAZ = 7;

		/** <a class="alias"></a> Alias pre {@link #VYKONAŤ_PRÍKAZ VYKONAŤ_PRÍKAZ}. */
		public final static int VYKONAT_PRIKAZ = VYKONAŤ_PRÍKAZ;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia}
		 * v {@linkplain Svet#interaktívnyRežim(boolean) interaktívnom
		 * režime} – režim oznamuje, že ladenie bolo ukončené (bez chyby).
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int UKONČENIE_SKRIPTU = 8;

		/** <a class="alias"></a> Alias pre {@link #UKONČENIE_SKRIPTU UKONČENIE_SKRIPTU}. */
		public final static int UKONCENIE_SKRIPTU = UKONČENIE_SKRIPTU;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia}
		 * v {@linkplain Svet#interaktívnyRežim(boolean) interaktívnom
		 * režime} – režim oznamuje, že ladenie bolo ukončené chybou.
		 * V parametri {@code riadok} metódy
		 * {@link ObsluhaUdalostí#ladenie(int, String, int) ladenie}
		 * je číslo riadka, na ktorom vznikla chyba a reťazec parametra
		 * {@code príkaz} obsahuje v tomto prípade jednoduchý text chybového
		 * hlásenia.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int UKONČENIE_CHYBOU = 9;

		/** <a class="alias"></a> Alias pre {@link #UKONČENIE_CHYBOU UKONČENIE_CHYBOU}. */
		public final static int UKONCENIE_CHYBOU = UKONČENIE_CHYBOU;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia} –
		 * režim oznamuje, že hodnota číselnej premennej sa zmenila a pokúša
		 * sa zistiť, či má novú hodnotu vypísať.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int ČÍSELNÁ_PREMENNÁ   = -1;

		/** <a class="alias"></a> Alias pre {@link #ČÍSELNÁ_PREMENNÁ ČÍSELNÁ_PREMENNÁ}. */
		public final static int CISELNA_PREMENNA   = ČÍSELNÁ_PREMENNÁ;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia} –
		 * režim oznamuje, že hodnota farebnej premennej sa zmenila a pokúša
		 * sa zistiť, či má novú hodnotu vypísať.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int FAREBNÁ_PREMENNÁ   = -2;

		/** <a class="alias"></a> Alias pre {@link #FAREBNÁ_PREMENNÁ FAREBNÁ_PREMENNÁ}. */
		public final static int FAREBNA_PREMENNA   = FAREBNÁ_PREMENNÁ;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia} –
		 * režim oznamuje, že hodnota polohovej premennej sa zmenila a pokúša
		 * sa zistiť, či má novú hodnotu vypísať.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int POLOHOVÁ_PREMENNÁ  = -3;

		/** <a class="alias"></a> Alias pre {@link #POLOHOVÁ_PREMENNÁ POLOHOVÁ_PREMENNÁ}. */
		public final static int POLOHOVA_PREMENNA  = POLOHOVÁ_PREMENNÁ;

		/**
		 * Konštanta {@linkplain Svet#režimLadenia(boolean) režimu ladenia} –
		 * režim oznamuje, že hodnota reťazcovej premennej sa zmenila a pokúša
		 * sa zistiť, či má novú hodnotu vypísať.
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public final static int REŤAZCOVÁ_PREMENNÁ = -4;

		/** <a class="alias"></a> Alias pre {@link #REŤAZCOVÁ_PREMENNÁ REŤAZCOVÁ_PREMENNÁ}. */
		public final static int RETAZCOVA_PREMENNA = REŤAZCOVÁ_PREMENNÁ;


		/**
		 * {@linkplain Svet#kódPoslednejChyby() Kód poslednej chyby}
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}
		 * alebo {@linkplain Svet#vykonajSkript(String[]) vykonávania skriptu},
		 * ktorý signalizuje, že nenastala žiadna chyba.
		 */
		public final static int ŽIADNA_CHYBA = 0;

		/** <a class="alias"></a> Alias pre {@link #ŽIADNA_CHYBA ŽIADNA_CHYBA}. */
		public final static int ZIADNA_CHYBA = ŽIADNA_CHYBA;

		/**
		 * {@linkplain Svet#kódPoslednejChyby() Kód poslednej chyby}
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}
		 * alebo {@linkplain Svet#vykonajSkript(String[]) vykonávania skriptu},
		 * ktorý signalizuje, že
		 * nastala chyba počas vykonávania príkazu. Mohlo ísť napríklad
		 * o zadanie nesprávneho argumentu.
		 */
		public final static int CHYBA_VYKONANIA_PRÍKAZU = 1;

		/** <a class="alias"></a> Alias pre {@link #CHYBA_VYKONANIA_PRÍKAZU CHYBA_VYKONANIA_PRÍKAZU}. */
		public final static int CHYBA_VYKONANIA_PRIKAZU = CHYBA_VYKONANIA_PRÍKAZU;

		/**
		 * {@linkplain Svet#kódPoslednejChyby() Kód poslednej chyby}
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}
		 * alebo {@linkplain Svet#vykonajSkript(String[]) vykonávania skriptu},
		 * ktorý signalizuje, že
		 * v skripte sa vyskytla dvojnásobná definícia menovky. Skript by
		 * pri vykonávaní riadiacich príkazov {@code ak} alebo
		 * {@code dokedy} (s prípadnou alternatívou {@code inak}) nevedel
		 * identifikovať, ktorým riadkom má vykonávanie pokračovať.
		 */
		public final static int CHYBA_DVOJITÁ_MENOVKA = 2;

		/** <a class="alias"></a> Alias pre {@link #CHYBA_DVOJITÁ_MENOVKA CHYBA_DVOJITÁ_MENOVKA}. */
		public final static int CHYBA_DVOJITA_MENOVKA = CHYBA_DVOJITÁ_MENOVKA;

		/**
		 * {@linkplain Svet#kódPoslednejChyby() Kód poslednej chyby}
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}
		 * alebo {@linkplain Svet#vykonajSkript(String[]) vykonávania skriptu},
		 * ktorý signalizuje, že
		 * za riadiacim príkazom {@code ak} alebo {@code dokedy} (s prípadnou
		 * alternatívou {@code inak}) chýba menovka.
		 */
		public final static int CHYBA_CHÝBAJÚCA_MENOVKA = 3;

		/** <a class="alias"></a> Alias pre {@link #CHYBA_CHÝBAJÚCA_MENOVKA CHYBA_CHÝBAJÚCA_MENOVKA}. */
		public final static int CHYBA_CHYBAJUCA_MENOVKA = CHYBA_CHÝBAJÚCA_MENOVKA;

		/**
		 * {@linkplain Svet#kódPoslednejChyby() Kód poslednej chyby}
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}
		 * alebo {@linkplain Svet#vykonajSkript(String[]) vykonávania skriptu},
		 * ktorý signalizuje, že
		 * menovka za riadiacim príkazom {@code ak} alebo {@code dokedy}
		 * (prípadne za alternatívou {@code inak}) je neznáma (nedefinovaná
		 * v rámci celého skriptu).
		 */
		public final static int CHYBA_NEZNÁMA_MENOVKA = 4;

		/** <a class="alias"></a> Alias pre {@link #CHYBA_NEZNÁMA_MENOVKA CHYBA_NEZNÁMA_MENOVKA}. */
		public final static int CHYBA_NEZNAMA_MENOVKA = CHYBA_NEZNÁMA_MENOVKA;

		/**
		 * {@linkplain Svet#kódPoslednejChyby() Kód poslednej chyby}
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}
		 * alebo {@linkplain Svet#vykonajSkript(String[]) vykonávania skriptu},
		 * ktorý signalizuje, že
		 * za menovkou riadiaceho príkazu {@code ak} alebo {@code dokedy}
		 * sa vyskylo nezáme slovo. Za prvou menovkou môže nasledovať ďalšia
		 * menovka buď bezprostredne, alebo za slovom určujúcim alternatívu –
		 * {@code inak}. Ostané slová sú neznáme.
		 */
		public final static int CHYBA_NEZNÁME_SLOVO = 5;

		/** <a class="alias"></a> Alias pre {@link #CHYBA_NEZNÁME_SLOVO CHYBA_NEZNÁME_SLOVO}. */
		public final static int CHYBA_NEZNAME_SLOVO = CHYBA_NEZNÁME_SLOVO;

		/**
		 * {@linkplain Svet#kódPoslednejChyby() Kód poslednej chyby}
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}
		 * alebo {@linkplain Svet#vykonajSkript(String[]) vykonávania skriptu},
		 * ktorý signalizuje, že
		 * pokus o korektné rozpoznanie riadiaceho príkazu {@code ak} alebo
		 * {@code dokedy} zlyhal.
		 */
		public final static int CHYBA_NEZNÁMA_ŠTRUKTÚRA = 6;

		/** <a class="alias"></a> Alias pre {@link #CHYBA_NEZNÁMA_ŠTRUKTÚRA CHYBA_NEZNÁMA_ŠTRUKTÚRA}. */
		public final static int CHYBA_NEZNAMA_STRUKTURA = CHYBA_NEZNÁMA_ŠTRUKTÚRA;

		/**
		 * {@linkplain Svet#kódPoslednejChyby() Kód poslednej chyby}
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}
		 * alebo {@linkplain Svet#vykonajSkript(String[]) vykonávania skriptu},
		 * ktorý signalizuje, že
		 * naposledny {@linkplain Svet#interaktívnaInštancia(String) aktivovaná
		 * inštancia} už alebo ešte nejestvuje. (Zadané meno inštancie je
		 * neznáme.)
		 */
		public final static int CHYBA_NEZNÁME_MENO = 7;

		/** <a class="alias"></a> Alias pre {@link #CHYBA_NEZNÁME_MENO CHYBA_NEZNÁME_MENO}. */
		public final static int CHYBA_NEZNAME_MENO = CHYBA_NEZNÁME_MENO;

		/**
		 * {@linkplain Svet#kódPoslednejChyby() Kód poslednej chyby}
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}
		 * alebo {@linkplain Svet#vykonajSkript(String[]) vykonávania skriptu},
		 * ktorý signalizuje, že
		 * zadaný príkaz nebol rozpoznaný…
		 */
		public final static int CHYBA_NEZNÁMY_PRÍKAZ = 8;

		/** <a class="alias"></a> Alias pre {@link #CHYBA_NEZNÁMY_PRÍKAZ CHYBA_NEZNÁMY_PRÍKAZ}. */
		public final static int CHYBA_NEZNAMY_PRIKAZ = CHYBA_NEZNÁMY_PRÍKAZ;

	// Ukončenie úprav textu

		/**
		 * Spôsob {@linkplain #ukončenieÚpravyTextu(String, int) ukončenia
		 * úprav textu} klávesom {@code ESCAPE}.
		 * @see #upravText(String)
		 * @see #upravText(String, double)
		 * @see #ukončenieÚpravyTextu(String, int)
		 */
		public final static int SPÔSOB_ESCAPE = -2;

		/** <a class="alias"></a> Alias pre {@link #SPÔSOB_ESCAPE SPÔSOB_ESCAPE}. */
		public final static int SPOSOB_ESCAPE = -2;

		/**
		 * Spôsob {@linkplain #ukončenieÚpravyTextu(String, int) ukončenia
		 * úprav textu} klávesom {@code ENTER}.
		 * @see #upravText(String)
		 * @see #upravText(String, double)
		 * @see #ukončenieÚpravyTextu(String, int)
		 */
		public final static int SPÔSOB_ENTER = 0;

		/** <a class="alias"></a> Alias pre {@link #SPÔSOB_ENTER SPÔSOB_ENTER}. */
		public final static int SPOSOB_ENTER = 0;

		/**
		 * Spôsob {@linkplain #ukončenieÚpravyTextu(String, int) ukončenia
		 * úprav textu} klávesom {@code TAB} (čo je aliasom kávesu {@code
		 * TABULÁTOR}).
		 * @see #upravText(String)
		 * @see #upravText(String, double)
		 * @see #ukončenieÚpravyTextu(String, int)
		 */
		public final static int SPÔSOB_TAB = 1;

		/** <a class="alias"></a> Alias pre {@link #SPÔSOB_TAB SPÔSOB_TAB}. */
		public final static int SPOSOB_TAB = 1;

		/**
		 * Spôsob {@linkplain #ukončenieÚpravyTextu(String, int) ukončenia
		 * úprav textu} klávesom {@code TABULÁTOR} (čo je aliasom kávesu
		 * {@code TAB}).
		 * @see #upravText(String)
		 * @see #upravText(String, double)
		 * @see #ukončenieÚpravyTextu(String, int)
		 */
		public final static int SPÔSOB_TABULÁTOR = 1;

		/** <a class="alias"></a> Alias pre {@link #SPÔSOB_TABULÁTOR SPÔSOB_TABULÁTOR}. */
		public final static int SPOSOB_TABULATOR = 1;

		/**
		 * Spôsob {@linkplain #ukončenieÚpravyTextu(String, int) ukončenia
		 * úprav textu} klávesovou kombináciou {@code Shift + TAB} (resp.
		 * {@code Shift + tabulátor}).
		 * @see #upravText(String)
		 * @see #upravText(String, double)
		 * @see #ukončenieÚpravyTextu(String, int)
		 */
		public final static int SPÔSOB_SHIFT_TAB = -1;

		/** <a class="alias"></a> Alias pre {@link #SPÔSOB_SHIFT_TAB SPÔSOB_SHIFT_TAB}. */
		public final static int SPOSOB_SHIFT_TAB = -1;

		/**
		 * Spôsob {@linkplain #ukončenieÚpravyTextu(String, int) ukončenia
		 * úprav textu} klávesovou kombináciou {@code Shift + tabulátor}
		 * (resp. {@code Shift + TAB}).
		 * @see #upravText(String)
		 * @see #upravText(String, double)
		 * @see #ukončenieÚpravyTextu(String, int)
		 */
		public final static int SPÔSOB_SHIFT_TABULÁTOR = -1;

		/** <a class="alias"></a> Alias pre {@link #SPÔSOB_SHIFT_TABULÁTOR SPÔSOB_SHIFT_TABULÁTOR}. */
		public final static int SPOSOB_SHIFT_TABULATOR = -1;

		/**
		 * Spôsob {@linkplain #ukončenieÚpravyTextu(String, int) ukončenia
		 * úprav textu} dekativáciou textového komponentu (napríklad kliknutím
		 * myšou na platne).
		 * @see #upravText(String)
		 * @see #upravText(String, double)
		 * @see #ukončenieÚpravyTextu(String, int)
		 */
		public final static int SPÔSOB_DEAKTIVÁCIA = 2;

		/** <a class="alias"></a> Alias pre {@link #SPÔSOB_DEAKTIVÁCIA SPÔSOB_DEAKTIVÁCIA}. */
		public final static int SPOSOB_DEAKTIVACIA = 2;

	// Iné
		/**
		 * Znaková konštanta nového riadka.
		 * (Použiteľné napríklad pri metóde
		 * {@link Plátno#vypíš(Object[]) vypíš}.)
		 */
		public final static char riadok = '\n';


	// --------------------------- //
	//  *** Vlastnosti robota ***  //
	// --------------------------- //

		// Meno a registrácia robota

			// Meno tohto robota
			private String menoRobota = null;

			// Mená všetkých robotov
			private final static TreeMap<String, GRobot> menáRobotov =
				new TreeMap<String, GRobot>();

			// Návrh metódy na vyhľadanie konkrétneho mena robota…
			// 
			// private static String nájdiMeno(GRobot r)
			// {
			// 	for (Map.Entry<String, GRobot>
			// 		záznam : menáRobotov.entrySet())
			// 	{
			// 		if (r == záznam.getValue())
			// 			return záznam.getKey();
			// 	}
			// 	return null;
			// }

			// Registrácia robota v systéme konfigurácie
			private boolean jeRegistrovaný = false;
				// Tento atribút je priamo používaný svetom…


		// Hrúbka čiary (polomer pera)

			// Predvolená hrúbka čiary
			private final static double predvolenýPolomerPera = 0.5;

			// Aktuálna hrúbka čiary
			private double polomerPera;

			// Čiara prevedená na Stroke
			private Stroke čiara;

		// Farby

			// Predvolené farby
			private final static Farba predvolenéPero         = čierna;
			private final static Farba predvolenéPozadie      = biela;
			private final static Farba predvolenáFarbaKonzoly = tmavomodrá;

			// Aktuálna farba robota, výplní, predvoleného tvaru…
			private Farba farbaRobota;

			// Aktuálna farba pozadia
			private static Farba farbaPozadia;

		// Písmo

			// Predvolený typ písma
			private final static Písmo predvolenéPísmo =
				new Písmo("Helvetica", Písmo.PLAIN, 16.0);

			// Aktuálny typ písma
			private Písmo aktuálnePísmo;

			// Predvolený typ písma vnútornej konzoly
			private final static Písmo predvolenéPísmoKonzoly =
				new Písmo("Lucida Console", Písmo.PLAIN, 18.0);

		// Domov

			// Domovská pozícia a smer
			private double domaX = 0;
			private double domaY = 0;
			private double uholDoma = 90;

			// Zmena farby po návrate domov
			private Farba farbaDoma = null;

			// Zmena hrúbky pera po návrate domov
			private Double polomerPeraDoma = null;

			// Stav pera po návrate domov
			private Boolean peroPoloženéDoma = null;

			// Stav viditeľnosti po návrate domov
			private Boolean viditeľnýDoma = null;

			// Zmena veľkosti po návrate domov
			private Double veľkosťDoma = null;

			// Zmena priehľadnosti robota po návrate domov
			private Float priehľadnosťDoma = null;

			// Zmena písma robota po návrate domov
			private Písmo písmoDoma = null;

			// Zmena pootočenia tvaru robota po návrate domov
			private Double pootočenieTvaruDoma = 0.0;

		// Aktuálny stav (základné vlastnosti)

			// Aktuálna poloha a smer
			private double aktuálneX;
			private double aktuálneY;
			private double aktuálnyUhol;

			// Predvolený uhol otáčania bezparametrických príkazov vpravo/vľavo
			private double uholOtáčania = 45.0;

			// Aktuálne pootočenie tvaru
			private double pootočenieTvaru = 0.0;

			// Aktuálny stav pera
			private boolean peroPoložené = true;

			// Aktuálny stav viditeľnosti
			private boolean viditeľný = true;

		// Veľkosť a kolízna oblasť

			// Veľkosť robota
			private double veľkosť = 10.0;

			// Číslo určujúce deliteľ pri prepočte mierky obrázkov, pričom
			// výsledná veľkosť sa prepočítava z veľkosti robota. Z toho
			// vyplýva, že ak sú veľkosť robota aj mierkové číslo zhodné,
			// tak sa veľkosť obrázkov nezmení.
			private double mierkovéČíslo = 10.0;

			// Oblasť na detekciu kolízií
			private Oblasť kolíznaOblasť = null;

		// Aktivita

			private static boolean aspoňJedenAktívny;

			private boolean aktívny = false;
			private double otáčanieTvaru = 0.0;
			private Double gyroskop = null;
			private double rýchlosť = 0.0;
			private double uhlováRýchlosť = 0.0;
			private double maximálnaRýchlosť = 0.0;
			private double maximálnaUhlováRýchlosť = 0.0;
			private double zrýchlenie = 0.0;
			private double uhlovéZrýchlenie = 0.0;
			private int trvanieAktivity = 0;

			private boolean cieľAktívny = false;
			private boolean zastavVCieli = false;
			private boolean zastavPoSpomalení = false;
			private double cieľX = 0.0;
			private double cieľY = 0.0;

		// Pôsobisko

			private final static Farba farbaPôsobiska =
				new Farba(0, 0, 100, 40);
			private double minimálneX;
			private double minimálneY;
			private double maximálneX;
			private double maximálneY;
			private boolean kresliPôsobisko = false;

		// Vlastný tvar

			// Vyplnenosť základného tvaru
			private boolean vyplnený = false;

			// Obrázok
			private Image vlastnýTvarObrázok = null;

			// Kreslenie cez rozhranie
			private KreslenieTvaru vlastnýTvarKreslenie = null;

			// Príznak, že robot je v procese kreslenia vlastného tvaru
			// (metódy domov() menia svoju funkciu)
			private boolean kreslímVlastnýTvar = false;

			// Toto je statická inštancia vlastného tvaru používaná pri
			// prekrytí metódy robota kresliTvar()
			private final static KreslenieTvaru použiPrekrytúMetóduKresli =
				// new VlastnýTvar() // Starší spôsob dosiahnutia toho istého…
				// { @Override public void kresli(GRobot r) { r.kresliTvar(); }};
				(r -> r.kresliTvar());

		// Úprava textu

			@SuppressWarnings("serial")
			private class UpravText extends JTextField
			{
				// Parametre polohy a veľkosti textového poľa
				private int x, y, šírka, výška;

				// Pomocný príznak
				private int polohaKurzora = 0;

				// Previaže textové pole s obsluhou udalostí
				private final KeyListener klávesStlačený = new KeyListener()
				{
					public void keyPressed(KeyEvent e)
					{
						// Umiestnenie týchto príkazov do reakcie
						// keyTyped nefungovalo v macOS (predtým OS X a Mac OS)
						if (e.getKeyChar() == KeyEvent.VK_ENTER)
						{
							// keyInfo(e);
							ukončiÚpravu(SPÔSOB_ENTER);
						}
						else if (e.getKeyChar() == KeyEvent.VK_ESCAPE)
						{
							// keyInfo(e);
							ukončiÚpravu(SPÔSOB_ESCAPE);
						}
						else if (e.getKeyChar() == KeyEvent.VK_TAB)
						{
							// keyInfo(e);
							if (e.isShiftDown())
								ukončiÚpravu(SPÔSOB_SHIFT_TAB);
							else
								ukončiÚpravu(SPÔSOB_TAB);
						}
					}

					// private void keyInfo(KeyEvent e)
					// {
					// 	System.out.println("key: " + e.getModifiers() +
					// 		" + " + e.getKeyCode() + " (" + KeyEvent.
					// 		getKeyModifiersText(e.getModifiers()) + " + " +
					// 		KeyEvent.getKeyText(e.getKeyCode()) + ")");
					// }

					public void keyReleased(KeyEvent e) {}
					public void keyTyped(KeyEvent e) {}
				};

				private final FocusListener fokusZmenený = new FocusListener()
				{
					public void focusGained(FocusEvent e)
					{
						// System.out.println("Kurzor: " + getText().length());
						setCaretPosition(polohaKurzora);

						// if (null != poslednáUdalosťMyši)
						// {
						// 	// System.out.println("Myš: " + poslednáUdalosťMyši);
						// 	getCaret().setMagicCaretPosition(
						// 		poslednáUdalosťMyši.getPoint());
						// 	// dispatchEvent(poslednáUdalosťMyši);
						// }
					}

					public void focusLost(FocusEvent e)
					{
						// System.out.println("Focus lost…");
						if (isVisible()) ukončiÚpravu(SPÔSOB_DEAKTIVÁCIA);
					}
				};


				private void umiestni(int x1, int y1, int šírka1, int výška1)
				{
					int x0 = x1 + x;
					int y0 = y1 + y;

					// if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					// {
					// 	x0 -= ((šírka/* - šírka1*/) / 2);
					// 	y0 -= ((výška/* - výška1*/) / 2);
					// }

					setBounds(x0, y0, šírka, výška);
				}


				public UpravText()
				{
					super(10);

					x = y = 0;
					šírka = 100;
					výška = 10;

					setOpaque(false);
					setBorder(null);
					setBackground(null);

					// setFont(aktuálnePísmo);
					// setForeground(farbaRobota);

					setFocusTraversalKeysEnabled(false);

					addKeyListener(klávesStlačený);
					addFocusListener(fokusZmenený);
					setVisible(false);

					// Debug keystrokes
					// KeyStroke[] ks = getKeymap().getBoundKeyStrokes();
					// System.out.println("\nKey strokes (" + ks + "):");
					// 
					// if (null != ks)
					// 	for (int i = 0; i < ks.length; ++i)
					// 		System.out.println("  " + ks[i]);
					// 
					// System.out.println("--end\n");
					// 
					// javax.swing.Action[] ba = getKeymap().getBoundActions();
					// System.out.println("\nBound actions (" + ba + "):");
					// 
					// if (null != ba)
					// 	for (int i = 0; i < ba.length; ++i)
					// 		System.out.println("  " + ba[i]);
					// 
					// System.out.println("--end\n");


					hlavnýPanel.add(this, 0);
				}

				public boolean začniÚpravu(String text,
					double šírkaPrvku, boolean žiadajZhodu)
				{
					// System.out.println("Text: " + text + ", šírka: " + šírkaPrvku + ", žiadaj zhodu: " + žiadajZhodu);

					if (isVisible()) return false;
					if (žiadajZhodu && !text.equals(getText())) return false;

					double prepočítanéX = prepočítajX(aktuálneX);
					double prepočítanéY = prepočítajY(aktuálneY);

					setForeground(farbaRobota);
					setFont(aktuálnePísmo);
					FontMetrics rozmery = getFontMetrics(aktuálnePísmo);

					if (šírkaPrvku < 0)
						šírka = rozmery.stringWidth(text);
					else
						šírka = (int)šírkaPrvku;

					výška = rozmery.getHeight();
					double poklesTextu = ((rozmery.getDescent() * 3) / 2);

					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						x = (int)prepočítanéX;
						y = (int)(prepočítanéY -
							poklesTextu - ((rozmery.getAscent() * 4) / 6));
						setHorizontalAlignment(JTextField.LEFT);
					}
					else
					{
						x = (int)(prepočítanéX - (šírka / 2.0));
						y = (int)(prepočítanéY /*+ poklesTextu*/
							// - (rozmery.getAscent() / 2)
							- ((rozmery.getAscent() * 4) / 6)
							);
						setHorizontalAlignment(JTextField.CENTER);
					}

					if (!text.equals(getText()))
					{
						setText(text);
						if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
							polohaKurzora = getText().length();
						else
							polohaKurzora = getText().length() / 2;
					}

					setVisible(true);
					hlavnýPanel.doLayout();

					SwingUtilities.invokeLater(() -> requestFocus());
					return true;
				}

				public boolean ukončiÚpravu(int spôsob)
				{
					if (!isVisible()) return false;
					polohaKurzora = getCaretPosition();
					ukončenieÚpravyTextu(getText(), spôsob);
					ukoncenieUpravyTextu(getText(), spôsob);
					setVisible(false);
					return true;
				}
			}

			private UpravText upravText[] = new UpravText[8];


		// Spojnice

			/**
			 * Táto trieda slúži na uchovávanie a prístup k vlastnostiam
			 * čiarových spojníc, ktoré sú definovateľné medzi robotmi.
			 * Na vytváranie (prípane rušenie) spojníc slúžia výhradne metódy
			 * z <a href="kategorie-metod.html#GRobot-Spojnice">kategórie
			 * spojníc grafického robota</a>. Táto trieda poskytuje prístup
			 * k hodnotám jestvujúcich nastavení (vrátane poskytovania
			 * možnosti ich zmien) a tiež umožňuje nastavovať a čítať
			 * doplnkové vlastnosti spojníc, napríklad
			 * {@linkplain #vysunutie(double) vysunutie} alebo definovanie
			 * tvaru značky
			 * {@linkplain #definujZnačkuZačiatku(GRobot.KreslenieTvaru)
			 * začiatku} a/alebo
			 * {@linkplain #definujZnačkuKonca(GRobot.KreslenieTvaru) konca}
			 * čiary spojnice.
			 * 
			 * <P><b>Príklad:</b>
			 * <P>Nasledujúci jednoduchý príklad ukazuje nielen vytvorenie
			 * spojníc a konfiguráciu ich vlastností, ale používa zároveň
			 * automatickú konfiguráciu sveta a obsluhu udalostí, vďaka ktorej
			 * je možné robotov na plátne presúvať myšou.
			 * <pre CLASS="example">
				{@code kwdimport} knižnica.{@link GRobot GRobot};
				{@code kwdimport} {@code kwdstatic} knižnica.{@link GRobot GRobot}.*;

				{@code kwdpublic} {@code typeclass} TestovanieSpojníc
				{
					{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
					{
						{@code comm// Začiatok automatickej konfigurácie:}
						{@link Svet Svet}.{@link Svet#použiKonfiguráciu(String) použiKonfiguráciu}({@code srg"TestovanieSpojníc.cfg"});

						{@code comm// Definícia kreslenia vlastného tvaru robotov (elipsy s menom}
						{@code comm// robota v strede):}
						{@link KreslenieTvaru KreslenieTvaru} tvar = r -&gt;
						{
							r.{@link GRobot#elipsa(double) elipsa}({@code num2});
							r.{@link GRobot#text(String) text}(r.{@link GRobot#meno() meno}());
						};

						{@code comm// Definícia kreslenia koncových značiek čiar spojníc:}
						{@link KreslenieTvaru KreslenieTvaru} šípka = r -&gt;
						{
							r.{@link GRobot#vpravo(double) vpravo}({@code num30});
							r.{@link GRobot#dopredu(double) dopredu}({@code num10});
							r.{@link GRobot#zdvihniPero() zdvihniPero}();
							r.{@link GRobot#vzad(double) vzad}({@code num10});
							r.{@link GRobot#vľavo(double) vľavo}({@code num60});
							r.{@link GRobot#položPero() položPero}();
							r.{@link GRobot#dopredu(double) dopredu}({@code num10});
						};


						{@code comm// Vytvorenie štyroch inštancií robotov, ktoré budú prepojené}
						{@code comm// spojnicami (prvý robot je hlavný, takže používame konštruktor,}
						{@code comm// ktorým zároveň nastavíme veľkosť plátien):}

						{@link GRobot GRobot} alfa = {@code kwdnew} {@link GRobot#GRobot(int, int) GRobot}({@code num400}, {@code num400})
						{{
							{@link GRobot#meno(String) meno}({@code srg"Alfa"});
							{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(tvar);
							{@link GRobot#veľkosť(double) veľkosť}({@code num20});
							{@link GRobot#skočNa(double, double) skočNa}(-{@code num100}, {@code num100});
							{@link GRobot#nekresliTvary() nekresliTvary}();
						}};

						{@link GRobot GRobot} beta = {@code kwdnew} {@link GRobot#GRobot() GRobot}()
						{{
							{@link GRobot#meno(String) meno}({@code srg"Beta"});
							{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(tvar);
							{@link GRobot#veľkosť(double) veľkosť}({@code num30});
							{@link GRobot#skočNa(double, double) skočNa}({@code num100}, {@code num100});
							{@link GRobot#nekresliTvary() nekresliTvary}();
						}};

						{@link GRobot GRobot} gama = {@code kwdnew} {@link GRobot#GRobot() GRobot}()
						{{
							{@link GRobot#meno(String) meno}({@code srg"Gama"});
							{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(tvar);
							{@link GRobot#veľkosť(double) veľkosť}({@code num40});
							{@link GRobot#skočNa(double, double) skočNa}({@code num100}, -{@code num100});
							{@link GRobot#nekresliTvary() nekresliTvary}();
						}};

						{@link GRobot GRobot} delta = {@code kwdnew} {@link GRobot#GRobot() GRobot}()
						{{
							{@link GRobot#meno(String) meno}({@code srg"Delta"});
							{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(tvar);
							{@link GRobot#veľkosť(double) veľkosť}({@code num30});
							{@link GRobot#skočNa(double, double) skočNa}(-{@code num100}, -{@code num100});
							{@link GRobot#nekresliTvary() nekresliTvary}();
						}};

						{@code comm// Uloženie inštancií do zoznamu:}
						{@code kwdfinal} {@link Zoznam Zoznam}&lt;{@link GRobot GRobot}&gt; zoznam = {@code kwdnew} {@link Zoznam#GRobot.Zoznam(Object...) Zoznam}&lt;{@link GRobot GRobot}&gt;(
							alfa, beta, gama, delta);


						{@code comm// Vytvorenie (definovanie) spojníc a ich vlastností:}

						alfa.{@link GRobot#spojnica(GRobot, Shape, Shape) spojnica}(beta, alfa.{@link GRobot#elipsa(double) elipsa}({@code num2}), beta.{@link GRobot#elipsa(double) elipsa}({@code num2}))
							.{@link Spojnica#definujZnačkuKonca(GRobot.KreslenieTvaru) definujZnačkuKonca}(šípka)
							.{@link Spojnica#vysunutie(double) vysunutie}({@code num10});

						beta.{@link GRobot#spojnica(GRobot, Shape, Shape) spojnica}(alfa, beta.{@link GRobot#elipsa(double) elipsa}({@code num2}), alfa.{@link GRobot#elipsa(double) elipsa}({@code num2}))
							.{@link Spojnica#definujZnačkuKonca(GRobot.KreslenieTvaru) definujZnačkuKonca}(šípka)
							.{@link Spojnica#vysunutie(double) vysunutie}({@code num10});

						alfa.{@link GRobot#spojnica(GRobot, Shape, Shape) spojnica}(gama, alfa.{@link GRobot#elipsa(double) elipsa}({@code num2}), gama.{@link GRobot#elipsa(double) elipsa}({@code num2}))
							.{@link Spojnica#definujZnačkuZačiatku(GRobot.KreslenieTvaru) definujZnačkuZačiatku}(šípka)
							.{@link Spojnica#definujZnačkuKonca(GRobot.KreslenieTvaru) definujZnačkuKonca}(šípka);

						beta.{@link GRobot#spojnica(GRobot, Shape, Shape) spojnica}(delta, beta.{@link GRobot#elipsa(double) elipsa}({@code num2}), delta.{@link GRobot#elipsa(double) elipsa}({@code num2}))
							.{@link Spojnica#definujZnačkuZačiatku(GRobot.KreslenieTvaru) definujZnačkuZačiatku}(šípka)
							.{@link Spojnica#definujZnačkuKonca(GRobot.KreslenieTvaru) definujZnačkuKonca}(šípka);


						{@code comm// Dokončenie automatickej konfigurácie a obsluha udalostí:}

						{@code kwdfor} ({@link GRobot GRobot} r : zoznam) r.{@link GRobot#registrujVKonfigurácii() registrujVKonfigurácii}();

						{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
						{
							{@link GRobot GRobot} aktívnyRobot = {@code valnull};

							{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#klik() klik}()
							{
								{@link GRobot#ťahanieMyšou() ťahanieMyšou}();
							}

							{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#stlačenieTlačidlaMyši() stlačenieTlačidlaMyši}()
							{
								aktívnyRobot = {@code valnull};
								{@code kwdfor} ({@link GRobot GRobot} r : zoznam) {@code kwdif} (r.{@link GRobot#myšVElipse(double) myšVElipse}({@code num2})) aktívnyRobot = r;
							}

							{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#ťahanieMyšou() ťahanieMyšou}()
							{
								{@code kwdif} ({@code valnull} != aktívnyRobot)
								{
									{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#myš() myš}().{@link MouseEvent#isShiftDown() isShiftDown}())
									{
										{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidloMyši(int) tlačidloMyši}({@link GRobot#ĽAVÉ ĽAVÉ}))
											aktívnyRobot.{@link GRobot#otočNaMyš() otočNaMyš}();
									}
									{@code kwdelse}
									{
										{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidloMyši(int) tlačidloMyši}({@link GRobot#ĽAVÉ ĽAVÉ}))
											aktívnyRobot.{@link GRobot#skočNaMyš() skočNaMyš}();
									}
								}
							}
						};
					}
				}
				</pre>
			 * 
			 * <P><b>Výsledok:</b>
			 * <P><image>spojnice.png</image> <br />Ukážka
			 * výsledku príkladu pri jeho prvom spustení
			 */
			public static class Spojnica
			{
				// Táto statická inštancia bude použitá na zisťovanie
				// polohy koncovej značky:
				private static BasicStroke čiaraNaPriesečníky =
					new BasicStroke(3.0F, BasicStroke.CAP_ROUND,
						BasicStroke.JOIN_ROUND);

				// Trieda uchovávajúca údaje o značkách na koncoch spojnice
				private class ZnačkaČiary
				{
					// Definícia kreslenia tvaru značky – kreslí sa
					// s pomocou súvisiacich robotov:
					private KreslenieTvaru kreslenie;

					// Definuje vlastné orezanie tohto konca spojnice pre
					// kreslenie oboch značiek (čiže odlišné orezanie od
					// toho, ktoré je použité na kreslenie samotnej spojnice):
					private Shape vlastnéOrezanie;

					// Určuje, či je táto značka koncová:
					private boolean koncová;


					// Súhrnné vysvetlenie k nasledujúcim atribútom:
						// Ak nie je aktuálne orezanie null, tak sa poloha
						// značky musí určiť podľa zadaného orezania
						// a aktuálnej polohy a orientácie robota. Algoritmus
						// nie je príliš efektívny (pracuje s prienikom
						// oblastí tvarov prevedených na ťahy), preto je
						// mierne optimalizovaný zálohovaním hodnôt
						// posledného orezania, polohy a orientácie.

					// Aktuálna poloha (buď je to kópia polohy súvisiacieho
					// robota, alebo poloha získaná algoritmicky – v prípade
					// aktívneho orezania) a smer (vypočítaný podľa smeru
					// spojnice) značky:
					private double polohaX, polohaY, uhol;

					// Posledné súvisiace hlavné orezanie (to jest to
					// orezanie, ktoré slúži na zíkanie polohy značky):
					private Area poslednéOrezanie;

					// Posledné polohy robota a cieľa:
					private double polohaRobotaX, polohaRobotaY,
						polohaCieľaX, polohaCieľaY;

					// Posledná orientácia robota:
					private double uholRobota;


					// Konštruktor
					private ZnačkaČiary(KreslenieTvaru kreslenie,
						Shape vlastnéOrezanie, boolean koncová)
					{
						this.kreslenie = kreslenie;
						this.koncová = koncová;
						vlastnéOrezanie(vlastnéOrezanie);

						poslednéOrezanie = null;
						polohaX = polohaY = uhol = 0;
						polohaRobotaX = polohaRobotaY =
							polohaCieľaX = polohaCieľaY = 0;
						uholRobota = 0;
					}


					/**
					 * Nastaví alebo zruší vlastné orezanie tejto inštancie.
					 */
					public void vlastnéOrezanie(Shape vlastnéOrezanie)
					{
						if (null == vlastnéOrezanie)
							this.vlastnéOrezanie = null;
						else if (koncová)
						{
							AffineTransform at = new AffineTransform();
							at.translate(-cieľ.aktuálneX,
								cieľ.aktuálneY);
							at.rotate(Math.toRadians(
								(cieľ.aktuálnyUhol +
									cieľ.pootočenieTvaru) - 90),
								prepočítajX(cieľ.aktuálneX),
								prepočítajY(cieľ.aktuálneY));

							this.vlastnéOrezanie = new Area(vlastnéOrezanie).
								createTransformedArea(at);
						}
						else
						{
							AffineTransform at = new AffineTransform();
							at.translate(-robot.aktuálneX,
								robot.aktuálneY);
							at.rotate(Math.toRadians(
								(robot.aktuálnyUhol +
									robot.pootočenieTvaru) - 90),
								prepočítajX(robot.aktuálneX),
								prepočítajY(robot.aktuálneY));

							this.vlastnéOrezanie = new Area(vlastnéOrezanie).
								createTransformedArea(at);
						}
					}

					/**
					 * Použije zadané orezanie na prípadný prepočet polohy
					 * kreslenia tejto značky.
					 */
					public void vypočítajPolohu(Shape orezanie, Shape čiara)
					{
						if (koncová)
						{
							if (null != orezanie)
							{
								Area novéOrezanie = new Area(orezanie);
								if (null == poslednéOrezanie ||
									polohaRobotaX != robot.aktuálneX ||
									polohaRobotaY != robot.aktuálneY ||
									polohaCieľaX != cieľ.aktuálneX ||
									polohaCieľaY != cieľ.aktuálneY ||
									uholRobota != (cieľ.aktuálnyUhol +
										cieľ.pootočenieTvaru) ||
									!poslednéOrezanie.equals(novéOrezanie))
								{
									Area hľadaj = new Area(čiaraNaPriesečníky.
										createStrokedShape(novéOrezanie));
									hľadaj.intersect(new Area(
										čiaraNaPriesečníky.
											createStrokedShape(čiara)));

									if (hľadaj.isEmpty())
									{
										polohaX = cieľ.aktuálneX;
										polohaY = cieľ.aktuálneY;
									}
									else
									{
										Rectangle2D hranice =
											hľadaj.getBounds2D();

										polohaX = prepočítajSpäťX(
											hranice.getCenterX());
										polohaY = prepočítajSpäťY(
											hranice.getCenterY());
									}

									uhol = cieľ.smerNa(robot);
									poslednéOrezanie = novéOrezanie;

									polohaRobotaX = robot.aktuálneX;
									polohaRobotaY = robot.aktuálneY;
									uholRobota = (cieľ.aktuálnyUhol +
										cieľ.pootočenieTvaru);

									polohaCieľaX = cieľ.aktuálneX;
									polohaCieľaY = cieľ.aktuálneY;
								}
							}
							else
							{
								polohaX = cieľ.aktuálneX;
								polohaY = cieľ.aktuálneY;
								uhol = cieľ.smerNa(robot);
								poslednéOrezanie = null;
							}
						}
						else
						{
							if (null != orezanie)
							{
								Area novéOrezanie = new Area(orezanie);
								if (null == poslednéOrezanie ||
									polohaRobotaX != robot.aktuálneX ||
									polohaRobotaY != robot.aktuálneY ||
									polohaCieľaX != cieľ.aktuálneX ||
									polohaCieľaY != cieľ.aktuálneY ||
									uholRobota != (robot.aktuálnyUhol +
										robot.pootočenieTvaru) ||
									!poslednéOrezanie.equals(novéOrezanie))
								{
									Area hľadaj = new Area(čiaraNaPriesečníky.
										createStrokedShape(novéOrezanie));
									hľadaj.intersect(new Area(
										čiaraNaPriesečníky.
											createStrokedShape(čiara)));

									if (hľadaj.isEmpty())
									{
										polohaX = robot.aktuálneX;
										polohaY = robot.aktuálneY;
									}
									else
									{
										Rectangle2D hranice =
											hľadaj.getBounds2D();

										polohaX = prepočítajSpäťX(
											hranice.getCenterX());
										polohaY = prepočítajSpäťY(
											hranice.getCenterY());
									}

									uhol = robot.smerNa(cieľ);
									poslednéOrezanie = novéOrezanie;

									polohaRobotaX = robot.aktuálneX;
									polohaRobotaY = robot.aktuálneY;
									uholRobota = (robot.aktuálnyUhol +
										robot.pootočenieTvaru);

									polohaCieľaX = cieľ.aktuálneX;
									polohaCieľaY = cieľ.aktuálneY;
								}
							}
							else
							{
								polohaX = robot.aktuálneX;
								polohaY = robot.aktuálneY;
								uhol = robot.smerNa(cieľ);
								poslednéOrezanie = null;
							}
						}
					}

					/**
					 * Zariadi volanie kreslenia tejto značky.
					 */
					public void kresliZnačku(
						BufferedImage obrázok, Graphics2D grafika)
					{
						if (koncová)
						{
							boolean vráťKompozit = cieľ.priehľadnosť < 1.0;
							Composite záloha = null;

							double aktuálneX_Záloha = cieľ.aktuálneX;
							double aktuálneY_Záloha = cieľ.aktuálneY;
							double aktuálnyUhol_Záloha = cieľ.aktuálnyUhol;
							double pootočenieTvaru_Záloha =
								cieľ.pootočenieTvaru;

							cieľ.aktuálneX = polohaX;
							cieľ.aktuálneY = polohaY;
							cieľ.aktuálnyUhol = uhol;
							cieľ.pootočenieTvaru = 0;

							kresliTvar(obrázok, grafika, cieľ, kreslenie);

							cieľ.aktuálneX = aktuálneX_Záloha;
							cieľ.aktuálneY = aktuálneY_Záloha;
							cieľ.aktuálnyUhol = aktuálnyUhol_Záloha;
							cieľ.pootočenieTvaru = pootočenieTvaru_Záloha;

							if (vráťKompozit) grafika.setComposite(záloha);
						}
						else
						{
							boolean vráťKompozit = robot.priehľadnosť < 1.0;
							Composite záloha = null;

							double aktuálneX_Záloha = robot.aktuálneX;
							double aktuálneY_Záloha = robot.aktuálneY;
							double aktuálnyUhol_Záloha = robot.aktuálnyUhol;
							double pootočenieTvaru_Záloha =
								robot.pootočenieTvaru;

							robot.aktuálneX = polohaX;
							robot.aktuálneY = polohaY;
							robot.aktuálnyUhol = uhol;
							robot.pootočenieTvaru = 0;

							kresliTvar(obrázok, grafika, robot, kreslenie);

							robot.aktuálneX = aktuálneX_Záloha;
							robot.aktuálneY = aktuálneY_Záloha;
							robot.aktuálnyUhol = aktuálnyUhol_Záloha;
							robot.pootočenieTvaru = pootočenieTvaru_Záloha;

							if (vráťKompozit) grafika.setComposite(záloha);
						}
					}
				}

				// Značka kreslená na začiatku a konci čiary
				private ZnačkaČiary značkaZačiatku = null, značkaKonca = null;


				/**
				 * Vráti implementované rozhranie {@linkplain KreslenieTvaru
				 * kreslenia tvaru} začiatočnej značky čiary spojnice alebo
				 * {@code valnull}, ak začiatočná značka nie je definovaná.
				 * 
				 * @return implementácia rozhrania vlastného tvaru
				 *    zabezpečujúca kreslenie začiatočnej značky spojnice
				 *    alebo {@code valnull}, ak značka nemá byť kreslená
				 */
				public KreslenieTvaru dajZnačkuZačiatku()
				{
					if (null == značkaZačiatku) return null;
					return značkaZačiatku.kreslenie;
				}

				/** <a class="alias"></a> Alias pre {@link #dajZnačkuZačiatku() dajZnačkuZačiatku}. */
				public KreslenieTvaru dajZnackuZaciatku()
				{ return dajZnačkuZačiatku(); }

				/**
				 * Vráti implementované rozhranie {@linkplain KreslenieTvaru
				 * kreslenia tvaru} koncovej značky čiary spojnice alebo
				 * {@code valnull}, ak koncová značka nie je definovaná.
				 * 
				 * @return implementácia rozhrania vlastného tvaru
				 *    zabezpečujúca kreslenie koncovej značky spojnice
				 *    alebo {@code valnull}, ak značka nemá byť kreslená
				 */
				public KreslenieTvaru dajZnačkuKonca()
				{
					if (null == značkaKonca) return null;
					return značkaKonca.kreslenie;
				}

				/** <a class="alias"></a> Alias pre {@link #dajZnačkuKonca() dajZnačkuKonca}. */
				public KreslenieTvaru dajZnackuKonca()
				{ return dajZnačkuKonca(); }


				/**
				 * Definuje začiatočnú značku čiary spojnice s pomocou
				 * rozhrania, ktoré v knižnici zároveň slúži na definovanie
				 * vlastného tvaru robota. Hodnota {@code valnull} znamená,
				 * že značka začiatku spojnice nemá byť kreslená.
				 * 
				 * <!-- TODO – dopracovať ukážku použitia -->
				 * 
				 * @param kreslenie inštancia implementácie vlastného tvaru,
				 *    ktorá zabezpečí nakreslenie začiatočnej značky spojnice
				 *    alebo {@code valnull} ak značka nemá byť kreslená
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica definujZnačkuZačiatku(KreslenieTvaru kreslenie)
				{
					if (null == kreslenie) značkaZačiatku = null;
					else značkaZačiatku = new ZnačkaČiary(
						kreslenie, null, false);
					automatickéPrekreslenie();
					return this;
				}

				/** <a class="alias"></a> Alias pre {@link #definujZnačkuZačiatku(GRobot.KreslenieTvaru) definujZnačkuZačiatku}. */
				public Spojnica definujZnackuZaciatku(KreslenieTvaru kreslenie)
				{ return definujZnačkuZačiatku(kreslenie); }

				/**
				 * Definuje koncovú značku čiary spojnice s pomocou
				 * rozhrania, ktoré v knižnici zároveň slúži na definovanie
				 * vlastného tvaru robota. Hodnota {@code valnull} znamená,
				 * že značka konca spojnice nemá byť kreslená.
				 * 
				 * <P><small>(<b>Poznámky:</b> Príklad použitia definície
				 * koncovej aj začiatočnej značky spojnice je v opise metódy
				 * {@link #definujZnačkuZačiatku(GRobot.KreslenieTvaru)
				 * definujZnačkuZačiatku}.)</small>
				 * 
				 * @param kreslenie inštancia implementácie vlastného tvaru,
				 *    ktorá zabezpečí nakreslenie koncovej značky spojnice
				 *    alebo {@code valnull} ak značka nemá byť kreslená
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica definujZnačkuKonca(KreslenieTvaru kreslenie)
				{
					if (null == kreslenie) značkaKonca = null;
					else značkaKonca = new ZnačkaČiary(kreslenie, null, true);
					automatickéPrekreslenie();
					return this;
				}

				/** <a class="alias"></a> Alias pre {@link #definujZnačkuKonca(GRobot.KreslenieTvaru) definujZnačkuKonca}. */
				public Spojnica definujZnackuKonca(KreslenieTvaru kreslenie)
				{ return definujZnačkuKonca(kreslenie); }


				/**
				 * Definuje začiatočnú značku čiary spojnice s pomocou
				 * rozhrania, ktoré v knižnici zároveň slúži na definovanie
				 * vlastného tvaru robota a s vlastným spôsobom orezania
				 * (ktoré sa vzťahuje aj na prípadnú koncovú značku). Hodnota
				 * {@code valnull} parametra {@code kreslenie} znamená, že
				 * značka začiatku spojnice nemá byť kreslená, ale v tom
				 * prípade stráca hodnota parametra {@code vlastnéOrezanie}
				 * akýkoľvek ďalší zmysel. Inak určuje parameter
				 * {@code vlastnéOrezanie} vlastný tvar orezania kreslenia
				 * oboch značiek, ktorý má byť odlišný od orezania kreslenia
				 * čiary samotnej spojnice. Hodnota {@code valnull} parametra
				 * {@code vlastnéOrezanie} hovorí, že pri kreslení značiek
				 * má byť použité rovnaké orezanie ako pri kreslení čiary
				 * spojnice.
				 * 
				 * <P>Podrobnejšie informácie o značkách začiatku a konca
				 * spojnice sú v opise metódy
				 * {@link #definujZnačkuZačiatku(GRobot.KreslenieTvaru)
				 * definujZnačkuZačiatku}.
				 * 
				 * <P>Vlastné orezanie je podrobnejšie vysvetlené v opise
				 * metódy {@link #upravOrezanieZnačkyZačiatku(Shape)
				 * upravOrezanieZnačkyZačiatku}
				 * (resp. {@link #upravOrezanieZnačkyKonca(Shape)
				 * upravOrezanieZnačkyKonca}).
				 * 
				 * <P><small>(<b>Poznámky:</b> Príklad použitia definície
				 * začiatočnej a koncovej značky spojnice je v opise metódy
				 * {@link #definujZnačkuZačiatku(GRobot.KreslenieTvaru)
				 * definujZnačkuZačiatku} a príklad použitia vlastného
				 * orezania začiatočnej a koncovej značky je v opise metódy
				 * {@link #upravOrezanieZnačkyZačiatku(Shape)
				 * upravOrezanieZnačkyZačiatku}.)</small>
				 * 
				 * @param kreslenie inštancia implementácie vlastného tvaru,
				 *    ktorá zabezpečí nakreslenie začiatočnej značky spojnice
				 *    alebo {@code valnull} ak značka nemá byť kreslená –
				 *    v takom prípade stráca hodnota ďalšieho parametra význam
				 *    (tip: ak chcete druhý parameter využiť na orezanie
				 *    kreslenia koncovej značky, ale nekresliť žiadnu
				 *    začiatočnú značku, tak implementujte <b>a použite</b>
				 *    prázdne rozhranie kreslenia tvaru – to jest také, ktoré
				 *    jestvuje, ale nič nekreslí)
				 * @param vlastnéOrezanie dovoľuje definovať vlastné orezanie
				 *    kreslenia značiek; ak je {@code valnull}, tak je použité
				 *    orezanie, ktoré bolo definované pre kreslenie samotnej
				 *    čiary spojnice
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica definujZnačkuZačiatku(KreslenieTvaru kreslenie,
					Shape vlastnéOrezanie)
				{
					if (null == kreslenie) značkaZačiatku = null;
					else značkaZačiatku = new ZnačkaČiary(
						kreslenie, vlastnéOrezanie, false);
					automatickéPrekreslenie();
					return this;
				}

				/** <a class="alias"></a> Alias pre {@link #definujZnačkuZačiatku(GRobot.KreslenieTvaru, Shape) definujZnačkuZačiatku}. */
				public Spojnica definujZnackuZaciatku(KreslenieTvaru kreslenie,
					Shape vlastnéOrezanie)
				{ return definujZnačkuZačiatku(kreslenie, vlastnéOrezanie); }

				/**
				 * Definuje koncovú značku čiary spojnice s pomocou
				 * rozhrania, ktoré v knižnici zároveň slúži na definovanie
				 * vlastného tvaru robota a s vlastným spôsobom orezania
				 * (ktoré sa vzťahuje aj na prípadnú začiatočnú značku).
				 * Hodnota {@code valnull} znamená, že značka konca spojnice
				 * nemá byť kreslená, ale v tom prípade stráca hodnota
				 * parametra {@code vlastnéOrezanie} akýkoľvek ďalší zmysel.
				 * Inak určuje parameter {@code vlastnéOrezanie} vlastný tvar
				 * orezania kreslenia oboch značiek, ktorý má byť odlišný od
				 * orezania kreslenia čiary samotnej spojnice. Hodnota
				 * {@code valnull} parametra {@code vlastnéOrezanie} hovorí,
				 * že pri kreslení značiek má byť použité rovnaké orezanie ako
				 * pri kreslení čiary spojnice.
				 * 
				 * <P>Podrobnejšie informácie o značkách konca aj začiatku
				 * spojnice sú v opise metódy
				 * {@link #definujZnačkuZačiatku(GRobot.KreslenieTvaru)
				 * definujZnačkuZačiatku}.
				 * 
				 * <P>Vlastné orezanie je podrobnejšie vysvetlené v opise
				 * metódy {@link #upravOrezanieZnačkyKonca(Shape)
				 * upravOrezanieZnačkyKonca}
				 * (resp. {@link #upravOrezanieZnačkyZačiatku(Shape)
				 * upravOrezanieZnačkyZačiatku}).
				 * 
				 * <P><small>(<b>Poznámky:</b> Príklad použitia definície
				 * koncovej aj začiatočnej značky spojnice je v opise metódy
				 * {@link #definujZnačkuZačiatku(GRobot.KreslenieTvaru)
				 * definujZnačkuZačiatku} a príklad použitia vlastného
				 * orezania koncovej aj začiatočnej značky je v opise metódy
				 * {@link #upravOrezanieZnačkyZačiatku(Shape)
				 * upravOrezanieZnačkyZačiatku}.)</small>
				 * 
				 * @param kreslenie inštancia implementácie vlastného tvaru,
				 *    ktorá zabezpečí nakreslenie koncovej značky spojnice
				 *    alebo {@code valnull} ak značka nemá byť kreslená –
				 *    v takom prípade stráca hodnota ďalšieho parametra význam
				 *    (tip: ak chcete druhý parameter využiť na orezanie
				 *    kreslenia začiatočnej značky, ale nekresliť žiadnu
				 *    koncovú značku, tak implementujte <b>a použite</b>
				 *    prázdne rozhranie kreslenia tvaru – to jest také, ktoré
				 *    jestvuje, ale nič nekreslí)
				 * @param vlastnéOrezanie dovoľuje definovať vlastné orezanie
				 *    kreslenia značiek; ak je {@code valnull}, tak je použité
				 *    orezanie, ktoré bolo definované pre kreslenie samotnej
				 *    čiary spojnice
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica definujZnačkuKonca(KreslenieTvaru kreslenie,
					Shape vlastnéOrezanie)
				{
					if (null == kreslenie) značkaKonca = null;
					else značkaKonca = new ZnačkaČiary(
						kreslenie, vlastnéOrezanie, true);
					automatickéPrekreslenie();
					return this;
				}

				/** <a class="alias"></a> Alias pre {@link #definujZnačkuKonca(GRobot.KreslenieTvaru, Shape) definujZnačkuKonca}. */
				public Spojnica definujZnackuKonca(KreslenieTvaru kreslenie,
					Shape vlastnéOrezanie)
				{ return definujZnačkuKonca(kreslenie, vlastnéOrezanie); }


				/**
				 * Vráti inštanciu {@linkplain Shape tvaru} vlastného orezania
				 * značiek pri začiatku čiary spojnice alebo {@code valnull},
				 * ak je použité rovnaké orezanie ako pri kreslení samotnej
				 * spojnice.
				 * 
				 * @return inštancia tvaru určujúca vlastné orezanie značiek
				 *    pri začiatku spojnice alebo {@code valnull}, ak má byť
				 *    použité rovnaké orezanie ako pri kreslení samotnej
				 *    spojnice
				 */
				public Shape dajOrezanieZnačkyZačiatku()
				{
					if (null == značkaZačiatku) return null;
					return značkaZačiatku.vlastnéOrezanie;
				}

				/** <a class="alias"></a> Alias pre {@link #dajOrezanieZnačkyZačiatku() dajOrezanieZnačkyZačiatku}. */
				public Shape dajOrezanieZnackyZaciatku()
				{ return dajOrezanieZnačkyZačiatku(); }

				/**
				 * Vráti inštanciu {@linkplain Shape tvaru} vlastného orezania
				 * značiek pri konci čiary spojnice alebo {@code valnull},
				 * ak je použité rovnaké orezanie ako pri kreslení samotnej
				 * spojnice.
				 * 
				 * @return inštancia tvaru určujúca vlastné orezanie značiek
				 *    pri konci spojnice alebo {@code valnull}, ak má byť
				 *    použité rovnaké orezanie ako pri kreslení samotnej
				 *    spojnice
				 */
				public Shape dajOrezanieZnačkyKonca()
				{
					if (null == značkaKonca) return null;
					return značkaKonca.vlastnéOrezanie;
				}

				/** <a class="alias"></a> Alias pre {@link #dajOrezanieZnačkyKonca() dajOrezanieZnačkyKonca}. */
				public Shape dajOrezanieZnackyKonca()
				{ return dajOrezanieZnačkyKonca(); }


				/**
				 * Umožňuje zmeniť spôsob orezania značiek pri začiatku
				 * spojnice. Pozor! Volanie tejto metódy nemá význam ak nie
				 * je definované
				 * {@linkplain #definujZnačkuZačiatku(GRobot.KreslenieTvaru)
				 * kreslenie značky začiatku}! Hodnota {@code valnull} znamená,
				 * že má byť použité rovnaké orezanie ako pri kreslení samotnej
				 * čiary spojnice.
				 * 
				 * <P><small>(<b>Tip:</b> Ak chcete použiť vlastné orezanie
				 *    kreslenia značiek pri začiatku spojnice, a pritom
				 *    nekresliť žiadnu začiatočnú značku, tak implementujte
				 *    <b>a použite</b> prázdne rozhranie kreslenia tvaru – to
				 *    jest také, ktoré jestvuje, ale nič nekreslí.)</small>
				 * 
				 * <P><image>vlastne-orezanie.png</image>Ukážka využitia
				 * vlastného orezania<br /><small>(podrobnejšie vysvetlenie
				 * je nižšie)</small>
				 * 
				 * <P>Obrázok vyššie ukazuje dve situácie používajúce vlastné
				 * orezanie značiek začiatku a konca. Obrázok poskytuje pohľad
				 * na detail časti scény, ktorej úplná zmenšená verzia je
				 * vložená do rámčeka v pravej hornej časti obrázka. Obrázok
				 * je výsledkom riešenia zadania, ktoré určovalo, že elipsa
				 * A má mať značku spojnice (v tvare krúžka) kreslenú
				 * z vonkajšej strany a elipsa B naopak z vnútornej strany
				 * svojho tvaru.
				 * 
				 * <P>Elipsa A musí mať nastavené väčšie rozmery orezania než
				 * sú jej vlastné rozmery, aby bola čiara spojnice kreslená
				 * ďalej od okraja elipsy. Rozmer orezania spojnice pri tejto
				 * elipse naznačuje oranžová čiara nakreslená v detailnom
				 * pohľade. Ak by nejestvovala možnosť nastavenia vlastného
				 * orezania značky, tak by ju nebolo vidno, lebo všetko za
				 * hranicou oranžovej čiary by bolo orezané (vrátane značky).
				 * Značka musí mať nastavené vlastné orezanie totožné
				 * s rozmermi elipsy (prípadne prázdne orezanie – prázdnu
				 * oblasť orezania, avšak pozor, to neznamená hodnotu
				 * {@code valnull}; hodnota {@code valnull} by opäť
				 * znamenala orezanie totožné s hlavným orezaním, čiže na
				 * úrovni oranžovej čiary; prázdnu oblasť vytvoríte
				 * napríklad príkazom {@code kwdnew} {@link
				 * Oblasť#GRobot.Oblasť() Oblasť}{@code ()} alebo spustením
				 * metódy {@link Oblasť#vymaž() vymaž} pre jestvujúcu oblasť).
				 * 
				 * <P>Elipsa B musí mať nastavené rovnaké rozmery orezania
				 * ako sú jej vlastné rozmery, aby sa čiara spojnice končila
				 * presne na jej hraniciach. Ak by nejestvovala možnosť
				 * nastavenia vlastného orezania značky, tak by značku takmer
				 * nebolo vidno, lebo by bola z väčšej časti „ponorená“
				 * vo vnútri oblasti, ktorá je orezaná. Aby bola celá značka
				 * viditeľná, musí mať nastavené menšie rozmery orezania,
				 * napríklad také, ktoré sú na obrázku naznačené žltou
				 * čiarou (prípadne sa dá použiť prázdna oblasť orezania
				 * tak ako pri elipse A, pričom to opäť neznamená vloženie
				 * hodnoty {@code valnull} namiesto oblasti vlastného
				 * orezania, ale jestvujúcej oblasti bez geometrie).
				 * 
				 * <P><b>Príklad:</b>
				 * 
				 * <P>Nasledujúci úryvok kódu ukazuje jednoduchý spôsob
				 * riešenia rovnakej úlohy akú znázorňuje obrázok a opisuje
				 * text vyššie (tesne nad týmto príkladom).
				 * 
				 * <pre CLASS="example">
					{@code comm// Definovanie konštánt – veľkosť robotov, veľkosti značiek a pomer}
					{@code comm// medzi šírkou a výškou elipsy, ktorá bude tvarom robotov:}
					{@code kwdfinal} {@code typedouble} veľkosťRobota = {@code num50.0};
					{@code kwdfinal} {@code typedouble} veľkosťZnačky = {@code num12.5};
					{@code kwdfinal} {@code typedouble} pomer = {@code num2.5};


					{@code comm// Definícia tvaru robotov:}
					{@link KreslenieTvaru KreslenieTvaru} tvar = r -&gt;
					{
						r.{@link GRobot#elipsa(double) elipsa}(pomer);
						r.{@link GRobot#text(String) text}(r.{@link GRobot#meno() meno}());
					};

					{@code comm// Definícia tvaru značiek:}
					{@link KreslenieTvaru KreslenieTvaru} značka = r -&gt;
					{
						r.{@link GRobot#zdvihniPero() zdvihniPero}();
						r.{@link GRobot#vzad(double) vzad}(veľkosťZnačky);
						r.{@link GRobot#kružnica(double) kružnica}(veľkosťZnačky);
					};


					{@code comm// Definícia prvého robota (A):}
					{@link GRobot GRobot} A = {@code kwdnew} {@link GRobot#GRobot() GRobot}()
					{{
						{@link GRobot#meno(String) meno}({@code srg"A"});
						{@link GRobot#veľkosť(double) veľkosť}(veľkosťRobota);
						{@link GRobot#vlastnýTvar(GRobot.KreslenieTvaru) vlastnýTvar}(tvar);
						{@link GRobot#nekresliTvary() nekresliTvary}();

						{@link GRobot#skoč(double, double) skoč}(-{@code num180}, {@code num150});
					}};

					{@code comm// Definícia druhého robota (B):}
					{@link GRobot GRobot} B = {@code kwdnew} {@link GRobot#GRobot() GRobot}()
					{{
						{@link GRobot#meno(String) meno}({@code srg"B"});
						{@link GRobot#veľkosť(double) veľkosť}(veľkosťRobota);
						{@link GRobot#vlastnýTvar(GRobot.KreslenieTvaru) vlastnýTvar}(tvar);
						{@link GRobot#nekresliTvary() nekresliTvary}();

						{@link GRobot#skoč(double, double) skoč}({@code num180}, -{@code num150});
					}};


					{@code comm// Definícia spojnice so začiatkom v robotovi (elipse) A a koncom}
					{@code comm// v robotovi (elipse) B:}
					A.{@link GRobot#spojnica(GRobot, Shape, Shape) spojnica}(B,

						{@code comm// Orezanie začiatku spojnice – elipsa, ktorá je väčšia oproti}
						{@code comm// kreslenému tvaru:}
						A.{@link GRobot#elipsa(double, double) elipsa}(pomer * A.{@link GRobot#veľkosť() veľkosť}() + veľkosťZnačky * {@code num2.0},
							A.{@link GRobot#veľkosť() veľkosť}() + veľkosťZnačky * {@code num2.0}),

						{@code comm// Orezanie konca spojnice – elipsa, ktorá je totožná s kresleným}
						{@code comm// tvarom:}
						B.{@link GRobot#elipsa(double) elipsa}(pomer))

						{@code comm// Definícia značky na začiatku spojnice s vlastným tvarom}
						{@code comm// orezania (elipsou totožnou s kresleným tvarom):}
						.{@link Spojnica#definujZnačkuZačiatku(GRobot.KreslenieTvaru, Shape) definujZnačkuZačiatku}(značka, A.{@link GRobot#elipsa(double) elipsa}(pomer))

						{@code comm// Definícia značky na konci spojnice s vlastným tvarom}
						{@code comm// orezania (elipsou menšou oproti kreslenému tvaru):}
						.{@link Spojnica#definujZnačkuKonca(GRobot.KreslenieTvaru, Shape) definujZnačkuKonca}(značka,
							B.{@link GRobot#elipsa(double, double) elipsa}(pomer * B.{@link GRobot#veľkosť() veľkosť}() &#45; veľkosťZnačky * {@code num2.0},
								B.{@link GRobot#veľkosť() veľkosť}() &#45; veľkosťZnačky * {@code num2.0}));
					</pre>
				 * 
				 * @param vlastnéOrezanie vlastné orezanie kreslenia značiek
				 *    pri začiatku spojnice alebo {@code valnull}, ak má
				 *    byť použité rovnaké orezanie, aké je definované pre
				 *    kreslenie samotnej čiary spojnice
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica upravOrezanieZnačkyZačiatku(
					Shape vlastnéOrezanie)
				{
					if (null != značkaZačiatku)
						značkaZačiatku.vlastnéOrezanie(vlastnéOrezanie);
					automatickéPrekreslenie();
					return this;
				}

				/** <a class="alias"></a> Alias pre {@link #upravOrezanieZnačkyZačiatku(Shape) upravOrezanieZnačkyZačiatku}. */
				public Spojnica upravOrezanieZnackyZaciatku(
					Shape vlastnéOrezanie)
				{ return upravOrezanieZnačkyZačiatku(vlastnéOrezanie); }

				/**
				 * Umožňuje zmeniť spôsob orezania značiek pri začiatku
				 * spojnice. Pozor! Volanie tejto metódy nemá význam ak nie
				 * je definované
				 * {@linkplain #definujZnačkuKonca(GRobot.KreslenieTvaru)
				 * kreslenie značky konca}! Hodnota {@code valnull} znamená,
				 * že má byť použité rovnaké orezanie ako pri kreslení samotnej
				 * čiary spojnice.
				 * 
				 * <P><small>(<b>Tip:</b> Ak chcete použiť vlastné orezanie
				 *    kreslenia značiek pri konci spojnice, a pritom
				 *    nekresliť žiadnu koncovú značku, tak implementujte
				 *    <b>a použite</b> prázdne rozhranie kreslenia tvaru – to
				 *    jest také, ktoré jestvuje, ale nič nekreslí.)</small>
				 * <P><image>vlastne-orezanie.png</image>Ukážka využitia
				 * vlastného orezania<br /><small>(podrobnejšie vysvetlenie
				 * je nižšie)</small>
				 * 
				 * <P>Obrázok vyššie ukazuje dve situácie používajúce vlastné
				 * orezanie značiek začiatku a konca. Obrázok poskytuje pohľad
				 * na detail časti scény, ktorej úplná zmenšená verzia je
				 * vložená do rámčeka v pravej hornej časti obrázka. Obrázok
				 * je výsledkom riešenia zadania, ktoré určovalo, že elipsa
				 * A má mať značku spojnice (v tvare krúžka) kreslenú
				 * z vonkajšej strany a elipsa B naopak z vnútornej strany
				 * svojho tvaru.
				 * 
				 * <P>Elipsa A musí mať nastavené väčšie rozmery orezania než
				 * sú jej vlastné rozmery, aby bola čiara spojnice kreslená
				 * ďalej od okraja elipsy. Rozmer orezania spojnice pri tejto
				 * elipse naznačuje oranžová čiara nakreslená v detailnom
				 * pohľade. Ak by nejestvovala možnosť nastavenia vlastného
				 * orezania značky, tak by ju nebolo vidno, lebo všetko za
				 * hranicou oranžovej čiary by bolo orezané (vrátane značky).
				 * Značka musí mať nastavené vlastné orezanie totožné
				 * s rozmermi elipsy (prípadne prázdne orezanie – prázdnu
				 * oblasť orezania, avšak pozor, to neznamená hodnotu
				 * {@code valnull}; hodnota {@code valnull} by opäť
				 * znamenala orezanie totožné s hlavným orezaním, čiže na
				 * úrovni oranžovej čiary; prázdnu oblasť vytvoríte
				 * napríklad príkazom {@code kwdnew} {@link
				 * Oblasť#GRobot.Oblasť() Oblasť}{@code ()} alebo spustením
				 * metódy {@link Oblasť#vymaž() vymaž} pre jestvujúcu oblasť).
				 * 
				 * <P>Elipsa B musí mať nastavené rovnaké rozmery orezania
				 * ako sú jej vlastné rozmery, aby sa čiara spojnice končila
				 * presne na jej hraniciach. Ak by nejestvovala možnosť
				 * nastavenia vlastného orezania značky, tak by značku takmer
				 * nebolo vidno, lebo by bola z väčšej časti „ponorená“
				 * vo vnútri oblasti, ktorá je orezaná. Aby bola celá značka
				 * viditeľná, musí mať nastavené menšie rozmery orezania,
				 * napríklad také, ktoré sú na obrázku naznačené žltou
				 * čiarou (prípadne sa dá použiť prázdna oblasť orezania
				 * tak ako pri elipse A, pričom to opäť neznamená vloženie
				 * hodnoty {@code valnull} namiesto oblasti vlastného
				 * orezania, ale jestvujúcej oblasti bez geometrie).
				 * 
				 * <P><small>(<b>Poznámka:</b> Príklad použitia vlastného
				 * orezania koncovej aj začiatočnej značky je v opise metódy
				 * {@link #upravOrezanieZnačkyZačiatku(Shape)
				 * upravOrezanieZnačkyZačiatku}.)</small>
				 * 
				 * @param vlastnéOrezanie vlastné orezanie kreslenia značiek
				 *    pri konci spojnice alebo {@code valnull}, ak má byť
				 *    použité rovnaké orezanie, aké je definované pre
				 *    kreslenie samotnej čiary spojnice
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica upravOrezanieZnačkyKonca(
					Shape vlastnéOrezanie)
				{
					if (null != značkaKonca)
						značkaKonca.vlastnéOrezanie(vlastnéOrezanie);
					automatickéPrekreslenie();
					return this;
				}

				/** <a class="alias"></a> Alias pre {@link #upravOrezanieZnačkyKonca(Shape) upravOrezanieZnačkyKonca}. */
				public Spojnica upravOrezanieZnackyKonca(
					Shape vlastnéOrezanie)
				{ return upravOrezanieZnačkyKonca(vlastnéOrezanie); }


				// Zdrojový a cieľový robot
				private GRobot robot, cieľ;
					// (Pôvodná poznámka k cieľovému robotovi: Od začiatku sa
					// nedalo nahradiť polohou, lebo bolo treba poznať aj
					// viditeľnosť robota, čo predurčilo spojnice len na
					// používanie s typom GRobot.)

				// Štýl čiary
				private Stroke čiara;

				// Farba čiary
				private Farba farba;

				// Začiatočný a koncový tvar (oblasť) orezania
				private Shape orezanieZačiatku, orezanieKonca;

				// Vysunutie začiatku a konca spojnice od ich stredov
				private double vysunutieZačiatku, vysunutieKonca;


				// Úplný konštruktor (prijímajúci objekt Color)
				private Spojnica(Color farba, Stroke čiara, GRobot robot,
					GRobot cieľ, Shape orezanieZačiatku, Shape orezanieKonca)
				{
					if (null == farba)
						this.farba = null;
					else if (farba instanceof Farba)
						this.farba = (Farba)farba;
					else
						this.farba = new Farba(farba);

					this.čiara = čiara;
					this.robot = robot;
					this.cieľ = cieľ;

					// boolean nekresli_Záloha = Svet.nekresli;
					// Svet.nekresli = true;
					spracujOrezanieZačiatku(orezanieZačiatku);
					spracujOrezanieKonca(orezanieKonca);
					// Svet.nekresli = nekresli_Záloha;
				}


				// Spracuje orezanie začiatku spojnice
				private void spracujOrezanieZačiatku(Shape orezanieZačiatku)
				{
					if (null == orezanieZačiatku)
						this.orezanieZačiatku = null;
					else
					{
						AffineTransform at = new AffineTransform();
						at.translate(-robot.aktuálneX,
							robot.aktuálneY);
						at.rotate(Math.toRadians(
							(robot.aktuálnyUhol + robot.pootočenieTvaru) - 90),
							prepočítajX(robot.aktuálneX),
							prepočítajY(robot.aktuálneY));

						this.orezanieZačiatku = new Area(orezanieZačiatku).
							createTransformedArea(at);
					}
				}

				// Spracuje orezanie konca spojnice
				private void spracujOrezanieKonca(Shape orezanieKonca)
				{
					if (null == orezanieKonca)
						this.orezanieKonca = null;
					else
					{
						AffineTransform at = new AffineTransform();
						at.translate(-cieľ.aktuálneX,
							cieľ.aktuálneY);
						at.rotate(Math.toRadians(
							(cieľ.aktuálnyUhol + cieľ.pootočenieTvaru) - 90),
							prepočítajX(cieľ.aktuálneX),
							prepočítajY(cieľ.aktuálneY));

						this.orezanieKonca = new Area(orezanieKonca).
							createTransformedArea(at);
					}
				}


				/* – ee – to nie je dobré riešenie, vznikali by nadbytočné
					duplikáty…
				Spojnica(Spojnica predloha)
				{
					this.farba = new Farba(predloha.farba);
					this.čiara = new Stroke(
						predloha.čiara.getLineWidth(),
						predloha.čiara.getEndCap(),
						predloha.čiara.getLineJoin());
					this.cieľ = predloha.cieľ;
				}
				*/


				/**
				 * Prepočíta a vráti aktuálny tvar úsečky tejto spojnice.
				 * Metóda je použiteľná napríklad pri exporte spojníc do
				 * formátu {@linkplain SVGPodpora SVG}.
				 * @return aktuálny tvar úsečky spojnice
				 */
				public Line2D.Double tvar()
				{
					double začiatokX, začiatokY, koniecX, koniecY;

					if (null != orezanieZačiatku || null != orezanieKonca)
					{
						Area oblasťZačiatku;

						if (null != orezanieZačiatku)
						{
							oblasťZačiatku = new Area(orezanieZačiatku);

							if ((robot.aktuálnyUhol +
								robot.pootočenieTvaru) != 90 ||
								robot.aktuálneX != 0 ||
								robot.aktuálneY != 0)
							{
								AffineTransform at = new AffineTransform();
								at.rotate(Math.toRadians(
									90 - (robot.aktuálnyUhol +
										robot.pootočenieTvaru)),
									prepočítajX(robot.aktuálneX),
									prepočítajY(robot.aktuálneY));
								at.translate(robot.aktuálneX,
									-robot.aktuálneY);
								oblasťZačiatku = oblasťZačiatku.
									createTransformedArea(at);
							}
						}
						else oblasťZačiatku = null;

						Area oblasťKonca;

						if (null != orezanieKonca)
						{
							oblasťKonca = new Area(orezanieKonca);

							if ((cieľ.aktuálnyUhol +
								cieľ.pootočenieTvaru) != 90 ||
								cieľ.aktuálneX != 0 ||
								cieľ.aktuálneY != 0)
							{
								AffineTransform at = new AffineTransform();
								at.rotate(Math.toRadians(
									90 - (cieľ.aktuálnyUhol +
										cieľ.pootočenieTvaru)),
									prepočítajX(cieľ.aktuálneX),
									prepočítajY(cieľ.aktuálneY));
								at.translate(cieľ.aktuálneX,
									-cieľ.aktuálneY);
								oblasťKonca = oblasťKonca.
									createTransformedArea(at);
							}
						}
						else oblasťKonca = null;

						Line2D.Double čiaraSpojnice;

						if (0 == vysunutieZačiatku &&
							0 == vysunutieKonca)
							čiaraSpojnice = new Line2D.Double(
								prepočítajX(začiatokX = robot.aktuálneX),
								prepočítajY(začiatokY = robot.aktuálneY),
								prepočítajX(koniecX = cieľ.aktuálneX),
								prepočítajY(koniecY = cieľ.aktuálneY));
						else
						{
							double α = Math.toRadians(
								robot.smerNa(cieľ) - 90);
							double Δx1 = Math.cos(α) * vysunutieZačiatku;
							double Δy1 = Math.sin(α) * vysunutieZačiatku;
							double Δx2 = Math.cos(α) * vysunutieKonca;
							double Δy2 = Math.sin(α) * vysunutieKonca;

							čiaraSpojnice = new Line2D.Double(
								prepočítajX(začiatokX = robot.aktuálneX + Δx1),
								prepočítajY(začiatokY = robot.aktuálneY + Δy1),
								prepočítajX(koniecX = cieľ.aktuálneX + Δx2),
								prepočítajY(koniecY = cieľ.aktuálneY + Δy2));
						}

						if (null != oblasťZačiatku)
						{
							if (null != značkaZačiatku)
							{
								značkaZačiatku.vypočítajPolohu(
									oblasťZačiatku, čiaraSpojnice);
								začiatokX = značkaZačiatku.polohaX;
								začiatokY = značkaZačiatku.polohaY;
							}
							else
							{
								ZnačkaČiary značka =
									new ZnačkaČiary(null, null, false);
								značka.vypočítajPolohu(
									oblasťZačiatku, čiaraSpojnice);
								začiatokX = značka.polohaX;
								začiatokY = značka.polohaY;
							}
						}

						if (null != oblasťKonca)
						{
							if (null != značkaKonca)
							{
								značkaKonca.vypočítajPolohu(
									oblasťKonca, čiaraSpojnice);
								koniecX = značkaKonca.polohaX;
								koniecY = značkaKonca.polohaY;
							}
							else
							{
								ZnačkaČiary značka =
									new ZnačkaČiary(null, null, true);
								značka.vypočítajPolohu(
									oblasťKonca, čiaraSpojnice);
								koniecX = značka.polohaX;
								koniecY = značka.polohaY;
							}
						}
					}
					else
					{
						Line2D.Double čiaraSpojnice;

						if (0 == vysunutieZačiatku &&
							0 == vysunutieKonca)
							čiaraSpojnice = new Line2D.Double(
								prepočítajX(začiatokX = robot.aktuálneX),
								prepočítajY(začiatokY = robot.aktuálneY),
								prepočítajX(koniecX = cieľ.aktuálneX),
								prepočítajY(koniecY = cieľ.aktuálneY));
						else
						{
							double α = Math.toRadians(
								robot.smerNa(cieľ) - 90);
							double Δx1 = Math.cos(α) * vysunutieZačiatku;
							double Δy1 = Math.sin(α) * vysunutieZačiatku;
							double Δx2 = Math.cos(α) * vysunutieKonca;
							double Δy2 = Math.sin(α) * vysunutieKonca;

							čiaraSpojnice = new Line2D.Double(
								prepočítajX(začiatokX = robot.aktuálneX + Δx1),
								prepočítajY(začiatokY = robot.aktuálneY + Δy1),
								prepočítajX(koniecX = cieľ.aktuálneX + Δx2),
								prepočítajY(koniecY = cieľ.aktuálneY + Δy2));
						}
					}

					return new Line2D.Double(
						prepočítajX(začiatokX), prepočítajY(začiatokY),
						prepočítajX(koniecX), prepočítajY(koniecY));
				}


				/**
				 * Vráti inštanciu cieľového robota, čiže toho, od ktorého
				 * smeruje táto spojnica.
				 * 
				 * @return inštancia zdrojového robota – toho, od ktorého
				 *    smeruje spojnica
				 */
				public GRobot zdroj()
				{
					return robot;
				}


				/**
				 * Vráti inštanciu cieľového robota, čiže toho, ku ktorému
				 * smeruje táto spojnica.
				 * 
				 * @return inštancia cieľového robota – toho, ku ktorému
				 *    smeruje spojnica
				 */
				public GRobot cieľ()
				{
					return cieľ;
				}

				/** <a class="alias"></a> Alias pre {@link #cieľ() cieľ}. */
				public GRobot ciel()
				{
					return cieľ;
				}


				/**
				 * Vráti objekt typu (implementáciu rozhrania) {@link Stroke
				 * Stroke} určujúcu viaceré vlastnosti čiary. Je vysoká
				 * pravdepodobnosť, že vrátená implementácia je typu
				 * {@link BasicStroke BasicStroke}, ktorá umožňuje zistiť
				 * {@linkplain BasicStroke#getLineWidth() hrúbku čiary},
				 * {@linkplain BasicStroke#getEndCap() štýl ukončenia
				 * čiary}, {@linkplain BasicStroke#getLineJoin() štýl
				 * spojov lomených čiar},
				 * {@linkplain BasicStroke#getDashArray() pole hodnôt
				 * určujúcich čiarkovanú čiaru} a podobne.
				 * 
				 * @return implementácia rozhrania {@link Stroke Stroke}
				 *    určujúca viaceré vlastnosti čiary
				 */
				public Stroke čiara()
				{
					return čiara;
				}

				/** <a class="alias"></a> Alias pre {@link #čiara() čiara}. */
				public Stroke ciara()
				{
					return čiara;
				}

				/**
				 * Umožňuje určiť nový štýl čiary prostredníctvom implementácie
				 * rozhrania {@link Stroke Stroke}. Základnou implementáciou
				 * je trieda {@link BasicStroke BasicStroke}, ktorá umožňuje
				 * definovať značné množstvo vlastností čiary. (Nazložitejší
				 * konštruktor uvedenej triedy prijíma {@linkplain 
				 * BasicStroke#BasicStroke(float, int, int, float,
				 * float[], float) hrúbku čiary, štýl ukončenia čiary, štýl
				 * spojov lomených čiar, limit dĺžky špičiek ostrých hrán,
				 * pole hodnôt určujúcich čiarkovanú čiaru a fázu čiarkovanej
				 * čiary}.)
				 * 
				 * @param čiara štýl čiary určenej implementáciou rozhrania
				 *    {@link Stroke Stroke}, napríklad {@link BasicStroke
				 *    BasicStroke}
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica čiara(Stroke čiara)
				{
					if (null == čiara)
						this.čiara = null;
					else
						this.čiara = čiara;
					automatickéPrekreslenie();
					return this;
				}

				/** <a class="alias"></a> Alias pre {@link #čiara(Stroke) čiara}. */
				public Spojnica ciara(Stroke čiara)
				{
					return čiara(čiara);
				}


				/**
				 * Vráti hrúbku čiary poskytnutú aktuálnym štýlom čiary. Ak
				 * hrúbka nie je zistiteľná, tak metóda vráti hodnotu
				 * {@code num-1}.
				 * 
				 * @return hrúbka čiary (podľa aktuálneho štýlu čiary) alebo
				 *    {@code num-1}
				 */
				public double hrúbkaČiary()
				{
					if (null == čiara) return -1;
					if (čiara instanceof BasicStroke)
						return ((BasicStroke)čiara).getLineWidth();
					return -1;
				}

				/** <a class="alias"></a> Alias pre {@link #hrúbkaČiary() hrúbkaČiary}. */
				public double hrubkaCiary()
				{
					return hrúbkaČiary();
				}

				/**
				 * Určí novú hrúbku čiary spojnice. Ak je zadaná záporná
				 * hodnota, tak spojnica počas kreslenia prevezme hrúbku
				 * (resp. aj štýl) čiary zdrojového robota spojnice.
				 * 
				 * @param hrúbkaČiary nová hrúbka čiary, prípadne záporná
				 *    hodnota, ak má byť štýl čiary zdedený od hlavného robota
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica hrúbkaČiary(double hrúbkaČiary)
				{
					this.čiara = (hrúbkaČiary < 0) ? null : new BasicStroke(
						(float)hrúbkaČiary, BasicStroke.CAP_ROUND,
						BasicStroke.JOIN_ROUND);
					automatickéPrekreslenie();
					return this;
				}

				/** <a class="alias"></a> Alias pre {@link #hrúbkaČiary(double) hrúbkaČiary}. */
				public Spojnica hrubkaCiary(double hrúbkaČiary)
				{
					return hrúbkaČiary(hrúbkaČiary);
				}


				/**
				 * Vráti aktuálnu farbu čiary spojnice alebo hodnotu
				 * {@code valnull}, ak je farba zdedená od zdrojového robota.
				 * 
				 * @return aktuálna farba čiary spojnice alebo {@code valnull}
				 */
				public Farba farba()
				{
					return farba;
				}

				/**
				 * Určuje novú farbu čiary spojnice. Metóda prijíma aj hodnotu
				 * {@code valnull}. V takom prípade bude farba spojnice
				 * počas kreslenia prevzatá od zdrojového robota.
				 * 
				 * @param farba nová farba spojnice alebo {@code valnull}
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica farba(Color farba)
				{
					if (null == farba)
						this.farba = null;
					else if (farba instanceof Farba)
						this.farba = (Farba)farba;
					else
						this.farba = new Farba(farba);
					automatickéPrekreslenie();
					return this;
				}

				/**
				 * Určuje novú farbu čiary spojnice prostredníctvom objektu,
				 * ktorý implementuje rozhranie {@link Farebnosť Farebnosť}.
				 * Metóda prijíma aj hodnotu {@code valnull}. V takom prípade
				 * bude farba spojnice počas kreslenia prevzatá od zdrojového
				 * robota.
				 * 
				 * @param objekt objekt určujúci novú farbu spojnice alebo
				 *    {@code valnull}
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica farba(Farebnosť objekt)
				{
					if (null == objekt)
						farba = null;
					else
						farba = objekt.farba();
					automatickéPrekreslenie();
					return this;
				}


				// /** ZAVRHNUTÉ
					//  * Vráti tvar orezania začiatku spojnice alebo {@code valnull},
					//  * ak orezanie nebolo definované. Orezanie začiatku (i konca)
					//  * čiary spojnice má význam vo viacerých prípadoch –
					//  * podrobnosti sú v opise metódy {@link #orežZačiatok(Shape)
					//  * orežZačiatok(orezanieZačiatku}.
					//  * 
					//  * @return tvar orezania začiatku spojnice alebo
					//  *     {@code valnull}
					//  */
					// public Shape orežZačiatok()
					// {
					// 	return orezanieZačiatku;
					// }
					// 
					// /** <a class="alias"></a> Alias pre {@link #orežZačiatok() orežZačiatok}. */
					// public Shape orezZaciatok()
					// {
					// 	return orezanieZačiatku;
					// }
					// 
					// /**
					//  * Vráti tvar orezania konca spojnice alebo {@code valnull},
					//  * ak orezanie nebolo definované. Orezanie konca (i začiatku)
					//  * čiary spojnice má význam vo viacerých prípadoch –
					//  * podrobnosti sú v opise metódy {@link #orežKoniec(Shape)
					//  * orežKoniec(orezanieKonca}.
					//  * 
					//  * @return tvar orezania začiatku spojnice alebo
					//  *     {@code valnull}
					//  */
					// public Shape orežKoniec()
					// {
					// 	return orezanieKonca;
					// }
					// 
					// /** <a class="alias"></a> Alias pre {@link #orežKoniec() orežKoniec}. */
					// public Shape orezKoniec()
					// {
					// 	return orezanieKonca;
					// }

				/**
				 * Vráti tvar orezania začiatku spojnice alebo {@code valnull},
				 * ak orezanie nebolo definované. Orezanie začiatku (i konca)
				 * čiary spojnice má význam vo viacerých prípadoch –
				 * podrobnosti sú v opise metódy {@link #orezanieZačiatku(Shape)
				 * orezanieZačiatku(orezanieZačiatku)}.
				 * 
				 * @return tvar orezania začiatku spojnice alebo
				 *     {@code valnull}
				 */
				public Shape orezanieZačiatku()
				{
					return orezanieZačiatku;
				}

				/** <a class="alias"></a> Alias pre {@link #orezanieZačiatku() orezanieZačiatku}. */
				public Shape orezanieZaciatku()
				{
					return orezanieZačiatku;
				}

				/**
				 * Vráti tvar orezania konca spojnice alebo {@code valnull},
				 * ak orezanie nebolo definované. Orezanie konca (i začiatku)
				 * čiary spojnice má význam vo viacerých prípadoch –
				 * podrobnosti sú v opise metódy {@link #orezanieKonca(Shape)
				 * orezanieKonca(orezanieKonca}.
				 * 
				 * @return tvar orezania začiatku spojnice alebo
				 *     {@code valnull}
				 */
				public Shape orezanieKonca()
				{
					return orezanieKonca;
				}

				// /** ZAVRHNUTÉ
					//  * Definuje tvar orezania začiatku spojnice. Ak je zadaná
					//  * hodnota {@code valnull}, tak bude orezanie zrušené.
					//  * Orezanie začiatku (i konca) čiary spojnice má význam vo
					//  * viacerých prípadoch. Napríklad, ak chceme kresliť
					//  * priehľadný tvar robota a zároveň chceme, aby sa čiara
					//  * spojnice začínala na jeho hraniciach alebo potrebujeme
					//  * kresliť
					//  * {@linkplain #definujZnačkuZačiatku(GRobot.KreslenieTvaru)
					//  * značku začiatku} čiary spojnice presne na hranicicach
					//  * tvaru robota. Tvar orezania by sme v týchto prípadoch
					//  * volili tak, aby vymedzoval hranice objektu, ktorý robot
					//  * reprezentuje svojím tvarom.
					//  * 
					//  * @param orezanieZačiatku nový tvar orezania začiatku
					//  *    spojnice alebo {@code valnull}
					//  * @return aktuálna inštancia spojnice (na reťazové nastavenie
					//  *    viacerých vlastností)
					//  */
					// public Spojnica orežZačiatok(Shape orezanieZačiatku)
					// {
					// 	if (null == orezanieZačiatku)
					// 		this.orezanieZačiatku = null;
					// 	else
					// 	{
					// 		AffineTransform at = new AffineTransform();
					// 		at.translate(-robot.aktuálneX,
					// 			robot.aktuálneY);
					// 		at.rotate(Math.toRadians(
					// 			robot.aktuálnyUhol - 90),
					// 			prepočítajX(robot.aktuálneX),
					// 			prepočítajY(robot.aktuálneY));
					// 
					// 		this.orezanieZačiatku = new Area(orezanieZačiatku).
					// 			createTransformedArea(at);
					// 	}
					// 	return this;
					// }
					// 
					// /** <a class="alias"></a> Alias pre {@link #orežZačiatok(Shape) orežZačiatok}. */
					// public Spojnica orezZaciatok(Shape orezanieZačiatku)
					// {
					// 	return orežZačiatok(orezanieZačiatku);
					// }
					// 
					// /**
					//  * Definuje tvar orezania konca spojnice. Ak je zadaná
					//  * hodnota {@code valnull}, tak bude orezanie zrušené.
					//  * Orezanie konca (i začiatku) čiary spojnice má význam vo
					//  * viacerých prípadoch. Napríklad, ak chceme kresliť
					//  * priehľadný tvar cieľového robota a zároveň chceme, aby sa
					//  * čiara spojnice končila na jeho hraniciach alebo potrebujeme
					//  * kresliť
					//  * {@linkplain #definujZnačkuKonca(GRobot.KreslenieTvaru)
					//  * značku konca} čiary spojnice presne na hranicicach tvaru
					//  * cieľového robota. Tvar orezania by sme v týchto prípadoch
					//  * volili tak, aby vymedzoval hranice objektu, ktorý svojím
					//  * tvarom reprezentuje cieľový robot.
					//  * 
					//  * @param orezanieKonca nový tvar orezania konca
					//  *    spojnice alebo {@code valnull}
					//  * @return aktuálna inštancia spojnice (na reťazové nastavenie
					//  *    viacerých vlastností)
					//  */
					// public Spojnica orežKoniec(Shape orezanieKonca)
					// {
					// 	if (null == orezanieKonca)
					// 		this.orezanieKonca = null;
					// 	else
					// 	{
					// 		AffineTransform at = new AffineTransform();
					// 		at.translate(-cieľ.aktuálneX,
					// 			cieľ.aktuálneY);
					// 		at.rotate(Math.toRadians(
					// 			cieľ.aktuálnyUhol - 90),
					// 			prepočítajX(cieľ.aktuálneX),
					// 			prepočítajY(cieľ.aktuálneY));
					// 
					// 		this.orezanieKonca = new Area(orezanieKonca).
					// 			createTransformedArea(at);
					// 	}
					// 	return this;
					// }
					// 
					// /** <a class="alias"></a> Alias pre {@link #orežKoniec(Shape) orežKoniec}. */
					// public Spojnica orezKoniec(Shape orezanieKonca)
					// {
					// 	return orežKoniec(orezanieKonca);
					// }

				/**
				 * Definuje tvar orezania začiatku spojnice. Ak je zadaná
				 * hodnota {@code valnull}, tak bude orezanie zrušené.
				 * Orezanie začiatku (i konca) čiary spojnice má význam vo
				 * viacerých prípadoch. Napríklad, ak chceme kresliť
				 * priehľadný tvar robota a zároveň chceme, aby sa čiara
				 * spojnice začínala na jeho hraniciach alebo potrebujeme
				 * kresliť
				 * {@linkplain #definujZnačkuZačiatku(GRobot.KreslenieTvaru)
				 * značku začiatku} čiary spojnice presne na hranicicach
				 * tvaru robota. Tvar orezania by sme v týchto prípadoch
				 * volili tak, aby vymedzoval hranice objektu, ktorý robot
				 * reprezentuje svojím tvarom.
				 * 
				 * <P>Pri definovaní orezania je dôležité vedieť niekoľko
				 * informácií, aby nevznikali chybné orezania alebo chybné
				 * umiestňovanie značiek spojníc. V tomto odseku sú
				 * vysvetľované príčiny a technické detaily (ak ich
				 * nepotrebujete alebo nechcete vedieť, môžete tento odsek
				 * preskočiť) a v nasledujúcich odsekoch sú opísané dôsledky
				 * a vyslovené odporúčania. Orezanie sa deje s pomocou
				 * tvarov Javy, ktoré sa skladajú z menších častí (čiara,
				 * krivka, posunutie…) a sú za normálnych okolností
				 * „nepohyblivé“. Na to, aby bolo orezanie použiteľné, je
				 * nevyhnutné tvary „rozhýbať“. To sa deje s pomocou
				 * geometrických transformácií. Každý tvar orezania je pri
				 * použití transformovaný podľa aktuálneho smeru a polohy
				 * robota umiestneného na prislúchajúcom zakončení spojnice.
				 * Do tohto procesu vstupuje ešte jeden fakt. Každý tvar
				 * vygenerovaný robotom je ešte pri jeho generovaní umiestnený
				 * a pootočený podľa aktuálnej polohy a smeru robota, ktorý
				 * ho vygeneroval. Preto, aby orezanie mohlo správne fungovať,
				 * musí byť každý tvar pri definovaní nového alebo
				 * aktualizovaní jestvujúceho orezania spojnice transformovaný
				 * do neutrálnej polohy a smeru. Objekt tvaru neobsahuje
				 * informáciu o tom, ktorý robot ho vygeneroval, ani o tom,
				 * akú polohu a orientáciu vtedy ten robot mal. Preto sú
				 * tvary transformované podľa toho robota, ktorý prislúcha
				 * súvisiacemu zakončeniu spojnice – začiatočné orezanie podľa
				 * začiatočného robota spojnice a koncové podľa koncového.
				 * Orezania by tiež mali pokrývať celú plochu tvaru robotov,
				 * inak sa môžu pri výslednom zobrazení spojnice kresliť
				 * nežiadúce úseky spojnice a tiež môže nastať chybné
				 * umiestnenie značiek spojnice. (Podrobnosti sú nižšie.)
				 * 
				 * <P>Na základe informácií z predchádzajúceho odseku je
				 * dôležité, aby tvar orezania začiatku spojnice bol
				 * vygenerovaný začiatočným robotom (to jest robotom, z ktorého
				 * spojnica vychádza) a tvar orezania konca koncovým robotom
				 * (to jest tým, v ktorom spojnica končí). Na nasledujúcich
				 * dvoch animovaných obrázkoch je znázornená spojnica, ktorá
				 * nie je orezaná (vľavo) a spojnica, ktorá bola správne
				 * orezaná (vpravo) – tvar orezania začiatku (A) bol
				 * vygenerovaný začiatočným robotom ({@code srg"A"}) a tvar
				 * orezania konca (B) bol vygenerovaný koncovým (cieľovým)
				 * robotom ({@code srg"B"}).
				 * 
				 * <table style="margin-left: auto; margin-right: auto;">
				 * <tr><td><image>spojnica-bez-orezania.gif</image></td>
				 * <td><image>spojnica-spravne-orezanie.gif</image></td></tr>
				 * <tr><td style="text-align:center;"><small>Spojnica bez
				 * orezania</small></td>
				 * <td style="text-align:center;"><small>Správne orezaná
				 * spojnica</small></td></tr>
				 * </table>
				 * 
				 * <P>Nasledujúce dva animované obrázky ukazujú dve rôzne
				 * situácie nesprávneho orezania.
				 * 
				 * <P>Na obrázku vľavo sú použité tri rozmery orezania,
				 * ktoré nie je zhodné s tvarom robota (neprekrýva sa s ním).
				 * V prvých dvoch prípadoch nezasahuje orezanie stred tvaru
				 * prislúchajúceho robota, čo je príčinou toho, že sa
				 * v určitých fázach animácie spojnica rozdelí na dve časti
				 * a to zároveň spôsobuje chybné zobrazenie značky spojnice
				 * (šípky). Orezanie je totiž zároveň používané pri zisťovaní
				 * umiestnenia krajných značiek spojnice. Používa sa pri tom
				 * operácia prieniku tvaru orezania s čiarou spojnice. Ak je
				 * prienik zložitý, tak nemôže byť správne určené umiestnenie
				 * značky spojnice.
				 * 
				 * <P>Na obrázku vpravo bol na definovanie začiatočného
				 * orezania použitý koncový robot a naopak. Tvar orezania je
				 * za normálnych okolností neviditeľný. Aby bolo jasné, čo
				 * sa deje, sú tvary orezania na tomto obrázku zobrazené
				 * tenkými elipsami. Orezanie spojnice je správne v jednom
				 * jedinom okamihu animácie a to presne v tom, v ktorom bolo
				 * definované. Ak sa jeden z robotov pohne, orezanie prestane
				 * správne fungovať.
				 * 
				 * <table style="margin-left: auto; margin-right: auto;">
				 * <tr><td><image>spojnica-nespravne-orezanie-1.gif</image></td>
				 * <td><image>spojnica-nespravne-orezanie-2.gif</image></td></tr>
				 * <tr><td style="text-align:center;"><small>Nesprávne orezaná
				 * spojnica<br /><small>(tvar, ktorý neprechádza
				 * stredom)</small></small></td>
				 * <td style="text-align:center;"><small>Nesprávne orezaná
				 * spojnica<br /><small>(zámena robotov, ktorí generovali
				 * orezanie)</small></small></td></tr>
				 * </table>
				 * 
				 * <!-- TODO dopracovať príklad použitia -->
				 * <P><b>Príklad:</b>
				 * 
				 * <pre CLASS="example">
					{@code comm// Konštanta veľkostí robotov:}
					{@code kwdfinal} {@code typedouble} veľkosťRobota = {@code num66.0};


					{@code comm// Kreslenie tvaru šípky, ktorá bude tvoriť spojnicu:}
					{@code kwdfinal} {@link KreslenieTvaru KreslenieTvaru} šípka = r -&gt;
					{
						r.{@link GRobot#vpravo(double) vpravo}({@code num20});
						r.{@link GRobot#vpred(double) vpred}({@code num12});
						{@link Poloha Poloha} p = r.{@link GRobot#poloha() poloha}();
						r.{@link GRobot#zdvihniPero() zdvihniPero}();
						r.{@link GRobot#vzad(double) vzad}({@code num12});
						r.{@link GRobot#vľavo(double) vľavo}({@code num40});
						r.{@link GRobot#položPero() položPero}();
						r.{@link GRobot#vpred(double) vpred}({@code num12});
						r.{@link GRobot#choďNa(double, double) choďNa}(p);
					};

					{@code comm// Definícia tvaru robotov:}
					{@code kwdfinal} {@link KreslenieTvaru KreslenieTvaru} tvar = r -&gt;
					{
						r.{@link GRobot#hviezda() hviezda}();
						r.{@link GRobot#text(String) text}(r.{@link GRobot#meno() meno}());
					};


					{@code comm// Definícia robota s menom αlpha:}
					{@code kwdfinal} {@link GRobot GRobot} α = {@code kwdnew} {@link GRobot GRobot}();
					α.{@link GRobot#meno(String) meno}({@code srg"αlpha"});
					α.{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num1.5});
					α.{@link GRobot#veľkosť(double) veľkosť}(veľkosťRobota);
					α.{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(tvar);
					α.{@link GRobot#nekresliTvary() nekresliTvary}();
					α.{@link GRobot#zdvihniPero() zdvihniPero}();

					{@code comm// Definícia robota s menom βeta:}
					{@code kwdfinal} {@link GRobot GRobot} β = {@code kwdnew} {@link GRobot GRobot}();
					β.{@link GRobot#meno(String) meno}({@code srg"βeta"});
					β.{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num1.5});
					β.{@link GRobot#veľkosť(double) veľkosť}(veľkosťRobota);
					β.{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(tvar);
					β.{@link GRobot#nekresliTvary() nekresliTvary}();
					β.{@link GRobot#zdvihniPero() zdvihniPero}();

					{@code comm// Nastavenie počiatočných polôh robotov:}
					α.{@link GRobot#skoč(double, double) skoč}({@code num110}, -{@code num55});
					β.{@link GRobot#skoč(double, double) skoč}(-{@code num110}, {@code num55});


					{@code comm// Definícia spojnice a jej orezania:}
					{@link Spojnica Spojnica} spojnica = α.{@link GRobot#spojnica(GRobot) spojnica}(β);
					spojnica.{@link Spojnica#orezanieZačiatku(Shape) orezanieZačiatku}(α.{@link GRobot#hviezda() hviezda}());
					spojnica.{@link Spojnica#orezanieKonca(Shape) orezanieKonca}(β.{@link GRobot#hviezda() hviezda}());


					{@code comm// Nastavenie kreslenia značky začiatku:}
					spojnica.{@link Spojnica#definujZnačkuZačiatku(GRobot.KreslenieTvaru) definujZnačkuZačiatku}(šípka);


					{@code comm// Definícia takej obsluhy udalostí, ktorá umožnení presúvanie robotov:}
					{@code kwdnew} {@link ObsluhaUdalostí ObsluhaUdalostí}()
					{
						{@code comm// Inštancia robota, na ktorú bolo kliknuté:}
						{@link GRobot GRobot} r = {@code valnull};

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#klik() klik}()
						{
							{@code comm// Klik urobí to isté ako ťahanie myšou:}
							{@link GRobot#ťahanieMyšou() ťahanieMyšou}();
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#stlačenieTlačidlaMyši() stlačenieTlačidlaMyši}()
						{
							{@code comm// Zistenie, do ktorého robota bolo kliknuté a jeho aktivácia:}
							r = {@code valnull};
							{@code kwdif} (α.{@link GRobot#myšVHviezde() myšVHviezde}()) r = α; {@code kwdelse}
							{@code kwdif} (β.{@link GRobot#myšVHviezde() myšVHviezde}()) r = β;
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#ťahanieMyšou() ťahanieMyšou}()
						{
							{@code kwdif} ({@code valnull} != r && {@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidloMyši(int) tlačidloMyši}({@link GRobot#ĽAVÉ ĽAVÉ}))
							{
								{@code comm// Ak je aktívny jeden z robotov, tak ťahanie ľavého}
								{@code comm// tlačidla myši so súčasným držaním klávesu Shift ho}
								{@code comm// otočí na súradnice myši, v opačnom prípade je robot}
								{@code comm// na súradnice myši presunutý:}

								{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#myš() myš}().{@link MouseEvent#isShiftDown() isShiftDown}())
									r.{@link GRobot#otočNaMyš() otočNaMyš}();
								{@code kwdelse}
									r.{@link GRobot#skočNaMyš() skočNaMyš}();
							}
						}
					};
					</pre>
				 * 
				 * <P><b>Výsledok:</b>
				 * <P><image>spojnica-priklad-orezani.gif</image>Jednoduché
				 * presunutie jedného a potom druhého robota<br
				 * /><small>(plátno je orezané a automatický návrat do
				 * východiskovej polohy bol doprogramovaný,<br />aby
				 * animácia plynule nadväzovala pri jej opakovaní)</small>
				 * 
				 * <!--P><b>Poznámka:</b> Táto metóda nespúšťa automatické
				 * prekresľovanie, takže zmeny, ktoré sú ňou vykonané sa
				 * prejavia až po najbližšom prekreslení. —OPRAVENÉ— -->
				 * 
				 * @param orezanieZačiatku nový tvar orezania začiatku
				 *    spojnice alebo {@code valnull}
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica orezanieZačiatku(Shape orezanieZačiatku)
				{
					spracujOrezanieZačiatku(orezanieZačiatku);
					automatickéPrekreslenie();
					return this;
				}

				/** <a class="alias"></a> Alias pre {@link #orezanieZačiatku(Shape) orezanieZačiatku}. */
				public Spojnica orezanieZaciatku(Shape orezanieZačiatku)
				{
					return orezanieZačiatku(orezanieZačiatku);
				}

				/**
				 * Definuje tvar orezania konca spojnice. Ak je zadaná
				 * hodnota {@code valnull}, tak bude orezanie zrušené.
				 * Orezanie konca (i začiatku) čiary spojnice má význam vo
				 * viacerých prípadoch. Napríklad, ak chceme kresliť
				 * priehľadný tvar cieľového robota a zároveň chceme, aby sa
				 * čiara spojnice končila na jeho hraniciach alebo potrebujeme
				 * kresliť
				 * {@linkplain #definujZnačkuKonca(GRobot.KreslenieTvaru)
				 * značku konca} čiary spojnice presne na hranicicach tvaru
				 * cieľového robota. Tvar orezania by sme v týchto prípadoch
				 * volili tak, aby vymedzoval hranice objektu, ktorý svojím
				 * tvarom reprezentuje cieľový robot.
				 * 
				 * <P>Podrobnejšie informácie o orezaní konca aj začiatku
				 * spojnice a príklad ich použitia sú v opise metódy
				 * {@link #orezanieZačiatku(Shape) orezanieZačiatku}.
				 * 
				 * <!--P><b>Poznámka:</b> Táto metóda nespúšťa automatické
				 * prekresľovanie, takže zmeny, ktoré sú ňou vykonané sa
				 * prejavia až po najbližšom prekreslení. —OPRAVENÉ— -->
				 * 
				 * @param orezanieKonca nový tvar orezania konca
				 *    spojnice alebo {@code valnull}
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica orezanieKonca(Shape orezanieKonca)
				{
					spracujOrezanieKonca(orezanieKonca);
					automatickéPrekreslenie();
					return this;
				}


				/**
				 * Zistí aktuálne vysunutie začiatku spojnice od jej stredu.
				 * Hodnota {@code num0} znamená, že spojnica smeruje zo stredu
				 * zdrojového robota (to jest zo súradníc jeho aktuálnej
				 * polohy). Iná hodnota znamená vysunutie začiatku spojnice
				 * v kladnom alebo zápornom smere, ktorý je súhlasný s kladným
				 * alebo záporným smerom osi x, ak os y smeruje do koncového
				 * bodu spojnice. Napríklad hodnota {@code num10} znamená, že
				 * začiatok spojnice je vysunutý od aktuálnych súradníc
				 * zdroja o desať bodov smerom „doprava“ (ak považujeme smer
				 * „dopredu“ za súhlasný so smerom do cieľa).
				 * 
				 * <P><image>vysunutie-zaciatku-spojnice.png</image>Znázornenie
				 * kladného vysunutia začiatku spojnice – zelená čiara je
				 * spojnica,<br />ktorá nie je vysunutá a červená znázorňuje
				 * vysunutú spojnicu
				 * 
				 * @return aktuálne vysunutie začiatku spojnice od aktuálnej
				 *    polohy začiatočného robota (kladné hodnoty znamenajú
				 *    vysunutie smerom „doprava“ vzhľadom na orientáciu od
				 *    zdroja do cieľa, záporné zase „doľava“)
				 */
				public double vysunutieZačiatku()
				{
					return vysunutieZačiatku;
				}

				/** <a class="alias"></a> Alias pre {@link #vysunutieZačiatku() vysunutieZačiatku}. */
				public double vysunutieZaciatku()
				{
					return vysunutieZačiatku;
				}

				/**
				 * Zistí aktuálne vysunutie konca spojnice od jej stredu.
				 * Hodnota {@code num0} znamená, že spojnica smeruje do stredu
				 * cieľového robota (to jesto na súradnice jeho aktuálnej
				 * polohy). Iná hodnota znamená vysunutie konca spojnice
				 * v kladnom alebo zápornom smere, ktorý je súhlasný s kladným
				 * alebo záporným smerom začiatočného vysunutia spojnice.
				 * Napríklad hodnota {@code num10} znamená, že koniec spojnice
				 * je vysunutý o desať bodov smerom „doprava“, ak považujeme
				 * smer „dopredu“ za súhlasný so smerom od zdroja do cieľa.
				 * 
				 * <P><image>vysunutie-konca-spojnice.png</image>Znázornenie
				 * kladného vysunutia konca spojnice – zelená čiara je
				 * spojnica,<br />ktorá nie je vysunutá a červená znázorňuje
				 * vysunutú spojnicu
				 * 
				 * @return aktuálne vysunutie konca spojnice od aktuálnej
				 *    polohy koncového robota; kladné hodnoty znamenajú
				 *    vysunutie smerom „doprava“ vzhľadom na orientáciu od
				 *    zdroja do cieľa, záporné zase „doľava“
				 */
				public double vysunutieKonca()
				{
					return vysunutieKonca;
				}

				/**
				 * Umožňuje určiť vysunutie začiatočného bodu spojnice od jeho
				 * stredu. Hodnota {@code num0} znamená, že spojnica smeruje
				 * presne zo stredu zdrojového robota (to jest zo súradníc
				 * jeho aktuálnej polohy). Iná hodnota vysunie začiatok
				 * spojnice v kladnom alebo zápornom smere, ktorý je súhlasný
				 * s kladným alebo záporným smerom osi x, ak os y smeruje do
				 * koncového bodu spojnice. Napríklad hodnota {@code num10}
				 * znamená, že začiatok spojnice bude vysunutý od aktuálnych
				 * súradníc zdroja o desať bodov smerom „doprava“ (ak
				 * považujeme smer „dopredu“ za súhlasný so smerom od zdroja
				 * do cieľa).
				 * 
				 * <P><image>vysunutie-zaciatku-spojnice.png</image>Znázornenie
				 * kladného vysunutia začiatku spojnice – zelená čiara je
				 * spojnica,<br />ktorá nie je vysunutá a červená znázorňuje
				 * vysunutú spojnicu
				 * 
				 * @param vysunutie nové vysunutie začiatku spojnice od
				 *    aktuálnej polohy začiatkočného robota; (kladné hodnoty
				 *    znamenajú vysunutie smerom „doprava“ vzhľadom na
				 *    orientáciu od zdroja do cieľa, záporné zase „doľava“)
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica vysunutieZačiatku(double vysunutie)
				{
					// Reset kreslenia značiek:
					if (null != značkaZačiatku)
						značkaZačiatku.poslednéOrezanie = null;

					if (null != značkaKonca)
						značkaKonca.poslednéOrezanie = null;

					this.vysunutieZačiatku = vysunutie;
					return this;
				}

				/** <a class="alias"></a> Alias pre {@link #vysunutieZačiatku(double) vysunutieZačiatku}. */
				public Spojnica vysunutieZaciatku(double vysunutie)
				{
					return vysunutieZačiatku(vysunutie);
				}

				/**
				 * Umožňuje určiť vysunutie koncového bodu spojnice od jeho
				 * stredu. Hodnota {@code num0} znamená, že spojnica smeruje
				 * presne do stredu cieľového robota (to jest na súradnice
				 * jeho aktuálnej polohy). Iná hodnota vysunie koniec spojnice
				 * v kladnom alebo zápornom smere, ktorý je súhlasný s kladným
				 * alebo záporným smerom začiatočného vysunutia spojnice.
				 * Napríklad hodnota {@code num10} znamená, že koniec spojnice
				 * bude vysunutý od aktuálnych súradníc cieľa o desať bodov
				 * smerom „doprava“, ak považujeme smer „dopredu“ za súhlasný
				 * so smerom od zdroja do cieľa.
				 * 
				 * <P><image>vysunutie-konca-spojnice.png</image>Znázornenie
				 * kladného vysunutia konca spojnice – zelená čiara je
				 * spojnica,<br />ktorá nie je vysunutá a červená znázorňuje
				 * vysunutú spojnicu
				 * 
				 * @param vysunutie nové vysunutie konca spojnice od
				 *    aktuálnej polohy koncového robota; kladné hodnoty
				 *    znamenajú vysunutie smerom „doprava“ vzhľadom na
				 *    orientáciu od zdroja do cieľa, záporné zase „doľava“
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica vysunutieKonca(double vysunutie)
				{
					// Reset kreslenia značiek:
					if (null != značkaZačiatku)
						značkaZačiatku.poslednéOrezanie = null;

					if (null != značkaKonca)
						značkaKonca.poslednéOrezanie = null;

					this.vysunutieKonca = vysunutie;
					return this;
				}

				/**
				 * Umožňuje určiť vysunutie oboch koncov spojnice od stredov
				 * prepájaných robotov súčasne. Hodnota {@code num0} znamená,
				 * že spojnica smeruje presne zo „stredu“ (z aktuálnej polohy)
				 * zdrojového robota presne do „stredu“ (na súradnice
				 * aktuálnej polohy) cieľového robota. Iná hodnota vysunie
				 * začiatok spojnice v kladnom alebo zápornom smere, napríklad
				 * hodnota {@code num10} znamená, že spojnica bude vysunutá od
				 * aktuálnych súradníc zdroja a cieľa o desať bodov smerom
				 * „doprava“, ak považujeme smer „dopredu“ za súhlasný so
				 * smerom od zdroja do cieľa.
				 * 
				 * <table style="margin-left: auto; margin-right: auto;">
				 * <tr><td><image>vysunutie-zaciatku-spojnice.png</image></td>
				 * <td><image>vysunutie-konca-spojnice.png</image></td></tr>
				 * <tr><td colspan="2" style="text-align:
				 * center;"><small>Znázornenie kladného vysunutia začiatku
				 * (vľavo) a konca (vpravo) spojnice – zelená čiara je
				 * spojnica,<br />ktorá nie je vysunutá a červená znázorňuje
				 * vysunutú spojnicu</small></td></tr></table>
				 * 
				 * @param vysunutie nové vysunutie spojnice od aktuálnych polôh
				 *    prepájaných robotov; kladné hodnoty znamenajú vysunutie
				 *    smerom „doprava“ vzhľadom na orientáciu od zdroja do
				 *    cieľa, záporné zase „doľava“
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 * @return aktuálna inštancia spojnice (na reťazové nastavenie
				 *    viacerých vlastností)
				 */
				public Spojnica vysunutie(double vysunutie)
				{
					if (null != značkaZačiatku)
						značkaZačiatku.poslednéOrezanie = null;

					if (null != značkaKonca)
						značkaKonca.poslednéOrezanie = null;

					this.vysunutieZačiatku = this.vysunutieKonca = vysunutie;
					return this;
				}
			}


			private final Vector<Spojnica> spojnice =
				new Vector<Spojnica>();

		// Aktívne plátno robota

			// (predvolene podlaha, môže byť zvolený aj strop)
			private Plátno aktívnePlátno;
			private BufferedImage obrázokAktívnehoPlátna;
			private Graphics2D grafikaAktívnehoPlátna;

		// Vnútorná pamäť robota

			// Objekty na zálohovanie súčastí podlahy alebo stropu
			private BufferedImage obrázokZálohyPlátna = null;
			private int[] zálohaPlátna = null;
			private ZálohaKonzoly zálohaKonzoly = null;

			// Cesta a dráha
			// private final Polygon cesta = new Polygon();
			private final Path2D.Double cesta = new Path2D.Double();
			private boolean záznamCesty = false;
			private boolean záznamCestyBezPolohyPera = true;

			private final Vector<Bod> dráha = new Vector<Bod>();
			private final Vector<Double> mapaSmerov = new Vector<Double>();
			private final TreeSet<Integer> kľúčovéFázy = new TreeSet<Integer>();
			private int fázaDráhy = -1;

			// Zamestanie
			private Oblasť zamestnanýPre = null;

		// Ďalšie príznaky

			// Aktuálny spôsob kreslenia obrázkov a písania textov
			private int spôsobKreslenia = KRESLI_NA_STRED | KRESLI_ROTOVANÉ;

			// Semafór, ktorý je okrem iného (explicitne naznačeného názvom),
			// použitý pri signalizácii (ne)zamestnanosti tohto robota pre
			// Oblasť
			private boolean kresliTvary = true;

			// Príznak meniaci správanie metód kresliacich tvary (buď sú
			// kreslené obrysy tvarov, alebo sú tvary vypĺňané)
			private boolean vypĺňajTvary = false;

			// Príznak použitia príkazov konzoly
			private static boolean konzolaPoužitá = false;

			// Príznak uloženia konfigurácie sveta (a plátien)
			private static boolean uložKonfiguráciuSveta = false;

			// Priehľadnosť robota
			private float priehľadnosť = 1.0f;

			// Poradové číslo (kresliacej) vrstvy, v ktorej sa robot nachádza
			private int vrstva = 0;

			// Príznak aktivácie interaktívneho režimu pre tohto robota
			private boolean interaktívnyRežim = false;

			// Počítadlo objektov v interaktívnom režime
			private static int početVInteraktívnomRežime = 0;

			// Kód poslednej chyby
			private static int poslednáChyba = 0;

			// Aktívna inštancia v interaktívnom režime
			private static String interaktívnaInštancia = null;


	// -------------------------- //
	//  *** Vlastnosti sveta ***  //
	// -------------------------- //

		// Pôvodný názov nasledujúceho atribútu bol „titulokOkna“, pretože bol
		// použitý ako predvolený titulok (názov) okna. Pole bolo súkromné. Vo
		// verzii 1.50 bol atribút premenovaný a zverejnený.

			/** Úplný reťazec poskytujúci informácie o tejto verzii knižnice. */
			public final static String versionString = "GRobot " +
				GRobot.majorVersion + "." +
				Integer.toString(GRobot.minorVersion + 100).substring(1) +
				GRobot.versionNote + ", © " + GRobot.years + ", " +
				GRobot.mainDeveloper;

		// Hlavný robot (prvý robot, ktorý kedysi inicializoval a spravoval
			// grafiku, teraz poskytuje metódy na prekrytie, ktoré sú
			// alternatívou obsluhy udalostí)

			private static GRobot hlavnýRobot;
			private static boolean inicializované = false;

		// Prvky a údaje rozloženia hlavného okna

			// Atribúty používané na uloženie parametrov okna

				private final static String
					predvolenýNázovKonfiguračnéhoSúboru = "grobot.cfg";
				private static String názovKonfiguračnéhoSúboru = null;
				private final static Súbor konfiguračnýSúbor = new Súbor();
				private static boolean prvéSpustenie = true;

				private static void uložKonfiguráciu()
				{
					if (null == názovKonfiguračnéhoSúboru) return;

					try { konfiguračnýSúbor.zavri(); }
					catch (Exception e) { vypíšChybovéHlásenia(e); }

					int početRegistrovanýchRobotov = 0;

					for (GRobot tento : zoznamRobotov)
						if (tento.jeRegistrovaný)
							++početRegistrovanýchRobotov;

					if (0 == početRegistrovanýchRobotov &&
						počiatočnáŠírka == svet.getWidth() &&
						počiatočnáVýška == svet.getHeight() &&
						počiatočnéX == svet.getLocation().x &&
						počiatočnéY == svet.getLocation().y &&
						(null == počúvadlo ||
							(!počúvadlo.konfiguráciaZmenená() &&
							!počúvadlo.konfiguraciaZmenena())))

							// (null == hlavnýRobot ||
								// (!hlavnýRobot.konfiguráciaZmenená() &&
								// !hlavnýRobot.konfiguraciaZmenena()))

					{
						boolean žiadnaZmena = true;

						for (GRobot počúvajúci : počúvajúciSúbory)
						{
							if (počúvajúci.konfiguráciaZmenená() ||
								počúvajúci.konfiguraciaZmenena())
							{
								žiadnaZmena = false;
								break;
							}
						}

						if (žiadnaZmena) return;
					}

					try
					{
						konfiguračnýSúbor.otvorNaZápis(
							názovKonfiguračnéhoSúboru);

						// Konfigurácia okna
						{
							String mennýPriestor =
								konfiguračnýSúbor.mennýPriestorVlastností;
							konfiguračnýSúbor.mennýPriestorVlastností = "okno";

							konfiguračnýSúbor.zapíšVlastnosť(
								"x", svet.getLocation().x); // windowX
							konfiguračnýSúbor.zapíšVlastnosť(
								"y", svet.getLocation().y); // windowY

							konfiguračnýSúbor.zapíšVlastnosť(
								"šírka", svet.getWidth()); // windowWidth
							konfiguračnýSúbor.zapíšVlastnosť(
								"výška", svet.getHeight()); // windowHeight

							konfiguračnýSúbor.mennýPriestorVlastností =
								mennýPriestor;
						}

						if (uložKonfiguráciuSveta) try
						{
							String mennýPriestor =
								konfiguračnýSúbor.mennýPriestorVlastností;


							konfiguračnýSúbor.mennýPriestorVlastností = "svet";

							konfiguračnýSúbor.zapíšVlastnosť(
								"farbaPozadia", null == farbaPozadia ?
								null : Farba.farbaNaReťazec(farbaPozadia));

							konfiguračnýSúbor.zapíšVlastnosť(
								"interaktívny", Svet.interaktívnyRežim);


							konfiguračnýSúbor.mennýPriestorVlastností =
								"svet.časovač";

							konfiguračnýSúbor.zapíšVlastnosť(
								"aktívny", časovač.aktívny());

							konfiguračnýSúbor.zapíšVlastnosť(
								"čas", Long.valueOf(časovač.čas));


							konfiguračnýSúbor.mennýPriestorVlastností =
								"svet.výplne";

							konfiguračnýSúbor.zapíšVlastnosť("posunutie",
								Bod.polohaNaReťazec(posunutieVýplneX,
									posunutieVýplneY));

							konfiguračnýSúbor.zapíšVlastnosť("mierka",
								Bod.polohaNaReťazec(
									mierkaVýplneX, mierkaVýplneY));

							konfiguračnýSúbor.zapíšVlastnosť("otočenie",
								otočVýplňΑ);

							konfiguračnýSúbor.zapíšVlastnosť("stredOtáčania",
								Bod.polohaNaReťazec(stredOtáčaniaVýplneX,
									stredOtáčaniaVýplneY));


							Farba farba;


							konfiguračnýSúbor.mennýPriestorVlastností =
								"podlaha";

							farba = podlaha.farbaTextu();
							konfiguračnýSúbor.zapíšVlastnosť("farbaTextu",
								null == farba ? null :
									Farba.farbaNaReťazec(farba));

							farba = podlaha.farbaPozadiaTextu();
							konfiguračnýSúbor.zapíšVlastnosť(
								"farbaPozadiaTextu", null == farba ? null :
									Farba.farbaNaReťazec(farba));

							podlaha.vnútornáKonzola.aktuálnePísmo.
								uložDoSúboru(konfiguračnýSúbor);

							konfiguračnýSúbor.zapíšVlastnosť(
								"interaktívny", podlaha.interaktívnyRežim);


							konfiguračnýSúbor.mennýPriestorVlastností =
								"strop";

							farba = strop.farbaTextu();
							konfiguračnýSúbor.zapíšVlastnosť("farbaTextu",
								null == farba ? null :
									Farba.farbaNaReťazec(farba));

							farba = strop.farbaPozadiaTextu();
							konfiguračnýSúbor.zapíšVlastnosť(
								"farbaPozadiaTextu", null == farba ? null :
									Farba.farbaNaReťazec(farba));

							strop.vnútornáKonzola.aktuálnePísmo.
								uložDoSúboru(konfiguračnýSúbor);

							konfiguračnýSúbor.zapíšVlastnosť(
								"interaktívny", strop.interaktívnyRežim);


							konfiguračnýSúbor.mennýPriestorVlastností =
								mennýPriestor;
						}
						catch (Exception e) { vypíšChybovéHlásenia(e); }

						for (GRobot tento : zoznamRobotov)
						{
							try
							{
								if (tento.jeRegistrovaný)
									tento.uložDoSúboru(konfiguračnýSúbor);
							}
							catch (Exception e) { vypíšChybovéHlásenia(e); }
						}

						if (null != počúvadlo)
						{
							počúvadlo.zapíšKonfiguráciu(konfiguračnýSúbor);
							počúvadlo.zapisKonfiguraciu(konfiguračnýSúbor);
						}

						// if (null != hlavnýRobot)
						// {
						// 	hlavnýRobot.zapíšKonfiguráciu(konfiguračnýSúbor);
						// 	hlavnýRobot.zapisKonfiguraciu(konfiguračnýSúbor);
						// }

						for (GRobot počúvajúci : počúvajúciSúbory)
						{
							počúvajúci.zapíšKonfiguráciu(konfiguračnýSúbor);
							počúvajúci.zapisKonfiguraciu(konfiguračnýSúbor);
						}
					}
					catch (Exception e) { vypíšChybovéHlásenia(e); }

					try { konfiguračnýSúbor.zavri(); }
					catch (Exception e) { vypíšChybovéHlásenia(e); }
				}

				private static void čítajVlastnúKonfiguráciu()
				{
					if (null == názovKonfiguračnéhoSúboru) return;

					if (null != počúvadlo) try
					{
						// konfiguračnýSúbor.otvorNaČítanie(
						// 	názovKonfiguračnéhoSúboru);

						počúvadlo.čítajKonfiguráciu(konfiguračnýSúbor);
						počúvadlo.citajKonfiguraciu(konfiguračnýSúbor);
					}
					catch (Exception e) { vypíšChybovéHlásenia(e); }

					// if (null != hlavnýRobot) try
					// {
					// 	// konfiguračnýSúbor.otvorNaČítanie(
					// 	// 	názovKonfiguračnéhoSúboru);
					// 
					// 	hlavnýRobot.čítajKonfiguráciu(konfiguračnýSúbor);
					// 	hlavnýRobot.citajKonfiguraciu(konfiguračnýSúbor);
					// }
					// catch (Exception e) { vypíšChybovéHlásenia(e); }

					for (GRobot počúvajúci : počúvajúciSúbory) try
					{
						// konfiguračnýSúbor.otvorNaČítanie(
						// 	názovKonfiguračnéhoSúboru);

						počúvajúci.čítajKonfiguráciu(konfiguračnýSúbor);
						počúvajúci.citajKonfiguraciu(konfiguračnýSúbor);
					}
					catch (Exception e) { vypíšChybovéHlásenia(e); }

					// try { konfiguračnýSúbor.zavri(); }
					// catch (Exception e) { vypíšChybovéHlásenia(e); }
				}


			// Rozmery plátna (s definovanými predvolenými hodnotami)

				private static int šírkaPlátna = 800, výškaPlátna = 600;

			// Počiatočné rozmery a poloha okna (s definovanými
				// predvolenými hodnotami)

				private static int počiatočnáŠírka = 600;
				private static int počiatočnáVýška = 500;
				private static int počiatočnéX = 25;
				private static int počiatočnéY = 25;

			// Viditeľnosť pri štarte (aplikácie môžu oceniť, keď je hlavné
				// okno pri štarte skryté a aplikácia sa môže inicializovať
				// na pozadí…)

				private static boolean zobrazPriŠtarte = true;

			// Séria atribútov na transformáciu výplní (tých obrázkových –
			// kvázi textúr)

				private static double posunutieVýplneX = 0.0;
				private static double posunutieVýplneY = 0.0;
				private static double stredOtáčaniaVýplneX = 0.0;
				private static double stredOtáčaniaVýplneY = 0.0;

				private static double posuňVýplňX = šírkaPlátna / 2.0 +
					posunutieVýplneX;
				private static double posuňVýplňY = výškaPlátna / 2.0 -
					posunutieVýplneY;
				private static double mierkaVýplneX = 1.0;
				private static double mierkaVýplneY = 1.0;
				private static double otočVýplňΑ = 0.0;
				private static double otočVýplňX = (šírkaPlátna / 2.0 +
					posunutieVýplneX) + stredOtáčaniaVýplneX;
				private static double otočVýplňY = (výškaPlátna / 2.0 -
					posunutieVýplneY) - stredOtáčaniaVýplneY;

				// Pri zmene rozmerov plátna alebo pri úprave zdrojových
				// údajov pre parametre výplne ich treba prepočítať.
				private static void prepočítajParametreVýplne()
				{
					posuňVýplňX = prepočítajX(posunutieVýplneX);
					posuňVýplňY = prepočítajY(posunutieVýplneY);
					otočVýplňX = prepočítajX(posunutieVýplneX) +
						stredOtáčaniaVýplneX;
					otočVýplňY = prepočítajY(posunutieVýplneY) -
						stredOtáčaniaVýplneY;
				}

			// Komponent klientskej oblasti okna s príslušenstvom

				private static ImageIcon ikonaPlátna;
				private static JLabel komponentIkony;

				@SuppressWarnings("serial")
				private static JPanel hlavnýPanel = new JPanel()
				{
					@Override public boolean isOptimizedDrawingEnabled()
					{ return false; }


					// Ťahanie a pustenie súborov -- začiatok

					private DropTarget cieľPusteniaSúboru;
					private ObsluhaPusteniaSúboru obsluhaPusteniaSúboru;

					private DropTarget cieľPusteniaSúboru()
					{
						if (cieľPusteniaSúboru == null)
							cieľPusteniaSúboru = new DropTarget(this,
								DnDConstants.ACTION_COPY, null);

						return cieľPusteniaSúboru;
					}

					private ObsluhaPusteniaSúboru obsluhaPusteniaSúboru()
					{
						if (obsluhaPusteniaSúboru == null)
							obsluhaPusteniaSúboru = new ObsluhaPusteniaSúboru();

						return obsluhaPusteniaSúboru;
					}

					@Override public void addNotify()
					{
						super.addNotify();

						try
						{
							cieľPusteniaSúboru().
								addDropTargetListener(
									obsluhaPusteniaSúboru());
						}
						catch (TooManyListenersException e)
						{ vypíšChybovéHlásenia(e); }
					}

					@Override public void removeNotify()
					{
						super.removeNotify();

						cieľPusteniaSúboru().
							removeDropTargetListener(
								obsluhaPusteniaSúboru());
					}

					// Ťahanie a pustenie súborov -- koniec
				};

				// Trieda pracujúca so systémom Ťahaj a Pusti (súbor)
				private static class ObsluhaPusteniaSúboru
					implements DropTargetListener
				{
					private void povoliťPustenie(DropTargetDragEvent dtde)
					{
						if (dtde.isDataFlavorSupported(
							DataFlavor.javaFileListFlavor))
						{
							/* TOTO TAKTO NEFUNGUJE
							if (null != počúvadlo)
							{
								if (počúvadlo.povoliťPustenieSúboru() ||
									počúvadlo.povolitPustenieSuboru())
								{
									dtde.acceptDrag(DnDConstants.ACTION_COPY);

									súradnicaMyšiX = korekciaMyšiX(
										dtde.getLocation().getX());
									súradnicaMyšiY = korekciaMyšiY(
										dtde.getLocation().getY());

									return;
								}
							}

							if (null != hlavnýRobot)
							{
								if (hlavnýRobot.povoliťPustenieSúboru() ||
									hlavnýRobot.povolitPustenieSuboru())
								{
									dtde.acceptDrag(DnDConstants.ACTION_COPY);

									súradnicaMyšiX = korekciaMyšiX(
										dtde.getLocation().getX());
									súradnicaMyšiY = korekciaMyšiY(
										dtde.getLocation().getY());

									return;
								}
							}
							*/

							súradnicaMyšiX = korekciaMyšiX(
								dtde.getLocation().getX());
							súradnicaMyšiY = korekciaMyšiY(
								dtde.getLocation().getY());

							if (null != počúvadlo)
							{
								počúvadlo.ťahanieSúborov();
								počúvadlo.tahanieSuborov();
							}

							// if (null != hlavnýRobot)
							// {
							// 	hlavnýRobot.ťahanieSúborov();
							// 	hlavnýRobot.tahanieSuborov();
							// }

							for (GRobot počúvajúci : počúvajúciRozhranie)
							{
								počúvajúci.ťahanieSúborov();
								počúvajúci.tahanieSuborov();
							}

							dtde.acceptDrag(DnDConstants.ACTION_COPY);
						}
						else dtde.rejectDrag();
					}

					@Override public void dragEnter(
						DropTargetDragEvent dtde)
					{ povoliťPustenie(dtde); }

					@Override public void dragOver(
						DropTargetDragEvent dtde)
					{ povoliťPustenie(dtde); }

					@Override public void dropActionChanged(
						DropTargetDragEvent dtde) {}
					@Override public void dragExit(
						DropTargetEvent dte) {}

					@Override public void drop(DropTargetDropEvent dtde)
					{
						Transferable transferable = dtde.getTransferable();
						if (dtde.isDataFlavorSupported(
							DataFlavor.javaFileListFlavor))
						{
							dtde.acceptDrop(dtde.getDropAction());
							try
							{
								@SuppressWarnings("unchecked")
								List<File> transferData =
									(List<File>)transferable.
										getTransferData(
											DataFlavor.javaFileListFlavor);

								if (transferData != null &&
									transferData.size() > 0)
								{
									for (File file : transferData)
									{
										String menoSúboru =
											file.getCanonicalPath();

										if (null != počúvadlo)
										{
											počúvadlo.pustenieSúboru(
												menoSúboru);
											počúvadlo.pustenieSuboru(
												menoSúboru);
										}

										// if (null != hlavnýRobot)
										// {
										// 	hlavnýRobot.pustenieSúboru(
										// 		menoSúboru);
										// 	hlavnýRobot.pustenieSuboru(
										// 		menoSúboru);
										// }

										for (GRobot počúvajúci :
											počúvajúciRozhranie)
										{
											počúvajúci.pustenieSúboru(
												menoSúboru);
											počúvajúci.pustenieSuboru(
												menoSúboru);
										}
									}

									dtde.dropComplete(true);
								}
							}
							catch (Exception e) { vypíšChybovéHlásenia(e); }
						}
						else dtde.rejectDrop();
					}
				}


			// Položky hlavnej ponuky

				private static PoložkaPonuky položkaVymazať    = null;
				private static PoložkaPonuky položkaPrekresliť = null;
				private static PoložkaPonuky položkaSkončiť    = null;
				private static boolean ponukaVPôvodnomStave    = true;
				private static int aktuálnaPonuka  = 0;
				private static int aktuálnaPoložka = 0; // 3;

			// Položka kontextovej ponuky

				private static KontextováPoložka
					poslednáKontextováPoložka = null;

			// Dvojité „bufferovanie“ grafiky

				// Komponent okna „obrázok“
				private static BufferedImage obrázok =
					new BufferedImage(šírkaPlátna, výškaPlátna,
						BufferedImage.TYPE_INT_ARGB);

				// Grafický objekt na kreslenie do „obrázka“ (ako komponentu)
				private static Graphics2D grafika = obrázok.createGraphics();

				// Vyrovnávacia pamäť (sekundárny buffer) komponentu okna
				private static BufferedImage vyrovnávaciaPamäťObrázka =
					new BufferedImage(šírkaPlátna, výškaPlátna,
						BufferedImage.TYPE_INT_ARGB);

				// Vyrovnávacia pamäť (sekundárny buffer) grafiky komponentu
				private static Graphics2D vyrovnávaciaPamäťGrafiky =
					vyrovnávaciaPamäťObrázka.createGraphics();

			// Vstupný riadok

				private final static JMenuBar panelVstupnéhoRiadka =
					new JMenuBar();
				private final static JLabel popisVstupnéhoRiadka =
					new JLabel();
				private final static JTextField vstupnýRiadok =
					new JTextField();
				private final static StringBuffer údajeVstupnéhoRiadka =
					new StringBuffer();
				private final static StringBuffer zrušenéÚdajeVstupnéhoRiadka =
					new StringBuffer();


		// Dialógy (správy a otázky)

			// Predvolený titulok okien s otázkami
			private final static String predvolenýTitulokOtázky = "Otázka";

			// Popisy tlačidiel v oknách s otázkami
			private final static Object[] odpovedeOtázky = {"Áno", "Nie"};

			// Predvolený titulok okien na vstup údajov
			private final static String predvolenýTitulokVstupu = "Vstup";

			// Predvolený titulok okien na zadanie hesla
			private final static String predvolenýTitulokHesla = "Heslo";

			// Prvky používané v zadávacích komunikačných dialógoch

				private final static RobotTextField textovýRiadok =
					new RobotTextField();
				private final static RobotPasswordField riadokSHeslom =
					new RobotPasswordField();
				private final static Object[] odpovedeZadania =
					{"OK", "Zrušiť"};

			// Úvodná obrazovka
			private static JWindow úvodnáObrazovka = null;

		// Generátor pseudonáhodných čísel
			// (určené na použitie funkciami generovania náhodných čísel)
			private final static Random generátor = new Random();

		// Vnútorné zoznamy

			// Zoznam robotov na účely ich vykresľovania

				private static boolean zoznamZmenený1 = false;
				private static boolean zoznamZmenený2 = false;

				private static boolean zámokZoznamuRobotov1 = false;
				private static boolean zámokZoznamuRobotov2 = false;

				private final static Vector<GRobot> zoznamRobotov =
					new Vector<GRobot>();
				private final static Vector<GRobot> záložnýZoznamRobotov =
					new Vector<GRobot>();

			// Zoznam vrstiev

				private final static TreeMap<Integer, Vrstva> zoznamVrstiev =
					new TreeMap<Integer, Vrstva>();

			// Zoznam obrázkov prečítaných zo súboru

				private static String priečinokObrázkov = "";

				private final static Vector<String> zoznamSúborovObrázkov =
					new Vector<String>();
				private final static Vector<Image> zoznamObrázkov =
					new Vector<Image>();
				private final static Vector<Icon> zoznamIkon =
					new Vector<Icon>();

			// Zoznam všetkých vytvorených obrázkov knižnice

				private final static Vector<Obrázok> zoznamObrázkovKnižnice =
					new Vector<Obrázok>();

			// Zoznam zvukových klipov prečítaných zo súboru

				private static String priečinokZvukov = "";

				@SuppressWarnings("serial")
				private static class ZoznamZvukov extends Vector<Zvuk> {}

				// Starší spôsob:
				// private final static Vector<String> zoznamSúborovZvukov =
				// 	new Vector<String>();
				// private final static Vector<Zvuk> zoznamZvukov =
				// 	new Vector<Zvuk>();

				private final static TreeMap<String, ZoznamZvukov>
					zoznamSúborovZvukov = new TreeMap<String, ZoznamZvukov>();

			// Zoznam kurzorov (a ďalšie pomocné premenné s nimi súvisiace)

				private final static Cursor prázdnyKurzor = Toolkit.
					getDefaultToolkit().createCustomCursor(
						new BufferedImage(16, 16, BufferedImage.TYPE_INT_ARGB),
						new Point(0, 0), "prázdny");

				private final static TreeMap<String, Cursor> kurzory =
					new TreeMap<String, Cursor>();

				private final static TreeMap<String, Integer>
					systémovéNázvyKurzorov = new TreeMap<String, Integer>();
				static
				{
					systémovéNázvyKurzorov.put("default",   0);
					systémovéNázvyKurzorov.put("crosshair", 1);
					systémovéNázvyKurzorov.put("text",      2);
					systémovéNázvyKurzorov.put("wait",      3);
					systémovéNázvyKurzorov.put("swResize",  4);
					systémovéNázvyKurzorov.put("seResize",  5);
					systémovéNázvyKurzorov.put("nwResize",  6);
					systémovéNázvyKurzorov.put("neResize",  7);
					systémovéNázvyKurzorov.put("nResize",   8);
					systémovéNázvyKurzorov.put("sResize",   9);
					systémovéNázvyKurzorov.put("wResize",   10);
					systémovéNázvyKurzorov.put("eResize",   11);
					systémovéNázvyKurzorov.put("hand",      12);
					systémovéNázvyKurzorov.put("move",      13);

					systémovéNázvyKurzorov.put("predvolený",      0);
					systémovéNázvyKurzorov.put("mieridlo",        1);
					systémovéNázvyKurzorov.put("textový",         2);
					systémovéNázvyKurzorov.put("čakaj",           3);
					systémovéNázvyKurzorov.put("jzZmeniťVeľkosť", 4);
					systémovéNázvyKurzorov.put("jvZmeniťVeľkosť", 5);
					systémovéNázvyKurzorov.put("szZmeniťVeľkosť", 6);
					systémovéNázvyKurzorov.put("svZmeniťVeľkosť", 7);
					systémovéNázvyKurzorov.put("sZmeniťVeľkosť",  8);
					systémovéNázvyKurzorov.put("jZmeniťVeľkosť",  9);
					systémovéNázvyKurzorov.put("zZmeniťVeľkosť",  10);
					systémovéNázvyKurzorov.put("vZmeniťVeľkosť",  11);
					systémovéNázvyKurzorov.put("ruka",            12);
					systémovéNázvyKurzorov.put("presunúť",        13);
				}

			// Zoznam vlnení – na účely udržania ich aktivity

				private final static Vector<Vlnenie> vlnenia =
					new Vector<Vlnenie>();


		// Zvuk prehrávaný na pozadí metódou zvukNaPozadí()

			private static Zvuk zvukNaPozadí = null;

		// Príznaky a semafóry

			// Príznak vypnutia automatického prekresľovania
			private static boolean nekresli = false;

			// Semafór vykonávania série metód pracuj()
			private static boolean pracujem = false;

			// Semafór prekreslenia po vykonaní metód pracuj(),
			// (pretože počas činnosti metód aktivácie je prekresľovanie
			// vypnuté)
			private static boolean žiadamPrekresleniePoPráci = false;

			// Semafór priebehu prekresľovania (proti sebazablokovaniu)
			private static boolean právePrekresľujem = false;

			// Príznak zavrhnutej požiadavky na automatické prekreslenie; Ak
			// je tento príznak rovný true, je pravdepodobné, že obsah
			// obrazovky nekorešponduje so skutočnými obsahmi pozadia
			// a plátien:
			private static boolean neboloPrekreslené = true;

			// Príznak na perzistentný vstupný riadok
			private static boolean vstupnýRiadokStáleViditeľný = false;

			// Príznak výpisu podrobných chybových hlásení pri vzniku výnimiek
			private static boolean vypíšChybovéHlásenia = false;

			// Zástavka na umožnenie vytvorenia viacerých inštancií obsluhy
			// udalostí
			private static boolean viacnásobnáObsluhuUdalostíUmožnená = false;


	// ------------------------------------ //
	//  *** Vlastnosti údajov udalostí ***  //
	// ------------------------------------ //

		// Počúvadlo udalostí
		private static ObsluhaUdalostí počúvadlo;

		// Počúvadlá udalostí robotov
		private final static Vector<GRobot> počúvajúciKlávesnicu =
			new Vector<GRobot>();
		private final static Vector<GRobot> počúvajúciMyš =
			new Vector<GRobot>();
		private final static Vector<GRobot> počúvajúciVstupnýRiadok =
			new Vector<GRobot>();
		private final static Vector<GRobot> počúvajúciRozhranie =
			new Vector<GRobot>();
		private final static Vector<GRobot> počúvajúciSystém =
			new Vector<GRobot>();
		private final static Vector<GRobot> počúvajúciSúbory =
			new Vector<GRobot>();


		// Na účely synchronizácie
		private final static Object zámokMyši = new Object();
		private final static Object zámokKlávesnice = new Object();
		private final static Object zámokAktivít = new Object();
		private final static Object zámokUdalostí = new Object();

		// Stav myši
		private static boolean tlačidloMyši1 = false;
		private static boolean tlačidloMyši2 = false;
		private static boolean tlačidloMyši3 = false;
		private static int tlačidloMyši = 0;
		private static double súradnicaMyšiX = 0;
		private static double súradnicaMyšiY = 0;
		private static int rolovanieKolieskomMyšiX = 0;
		private static int rolovanieKolieskomMyšiY = 0;

		// Objekty vzťahujúce sa k posledným akciám a udalostiam
		private static ActionEvent poslednýTik = null;
		private static ComponentEvent poslednáUdalosťOkna = null;
		private static WindowEvent poslednáUdalosťAktivityOkna = null;
		private static PoložkaPonuky poslednáPoložkaPonuky = null;
		private static Tlačidlo poslednéTlačidlo = null;
		private static KeyEvent poslednáUdalosťKlávesnice = null;
		private static ActionEvent poslednáUdalosťSkratky = null;
		private static String poslednýPríkazSkratky = null;
		private static MouseEvent poslednáUdalosťMyši = null;
		private static MouseWheelEvent poslednáUdalosťRolovania = null;
		private static Plátno poslednéVymazanéPlátno = null;

	// ------------------------------- //
	//  *** Rôzne súkromné metódy ***  //
	// ------------------------------- //

		// Inicializácia grafiky

			private static void inicializujGrafiku()
			{
				if (inicializované) return;

				// Poznámka: Kedysi malo nesprávne kódovanie za následok
				//           zastavenie činnosti aplikácie s pokusom o jej
				//           opätovné spustenie so správnym kódovaním:
				// checkEncoding(null);
				inicializované = true;

				// Nastavenie systémového Look&Feel:
				try { UIManager.setLookAndFeel(UIManager.
					getSystemLookAndFeelClassName()); }
				catch (Exception e) { vypíšChybovéHlásenia(e, true); }

				// Vymaž grafiku plátien a inicializuj konzoly
				Svet.vymaž();

				// Pridaj antialiasing
				// RenderingHints hints = new RenderingHints(
				// 	RenderingHints.KEY_ANTIALIASING,
				// 	RenderingHints.VALUE_ANTIALIAS_ON);
				// hints.put(RenderingHints.KEY_RENDERING,
				// 	RenderingHints.VALUE_RENDER_QUALITY);
				// hints.put(RenderingHints.KEY_TEXT_ANTIALIASING,
				// 	RenderingHints.VALUE_TEXT_ANTIALIAS_ON);
				// hints.put(RenderingHints.KEY_FRACTIONALMETRICS,
				// 	RenderingHints.VALUE_FRACTIONALMETRICS_ON);

				strop.vyrovnávaciaPamäťGrafikyPlátna.
					addRenderingHints(Obrázok.hints);
				podlaha.vyrovnávaciaPamäťGrafikyPlátna.
					addRenderingHints(Obrázok.hints);
				grafika.addRenderingHints(Obrázok.hints);
				vyrovnávaciaPamäťGrafiky.addRenderingHints(Obrázok.hints);

				// Všetka grafika vo svete grafického robota (farba pozadia,
				// grafiky plátien a tvary robotov) je spojená do jedného
				// výsledného obrázka typu BufferedImage. Obrázok je uložený
				// v pamäti počítača a na jeho zobrazenie je vhodné použiť
				// drobný trik… Vytvoríme grafický popis JLabel, ktorému
				// priradíme ikonu (ImageIcon) s grafikou obrázka. Takže
				// grafika je zatvorená do ikony, ikona je vložená do popisu
				// (komponentu typu JLabel) a ten je potom umiestnený do
				// hlavného panela umiestneného v okne aplikácie. Panel má
				// definovaný špecifický spôsob rozmiestňovania komponentov
				// (tzv. LayoutManager). Všetko okrem obrázka je umiestňované
				// prostredníctvom absolútnych súradníc…

				ikonaPlátna = new ImageIcon(obrázok);
				komponentIkony = new JLabel(ikonaPlátna);

				@SuppressWarnings("serial")
				OverlayLayout overlay = new OverlayLayout(hlavnýPanel)
				{
					// Vlastný spôsob umiestňovania komponentov
					@Override public void layoutContainer(Container cieľ)
					{
						int x = 0, y = 0, šírka = cieľ.getWidth(),
							výška = cieľ.getHeight();

						x = (šírka - ikonaPlátna.getIconWidth()
							// komponentIkony.getSize().width
							) / 2;
						y = (výška -
							ikonaPlátna.getIconHeight()
							// komponentIkony.getSize().height
							) / 2;

						komponentIkony.setBounds(x, y,
							komponentIkony.getPreferredSize().width,
							komponentIkony.getPreferredSize().height);

						Component komponenty[] = cieľ.getComponents();

						// Až po vypočítaní polohy plátna môžeme upraviť
						// maximálne hranice šírky a výšky určenej na
						// umiestnenie ostatných komponentov:
						if (šírka > šírkaPlátna) šírka = šírkaPlátna;
						if (výška > výškaPlátna) výška = výškaPlátna;

						for (Component komponent : komponenty)
						{
							if (komponent instanceof Tlačidlo)
								((Tlačidlo)komponent).umiestni(
									x, y, šírka, výška);
							else if (komponent instanceof UpravText)
								((UpravText)komponent).umiestni(
									x, y, šírka, výška);
						}

						if (konzolaPoužitá) Svet.prekresli();
					}
				};
				hlavnýPanel.setLayout(overlay);
				hlavnýPanel.add(komponentIkony);

				// hlavnýPanel.enableInputMethods(false);
				// System.out.println("enableInputMethods(false)");

				// Keby sme chceli panel zviditeľniť čiernym ohraničením:
				// hlavnýPanel.setBorder(
				// 	new javax.swing.border.LineBorder(Color.BLACK));

				// Inicializuj vstupný riadok
				popisVstupnéhoRiadka.setBorder(BorderFactory.
					createEmptyBorder(0, 4, 0, 8));
				panelVstupnéhoRiadka.add(popisVstupnéhoRiadka);
				panelVstupnéhoRiadka.add(vstupnýRiadok);
				panelVstupnéhoRiadka.setVisible(false);

				// Poslucháč klávesnice vstupného riadka počúvajúci stlačenie
				// klávesov ENTER a ESCAPE…
				vstupnýRiadok.addKeyListener(new KeyListener()
					{
						public void keyPressed(KeyEvent e)
						{
							// Umiestnenie týchto príkazov do reakcie
							// keyTyped nefungovalo v macOS (predtým OS X
							// a Mac OS)
							if (e.getKeyChar() == KeyEvent.VK_ENTER)
								potvrďVstup();
							else if (e.getKeyChar() == KeyEvent.VK_ESCAPE)
								zrušVstup();
						}

						public void keyReleased(KeyEvent e) {}
						public void keyTyped(KeyEvent e) {}
					});

				// Do hlavného rámca pridáme hlavný panel a vstupný riadok
				svet.add(hlavnýPanel, BorderLayout.CENTER);
				svet.add(panelVstupnéhoRiadka, BorderLayout.SOUTH);

				// Nastavenie poslucháčov myši a klávesnice
				hlavnýPanel.addMouseListener(udalostiOkna);
				hlavnýPanel.addMouseMotionListener(udalostiOkna);
				hlavnýPanel.addMouseWheelListener(udalostiOkna);

				// Hlavný panel bol kedysi JLabel, ktorý nedokáže prijímať
				// udalosti klávesnice:
				// svet.addKeyListener(udalostiOkna);

				// Už to však nie je pravda:
				hlavnýPanel.addKeyListener(udalostiOkna);
				hlavnýPanel.setFocusable(true);
				hlavnýPanel.doLayout();

				svet.addComponentListener(udalostiOkna);
				svet.addWindowFocusListener(udalostiOkna);

				// Nastavenie ďalších vlastností okna aplikácie
				// …

				// svet.setResizable(false);
				svet.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
					// zavrie všetky okná
				// svet.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
					// zavrie len aktuálne okno

				svet.setTitle(versionString);
				svet.setJMenuBar(vytvorHlavnúPonuku());
				svet.pack();
				// svet.requestFocusInWindow();
				svet.setSize(počiatočnáŠírka, počiatočnáVýška);
				svet.setLocation(počiatočnéX, počiatočnéY);
				svet.setVisible(zobrazPriŠtarte);

				Svet.predvolenáFarbaPozadia();
				Svet.zalamujTexty();

				podlaha.predvolenáFarbaPozadiaTextu();
				podlaha.predvolenáFarbaTextu();

				strop.predvolenáFarbaPozadiaTextu();
				strop.predvolenáFarbaTextu();
				// inicializované = true;

				// Registruj „ukončovacie vlákno“
				Runtime.getRuntime().addShutdownHook(new Thread()
				{
					// Nasledujúca metóda je volaná pri ukončení aplikácie:
					public void run()
					{
						if (null != počúvadlo)
							synchronized (zámokUdalostí)
							{
								počúvadlo.ukončenie();
								počúvadlo.ukoncenie();
							}

						uložKonfiguráciu();

						for (GRobot tento : zoznamRobotov) try
						{
							tento.súbor.zavri();
						}
						catch (Exception e)
						{
							vypíšChybovéHlásenia(e, true);
						}

						// if (null != hlavnýRobot)
						// 	synchronized (zámokUdalostí)
						// 	{
						// 		hlavnýRobot.ukončenie();
						// 		hlavnýRobot.ukoncenie();
						// 	}

						synchronized (zámokUdalostí)
						{
							for (GRobot počúvajúci : počúvajúciSystém)
							{
								počúvajúci.ukončenie();
								počúvajúci.ukoncenie();
							}
						}
					}
				});

				if (zobrazPriŠtarte)
				{
					SwingUtilities.invokeLater(() ->
					{
						if (svet.isVisible())
						{
							// System.out.println("Začiatok");
							hlavnýPanel.requestFocusInWindow();

							if (panelVstupnéhoRiadka.isVisible())
								vstupnýRiadok.requestFocus();
						}
					});
				}

				// Aby sa dala klávesnica použiť hneď:
				if (null == poslednáUdalosťKlávesnice)
					poslednáUdalosťKlávesnice =
						new KeyEvent(svet, 0, 0, 0, 0, '\0');

				// Aby sa dala myš použiť hneď:
				if (null == poslednáUdalosťMyši)
					poslednáUdalosťMyši = new MouseEvent(
						svet, 0, 0, 0, 0, 0, 0, false);
			}

			private static void novéPlátna()
			{
				if (inicializované)
				{
					podlaha.vytvorNovéPlátno(šírkaPlátna, výškaPlátna);
					strop.vytvorNovéPlátno(šírkaPlátna, výškaPlátna);

					obrázok = new BufferedImage(šírkaPlátna, výškaPlátna,
						BufferedImage.TYPE_INT_ARGB);
					grafika = obrázok.createGraphics();

					if (null != Svet.vlnenie) Svet.odstráňVlnenie();
					vyrovnávaciaPamäťObrázka = new BufferedImage(šírkaPlátna,
						výškaPlátna, BufferedImage.TYPE_INT_ARGB);
					vyrovnávaciaPamäťGrafiky =
						vyrovnávaciaPamäťObrázka.createGraphics();

					strop.vyrovnávaciaPamäťGrafikyPlátna.
						addRenderingHints(Obrázok.hints);
					podlaha.vyrovnávaciaPamäťGrafikyPlátna.
						addRenderingHints(Obrázok.hints);
					grafika.addRenderingHints(Obrázok.hints);
					vyrovnávaciaPamäťGrafiky.addRenderingHints(Obrázok.hints);


					// System.out.println(ikonaPlátna.getIconWidth() + " " +
					// 	ikonaPlátna.getIconHeight());

					ikonaPlátna.setImage(obrázok);
					// komponentIkony.invalidate();

					// System.out.println(ikonaPlátna.getIconWidth() + " " +
					// 	ikonaPlátna.getIconHeight());

					hlavnýPanel.doLayout();

					Svet.vymažGrafiku();


					for (GRobot tento : zoznamRobotov)
					{
						if (tento.aktívnePlátno == podlaha)
							tento.kresliNaPodlahu();
						else if (tento.aktívnePlátno == strop)
							tento.kresliNaStrop();
					}

					for (GRobot tento : záložnýZoznamRobotov)
					{
						if (tento.aktívnePlátno == podlaha)
							tento.kresliNaPodlahu();
						else if (tento.aktívnePlátno == strop)
							tento.kresliNaStrop();
					}
				}
			}

		// Inicializácia robota

			private void registrujUdalostiRobota()
			{
				try
				{
					if (!getClass().getMethod("stlačenieKlávesu").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("stlacenieKlavesu").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("uvoľnenieKlávesu").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("uvolnenieKlavesu").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("zadanieZnaku").
						getDeclaringClass().equals(GRobot.class))
						počúvajúciKlávesnicu.add(this);
				}
				catch (Exception e) { vypíšChybovéHlásenia(e); }

				try
				{
					if (!getClass().getMethod("klik").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("stlačenieTlačidlaMyši").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("stlacenieTlacidlaMysi").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("uvoľnenieTlačidlaMyši").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("uvolnenieTlacidlaMysi").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("pohybMyši").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("pohybMysi").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("ťahanieMyšou").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("tahanieMysou").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("rolovanieKolieskomMyši").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("rolovanieKolieskomMysi").
						getDeclaringClass().equals(GRobot.class))
						počúvajúciMyš.add(this);
				}
				catch (Exception e) { vypíšChybovéHlásenia(e); }

				try
				{
					if (!getClass().getMethod("potvrdenieÚdajov").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("potvrdenieUdajov").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("potvrdenieVstupu").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("zrušenieÚdajov").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("zrusenieUdajov").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("zrušenieVstupu").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("zrusenieVstupu").
						getDeclaringClass().equals(GRobot.class))
						počúvajúciVstupnýRiadok.add(this);
				}
				catch (Exception e) { vypíšChybovéHlásenia(e); }

				try
				{
					if (!getClass().getMethod("ťahanieSúborov").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("tahanieSuborov").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("pustenieSúboru", String.class).
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("pustenieSuboru", String.class).
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("farbaAktívnehoSlova").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("farbaAktivnehoSlova").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("presunutieOkna").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("zmenaVeľkostiOkna").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("zmenaVelkostiOkna").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("aktiváciaOkna").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("aktivaciaOkna").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("deaktiváciaOkna").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("deaktivaciaOkna").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("prekreslenie").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("dokreslenie").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("klávesováSkratka").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("klavesovaSkratka").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("vymazanie").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("voľbaPoložkyPonuky").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("volbaPolozkyPonuky").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("voľbaKontextovejPoložky").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("volbaKontextovejPolozky").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("voľbaTlačidla").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("volbaTlacidla").
						getDeclaringClass().equals(GRobot.class))
						počúvajúciRozhranie.add(this);
				}
				catch (Exception e) { vypíšChybovéHlásenia(e); }


				try
				{
					if (!getClass().getMethod("ukončenie").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("ukoncenie").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("spracovaniePríkazu").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("spracovaniePrikazu").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("tik").
						getDeclaringClass().equals(GRobot.class))
						počúvajúciSystém.add(this);
				}
				catch (Exception e) { vypíšChybovéHlásenia(e); }

				try
				{
					if (!getClass().getMethod("konfiguráciaZmenená").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("konfiguraciaZmenena").
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("zapíšKonfiguráciu", Súbor.class).
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("zapisKonfiguraciu", Súbor.class).
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("čítajKonfiguráciu", Súbor.class).
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("citajKonfiguraciu", Súbor.class).
						getDeclaringClass().equals(GRobot.class) ||
						!getClass().getMethod("sekvencia", int.class,
							String.class, String.class, long.class, long.class).
						getDeclaringClass().equals(GRobot.class))
						počúvajúciSúbory.add(this);
				}
				catch (Exception e) { vypíšChybovéHlásenia(e); }
			}

			private void inicializujRobota()
			{
				if (null == hlavnýRobot)
				{
					hlavnýRobot = this;
					čítajVlastnúKonfiguráciu();
				}

				kresliNaPodlahu();
				predvolenáHrúbkaPera();
				predvolenáFarba();
				predvolenéPísmo();
				predvolenýTvar();

				// Najprv zaregistrujem robota, aby
				// sa po prechode domov zobrazil
				if (zámokZoznamuRobotov1 || zámokZoznamuRobotov2)
					záložnýZoznamRobotov.add(this);
				else
				{
					zoznamRobotov.add(this);
					Vrstva.vlož(this);
					zoznamZmenený2 = zoznamZmenený1 = true;
				}
				domov();
			}

		// Zlúčenie zoznamov

			private static void zlúčiťZoznamy()
			{
				if (záložnýZoznamRobotov.size() > 0 &&
					!zámokZoznamuRobotov1 && !zámokZoznamuRobotov2)
				{
					zoznamRobotov.addAll(záložnýZoznamRobotov);
					for (GRobot robot : záložnýZoznamRobotov)
						Vrstva.vlož(robot);
					záložnýZoznamRobotov.clear();
					automatickéPrekreslenie();
				}
			}

		// Transformácie súradníc, hľadanie priesečníkov a iná geometria

			// Prepočítanie súradníc zo súradnicového priestoru robota (ktorý
				// pracuje s karteziánskym súradnicovým systémom) do
				// súradnicového priestoru „bežnej“ počítačovej grafiky –
				// ktorá používa počiatok súradnicovej sústavy umiestnený
				// vľavo hore a to, že súradnice na y-ovej osi stúpajú
				// smerom nadol

				private static double prepočítajX(double x)
				{
					return (šírkaPlátna / 2.0) + x;
				}

				private static double prepočítajY(double y)
				{
					return (výškaPlátna / 2.0) - y;
				}

			// Prepočítanie súradníc do súradnicového priestoru robota

				private static double prepočítajSpäťX(double x)
				{
					return x - (šírkaPlátna / 2.0);
				}

				private static double prepočítajSpäťY(double y)
				{
					return -y + (výškaPlátna / 2.0);
				}

			// Rotácia súradníc o zadaný uhol

				private static double rotovanéX(double x, double y, double α)
				{
					if (0 == α) return x;
					return (x * Math.cos(α)) - (y * Math.sin(α));
				}

				private static double rotovanéY(double x, double y, double α)
				{
					if (0 == α) return y;
					return (x * Math.sin(α)) + (y * Math.cos(α));
				}

			// Prepočítanie súradníc myši do súradnicového priestoru robota

				private static double korekciaMyšiX(double x)
				{
					return x - (hlavnýPanel.getWidth() / 2.0);
				}

				private static double korekciaMyšiY(double y)
				{
					return -y + (hlavnýPanel.getHeight() / 2.0);
				}


			// Hľadanie priesečníkov

				// Hľadá priesečník dvoch úsečiek |AB| a |CD| alebo aspoň
				// priamok určených súradnicami počiatočných a koncových
				// bodov úsečiek: A[x0, y0], B[x1, y1], C[x2, y2] a D[x3, y3].
				private static boolean priesečníkÚsečiek(
					double x0, double y0, double x1, double y1,
					double x2, double y2, double x3, double y3,
					Bod priesečník)
				{
					// Based on 2D Line Segment Intersection example (C++)
					// Implementation of the theory provided by Paul Bourke
					// http://paulbourke.net/geometry/2d/
					// 
					// Written by Damian Coventry
					// Wednesday, 31 October 2007
					// 
					// Adaptované R. Horváthom v r. 2015

					double menovateľ = (y3 - y2) * (x1 - x0) -
						(x3 - x2) * (y1 - y0);
					if (menovateľ == 0.0)
						throw new GRobotException("Úsečky sú paralelné.",
							"segmentsAreParallel");

					double t1 = ((x3 - x2) * (y0 - y2) -
						(y3 - y2) * (x0 - x2)) / menovateľ;
					double t2 = ((x1 - x0) * (y0 - y2) -
						(y1 - y0) * (x0 - x2)) / menovateľ;

					priesečník.poloha(x0 + t1 * (x1 - x0), y0 + t1 * (y1 - y0));
					// Ak je návratová hodnota true, tak ide zároveň
					// o priesečník úsečiek určených zadanými súradnicami bodov
					return t1 >= 0.0 && t1 <= 1.0 && t2 >= 0.0 && t2 <= 1.0;
				}


		// Vytvorenie hlavnej ponuky

			private static JMenuBar vytvorHlavnúPonuku()
			{
				if (!inicializované) return null;

				JMenuBar hlavnáPonuka = new JMenuBar();
				JMenu položkaHlavnejPonuky = new JMenu("Ponuka");
				položkaHlavnejPonuky.setMnemonic(KeyEvent.VK_P);
				hlavnáPonuka.add(položkaHlavnejPonuky);

				položkaHlavnejPonuky.add(položkaSkončiť = new PoložkaPonuky(
					"Koniec", KeyEvent.VK_K, KeyEvent.VK_W));

				// ponukaVPôvodnomStave = true; – netreba, lebo ponuka ešte
				//     nie je priradená, t. j. nemôže dôjsť k automatickému
				//     vykonaniu metódy pridajDoHlavnejPonuky();

				return hlavnáPonuka;
			}

		// Automatické prekresľovanie

			private static void automatickéPrekreslenie()
			{
				if (nekresli)
				{
					neboloPrekreslené = true;
					return;
				}
				Svet.prekresli();
			}

		// Kreslenie úsečky medzi bodmi zadanými v súradnicovom priestore robota

			private void úsečka(double x0, double y0, double x1, double y1)
			{
				grafikaAktívnehoPlátna.setColor(farbaRobota);
				grafikaAktívnehoPlátna.setStroke(čiara);

				grafikaAktívnehoPlátna.draw(new Line2D.Double(
					prepočítajX(x0), prepočítajY(y0),
					prepočítajX(x1), prepočítajY(y1)));

				automatickéPrekreslenie();
			}

		// Kreslenie robota a spojníc

			// Nasledujúce tri atribúty a metóda slúžia na prepočítanie
			// aktuálneho (predvoleného) tvaru grafického robota
			private final double[] c = new double[5];
			private final int[] fx = new int[7];
			private final int[] fy = new int[7];

			private void prepočítajPolygón()
			{
				c[0] = veľkosť * 0.91;
				c[1] = veľkosť * 1.91;
				c[2] = veľkosť * 0.6;
				c[3] = veľkosť * 1.405;
				c[4] = veľkosť * 0.415;

				double α = Math.toRadians(aktuálnyUhol + pootočenieTvaru);
				double x = aktuálneX - Math.cos(α) * c[0];
				double y = aktuálneY - Math.sin(α) * c[0];

				fx[0] = (int)prepočítajX(x + Math.cos(α) * c[1]);
				fy[0] = (int)prepočítajY(y + Math.sin(α) * c[1]);

				// u1: 26.5°  --  0.4625122517784973  rad
				// u2: 18.5°  --  0.32288591161895097 rad
				// u3: 45°    --  0.7853981633974483  rad

				α += 0.4625122517784973; // u1
				fx[1] = (int)prepočítajX(x + Math.cos(α) * c[2]);
				fy[1] = (int)prepočítajY(y + Math.sin(α) * c[2]);

				α += 0.32288591161895097; // u2
				fx[2] = (int)prepočítajX(x + Math.cos(α) * c[3]);
				fy[2] = (int)prepočítajY(y + Math.sin(α) * c[3]);

				α += 0.7853981633974483; // u3
				fx[3] = (int)prepočítajX(x + Math.cos(α) * c[4]);
				fy[3] = (int)prepočítajY(y + Math.sin(α) * c[4]);

				α += 3.141592653589793;  // 180°
				fx[4] = (int)prepočítajX(x + Math.cos(α) * c[4]);
				fy[4] = (int)prepočítajY(y + Math.sin(α) * c[4]);

				α += 0.7853981633974483; // u3
				fx[5] = (int)prepočítajX(x + Math.cos(α) * c[3]);
				fy[5] = (int)prepočítajY(y + Math.sin(α) * c[3]);

				α += 0.32288591161895097; // u2
				fx[6] = (int)prepočítajX(x + Math.cos(α) * c[2]);
				fy[6] = (int)prepočítajY(y + Math.sin(α) * c[2]);
			}

			private void starýPolygón()
			{
				c[0] = veľkosť * 0.4; c[1] = veľkosť * 0.5;
				c[2] = veľkosť * 0.6; c[3] = veľkosť * 1.2;
				c[4] = veľkosť * 2.0;

				double α = Math.toRadians(aktuálnyUhol + pootočenieTvaru);
				double x = aktuálneX - Math.cos(α) * c[1];
				double y = aktuálneY - Math.sin(α) * c[1];

				fx[0] = (int)prepočítajX(x + Math.cos(α) * c[4]); // 20.0
				fy[0] = (int)prepočítajY(y + Math.sin(α) * c[4]);

				α += 0.3490658503988659; // 20°
				fx[1] = (int)prepočítajX(x + Math.cos(α) * c[2]); // 6.0
				fy[1] = (int)prepočítajY(y + Math.sin(α) * c[2]);

				α += 0.3490658503988659; // 20°
				fx[2] = (int)prepočítajX(x + Math.cos(α) * c[3]); // 12.0
				fy[2] = (int)prepočítajY(y + Math.sin(α) * c[3]);

				α += 0.8726646259971648; // 50°
				fx[3] = (int)prepočítajX(x + Math.cos(α) * c[0]); // 4.0
				fy[3] = (int)prepočítajY(y + Math.sin(α) * c[0]);

				α += 3.141592653589793;  // 180°
				fx[4] = (int)prepočítajX(x + Math.cos(α) * c[0]); // 4.0
				fy[4] = (int)prepočítajY(y + Math.sin(α) * c[0]);

				α += 0.8726646259971648; // 50°
				fx[5] = (int)prepočítajX(x + Math.cos(α) * c[3]); // 12.0
				fy[5] = (int)prepočítajY(y + Math.sin(α) * c[3]);

				α += 0.3490658503988659; // 20°
				fx[6] = (int)prepočítajX(x + Math.cos(α) * c[2]); // 6.0
				fy[6] = (int)prepočítajY(y + Math.sin(α) * c[2]);
			}

			private void kresliRobota(
				BufferedImage obrázok, Graphics2D grafika)
			{
				boolean vráťKompozit = priehľadnosť < 1.0;
				Composite záloha = null;

				if (vráťKompozit)
				{
					záloha = grafika.getComposite();
					if (priehľadnosť > 0.0)
						grafika.setComposite(AlphaComposite.getInstance(
							AlphaComposite.SRC_OVER, priehľadnosť));
					else
						grafika.setComposite(AlphaComposite.getInstance(
							AlphaComposite.SRC_OVER, 0.0f));
				}

				if (null == vlastnýTvarObrázok &&
					null == vlastnýTvarKreslenie)
				{
					prepočítajPolygón();
					grafika.setColor(farbaRobota);

					if (vyplnený)
					{
						grafika.fillPolygon(fx, fy, 7);
						// grafika.fill(new Ellipse2D.Double(
						// 	fx[2] - polomerPera / 2, fy[2] - polomerPera / 2,
						// 	polomerPera, polomerPera));
						// grafika.fill(new Ellipse2D.Double(
						// 	fx[5] - polomerPera / 2, fy[5] - polomerPera / 2,
						// 	polomerPera, polomerPera));
					}
					else
					{
						grafika.setStroke(čiara);
						grafika.drawPolygon(fx, fy, 7);
					}
				}
				else if (null == vlastnýTvarKreslenie)
				{
					double prepočítanéX = prepočítajX(aktuálneX);
					double prepočítanéY = prepočítajY(aktuálneY);

					int šírkaObrázka = vlastnýTvarObrázok.getWidth(null);
					int výškaObrázka = vlastnýTvarObrázok.getHeight(null);
					if (šírkaObrázka < 0 || výškaObrázka < 0) return;

					Image relevantný = dajRelevantnýRaster(vlastnýTvarObrázok);

					if (90 == (aktuálnyUhol + pootočenieTvaru) &&
						mierkovéČíslo == veľkosť)
					{
						if (relevantný instanceof Obrázok)
							((Obrázok)relevantný).kresliNaStred(
								(int)prepočítanéX, (int)prepočítanéY, grafika);
						else
							grafika.drawImage(relevantný,
								(int)(prepočítanéX - (šírkaObrázka / 2.0)),
								(int)(prepočítanéY - (výškaObrázka / 2.0)),
								null);
					}
					else if (mierkovéČíslo == veľkosť)
					{
						double α = Math.toRadians(aktuálnyUhol +
							pootočenieTvaru - 90);

						grafika.rotate(-α, prepočítanéX, prepočítanéY);

						if (relevantný instanceof Obrázok)
							((Obrázok)relevantný).kresliNaStred(
								(int)prepočítanéX, (int)prepočítanéY, grafika);
						else
							grafika.drawImage(relevantný,
								(int)(prepočítanéX - (šírkaObrázka / 2.0)),
								(int)(prepočítanéY - (výškaObrázka / 2.0)),
								null);

						grafika.rotate(α, prepočítanéX, prepočítanéY);
					}
					else
					{
						AffineTransform transformácie = grafika.getTransform();

						double α = Math.toRadians(aktuálnyUhol +
							pootočenieTvaru - 90);
						double s = veľkosť / mierkovéČíslo;

						prepočítanéX /= s;
						prepočítanéY /= s;

						grafika.scale(s, s);
						grafika.rotate(-α, prepočítanéX, prepočítanéY);

						if (relevantný instanceof Obrázok)
							((Obrázok)relevantný).kresliNaStred(
								(int)prepočítanéX, (int)prepočítanéY, grafika);
						else
							grafika.drawImage(relevantný,
								(int)(prepočítanéX - (šírkaObrázka / 2.0)),
								(int)(prepočítanéY - (výškaObrázka / 2.0)),
								null);

						grafika.setTransform(transformácie);
					}
				}
				else
				{
					kresliTvar(obrázok, grafika, this, vlastnýTvarKreslenie);
				}

				if (vráťKompozit) grafika.setComposite(záloha);
			}

			private static void kresliTvar(
				BufferedImage obrázok, Graphics2D grafika,
				GRobot robot, KreslenieTvaru tvar)
			{
				Plátno aktívnePlátno_Záloha = robot.aktívnePlátno;
				BufferedImage obrázokAktívnehoPlátna_Záloha =
					robot.obrázokAktívnehoPlátna;
				Graphics2D grafikaAktívnehoPlátna_Záloha =
					robot.grafikaAktívnehoPlátna;

				boolean peroPoložené_Záloha = robot.peroPoložené;
				boolean kresliTvary_Záloha = robot.kresliTvary;

				double aktuálneX_Záloha = robot.aktuálneX;
				double aktuálneY_Záloha = robot.aktuálneY;
				double aktuálnyUhol_Záloha = robot.aktuálnyUhol;
				double domaX_Záloha = robot.domaX;
				double domaY_Záloha = robot.domaY;
				double uholDoma_Záloha = robot.uholDoma;
				double pootočenieTvaruDoma_Záloha = robot.pootočenieTvaruDoma;

				Písmo aktuálnePísmo_Záloha = robot.aktuálnePísmo;
				Stroke čiara_Záloha = robot.čiara;
				Farba farbaRobota_Záloha = robot.farbaRobota;
				double polomerPera_Záloha = robot.polomerPera;


				robot.aktívnePlátno = null;
				robot.obrázokAktívnehoPlátna = obrázok;
				robot.grafikaAktívnehoPlátna = grafika;

				robot.peroPoložené = true;
				robot.kresliTvary = true;

				robot.domaX = robot.aktuálneX;
				robot.domaY = robot.aktuálneY;
				robot.aktuálnyUhol += robot.pootočenieTvaru;
				robot.aktuálnyUhol %= 360;
				if (robot.aktuálnyUhol < 0) robot.aktuálnyUhol += 360;
				robot.uholDoma = robot.aktuálnyUhol;
				robot.pootočenieTvaruDoma = robot.pootočenieTvaru;


				// domov()
				robot.kreslímVlastnýTvar = true;
				tvar.kresli(robot);
				robot.kreslímVlastnýTvar = false;


				robot.aktívnePlátno = aktívnePlátno_Záloha;
				robot.obrázokAktívnehoPlátna = obrázokAktívnehoPlátna_Záloha;
				robot.grafikaAktívnehoPlátna = grafikaAktívnehoPlátna_Záloha;

				robot.peroPoložené = peroPoložené_Záloha;
				robot.kresliTvary = kresliTvary_Záloha;

				robot.aktuálneX = aktuálneX_Záloha;
				robot.aktuálneY = aktuálneY_Záloha;
				robot.aktuálnyUhol = aktuálnyUhol_Záloha;
				robot.domaX = domaX_Záloha;
				robot.domaY = domaY_Záloha;
				robot.uholDoma = uholDoma_Záloha;
				robot.pootočenieTvaruDoma = pootočenieTvaruDoma_Záloha;

				robot.aktuálnePísmo = aktuálnePísmo_Záloha;
				robot.čiara = čiara_Záloha;
				robot.farbaRobota = farbaRobota_Záloha;
				robot.polomerPera = polomerPera_Záloha;
			}

			private void kresliSpojnice(
				BufferedImage obrázok, Graphics2D grafika)
			{
				for (Spojnica s : spojnice)
				{
					if (s.cieľ.viditeľný())
					{
						if (null != s.farba) grafika.setColor(s.farba);
						else grafika.setColor(farbaRobota);

						if (null != s.čiara) grafika.setStroke(s.čiara);
						else grafika.setStroke(čiara);

						if (null != s.orezanieZačiatku ||
							null != s.orezanieKonca)
						{
							Shape clip, záloha = grafika.getClip();
							if (null == záloha) clip = new Rectangle.
								Double(0, 0, obrázok.getWidth(),
									obrázok.getHeight());
							else
								clip = záloha;

							Area oblasťOrezania = new Area(clip);

							Area oblasťZačiatku;

							if (null != s.orezanieZačiatku)
							{
								oblasťZačiatku = new Area(s.orezanieZačiatku);

								if ((aktuálnyUhol +
									pootočenieTvaru) != 90 ||
									aktuálneX != 0 || aktuálneY != 0)
								{
									AffineTransform at = new AffineTransform();
									at.rotate(Math.toRadians(
										90 - (aktuálnyUhol +
											pootočenieTvaru)),
										prepočítajX(aktuálneX),
										prepočítajY(aktuálneY));
									at.translate(aktuálneX, -aktuálneY);
									oblasťZačiatku = oblasťZačiatku.
										createTransformedArea(at);
								}

								oblasťOrezania.subtract(oblasťZačiatku);
							}
							else oblasťZačiatku = null;

							Area oblasťKonca;

							if (null != s.orezanieKonca)
							{
								oblasťKonca = new Area(s.orezanieKonca);

								if ((s.cieľ.aktuálnyUhol +
									s.cieľ.pootočenieTvaru) != 90 ||
									s.cieľ.aktuálneX != 0 ||
									s.cieľ.aktuálneY != 0)
								{
									AffineTransform at = new AffineTransform();
									at.rotate(Math.toRadians(
										90 - (s.cieľ.aktuálnyUhol +
											s.cieľ.pootočenieTvaru)),
										prepočítajX(s.cieľ.aktuálneX),
										prepočítajY(s.cieľ.aktuálneY));
									at.translate(s.cieľ.aktuálneX,
										-s.cieľ.aktuálneY);
									oblasťKonca = oblasťKonca.
										createTransformedArea(at);
								}

								oblasťOrezania.subtract(oblasťKonca);
							}
							else oblasťKonca = null;

							grafika.setClip(oblasťOrezania);

							Line2D.Double čiaraSpojnice;

							if (0 == s.vysunutieZačiatku &&
								0 == s.vysunutieKonca)
								čiaraSpojnice = new Line2D.Double(
									prepočítajX(aktuálneX),
									prepočítajY(aktuálneY),
									prepočítajX(s.cieľ.aktuálneX),
									prepočítajY(s.cieľ.aktuálneY));
							else
							{
								double α = Math.toRadians(
									s.robot.smerNa(s.cieľ) - 90);
								double Δx1 = Math.cos(α) * s.vysunutieZačiatku;
								double Δy1 = Math.sin(α) * s.vysunutieZačiatku;
								double Δx2 = Math.cos(α) * s.vysunutieKonca;
								double Δy2 = Math.sin(α) * s.vysunutieKonca;

								čiaraSpojnice = new Line2D.Double(
									prepočítajX(aktuálneX + Δx1),
									prepočítajY(aktuálneY + Δy1),
									prepočítajX(s.cieľ.aktuálneX + Δx2),
									prepočítajY(s.cieľ.aktuálneY + Δy2));
							}

							grafika.draw(čiaraSpojnice);

							if ((null != s.značkaZačiatku &&
								null != s.značkaZačiatku.vlastnéOrezanie) ||
								(null != s.značkaKonca &&
								null != s.značkaKonca.vlastnéOrezanie))
							{
								oblasťOrezania = new Area(clip);

								if (null != s.značkaZačiatku &&
									null != s.značkaZačiatku.vlastnéOrezanie)
								{
									Area vlastnáOblasťZačiatku =
										new Area(s.značkaZačiatku.
											vlastnéOrezanie);

									if ((aktuálnyUhol +
										pootočenieTvaru) != 90 ||
										aktuálneX != 0 || aktuálneY != 0)
									{
										AffineTransform at =
											new AffineTransform();
										at.rotate(Math.toRadians(
											90 - (aktuálnyUhol +
												pootočenieTvaru)),
											prepočítajX(aktuálneX),
											prepočítajY(aktuálneY));
										at.translate(aktuálneX, -aktuálneY);
										vlastnáOblasťZačiatku =
											vlastnáOblasťZačiatku.
												createTransformedArea(at);
									}

									oblasťOrezania.subtract(
										vlastnáOblasťZačiatku);
								}
								else if (null != oblasťZačiatku)
									oblasťOrezania.subtract(oblasťZačiatku);

								if (null != s.značkaKonca &&
									null != s.značkaKonca.vlastnéOrezanie)
								{
									Area vlastnáOblasťKonca =
										new Area(s.značkaKonca.
											vlastnéOrezanie);

									if ((s.cieľ.aktuálnyUhol +
										s.cieľ.pootočenieTvaru) != 90 ||
										s.cieľ.aktuálneX != 0 ||
										s.cieľ.aktuálneY != 0)
									{
										AffineTransform at =
											new AffineTransform();
										at.rotate(Math.toRadians(
											90 - (s.cieľ.aktuálnyUhol +
												s.cieľ.pootočenieTvaru)),
											prepočítajX(s.cieľ.aktuálneX),
											prepočítajY(s.cieľ.aktuálneY));
										at.translate(s.cieľ.aktuálneX,
											-s.cieľ.aktuálneY);
										vlastnáOblasťKonca =
											vlastnáOblasťKonca.
												createTransformedArea(at);
									}

									oblasťOrezania.subtract(
										vlastnáOblasťKonca);
								}
								else if (null != oblasťKonca)
									oblasťOrezania.subtract(oblasťKonca);

								grafika.setClip(oblasťOrezania);
							}

							if (null != s.značkaZačiatku)
							{
								s.značkaZačiatku.vypočítajPolohu(
									oblasťZačiatku, čiaraSpojnice);
								s.značkaZačiatku.kresliZnačku(obrázok, grafika);
							}

							if (null != s.značkaKonca)
							{
								s.značkaKonca.vypočítajPolohu(
									oblasťKonca, čiaraSpojnice);
								s.značkaKonca.kresliZnačku(obrázok, grafika);
							}

							grafika.setClip(clip);
						}
						else
						{
							Line2D.Double čiaraSpojnice;

							if (0 == s.vysunutieZačiatku &&
								0 == s.vysunutieKonca)
								čiaraSpojnice = new Line2D.Double(
									prepočítajX(aktuálneX),
									prepočítajY(aktuálneY),
									prepočítajX(s.cieľ.aktuálneX),
									prepočítajY(s.cieľ.aktuálneY));
							else
							{
								double α = Math.toRadians(
									s.robot.smerNa(s.cieľ) - 90);
								double Δx1 = Math.cos(α) * s.vysunutieZačiatku;
								double Δy1 = Math.sin(α) * s.vysunutieZačiatku;
								double Δx2 = Math.cos(α) * s.vysunutieKonca;
								double Δy2 = Math.sin(α) * s.vysunutieKonca;

								čiaraSpojnice = new Line2D.Double(
									prepočítajX(aktuálneX + Δx1),
									prepočítajY(aktuálneY + Δy1),
									prepočítajX(s.cieľ.aktuálneX + Δx2),
									prepočítajY(s.cieľ.aktuálneY + Δy2));
							}

							grafika.draw(čiaraSpojnice);

							if (null != s.značkaZačiatku)
							{
								s.značkaZačiatku.vypočítajPolohu(null, null);
								s.značkaZačiatku.kresliZnačku(obrázok, grafika);
							}

							if (null != s.značkaKonca)
							{
								s.značkaKonca.vypočítajPolohu(null, null);
								s.značkaKonca.kresliZnačku(obrázok, grafika);
							}
						}
					}
				}
			}

		// Práca s tvarom hviezdy

			// Inštancia produkujúca tvar a overujúca prítomnosť bodu v tvare
			private final Hviezda hviezda = new Hviezda();

			// Faktor na výpočet polomeru vpísanej kružnice:
			private final static double faktorHviezdy0 = 0.38196601125010504;
			// V skutočnosti je:
			//	faktorHviezdy0 = faktorHviezdy1 × sin 18° / sin 36°

			// Faktor na výpočet dĺžky strany hviezdy (to jest dĺžky úsečiek,
			// z ktorých je hviezda vytvorená – všetky sú zhodou okolností
			// rovnaké):
			private final static double faktorHviezdy1 = 0.7265425280053608;
			// Vypočítané ako: √(5 − 2√5)
			//	(alebo v jazyku Javy: Math.sqrt(5 - 2 * Math.sqrt(5));)

			// Trieda zoskupujúca základné vnútorné činnosti s hviezdou
			private class Hviezda
			{
				private double bod[] = new double[2];
				private double tvar[][] = new double[11][2];

				private double znamienko(int a, int b)
				{
					return (bod[0] - tvar[b][0]) * (tvar[a][1] - tvar[b][1]) -
						(bod[1] - tvar[b][1]) * (tvar[a][0] - tvar[b][0]);
				}

				// http://stackoverflow.com/questions/2049582/how-to-determine-a-point-in-a-2d-triangle
				// http://totologic.blogspot.sk/2014/01/accurate-point-in-triangle-test.html
				private boolean bodVTrojuholníku(int a1, int a2, int a3)
				{
					boolean b1 = znamienko(a1, a2) < 0.0;
					boolean b2 = znamienko(a2, a3) < 0.0;
					boolean b3 = znamienko(a3, a1) < 0.0;
					return b1 == b2 && b2 == b3;
				}

				public Shape daj(double polomer)
				{
					double dĺžka = polomer * faktorHviezdy1;
					double uhol = aktuálnyUhol;
					double x1 = prepočítajX(aktuálneX +
						Math.cos(Math.toRadians(uhol)) * polomer);
					double y1 = prepočítajY(aktuálneY +
						Math.sin(Math.toRadians(uhol)) * polomer);

					Path2D.Double hviezda = new Path2D.Double();

					uhol += 162;
					x1 += Math.cos(Math.toRadians(uhol)) * dĺžka;
					y1 -= Math.sin(Math.toRadians(uhol)) * dĺžka;
					hviezda.moveTo(x1, y1);

					uhol -= 72;
					x1 += Math.cos(Math.toRadians(uhol)) * dĺžka;
					y1 -= Math.sin(Math.toRadians(uhol)) * dĺžka;
					hviezda.lineTo(x1, y1);

					for (int i = 1; i < 5; ++i)
					{
						uhol += 144;
						x1 += Math.cos(Math.toRadians(uhol)) * dĺžka;
						y1 -= Math.sin(Math.toRadians(uhol)) * dĺžka;
						hviezda.lineTo(x1, y1);

						uhol -= 72;
						x1 += Math.cos(Math.toRadians(uhol)) * dĺžka;
						y1 -= Math.sin(Math.toRadians(uhol)) * dĺžka;
						hviezda.lineTo(x1, y1);
					}

					hviezda.closePath();
					return hviezda;
				}

				public boolean bodV(double x, double y, double polomer)
				{
					double Δx = x - aktuálneX;
					double Δy = y - aktuálneY;

					if ((Δx * Δx + Δy * Δy) > polomer * polomer) return false;

					double polomer2 = polomer * faktorHviezdy0;

					if ((Δx * Δx + Δy * Δy) <= polomer2 * polomer2) return true;

					bod[0] = x;
					bod[1] = y;

					double dĺžka = polomer * faktorHviezdy1;
					double uhol = aktuálnyUhol;
					double x1 = aktuálneX + Math.cos(
						Math.toRadians(uhol)) * polomer;
					double y1 = aktuálneY + Math.sin(
						Math.toRadians(uhol)) * polomer;

					tvar[1][0] = x1;
					tvar[1][1] = y1;

					uhol -= 162;
					x1 += Math.cos(Math.toRadians(uhol)) * dĺžka;
					y1 += Math.sin(Math.toRadians(uhol)) * dĺžka;
					tvar[2][0] = x1;
					tvar[2][1] = y1;

					uhol += 72;
					x1 += Math.cos(Math.toRadians(uhol)) * dĺžka;
					y1 += Math.sin(Math.toRadians(uhol)) * dĺžka;
					tvar[3][0] = x1;
					tvar[3][1] = y1;

					for (int i = 2; i < 5; ++i)
					{
						uhol -= 144;
						x1 += Math.cos(Math.toRadians(uhol)) * dĺžka;
						y1 += Math.sin(Math.toRadians(uhol)) * dĺžka;
						tvar[i * 2][0] = x1;
						tvar[i * 2][1] = y1;

						uhol += 72;
						x1 += Math.cos(Math.toRadians(uhol)) * dĺžka;
						y1 += Math.sin(Math.toRadians(uhol)) * dĺžka;
						tvar[i * 2 + 1][0] = x1;
						tvar[i * 2 + 1][1] = y1;
					}

					uhol -= 144;
					x1 += Math.cos(Math.toRadians(uhol)) * dĺžka;
					y1 += Math.sin(Math.toRadians(uhol)) * dĺžka;
					tvar[10][0] = tvar[0][0] = x1;
					tvar[10][1] = tvar[0][1] = y1;

					for (int i = 0; i < 9; i += 2)
						if (bodVTrojuholníku(i, i + 1, i + 2)) return true;

					return false;
				}
			}

		// Pôsobisko

			// Činnosti s pôsobiskom

				private void aktualizujPôsobisko()
				{
					// System.out.println("XY1: " + aktuálneX + ", " +
					// 	aktuálneY);

					if ((aktuálneX - (polomerPera / 2)) < minimálneX)
						minimálneX = aktuálneX - (polomerPera / 2);
					if ((aktuálneX + (polomerPera / 2)) > maximálneX)
						maximálneX = aktuálneX + (polomerPera / 2);
					if ((aktuálneY - (polomerPera / 2)) < minimálneY)
						minimálneY = aktuálneY - (polomerPera / 2);
					if ((aktuálneY + (polomerPera / 2)) > maximálneY)
						maximálneY = aktuálneY + (polomerPera / 2);

					// System.out.println("  : " + minimálneX + ", " +
					// 	minimálneY + " – " + maximálneX + ", " + maximálneY);
				}

				private void aktualizujPôsobisko(double polomer)
				{
					// System.out.println("XY2: " + aktuálneX + ", " +
					// 	aktuálneY + ", " + polomer);

					if ((aktuálneX - polomer) < minimálneX)
						minimálneX = aktuálneX - polomer;
					if ((aktuálneX + polomer) > maximálneX)
						maximálneX = aktuálneX + polomer;
					if ((aktuálneY - polomer) < minimálneY)
						minimálneY = aktuálneY - polomer;
					if ((aktuálneY + polomer) > maximálneY)
						maximálneY = aktuálneY + polomer;

					// System.out.println("  : " + minimálneX + ", " +
					// 	minimálneY + " – " + maximálneX + ", " + maximálneY);
				}

				private void aktualizujPôsobisko(double x, double y)
				{
					// System.out.println("XY3: " + x + ", " + y);

					if (x < minimálneX) minimálneX = x;
					if (x > maximálneX) maximálneX = x;
					if (y < minimálneY) minimálneY = y;
					if (y > maximálneY) maximálneY = y;

					// System.out.println("  : " + minimálneX + ", " +
					// 	minimálneY + " – " + maximálneX + ", " + maximálneY);
				}

				private void aktualizujPôsobisko(double novéMinX,
					double novéMinY, double novéMaxX, double novéMaxY)
				{
					// System.out.println("minMax: " + novéMinX + ", " +
					// 	novéMinY + " – " + novéMaxX + ", " + novéMaxY);

					if (novéMinX < minimálneX) minimálneX = novéMinX;
					if (novéMaxX > maximálneX) maximálneX = novéMaxX;
					if (novéMinY < minimálneY) minimálneY = novéMinY;
					if (novéMaxY > maximálneY) maximálneY = novéMaxY;

					// System.out.println("  : " + minimálneX + ", " +
					// 	minimálneY + " – " + maximálneX + ", " + maximálneY);
				}

				private void aktualizujPôsobisko(Rectangle2D rozsah)
				{
					aktualizujPôsobisko(
						prepočítajSpäťX(rozsah.getX()),
						prepočítajSpäťY(rozsah.getY() + rozsah.getHeight()),
						prepočítajSpäťX(rozsah.getX() + rozsah.getWidth()),
						prepočítajSpäťY(rozsah.getY()));
				}

			// Kreslenie pôsobiska

				private void kresliPôsobisko(Graphics2D grafika)
				{
					grafika.setColor(farbaPôsobiska);
					grafika.fillRect(
						(int)prepočítajX(minimálneX),
						(int)(prepočítajY(minimálneY) -
							maximálneY + minimálneY),
						(int)(maximálneX - minimálneX),
						(int)(maximálneY - minimálneY));
				}


		// Vstupný riadok a interaktívny režim

			// Spustené po potvrdení vstupu klávesom ENTER

				private static void potvrďVstup()
				{
					údajeVstupnéhoRiadka.setLength(0);
					údajeVstupnéhoRiadka.append(vstupnýRiadok.getText());

					if (vstupnýRiadokStáleViditeľný)
						vstupnýRiadok.setText("");

					if (0 != početVInteraktívnomRežime)
					{
						String príkaz = údajeVstupnéhoRiadka.toString();
						poslednáChyba = ŽIADNA_CHYBA;
						int početÚspechov; boolean vykonaťRiadok;

						if (Svet.ladenie)
						{
							if (null == počúvadlo ||
								počúvadlo.ladenie(-1, príkaz, VYPÍSAŤ_PRÍKAZ))
							{
								if (null == príkaz || príkaz.isEmpty())
								{
									// nič
								}
								else if ('@' == príkaz.charAt(0))
									Svet.vypíšRiadokLadenia(tmavohnedá, príkaz);
								else
									Svet.vypíšRiadokLadenia(tmavomodrá, príkaz);
							}

							vykonaťRiadok = null == počúvadlo ||
								počúvadlo.ladenie(-1, príkaz, VYKONAŤ_PRÍKAZ);
						}
						else vykonaťRiadok = true;

						if (vykonaťRiadok)
						{
							if (null != príkaz && !príkaz.isEmpty() &&
								'@' == príkaz.charAt(0))
							{
								if (príkaz.length() == 1)
									interaktívnaInštancia = null;
								else
									interaktívnaInštancia = príkaz.substring(1).
										toLowerCase();

								početÚspechov = 1;
							}
							else
								početÚspechov = Svet.vykonajPríkaz(príkaz,
									interaktívnaInštancia);

							if (0 != početÚspechov)
							{
								if (null != počúvadlo)
									synchronized (zámokUdalostí)
									{
										počúvadlo.spracovaniePríkazu();
										počúvadlo.spracovaniePrikazu();
									}

								// if (null != hlavnýRobot)
								// 	synchronized (zámokUdalostí)
								// 	{
								// 		hlavnýRobot.spracovaniePríkazu();
								// 		hlavnýRobot.spracovaniePrikazu();
								// 	}

								synchronized (zámokUdalostí)
								{
									for (GRobot počúvajúci : počúvajúciSystém)
									{
										počúvajúci.spracovaniePríkazu();
										počúvajúci.spracovaniePrikazu();
									}
								}
								return;
							}
							else if (ŽIADNA_CHYBA == poslednáChyba)
								poslednáChyba = CHYBA_NEZNÁMY_PRÍKAZ;
						}
					}

					if (null != počúvadlo)
						synchronized (zámokUdalostí)
						{
							počúvadlo.potvrdenieÚdajov();
							počúvadlo.potvrdenieUdajov();
							počúvadlo.potvrdenieVstupu();
						}

					// if (null != hlavnýRobot)
					// 	synchronized (zámokUdalostí)
					// 	{
					// 		hlavnýRobot.potvrdenieÚdajov();
					// 		hlavnýRobot.potvrdenieUdajov();
					// 		hlavnýRobot.potvrdenieVstupu();
					// 	}

					synchronized (zámokUdalostí)
					{
						for (GRobot počúvajúci : počúvajúciVstupnýRiadok)
						{
							počúvajúci.potvrdenieÚdajov();
							počúvajúci.potvrdenieUdajov();
							počúvajúci.potvrdenieVstupu();
						}
					}

					if (!vstupnýRiadokStáleViditeľný)
					{
						panelVstupnéhoRiadka.setVisible(false);
						automatickéPrekreslenie();
					}
				}

			// Spustené po zrušení vstupu klávesom ESCAPE

				private static void zrušVstup()
				{
					zrušenéÚdajeVstupnéhoRiadka.setLength(0);
					zrušenéÚdajeVstupnéhoRiadka.append(vstupnýRiadok.getText());
					if (vstupnýRiadokStáleViditeľný)
						vstupnýRiadok.setText("");
					else
					{
						panelVstupnéhoRiadka.setVisible(false);
						automatickéPrekreslenie();
					}

					if (null != počúvadlo)
						synchronized (zámokUdalostí)
						{
							počúvadlo.zrušenieÚdajov();
							počúvadlo.zrusenieUdajov();
							počúvadlo.zrušenieVstupu();
							počúvadlo.zrusenieVstupu();
						}

					// if (null != hlavnýRobot)
					// 	synchronized (zámokUdalostí)
					// 	{
					// 		hlavnýRobot.zrušenieÚdajov();
					// 		hlavnýRobot.zrusenieUdajov();
					// 		hlavnýRobot.zrušenieVstupu();
					// 		hlavnýRobot.zrusenieVstupu();
					// 	}

					synchronized (zámokUdalostí)
					{
						for (GRobot počúvajúci : počúvajúciVstupnýRiadok)
						{
							počúvajúci.zrušenieÚdajov();
							počúvajúci.zrusenieUdajov();
							počúvajúci.zrušenieVstupu();
							počúvajúci.zrusenieVstupu();
						}
					}
				}


		// Práca s vnútornými zoznamami objektov

			// Metódy prijímajú názov súboru ako reťazec, vyhľadajú súbor
			// a prečítajú z neho objekt. Ak už bol raz objekt prečítaný,
			// metóda ho vráti priamo, bez opätovného čítania zo súboru.

			// Transformuje názov súboru na obrázok

				private static BufferedImage súborNaObrázok(String súbor)
				{
					// Najskôr vyhľadáme obrázok vo vnútornom zozname
					// prečítaných obrázkov
					int indexOf;
					if (-1 != (indexOf = zoznamSúborovObrázkov.indexOf(súbor)))
						return preveďNaBufferedImage(
							zoznamObrázkov.elementAt(indexOf));

					// Ak nie je v zozname, prečítame ho zo súboru
					URL url = null;

					try
					{
						File súborSObrázkom = nájdiSúbor(
							priečinokObrázkov + súbor);
						if (súborSObrázkom.canRead())
							url = súborSObrázkom.toURI().toURL();
					}
					// catch (MalformedURLException e)
					catch (Exception e)
					{
						vypíšChybovéHlásenia(e, false);
					}

					if (null == url)
					{
						// Prečítaj z lokality URL (mimo pevného disku)
						try
						{
							url = new URL(súbor);
						}
						catch (Exception e)
						{
							vypíšChybovéHlásenia(e, false);
						}
					}

					// V prípade, že by bol v .jar súbore
					if (null == url) url = nájdiZdroj(
						priečinokObrázkov + súbor);
					if (null == url) throw new GRobotException("Obrázok „" +
						súbor + "“ nebol nájdený.", "imageNotFound", súbor);

					BufferedImage obrázok = null;

					try { obrázok = ImageIO.read(url); }
					catch (Exception e) { vypíšChybovéHlásenia(e, true);
					return null; }

					zoznamSúborovObrázkov.add(súbor);
					zoznamObrázkov.add(obrázok);
					zoznamIkon.add(null);

					// bufferedImage.getGraphics().drawImage(image, 0, 0, null);

					return obrázok;
				}

			// Transformuje názov súboru na ikonu

				private static Icon súborNaIkonu(String súbor)
				{
					for (int i = 0; i < 2; ++i)
					{
						int indexOf;
						if (-1 != (indexOf =
							zoznamSúborovObrázkov.indexOf(súbor)))
						{
							if (null == zoznamIkon.elementAt(indexOf))
							{
								zoznamIkon.setElementAt(
									new ImageIcon(zoznamObrázkov.
										elementAt(indexOf)), indexOf);
							}
							return zoznamIkon.elementAt(indexOf);
						}

						súborNaObrázok(súbor);
					}
					return null;
				}

				private static Icon obrázokNaIkonu(Image obrázok)
				{
					int indexOf;

					if (-1 != (indexOf = zoznamObrázkov.indexOf(obrázok)))
					{
						if (null == zoznamIkon.elementAt(indexOf))
						{
							zoznamIkon.setElementAt(
								new ImageIcon(obrázok), indexOf);
						}
						return zoznamIkon.elementAt(indexOf);
					}

					Icon ikona = new ImageIcon(obrázok);
					zoznamSúborovObrázkov.add(null);
					zoznamObrázkov.add(obrázok);
					zoznamIkon.add(ikona);
					return ikona;
				}

			// Transformuje názov súboru na zvuk

				private static ZoznamZvukov zoznamZvukovSúboru(String súbor)
				{
					ZoznamZvukov zoznamZvukov = zoznamSúborovZvukov.get(súbor);
					if (null == zoznamZvukov)
					{
						súborNaZvuk(súbor, true);
						zoznamZvukov = zoznamSúborovZvukov.get(súbor);
					}
					return zoznamZvukov;
				}

				private static Zvuk súborNaZvuk(String súbor)
				{
					return súborNaZvuk(súbor, false);
				}

				private static Zvuk súborNaZvuk(String súbor, boolean unikátny)
				{
					// Starší spôsob:
					// int indexOf;
					// if (!unikátny && -1 != (indexOf =
					// 	zoznamSúborovZvukov.indexOf(súbor)))
					// 	return zoznamZvukov.elementAt(indexOf);

					ZoznamZvukov zoznamZvukov = zoznamSúborovZvukov.get(súbor);

					if (null == zoznamZvukov)
					{
						zoznamZvukov = new ZoznamZvukov();
						zoznamSúborovZvukov.put(súbor, zoznamZvukov);
						unikátny = true;
					}

					if (!unikátny)
						for (Zvuk zvuk : zoznamZvukov)
							if (!zvuk.prehrávaSa()) return zvuk;


					URL url = null;

					try
					{
						File zvukovýSúbor = nájdiSúbor(
							priečinokZvukov + súbor);
						if (zvukovýSúbor.canRead())
							url = zvukovýSúbor.toURI().toURL();
					}
					// catch (MalformedURLException e)
					catch (Exception e)
					{
						vypíšChybovéHlásenia(e, false);
					}

					if (null == url)
					{
						// Prečítaj z lokality URL (mimo pevného disku)
						try
						{
							url = new URL(súbor);
						}
						catch (Exception e)
						{
							vypíšChybovéHlásenia(e, false);
						}
					}

					// V prípade, že by bol v .jar súbore
					if (null == url) url = nájdiZdroj(
						priečinokZvukov + súbor);
					if (null == url) throw new GRobotException("Zvuk „" +
						súbor + "“ nebol nájdený.", "soundNotFound", súbor);

					// Kedysi, v čase korytnačky, sa používal apletovský
					// AudioClip. Bolo treba importovať:
					//   import java.applet.AudioClip;
					//   import java.applet.Applet;
					// 
					// Všade, kde je použitá trieda Zvuk, bola použitá trieda
					// AudioClip. Stačilo prečítať klip:
					//   AudioClip klip = Applet.newAudioClip(url);
					// 
					// A používať tieto metódy:
					//   klip.play();   // teraz: klip.prehraj();
					//   klip.loop();   // teraz: klip.prehrávaťDookola();
					//   klip.stop();   // teraz: klip.zastav();
					// 
					// Používanie bolo jednoduché, lenže napríklad metódy:
					//   klip.hlasitosť(double);
					//   klip.váha(double);
					// 
					// neboli nijako podporované…
					// Preto bola vo verzii Korytnačky 6.9 naprogramovaná
					// trieda Zvuk.
					// 

					Zvuk zvuk = Zvuk.čítaj(url);
					if (null == zvuk) throw new GRobotException
						("Zvuk „" + súbor + "“ nie je možné prečítať.",
							"soundUnreadable", súbor);

					// Zo staršieho spôsobu:
					// zoznamSúborovZvukov.add(súbor);
					zoznamZvukov.add(zvuk);

					return zvuk;
				}


		// Univerzálny objekt obrázka

			// Nasledujúce dve metódy overujú, či zadaný objekt nižšieho typu
			// (Image alebo BufferedImage) nie je vyššieho typu (Obrázok)
			// a či nemá byť vykonané kreslenie iného rastra než predloženého
			// (zatiaľ iba zvlnenej verzie rastra v prípade aktíneho vlnenia):

			private static Image dajRelevantnýRaster(Image obrázok)
			{
				if (obrázok instanceof Obrázok)
				{
					Obrázok overenie = (Obrázok)obrázok;
					if (null != overenie.vlnenie)
						return overenie.vlnenie.zvlnenýRaster();
				}

				return obrázok;
			}

			private static BufferedImage dajRelevantnýRaster(
				BufferedImage obrázok)
			{
				if (obrázok instanceof Obrázok)
				{
					Obrázok overenie = (Obrázok)obrázok;
					if (null != overenie.vlnenie)
						return overenie.vlnenie.zvlnenýRaster();
				}

				return obrázok;
			}

			// Prevod obrázkov typu Image na BufferedImage nie je úplne
			// priamočiary, preto sme definovali túto pomocnú triedu:
			private static class PrevedenýObrázok
			{
				public final BufferedImage prevedený;
				public final Graphics2D grafika;
				public final int[] údaje;

				public PrevedenýObrázok(Image obrázok)
				{
					prevedený = new BufferedImage(obrázok.getWidth(null),
						obrázok.getHeight(null), BufferedImage.TYPE_INT_ARGB);

					grafika = prevedený.createGraphics();
					grafika.addRenderingHints(Obrázok.hints);

					údaje = ((DataBufferInt)prevedený.getRaster().
						getDataBuffer()).getData();
				}
			}

			// Zoznam obrázkov typu Image prevedených na BufferedImage
			// (v ideálnom prípade zostane zoznam prázdny, lebo sa bude
			// pracovať len s obrázkami typu BufferedImage, ale zaručené
			// to byť nemôže)
			private final static HashMap<Image, PrevedenýObrázok>
				prevedenéObrázky = new HashMap<Image, PrevedenýObrázok>();

			// Táto metóda v prvom rade zistí, či zadaný objekt nie je
			// typu BufferedImage (alebo odvodeného), ak nie je overí, či
			// už nebol vykonávaný prevod – čiže či už sa obrázok nenachádza
			// v zozname prevedených obrázkov a až potom vyrobí novú
			// prevedenú inštanciu, ktorú zároveň uloží do spomenutého zoznamu
			private static BufferedImage preveďNaBufferedImage(Image obrázok)
			{
				// Ak sem prišla inštancia BufferedImage, tak ju priamo
				// posunieme ďalej:
				if (obrázok instanceof BufferedImage)
					return (BufferedImage)obrázok;

				// Ak nie, tak skúsime nájsť prevedený obrázok v zozname:
				PrevedenýObrázok prevedený = prevedenéObrázky.get(obrázok);

				// Ak tam nebol, tak ho vytvorí a uloží ho do zoznamu:
				if (null == prevedený)
				{
					prevedený = new PrevedenýObrázok(obrázok);
					prevedenéObrázky.put(obrázok, prevedený);
				}

				// Obsah obrázka môže byť medzičasom aktualizovaný,
				// preto ho treba zakaždým prekresliť… (Definovať na to
				// metódu som považoval za zbytočné a menej optimálne.)
				Arrays.fill(prevedený.údaje, 0);
				prevedený.grafika.drawImage(obrázok, 0, 0, null);
				return prevedený.prevedený;
			}


		// Práca so súbormi


			private static String upravLomky(String cesta,
				boolean lomkaNaKonci)
			{
				if (null == cesta) return "";

				if (!cesta.isEmpty())
				{
					/*
					if (File.separatorChar == '/' && -1 != cesta.indexOf('\\'))
					{
						StringBuffer konverzia = new StringBuffer(cesta);
						int index;

						while (-1 != (index = cesta.indexOf('\\')))
						{
							konverzia.setCharAt(index, File.separatorChar);
						}

						if (lomkaNaKonci && konverzia.charAt(konverzia.
							length() - 1) != File.separatorChar)
							konverzia.append(File.separatorChar);

						return konverzia.toString();
					}

					if (File.separatorChar == '\\' && -1 != cesta.indexOf('/'))
					{
						StringBuffer konverzia = new StringBuffer(cesta);
						int index;

						while (-1 != (index = cesta.indexOf('/')))
						{
							konverzia.setCharAt(index, File.separatorChar);
						}

						if (lomkaNaKonci && konverzia.charAt(konverzia.
							length() - 1) != File.separatorChar)
							konverzia.append(File.separatorChar);

						return konverzia.toString();
					}

					if (lomkaNaKonci && cesta.charAt
						(cesta.length() - 1) != File.separatorChar)
						return cesta + File.separator;
					*/

					if (lomkaNaKonci && cesta.charAt
						(cesta.length() - 1) != '/')
						return cesta + '/';
				}

				return cesta;
			}


			private static String[] zoznamZJarSúboru(String názovJaru,
				String cesta, boolean súbory, boolean priečinky)
			{
				Vector<String> zoznam = null;
				JarFile súborJar = null;
				int indexOf1 = -1;

				if (null != cesta)
				{
					if (cesta.isEmpty()) cesta = null; else
					{
						// #staré# if (-1 != cesta.indexOf('\\'))
						// #staré# {
						// #staré# 	/* // ineffective way
						// #staré# 	StringBuffer replace =
						// #staré# 		new StringBuffer(cesta.toUpperCase());
						// #staré# 
						// #staré# 	while (-1 != (indexOf1 = replace.indexOf("\\")))
						// #staré# 		replace.setCharAt(indexOf1, '/');
						// #staré# 
						// #staré# 	replace.append('/');
						// #staré# 	cesta = replace.toString();
						// #staré# 	*/
						// #staré# 	cesta = cesta.replace('\\', '/').
						// #staré# 		toUpperCase() + '/';
						// #staré# }
						// #staré# else
						// #staré# 	cesta = cesta.toUpperCase() + '/';

						cesta = cesta.toUpperCase();
						String[] časti = cesta.split("[\\\\/]+");

						zoznam = new Vector<String>();

						for (String časť : časti)
						{
							if (časť.equals(".."))
							{
								if (!zoznam.isEmpty())
									zoznam.remove(zoznam.size() - 1);
							}
							else if (!časť.equals(".")) zoznam.add(časť);
						}

						if (zoznam.isEmpty()) cesta = null; else
						{
							StringBuffer nová = new StringBuffer();

							for (String časť : zoznam)
							{
								nová.append(časť);
								nová.append('/');
							}

							cesta = nová.toString();
						}

						zoznam = null;
					}
				}

				try
				{
					if (null == názovJaru)
						súborJar = new JarFile(getJarPathName());
					else
						súborJar = new JarFile(názovJaru);

					Enumeration<JarEntry> položkyJaru = súborJar.entries();
					zoznam = new Vector<String>();

					while (položkyJaru.hasMoreElements())
					{
						String názovPoložky =
							položkyJaru.nextElement().getName();

						String názovPriečinka = null;
						String názovSúboru = null;
						int indexOf2 = -1;

						if (null != cesta)
						{
							if (!názovPoložky.toUpperCase().
								startsWith(cesta)) continue;

							názovPoložky = názovPoložky.
								substring(cesta.length(),
									názovPoložky.length());
						}

						if (-1 != (indexOf1 = názovPoložky.indexOf("/")))
						{
							názovPriečinka = názovPoložky.
								substring(0, indexOf1);
						}
						else
						{
							if (-1 == (indexOf2 = názovPoložky.
								indexOf("/", ++indexOf1)))
							{
								názovSúboru = názovPoložky.
									substring(indexOf1,
										názovPoložky.length());
							}
						}

						if (priečinky && null != názovPriečinka)
						{
							if (!zoznam.contains(názovPriečinka))
								zoznam.add(názovPriečinka);
						}

						if (súbory && null != názovSúboru)
							zoznam.add(názovSúboru);
					}
				}
				catch (IOException e) { }
				catch (NullPointerException e) { }
				finally
				{
					if (súborJar != null)
					{
						try { súborJar.close(); }
						catch (IOException ioe) { }
					}
				}

				if (null == zoznam) return null;

				String výslednýZoznam[] = new String[zoznam.size()];
				for (int i = 0; i < zoznam.size(); i++)
					výslednýZoznam[i] = zoznam.get(i);

				return výslednýZoznam;
			}


			// Vráti vstupný prúd fyzického súboru na disku
			private static InputStream dajVstupnýPrúdSúboru(String názovSúboru)
				throws FileNotFoundException
			{
				InputStream vstupnýPrúd; FileNotFoundException notFound = null;

				// Najprv skúsi otvoriť prúd na aktuálnej ceste:
				try
				{
					vstupnýPrúd = new FileInputStream(názovSúboru);
					return vstupnýPrúd;
				}
				catch (FileNotFoundException e)
				{
					notFound = e;
				}

				// Potom skúsi otvoriť prúd zo zoznamu tried classpath:
				ClassLoader nahrávačTried = ClassLoader.getSystemClassLoader();

				if (nahrávačTried instanceof URLClassLoader)
				{
					URL[] urls = ((URLClassLoader)nahrávačTried).getURLs();

					for (URL url: urls)
					{
						try
						{
							vstupnýPrúd = new FileInputStream(
								new File(url.toURI()).getCanonicalPath() +
								File.separator + názovSúboru);
							return vstupnýPrúd;
						}
						catch (FileNotFoundException | URISyntaxException e)
						{
							// Tento raz ignorované… („sorry“)
							// notFound = e;
						}
						catch (IOException e)
						{
							// Tiež ignorované… (druhý raz „sorry“)
						}
					}
				}

				throw notFound;
			}

			// Vráti vstupný prúd (input stream) zdroja (of resource)
			private static InputStream dajVstupnýPrúdZdroja(String názovSúboru)
			{
				String uriZdroja = názovSúboru.replace('\\', '/');
				InputStream
					vstupnýPrúd = GRobot.class.getResourceAsStream(uriZdroja);

				if (null == vstupnýPrúd && !uriZdroja.startsWith("/"))
				{
					uriZdroja = "/" + uriZdroja;
					vstupnýPrúd = GRobot.class.getResourceAsStream(uriZdroja);
				}

				return vstupnýPrúd;
			}

			// Pokúsa sa vytvoriť zo zdroja súbor a vrátiť jeho veľkosť
			private static long dajVeľkosťZdroja(String názovSúboru)
				throws URISyntaxException
			{
				String uriZdroja = názovSúboru.replace('\\', '/');
				URL url = GRobot.class.getResource(uriZdroja);

				if (null == url && !uriZdroja.startsWith("/"))
				{
					uriZdroja = "/" + uriZdroja;
					url = GRobot.class.getResource(uriZdroja);
				}

				return new File(url.toURI()).length();
			}

			// Vyhľadá súbor na disku a vráti ho v objekte typu File
			private static File nájdiSúbor(String názovSúboru)
				throws FileNotFoundException
			{
				File súbor;

				// Najprv skúsi nájsť súbor v aktuálnej lokalite:
				súbor = new File(názovSúboru);
				if (súbor.exists()) return súbor;

				// Potom skúsi nájsť súbor v zozname ciest classpath:
				ClassLoader nahrávačTried = ClassLoader.getSystemClassLoader();

				if (nahrávačTried instanceof URLClassLoader)
				{
					URL[] urls = ((URLClassLoader)nahrávačTried).getURLs();

					for (URL url: urls)
					{
						try
						{
							súbor = new File(new File(url.toURI()).
								getCanonicalPath() + File.separator +
								názovSúboru);
							if (súbor.exists()) return súbor;
						}
						catch (URISyntaxException e)
						{
							// Tento raz ignorované… („sorry“)
							// notFound = e;
						}
						catch (IOException e)
						{
							// Tiež ignorované… (druhý raz „sorry“)
						}
					}
				}

				return null;
			}

			// Vyhľadá súbor v .jar súbore a vráti jeho URL
			private static URL nájdiZdroj(String názovSúboru)
			{
				String uriZdroja = názovSúboru.replace('\\', '/');
				URL url = GRobot.class.getResource(uriZdroja);

				if (null == url && !uriZdroja.startsWith("/"))
				{
					uriZdroja = "/" + uriZdroja;
					url = GRobot.class.getResource(uriZdroja);
				}

				return url;
			}


		// Práca s oblasťami

			// Kreslenie oblastí

				private void kresli(Area oblasť)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.draw(oblasť);
					// aktualizujPôsobisko(oblasť.getBounds2D());
					automatickéPrekreslenie();
				}

			// Vypĺňanie oblastí

				private void vyplň(Area oblasť)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.fill(oblasť);
					// aktualizujPôsobisko(oblasť.getBounds2D());
					automatickéPrekreslenie();
				}


				private void vyplň(Area oblasť, String súbor)
				{
					BufferedImage obrázok = súborNaObrázok(súbor);

					grafikaAktívnehoPlátna.setPaint(
						new TexturePaint(obrázok, new Rectangle2D.Double(
							posuňVýplňX, posuňVýplňY,
							obrázok.getWidth()  * mierkaVýplneX,
							obrázok.getHeight() * mierkaVýplneY)));

					if (0 == otočVýplňΑ)
						grafikaAktívnehoPlátna.fill(oblasť);
					else
					{
						double β = Math.toRadians(otočVýplňΑ);
						grafikaAktívnehoPlátna.rotate(-β,
							otočVýplňX, otočVýplňY);
						Area a = oblasť.createTransformedArea(
							AffineTransform.getRotateInstance(β,
							otočVýplňX, otočVýplňY));

						grafikaAktívnehoPlátna.fill(a);

						grafikaAktívnehoPlátna.rotate(β,
							otočVýplňX, otočVýplňY);
					}

					// aktualizujPôsobisko(oblasť.getBounds2D());
					automatickéPrekreslenie();
				}


				private void vyplň(Area oblasť, Image výplň)
				{
					BufferedImage obrázok = preveďNaBufferedImage(výplň);
					BufferedImage relevantný = dajRelevantnýRaster(obrázok);

					float priehľadnosť = (obrázok instanceof Obrázok) ?
						((Obrázok)obrázok).priehľadnosť : 1.0f;

					if (priehľadnosť > 0)
					{
						grafikaAktívnehoPlátna.setPaint(
							new TexturePaint(relevantný, new Rectangle2D.Double(
								posuňVýplňX, posuňVýplňY,
								relevantný.getWidth(null)  * mierkaVýplneX,
								relevantný.getHeight(null) * mierkaVýplneY)));

						Area a = oblasť; double β = 0.0;

						if (0 != otočVýplňΑ)
						{
							β = Math.toRadians(otočVýplňΑ);
							grafikaAktívnehoPlátna.rotate(-β,
								otočVýplňX, otočVýplňY);
							a = oblasť.createTransformedArea(
								AffineTransform.getRotateInstance(β,
								otočVýplňX, otočVýplňY));
						}

						if (priehľadnosť < 1)
						{
							Composite záloha =
								grafikaAktívnehoPlátna.getComposite();
							grafikaAktívnehoPlátna.setComposite(
								AlphaComposite.getInstance(
									AlphaComposite.SRC_OVER, priehľadnosť));
							grafikaAktívnehoPlátna.fill(a);
							grafikaAktívnehoPlátna.setComposite(záloha);
						}
						else
							grafikaAktívnehoPlátna.fill(a);

						if (0 != otočVýplňΑ)
						{
							grafikaAktívnehoPlátna.rotate(β,
								otočVýplňX, otočVýplňY);
						}

						// aktualizujPôsobisko(oblasť.getBounds2D());
						automatickéPrekreslenie();
					}
				}


		// Výpis podrobných chybových hlásení pri vzniku výnimiek

			private static void vypíšChybovéHlásenia(Exception e)
			{
				if (vypíšChybovéHlásenia)
				{
					System.err.println(e.getClass().getName());
					System.err.println(e.getMessage());
					e.printStackTrace();
				}
			}

			private static void vypíšChybovéHlásenia(Exception e,
				boolean vždyNikdy)
			{
				if (vždyNikdy)
				{
					System.err.println(e.getClass().getName());
					System.err.println(e.getMessage());
					e.printStackTrace();
				}
			}


	// ------------------------------- //
	//  *** Rôzne súkromné triedy ***  //
	// ------------------------------- //

		// Trieda vrstiev
		@SuppressWarnings("serial")
		private static class Vrstva extends TreeMap<Integer, GRobot>
		{
			/*
			Poznámky:

			Systém vrstiev je dvojitá stromová mapa (TreeMap), do ktorej sú
			prvky (objekty == roboty) vkladané podľa: čísla vrstvy a ďalej
			podľa poradového čísla robota v globálnom zozname robotov.

			Preradenie z vrstvy do vrstvy je vďaka tomu vykonané relatívne
			jednoducho:
				1. vymazanie zo stromovej mapy aktuálnej vrstvy;
				2. zmena vnútorného poradového čísla vrstvy;
				3. vloženie do stromovej mapy novej vrstvy podľa poradového
				   čísla v globálnom zozname robotov.

			Zaradenie nových robotov do vrstiev je vykonané buď okamžite (ak
			to je možné), alebo počas zlučovania záložného a globálneho
			zoznamu robotov (tesne po zlúčení zoznamov).

			Zmena poradia v rámci vrstvy musí byť vykonaná po každej zmene
			poradia robota v rámci globálneho zoznamu robotov. (Metódy:
			naVrch, naSpodok, vyššie, nižšie…)

			Bývalý zoznam toho, čo bolo treba urobiť:

				– Hotovo: Informácie o vrstvách musia byť zakomponované
				  do dokumentácie metód upravujúcich poradie robotov.

				– Hotovo: Uvoľnenie robota má za následok aj jeho
				  odstránenie z prislúchajúcej vrstvy.

			*/

			// Nájdenie alebo vytvorenie (a korektné vloženie) určenej vrstvy
				private static Vrstva daj(int číslo)
				{
					Vrstva vrstva = zoznamVrstiev.get(číslo);
					if (null == vrstva)
					{
						vrstva = new Vrstva();
						zoznamVrstiev.put(číslo, vrstva);
					}
					return vrstva;
				}

			// Vymazanie robotov z ich aktuálnej vrstvy
				private static void vymaž(GRobot robot)
				{
					int index = zoznamRobotov.indexOf(robot);
					if (-1 != index)
					{
						Vrstva vrstva = zoznamVrstiev.get(robot.vrstva);
						if (null != vrstva)
						{
							// Buď nájdem robota na určenej pozícii,
							if (robot == vrstva.get(index))
							{
								vrstva.remove(index);
								return;
							}

							// alebo ho budem hľadať v celej mape…
							for (Map.Entry<Integer, GRobot>
								hľadaj : vrstva.entrySet())
							{
								if (robot == hľadaj.getValue())
								{
									vrstva.remove(hľadaj.getKey());
									return;
								}
							}

							// (Ak zlyhá aj to, robot tam asi nebol…)
						}
					}
				}

				// Vymazanie rozsahu robotov…
				private static void vymaž(int začiatok, int koniec)
				{
					if (0 <= začiatok && 0 <= koniec)
					{
						if (začiatok > koniec)
						{
							int a = začiatok;
							začiatok = koniec;
							koniec = a;
						}

						for (int i = začiatok; i <= koniec; ++i)
							vymaž(zoznamRobotov.get(i));
					}
				}

			// Vloženie robotov do ich aktuálnej vrstvy
				private static void vlož(GRobot robot)
				{
					int index = zoznamRobotov.indexOf(robot);
					if (-1 != index)
					{
						Vrstva vrstva = daj(robot.vrstva);
						if (null != vrstva)
							vrstva.put(index, robot);
					}
				}

				// Vloženie rozsahu robotov…
				private static void vlož(int začiatok, int koniec)
				{
					if (0 <= začiatok && 0 <= koniec)
					{
						if (začiatok > koniec)
						{
							int a = začiatok;
							začiatok = koniec;
							koniec = a;
						}

						for (int i = začiatok; i <= koniec; ++i)
							vlož(zoznamRobotov.get(i));
					}
				}

			// Preradenie robota do inej vrstvy
				private static void preraď(GRobot robot, int vrstva)
				{
					vymaž(robot);
					robot.vrstva = vrstva;
					vlož(robot);
				}
		}

		// Upravené komponenty na použitie v dialógoch na čítanie údajov
		// Zdroj: https://docs.oracle.com/javase/tutorial/uiswing/components/textfield.html
		@SuppressWarnings("serial")
		private static class RobotTextField extends JTextField
		{
			public RobotTextField()
			{
				addActionListener(new ActionListener()
				{
					public void actionPerformed(ActionEvent e)
					{
						for (Component component = getParent();
							null != component; component =
							component.getParent())
						{
							if (component instanceof JOptionPane)
							{
								JOptionPane pane = (JOptionPane)component;
								pane.setValue(odpovedeZadania[0]);

								// Java chápe skrytie okna ako zavretie
								pane.setVisible(false);
								break;
							}
						}
					}
				});
			}
		}

		@SuppressWarnings("serial")
		private static class RobotPasswordField extends JPasswordField
		{
			public RobotPasswordField()
			{
				addActionListener(new ActionListener()
				{
					public void actionPerformed(ActionEvent e)
					{
						for (Component component = getParent();
							null != component; component =
							component.getParent())
						{
							if (component instanceof JOptionPane)
							{
								JOptionPane pane = (JOptionPane)component;
								pane.setValue(odpovedeZadania[0]);
								pane.setVisible(false);
								break;
							}
						}
					}
				});
			}
		}

		// Triedy vnútornej konzoly

		private static class PrototypKonzoly {}

		private static class PríkazKonzoly extends PrototypKonzoly
		{
			public Farba farba = null;
			public Farba pozadie = null;
			public boolean zrušPozadie = false;
			public Point2D poloha = null;
			public Integer odsaďPrvý = null;
			public Integer odsaďZľava = null;
			public Integer odsaďSprava = null;
			public boolean zamrazOdsadenie = false;
		}

		private static class Slovo
		{
			public String slovo = null;
		}

		private static class AktívneSlovo extends Slovo
		{
			public String identifikátor = null;
			public Rectangle2D hranice = null;
		}

		private static class ObsahKonzoly extends PrototypKonzoly
		{
			public StringBuffer obsah = null;
			public AktívneSlovo aktívneSlovo = null;
			public Slovo[] slová = null; // na zalamovanie textov
		}

		@SuppressWarnings("serial")
		private static class RiadokKonzoly extends Vector<PrototypKonzoly> {}

		private static class ZálohaKonzoly
		{
			public final Vector<RiadokKonzoly> záloha =
				new Vector<RiadokKonzoly>();
		}

		// Pomocná metóda na zalamovanie textov ()
		private static Slovo[] rozbiNaSlová(
			StringBuffer text, AktívneSlovo aktívneSlovo)
		{
			// Nevyhnutné deklarácie, definície a zistenie počtu slov…
			Slovo[] slová; int počet = 1;
			for (int i = 0; -1 != (i = text.indexOf(" ", i)); ++i, ++počet);
			int index = 0, začiatok = 0, koniec = text.indexOf(" ", začiatok);

			// -old-way-
			// String[] rozbité = new String[počet];
			// …
			// while (-1 != koniec)
			// {
			// 	rozbité[index] = text.substring(začiatok, koniec);
			// 	začiatok = koniec + 1; ++index;
			// 	koniec = text.indexOf(" ", začiatok);
			// }
			// …
			// rozbité[index] = text.substring(začiatok, text.length());
			// return rozbité;

			if (null == aktívneSlovo)
			{
				slová = new Slovo[počet];

				while (-1 != koniec)
				{
					slová[index] = new Slovo();
					slová[index].slovo = text.substring(začiatok, koniec);

					začiatok = koniec + 1; ++index;
					koniec = text.indexOf(" ", začiatok);
				}

				slová[index] = new Slovo();
				slová[index].slovo = text.substring(začiatok, text.length());
			}
			else
			{
				slová = new AktívneSlovo[počet];

				while (-1 != koniec)
				{
					slová[index] = new AktívneSlovo();
					slová[index].slovo = text.substring(začiatok, koniec);
					((AktívneSlovo)slová[index]).identifikátor =
						aktívneSlovo.identifikátor;

					začiatok = koniec + 1; ++index;
					koniec = text.indexOf(" ", začiatok);
				}

				slová[index] = new AktívneSlovo();
				slová[index].slovo = text.substring(začiatok, text.length());
				((AktívneSlovo)slová[index]).identifikátor =
					aktívneSlovo.identifikátor;
			}

			return slová;
		}

		// Posunutie zadaného obdĺžnika – výhodné pre oblasť aktívneho slova
		private static void posuňObdĺžnik(
			Rectangle2D obdĺžnik, float x, float y)
		{
			if (obdĺžnik instanceof Rectangle2D.Float)
			{
				((Rectangle2D.Float)obdĺžnik).x += x;
				((Rectangle2D.Float)obdĺžnik).y += y;
			}
			else if (obdĺžnik instanceof Rectangle2D.Double)
			{
				((Rectangle2D.Double)obdĺžnik).x += x;
				((Rectangle2D.Double)obdĺžnik).y += y;
			}
		}

		// Rozšírenie zadaného obdĺžnika
		private static void rozšírObdĺžnik(
			Rectangle2D obdĺžnik, float Δx, float Δy)
		{
			if (obdĺžnik instanceof Rectangle2D.Float)
			{
				((Rectangle2D.Float)obdĺžnik).width += Δx;
				((Rectangle2D.Float)obdĺžnik).height += Δy;
			}
			else if (obdĺžnik instanceof Rectangle2D.Double)
			{
				((Rectangle2D.Double)obdĺžnik).width += Δx;
				((Rectangle2D.Double)obdĺžnik).height += Δy;
			}
		}

		// Overenie toho, či sa má farba aktívneho slova zmeniť alebo nie
		private static Color dajFarbuAktívnehoSlova(String slovo)
		{
			Color výsledok = null, zistenie;

			if (null != počúvadlo)
			{
				zistenie = počúvadlo.farbaAktívnehoSlova(slovo);
				if (null != zistenie) výsledok = zistenie;
				zistenie = počúvadlo.farbaAktivnehoSlova(slovo);
				if (null != zistenie) výsledok = zistenie;
			}

			// if (null != hlavnýRobot)
			// {
			// 	zistenie = hlavnýRobot.farbaAktívnehoSlova(slovo);
			// 	if (null != zistenie) výsledok = zistenie;
			// 	zistenie = hlavnýRobot.farbaAktivnehoSlova(slovo);
			// 	if (null != zistenie) výsledok = zistenie;
			// }

			for (GRobot počúvajúci : počúvajúciRozhranie)
			{
				zistenie = počúvajúci.farbaAktívnehoSlova(slovo);
				if (null != zistenie) výsledok = zistenie;
				zistenie = počúvajúci.farbaAktivnehoSlova(slovo);
				if (null != zistenie) výsledok = zistenie;
			}

			return výsledok;
		}

		// Pridávanie medzier na účely výpisov vnútornej konzoly
		// 
		private final static char[] nepridajMedzeruZa =
			{' ', '(', '[', '{', '\n', '„', '“', '«', '‹', '\'', '\"'};
		private final static char[] nepridajMedzeruPred =
			{' ', '\t', '\n', '.', ',', ';', ':', '!', '?', ')', ']', '}',
			 '%', '“', '”', '»', '›', '\'', '\"'};
		// 

		private static void pridajMedzeru(StringBuffer obsah, Object časť)
		{
			String reťazec = časť.toString();
			if (reťazec.isEmpty()) return;

			boolean pridajMedzeru = obsah.length() != 0;

			if (pridajMedzeru)
			{
				char znak = obsah.charAt(obsah.length() - 1);
				for (char nepridaj : nepridajMedzeruZa)
					if (nepridaj == znak)
					{
						pridajMedzeru = false;
						break;
					}
			}

			if (pridajMedzeru)
			{
				char znak = reťazec.charAt(0);
				for (char nepridaj : nepridajMedzeruPred)
					if (nepridaj == znak)
					{
						pridajMedzeru = false;
						break;
					}
			}

			if (pridajMedzeru) obsah.append(" ");
		}

		private static class VnútornáKonzola
		{
			// Písmo
			private Písmo aktuálnePísmo = predvolenéPísmoKonzoly;

			// Obsah vnútornej konzoly
			private final Vector<RiadokKonzoly> riadky =
				new Vector<RiadokKonzoly>();

			// Objekt slúžiaci na vytvorenie zálohy konzoly
			private ZálohaKonzoly záloha;

			// Atribút zalamovania textov
			private boolean zalamujTexty = false;

			// Úroveň posunutia textov vnútornej konzoly (pri rolovaní)
			private int posunutieTextovX = 0, posunutieTextovY = 0;
			private int poslednáVýškaTextu = 0;

			// Aktuálny objekt grafiky
			private Graphics2D grafika = null;

			// Rozmery aktuálneho písma
			private FontMetrics rozmeryPísma = null;

			// Pomocné premenné vykresľovania
			private int x = 0, y = 0, x0 = 0;
			private int šírkaZalomenia = 0;
			private int šírkaMedzery = 0;
			private int výškaRiadka = 0, výškaKlienta = 0;
			private int počiatokX = 0, počiatokY = 0;
			private int výškaTextu = 0, šírkaTextu = 0;
			private int // odsadeniePrvého = 0,
				odsadenieZľava = 0, odsadenieSprava = 0;
			private Color zálohaFarby = null;
			private Color farbaAktívnehoSlova = null;
			private boolean aplikujOdsadeniaZľava = false;

			// Zoznam aktívnych slov
			private final Vector<AktívneSlovo> aktívneSlová =
				new Vector<AktívneSlovo>();

			// Premenná upravujúca farbu textu konzoly
			// (aktivuje sa počas procesu písania textov)
			private Farba zmenaFarby = null;

			// Poznámka: Farba textov je menená priebežne počas výpisu
			//    textov príkazmi inštancií PríkazKonzoly. Na začiatku sa
			//    o nastavenie predvolenej farby postará konštruktor robota,
			//    potom je pri každom vymazaní konzoly predvolená tá farba,
			//    ktorá bola použitá naposledy. Keď je použité pozadie, farbu
			//    textov je potrebné neustále zálohovať podobne ako pri
			//    kreslení aktívnych slov.

			// Aktuálna faba pozadia (null znamená žiadna)
			private Farba farbaPozadia = null;

			// Slúži na zmenu farby pozadia počas písania textov
			private Farba zmenaFarbyPozadia = null;
			private boolean zrušeniePozadia = false;

			// Aplikácia príkazu píšNa
			private boolean súradniceAplikované = false;
			private Point2D zmenaSúradníc = null;

			// Premenná upravujúca aktuálne aktívne slovo
			// (aktivuje sa počas procesu písania textov)
			private String identifikátorAktívnehoSlova = null;

			// Premenné upravujúce odsadenie (zľava a sprava…)
			// (aktivujú sa počas procesu písania textov)
			private Integer odsadeniePrvéhoRiadka = null;
			private Integer zmenaOdsadeniaZľava = null;
			private Integer zmenaOdsadeniaSprava = null;

			// Premenná požadujúca zamrazenie ľavého odsadenia na aktuálnej
			// pozícii
			private boolean zamrazOdsadenie = false;
			private boolean resetOdsadenia = false;
			private int zálohaOdsadenia = 0;

			private void inicializuj()
			{
				grafika.setFont(aktuálnePísmo);
				rozmeryPísma = grafika.getFontMetrics();
				výškaRiadka = rozmeryPísma.getHeight();
				počiatokX = 1;
				počiatokY = výškaRiadka - rozmeryPísma.getDescent()
					// - (rozmeryPísma.getDescent() / 5)
					;
				aktívneSlová.clear();

				zálohaFarby = null;
				farbaAktívnehoSlova = null;

				// odsadeniePrvého = 0;
				odsadenieZľava = 0;
				odsadenieSprava = 0;

				// System.out.println("rozmeryPísma.getAscent(): " +
				// 	rozmeryPísma.getAscent());
				// System.out.println("rozmeryPísma.getDescent(): " +
				// 	rozmeryPísma.getDescent());
				// System.out.println("rozmeryPísma.getMaxAscent(): " +
				// 	rozmeryPísma.getMaxAscent());
				// System.out.println("rozmeryPísma.getMaxDescent(): " +
				// 	rozmeryPísma.getMaxDescent());


				x = x0 = (šírkaPlátna - hlavnýPanel.getWidth()) / 2 + 1;
				y = (výškaPlátna - (výškaKlienta = hlavnýPanel.
					getHeight()) - 1) / 2 + počiatokY;

				if (x < 1) x = x0 = počiatokX;
				if (y < počiatokY) y = počiatokY;
			}

			private boolean vyhodnoťĽahkýPríkaz(PrototypKonzoly prototyp)
			{
				if (prototyp instanceof PríkazKonzoly)
				{
					PríkazKonzoly príkaz = (PríkazKonzoly)prototyp;

					if (null != príkaz.odsaďZľava)
					{
						odsadenieZľava = príkaz.odsaďZľava;

						if (aplikujOdsadeniaZľava)
						{
							x = odsadenieZľava + x0;
							// aplikujOdsadeniaZľava = false;
						}
					}

					if (null != príkaz.odsaďPrvý)
					{
						// odsadeniePrvého = príkaz.odsaďPrvý;
						if (aplikujOdsadeniaZľava)
						{
							// if (x < odsadenieZľava + x0 + príkaz.odsaďPrvý)
								x = odsadenieZľava + x0 + príkaz.odsaďPrvý;
						}
					}

					if (null != príkaz.odsaďSprava)
						odsadenieSprava = príkaz.odsaďSprava;

					if (príkaz.zamrazOdsadenie)
					{
						odsadenieZľava = x - x0;
						//if (!súradniceAplikované)
						//	odsadenieZľava += posunutieTextovX;
					}
					return true;
				}
				return false;
			}

			private boolean vyhodnoťPríkaz(PrototypKonzoly prototyp)
			{
				if (prototyp instanceof PríkazKonzoly)
				{
					PríkazKonzoly príkaz = (PríkazKonzoly)prototyp;

					if (null != príkaz.odsaďZľava)
					{
						odsadenieZľava = príkaz.odsaďZľava;

						if (aplikujOdsadeniaZľava)
						{
							x = odsadenieZľava + x0;
							if (!súradniceAplikované)
								x -= posunutieTextovX;
							// aplikujOdsadeniaZľava = false;
						}
					}

					if (null != príkaz.odsaďPrvý)
					{
						// odsadeniePrvého = príkaz.odsaďPrvý;
						if (aplikujOdsadeniaZľava)
						{
							// if (x < odsadenieZľava + x0 + príkaz.odsaďPrvý)
								x = odsadenieZľava + x0 + príkaz.odsaďPrvý;
							if (!súradniceAplikované)
								x -= posunutieTextovX;
						}
					}

					if (null != príkaz.odsaďSprava)
						odsadenieSprava = príkaz.odsaďSprava;

					if (príkaz.zamrazOdsadenie)
					{
						odsadenieZľava = x - x0;
						if (!súradniceAplikované)
							odsadenieZľava += posunutieTextovX;
					}

					if (null != príkaz.farba)
						grafika.setColor(príkaz.farba);

					if (null != príkaz.pozadie)
						farbaPozadia = príkaz.pozadie;

					if (príkaz.zrušPozadie)
						farbaPozadia = null;

					if (null != príkaz.poloha)
					{
						x = x0 = (int)príkaz.poloha.getX() + počiatokX;
						y = (int)príkaz.poloha.getY() + počiatokY;
					}

					return true;
				}
				return false;
			}

			private ObsahKonzoly dajObsah(PrototypKonzoly prototyp)
			{
				if (prototyp instanceof ObsahKonzoly)
				{
					ObsahKonzoly obsah = (ObsahKonzoly)prototyp;
					if (null == obsah.obsah) return null;
					return obsah;
				}
				return null;
			}

			private void kresliTextyZalamované()
			{
				// int xx = x, yy = y;

				for (RiadokKonzoly riadok : riadky)
				{
					for (PrototypKonzoly prototyp : riadok)
					{
						if (vyhodnoťPríkaz(prototyp)) continue;
						ObsahKonzoly obsah = dajObsah(prototyp);
						if (null == obsah) continue;

						if (null != obsah.slová)
						{
							boolean vložMedzeru = false;

							for (Slovo slovo : obsah.slová)
							{
								int šírkaSlova = rozmeryPísma.
									stringWidth(slovo.slovo);

								if (vložMedzeru) x += šírkaMedzery;

								if (0 != šírkaSlova)
								{
									if (x + šírkaSlova + 2 + odsadenieSprava >
										x0 + šírkaZalomenia -
										(súradniceAplikované ? 0 :
											posunutieTextovX))
									{
										if (šírkaSlova < šírkaZalomenia - 2 -
											odsadenieZľava - odsadenieSprava)
										{
											y += výškaRiadka;
											x = x0 + odsadenieZľava;
											if (!súradniceAplikované)
												x -= posunutieTextovX;
											// vložMedzeru = false;
										}
									}

									if (null != farbaPozadia)
									{
										Rectangle2D hranice = rozmeryPísma.
											getStringBounds(slovo.slovo,
												grafika);

										if (vložMedzeru)
										{
											posuňObdĺžnik(hranice,
												x - 0.5f - šírkaMedzery,
												y - 0.5f);
											rozšírObdĺžnik(hranice,
												1.0f + šírkaMedzery, 2);
										}
										else
										{
											posuňObdĺžnik(hranice, x - 0.5f,
												y - 0.5f);
											rozšírObdĺžnik(hranice, 1.0f, 2);
										}

										zálohaFarby = grafika.getColor();
										grafika.setColor(farbaPozadia);
										grafika.fill(hranice);
										grafika.setColor(zálohaFarby);
									}

									if (slovo instanceof AktívneSlovo)
									{
										AktívneSlovo aktívne =
											(AktívneSlovo)slovo;
										aktívneSlová.add(aktívne);

										farbaAktívnehoSlova =
											dajFarbuAktívnehoSlova(
												aktívne.identifikátor);

										if (null == farbaAktívnehoSlova)
											grafika.drawString(
												slovo.slovo, x, y);
										else
										{
											zálohaFarby = grafika.getColor();
											grafika.setColor(
												farbaAktívnehoSlova);
											grafika.drawString(
												slovo.slovo, x, y);
											grafika.setColor(zálohaFarby);
										}

										aktívne.hranice = rozmeryPísma.
											getStringBounds(slovo.slovo,
												grafika);
										posuňObdĺžnik(aktívne.hranice, x, y);
									}
									else
									{
										grafika.drawString(slovo.slovo, x, y);
									}
								}
								else
								{
									if (null != farbaPozadia)
									{
										Rectangle2D hranice = rozmeryPísma.
											getStringBounds("", grafika);

										if (vložMedzeru)
										{
											posuňObdĺžnik(hranice,
												x - 0.5f - šírkaMedzery,
												y - 0.5f);
											rozšírObdĺžnik(hranice,
												1.0f + šírkaMedzery, 2);
										}
										else
										{
											posuňObdĺžnik(hranice, x - 0.5f,
												y - 0.5f);
											rozšírObdĺžnik(hranice, 1.0f, 2);
										}

										zálohaFarby = grafika.getColor();
										grafika.setColor(farbaPozadia);
										grafika.fill(hranice);
										grafika.setColor(zálohaFarby);
									}
								}

								if (!vložMedzeru) vložMedzeru = true;

								x += šírkaSlova //+ šírkaMedzery
								;
							}
						}

						aplikujOdsadeniaZľava = false;
						//x -= šírkaMedzery;
					}

					y += výškaRiadka;
					x = x0 + odsadenieZľava;
					aplikujOdsadeniaZľava = true;
					if (!súradniceAplikované)
						x -= posunutieTextovX;
				}
			}

			private void kresliTextyNezalamované()
			{
				for (RiadokKonzoly riadok : riadky)
				{
					for (PrototypKonzoly prototyp : riadok)
					{
						if (vyhodnoťPríkaz(prototyp)) continue;
						ObsahKonzoly obsah = dajObsah(prototyp);
						if (null == obsah) continue;

						String text = obsah.obsah.toString();

						if (null != farbaPozadia)
						{
							Rectangle2D hranice = rozmeryPísma.
								getStringBounds(text, grafika);
							posuňObdĺžnik(hranice, x, y);
							rozšírObdĺžnik(hranice, 0, 2);

							zálohaFarby = grafika.getColor();
							grafika.setColor(farbaPozadia);
							grafika.fill(hranice);
							grafika.setColor(zálohaFarby);
						}

						if (null != obsah.aktívneSlovo)
						{
							aktívneSlová.add(obsah.aktívneSlovo);

							farbaAktívnehoSlova = dajFarbuAktívnehoSlova(
								obsah.aktívneSlovo.identifikátor);

							if (null == farbaAktívnehoSlova)
								grafika.drawString(text, x, y);
							else
							{
								zálohaFarby = grafika.getColor();
								grafika.setColor(farbaAktívnehoSlova);
								grafika.drawString(text, x, y);
								grafika.setColor(zálohaFarby);
							}

							obsah.aktívneSlovo.hranice = rozmeryPísma.
								getStringBounds(text, grafika);
							posuňObdĺžnik(obsah.aktívneSlovo.hranice, x, y);
						}
						else
						{
							grafika.drawString(text, x, y);
						}

						x += rozmeryPísma.stringWidth(text);
						aplikujOdsadeniaZľava = false;
					}

					y += výškaRiadka;
					x = x0 + odsadenieZľava;
					aplikujOdsadeniaZľava = true;
					x -= posunutieTextovX;
				}
			}

			private void prekresli(Graphics2D grafika)
			{
				this.grafika = grafika;
				inicializuj();

				if (zalamujTexty)
				{
					šírkaMedzery = rozmeryPísma.stringWidth(" ");
					šírkaZalomenia = hlavnýPanel.getWidth();
					if (šírkaZalomenia > šírkaPlátna)
						šírkaZalomenia = šírkaPlátna;

					výškaTextu = 0; šírkaTextu = 0;

					// Príprava na kreslenie
					for (RiadokKonzoly riadok : riadky)
					{
						for (PrototypKonzoly prototyp : riadok)
						{
							if (vyhodnoťĽahkýPríkaz(prototyp)) continue;
							ObsahKonzoly obsah = dajObsah(prototyp);
							if (null == obsah) continue;

							if (null == obsah.slová)
								obsah.slová = rozbiNaSlová(
									obsah.obsah, obsah.aktívneSlovo);

							for (Slovo slovo : obsah.slová)
							{
								int šírkaSlova = rozmeryPísma.
									stringWidth(slovo.slovo);

								if (x + šírkaSlova + 2 + odsadenieSprava >
									x0 + šírkaZalomenia)
								{
									if (šírkaSlova < šírkaZalomenia - 2 -
										odsadenieZľava - odsadenieSprava)
									{
										výškaTextu += výškaRiadka;
										if (x > šírkaTextu) šírkaTextu = x;
										x = x0 + odsadenieZľava;
									}
								}

								x += šírkaSlova + šírkaMedzery;
							}

							x -= šírkaMedzery;
							aplikujOdsadeniaZľava = false;
						}

						výškaTextu += výškaRiadka;
						if (x > šírkaTextu) šírkaTextu = x;
						x = x0 + odsadenieZľava;
						aplikujOdsadeniaZľava = true;
					}

					// odsadeniePrvého =
					odsadenieZľava = odsadenieSprava = 0;
					x = x0;

					if (!súradniceAplikované)
					{
						if (výškaTextu > výškaKlienta ||
							výškaTextu > výškaPlátna)
						{
							int yRolujOd;

							if (výškaKlienta > výškaPlátna)
							{
								y = výškaPlátna - výškaTextu;
								yRolujOd = počiatokY;
							}
							else
							{
								y = (výškaPlátna + výškaKlienta) /
									2 - výškaTextu;
								yRolujOd = (výškaPlátna - výškaKlienta) /
									2 + počiatokY;
							}

							int yRolujDo = y;
							if (posunutieTextovX < 0) posunutieTextovX = 0;
							//else if (posunutieTextovX <= šírkaZalomenia)
							//{??? prečo to nejde ???
							//	if (posunutieTextovX > 0) posunutieTextovX = 0;
							//}
							else if (posunutieTextovX > šírkaTextu
								//- šírkaZalomenia + 3 * šírkaMedzery
								)
								posunutieTextovX = šírkaTextu
								//- šírkaZalomenia + 3 * šírkaMedzery
								;

							y += posunutieTextovY;
							x -= posunutieTextovX;
							// kedysi posunutieTextovX kolidovalo so
							// zalamovaním, ale pri Pasquile sa to podarilo
							// opraviť, tak som to spravil aj tu

							if (y > yRolujOd)
							{
								int Δy = y - yRolujOd;
								y -= posunutieTextovY;
								posunutieTextovY -= Δy;
								y += posunutieTextovY;
							}

							if (y < yRolujDo)
							{
								int Δy = y - yRolujDo;
								y -= posunutieTextovY;
								posunutieTextovY -= Δy;
								y += posunutieTextovY;
							}
						}
						else
						{
							if (posunutieTextovX < 0) posunutieTextovX = 0;
							//else if (posunutieTextovX <= šírkaZalomenia)
							//{??? prečo to nejde ???
							//	if (posunutieTextovX > 0) posunutieTextovX = 0;
							//}
							else if (posunutieTextovX > šírkaTextu
								//- šírkaZalomenia + 3 * šírkaMedzery
								)
								posunutieTextovX = šírkaTextu
								//- šírkaZalomenia + 3 * šírkaMedzery
								;

							// y += posunutieTextovY;
							x -= posunutieTextovX;
						}
					}

					/*grafika.drawLine(šírkaTextu - posunutieTextovX, 0,
						šírkaTextu - posunutieTextovX,
						hlavnýPanel.getHeight());*/

					kresliTextyZalamované();
				}
				else
				{
					výškaTextu = riadky.size() * výškaRiadka;
					šírkaTextu = 0;

					if (!súradniceAplikované)
					{
						for (RiadokKonzoly riadok : riadky)
						{
							for (PrototypKonzoly prototyp : riadok)
							{
								if (vyhodnoťĽahkýPríkaz(prototyp)) continue;
								ObsahKonzoly obsah = dajObsah(prototyp);
								if (null == obsah) continue;

								x += rozmeryPísma.stringWidth(
									obsah.obsah.toString());
								aplikujOdsadeniaZľava = false;
							}

							if (x > šírkaTextu) šírkaTextu = x;
							x = x0 + odsadenieZľava;
							aplikujOdsadeniaZľava = true;
						}

						// odsadeniePrvého =
						odsadenieZľava = odsadenieSprava = 0;
						x = x0;

						if (výškaTextu > výškaKlienta ||
							výškaTextu > výškaPlátna)
						{
							int yRolujOd;

							if (výškaKlienta > výškaPlátna)
							{
								y = výškaPlátna - výškaTextu;
								yRolujOd = počiatokY;
							}
							else
							{
								y = (výškaPlátna + výškaKlienta) /
									2 - výškaTextu;
								yRolujOd = (výškaPlátna - výškaKlienta) /
									2 + počiatokY;
							}

							int yRolujDo = y;
							if (posunutieTextovX < 0) posunutieTextovX = 0;
							else if (posunutieTextovX > šírkaTextu)
								posunutieTextovX = šírkaTextu;

							y += posunutieTextovY;
							x -= posunutieTextovX;

							if (y > yRolujOd)
							{
								int Δy = y - yRolujOd;
								y -= posunutieTextovY;
								posunutieTextovY -= Δy;
								y += posunutieTextovY;
							}

							if (y < yRolujDo)
							{
								int Δy = y - yRolujDo;
								y -= posunutieTextovY;
								posunutieTextovY -= Δy;
								y += posunutieTextovY;
							}
						}
						else
						{
							if (posunutieTextovX < 0) posunutieTextovX = 0;
							else if (posunutieTextovX > šírkaTextu)
								posunutieTextovX = šírkaTextu;

							// y += posunutieTextovY;
							x -= posunutieTextovX;
						}

						kresliTextyNezalamované();
					}
					else
					{
						for (RiadokKonzoly riadok : riadky)
						{
							for (PrototypKonzoly prototyp : riadok)
							{
								if (vyhodnoťPríkaz(prototyp)) continue;
								ObsahKonzoly obsah = dajObsah(prototyp);
								if (null == obsah) continue;

								String text = obsah.obsah.toString();

								if (null != farbaPozadia)
								{
									Rectangle2D hranice = rozmeryPísma.
										getStringBounds(text, grafika);
									posuňObdĺžnik(hranice, x, y);
									rozšírObdĺžnik(hranice, 0, 2);

									zálohaFarby = grafika.getColor();
									grafika.setColor(farbaPozadia);
									grafika.fill(hranice);
									grafika.setColor(zálohaFarby);
								}

								if (null != obsah.aktívneSlovo)
								{
									aktívneSlová.add(obsah.aktívneSlovo);

									farbaAktívnehoSlova =
										dajFarbuAktívnehoSlova(
											obsah.aktívneSlovo.identifikátor);

									if (null == farbaAktívnehoSlova)
										grafika.drawString(text, x, y);
									else
									{
										zálohaFarby = grafika.getColor();
										grafika.setColor(farbaAktívnehoSlova);
										grafika.drawString(text, x, y);
										grafika.setColor(zálohaFarby);
									}

									obsah.aktívneSlovo.hranice = rozmeryPísma.
										getStringBounds(text, grafika);
									posuňObdĺžnik(obsah.aktívneSlovo.
										hranice, x, y);
								}
								else
								{
									grafika.drawString(text, x, y);
								}

								x += rozmeryPísma.stringWidth(text);
								aplikujOdsadeniaZľava = false;
							}

							y += výškaRiadka;
							x = x0 + odsadenieZľava;
							aplikujOdsadeniaZľava = true;
						}
					}
				}

				// for (AktívneSlovo aktívneSlovo : aktívneSlová)
				// {
				// 	grafika.fill(aktívneSlovo.hranice);
				// 	// System.out.println(aktívneSlovo.hranice.toString());
				// }

				poslednáVýškaTextu = výškaTextu;
			}

			public void prevezmiTexty(StringBuffer texty)
			{
				for (RiadokKonzoly riadok : riadky)
				{
					for (PrototypKonzoly prototyp : riadok)
					{
						ObsahKonzoly obsah = dajObsah(prototyp);
						if (null == obsah) continue;
						texty.append(obsah.obsah);
					}
					texty.append("\n");
				}
			}

			public Farba farba()
			{
				if (null != zmenaFarby) return zmenaFarby;

				for (int i = riadky.size() - 1; i >= 0; --i)
				{
					RiadokKonzoly riadok = riadky.get(i);
					for (int j = riadok.size() - 1; j >= 0; --j)
					{
						PrototypKonzoly prototyp = riadok.get(j);
						if (prototyp instanceof PríkazKonzoly)
						{
							PríkazKonzoly príkaz = (PríkazKonzoly)prototyp;
							if (null != príkaz.farba) return príkaz.farba;
						}
					}
				}

				return null;
			}

			public Farba farbaPozadia()
			{
				if (zrušeniePozadia) return null;
				if (null != zmenaFarbyPozadia) return zmenaFarbyPozadia;

				for (int i = riadky.size() - 1; i >= 0; --i)
				{
					RiadokKonzoly riadok = riadky.get(i);
					for (int j = riadok.size() - 1; j >= 0; --j)
					{
						PrototypKonzoly prototyp = riadok.get(j);
						if (prototyp instanceof PríkazKonzoly)
						{
							PríkazKonzoly príkaz = (PríkazKonzoly)prototyp;
							if (príkaz.zrušPozadie) return null;
							if (null != príkaz.pozadie) return príkaz.pozadie;
						}
					}
				}

				return null;
			}

			public void vypíš(Object... argumenty)
			{
				if (0 == riadky.size()) novýRiadok();

				if (!konzolaPoužitá)
				{
					konzolaPoužitá = true;
					if (null != hlavnýRobot)
						hlavnýRobot.skry();
				}

				RiadokKonzoly riadok = riadky.lastElement();
				PríkazKonzoly príkaz = null;

				if (null != zmenaFarby)
				{
					if (null == príkaz) príkaz = new PríkazKonzoly();
					príkaz.farba = zmenaFarby;
					zmenaFarby = null;
				}

				if (null != zmenaFarbyPozadia)
				{
					if (null == príkaz) príkaz = new PríkazKonzoly();
					príkaz.pozadie = zmenaFarbyPozadia;
					zmenaFarbyPozadia = null;
				}

				if (zrušeniePozadia)
				{
					if (null == príkaz) príkaz = new PríkazKonzoly();
					príkaz.zrušPozadie = true;
					zrušeniePozadia = false;
				}

				if (null != zmenaSúradníc)
				{
					if (null == príkaz) príkaz = new PríkazKonzoly();
					príkaz.poloha = zmenaSúradníc;
					súradniceAplikované = true;
					zmenaSúradníc = null;
				}

				if (null != odsadeniePrvéhoRiadka)
				{
					if (null == príkaz) príkaz = new PríkazKonzoly();
					príkaz.odsaďPrvý = odsadeniePrvéhoRiadka;
					odsadeniePrvéhoRiadka = null;
				}

				if (null != zmenaOdsadeniaZľava)
				{
					if (null == príkaz) príkaz = new PríkazKonzoly();
					príkaz.odsaďZľava = zmenaOdsadeniaZľava;
					zálohaOdsadenia = zmenaOdsadeniaZľava;
					zmenaOdsadeniaZľava = null;
				}

				if (null != zmenaOdsadeniaSprava)
				{
					if (null == príkaz) príkaz = new PríkazKonzoly();
					príkaz.odsaďSprava = zmenaOdsadeniaSprava;
					zmenaOdsadeniaSprava = null;
				}

				if (zamrazOdsadenie)
				{
					if (null == príkaz) príkaz = new PríkazKonzoly();
					príkaz.zamrazOdsadenie = zamrazOdsadenie;
					zamrazOdsadenie = false;
					resetOdsadenia = true;
				}

				if (null != príkaz) riadok.add(príkaz);
				ObsahKonzoly obsah = null;

				if (null != identifikátorAktívnehoSlova)
				{
					obsah = new ObsahKonzoly();
					obsah.aktívneSlovo = new AktívneSlovo();
					obsah.aktívneSlovo.identifikátor =
						identifikátorAktívnehoSlova;
				}

				for (Object argument : argumenty)
				{
					if (argument instanceof GRobot)
					{
						((GRobot)argument).ukáž();
						continue;
					}

					if (null == obsah) obsah = new ObsahKonzoly();

					if (null == obsah.obsah)
						obsah.obsah = new StringBuffer();

					if (null == argument)
					{
						pridajMedzeru(obsah.obsah, Súbor.nullString);
						obsah.obsah.append(Súbor.nullString);
					}
					else if (argument instanceof byte[])
					{
						byte[] pole = (byte[])argument;
						pridajMedzeru(obsah.obsah, 0);
						for (int i = 0; i < pole.length; ++i)
						{
							if (i > 0) obsah.obsah.append(
								Svet.oddeľovačPrvkovPoľa);
							obsah.obsah.append(
								Svet.formát.format(pole[i]));
						}
					}
					else if (argument instanceof short[])
					{
						short[] pole = (short[])argument;
						pridajMedzeru(obsah.obsah, 0);
						for (int i = 0; i < pole.length; ++i)
						{
							if (i > 0) obsah.obsah.append(
								Svet.oddeľovačPrvkovPoľa);
							obsah.obsah.append(
								Svet.formát.format(pole[i]));
						}
					}
					else if (argument instanceof int[])
					{
						int[] pole = (int[])argument;
						pridajMedzeru(obsah.obsah, 0);
						for (int i = 0; i < pole.length; ++i)
						{
							if (i > 0) obsah.obsah.append(
								Svet.oddeľovačPrvkovPoľa);
							obsah.obsah.append(
								Svet.formát.format(pole[i]));
						}
					}
					else if (argument instanceof long[])
					{
						long[] pole = (long[])argument;
						pridajMedzeru(obsah.obsah, 0);
						for (int i = 0; i < pole.length; ++i)
						{
							if (i > 0) obsah.obsah.append(
								Svet.oddeľovačPrvkovPoľa);
							obsah.obsah.append(
								Svet.formát.format(pole[i]));
						}
					}
					else if (argument instanceof float[])
					{
						float[] pole = (float[])argument;
						pridajMedzeru(obsah.obsah, 0.0);
						for (int i = 0; i < pole.length; ++i)
						{
							if (i > 0) obsah.obsah.append(
								Svet.oddeľovačPrvkovPoľa);
							obsah.obsah.append(
								Svet.formát.format(pole[i]));
						}
					}
					else if (argument instanceof double[])
					{
						double[] pole = (double[])argument;
						pridajMedzeru(obsah.obsah, 0.0);
						for (int i = 0; i < pole.length; ++i)
						{
							if (i > 0) obsah.obsah.append(
								Svet.oddeľovačPrvkovPoľa);
							obsah.obsah.append(
								Svet.formát.format(pole[i]));
						}
					}
					else if (argument instanceof boolean[])
					{
						boolean[] pole = (boolean[])argument;
						pridajMedzeru(obsah.obsah, false);
						for (int i = 0; i < pole.length; ++i)
						{
							if (i > 0) obsah.obsah.append(
								Svet.oddeľovačPrvkovPoľa);
							obsah.obsah.append(pole[i]);
						}
					}
					else if (argument instanceof Number)
					{
						String formátované = Svet.formát.format(argument);
						pridajMedzeru(obsah.obsah, formátované);
						obsah.obsah.append(formátované);
					}
					else
					{
						StringBuffer naPridanie;
						if (argument instanceof char[])
							naPridanie = new StringBuffer(
								new String((char[])argument));
						else
							naPridanie = new StringBuffer(argument.toString());

						int indexOf = naPridanie.indexOf("\t");
						int newLine = naPridanie.indexOf("\n");
						pridajMedzeru(obsah.obsah, naPridanie);
						while (indexOf != -1)
						{
							if (indexOf < newLine)
								indexOf += obsah.obsah.length();
							switch (indexOf % 4)
							{
								case 0: naPridanie.replace(indexOf, indexOf + 1,
										"    "); break;
								case 1: naPridanie.replace(indexOf, indexOf + 1,
										"   "); break;
								case 2: naPridanie.replace(indexOf, indexOf + 1,
										"  "); break;
								default: naPridanie.setCharAt(indexOf, ' ');
							}
							indexOf = naPridanie.indexOf("\t");
						}

						indexOf = naPridanie.indexOf("\n");
						while (indexOf != -1)
						{
							obsah.obsah.append(
								naPridanie.substring(0, indexOf));
							riadok.add(obsah);
							novýRiadok();
							riadok = riadky.lastElement();
							obsah = new ObsahKonzoly();
							if (null != identifikátorAktívnehoSlova)
							{
								obsah.aktívneSlovo = new AktívneSlovo();
								obsah.aktívneSlovo.identifikátor =
									identifikátorAktívnehoSlova;
							}
							obsah.obsah = new StringBuffer();
							naPridanie.delete(0, indexOf + 1);
							indexOf = naPridanie.indexOf("\n");
						}

						obsah.obsah.append(naPridanie);
					}
				}

				if (null != obsah) riadok.add(obsah);
			}

			public void novýRiadok()
			{
				RiadokKonzoly riadok = new RiadokKonzoly();
				riadky.add(riadok);

				if (resetOdsadenia)
				{
					PríkazKonzoly príkaz = new PríkazKonzoly();
					príkaz.odsaďZľava = zálohaOdsadenia;
					riadok.add(príkaz);
				}
			}

			public void vymaž()
			{
				posunutieTextovX = posunutieTextovY = 0;
				poslednáVýškaTextu = 0;
				zmenaFarbyPozadia = farbaPozadia();
				zrušeniePozadia = null == zmenaFarbyPozadia;
				zmenaFarby = farba();
				riadky.clear();
				aktívneSlová.clear();
				súradniceAplikované = false;
				identifikátorAktívnehoSlova = null;
				odsadeniePrvéhoRiadka = null;
				zmenaOdsadeniaZľava = null;
				zmenaOdsadeniaSprava = null;
				zmenaSúradníc = null;
				zamrazOdsadenie = false;
				zálohaOdsadenia = 0;
				resetOdsadenia = false;
			}
		}

		// Časovač
		private static class Časovač implements ActionListener
		{
			private int čas = 40;
			private Timer časovač;
			private Časovač() { časovač = null; }

			public void actionPerformed(ActionEvent evt)
			{
				poslednýTik = evt;

				// boolean nekresli_záloha = nekresli;
				žiadamPrekresleniePoPráci = false;
				pracujem =
					// nekresli =
					true;

				aspoňJedenAktívny = false;
				synchronized (zámokUdalostí)
				{
					zoznamZmenený1 = false;
					if (zámokZoznamuRobotov1)
					{
						System.err.println("Príliš " +
							"veľa požiadaviek časovača…");
					}
					else
					{
						zámokZoznamuRobotov1 = true;

						for (GRobot tento : zoznamRobotov)
						{
							tento.pracuj();
							if (zoznamZmenený1)
							{
								System.err.println(
									"Zoznam robotov bol počas práce " +
									"zmenený, preto nie všetky roboty " +
									"mohli v tomto pracovnom cykle " +
									"vykonať svoju činnosť!");
								break;
							}
						}

						zámokZoznamuRobotov1 = false;
						zlúčiťZoznamy();
					}

					for (Obrázok animácia : animácie) animácia.animuj();

					if (!vlnenia.isEmpty())
					{
						boolean vlnenieAktívne = false;

						for (Vlnenie vlnenie : vlnenia)
							if (vlnenie.aktívne())
							{
								vlnenieAktívne = true;
								vlnenie.vykonaj();
							}

						if (vlnenieAktívne)
							automatickéPrekreslenie();
					}

					if (null != počúvadlo) počúvadlo.tik();
					// if (null != hlavnýRobot) hlavnýRobot.tik();
					for (GRobot počúvajúci : počúvajúciSystém)
						počúvajúci.tik();
				}

				// nekresli = nekresli_záloha;
				pracujem = false;
				if (žiadamPrekresleniePoPráci) Svet.prekresli();
				else if (aspoňJedenAktívny) automatickéPrekreslenie();
			}

			public void spusti(int čas)
			{
				if (null == časovač)
				{
					časovač = new Timer(this.čas = čas, GRobot.časovač);
					časovač.start();
				}
				else
				{
					časovač.stop();
					časovač.setInitialDelay(this.čas = čas);
					časovač.setDelay(čas);
					časovač.start();
				}
			}

			public void spusti() { spusti(čas); }

			public void odlož(int čas)
			{
				if (null == časovač)
				{
					časovač = new Timer(čas, GRobot.časovač);
					časovač.setInitialDelay(čas);
					časovač.setDelay(this.čas);
					časovač.start();
				}
				else
				{
					časovač.stop();
					časovač.setInitialDelay(čas);
					časovač.start();
				}
			}

			public boolean aktívny() { return null != časovač &&
				časovač.isRunning(); }

			public int interval()
			{ return null == časovač ? čas : časovač.getDelay(); }

			public void zastav()
			{
				if (null != časovač) časovač.stop();
			}
		};

		private final static Časovač časovač = new Časovač();

		// Udalosti okna – počúvadlo myši, klávesnice a udalostí komponentov
		private static class UdalostiOkna implements MouseListener,
			MouseMotionListener, MouseWheelListener, KeyListener,
			ComponentListener, WindowFocusListener
		{
			public void mouseClicked(MouseEvent e)
			{
				synchronized (zámokMyši)
				{
					poslednáUdalosťMyši = e;
					hlavnýPanel.requestFocusInWindow();

					if (null != počúvadlo)
						synchronized (zámokUdalostí)
						{
							počúvadlo.klik();
						}

					// if (null != hlavnýRobot)
					// 	synchronized (zámokUdalostí)
					// 	{
					// 		hlavnýRobot.klik();
					// 	}

					synchronized (zámokUdalostí)
					{
						for (GRobot počúvajúci : počúvajúciMyš)
						{
							počúvajúci.klik();
						}
					}
				}
			}

			public void mouseEntered(MouseEvent e) {}
			public void mouseExited(MouseEvent e) {}

			public void mousePressed(MouseEvent e)
			{
				synchronized (zámokMyši)
				{
					súradnicaMyšiX = korekciaMyšiX(e.getX());
					súradnicaMyšiY = korekciaMyšiY(e.getY());
					e.translatePoint((int)súradnicaMyšiX - e.getX(),
						(int)súradnicaMyšiY - e.getY());

					if (e.getButton() == MouseEvent.BUTTON1)
					{
						tlačidloMyši = 1;
						tlačidloMyši1 = true;
					}
					else if (e.getButton() == MouseEvent.BUTTON2)
					{
						tlačidloMyši = 2;
						tlačidloMyši2 = true;
					}
					else if (e.getButton() == MouseEvent.BUTTON3)
					{
						tlačidloMyši = 3;
						tlačidloMyši3 = true;
					}
					else
						tlačidloMyši = 0;

					poslednáUdalosťMyši = e;

					if (null != počúvadlo)
						synchronized (zámokUdalostí)
						{
							počúvadlo.stlačenieTlačidlaMyši();
							počúvadlo.stlacenieTlacidlaMysi();
						}

					// if (null != hlavnýRobot)
					// 	synchronized (zámokUdalostí)
					// 	{
					// 		hlavnýRobot.stlačenieTlačidlaMyši();
					// 		hlavnýRobot.stlacenieTlacidlaMysi();
					// 	}

					synchronized (zámokUdalostí)
					{
						for (GRobot počúvajúci : počúvajúciMyš)
						{
							počúvajúci.stlačenieTlačidlaMyši();
							počúvajúci.stlacenieTlacidlaMysi();
						}
					}
				}
			}

			public void mouseReleased(MouseEvent e)
			{
				synchronized (zámokMyši)
				{
					súradnicaMyšiX = korekciaMyšiX(e.getX());
					súradnicaMyšiY = korekciaMyšiY(e.getY());
					e.translatePoint((int)súradnicaMyšiX - e.getX(),
						(int)súradnicaMyšiY - e.getY());

					if (e.getButton() == MouseEvent.BUTTON1)
					{
						tlačidloMyši = 1;
						tlačidloMyši1 = false;
					}
					else if (e.getButton() == MouseEvent.BUTTON2)
					{
						tlačidloMyši = 2;
						tlačidloMyši2 = false;
					}
					else if (e.getButton() == MouseEvent.BUTTON3)
					{
						tlačidloMyši = 3;
						tlačidloMyši3 = false;
					}
					else
						tlačidloMyši = 0;

					poslednáUdalosťMyši = e;

					if (null != počúvadlo)
						synchronized (zámokUdalostí)
						{
							počúvadlo.uvoľnenieTlačidlaMyši();
							počúvadlo.uvolnenieTlacidlaMysi();
						}

					// if (null != hlavnýRobot)
					// 	synchronized (zámokUdalostí)
					// 	{
					// 		hlavnýRobot.uvoľnenieTlačidlaMyši();
					// 		hlavnýRobot.uvolnenieTlacidlaMysi();
					// 	}

					synchronized (zámokUdalostí)
					{
						for (GRobot počúvajúci : počúvajúciMyš)
						{
							počúvajúci.uvoľnenieTlačidlaMyši();
							počúvajúci.uvolnenieTlacidlaMysi();
						}
					}
				}
			}

			public void mouseMoved(MouseEvent e)
			{
				synchronized (zámokMyši)
				{
					súradnicaMyšiX = korekciaMyšiX(e.getX());
					súradnicaMyšiY = korekciaMyšiY(e.getY());
					e.translatePoint((int)súradnicaMyšiX - e.getX(),
						(int)súradnicaMyšiY - e.getY());

					poslednáUdalosťMyši = e;

					if (null != počúvadlo)
						synchronized (zámokUdalostí)
						{
							počúvadlo.pohybMyši();
							počúvadlo.pohybMysi();
						}

					// if (null != hlavnýRobot)
					// 	synchronized (zámokUdalostí)
					// 	{
					// 		hlavnýRobot.pohybMyši();
					// 		hlavnýRobot.pohybMysi();
					// 	}

					synchronized (zámokUdalostí)
					{
						for (GRobot počúvajúci : počúvajúciMyš)
						{
							počúvajúci.pohybMyši();
							počúvajúci.pohybMysi();
						}
					}
				}
			}

			public void mouseDragged(MouseEvent e)
			{
				synchronized (zámokMyši)
				{
					súradnicaMyšiX = korekciaMyšiX(e.getX());
					súradnicaMyšiY = korekciaMyšiY(e.getY());
					e.translatePoint((int)súradnicaMyšiX - e.getX(),
						(int)súradnicaMyšiY - e.getY());

					poslednáUdalosťMyši = e;

					if (null != počúvadlo)
						synchronized (zámokUdalostí)
						{
							počúvadlo.ťahanieMyšou();
							počúvadlo.tahanieMysou();
						}

					// if (null != hlavnýRobot)
					// 	synchronized (zámokUdalostí)
					// 	{
					// 		hlavnýRobot.ťahanieMyšou();
					// 		hlavnýRobot.tahanieMysou();
					// 	}

					synchronized (zámokUdalostí)
					{
						for (GRobot počúvajúci : počúvajúciMyš)
						{
							počúvajúci.ťahanieMyšou();
							počúvajúci.tahanieMysou();
						}
					}
				}
			}

			public void mouseWheelMoved(MouseWheelEvent e)
			{
				synchronized (zámokMyši)
				{
					súradnicaMyšiX = korekciaMyšiX(e.getX());
					súradnicaMyšiY = korekciaMyšiY(e.getY());
					e.translatePoint((int)súradnicaMyšiX - e.getX(),
						(int)súradnicaMyšiY - e.getY());

					poslednáUdalosťMyši = poslednáUdalosťRolovania = e;

					if (e.isShiftDown())
					{
						rolovanieKolieskomMyšiX = e.getWheelRotation();
						rolovanieKolieskomMyšiY = 0;
					}
					else
					{
						rolovanieKolieskomMyšiX = 0;
						rolovanieKolieskomMyšiY = -e.getWheelRotation();
					}

					// if (MouseWheelEvent.getScrollType() == WHEEL_UNIT_SCROLL)
					// {
					// 	totalScrollAmount = e.getUnitsToScroll() *
					// 		e.getUnitIncrement();
					// }

					if (podlaha.rolujTexty) podlaha.rolujTexty();
					if (strop.rolujTexty) strop.rolujTexty();

					if (null != počúvadlo)
						synchronized (zámokUdalostí)
						{
							počúvadlo.rolovanieKolieskomMyši();
							počúvadlo.rolovanieKolieskomMysi();
						}

					// if (null != hlavnýRobot)
					// 	synchronized (zámokUdalostí)
					// 	{
					// 		hlavnýRobot.rolovanieKolieskomMyši();
					// 		hlavnýRobot.rolovanieKolieskomMysi();
					// 	}

					synchronized (zámokUdalostí)
					{
						for (GRobot počúvajúci : počúvajúciMyš)
						{
							počúvajúci.rolovanieKolieskomMyši();
							počúvajúci.rolovanieKolieskomMysi();
						}
					}
				}
			}

			public void keyPressed(KeyEvent e)
			{
				synchronized (zámokKlávesnice)
				{
					poslednáUdalosťKlávesnice = e;

					if (null != počúvadlo)
						synchronized (zámokUdalostí)
						{
							počúvadlo.stlačenieKlávesu();
							počúvadlo.stlacenieKlavesu();
						}

					// if (null != hlavnýRobot)
					// 	synchronized (zámokUdalostí)
					// 	{
					// 		hlavnýRobot.stlačenieKlávesu();
					// 		hlavnýRobot.stlacenieKlavesu();
					// 	}

					synchronized (zámokUdalostí)
					{
						for (GRobot počúvajúci : počúvajúciKlávesnicu)
						{
							počúvajúci.stlačenieKlávesu();
							počúvajúci.stlacenieKlavesu();
						}
					}
				}
			}

			public void keyReleased(KeyEvent e)
			{
				synchronized (zámokKlávesnice)
				{
					poslednáUdalosťKlávesnice = e;

					if (null != počúvadlo)
						synchronized (zámokUdalostí)
						{
							počúvadlo.uvoľnenieKlávesu();
							počúvadlo.uvolnenieKlavesu();
						}

					// if (null != hlavnýRobot)
					// 	synchronized (zámokUdalostí)
					// 	{
					// 		hlavnýRobot.uvoľnenieKlávesu();
					// 		hlavnýRobot.uvolnenieKlavesu();
					// 	}

					synchronized (zámokUdalostí)
					{
						for (GRobot počúvajúci : počúvajúciKlávesnicu)
						{
							počúvajúci.uvoľnenieKlávesu();
							počúvajúci.uvolnenieKlavesu();
						}
					}
				}
			}

			public void keyTyped(KeyEvent e)
			{
				synchronized (zámokKlávesnice)
				{
					poslednáUdalosťKlávesnice = e;

					if (null != počúvadlo)
						synchronized (zámokUdalostí)
						{
							počúvadlo.zadanieZnaku();
						}

					// if (null != hlavnýRobot)
					// 	synchronized (zámokUdalostí)
					// 	{
					// 		hlavnýRobot.zadanieZnaku();
					// 	}

					synchronized (zámokUdalostí)
					{
						for (GRobot počúvajúci : počúvajúciKlávesnicu)
						{
							počúvajúci.zadanieZnaku();
						}
					}
				}
			}

			public void componentHidden(ComponentEvent e) {}
			public void componentShown(ComponentEvent e) {}

			public void componentMoved(ComponentEvent e)
			{
				poslednáUdalosťOkna = e;

				if (null != počúvadlo)
					synchronized (zámokUdalostí)
					{
						počúvadlo.presunutieOkna();
					}

				// if (null != hlavnýRobot)
				// 	synchronized (zámokUdalostí)
				// 	{
				// 		hlavnýRobot.presunutieOkna();
				// 	}

				synchronized (zámokUdalostí)
				{
					for (GRobot počúvajúci : počúvajúciRozhranie)
					{
						počúvajúci.presunutieOkna();
					}
				}
			}

			public void componentResized(ComponentEvent e)
			{
				poslednáUdalosťOkna = e;

				if (null != počúvadlo)
				{
					synchronized (zámokUdalostí)
					{
						počúvadlo.zmenaVeľkostiOkna();
						počúvadlo.zmenaVelkostiOkna();
					}
				}

				// if (null != hlavnýRobot)
				// 	synchronized (zámokUdalostí)
				// 	{
				// 		hlavnýRobot.zmenaVeľkostiOkna();
				// 		hlavnýRobot.zmenaVelkostiOkna();
				// 	}

				synchronized (zámokUdalostí)
				{
					for (GRobot počúvajúci : počúvajúciRozhranie)
					{
						počúvajúci.zmenaVeľkostiOkna();
						počúvajúci.zmenaVelkostiOkna();
					}
				}

				if (konzolaPoužitá)
				{
					if (null == počúvadlo)
						Svet.prekresli();
					else
						automatickéPrekreslenie();
				}
			}

			public void windowGainedFocus(WindowEvent e)
			{
				poslednáUdalosťAktivityOkna = e;

				if (null != počúvadlo)
				{
					synchronized (zámokUdalostí)
					{
						počúvadlo.aktiváciaOkna();
						počúvadlo.aktivaciaOkna();
					}
				}

				// if (null != hlavnýRobot)
				// 	synchronized (zámokUdalostí)
				// 	{
				// 		hlavnýRobot.aktiváciaOkna();
				// 		hlavnýRobot.aktivaciaOkna();
				// 	}

				synchronized (zámokUdalostí)
				{
					for (GRobot počúvajúci : počúvajúciRozhranie)
					{
						počúvajúci.aktiváciaOkna();
						počúvajúci.aktivaciaOkna();
					}
				}
			}

			public void windowLostFocus(WindowEvent e)
			{
				poslednáUdalosťAktivityOkna = e;

				if (null != počúvadlo)
				{
					synchronized (zámokUdalostí)
					{
						počúvadlo.deaktiváciaOkna();
						počúvadlo.deaktivaciaOkna();
					}
				}

				// if (null != hlavnýRobot)
				// 	synchronized (zámokUdalostí)
				// 	{
				// 		hlavnýRobot.deaktiváciaOkna();
				// 		hlavnýRobot.deaktivaciaOkna();
				// 	}

				synchronized (zámokUdalostí)
				{
					for (GRobot počúvajúci : počúvajúciRozhranie)
					{
						počúvajúci.deaktiváciaOkna();
						počúvajúci.deaktivaciaOkna();
					}
				}
			}
		}

		private final static UdalostiOkna udalostiOkna = new UdalostiOkna();

		// Vnútorná trieda na rôzne operácie s objektami typu BufferedImage
		private static class VykonajVObrázku
		{
			// Matice pre pole „rozmazanie“
			private final static float[][] maticeRozmazania = {
				{0.070f, 0.120f, 0.070f,
				0.120f, 0.240f, 0.120f,
				0.070f, 0.120f, 0.070f},

				{0.006f, 0.027f, 0.036f, 0.027f, 0.006f,
				0.027f, 0.056f, 0.071f, 0.056f, 0.027f,
				0.036f, 0.071f, 0.107f, 0.071f, 0.036f,
				0.027f, 0.056f, 0.071f, 0.056f, 0.027f,
				0.006f, 0.027f, 0.036f, 0.027f, 0.006f},

				{0.000f, 0.006f, 0.013f, 0.015f, 0.013f, 0.006f, 0.000f,
				0.006f, 0.017f, 0.026f, 0.030f, 0.026f, 0.017f, 0.006f,
				0.013f, 0.026f, 0.039f, 0.045f, 0.039f, 0.026f, 0.013f,
				0.015f, 0.030f, 0.045f, 0.060f, 0.045f, 0.030f, 0.015f,
				0.013f, 0.026f, 0.039f, 0.045f, 0.039f, 0.026f, 0.013f,
				0.006f, 0.017f, 0.026f, 0.030f, 0.026f, 0.017f, 0.006f,
				0.000f, 0.006f, 0.013f, 0.015f, 0.013f, 0.006f, 0.000f},

				{0.000f, 0.000f, 0.004f, 0.007f, 0.008f, 0.007f, 0.004f, 0.000f, 0.000f,
				0.000f, 0.006f, 0.011f, 0.014f, 0.015f, 0.014f, 0.011f, 0.006f, 0.000f,
				0.004f, 0.011f, 0.017f, 0.021f, 0.023f, 0.021f, 0.017f, 0.011f, 0.004f,
				0.007f, 0.014f, 0.021f, 0.028f, 0.031f, 0.028f, 0.021f, 0.014f, 0.007f,
				0.008f, 0.015f, 0.023f, 0.031f, 0.038f, 0.031f, 0.023f, 0.015f, 0.008f,
				0.007f, 0.014f, 0.021f, 0.028f, 0.031f, 0.028f, 0.021f, 0.014f, 0.007f,
				0.004f, 0.011f, 0.017f, 0.021f, 0.023f, 0.021f, 0.017f, 0.011f, 0.004f,
				0.000f, 0.006f, 0.011f, 0.014f, 0.015f, 0.014f, 0.011f, 0.006f, 0.000f,
				0.000f, 0.000f, 0.004f, 0.007f, 0.008f, 0.007f, 0.004f, 0.000f, 0.000f},

				{0.000f, 0.000f, 0.001f, 0.003f, 0.004f, 0.005f, 0.004f, 0.003f, 0.001f, 0.000f, 0.000f,
				0.000f, 0.002f, 0.005f, 0.007f, 0.009f, 0.010f, 0.009f, 0.007f, 0.005f, 0.002f, 0.000f,
				0.001f, 0.005f, 0.008f, 0.011f, 0.014f, 0.014f, 0.014f, 0.011f, 0.008f, 0.005f, 0.001f,
				0.003f, 0.007f, 0.011f, 0.015f, 0.018f, 0.019f, 0.018f, 0.015f, 0.011f, 0.007f, 0.003f,
				0.004f, 0.009f, 0.014f, 0.018f, 0.022f, 0.024f, 0.022f, 0.018f, 0.014f, 0.009f, 0.004f,
				0.005f, 0.010f, 0.014f, 0.019f, 0.024f, 0.029f, 0.024f, 0.019f, 0.014f, 0.010f, 0.005f,
				0.004f, 0.009f, 0.014f, 0.018f, 0.022f, 0.024f, 0.022f, 0.018f, 0.014f, 0.009f, 0.004f,
				0.003f, 0.007f, 0.011f, 0.015f, 0.018f, 0.019f, 0.018f, 0.015f, 0.011f, 0.007f, 0.003f,
				0.001f, 0.005f, 0.008f, 0.011f, 0.014f, 0.014f, 0.014f, 0.011f, 0.008f, 0.005f, 0.001f,
				0.000f, 0.002f, 0.005f, 0.007f, 0.009f, 0.010f, 0.009f, 0.007f, 0.005f, 0.002f, 0.000f,
				0.000f, 0.000f, 0.001f, 0.003f, 0.004f, 0.005f, 0.004f, 0.003f, 0.001f, 0.000f, 0.000f},
			};

			// Objekty metódy „rozmaž“
			private final static ConvolveOp rozmazanie[] = {
				new ConvolveOp(new Kernel(3, 3, maticeRozmazania[0]),
					ConvolveOp.EDGE_NO_OP, null),
				new ConvolveOp(new Kernel(5, 5, maticeRozmazania[1]),
					ConvolveOp.EDGE_NO_OP, null),
				new ConvolveOp(new Kernel(7, 7, maticeRozmazania[2]),
					ConvolveOp.EDGE_NO_OP, null),
				new ConvolveOp(new Kernel(9, 9, maticeRozmazania[3]),
					ConvolveOp.EDGE_NO_OP, null),
				new ConvolveOp(new Kernel(11, 11, maticeRozmazania[4]),
					ConvolveOp.EDGE_NO_OP, null),
			};


			// Zdroj pre „vylejFarbu“: http://lodev.org/cgtutor/floodfill.html

			private static int x = 0;
			private static int y = 0;

			private static int index = 0;

			// Zásobník pre „vylejFarbu“
			private final static int počiatočnáVeľkosťZásobníka = 300000;
			private static int[] zásobníkX = new int[počiatočnáVeľkosťZásobníka];
			private static int[] zásobníkY = new int[počiatočnáVeľkosťZásobníka];
			private static int[] zásobníkIndexov = new int[počiatočnáVeľkosťZásobníka];
			private static int ukazovateľZásobníka = -1;

			private static int[] údajeObrázka = null;
			private static int[] údajeMasky = null;
			private static int šírka = 0;
			private static int výška = 0;

			private static int aktuálnaFarba = 0;
			private static int podkladováFarba = 0;

			private static int A = 0, R = 0, G = 0, B = 0;


			private static void zväčšiZásobník()
			{
				zásobníkX = Arrays.copyOf(zásobníkX, zásobníkX.length * 2);
				zásobníkY = Arrays.copyOf(zásobníkY, zásobníkY.length * 2);
				zásobníkIndexov = Arrays.copyOf(zásobníkIndexov, zásobníkIndexov.length * 2);
			}

			private static boolean vyberZoZásobníka()
			{
				if (ukazovateľZásobníka >= 0)
				{
					x = zásobníkX[ukazovateľZásobníka];
					y = zásobníkY[ukazovateľZásobníka];
					index = zásobníkIndexov[ukazovateľZásobníka];
					// index = x + y * šírka;
					--ukazovateľZásobníka;
					return true;
				}

				return false;
			}

			private static void vložDoZásobníka(int x, /* int y, */int index)
			{
				while (ukazovateľZásobníka >= zásobníkX.length)
					zväčšiZásobník();

				++ukazovateľZásobníka;
				zásobníkX[ukazovateľZásobníka] = x;
				zásobníkY[ukazovateľZásobníka] = y;
				zásobníkIndexov[ukazovateľZásobníka] = index;
			}

			private static void vyprázdniZásobník()
			{
				ukazovateľZásobníka = -1;
			}

			// Pri vypĺňaní farbou „z plechovky“ (semienkové vypĺňanie)
			// vznikali na okrajoch vypĺňanej oblasti aliasy, ktoré rieši
			// táto metóda pomocou miešania farieb
			private static void riešAlias()
			{
				///////////////////////////////////////////////////////////////
				// Zdroj:
				//    http://billyjin.kodingen.com/punbb-1.3.4/viewtopic.php?id=372
				// 
				// Na miešanie farieb s použitím alfa kanálov, môžete použiť
				// nasledujúce vzorce:
				// 
				//    ax = 1 - (1 - a) * (1 - A)
				//    rx = r * a / ax + R * A * (1 - a) / ax
				//    gx = g * a / ax + G * A * (1 - a) / ax
				//    bx = b * a / ax + B * A * (1 - a) / ax
				//
				// (r, g, b, a) je farba kresby. (R, G, B, A) je farba pozadia.
				// (rx, gx, bx, ax) je výsledná farba.
				// 
				// Poznámka: všetky použité premenné sú reálne čísla v rozsahu
				//    od 0.0 do 1.0. Ak chcete používať celočíselný rozsah od
				//    0 do 255, musíte všetko patrične násobiť alebo deliť
				//    hodnotou 255.
				//

				int xs = (x > 0) ? (x - 1) : 0;
				int xh = (x + 1 < šírka) ? (x + 1) : x;
				int ys = (y > 0) ? (y - 1) : 0;
				int yh = (y + 1 < výška) ? (y + 1) : y;

				// Osembodové vyhladzovanie:
				// 
				// for (int xx = xs; xx <= xh; ++xx)
				// {
				//	for (int yy = ys; yy <= yh; ++yy)
				//	{

				// Štvorbodové vyhladzovanie:
				// 
				for (int i = 0; i < 4; ++i)
				{
					int xx = (i % 2 == 0) ? xs : xh;
					int yy = (i / 2 == 0) ? ys : yh;
					{
						int farba = údajeObrázka[xx + yy * šírka];
						if (farba != podkladováFarba && farba != aktuálnaFarba)
						{
							int a = (farba >> 24) & 0xff;
							// if (a == 255 && A == 255) nemožné, komplikované
							if (a < 255)
							{
								if (a == 0)
								{
									údajeObrázka[xx + yy * šírka] =
										aktuálnaFarba;
								}
								else
								{
									int r = (farba >> 16) & 0xff;
									int g = (farba >>  8) & 0xff;
									int b  = farba        & 0xff;

									int ax = 65535 - ((255 - a) * (255 - A));
									int rx = (r * a * 255) +
										(R * A * (255 - a));
									int gx = (g * a * 255) +
										(G * A * (255 - a));
									int bx = (b * a * 255) +
										(B * A * (255 - a));
									rx /= ax; gx /= ax; bx /= ax;

									údajeObrázka[xx + yy * šírka] =
										(((((ax << 8) | rx) << 8) | gx)
											<< 8) | bx;
								}
							}
						}
					}
				}
			}


			public static void negatív(BufferedImage obrázok)
			{
				údajeObrázka = ((DataBufferInt)obrázok.getRaster().
					getDataBuffer()).getData();
				for (int i = 0; i < údajeObrázka.length; ++i)
					údajeObrázka[i] ^= 0x00ffffff;
			}


			public static boolean použiMasku(BufferedImage obrázok,
				BufferedImage maska)
			{
				if (obrázok.getWidth() != maska.getWidth() ||
					obrázok.getHeight() != maska.getHeight()) return false;

				údajeObrázka = ((DataBufferInt)obrázok.getRaster().
					getDataBuffer()).getData();
				údajeMasky = ((DataBufferInt)maska.getRaster().
					getDataBuffer()).getData();

				for (int i = 0; i < údajeObrázka.length; ++i)
				{
					aktuálnaFarba = údajeMasky[i];
					A = (aktuálnaFarba >> 24) & 0xff;
					int a = (údajeObrázka[i] >> 24) & 0xff;

					if (A == 0 || a == 0) aktuálnaFarba = 0; else
					{
						R = (aktuálnaFarba >> 16) & 0xff;
						G = (aktuálnaFarba >>  8) & 0xff;
						B =  aktuálnaFarba        & 0xff;
						aktuálnaFarba = ((765 - R - G - B) * A * a) / 0x2fa03;
						//	0x2fa03 = 195075 = 765 * 255	// 765
					}

					údajeObrázka[i] = (údajeObrázka[i] & 0x00ffffff) |
						(aktuálnaFarba << 24);
				}

				return true;
			}

			public static boolean vymažKresbu(BufferedImage obrázok,
				BufferedImage kresba)
			{
				if (obrázok.getWidth() != kresba.getWidth() ||
					obrázok.getHeight() != kresba.getHeight()) return false;

				údajeObrázka = ((DataBufferInt)obrázok.getRaster().
					getDataBuffer()).getData();
				údajeMasky = ((DataBufferInt)kresba.getRaster().
					getDataBuffer()).getData();

				for (int i = 0; i < údajeObrázka.length; ++i)
				{
					aktuálnaFarba = údajeMasky[i];
					R = (aktuálnaFarba >> 16) & 0xff;
					G = (aktuálnaFarba >>  8) & 0xff;
					B =  aktuálnaFarba        & 0xff;
					// A = (aktuálnaFarba >> 24) & 0xff;
					A = R + G + B; A /= 3; A = 255 - A;
					int a = (údajeObrázka[i] >> 24) & 0xff;

					if (A == 0 || a == 0) aktuálnaFarba = 0; else
					{
						R = (aktuálnaFarba >> 16) & 0xff;
						G = (aktuálnaFarba >>  8) & 0xff;
						B =  aktuálnaFarba        & 0xff;
						aktuálnaFarba = ((765 - R - G - B) * A * a) / 0x2fa03;
						//	0x2fa03 = 195075 = 765 * 255	// 765
					}

					údajeObrázka[i] = (údajeObrázka[i] & 0x00ffffff) |
						(aktuálnaFarba << 24);
				}

				return true;
			}

			public static BufferedImage vyrobMasku(BufferedImage obrázok,
				BufferedImage nováMaska)
			{
				if (null == nováMaska) nováMaska = new BufferedImage(
					obrázok.getWidth(), obrázok.getHeight(),
					BufferedImage.TYPE_INT_ARGB);
				else if (obrázok.getWidth() != nováMaska.getWidth() ||
					obrázok.getHeight() != nováMaska.getHeight()) return null;

				údajeObrázka = ((DataBufferInt)obrázok.getRaster().
					getDataBuffer()).getData();
				údajeMasky = ((DataBufferInt)nováMaska.getRaster().
					getDataBuffer()).getData();

				for (int i = 0; i < údajeObrázka.length; ++i)
				{
					/*
					aktuálnaFarba = údajeObrázka[i];
					A = (aktuálnaFarba >> 24) & 0xff;

					if (A == 0) aktuálnaFarba = 0; else
					{
						R = (aktuálnaFarba >> 16) & 0xff;
						G = (aktuálnaFarba >>  8) & 0xff;
						B =  aktuálnaFarba        & 0xff;
						aktuálnaFarba = ((765 - R - G - B) * A) / 765;
					}

					údajeMasky[i] = aktuálnaFarba << 24;
					*/

					údajeMasky[i] = údajeObrázka[i] & 0xff000000;
				}

				return nováMaska;
			}

			public static void rozmaž(BufferedImage obrázok, Graphics2D
				grafika, int opakovanie, int rozsah, Color farbaPozadia)
			{
				if (rozsah < 1 || opakovanie < 1) return;
				if (--rozsah >= rozmazanie.length)
					rozsah = rozmazanie.length - 1;

				// šírka = obrázok.getWidth();
				// výška = obrázok.getHeight();

				// BufferedImage naRozmazanie = new BufferedImage(šírka + 2,
				//	výška + 2, BufferedImage.TYPE_INT_ARGB);

				BufferedImage naRozmazanie =
					new BufferedImage(obrázok.getWidth() + (rozsah + 1) * 2,
						obrázok.getHeight() + (rozsah + 1) * 2,
						BufferedImage.TYPE_INT_ARGB);

				naRozmazanie.createGraphics().drawImage(obrázok,
					rozsah + 1, rozsah + 1, null);

				údajeObrázka = ((DataBufferInt)naRozmazanie.getRaster().
					getDataBuffer()).getData();
				aktuálnaFarba = farbaPozadia.getRGB() & 0x00ffffff;

				for (int i = 0; i < údajeObrázka.length; ++i)
				{
					if (0 == ((údajeObrázka[i] >> 24) & 255))
						údajeObrázka[i] = aktuálnaFarba;
				}

				for (int i = 0; i < opakovanie; ++i)
					naRozmazanie = rozmazanie[rozsah].
						filter(naRozmazanie, null);

				Shape clipZáloha = grafika.getClip();
				if (null == clipZáloha)
				{
					Arrays.fill(((DataBufferInt)obrázok.getRaster().
						getDataBuffer()).getData(), 0);

					grafika.drawImage(naRozmazanie,
						-rozsah - 1, -rozsah - 1, null);
				}
				else
				{
					BufferedImage zálohaObrázka = new BufferedImage(
						obrázok.getWidth(), obrázok.getHeight(),
						BufferedImage.TYPE_INT_ARGB);
					Arrays.fill(((DataBufferInt)zálohaObrázka.getRaster().
						getDataBuffer()).getData(), 0);
					zálohaObrázka.createGraphics().drawImage(
						obrázok, 0, 0, null);

					Shape clip = new Rectangle.Double(0, 0,
						obrázok.getWidth(), obrázok.getHeight());
					Area oblasťA = new Area(clip);
					Area oblasťB = new Area(clipZáloha);
					oblasťA.exclusiveOr(oblasťB);

					Arrays.fill(((DataBufferInt)obrázok.getRaster().
						getDataBuffer()).getData(), 0);
					grafika.setClip(oblasťA);
					grafika.drawImage(zálohaObrázka, 0, 0, null);
					grafika.setClip(clipZáloha);
					grafika.drawImage(naRozmazanie,
						-rozsah - 1, -rozsah - 1, null);
				}

				// Svet.prekresli();
			}


			// Prepíše farbu bodu na obrázku podobne
			// ako metóda BufferedImage.setRGB(x, y, rgb)
			/*
			public static void prepíšBod(BufferedImage obrázok,
				double x0, double y0, Color farba)
			{
				šírka = obrázok.getWidth();
				výška = obrázok.getHeight();

				int x = (int)((šírka / 2.0) + x0);
				int y = (int)((výška / 2.0) - y0);

				if (x < 0 || x >= šírka || y < 0 || y >= výška) return;

				údajeObrázka = ((DataBufferInt)obrázok.getRaster().
					getDataBuffer()).getData();

				údajeObrázka[x + y * šírka] = farba.getRGB();
			}
			*/


			public static void vylejFarbu(BufferedImage obrázok, double x0,
				double y0, Color farba)
			{
				šírka = obrázok.getWidth();
				výška = obrázok.getHeight();

				x = (int)((šírka / 2.0) + x0);
				y = (int)((výška / 2.0) - y0);

				if (x < 0 || x >= šírka || y < 0 || y >= výška) return;

				údajeObrázka = ((DataBufferInt)obrázok.getRaster().
					getDataBuffer()).getData();
				aktuálnaFarba = farba.getRGB();

				index = x + y * šírka;
				podkladováFarba = údajeObrázka[index];

				if (podkladováFarba == aktuálnaFarba) return;

				A = (aktuálnaFarba >> 24) & 0xff;
				R = (aktuálnaFarba >> 16) & 0xff;
				G = (aktuálnaFarba >>  8) & 0xff;
				B =  aktuálnaFarba        & 0xff;

				boolean ľaváZarážka, praváZarážka;
				vyprázdniZásobník();
				vložDoZásobníka(x, /*y, */index);

				while (vyberZoZásobníka())
				{
					while (y >= 0 &&
					//	((údajeObrázka[index] == podkladováFarba) ||
					//	(((údajeObrázka[index] >> 24) & 0xff) < 8)))
						údajeObrázka[index] == podkladováFarba)
						{ --y; index -= šírka; }

					++y; index += šírka;
					ľaváZarážka = praváZarážka = false;

					while (y < výška &&
					//	((údajeObrázka[index] == podkladováFarba) ||
					//	(((údajeObrázka[index] >> 24) & 0xff) < 8)))
						údajeObrázka[index] == podkladováFarba)
					{
						údajeObrázka[index] = aktuálnaFarba;
						riešAlias();

						if (!ľaváZarážka && x > 0 &&
						//	((údajeObrázka[(x - 1) +
						//		y * šírka] == podkladováFarba) ||
						//	(((údajeObrázka[(x - 1) +
						//		y * šírka] >> 24) & 0xff) < 8)))
							údajeObrázka[index - 1] == podkladováFarba)
						{
							vložDoZásobníka(x - 1, /*y, */index - 1);
							ľaváZarážka = true;
						}
						else if (ľaváZarážka && x > 0 &&
						//	((údajeObrázka[(x - 1) +
						//		y * šírka] != podkladováFarba) &&
						//	(((údajeObrázka[(x - 1) +
						//		y * šírka] >> 24) & 0xff) >= 8)))
							údajeObrázka[index - 1] != podkladováFarba)
						{
							ľaváZarážka = false;
						}

						if (!praváZarážka && x < šírka - 1 &&
						//	((údajeObrázka[(x + 1) +
						//		y * šírka] == podkladováFarba) ||
						//	(((údajeObrázka[(x + 1) +
						//		y * šírka] >> 24) & 0xff) < 8)))
							údajeObrázka[index + 1] == podkladováFarba)
						{
							vložDoZásobníka(x + 1, /*y, */index + 1);
							praváZarážka = true;
						}
						else if (praváZarážka && x < šírka - 1 &&
						//	((údajeObrázka[(x + 1) +
						//		y * šírka] != podkladováFarba) &&
						//	(((údajeObrázka[(x + 1) +
						//		y * šírka] >> 24) & 0xff) >= 8)))
							údajeObrázka[index + 1] != podkladováFarba)
						{
							praváZarážka = false;
						}

						++y; index += šírka;
					}
				}
			}

			// Poznámka: Osamostatnené verzie nasledujúcich dvoch metód sú
			//           v komentároch na konci súboru TestovanieVlnenia.java.
			// 
			// Metódy roluj a pretoč sa usilujú o podobnú vec, ibaže s jedným
			// zásadným rozdielom. Roluj za sebou „maže stopy“ a pretoč
			// zachováva všetky grafické informácie pôvodného obrázka. Z toho
			// plynie prvý zásadný rozdiel: roluj pracuje iba s údajmi obrázka;
			// pretoč potrebuje pomocný zásobník.
			// 
			// Ďalšie rozdiely plynú z toho ako metóda spracúva údaje. Roluj
			// najprv musí overiť, ktorým smerom sú údaje posúvané a podľa
			// toho zvoliť protiidúci smer presúvania sa údajov (aby
			// aktualizácia neprepísala ešte nepresunuté údaje). Preto je
			// metóda roluj o poznanie dlhšia. Metóda pretoč iba zálohuje
			// pôvodný obsah obrázka, rozdelí obraz na štyri nerovnomerné
			// „kvadranty“ a postupne skopíruje obsahy jednotlivých
			// „kvadrantov“ zo zálohy do originálu podľa požadovanej miery
			// posunutia.
			public static void roluj(BufferedImage obrázok, int Δx, int Δy)
			{
				if (Δx == 0 && Δy == 0) return;

				Δy = -Δy;
				údajeObrázka = ((DataBufferInt)obrázok.getRaster().
					getDataBuffer()).getData();
				šírka = obrázok.getWidth();
				výška = obrázok.getHeight();

				if (Δx >= šírka || Δx <= -šírka ||
					Δy >= výška || Δy <= -výška)
				{
					Arrays.fill(údajeObrázka, 0);
					return;
				}

				int spodnáZarážka, vrchnáZarážka,
					zarážkaRiadkov, zarážkaStĺpcov;

				if (Δy <= 0)
				{
					spodnáZarážka = 0;
					vrchnáZarážka = šírka * -Δy - Δx;
					zarážkaRiadkov = výška + Δy;

					if (Δx <= 0)
					{
						zarážkaStĺpcov = šírka + Δx;

						for (int i = 0; i < zarážkaRiadkov; ++i)
						{
							int j = 0;

							for (; j < zarážkaStĺpcov; ++j)
								údajeObrázka[spodnáZarážka + j] =
									údajeObrázka[vrchnáZarážka + j];

							for (; j < šírka; ++j)
								údajeObrázka[spodnáZarážka + j] = 0;

							spodnáZarážka += šírka;
							vrchnáZarážka += šírka;
						}
					}
					else
					{
						zarážkaStĺpcov = Δx;

						for (int i = 0; i < zarážkaRiadkov; ++i)
						{
							int j = šírka - 1;

							for (; j >= zarážkaStĺpcov; --j)
								údajeObrázka[spodnáZarážka + j] =
									údajeObrázka[vrchnáZarážka + j];

							for (; j >= 0; --j)
								údajeObrázka[spodnáZarážka + j] = 0;

							spodnáZarážka += šírka;
							vrchnáZarážka += šírka;
						}
					}

					vrchnáZarážka = šírka * výška;

					while (spodnáZarážka < vrchnáZarážka)
					{
						údajeObrázka[spodnáZarážka] = 0;
						++spodnáZarážka;
					}
				}
				else
				{
					spodnáZarážka = -Δx + šírka * (výška - 1 - Δy);
					vrchnáZarážka = šírka * (výška - 1);
					zarážkaRiadkov = Δy;

					if (Δx <= 0)
					{
						zarážkaStĺpcov = šírka + Δx;

						for (int i = výška - 1; i >= zarážkaRiadkov; --i)
						{
							int j = 0;

							for (; j < zarážkaStĺpcov; ++j)
								údajeObrázka[vrchnáZarážka + j] =
									údajeObrázka[spodnáZarážka + j];

							for (; j < šírka; ++j)
								údajeObrázka[vrchnáZarážka + j] = 0;

							spodnáZarážka -= šírka;
							vrchnáZarážka -= šírka;
						}
					}
					else
					{
						zarážkaStĺpcov = Δx;

						for (int i = výška - 1; i >= zarážkaRiadkov; --i)
						{
							int j = šírka - 1;

							for (; j >= zarážkaStĺpcov; --j)
								údajeObrázka[vrchnáZarážka + j] =
									údajeObrázka[spodnáZarážka + j];

							for (; j >= 0; --j)
								údajeObrázka[vrchnáZarážka + j] = 0;

							spodnáZarážka -= šírka;
							vrchnáZarážka -= šírka;
						}
					}

					vrchnáZarážka = (šírka * Δy) - 1;

					while (vrchnáZarážka >= 0)
					{
						údajeObrázka[vrchnáZarážka] = 0;
						--vrchnáZarážka;
					}
				}
			}

			public static void pretoč(BufferedImage obrázok, int Δx, int Δy)
			{
				if (Δx == 0 && Δy == 0) return;

				Δy = -Δy;
				údajeObrázka = ((DataBufferInt)obrázok.getRaster().
					getDataBuffer()).getData();

				údajeMasky = new int[údajeObrázka.length];

				System.arraycopy(údajeObrázka, 0,
					údajeMasky, 0, údajeObrázka.length);

				šírka = obrázok.getWidth();
				výška = obrázok.getHeight();

				while (Δx < 0) Δx += šírka;
				while (Δx >= šírka) Δx -= šírka;

				while (Δy < 0) Δy += výška;
				while (Δy >= výška) Δy -= výška;

				int index1 = 0, index2 = šírka * (výška + 1 - Δy) - Δx;

				for (int i = Δy; i > 0; --i)
				{
					for (int j = Δx; j > 0; --j)
					{
						údajeObrázka[index1++] =
							údajeMasky[index2++];
					}

					index2 -= šírka;

					for (int j = šírka - Δx; j > 0; --j)
					{
						údajeObrázka[index1++] =
							údajeMasky[index2++];
					}

					index2 += šírka;
				}

				index2 = šírka - Δx;

				for (int i = výška - Δy; i > 0; --i)
				{
					for (int j = Δx; j > 0; --j)
					{
						údajeObrázka[index1++] =
							údajeMasky[index2++];
					}

					index2 -= šírka;

					for (int j = šírka - Δx; j > 0; --j)
					{
						údajeObrázka[index1++] =
							údajeMasky[index2++];
					}

					index2 += šírka;
				}
			}
		}


	// Systémové záležitosti – ojedinele nepoužívajúce slovenčinu…

		// static { System.setProperty("apple.laf.useScreenMenuBar", "true"); }

		// Získanie názvu a cesty aktuálneho .jar balíčka.
		// Vráti null v prípade, že nejde o spustenie z .jar balíčka.

		private static String getJarPathName()
		{
			StringBuffer jarName = new StringBuffer(GRobot.class.
				getProtectionDomain().getCodeSource().getLocation().getPath());
			int indexOf;
			if (-1 != (indexOf = jarName.lastIndexOf("/")))
				jarName.delete(0, 1 + indexOf);
			if (0 == jarName.length()) return null; // not a .jar file
			jarName.insert(0, System.getProperty("user.dir") +
				File.separator);
			return jarName.toString();
		}


	// ---------------------- //
	//  *** Konštruktory ***  //
	// ---------------------- //

		/**
		 * Predvolený konštruktor nastavujúci predvolené vlastnosti robota.
		 * Pri prvom robotovi sa zároveň vytvorí svet, čo zahŕňa okno
		 * aplikácie, podlahu a strop.
		 * 
		 * <P><small>(<b>Poznámka:</b> Každý vytvorený robot je automaticky
		 * zaradený na koniec vnútorného zoznamu robotov. Poradie v tomto
		 * zozname je možné dodatočne ovplyvniť metódami
		 * {@link GRobot#naVrch() naVrch}, {@link GRobot#naSpodok() naSpodok},
		 * {@link GRobot#vyššie() vyššie}, {@link GRobot#nižšie() nižšie},
		 * {@link GRobot#pred(GRobot) pred} a {@link GRobot#za(GRobot)
		 * za}.)</small>
		 */
		public GRobot()
		{
			registrujUdalostiRobota();
			inicializujGrafiku();
			inicializujRobota();
		}

		// Nedá sa :--(
		// public GRobot(javax.swing.JApplet aplet)
		// {
		// 	???
		// 	// inicializujRobota();
		// }

		/**
		 * Konštruktor umožňujúci zmenu titulku okna aplikácie sveta. Okrem
		 * zmeny titulku okna sa správa rovnako ako {@linkplain
		 * GRobot#GRobot() predvolený konštruktor}.
		 * 
		 *  @param novýTitulok  nový titulok hlavného okna
		 */
		public GRobot(String novýTitulok)
		{
			registrujUdalostiRobota();
			inicializujGrafiku();
			svet.setTitle(novýTitulok);
			inicializujRobota();
		}

		/**
		 * Konštruktor umožňujúci stanovenie iných rozmerov kresliacich
		 * plátien (podlahy a stropu) než predvolená. Aby bol tento
		 * konštruktor použiteľný, svet ešte nesmie jestvovať. To znamená,
		 * že úprava rozmerov podlahy a stropu je možná len pri prvom
		 * vytvorenom robotovi, inak vznikne výnimka. (Častý spôsob je
		 * spustenie príkazu {@code valsuper}{@code (}<i>«rozmery
		 * plátna»</i>{@code )} na začiatku konštruktora
		 * {@linkplain Svet#hlavnýRobot() hlavného robota}.)
		 * Ostatné vlastnosti a správanie tohto konštruktora sú rovnaké ako
		 * pri {@linkplain GRobot#GRobot() predvolenom konštruktore}.
		 * <P>(<b>Upozornenie:</b> Zväčšovanie rozmerov plátna znižuje
		 * výkonnosť aplikácie.)
		 * <P>Vo verzii knižnice 1.75 bola pridaná metóda
		 * {@link Svet#zmeňRozmeryPlátien(int, int) zmeňRozmeryPlátien}, avšak
		 * je nevyhnutné ju používať len v odôvodnených prípadoch, keďže zmena
		 * rozmerov plátien je komplexný proces.
		 * 
		 *  @param nováMaximálnaŠírka  nová maximálna šírka kresliacich
		 *      plátien
		 *  @param nováMaximálnaVýška  nová maximálna výška kresliacich
		 *      plátien
		 * 
		 *  @throws GRobotException  ak svet už jestvuje
		 * 
		 *  @see Svet#zmeňRozmeryPlátien(int, int)
		 */
		public GRobot(int nováMaximálnaŠírka, int nováMaximálnaVýška)
		{
			if (inicializované)
				throw new GRobotException("Svet už jestvuje!",
					"worldAlreadyExists");

			registrujUdalostiRobota();

			šírkaPlátna = nováMaximálnaŠírka;
			výškaPlátna = nováMaximálnaVýška;
			prepočítajParametreVýplne();

			podlaha.vytvorNovéPlátno(šírkaPlátna, výškaPlátna);
			strop.vytvorNovéPlátno(šírkaPlátna, výškaPlátna);
			obrázok = new BufferedImage(šírkaPlátna, výškaPlátna,
				BufferedImage.TYPE_INT_ARGB);
			grafika = obrázok.createGraphics();

			if (null != Svet.vlnenie) Svet.odstráňVlnenie();
			vyrovnávaciaPamäťObrázka = new BufferedImage(šírkaPlátna,
				výškaPlátna, BufferedImage.TYPE_INT_ARGB);
			vyrovnávaciaPamäťGrafiky =
				vyrovnávaciaPamäťObrázka.createGraphics();
			for (Obrázok obrázok : zoznamObrázkovKnižnice)
				obrázok.upravPosun();

			inicializujGrafiku();
			inicializujRobota();
		}

		/**
		 * Konštruktor umožňujúci stanovenie iných rozmerov kresliacich
		 * plátien (podlahy a stropu) než je predvolená a zmenu titulku
		 * hlavného okna aplikácie sveta. Aby bol tento konštruktor
		 * použiteľný, svet ešte nesmie jestvovať. To znamená, že úprava
		 * rozmerov podlahy a stropu je možná len pri prvom vytvorenom
		 * robotovi, inak vznikne výnimka. (Častý spôsob je spustenie
		 * príkazu {@code valsuper}{@code (}<i>«rozmery plátna a titulok
		 * okna»</i>{@code )} na začiatku konštruktora
		 * {@linkplain Svet#hlavnýRobot() hlavného robota}.)
		 * Ostatné vlastnosti a správanie tohto konštruktora sú podobné ako
		 * pri {@linkplain GRobot#GRobot(String) konštruktore prijímajúcom
		 * jeden argument (reťazec určujúci nvoý titulok hlavného okna)}.
		 * <P>(<b>Upozornenie:</b> Zväčšovanie rozmerov plátna znižuje
		 * výkonnosť aplikácie.)
		 * <P>Vo verzii knižnice 1.75 bola pridaná metóda
		 * {@link Svet#zmeňRozmeryPlátien(int, int) zmeňRozmeryPlátien}, avšak
		 * je nevyhnutné ju používať len v odôvodnených prípadoch, keďže zmena
		 * rozmerov plátien je komplexný proces.
		 * 
		 *  @param nováMaximálnaŠírka  nová maximálna šírka kresliacich
		 *      plátien
		 *  @param nováMaximálnaVýška  nová maximálna výška kresliacich
		 *      plátien
		 *  @param novýTitulok  nový titulok hlavného okna
		 * 
		 *  @throws GRobotException  ak svet už jestvuje
		 * 
		 *  @see Svet#zmeňRozmeryPlátien(int, int)
		 */
		public GRobot(int nováMaximálnaŠírka, int nováMaximálnaVýška,
			String novýTitulok)
		{
			if (inicializované)
				throw new GRobotException("Svet už jestvuje!",
					"worldAlreadyExists");

			registrujUdalostiRobota();

			šírkaPlátna = nováMaximálnaŠírka;
			výškaPlátna = nováMaximálnaVýška;
			prepočítajParametreVýplne();

			podlaha.vytvorNovéPlátno(šírkaPlátna, výškaPlátna);
			strop.vytvorNovéPlátno(šírkaPlátna, výškaPlátna);
			obrázok = new BufferedImage(šírkaPlátna, výškaPlátna,
				BufferedImage.TYPE_INT_ARGB);
			grafika = obrázok.createGraphics();

			if (null != Svet.vlnenie) Svet.odstráňVlnenie();
			vyrovnávaciaPamäťObrázka = new BufferedImage(šírkaPlátna,
				výškaPlátna, BufferedImage.TYPE_INT_ARGB);
			vyrovnávaciaPamäťGrafiky =
				vyrovnávaciaPamäťObrázka.createGraphics();
			for (Obrázok obrázok : zoznamObrázkovKnižnice)
				obrázok.upravPosun();

			inicializujGrafiku();
			svet.setTitle(novýTitulok);
			inicializujRobota();
		}


	// -------------------------------------------- //
	//  *** Verejné metódy rozdelené do sekcií ***  //
	// -------------------------------------------- //

		/*
		Sekcie verejných metód robota:

			Základné vlastnosti

				Hrúbka, farba a poloha pera
				Viditeľnosť
				Priehľadnosť
				Písmo
				Poloha a smer
				Domov
				Spôsob kreslenia
				Meno robota

			Základné aktivity

				Smer a krokový pohyb v smere
				Horizontálny a vertikálny krokový pohyb
				Špeciálny pohyb

			Aktivita

				Aktivácia a deaktivácia
				Rýchlosť
				Uhlová rýchlosť
				Zrýchlenie
				Uhlové zrýchlenie
				Dynamický pohyb
				Sledovanie cieľa
				Metóda pracuj
				Výzvy
				Metódy aktivít na prekrytie

			Pôsobisko

			Farba bodu

			Vylej farbu

			Podlaha a strop

			Kreslenie na obrázky

			Tvary

			Kreslenie (pečiatkovanie) obrázkov

			Text

			Formát

			Cesta

			Oblasti

			Poradie

			Spojnice

			Veľkosť robota, kolízna oblasť a detekcia kolízií

			Meranie vzdialeností

			Vlastný tvar robota

			Obmedzenie kreslenia

			Interaktívny režim
		*/
		// Poznámka: pojem „príkaz“ môže byť pri opise metód použitý vo
		// význame „použitie tejto metódy na zadanie príkazu robotovi“.


		// Základné vlastnosti

			// Hrúbka, farba a poloha pera

				/**
				 * <a class="getter"></a> Čítaj hrúbku čiary pera robota.
				 * 
				 *  @return aktuálna hrúbka čiary pera robota
				 * 
				 *  @see #hrúbkaČiary()
				 *  @see #hrúbkaPera(double)
				 *  @see #hrúbkaČiary(double)
				 *  @see #predvolenáHrúbkaPera()
				 *  @see #predvolenáHrúbkaČiary()
				 *  @see #čiara()
				 *  @see #čiara(Stroke)
				 *  @see #hrúbkaPeraDoma() hrúbkaPeraDoma
				 */
				public double hrúbkaPera() { return polomerPera; }

				/** <a class="alias"></a> Alias pre {@link #hrúbkaPera() hrúbkaPera}. */
				public double hrubkaPera() { return polomerPera; }

				/**
				 * <a class="getter"></a> Čítaj hrúbku čiary pera robota.
				 * 
				 *  @return aktuálna hrúbka čiary pera robota
				 * 
				 *  @see #hrúbkaČiary()
				 *  @see #hrúbkaPera(double)
				 *  @see #hrúbkaČiary(double)
				 *  @see #predvolenáHrúbkaPera()
				 *  @see #predvolenáHrúbkaČiary()
				 *  @see #čiara()
				 *  @see #čiara(Stroke)
				 *  @see #hrúbkaČiaryDoma() hrúbkaČiaryDoma
				 */
				public double hrúbkaČiary() { return polomerPera; }

				/** <a class="alias"></a> Alias pre {@link #hrúbkaČiary() hrúbkaČiary}. */
				public double hrubkaCiary() { return polomerPera; }

				/**
				 * <a class="setter"></a> Nastav konkrétnu hrúbku čiary pera.
				 * @param nováHrúbka hrúbka čiary pera
				 * @throws GRobotException  ak je hrúbka čiary pera záporná
				 * 
				 *  @see #hrúbkaPera()
				 *  @see #hrúbkaČiary()
				 *  @see #hrúbkaČiary(double)
				 *  @see #predvolenáHrúbkaPera()
				 *  @see #predvolenáHrúbkaČiary()
				 *  @see #čiara()
				 *  @see #čiara(Stroke)
				 *  @see #hrúbkaPeraDoma(Double) hrúbkaPeraDoma
				 */
				public void hrúbkaPera(double nováHrúbka)
				{
					if (nováHrúbka < 0) throw new GRobotException(
						"Hrúbka čiary pera nesmie byť záporná!",
						"negativePenWidth", new IllegalArgumentException());

					polomerPera = nováHrúbka;
					čiara = new BasicStroke((float)polomerPera,
						BasicStroke.CAP_ROUND, BasicStroke.JOIN_ROUND);
					// čiara = new BasicStroke((float)polomerPera);
					if (viditeľný && null == vlastnýTvarObrázok &&
						(null != vlastnýTvarKreslenie || !vyplnený))
						automatickéPrekreslenie();
				}

					/*TEST
						for (byte a = 0; a < 2; ++a)
						{
							boolean viditeľný = a != 0;
							for (byte tvarObrázok = 0; tvarObrázok < 2; ++tvarObrázok)
							{
								for (byte tvarKreslenie = 0; tvarKreslenie < 2; ++tvarKreslenie)
								{
									for (byte b = 0; b < 2; ++b)
									{
										boolean vyplnený = b != 0;

										boolean prekresli = viditeľný &&
											0.0 == tvarObrázok &&
											(0.0 != tvarKreslenie || !vyplnený);

										// prekresli = viditeľný &&
										// 	0.0 == tvarObrázok &&
										// 	0.0 == tvarKreslenie && !vyplnený;

										System.out.print(viditeľný ? "vidi\t" : "nevi\t");
										System.out.print(0.0 != tvarObrázok ? "obra\t" : "nobr\t");
										System.out.print(0.0 != tvarKreslenie ? "kres\t" : "nkre\t");
										System.out.print(vyplnený ? "vypln\t" : "nevyp\t");

										System.out.println(prekresli ? "= kres" : "= nekr");
									}
								}
							}
						}
					*/

				/** <a class="alias"></a> Alias pre {@link #hrúbkaPera(double) hrúbkaPera}. */
				public void hrubkaPera(double nováHrúbka) { hrúbkaPera(nováHrúbka); }

				/**
				 * <a class="setter"></a> Nastav konkrétnu hrúbku čiary pera.
				 * @param nováHrúbka hrúbka čiary pera
				 * @throws GRobotException  ak je hrúbka čiary pera záporná
				 * 
				 *  @see #hrúbkaPera()
				 *  @see #hrúbkaČiary()
				 *  @see #hrúbkaPera(double)
				 *  @see #predvolenáHrúbkaPera()
				 *  @see #predvolenáHrúbkaČiary()
				 *  @see #čiara()
				 *  @see #čiara(Stroke)
				 *  @see #hrúbkaČiaryDoma(Double) hrúbkaČiaryDoma
				 */
				public void hrúbkaČiary(double nováHrúbka)
				{
					if (nováHrúbka < 0) throw new GRobotException(
						"Hrúbka čiary pera nesmie byť záporná!",
						"negativePenWidth", new IllegalArgumentException());

					polomerPera = nováHrúbka;
					čiara = new BasicStroke((float)polomerPera,
						BasicStroke.CAP_ROUND, BasicStroke.JOIN_ROUND);
					// čiara = new BasicStroke((float)polomerPera);
					if (viditeľný && null == vlastnýTvarObrázok &&
						(null != vlastnýTvarKreslenie || !vyplnený))
						automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #hrúbkaČiary(double) hrúbkaČiary}. */
				public void hrubkaCiary(double nováHrúbka) { hrúbkaČiary(nováHrúbka); }

				/**
				 * Nastaví hrúbku čiary pera na predvolenú.
				 * 
				 *  @see #hrúbkaPera()
				 *  @see #hrúbkaČiary()
				 *  @see #hrúbkaPera(double)
				 *  @see #hrúbkaČiary(double)
				 *  @see #predvolenáHrúbkaČiary()
				 *  @see #čiara()
				 *  @see #čiara(Stroke)
				 */
				public void predvolenáHrúbkaPera() { hrúbkaPera(predvolenýPolomerPera); }

				/** <a class="alias"></a> Alias pre {@link #predvolenáHrúbkaPera() predvolenáHrúbkaPera}. */
				public void predvolenaHrubkaPera() { hrúbkaPera(predvolenýPolomerPera); }

				/**
				 * Nastaví hrúbku čiary pera na predvolenú.
				 * 
				 *  @see #hrúbkaPera()
				 *  @see #hrúbkaČiary()
				 *  @see #hrúbkaPera(double)
				 *  @see #hrúbkaČiary(double)
				 *  @see #predvolenáHrúbkaPera()
				 *  @see #čiara()
				 *  @see #čiara(Stroke)
				 */
				public void predvolenáHrúbkaČiary() { hrúbkaPera(predvolenýPolomerPera); }

				/** <a class="alias"></a> Alias pre {@link #predvolenáHrúbkaČiary() predvolenáHrúbkaČiary}. */
				public void predvolenaHrubkaCiary() { hrúbkaPera(predvolenýPolomerPera); }

				/**
				 * Vráti objekt typu {@link Stroke Stroke} vyjadrujúci
				 * vlastnosti aktuálnej čiary, ktorou robot kreslí.
				 * (Predvolene ide o objekt typu {@link BasicStroke
				 * BasicStroke}, ktorý definuje súvislú čiaru s hrúbkou pera
				 * robota.)
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @return aktuálna čiara robota (objekt typu {@link
				 *      Stroke Stroke})
				 * 
				 *  @see #hrúbkaPera()
				 *  @see #hrúbkaČiary()
				 *  @see #hrúbkaPera(double)
				 *  @see #hrúbkaČiary(double)
				 *  @see #predvolenáHrúbkaPera()
				 *  @see #predvolenáHrúbkaČiary()
				 *  @see #čiara(Stroke)
				 */
				public Stroke čiara() { return čiara; }

				/** <a class="alias"></a> Alias pre {@link #čiara() čiara}. */
				public Stroke ciara() { return čiara; }

				/**
				 * Podľa zadaného objekt typu {@link Stroke Stroke}
				 * nastaví novú čiaru, ktorou bude robot kresliť.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param nováČiara objekt typu {@link Stroke Stroke}
				 *      vyjadrujúci vlastnosti novej čiary, ktorou bude robot
				 *      kresliť
				 * 
				 *  @see #hrúbkaPera()
				 *  @see #hrúbkaČiary()
				 *  @see #hrúbkaPera(double)
				 *  @see #hrúbkaČiary(double)
				 *  @see #predvolenáHrúbkaPera()
				 *  @see #predvolenáHrúbkaČiary()
				 *  @see #čiara()
				 */
				public void čiara(Stroke nováČiara) { čiara = nováČiara; }

				/** <a class="alias"></a> Alias pre {@link #čiara(Stroke) čiara}. */
				public void ciara(Stroke nováČiara) { čiara = nováČiara; }


				/**
				 * <a class="getter"></a> Číta farbu robota.
				 * Farba robota ovplyvňuje farebnosť predvoleného tvaru robota
				 * a farbu kreslenia (čiar aj pečiatok).
				 * 
				 *  @return aktuálna farba robota (objekt typu {@link
				 *      Farba Farba})
				 * 
				 *  @see #farba(java.awt.Color)
				 *  @see #farba(Farebnosť)
				 *  @see #farba(int, int, int)
				 *  @see #farba(int, int, int, int)
				 *  @see #predvolenáFarba()
				 *  @see #farbaDoma() farbaDoma
				 */
				public Farba farba() { return farbaRobota; }

				/**
				 * <a class="setter"></a> Nastav farbu robota. Nastaví
				 * farbu a priehľadnosť robota podľa použitého objektu
				 * {@link Color Color} (alebo odvodeného napr. {@link Farba
				 * Farba}). Farba robota ovplyvňuje farebnosť predvoleného
				 * tvaru robota a farbu kreslenia (čiar aj pečiatok).
				 * 
				 *  @param nováFarba objekt farebného údajového typu určujúci
				 *      novú farbu robota; jestvuje paleta predvolených farieb
				 *      (pozri napríklad: {@link #biela}, {@link #červená},
				 *      {@link #čierna}…)
				 * 
				 *  @see #farba()
				 *  @see #farba(Farebnosť)
				 *  @see #farba(int, int, int)
				 *  @see #farba(int, int, int, int)
				 *  @see #predvolenáFarba()
				 *  @see #farbaDoma(java.awt.Color) farbaDoma
				 */
				public void farba(Color nováFarba)
				{
					if (nováFarba instanceof Farba)
						farbaRobota = (Farba)nováFarba;
					else
						farbaRobota = new Farba(nováFarba);

					if (viditeľný) automatickéPrekreslenie();
				}

				/**
				 * Nastaví farbu a priehľadnosť robota podľa zadaného
				 * objektu, ktorý musí byť implementáciou rozhrania {@link
				 * Farebnosť Farebnosť}.
				 * (Farba robota ovplyvňuje farebnosť predvoleného tvaru robota
				 * a farbu kreslenia – čiar aj pečiatok.)
				 * 
				 *  @param podľaObjektu objekt, podľa ktorého má byť nastavená
				 *      farebnosť pera tohto robota
				 * 
				 *  @see #farba()
				 *  @see #farba(java.awt.Color)
				 *  @see #farba(int, int, int)
				 *  @see #farba(int, int, int, int)
				 *  @see #predvolenáFarba()
				 */
				public void farba(Farebnosť podľaObjektu)
				{ farba(podľaObjektu.farba()); }

				/* *
				 * Toto je „klon“ metódy {@link #farba(java.awt.Color)}. Farba je
				 * nastavená len v prípade, že v premennej typu {@link Object}
				 * (zadanej ako parameter) je uložená inštancia triedy {@link
				 * Farba Farba} alebo {@link Color Color}.
				 * /
				public void farba(Object nováFarba)
				{
					if (nováFarba instanceof Color)
						nováFarba = new Farba((Color)nováFarba);
					if (nováFarba instanceof Farba) farba((Farba)nováFarba);
				}*/

				/**
				 * Nastav farbu robota. Nastaví farbu robota podľa zadaných
				 * farebných zložiek.
				 * (Farba robota ovplyvňuje farebnosť predvoleného tvaru robota
				 * a farbu kreslenia – čiar aj pečiatok.)
				 * 
				 *  @param r červená zložka novej farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param g zelená zložka novej farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param b modrá zložka novej farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @return objekt typu {@link Farba Farba} – nová farba robota
				 * 
				 *  @see #farba()
				 *  @see #farba(java.awt.Color)
				 *  @see #farba(Farebnosť)
				 *  @see #farba(int, int, int, int)
				 *  @see #predvolenáFarba()
				 */
				public Farba farba(int r, int g, int b)
				{
					farbaRobota = new Farba(r, g, b);
					if (viditeľný) automatickéPrekreslenie();
					return farbaRobota;
				}

				/**
				 * Nastav farbu robota. Nastaví farbu a (ne)priehľadnosť robota
				 * podľa zadaných farebných zložiek a úrovne priehľadnosti.
				 * (Farba robota ovplyvňuje farebnosť predvoleného tvaru robota
				 * a farbu kreslenia – čiar aj pečiatok.)
				 * 
				 *  @param r červená zložka novej farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param g zelená zložka novej farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param b modrá zložka novej farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo
				 *      v rozsahu 0 – 255 (0 – neviditeľná farba; 255 –
				 *      nepriehľadná farba)
				 *  @return objekt typu {@link Farba Farba} – nová farba robota
				 * 
				 *  @see #farba()
				 *  @see #farba(java.awt.Color)
				 *  @see #farba(Farebnosť)
				 *  @see #farba(int, int, int)
				 *  @see #predvolenáFarba()
				 */
				public Farba farba(int r, int g, int b, int a)
				{
					farbaRobota = new Farba(r, g, b, a);
					if (viditeľný) automatickéPrekreslenie();
					return farbaRobota;
				}

				/**
				 * Nastaví farbu robota na predvolenú farbu.
				 * (Predvolenou farbou robota je {@linkplain #čierna čierna}.
				 * Farba robota ovplyvňuje farebnosť predvoleného tvaru robota
				 * a farbu kreslenia – čiar aj pečiatok.)
				 * 
				 * @see #farba()
				 * @see #farba(java.awt.Color)
				 * @see #farba(Farebnosť)
				 * @see #farba(int, int, int)
				 * @see #farba(int, int, int, int)
				 */
				public void predvolenáFarba()
				{
					farbaRobota = predvolenéPero;
					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #predvolenáFarba() predvolenáFarba}. */
				public void predvolenaFarba() { predvolenáFarba(); }


				/**
				 * Zistí aktuálnu polohu pera.
				 *  @return {@code valtrue} ak je pero položené,
				 *      {@code valfalse} v opačnom prípade
				 *  @see #polohaPera(boolean)
				 *  @see #peroZdvihnuté()
				 *  @see #peroPoložené()
				 *  @see #zdvihniPero()
				 *  @see #položPero()
				 *  @see #polohaPeraDoma() polohaPeraDoma
				 *  @see #kreslenieTvarovPovolené() kreslenieTvarovPovolené
				 */
				public boolean polohaPera() { return peroPoložené; }

				/**
				 * Zistí aktuálnu polohu pera.
				 *  @return {@code valtrue} ak je pero zdvihnuté z plátna,
				 *      {@code valfalse} v opačnom prípade
				 *  @see #polohaPera()
				 *  @see #polohaPera(boolean)
				 *  @see #peroPoložené()
				 *  @see #zdvihniPero()
				 *  @see #položPero()
				 */
				public boolean peroZdvihnuté() { return !peroPoložené; }

				/** <a class="alias"></a> Alias pre {@link #peroZdvihnuté() peroZdvihnuté}. */
				public boolean peroZdvihnute() { return !peroPoložené; }

				/**
				 * Zistí aktuálnu polohu pera.
				 *  @return {@code valtrue} ak je pero položené,
				 *      {@code valfalse} v opačnom prípade
				 *  @see #polohaPera()
				 *  @see #polohaPera(boolean)
				 *  @see #peroZdvihnuté()
				 *  @see #zdvihniPero()
				 *  @see #položPero()
				 */
				public boolean peroPoložené() { return peroPoložené; }

				/** <a class="alias"></a> Alias pre {@link #peroPoložené() peroPoložené}. */
				public boolean peroPolozene() { return peroPoložené; }

				/**
				 * Zdvihne alebo položí pero na základe zadanej pravdivostnej
				 * hodnoty – {@code valtrue} položí pero, {@code valfalse}
				 * zdvihne pero.
				 *  @param polož {@code valtrue}/&#8203;{@code valfalse}
				 *  @see #polohaPera()
				 *  @see #peroZdvihnuté()
				 *  @see #peroPoložené()
				 *  @see #zdvihniPero()
				 *  @see #položPero()
				 *  @see #polohaPeraDoma(Boolean) polohaPeraDoma
				 */
				public void polohaPera(boolean polož) { peroPoložené = polož; }

				/**
				 * Zdvihne pero tohto robota z plátna podlahy alebo stropu.
				 * Robot sa bude presúvať bez kreslenia čiary. Opačný efekt
				 * má metóda {@link #položPero() položPero}.
				 *  @see #polohaPera()
				 *  @see #polohaPera(boolean)
				 *  @see #peroZdvihnuté()
				 *  @see #peroPoložené()
				 *  @see #položPero()
				 *  @see #dopredu(double) dopredu
				 *  @see #vzad(double) vzad
				 *  @see #choďNa(double, double) choďNa
				 *  @see #choďPoOblúku(double, double) choďPoOblúku
				 *  @see #zdvihniPeroDoma() zdvihniPeroDoma
				 *  @see #nekresliTvary() nekresliTvary
				 */
				public void zdvihniPero() { peroPoložené = false; }

				/**
				 * Položí pero tohto robota na plátno podlahy alebo stropu.
				 * Robot bude pri presune kresliť čiaru. Opačný efekt má
				 * metóda {@link #zdvihniPero() zdvihniPero}.
				 *  @see #polohaPera()
				 *  @see #polohaPera(boolean)
				 *  @see #peroZdvihnuté()
				 *  @see #peroPoložené()
				 *  @see #zdvihniPero()
				 *  @see #dopredu(double) dopredu
				 *  @see #vzad(double) vzad
				 *  @see #choďNa(double, double) choďNa
				 *  @see #choďPoOblúku(double, double) choďPoOblúku
				 *  @see #položPeroDoma() položPeroDoma
				 *  @see #kresliTvary() kresliTvary
				 */
				public void položPero() { peroPoložené = true; }

				/** <a class="alias"></a> Alias pre {@link #položPero() položPero}. */
				public void polozPero() { peroPoložené = true; }


			// Viditeľnosť

				/**
				 * Zistí, či je robot viditeľný alebo skrytý. Metóda nezistí,
				 * či skutočne robota vidno, iba vráti stav zobrazenia určený
				 * metódami {@link #zobraz() zobraz} a {@link #skry() skry}.
				 * (To znamená, že ak je napríklad robot skrytý za nejakým
				 * objektom, táto metóda to nezistí.) Alternatívou tejto
				 * metódy je metóda {@link #zobrazený() zobrazený}.
				 * 
				 *  @return {@code valtrue} ak je robot viditeľný, {@code
				 *      valfalse} v opačnom prípade
				 *  @see #zobrazený()
				 *  @see #skrytý()
				 *  @see #ukáž()
				 *  @see #zobraz()
				 *  @see #skry()
				 *  @see #viditeľnýDoma() viditeľnýDoma
				 */
				public boolean viditeľný() { return viditeľný; }

				/** <a class="alias"></a> Alias pre {@link #viditeľný() viditeľný}. */
				public boolean viditelny() { return viditeľný; }

				/**
				 * Zistí, či je robot viditeľný alebo skrytý. Metóda nezistí,
				 * či skutočne robota vidno, iba vráti stav zobrazenia určený
				 * metódami {@link #zobraz() zobraz} a {@link #skry() skry}.
				 * (To znamená, že ak je napríklad robot skrytý za nejakým
				 * objektom, táto metóda to nezistí.)
				 * 
				 *  @return {@code valtrue} ak je robot zobrazený, {@code
				 *      valfalse} v opačnom prípade
				 *  @see #viditeľný()
				 *  @see #skrytý()
				 *  @see #ukáž()
				 *  @see #zobraz()
				 *  @see #skry()
				 *  @see #zobrazenýDoma() zobrazenýDoma
				 */
				public boolean zobrazený() { return viditeľný; }

				/** <a class="alias"></a> Alias pre {@link #zobrazený() zobrazený}. */
				public boolean zobrazeny() { return viditeľný; }

				/**
				 * Zistí, či je robot viditeľný alebo skrytý. Metóda nezistí,
				 * či skutočne robota nevidno, iba vráti stav zobrazenia
				 * určený metódami {@link #zobraz() zobraz} a {@link #skry()
				 * skry}. (To znamená, že ak je napríklad robot skrytý za
				 * nejakým objektom, táto metóda to nezistí.) Alternatívou
				 * tejto metódy je metóda {@link #viditeľný() viditeľný}.
				 * 
				 *  @return {@code valtrue} ak je robot skrytý, {@code
				 *      valfalse} v opačnom prípade
				 *  @see #viditeľný()
				 *  @see #zobrazený()
				 *  @see #ukáž()
				 *  @see #zobraz()
				 *  @see #skry()
				 *  @see #skrytýDoma() skrytýDoma
				 */
				public boolean skrytý() { return !viditeľný; }

				/** <a class="alias"></a> Alias pre {@link #skrytý() skrytý}. */
				public boolean skryty() { return !viditeľný; }

				/**
				 * Zobrazí tohto robota. Alternatívou tejto metódy je metóda
				 * {@link #zobraz() zobraz}. Opačný efekt má metóda
				 * {@link #skry() skry}.
				 * 
				 *  @see #viditeľný()
				 *  @see #zobrazený()
				 *  @see #skrytý()
				 *  @see #zobraz()
				 *  @see #skry()
				 *  @see #ukážDoma() ukážDoma
				 */
				public void ukáž()
				{
					// Zmeny treba vniesť aj to metódy zobraz (nižšie)‼
					viditeľný = true;
					automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #ukáž() ukáž}. */
				public void ukaz() { ukáž(); }

				/**
				 * Zobrazí tohto robota. Alternatívou tejto metódy je metóda
				 * {@link #ukáž() ukáž}. Opačný efekt má metóda
				 * {@link #skry() skry}.
				 * 
				 *  @see #viditeľný()
				 *  @see #zobrazený()
				 *  @see #skrytý()
				 *  @see #ukáž()
				 *  @see #skry()
				 *  @see #zobrazDoma() zobrazDoma
				 */
				public void zobraz()
				{
					// Zmeny treba vniesť aj to metódy ukáž (vyššie)‼
					viditeľný = true;
					automatickéPrekreslenie();
				}

				/**
				 * Skryje tohto robota. Opačný efekt má metóda {@link #ukáž()
				 * ukáž} alebo {@link #zobraz() zobraz}.
				 * 
				 *  @see #viditeľný()
				 *  @see #zobrazený()
				 *  @see #skrytý()
				 *  @see #ukáž()
				 *  @see #zobraz()
				 *  @see #skryDoma() skryDoma
				 */
				public void skry()
				{
					viditeľný = false;
					automatickéPrekreslenie();
				}


			// Priehľadnosť

				/**
				 * <a class="getter"></a> Zistí aktuálnu úroveň
				 * (ne)priehľadnosti tohto robota.
				 * 
				 *  @return aktuálna úroveň priehľadnosti tohto robota
				 *  @see #priehľadnosť(double)
				 *  @see #upravPriehľadnosť(double)
				 *  @see #priehľadnosťDoma()
				 */
				public double priehľadnosť() { return priehľadnosť; }

				/** <a class="alias"></a> Alias pre {@link #priehľadnosť() priehľadnosť}. */
				public double priehladnost() { return priehľadnosť; }

				/**
				 * <a class="setter"></a> Nastaví novú úroveň
				 * (ne)priehľadnosti tohto robota použitú pri jeho kreslení.
				 * Ak chceme, aby bola táto vlastnosť korektne použitá, musíme
				 * vopred upraviť jej hodnotu, to znamená, že ešte pred samotným
				 * kreslením robota. Počas kreslenia {@linkplain
				 * #vlastnýTvar(KreslenieTvaru) vlastného tvaru} je už neskoro.
				 * Taktiež {@linkplain Obrázok obrázky} použité namiesto
				 * {@linkplain #vlastnýTvar(Image) vlastného tvaru} by nemali
				 * mať nastavenú {@linkplain Obrázok#priehľadnosť(double)
				 * vlastnú úroveň priehľadnosti}, ak nechceme, aby ich úroveň
				 * {@linkplain Obrázok#priehľadnosť(double) priehľadnosti}
				 * prekryla nastavenie tohto robota (vlastnou úrovňou
				 * priehľadnosti obrázka máme na mysli inú hodnotu, než
				 * {@code num1.0}).
				 * 
				 * <P>Úroveň 0.0 znamená, že robot by nemal byť zobrazený,
				 * avšak vždy dôjde minimálne k pokusu o jeho nakreslenie.
				 * Keď chceme robota skutočne skryť, použijeme metódu
				 * {@link #skry() skry}.
				 * Úroveň 1.0 znamená, že robot bude zobrazený bez úpravy
				 * priehľadnosti.
				 * 
				 *  @param priehľadnosť nová úroveň priehľadnosti (0.0 – 1.0)
				 *  @see #priehľadnosť()
				 *  @see #upravPriehľadnosť(double)
				 *  @see #priehľadnosťDoma(Double)
				 */
				public void priehľadnosť(double priehľadnosť)
				{
					this.priehľadnosť = (float)priehľadnosť;
					automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #priehľadnosť(double) priehľadnosť}. */
				public void priehladnost(double priehľadnosť)
				{ priehľadnosť(priehľadnosť); }

				/**
				 * Skopíruje úroveň (ne)priehľadnosti zo zadaného objektu.
				 * 
				 *  @param objekt objekt určujúci novú úroveň priehľadnosti
				 *  @see #priehľadnosť()
				 *  @see #upravPriehľadnosť(double)
				 */
				public void priehľadnosť(Priehľadnosť objekt)
				{
					this.priehľadnosť = (float)objekt.priehľadnosť();
					automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #priehľadnosť(Priehľadnosť) priehľadnosť}. */
				public void priehladnost(Priehľadnosť objekt)
				{ priehľadnosť(objekt); }

				/**
				 * Upraví úroveň (ne)priehľadnosti tohto robota. Viac
				 * informácií o priehľadnosti je v opise metódy {@link
				 * #priehľadnosť(double) priehľadnosť}.
				 * 
				 *  @param zmena hodnota, ktorou bude násobená aktuálna
				 *      hodnota priehľadnosti; príklady: 0.5 – priehľadnosť
				 *      bude znížená o polovicu, 2.0 – úroveň priehľadnosti
				 *      bude zdvojnásobená
				 *  @see #priehľadnosť(double)
				 *  @see #priehľadnosť()
				 */
				public void upravPriehľadnosť(double zmena)
				{
					if (0 == priehľadnosť) priehľadnosť = 0.1f;
					else priehľadnosť *= (float)zmena;
					automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #upravPriehľadnosť(double) upravPriehľadnosť}. */
				public void upravPriehladnost(double zmena)
				{ upravPriehľadnosť(zmena); }


			// Písmo

				/**
				 * <a class="getter"></a> Vráti aktuálny typ písma, ktorým
				 * robot píše.
				 * 
				 *  @return objekt typu {@link Písmo} – aktuálny typ písma
				 *  @see #písmo(Font)
				 *  @see #písmo(String, double)
				 *  @see #predvolenéPísmo()
				 *  @see #písmoDoma()
				 */
				public Písmo písmo() { return aktuálnePísmo; }

				/** <a class="alias"></a> Alias pre {@link #písmo() písmo}. */
				public Pismo pismo() { return new Pismo(aktuálnePísmo); }

				/**
				 * <a class="setter"></a> Nastaví nový typ písma, ktorým bude
				 * robot písať.
				 * @param novéPísmo objekt typu {@link Písmo} alebo
				 * {@link java.awt.Font} určujúci nový typ písma robota
				 * @see #písmo()
				 * @see #písmo(Font)
				 * @see #písmo(String, double)
				 * @see #predvolenéPísmo()
				 * @see #písmoDoma(Font)
				 */
				public void písmo(Font novéPísmo)
				{
					if (novéPísmo instanceof Písmo)
						aktuálnePísmo = (Písmo)novéPísmo;
					else
						aktuálnePísmo = new Písmo(novéPísmo);
				}

				/** <a class="alias"></a> Alias pre {@link #písmo(Font) písmo}. */
				public void pismo(Font novéPísmo) { písmo(novéPísmo); }

				/**
				 * Nastaví nový typ písma, ktorým bude robot písať.
				 * 
				 *  @param názov názov písma; môže byť všeobecný názov
				 *      logického písma (Dialog, DialogInput, Monospaced,
				 *      Serif, SansSerif…) alebo názov
				 *      konkrétneho písma (Times New Roman, Arial…)
				 *  @param veľkosť veľkosť písma v bodoch (hodnota je
				 *      zaokrúhlená na typ {@code typefloat})
				 *  @return objekt typu {@link Písmo} určujúci nový typ písma
				 *      robota
				 * 
				 * @see #písmo()
				 * @see #písmo(Font)
				 * @see #predvolenéPísmo()
				 */
				public Písmo písmo(String názov, double veľkosť)
				{
					return aktuálnePísmo = new Písmo(názov, Písmo.PLAIN, veľkosť);
				}

				/** <a class="alias"></a> Alias pre {@link #písmo(String, double) písmo}. */
				public Pismo pismo(String názov, double veľkosť)
				{ return new Pismo(písmo(názov, veľkosť)); }

				/**
				 * Vráti nastavenie typu písma robota na predvolené.
				 * 
				 * @see #písmo()
				 * @see #písmo(Font)
				 * @see #písmo(String, double)
				 */
				public void predvolenéPísmo() { písmo(predvolenéPísmo); }

				/** <a class="alias"></a> Alias pre {@link #predvolenéPísmo() predvolenéPísmo}. */
				public void predvolenePismo() { písmo(predvolenéPísmo); }


				/**
				 * Zistí výšku riadka textu v bodoch pri použití aktuálneho
				 * typu písma. Ak metóda z nejakého dôvodu nedokáže získať
				 * kontext grafiky, tak vráti nulu – {@code num0}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @return výška riadka textu v bodocj pri použití aktuálneho
				 *     písma
				 */
				public int výškaRiadka()
				{
					if (null != grafika)
					{
						grafika.setFont(aktuálnePísmo);
						return grafika.getFontMetrics().getHeight();
					}
					return 0;
				}

				/** <a class="alias"></a> Alias pre {@link #výškaRiadka() výškaRiadka}. */
				public int vyskaRiadka() { return výškaRiadka(); }

				/**
				 * Zistí šírku zadaného reťazca v bodoch pri použití aktuálneho
				 * typu písma. Ak metóda z nejakého dôvodu nedokáže získať
				 * kontext grafiky, tak vráti nulu – {@code num0}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param reťazec reťazec, ktorého šírka má byť vrátená
				 * @return šírka zadaného reťazca v bodoch pri použití
				 *     aktuálneho písma
				 */
				public int šírkaReťazca(String reťazec)
				{
					if (null != grafika)
					{
						grafika.setFont(aktuálnePísmo);
						return grafika.getFontMetrics().stringWidth(reťazec);
					}
					return 0;
				}

				/** <a class="alias"></a> Alias pre {@link #šírkaReťazca(String) šírkaReťazca}. */
				public int sirkaRetazca(String reťazec)
				{ return šírkaReťazca(reťazec); }

				/**
				 * Zistí šírku medzery v bodoch pri použití aktuálneho typu
				 * písma. Ak metóda z nejakého dôvodu nedokáže získať kontext
				 * grafiky, tak vráti nulu – {@code num0}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @return šírka medzery v bodoch pri použití aktuálneho písma
				 */
				public int šírkaMedzery()
				{
					if (null != grafika)
					{
						grafika.setFont(aktuálnePísmo);
						return grafika.getFontMetrics().stringWidth(" ");
					}
					return 0;
				}

				/** <a class="alias"></a> Alias pre {@link #šírkaMedzery() šírkaMedzery}. */
				public int sirkaMedzery() { return šírkaMedzery(); }

				/**
				 * Zistí najväčšiu šírku znaku v bodoch pri použití aktuálneho
				 * typu písma. Ak metóda z nejakého dôvodu nedokáže získať
				 * kontext grafiky, tak vráti nulu – {@code num0}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @return najväčšia šírka znaku v bodoch pri použití
				 *     aktuálneho písma
				 */
				public int najväčšiaŠírkaZnaku()
				{
					if (null != grafika)
					{
						grafika.setFont(aktuálnePísmo);
						return grafika.getFontMetrics().getMaxAdvance();
					}
					return 0;
				}

				/** <a class="alias"></a> Alias pre {@link #najväčšiaŠírkaZnaku() najväčšiaŠírkaZnaku}. */
				public int najvacsiaSirkaZnaku() { return najväčšiaŠírkaZnaku(); }


			// Poloha a smer

				/**
				 * <a class="getter"></a> Zistí aktuálnu x-ovú súradnicu robota.
				 * 
				 *  @return aktuálna x-ová súradnica robota
				 */
				public double polohaX() { return aktuálneX; }

				/**
				 * <a class="getter"></a> Zistí aktuálnu y-ovú súradnicu robota.
				 * 
				 *  @return aktuálna y-ová súradnica robota
				 */
				public double polohaY() { return aktuálneY; }

				/** <a class="alias"></a> Alias pre {@link #polohaX()}. */
				public double súradnicaX() { return aktuálneX; }

				/** <a class="alias"></a> Alias pre {@link #súradnicaX()}. */
				public double suradnicaX() { return aktuálneX; }

				/** <a class="alias"></a> Alias pre {@link #polohaY()}. */
				public double súradnicaY() { return aktuálneY; }

				/** <a class="alias"></a> Alias pre {@link #súradnicaY()}. */
				public double suradnicaY() { return aktuálneY; }

				/**
				 * <a class="setter"></a> Prikáže robotovi, aby preskočil na
				 * konkrétnu súradnicu na podlahe (strope) v smere x. Robot
				 * nekreslí čiaru, ani nezmení smer.
				 * 
				 *  @param novéX  nová x-ová súradnica
				 */
				public void polohaX(double novéX)
				{
					aktuálneX = novéX;

					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(aktuálneY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(aktuálneY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(aktuálneY));
						*/
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/**
				 * <a class="setter"></a> Prikáže robotovi, aby preskočil na
				 * konkrétnu súradnicu na podlahe (strope) v smere y. Robot
				 * nekreslí čiaru, ani nezmení smer.
				 * 
				 *  @param novéY  nová y-ová súradnica
				 */
				public void polohaY(double novéY)
				{
					aktuálneY = novéY;

					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(aktuálneX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(aktuálneX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(aktuálneX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #polohaX(double)}. */
				public void súradnicaX(double novéX) { polohaX(novéX); }

				/** <a class="alias"></a> Alias pre {@link #súradnicaX(double)}. */
				public void suradnicaX(double novéX) { polohaX(novéX); }

				/** <a class="alias"></a> Alias pre {@link #polohaY(double)}. */
				public void súradnicaY(double novéY) { polohaY(novéY); }

				/** <a class="alias"></a> Alias pre {@link #súradnicaY(double)}. */
				public void suradnicaY(double novéY) { polohaY(novéY); }

				/**
				 * <a class="getter"></a> Vráti aktuálne súradnice robota
				 * v objekte typu {@link Bod Bod}.
				 * Vrátený objekt bude obsahovať súradnice robota,
				 * ktoré sú aktuálne v čase volania metódy. V budúcnosti
				 * tieto hodnoty súradníc nie sú aktualizované.
				 * To znamená, že vždy keď potrebujete získať aktuálne
				 * súradnice robota, tak musíte znova volať túto metódu
				 * a získať nový objekt typu {@link Bod Bod} s aktuálnymi
				 * súradnicami.
				 * 
				 *  @return objekt typu {@link Bod Bod} obsahujúci aktuálne
				 *          súradnice robota
				 */
				public Bod poloha()
				{
					// final Point2D.Double poloha = new Point2D.Double();
					// poloha.x = aktuálneX; poloha.y = aktuálneY; return poloha;
					return new Bod(aktuálneX, aktuálneY);
				}

				// /**
				//  * <a class="setter"></a> Nastaví nové súradnice robota.
				//  * Nové súradnice
				//  * sú očakávané v objekte typu {@link Point2D Point2D} (čo
				//  * môže byť aj {@link Bod Bod}). Robot sa presunie na zadané
				//  * súradnice, nekreslí pri tom čiaru, ani nezmení svoju
				//  * aktuálnu orientáciu (smer).
				//  * 
				//  *  @param poloha objekt typu {@link Point2D Point2D}
				//  *      obsahujúci nové súradnice robota
				//  */
				// public void poloha(Point2D poloha)
				// {
				// 	aktuálneX = poloha.getX();
				// 	aktuálneY = poloha.getY();
				// 
				// 	if (záznamCesty)
				// 	{
				// 		if (záznamCestyBezPolohyPera)
				// 			cesta.lineTo(
				// 				prepočítajX(aktuálneX),
				// 				prepočítajY(aktuálneY));
				// 		else
				// 			cesta.moveTo(
				// 				prepočítajX(aktuálneX),
				// 				prepočítajY(aktuálneY));
				// 		/*
				// 		cesta.addPoint(
				// 			(int)prepočítajX(aktuálneX),
				// 			(int)prepočítajY(aktuálneY));
				// 		*/
				// 	}
				// 
				// 	if (viditeľný) automatickéPrekreslenie();
				// }

				/**
				 * <a class="setter"></a> Nastaví nové súradnice robota.
				 * Nové súradnice
				 * sú očakávané v inštancii triedy, ktorá implementuje
				 * rozhranie {@link Poloha Poloha}, takže môže ísť o rôzne
				 * objekty knižnice grafického robota. Robot sa presunie
				 * na zadané súradnice, nekreslí pri tom čiaru, ani nezmení
				 * svoju aktuálnu orientáciu (smer).
				 * 
				 *  @param poloha objekt typu {@link Poloha Poloha}
				 *      obsahujúci nové súradnice robota
				 */
				public void poloha(Poloha poloha)
				{
					aktuálneX = poloha.polohaX();
					aktuálneY = poloha.polohaY();

					// System.out.println("poloha: " + poloha.polohaX() +
					//	poloha.polohaY());

					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(aktuálneX),
								prepočítajY(aktuálneY));
						else
							cesta.moveTo(
								prepočítajX(aktuálneX),
								prepočítajY(aktuálneY));
						/*
						cesta.addPoint(
							(int)prepočítajX(aktuálneX),
							(int)prepočítajY(aktuálneY));
						*/
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/**
				 * <a class="getter"></a> Zistí aktuálny uhol (smer) robota.
				 * 
				 *  @return aktuálny uhol otočenia robota
				 *  @see #uhol(double)
				 *  @see #vpravo(double) vpravo
				 *  @see #vľavo(double) vľavo
				 *  @see #uholDoma()
				 *  @see #smer()
				 *  @see #smerNa(double, double)
				 *  @see #uholNa(double, double)
				 *  @see #smerNa(Poloha)
				 *  @see #uholNa(Poloha)
				 *  @see #smerNa(Shape)
				 *  @see #uholNa(Shape)
				 *  @see #smerNaMyš()
				 *  @see #uholNaMyš()
				 *  @see #smer(double, double)
				 *  @see #uhol(double, double)
				 *  @see #otočNa(double, double)
				 */
				public double uhol() { return aktuálnyUhol; }

				/**
				 * <a class="getter"></a> Zistí aktuálny uhol (smer) robota.
				 * 
				 *  @return aktuálny uhol otočenia robota
				 *  @see #smer(double)
				 *  @see #vpravo(double) vpravo
				 *  @see #vľavo(double) vľavo
				 *  @see #uhol()
				 *  @see #smerDoma()
				 *  @see #smerNa(double, double)
				 *  @see #uholNa(double, double)
				 *  @see #smerNa(Poloha)
				 *  @see #uholNa(Poloha)
				 *  @see #smerNa(Shape)
				 *  @see #uholNa(Shape)
				 *  @see #smerNaMyš()
				 *  @see #uholNaMyš()
				 *  @see #smer(double, double)
				 *  @see #uhol(double, double)
				 *  @see #otočNa(double, double)
				 */
				public double smer() { return aktuálnyUhol; }


				/**
				 * <a class="setter"></a> Nasmeruje robota podľa zadaného uhla.
				 * 
				 *  @param uhol uhol smeru robota (nula znamená vpravo,
				 *      deväťdesiat hore a tak ďalej)
				 *  @see #uhol(double)
				 *  @see #vpravo(double) vpravo
				 *  @see #vľavo(double) vľavo
				 *  @see #otočNa(double, double)
				 */
				public void uhol(double uhol)
				{
					aktuálnyUhol = uhol;
					aktuálnyUhol %= 360;
					if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					if (viditeľný) automatickéPrekreslenie();
				}

				/**
				 * <a class="setter"></a> Nasmeruje robota podľa zadaného uhla.
				 * 
				 *  @param uhol uhol smeru robota (nula znamená vpravo,
				 *      deväťdesiat hore a tak ďalej)
				 *  @see #smer(double)
				 *  @see #vpravo(double) vpravo
				 *  @see #vľavo(double) vľavo
				 *  @see #otočNa(double, double)
				 */
				public void smer(double uhol)
				{
					aktuálnyUhol = uhol;
					aktuálnyUhol %= 360;
					if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					if (viditeľný) automatickéPrekreslenie();
				}

				/**
				 * Nasmeruje (otočí) robota rovnakým smerom, ako určuje zadaný
				 * uhol. Má v podstate rovnaký efekt ako
				 * <a class="setter"></a> {@link #uhol(double) uhol} alebo
				 * <a class="setter"></a> {@link #smer(double) smer}. Jej
				 * implementácia je v súlade s dodržaním názvoslovia metód
				 * knižnice a jej použitie by mohlo byť napríklad
				 * nasledujúce:
				 * <pre CLASS="example">
					{@code currotoč}(inýRobot.{@link #smer() smer}());
					</pre>
				 * <P>Táto metóda nemá verziu obmedzujúcu maximálny uhol
				 * pootočenia (ako napríklad: {@link #otoč(Smer, double)}),
				 * pretože by pri definícii nastal konflikt s metódou {@link
				 * #otoč(double, double) otoč(Δx, Δy)}. Ak chcete obmedziť
				 * maximálny uhol pootočenia, použite metódu {@link #otoč(Smer,
				 * double)}, ktorú odporúčame použiť v každom prípade.
				 * 
				 *  @param uhol uhol smeru robota (nula znamená vpravo,
				 *      deväťdesiat hore a tak ďalej)
				 * 
				 *  @see #smer(double)
				 *  @see #uhol(double)
				 *  @see #vpravo(double) vpravo
				 *  @see #vľavo(double) vľavo
				 *  @see #otočNa(double, double)
				 *  @see #otoč(double, double)
				 *  @see #otoč(double, double, double)
				 *  @see #otočO(double)
				 */
				public void otoč(double uhol)
				{
					aktuálnyUhol = uhol;
					aktuálnyUhol %= 360;
					if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #otoč(double) otoč}. */
				public void otoc(double uhol) { otoč(uhol); }


				/**
				 * <a class="setter"></a> Nasmeruje robota podľa zadaného
				 * objektu.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 *  @param objekt objekt určujúci uhol smeru robota (nula
				 *      znamená vpravo, deväťdesiat hore a tak ďalej)
				 */
				public void uhol(Smer objekt)
				{
					aktuálnyUhol = objekt.uhol();
					aktuálnyUhol %= 360;
					if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					if (viditeľný) automatickéPrekreslenie();
				}

				/**
				 * <a class="setter"></a> Nasmeruje robota podľa zadaného
				 * objektu.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 *  @param objekt objekt určujúci uhol smeru robota (nula
				 *      znamená vpravo, deväťdesiat hore a tak ďalej)
				 */
				public void smer(Smer objekt)
				{
					aktuálnyUhol = objekt.uhol();
					aktuálnyUhol %= 360;
					if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					if (viditeľný) automatickéPrekreslenie();
				}


				/**
				 * <a class="getter"></a> Zistí aktuálnu hodnotu otáčania
				 * robota pri použití bezparametrických verzií metód
				 * {@link #vpravo() vpravo} a {@link #vľavo() vľavo}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @return aktuálny uhol pootočenia robota pri použití metód
				 *      {@link #vpravo() vpravo}{@code ()}
				 *      a {@link #vľavo() vľavo}{@code ()}
				 * 
				 *  @see #uholOtáčania(double)
				 *  @see #vpravo()
				 *  @see #vľavo()
				 */
				public double uholOtáčania()
				{
					return uholOtáčania;
				}

				/** <a class="alias"></a> Alias pre {@link #uholOtáčania() uholOtáčania}. */
				public double uholOtacania() { return uholOtáčania(); }

				/**
				 * <a class="setter"></a> Zmení hodnotu otáčania robota pri
				 * použití bezparametrických verzií metód
				 * {@link #vpravo() vpravo} a {@link #vľavo() vľavo}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param uhol nový uhol pootočenia robota pre metódy
				 *      {@link #vpravo() vpravo}{@code ()}
				 *      a {@link #vľavo() vľavo}{@code ()}
				 * 
				 *  @see #uholOtáčania()
				 *  @see #vpravo()
				 *  @see #vľavo()
				 */
				public void uholOtáčania(double uhol)
				{
					uholOtáčania = uhol % 360;
					if (uholOtáčania < -180) uholOtáčania += 360;
					if (uholOtáčania > 180) uholOtáčania -= 360;
				}

				/** <a class="alias"></a> Alias pre {@link #uholOtáčania(double) uholOtáčania}. */
				public void uholOtacania(double uhol) { uholOtáčania(uhol); }


				/**
				 * <a class="getter"></a> Vráti aktuálnu hodnotu pootočenia
				 * tvaru robota. Ďalšie informácie o pootočení tvaru sú
				 * v opise metódy {@link #pootočenieTvaru(double)
				 * pootočenieTvaru(pootočenie)}.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @return hodnota pootočenia tvaru robota
				 * @see #pootočenieTvaru(double)
				 * @see #otáčanieTvaru()
				 * @see #otáčajTvar(double)
				 * @see #pootočenieTvaruDoma()
				 * @see #pootočenieTvaruDoma(Double)
				 */
				public double pootočenieTvaru() { return pootočenieTvaru; }

				/** <a class="alias"></a> Alias pre {@link #pootočenieTvaru() pootočenieTvaru}. */
				public double pootocenieTvaru() { return pootočenieTvaru; }

				/**
				 * <a class="setter"></a> Nastaví pootočenie tvaru robota podľa
				 * zadanej hodnoty. Pootočenie tvaru je uhol, o ktorý je
				 * pootočené kreslenie tvaru robota voči jeho skutočnému smeru
				 * (smeru, v ktorom sa pohybuje). Pri
				 * {@linkplain KreslenieTvaru#kresli(GRobot) kreslení
				 * vlastného tvaru robota} je hodnota aktuálneho uhla
				 * pozmenená o túto hodnotu.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param pootočenie nová hodnota pootočenia tvaru robota
				 * @see #pootočenieTvaru()
				 * @see #otáčanieTvaru()
				 * @see #otáčajTvar(double)
				 * @see #pootočenieTvaruDoma()
				 * @see #pootočenieTvaruDoma(Double)
				 */
				public void pootočenieTvaru(double pootočenie)
				{
					pootočenieTvaru = pootočenie % 360;
					if (pootočenieTvaru < 0) pootočenieTvaru += 360;
					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #pootočenieTvaru(double) pootočenieTvaru}. */
				public void pootocenieTvaru(double pootočenie)
				{ pootočenieTvaru(pootočenie); }

				/**
				 * Zistí aktuálnu hodnotu rovnomerného otáčania tvaru robota.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @return hodnota rovnomerného otáčania tvaru robota
				 * @see #pootočenieTvaru()
				 * @see #pootočenieTvaru(double)
				 * @see #otáčajTvar(double)
				 * @see #pootočenieTvaruDoma()
				 * @see #pootočenieTvaruDoma(Double)
				 */
				public double otáčanieTvaru() { return otáčanieTvaru; }

				/** <a class="alias"></a> Alias pre {@link #otáčanieTvaru() otáčanieTvaru}. */
				public double otacanieTvaru() { return otáčanieTvaru; }

				/**
				 * <a class="setter"></a> Nastaví novú hodnotu rovnomerného
				 * otáčania tvaru robota a aktivuje robota ak je to potrebné.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param otáčanie nová hodnota rovnomerného otáčania tvaru
				 *     robota
				 * @see #pootočenieTvaru()
				 * @see #pootočenieTvaru(double)
				 * @see #otáčanieTvaru()
				 */
				public void otáčajTvar(double otáčanie)
				{ otáčajTvar(otáčanie, true); }

				/** <a class="alias"></a> Alias pre {@link #otáčajTvar(double) otáčajTvar}. */
				public void otacajTvar(double otáčanie)
				{ otáčajTvar(otáčanie, true); }

				/**
				 * <a class="setter"></a> Nastaví novú hodnotu rovnomerného
				 * otáčania tvaru robota.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param otáčanie nová hodnota rovnomerného otáčania tvaru
				 *     robota
				 * @param aktivuj  určí, či sa má robot zároveň aktivovať
				 * @see #pootočenieTvaru()
				 * @see #pootočenieTvaru(double)
				 * @see #otáčanieTvaru()
				 */
				public void otáčajTvar(double otáčanie, boolean aktivuj)
				{
					synchronized (zámokAktivít)
					{
						otáčanieTvaru = otáčanie % 360;
						if (otáčanieTvaru < 0) otáčanieTvaru += 360;
					}

					if (aktivuj && otáčanieTvaru != 0.0) aktivuj();
				}

				/** <a class="alias"></a> Alias pre {@link #otáčajTvar(double, boolean) otáčajTvar}. */
				public void otacajTvar(double otáčanie, boolean aktivuj)
				{ otáčajTvar(otáčanie, aktivuj); }


				/**
				 * Zistí aktuálny stav gyroskopického vyvažovania. Ak je
				 * vyvažovanie vypnuté, tak metóda vráti {@code valnull}.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @return aktuálna hodnota gyroskopického vyvažovania, alebo
				 *   {@code valnull} ak je vyvažovanie vypnuté
				 * @see #gyroskop(Double)
				 * @see #vypniGyroskop()
				 */
				public Double gyroskop() { return gyroskop; }

				/**
				 * Nastaví novú hodnotu gyroskopického vyvažovania. Táto
				 * aktivita spôsobí automatické prepočítavanie {@linkplain
				 * #pootočenieTvaru(double) pootočenia tvaru} tak, aby
				 * výsledný uhol na zobrazenie zodpovedal hodnote gyroskopu.
				 * Ak je súčasne zapnuté automatické {@linkplain
				 * #otáčajTvar(double, boolean) otáčanie tvaru} aj
				 * gyroskopické vyvažovanie, tak dôjde k automatickému
				 * prepočítavaniu gyroskopického vyvažovania podľa hodnoty
				 * otáčania tvaru.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param hodnota nová hodnota gyroskopického vyvažovania,
				 *   alebo {@code valnull} ak má byť vyvažovanie vypnuté
				 * @see #gyroskop()
				 * @see #vypniGyroskop()
				 */
				public void gyroskop(Double hodnota)
				{
					if (null == hodnota)
					{
						gyroskop = hodnota;
					}
					else
					{
						gyroskop = hodnota % 360;
						if (gyroskop < 0) gyroskop += 360;
					}
				}

				/**
				 * Vypne gyroskopické vyvažovanie kreslenia tvaru.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @see #gyroskop()
				 * @see #gyroskop(Double)
				 */
				public void vypniGyroskop() { gyroskop = null; }

				// Toto je definované inde:
				// public void otoč(Smer objekt)


				/**
				 * Umiestni robota na náhodnú pozíciu na aktívnom plátne
				 * alebo obrázku. To znamená, že náhodné súradnice sú
				 * vygenerované podľa toho, či robot kreslí na podlahu,
				 * strop alebo obrázok s inými rozmermi.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void náhodnáPoloha()
				{
					if (obrázokAktívnehoPlátna == podlaha.
						vyrovnávaciaPamäťObrázkaPlátna ||
						obrázokAktívnehoPlátna == strop.
						vyrovnávaciaPamäťObrázkaPlátna)
					{
						skočNa(
							Svet.náhodnéCeléČíslo(
								(long)Svet.najmenšieX(),
								(long)Svet.najväčšieX()),
							Svet.náhodnéCeléČíslo(
								(long)Svet.najmenšieY(),
								(long)Svet.najväčšieY()));
					}
					else if (obrázokAktívnehoPlátna instanceof Obrázok)
					{
						Obrázok obrázok = (Obrázok)obrázokAktívnehoPlátna;
						skočNa(
							Svet.náhodnéCeléČíslo(
								(long)obrázok.najmenšieX(),
								(long)obrázok.najväčšieX()),
							Svet.náhodnéCeléČíslo(
								(long)obrázok.najmenšieY(),
								(long)obrázok.najväčšieY()));
					}
					else
					{
						int šírka = obrázokAktívnehoPlátna.getWidth();
						int výška = obrázokAktívnehoPlátna.getHeight();
						double najmenšieX = -šírka / 2;
						double najmenšieY = -(výška - 1) / 2;
						double najväčšieX = (šírka - 1) / 2;
						double najväčšieY = výška / 2;
						skočNa(
							Svet.náhodnéCeléČíslo(
								(long)najmenšieX, (long)najväčšieX),
							Svet.náhodnéCeléČíslo(
								(long)najmenšieY, (long)najväčšieY));
					}
				}

				/** <a class="alias"></a> Alias pre {@link #náhodnáPoloha() náhodnáPoloha}. */
				public void nahodnaPoloha() { náhodnáPoloha(); }

				/** <a class="alias"></a> Alias pre {@link #náhodnáPoloha() náhodnáPoloha}. */
				public void náhodnáPozícia() { náhodnáPoloha(); }

				/** <a class="alias"></a> Alias pre {@link #náhodnáPoloha() náhodnáPoloha}. */
				public void nahodnaPozicia() { náhodnáPoloha(); }

				/**
				 * Otočí robota náhodným smerom.
				 */
				public void náhodnýSmer()
				{
					smer(Svet.náhodnéCeléČíslo(0, 360));
				}

				/** <a class="alias"></a> Alias pre {@link #náhodnýSmer() náhodnýSmer}. */
				public void nahodnySmer() { náhodnýSmer(); }

				/** <a class="alias"></a> Alias pre {@link #náhodnýSmer() náhodnýSmer}. */
				public void náhodnýUhol() { náhodnýSmer(); }

				/** <a class="alias"></a> Alias pre {@link #náhodnýSmer() náhodnýSmer}. */
				public void nahodnyUhol() { náhodnýSmer(); }


				/**
				 * Zmení farbu robota na náhodnú. Farby sú vybrané z
				 * {@linkplain Farebnosť#preddefinovanéFarby preddefinovanej
				 * množiny farieb}.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void náhodnáFarba()
				{
					farba(Farebnosť.preddefinovanéFarby[(int)Svet.
						náhodnéCeléČíslo(0, preddefinovanéFarby.length - 1)]);
				}

				/** <a class="alias"></a> Alias pre {@link #náhodnáFarba() náhodnáFarba}. */
				public void nahodnaFarba() { náhodnáFarba(); }


			// Domov

				/**
				 * Presunie robota „domov“ – na štartovaciu pozíciu, obráti
				 * predvoleným smerom. Ak to bolo pre tohto robota určené
				 * metódami {@link #zdvihniPeroDoma() zdvihniPeroDoma},
				 * {@link #položPeroDoma() položPeroDoma}, {@link
				 * #zobrazDoma() zobrazDoma}, {@link #skryDoma() skryDoma},
				 * tak zdvihne alebo položí pero a skryje alebo zobrazí
				 * robota. Od verzie 1.49 sú do úvahy brané aj ďalšie
				 * nastaviteľné informácie: o {@linkplain #farbaDoma(Color)
				 * domovskej farbe} a {@linkplain #veľkosťDoma(Double)
				 * veľkosti robota} a o {@linkplain #hrúbkaČiaryDoma(Double)
				 * domovskej hrúbke čiary}.
				 * 
				 * <P>Použitie tejto metódy a všetkých jej „klonov“ má za
				 * následok vymazanie pôsobiska – pozri opisy metód
				 * {@link #vymažPôsobisko() vymažPôsobisko}
				 * a {@link #kresliPôsobisko() kresliPôsobisko}.
				 * 
				 * <P><b>Upozornenie:</b> Všetky „klony“ metód, ktoré slúžia
				 * na návrat na domovskú pozíciu robota ignorujú v metódach
				 * kreslenia vlastného tvaru robota
				 * ({@link KreslenieTvaru#kresli(GRobot) kresli}
				 * a {@link #kresliTvar() kresliTvar}) skutočnú domovskú
				 * polohu a smer robota a pracujú výhradne s údajmi jeho
				 * polohy a smeru, ktoré boli platné pred začatím kreslenia
				 * vlastného tvaru. To zároveň znamená, že žiadne ďalšie
				 * vlastnosti nie sú počas kreslenia vlastného tvaru
				 * pri návrate na domovskú pozíciu ovplyvňované, ani pôsobisko
				 * nie je v tejto situácii vymazané.
				 * Preto je možné metódy návratu na domovskú pozíciu robota
				 * využívať v rámci metód kreslenia vlastných tvarov robota
				 * na rýchly návrat a otočenie grafického robota na aktuálnu
				 * pozíciu a smer (v zmysle pozície a smeru platných pred
				 * začatím kreslenia vlastného tvaru).
				 * 
				 * <P><small>(<b>Poznámka:</b> Predvolene ovplyvňuje príkaz
				 * {@link #domov() domov} tri vlastnosti:
				 * {@linkplain #poloha() polohu}, {@linkplain #smer() smer},
				 * a {@linkplain #pootočenieTvaru() pootočenieTvaru}.)</small>
				 * 
				 *  @see #vymažPôsobisko()
				 *  @see #kresliPôsobisko()
				 *  @see #domov(double)
				 *  @see #domov(Smer)
				 *  @see #domov(double, double)
				 *  @see #domov(double, double, double)
				 *  @see #domov(double, double, Smer)
				 *  @see #domov(Poloha)
				 *  @see #domov(Poloha, double)
				 *  @see #domov(Poloha, Smer)
				 *  @see #domov(Častica)
				 *  @see #domov(GRobot)
				 */
				public void domov()
				{
					aktuálneX = domaX;
					aktuálneY = domaY;
					aktuálnyUhol = uholDoma;
					if (kreslímVlastnýTvar) return;

					vymažPôsobisko();
					zrušCestu();
					if (null != peroPoloženéDoma)
						peroPoložené = peroPoloženéDoma.booleanValue();
					if (null != viditeľnýDoma)
						viditeľný = viditeľnýDoma.booleanValue();
					if (null != farbaDoma)
						farbaRobota = farbaDoma;
					if (null != polomerPeraDoma)
						hrúbkaČiary(polomerPeraDoma);
					if (null != veľkosťDoma)
						veľkosť(veľkosťDoma);
					if (null != priehľadnosťDoma)
						priehľadnosť(priehľadnosťDoma);
					if (null != písmoDoma)
						písmo(písmoDoma);
					if (null != pootočenieTvaruDoma)
						pootočenieTvaru(pootočenieTvaruDoma);
					if (viditeľný || (null != viditeľnýDoma))
						automatickéPrekreslenie();
				}

				/**
				 * Presne ako {@link #domov() domov}, len s tým rozdielom, že
				 * robotovi nastaví nový štartovací smer.
				 * 
				 * <P><b>Poznámka:</b> Počas kreslenia vlastného tvaru je
				 * nový štartovací smer platný len do skončenia kreslenia
				 * vlastného tvaru.
				 * (Pozri aj informácie pri metóde {@link #domov() domov()}.)
				 * 
				 *  @param novýUholDoma  nový domovský smer robota
				 */
				public void domov(double novýUholDoma)
				{
					aktuálneX = domaX;
					aktuálneY = domaY;
					novýUholDoma %= 360;
					if (novýUholDoma < 0) novýUholDoma += 360;
					aktuálnyUhol = uholDoma = novýUholDoma;
					if (kreslímVlastnýTvar) return;

					vymažPôsobisko();
					zrušCestu();
					if (null != peroPoloženéDoma)
						peroPoložené = peroPoloženéDoma.booleanValue();
					if (null != viditeľnýDoma)
						viditeľný = viditeľnýDoma.booleanValue();
					if (null != farbaDoma)
						farbaRobota = farbaDoma;
					if (null != polomerPeraDoma)
						hrúbkaČiary(polomerPeraDoma);
					if (null != veľkosťDoma)
						veľkosť(veľkosťDoma);
					if (null != priehľadnosťDoma)
						priehľadnosť(priehľadnosťDoma);
					if (null != písmoDoma)
						písmo(písmoDoma);
					if (null != pootočenieTvaruDoma)
						pootočenieTvaru(pootočenieTvaruDoma);
					if (viditeľný || (null != viditeľnýDoma))
						automatickéPrekreslenie();
				}

				/**
				 * Presne ako {@link #domov() domov}, len s tým rozdielom, že
				 * robotovi nastaví nový štartovací smer.
				 * 
				 * <P><b>Poznámka:</b> Počas kreslenia vlastného tvaru je
				 * nový štartovací smer platný len do skončenia kreslenia
				 * vlastného tvaru.
				 * (Pozri aj informácie pri metóde {@link #domov() domov()}.)
				 * 
				 *  @param novýSmerDoma  objekt určujúci nový domovský
				 *      smer robota
				 */
				public void domov(Smer novýSmerDoma)
				{
					aktuálneX = domaX;
					aktuálneY = domaY;
					double novýUholDoma = novýSmerDoma.uhol() % 360;
					if (novýUholDoma < 0) novýUholDoma += 360;
					aktuálnyUhol = uholDoma = novýUholDoma;
					if (kreslímVlastnýTvar) return;

					vymažPôsobisko();
					zrušCestu();
					if (null != peroPoloženéDoma)
						peroPoložené = peroPoloženéDoma.booleanValue();
					if (null != viditeľnýDoma)
						viditeľný = viditeľnýDoma.booleanValue();
					if (null != farbaDoma)
						farbaRobota = farbaDoma;
					if (null != polomerPeraDoma)
						hrúbkaČiary(polomerPeraDoma);
					if (null != veľkosťDoma)
						veľkosť(veľkosťDoma);
					if (null != priehľadnosťDoma)
						priehľadnosť(priehľadnosťDoma);
					if (null != písmoDoma)
						písmo(písmoDoma);
					if (null != pootočenieTvaruDoma)
						pootočenieTvaru(pootočenieTvaruDoma);
					if (viditeľný || (null != viditeľnýDoma))
						automatickéPrekreslenie();
				}

				/**
				 * Presne ako {@link #domov() domov}, len s tým rozdielom, že
				 * robotovi nastaví novú štartovaciu pozíciu.
				 * 
				 * <P><b>Poznámka:</b> Počas kreslenia vlastného tvaru je
				 * nová štartovacia pozícia platná len do skončenia kreslenia
				 * vlastného tvaru.
				 * (Pozri aj informácie pri metóde {@link #domov() domov()}.)
				 * 
				 *  @param novéXDoma  nová x-ová súradnica domovskej pozície
				 *  @param novéYDoma  nová y-ová súradnica domovskej pozície
				 */
				public void domov(double novéXDoma, double novéYDoma)
				{
					aktuálneX = domaX = novéXDoma;
					aktuálneY = domaY = novéYDoma;
					aktuálnyUhol = uholDoma;
					if (kreslímVlastnýTvar) return;

					vymažPôsobisko();
					zrušCestu();
					if (null != peroPoloženéDoma)
						peroPoložené = peroPoloženéDoma.booleanValue();
					if (null != viditeľnýDoma)
						viditeľný = viditeľnýDoma.booleanValue();
					if (null != farbaDoma)
						farbaRobota = farbaDoma;
					if (null != polomerPeraDoma)
						hrúbkaČiary(polomerPeraDoma);
					if (null != veľkosťDoma)
						veľkosť(veľkosťDoma);
					if (null != priehľadnosťDoma)
						priehľadnosť(priehľadnosťDoma);
					if (null != písmoDoma)
						písmo(písmoDoma);
					if (null != pootočenieTvaruDoma)
						pootočenieTvaru(pootočenieTvaruDoma);
					if (viditeľný || (null != viditeľnýDoma))
						automatickéPrekreslenie();
				}

				/**
				 * Presne ako {@link #domov() domov}, len s tým rozdielom, že
				 * robotovi nastaví novú štartovaciu pozíciu a smer.
				 * 
				 * <P><b>Poznámka:</b> Počas kreslenia vlastného tvaru sú
				 * nový štartovací smer a pozícia platné len do skončenia
				 * kreslenia vlastného tvaru.
				 * (Pozri aj informácie pri metóde {@link #domov() domov()}.)
				 * 
				 *  @param novéXDoma  nová x-ová súradnica domovskej pozície
				 *  @param novéYDoma  nová y-ová súradnica domovskej pozície
				 *  @param novýUholDoma  nový domovský smer robota
				 */
				public void domov(double novéXDoma, double novéYDoma,
					double novýUholDoma)
				{
					aktuálneX = domaX = novéXDoma;
					aktuálneY = domaY = novéYDoma;
					novýUholDoma %= 360;
					if (novýUholDoma < 0) novýUholDoma += 360;
					aktuálnyUhol = uholDoma = novýUholDoma;
					if (kreslímVlastnýTvar) return;

					vymažPôsobisko();
					zrušCestu();
					if (null != peroPoloženéDoma)
						peroPoložené = peroPoloženéDoma.booleanValue();
					if (null != viditeľnýDoma)
						viditeľný = viditeľnýDoma.booleanValue();
					if (null != farbaDoma)
						farbaRobota = farbaDoma;
					if (null != polomerPeraDoma)
						hrúbkaČiary(polomerPeraDoma);
					if (null != veľkosťDoma)
						veľkosť(veľkosťDoma);
					if (null != priehľadnosťDoma)
						priehľadnosť(priehľadnosťDoma);
					if (null != písmoDoma)
						písmo(písmoDoma);
					if (null != pootočenieTvaruDoma)
						pootočenieTvaru(pootočenieTvaruDoma);
					if (viditeľný || (null != viditeľnýDoma))
						automatickéPrekreslenie();
				}

				/**
				 * Presne ako {@link #domov() domov}, len s tým rozdielom, že
				 * robotovi nastaví novú štartovaciu pozíciu a smer.
				 * 
				 * <P><b>Poznámka:</b> Počas kreslenia vlastného tvaru sú
				 * nový štartovací smer a pozícia platné len do skončenia
				 * kreslenia vlastného tvaru.
				 * (Pozri aj informácie pri metóde {@link #domov() domov()}.)
				 * 
				 *  @param novéXDoma  nová x-ová súradnica domovskej pozície
				 *  @param novéYDoma  nová y-ová súradnica domovskej pozície
				 *  @param novýSmerDoma  objekt určujúci nový domovský
				 *      smer robota
				 */
				public void domov(double novéXDoma, double novéYDoma,
					Smer novýSmerDoma)
				{
					aktuálneX = domaX = novéXDoma;
					aktuálneY = domaY = novéYDoma;
					double novýUholDoma = novýSmerDoma.uhol() % 360;
					if (novýUholDoma < 0) novýUholDoma += 360;
					aktuálnyUhol = uholDoma = novýUholDoma;
					if (kreslímVlastnýTvar) return;

					vymažPôsobisko();
					zrušCestu();
					if (null != peroPoloženéDoma)
						peroPoložené = peroPoloženéDoma.booleanValue();
					if (null != viditeľnýDoma)
						viditeľný = viditeľnýDoma.booleanValue();
					if (null != farbaDoma)
						farbaRobota = farbaDoma;
					if (null != polomerPeraDoma)
						hrúbkaČiary(polomerPeraDoma);
					if (null != veľkosťDoma)
						veľkosť(veľkosťDoma);
					if (null != priehľadnosťDoma)
						priehľadnosť(priehľadnosťDoma);
					if (null != písmoDoma)
						písmo(písmoDoma);
					if (null != pootočenieTvaruDoma)
						pootočenieTvaru(pootočenieTvaruDoma);
					if (viditeľný || (null != viditeľnýDoma))
						automatickéPrekreslenie();
				}

				/**
				 * Presne ako {@link #domov() domov}, len s tým rozdielom, že
				 * robotovi nastaví novú štartovaciu pozíciu.
				 * 
				 * <P><b>Poznámka:</b> Počas kreslenia vlastného tvaru je
				 * nová štartovacia pozícia platná len do skončenia kreslenia
				 * vlastného tvaru.
				 * (Pozri aj informácie pri metóde {@link #domov() domov()}.)
				 * 
				 *  @param nováPolohaDoma  bod určujúci nové súradnice
				 *      domovskej pozície v súradnicovom priestore robota
				 */
				public void domov(Poloha nováPolohaDoma)
				{
					aktuálneX = domaX = nováPolohaDoma.polohaX();
					aktuálneY = domaY = nováPolohaDoma.polohaY();
					aktuálnyUhol = uholDoma;
					if (kreslímVlastnýTvar) return;

					vymažPôsobisko();
					zrušCestu();
					if (null != peroPoloženéDoma)
						peroPoložené = peroPoloženéDoma.booleanValue();
					if (null != viditeľnýDoma)
						viditeľný = viditeľnýDoma.booleanValue();
					if (null != farbaDoma)
						farbaRobota = farbaDoma;
					if (null != polomerPeraDoma)
						hrúbkaČiary(polomerPeraDoma);
					if (null != veľkosťDoma)
						veľkosť(veľkosťDoma);
					if (null != priehľadnosťDoma)
						priehľadnosť(priehľadnosťDoma);
					if (null != písmoDoma)
						písmo(písmoDoma);
					if (null != pootočenieTvaruDoma)
						pootočenieTvaru(pootočenieTvaruDoma);
					if (viditeľný || (null != viditeľnýDoma))
						automatickéPrekreslenie();
				}

				/**
				 * Presne ako {@link #domov() domov}, len s tým rozdielom, že
				 * robotovi nastaví novú štartovaciu pozíciu a smer.
				 * 
				 * <P><b>Poznámka:</b> Počas kreslenia vlastného tvaru sú
				 * nový štartovací smer a pozícia platné len do skončenia
				 * kreslenia vlastného tvaru.
				 * (Pozri aj informácie pri metóde {@link #domov() domov()}.)
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param nováPolohaDoma  objekt určujúci nové súradnice
				 *      domovskej pozície v súradnicovom priestore robota
				 *  @param novýUholDoma  nový domovský smer robota
				 */
				public void domov(Poloha nováPolohaDoma, double novýUholDoma)
				{
					aktuálneX = domaX = nováPolohaDoma.polohaX();
					aktuálneY = domaY = nováPolohaDoma.polohaY();
					novýUholDoma %= 360;
					if (novýUholDoma < 0) novýUholDoma += 360;
					aktuálnyUhol = uholDoma = novýUholDoma;
					if (kreslímVlastnýTvar) return;

					vymažPôsobisko();
					zrušCestu();
					if (null != peroPoloženéDoma)
						peroPoložené = peroPoloženéDoma.booleanValue();
					if (null != viditeľnýDoma)
						viditeľný = viditeľnýDoma.booleanValue();
					if (null != farbaDoma)
						farbaRobota = farbaDoma;
					if (null != polomerPeraDoma)
						hrúbkaČiary(polomerPeraDoma);
					if (null != veľkosťDoma)
						veľkosť(veľkosťDoma);
					if (null != priehľadnosťDoma)
						priehľadnosť(priehľadnosťDoma);
					if (null != písmoDoma)
						písmo(písmoDoma);
					if (null != pootočenieTvaruDoma)
						pootočenieTvaru(pootočenieTvaruDoma);
					if (viditeľný || (null != viditeľnýDoma))
						automatickéPrekreslenie();
				}

				/**
				 * Presne ako {@link #domov() domov}, len s tým rozdielom, že
				 * robotovi nastaví novú štartovaciu pozíciu a smer.
				 * 
				 * <P><b>Poznámka:</b> Počas kreslenia vlastného tvaru sú
				 * nový štartovací smer a pozícia platné len do skončenia
				 * kreslenia vlastného tvaru.
				 * (Pozri aj informácie pri metóde {@link #domov() domov()}.)
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param nováPolohaDoma  objekt určujúci nové súradnice
				 *      domovskej pozície v súradnicovom priestore robota
				 *  @param novýSmerDoma  objekt určujúci nový smer domovskej
				 *      pozície robota
				 */
				public void domov(Poloha nováPolohaDoma, Smer novýSmerDoma)
				{
					aktuálneX = domaX = nováPolohaDoma.polohaX();
					aktuálneY = domaY = nováPolohaDoma.polohaY();
					double novýUholDoma = novýSmerDoma.uhol() % 360;
					if (novýUholDoma < 0) novýUholDoma += 360;
					aktuálnyUhol = uholDoma = novýUholDoma;
					if (kreslímVlastnýTvar) return;

					vymažPôsobisko();
					zrušCestu();
					if (null != peroPoloženéDoma)
						peroPoložené = peroPoloženéDoma.booleanValue();
					if (null != viditeľnýDoma)
						viditeľný = viditeľnýDoma.booleanValue();
					if (null != farbaDoma)
						farbaRobota = farbaDoma;
					if (null != polomerPeraDoma)
						hrúbkaČiary(polomerPeraDoma);
					if (null != veľkosťDoma)
						veľkosť(veľkosťDoma);
					if (null != priehľadnosťDoma)
						priehľadnosť(priehľadnosťDoma);
					if (null != písmoDoma)
						písmo(písmoDoma);
					if (null != pootočenieTvaruDoma)
						pootočenieTvaru(pootočenieTvaruDoma);
					if (viditeľný || (null != viditeľnýDoma))
						automatickéPrekreslenie();
				}

				/**
				 * Presne ako {@link #domov() domov}, len s tým rozdielom, že
				 * robotovi nastaví novú štartovaciu pozíciu a smer.
				 * 
				 * <P><b>Poznámka:</b> Počas kreslenia vlastného tvaru sú
				 * nový štartovací smer a pozícia platné len do skončenia
				 * kreslenia vlastného tvaru.
				 * (Pozri aj informácie pri metóde {@link #domov() domov()}.)
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param častica  častica určujúca nové súradnice
				 *      domovskej pozície (v súradnicovom priestore robota)
				 *      a nový smer robota
				 */
				public void domov(Častica častica)
				{
					aktuálneX = domaX = častica.polohaX();
					aktuálneY = domaY = častica.polohaY();
					double novýUholDoma = častica.uhol() % 360;
					if (novýUholDoma < 0) novýUholDoma += 360;
					aktuálnyUhol = uholDoma = novýUholDoma;
					if (kreslímVlastnýTvar) return;

					vymažPôsobisko();
					zrušCestu();
					if (null != peroPoloženéDoma)
						peroPoložené = peroPoloženéDoma.booleanValue();
					if (null != viditeľnýDoma)
						viditeľný = viditeľnýDoma.booleanValue();
					if (null != farbaDoma)
						farbaRobota = farbaDoma;
					if (null != polomerPeraDoma)
						hrúbkaČiary(polomerPeraDoma);
					if (null != veľkosťDoma)
						veľkosť(veľkosťDoma);
					if (null != priehľadnosťDoma)
						priehľadnosť(priehľadnosťDoma);
					if (null != písmoDoma)
						písmo(písmoDoma);
					if (null != pootočenieTvaruDoma)
						pootočenieTvaru(pootočenieTvaruDoma);
					if (viditeľný || (null != viditeľnýDoma))
						automatickéPrekreslenie();
				}

				/**
				 * Prevezme všetky parametre domovskej pozície od zadaného
				 * robota a zároveň ich aplikuje. Dotýka sa to domovskej
				 * pozície, smeru, veľkosti, viditeľnosti a farby robota
				 * a hrúbky a polohy pera pri prechode na domovskú pozíciu.
				 * 
				 * <P><b>Poznámka:</b> Počas kreslenia vlastného tvaru platí,
				 * že: <b>(1)</b> od iného robota nie sú prevzaté žiadne
				 * údaje o veľkosti, viditeľnosti a farbe robota, ani
				 * o veľkosti a polohe pera; <b>(2)</b> nový štartovací smer
				 * a pozícia sú platné len do skončenia kreslenia vlastného
				 * tvaru.
				 * (Pozri aj informácie pri metóde {@link #domov() domov()}.)
				 * 
				 *  @param iný  iný robot
				 */
				public void domov(GRobot iný)
				{
					aktuálneX = domaX = iný.domaX;
					aktuálneY = domaY = iný.domaY;
					aktuálnyUhol = uholDoma = iný.uholDoma;
					if (kreslímVlastnýTvar) return;

					// Ostatné veci sa nemenia ak práve kreslím vlastný tvar
					vymažPôsobisko();
					zrušCestu();
					peroPoloženéDoma = iný.viditeľnýDoma;
					viditeľnýDoma = iný.viditeľnýDoma;
					polomerPeraDoma = iný.polomerPeraDoma;
					veľkosťDoma = iný.veľkosťDoma;
					priehľadnosťDoma = iný.priehľadnosťDoma;
					písmoDoma = iný.písmoDoma;
					pootočenieTvaruDoma = iný.pootočenieTvaruDoma;

					farbaDoma = iný.farbaDoma;

					if (null != peroPoloženéDoma)
						peroPoložené = peroPoloženéDoma.booleanValue();
					if (null != viditeľnýDoma)
						viditeľný = viditeľnýDoma.booleanValue();
					if (null != farbaDoma)
						farbaRobota = farbaDoma;
					if (null != polomerPeraDoma)
						hrúbkaČiary(polomerPeraDoma);
					if (null != veľkosťDoma)
						veľkosť(veľkosťDoma);
					if (null != priehľadnosťDoma)
						priehľadnosť(priehľadnosťDoma);
					if (null != písmoDoma)
						písmo(písmoDoma);
					if (null != pootočenieTvaruDoma)
						pootočenieTvaru(pootočenieTvaruDoma);
					if (viditeľný || (null != viditeľnýDoma))
						automatickéPrekreslenie();
				}


				/**
				 * Zapamätá si aktuálnu pozíciu a smer ako nový domov.
				 */
				public void novýDomov()
				{
					domaX = aktuálneX;
					domaY = aktuálneY;
					uholDoma = aktuálnyUhol;
				}

				/** <a class="alias"></a> Alias pre {@link #novýDomov() novýDomov}. */
				public void novyDomov() { novýDomov(); }

				/**
				 * Nastaví robotovi nový domovský smer.
				 * 
				 *  @param novýUholDoma  nový domovský smer robota
				 */
				public void novýDomov(double novýUholDoma)
				{
					uholDoma = novýUholDoma;
					uholDoma %= 360;
					if (uholDoma < 0) uholDoma += 360;
				}

				/** <a class="alias"></a> Alias pre {@link #novýDomov(double) novýDomov}. */
				public void novyDomov(double novýUholDoma)
				{ novýDomov(novýUholDoma); }

				/**
				 * Nastaví robotovi nový domovský smer.
				 * 
				 *  @param novýSmerDoma  nový domovský smer robota
				 */
				public void novýDomov(Smer novýSmerDoma)
				{
					uholDoma = novýSmerDoma.uhol();
					uholDoma %= 360;
					if (uholDoma < 0) uholDoma += 360;
				}

				/** <a class="alias"></a> Alias pre {@link #novýDomov(Smer) novýDomov}. */
				public void novyDomov(Smer novýSmerDoma) { novýDomov(novýSmerDoma); }

				/**
				 * Nastaví robotovi novú domovskú pozíciu.
				 * 
				 *  @param novéXDoma  nová x-ová súradnica domovskej pozície
				 *  @param novéYDoma  nová y-ová súradnica domovskej pozície
				 */
				public void novýDomov(double novéXDoma, double novéYDoma)
				{
					domaX = novéXDoma;
					domaY = novéYDoma;
				}

				/** <a class="alias"></a> Alias pre {@link #novýDomov(double, double) novýDomov}. */
				public void novyDomov(double novéXDoma, double novéYDoma)
				{ novýDomov(novéXDoma, novéYDoma); }

				/**
				 * Nastaví robotovi novú domovskú pozíciu a smer.
				 * 
				 *  @param novéXDoma  nová x-ová súradnica domovskej pozície
				 *  @param novéYDoma  nová y-ová súradnica domovskej pozície
				 *  @param novýUholDoma  nový domovský smer robota
				 */
				public void novýDomov(double novéXDoma, double novéYDoma,
					double novýUholDoma)
				{
					domaX = novéXDoma;
					domaY = novéYDoma;
					uholDoma = novýUholDoma;
					uholDoma %= 360;
					if (uholDoma < 0) uholDoma += 360;
				}

				/** <a class="alias"></a> Alias pre {@link #novýDomov(double, double, double) novýDomov}. */
				public void novyDomov(double novéXDoma, double novéYDoma,
					double novýUholDoma)
				{ novýDomov(novéXDoma, novéYDoma, novýUholDoma); }

				/**
				 * Nastaví robotovi novú domovskú pozíciu a smer.
				 * 
				 *  @param novéXDoma  nová x-ová súradnica domovskej pozície
				 *  @param novéYDoma  nová y-ová súradnica domovskej pozície
				 *  @param novýSmerDoma  nový domovský smer robota
				 */
				public void novýDomov(double novéXDoma, double novéYDoma,
					Smer novýSmerDoma)
				{
					domaX = novéXDoma;
					domaY = novéYDoma;
					uholDoma = novýSmerDoma.uhol();
					uholDoma %= 360;
					if (uholDoma < 0) uholDoma += 360;
				}

				/** <a class="alias"></a> Alias pre {@link #novýDomov(double, double, Smer) novýDomov}. */
				public void novyDomov(double novéXDoma, double novéYDoma,
					Smer novýSmerDoma)
				{ novýDomov(novéXDoma, novéYDoma, novýSmerDoma); }

				/**
				 * Nastaví robotovi novú domovskú pozíciu.
				 * 
				 *  @param nováPolohaDoma  nová domovská pozícia
				 *      (v súradnicovom priestore robota)
				 */
				public void novýDomov(Poloha nováPolohaDoma)
				{
					domaX = nováPolohaDoma.polohaX();
					domaY = nováPolohaDoma.polohaY();
				}

				/** <a class="alias"></a> Alias pre {@link #novýDomov(Poloha) novýDomov}. */
				public void novyDomov(Poloha nováPolohaDoma)
				{ novýDomov(nováPolohaDoma); }

				/**
				 * Nastaví robotovi novú domovskú pozíciu a smer.
				 * 
				 *  @param nováPolohaDoma  nová domovská pozícia
				 *      (v súradnicovom priestore robota)
				 *  @param novýUholDoma  nový domovský smer robota
				 */
				public void novýDomov(Poloha nováPolohaDoma,
					double novýUholDoma)
				{
					domaX = nováPolohaDoma.polohaX();
					domaY = nováPolohaDoma.polohaY();
					uholDoma = novýUholDoma;
					uholDoma %= 360;
					if (uholDoma < 0) uholDoma += 360;
				}

				/** <a class="alias"></a> Alias pre {@link #novýDomov(Poloha, double) novýDomov}. */
				public void novyDomov(Poloha nováPolohaDoma,
					double novýUholDoma)
				{ novýDomov(nováPolohaDoma, novýUholDoma); }

				/**
				 * Nastaví robotovi novú domovskú pozíciu a smer.
				 * 
				 *  @param nováPolohaDoma  nová domovská pozícia
				 *      (v súradnicovom priestore robota)
				 *  @param novýSmerDoma  nový domovský smer robota
				 */
				public void novýDomov(Poloha nováPolohaDoma,
					Smer novýSmerDoma)
				{
					domaX = nováPolohaDoma.polohaX();
					domaY = nováPolohaDoma.polohaY();
					uholDoma = novýSmerDoma.uhol();
					uholDoma %= 360;
					if (uholDoma < 0) uholDoma += 360;
				}

				/** <a class="alias"></a> Alias pre {@link #novýDomov(Poloha, Smer) novýDomov}. */
				public void novyDomov(Poloha nováPolohaDoma,
					Smer novýSmerDoma)
				{ novýDomov(nováPolohaDoma, novýSmerDoma); }


				// novýDomov(Poloha) – nemali by sa miešať metódy prijímajúce
				// argument typu GRobot a Poloha, lebo by mohlo dochádzať ku
				// kompilačným chybám typu “ambiguous method call”…

				/**
				 * Nastaví domovskú polohu a smer robota podľa polohy a smeru
				 * zadanej častice.
				 * 
				 *  @param častica častica, ktorej poloha a smer určia
				 *      domovskú polohu a smer pre tohto robota
				 */
				public void novýDomov(Častica častica)
				{
					domaX = častica.polohaX();
					domaY = častica.polohaY();
					uholDoma = častica.uhol();
					uholDoma %= 360;
					if (uholDoma < 0) uholDoma += 360;
				}

				/** <a class="alias"></a> Alias pre {@link #novýDomov(Častica) novýDomov}. */
				public void novyDomov(Častica častica) { novýDomov(častica); }

				/**
				 * Prevezme všetky parametre domovskej pozície od zadaného
				 * robota. Dotýka sa to domovskej pozície, smeru, priehľadnosti,
				 * písma, farby, viditeľnosti a veľkosti robota a veľkosti
				 * a polohy pera pri prechode na domovskú pozíciu.
				 * 
				 *  @param iný  iný robot
				 */
				public void novýDomov(GRobot iný)
				{
					domaX = iný.domaX;
					domaY = iný.domaY;
					uholDoma = iný.uholDoma;
					peroPoloženéDoma = iný.viditeľnýDoma;
					viditeľnýDoma = iný.viditeľnýDoma;
					farbaDoma = iný.farbaDoma;
					polomerPeraDoma = iný.polomerPeraDoma;
					veľkosťDoma = iný.veľkosťDoma;
					priehľadnosťDoma = iný.priehľadnosťDoma;
					písmoDoma = iný.písmoDoma;
					pootočenieTvaruDoma = iný.pootočenieTvaruDoma;
				}

				/** <a class="alias"></a> Alias pre {@link #novýDomov(GRobot) novýDomov}. */
				public void novyDomov(GRobot iný) { novýDomov(iný); }


				/**
				 * <a class="getter"></a> Zistí aktuálnu x-ovú súradnicu
				 * domovskej pozície robota.
				 * 
				 * <P><small>(<b>Poznámka:</b> Predvolene ovplyvňuje príkaz
				 * {@link #domov() domov} tri vlastnosti:
				 * {@linkplain #poloha() polohu}, {@linkplain #smer() smer},
				 * a {@linkplain #pootočenieTvaru() pootočenieTvaru}.)</small>
				 * 
				 *  @return domovská x-ová súradnica robota
				 */
				public double domaX() { return domaX; }

				/**
				 * <a class="getter"></a> Zistí aktuálnu y-ovú súradnicu
				 * domovskej pozície robota.
				 * 
				 * <P><small>(<b>Poznámka:</b> Predvolene ovplyvňuje príkaz
				 * {@link #domov() domov} tri vlastnosti:
				 * {@linkplain #poloha() polohu}, {@linkplain #smer() smer},
				 * a {@linkplain #pootočenieTvaru() pootočenieTvaru}.)</small>
				 * 
				 *  @return domovská y-ová súradnica robota
				 */
				public double domaY() { return domaY; }

				/**
				 * <a class="getter"></a> Zistí aktuálny smer (uhol)
				 * domovskej pozície robota.
				 * 
				 * <P><small>(<b>Poznámka:</b> Predvolene ovplyvňuje príkaz
				 * {@link #domov() domov} tri vlastnosti:
				 * {@linkplain #poloha() polohu}, {@linkplain #smer() smer},
				 * a {@linkplain #pootočenieTvaru() pootočenieTvaru}.)</small>
				 * 
				 *  @return domovský smer (uhol) robota
				 *  @see #uhol()
				 *  @see #smerDoma()
				 *  @see #uholDoma(double)
				 *  @see #smerDoma(double)
				 */
				public double uholDoma() { return uholDoma; }

				/**
				 * <a class="getter"></a> Zistí aktuálny smer (uhol)
				 * domovskej pozície robota.
				 * 
				 * <P><small>(<b>Poznámka:</b> Predvolene ovplyvňuje príkaz
				 * {@link #domov() domov} tri vlastnosti:
				 * {@linkplain #poloha() polohu}, {@linkplain #smer() smer},
				 * a {@linkplain #pootočenieTvaru() pootočenieTvaru}.)</small>
				 * 
				 *  @return domovský smer (uhol) robota
				 *  @see #smer()
				 *  @see #uholDoma()
				 *  @see #uholDoma(double)
				 *  @see #smerDoma(double)
				 */
				public double smerDoma() { return uholDoma; }

				/**
				 * <a class="setter"></a> Nastaví aktuálnu x-ovú súradnicu
				 * domovskej pozície robota.
				 * 
				 *  @param x nová domovská x-ová súradnica robota
				 */
				public void domaX(double x) { domaX = x; }

				/**
				 * <a class="setter"></a> Nastaví aktuálnu y-ovú súradnicu
				 * domovskej pozície robota.
				 * 
				 *  @param y nová domovská y-ová súradnica robota
				 */
				public void domaY(double y) { domaY = y; }

				/**
				 * <a class="setter"></a> Nastaví aktuálny smer (uhol)
				 * domovskej pozície robota.
				 * 
				 *  @param uhol nový domovský smer (uhol) robota
				 *  @see #uholDoma()
				 *  @see #smerDoma()
				 *  @see #smerDoma(double)
				 */
				public void uholDoma(double uhol) { uholDoma = uhol; }

				/**
				 * <a class="setter"></a> Nastaví aktuálny smer (uhol)
				 * domovskej pozície robota.
				 * 
				 *  @param uhol nový domovský smer (uhol) robota
				 *  @see #uholDoma()
				 *  @see #smerDoma()
				 *  @see #uholDoma(double)
				 */
				public void smerDoma(double uhol) { uholDoma = uhol; }


				/**
				 * Zistí, či sa mení pootočenie tvaru pri prechode na domovskú
				 * pozíciu robota. Ak je stav pootočenia tvaru po prechode
				 * robota na domovskú pozíciu zmenený, metóda vráti objekt
				 * {@link java.lang.Double Double} s hodnotou, na ktorú bude
				 * pootočenie tvaru po prechode na domovskú pozíciu nastavené.
				 * Ak sa po prechode stav pootočenia tvaru nemení, tak metóda
				 * vráti {@code valnull}.
				 * 
				 * <P><small>(<b>Poznámka:</b> Predvolene ovplyvňuje príkaz
				 * {@link #domov() domov} tri vlastnosti:
				 * {@linkplain #poloha() polohu}, {@linkplain #smer() smer},
				 * a {@linkplain #pootočenieTvaru() pootočenieTvaru}.)</small>
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @return objekt {@link java.lang.Double Double} alebo
				 *      {@code valnull}
				 * 
				 * @see #pootočenieTvaruDoma(Double)
				 * @see #zachovajPootočenieTvaruDoma()
				 * @see #pootočenieTvaru()
				 * @see #pootočenieTvaru(double)
				 */
				public Double pootočenieTvaruDoma()
				{ return pootočenieTvaruDoma; }

				/** <a class="alias"></a> Alias pre {@link #pootočenieTvaruDoma() pootočenieTvaruDoma}. */
				public Double pootocenieTvaruDoma()
				{ return pootočenieTvaruDoma; }

				/**
				 * Nastaví správanie zmeny pootočenia tvaru robota po prechode
				 * na domovskú pozíciu na základe zadaného objektu typu
				 * {@link java.lang.Double Double}. Ak je zadaný objekt
				 * s konkrétnou číselnou hodnotou, tak bude pootočenie tvaru
				 * robota po prechode domov upravené na túto hodnotu. Ak je
				 * zadané {@code valnull}, tak sa stav pootočenia tvaru
				 * robota po prechode domov nezmení.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param položené objekt {@link java.lang.Boolean Boolean}
				 *      alebo {@code valnull}
				 * 
				 * @see #pootočenieTvaruDoma()
				 * @see #zachovajPootočenieTvaruDoma()
				 * @see #pootočenieTvaru()
				 * @see #pootočenieTvaru(double)
				 */
				public void pootočenieTvaruDoma(Double pootočenie)
				{
					if (null == pootočenie)
					{
						pootočenieTvaruDoma = pootočenie;
					}
					else
					{
						pootočenieTvaruDoma = pootočenie % 360;
						if (pootočenieTvaruDoma < 0) pootočenieTvaruDoma += 360;
					}
				}

				/** <a class="alias"></a> Alias pre {@link #pootočenieTvaruDoma(Double) pootočenieTvaruDoma}. */
				public void pootocenieTvaruDoma(Double pootočenie)
				{ pootočenieTvaruDoma(pootočenie); }

				/**
				 * Po použití tejto metódy nebude stav pootočenia tvaru robota
				 * pri použití niektorej modifikácie metódy {@link #domov()
				 * domov} ovplyvňovaný.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #pootočenieTvaruDoma()
				 * @see #pootočenieTvaruDoma(Double)
				 * @see #pootočenieTvaru()
				 * @see #pootočenieTvaru(double)
				 */
				public void zachovajPootočenieTvaruDoma()
				{ pootočenieTvaruDoma = null; }

				/** <a class="alias"></a> Alias pre {@link #zachovajPootočenieTvaruDoma() zachovajPootočenieTvaruDoma}. */
				public void zachovajPootocenieTvaruDoma()
				{ pootočenieTvaruDoma = null; }


				/**
				 * Zistí, či sa mení stav pera pri prechode na domovskú pozíciu
				 * robota. Ak je pero po prechode robota na domovskú pozíciu
				 * položené, tak metóda vráti objekt {@link java.lang.Boolean
				 * Boolean} s hodnotou {@code valtrue}, ak zdvihnuté,
				 * tak s hodnotou {@code valfalse}, ak sa po prechode stav
				 * pera nemení, tak metóda vráti {@code valnull}.
				 * 
				 *  @return objekt {@link java.lang.Boolean Boolean} alebo
				 *      {@code valnull}
				 *  @see #polohaPeraDoma(Boolean)
				 *  @see #peroZdvihnutéDoma()
				 *  @see #peroPoloženéDoma()
				 *  @see #zdvihniPeroDoma()
				 *  @see #položPeroDoma()
				 *  @see #zachovajPeroDoma()
				 *  @see #polohaPera() polohaPera
				 */
				public Boolean polohaPeraDoma() { return peroPoloženéDoma; }

				/**
				 * Overí, či robot pri prechode na domovskú pozíciu zdvihne
				 * pero z plátna. Ak je pero po prechode robota na
				 * domovskú pozíciu zdvihnuté, metóda vráti objekt {@link
				 * java.lang.Boolean Boolean} s hodnotou {@code valtrue}, ak
				 * je položené, tak s hodnotou {@code valfalse}, ak sa po
				 * prechode domov stav pera nemení metóda vráti {@code
				 * valnull}.
				 * 
				 *  @return objekt {@link java.lang.Boolean Boolean} alebo
				 *      {@code valnull}
				 *  @see #polohaPeraDoma()
				 *  @see #polohaPeraDoma(Boolean)
				 *  @see #peroPoloženéDoma()
				 *  @see #zdvihniPeroDoma()
				 *  @see #položPeroDoma()
				 *  @see #zachovajPeroDoma()
				 */
				public Boolean peroZdvihnutéDoma()
				{
					if (null == peroPoloženéDoma) return null;
					return peroPoloženéDoma.booleanValue() ?
						Boolean.FALSE : Boolean.TRUE;
				}

				/** <a class="alias"></a> Alias pre {@link #peroZdvihnutéDoma() peroZdvihnutéDoma}. */
				public Boolean peroZdvihnuteDoma()
				{ return peroZdvihnutéDoma(); }

				/**
				 * Overí, či robot pri prechode na domovskú pozíciu položí
				 * pero na plátno. Ak je pero po prechode robota na
				 * domovskú pozíciu položené, tak metóda vráti objekt {@link
				 * java.lang.Boolean Boolean} s hodnotou {@code valtrue}, ak
				 * je zdvihnuté, tak s hodnotou {@code valfalse}, ak sa po
				 * prechode stav pera nemení, tak metóda vráti {@code valnull}.
				 * 
				 *  @return objekt {@link java.lang.Boolean Boolean} alebo
				 *      {@code valnull}
				 *  @see #polohaPeraDoma()
				 *  @see #polohaPeraDoma(Boolean)
				 *  @see #peroZdvihnutéDoma()
				 *  @see #zdvihniPeroDoma()
				 *  @see #položPeroDoma()
				 *  @see #zachovajPeroDoma()
				 */
				public Boolean peroPoloženéDoma() { return peroPoloženéDoma; }

				/** <a class="alias"></a> Alias pre {@link #peroPoloženéDoma() peroPoloženéDoma}. */
				public Boolean peroPolozeneDoma()
				{ return peroPoloženéDoma(); }

				/**
				 * Nastaví správanie zmeny polohy pera po prechode domov na
				 * základe zadaného objektu typu {@link java.lang.Boolean
				 * Boolean}. Pri zadaní objektu s hodnotou {@code valtrue},
				 * bude pero položené, pri objekte s hodnotou {@code
				 * valfalse} bude pero zdvihnuté a pri zadaní {@code
				 * valnull}, sa po prechode domov stav pera nezmení.
				 * 
				 *  @param položené objekt {@link java.lang.Boolean Boolean}
				 *      alebo {@code valnull}
				 *  @see #polohaPeraDoma()
				 *  @see #peroZdvihnutéDoma()
				 *  @see #peroPoloženéDoma()
				 *  @see #zdvihniPeroDoma()
				 *  @see #položPeroDoma()
				 *  @see #zachovajPeroDoma()
				 *  @see #polohaPera(boolean) polohaPera
				 */
				public void polohaPeraDoma(Boolean položené)
				{ peroPoloženéDoma = položené; }

				/**
				 * Spôsobí, že odteraz vždy pri použití niektorej modifikácie
				 * metódy {@link #domov() domov} zdvihne robot pero z plátna.
				 *  @see #polohaPeraDoma()
				 *  @see #polohaPeraDoma(Boolean)
				 *  @see #peroZdvihnutéDoma()
				 *  @see #peroPoloženéDoma()
				 *  @see #položPeroDoma()
				 *  @see #zachovajPeroDoma()
				 *  @see #zdvihniPero() zdvihniPero
				 */
				public void zdvihniPeroDoma() { peroPoloženéDoma = Boolean.FALSE; }

				/**
				 * Spôsobí, že odteraz vždy pri použití niektorej modifikácie
				 * metódy {@link #domov() domov} položí robot pero na plátno.
				 *  @see #polohaPeraDoma()
				 *  @see #polohaPeraDoma(Boolean)
				 *  @see #peroZdvihnutéDoma()
				 *  @see #peroPoloženéDoma()
				 *  @see #zdvihniPeroDoma()
				 *  @see #zachovajPeroDoma()
				 *  @see #položPero() položPero
				 */
				public void položPeroDoma() { peroPoloženéDoma = Boolean.TRUE; }

				/** <a class="alias"></a> Alias pre {@link #položPeroDoma() položPeroDoma}. */
				public void polozPeroDoma() { peroPoloženéDoma = Boolean.TRUE; }

				/**
				 * Po použití tejto metódy nebude stav polohy pera pri použití
				 * niektorej modifikácie metódy {@link #domov() domov}
				 * ovplyvňovaný.
				 *  @see #polohaPeraDoma()
				 *  @see #polohaPeraDoma(Boolean)
				 *  @see #peroZdvihnutéDoma()
				 *  @see #peroPoloženéDoma()
				 *  @see #zdvihniPeroDoma()
				 *  @see #položPeroDoma()
				 */
				public void zachovajPeroDoma() { peroPoloženéDoma = null; }


				/**
				 * Zistí, či sa mení viditeľnosť robota pri prechode na
				 * domovskú pozíciu. Ak je robot po prechode na domovskú
				 * pozíciu zobrazený, metóda vráti objekt {@link
				 * java.lang.Boolean Boolean} s hodnotou {@code valtrue}, ak
				 * skrytý, tak s hodnotou {@code valfalse} a ak sa po
				 * prechode domov viditeľnosť nemení, metóda vráti {@code
				 * valnull}.
				 * 
				 *  @return objekt {@link java.lang.Boolean Boolean} alebo
				 *      {@code valnull}
				 *  @see #zobrazenýDoma()
				 *  @see #skrytýDoma()
				 *  @see #ukážDoma()
				 *  @see #zobrazDoma()
				 *  @see #skryDoma()
				 *  @see #zachovajViditeľnosťDoma()
				 *  @see #viditeľný() viditeľný
				 */
				public Boolean viditeľnýDoma() { return viditeľnýDoma; }

				/** <a class="alias"></a> Alias pre {@link #viditeľnýDoma() viditeľnýDoma}. */
				public Boolean viditelnyDoma() { return viditeľnýDoma; }

				/**
				 * Zistí, či sa mení viditeľnosť robota pri prechode na
				 * domovskú pozíciu. Ak je robot po prechode na domovskú
				 * pozíciu zobrazený, metóda vráti objekt {@link
				 * java.lang.Boolean Boolean} s hodnotou {@code valtrue}, ak
				 * skrytý, tak s hodnotou {@code valfalse} a ak sa po
				 * prechode domov viditeľnosť nemení, metóda vráti {@code
				 * valnull}.
				 * 
				 *  @return objekt {@link java.lang.Boolean Boolean} alebo
				 *      {@code valnull}
				 *  @see #viditeľnýDoma()
				 *  @see #skrytýDoma()
				 *  @see #ukážDoma()
				 *  @see #zobrazDoma()
				 *  @see #skryDoma()
				 *  @see #zachovajViditeľnosťDoma()
				 *  @see #zobrazený() zobrazený
				 */
				public Boolean zobrazenýDoma() { return viditeľnýDoma; }

				/** <a class="alias"></a> Alias pre {@link #zobrazenýDoma() zobrazenýDoma}. */
				public Boolean zobrazenyDoma() { return viditeľnýDoma; }

				/**
				 * Zistí, či sa mení viditeľnosť robota pri prechode na
				 * domovskú pozíciu. Ak je robot po prechode na domovskú
				 * pozíciu skrytý, metóda vráti objekt {@link
				 * java.lang.Boolean Boolean} s hodnotou {@code valtrue}, ak
				 * zobrazený, tak s hodnotou {@code valfalse} a ak sa po
				 * prechode domov viditeľnosť nemení, metóda vráti {@code
				 * valnull}.
				 * 
				 *  @return objekt {@link java.lang.Boolean Boolean} alebo
				 *      {@code valnull}
				 *  @see #viditeľnýDoma()
				 *  @see #zobrazenýDoma()
				 *  @see #ukážDoma()
				 *  @see #zobrazDoma()
				 *  @see #skryDoma()
				 *  @see #zachovajViditeľnosťDoma()
				 *  @see #skrytý() skrytý
				 */
				public Boolean skrytýDoma()
				{
					if (null == viditeľnýDoma) return null;
					return viditeľnýDoma.booleanValue() ?
						Boolean.FALSE : Boolean.TRUE;
				}

				/** <a class="alias"></a> Alias pre {@link #skrytýDoma() skrytýDoma}. */
				public Boolean skrytyDoma() { return skrytýDoma(); }

				/**
				 * Spôsobí, že odteraz sa robot vždy pri použití niektorej
				 * modifikácie metódy {@link #domov() domov} zobrazí.
				 * @see #viditeľnýDoma()
				 * @see #zobrazenýDoma()
				 * @see #skrytýDoma()
				 * @see #zobrazDoma()
				 * @see #skryDoma()
				 * @see #zachovajViditeľnosťDoma()
				 * @see #ukáž() ukáž
				 */
				public void ukážDoma() { viditeľnýDoma = Boolean.TRUE; }

				/** <a class="alias"></a> Alias pre {@link #viditeľnýDoma() viditeľnýDoma}. */
				public void ukazDoma() { viditeľnýDoma = Boolean.TRUE; }

				/**
				 * Spôsobí, že odteraz sa robot vždy pri použití niektorej
				 * modifikácie metódy {@link #domov() domov} zobrazí.
				 * @see #viditeľnýDoma()
				 * @see #zobrazenýDoma()
				 * @see #skrytýDoma()
				 * @see #ukážDoma()
				 * @see #skryDoma()
				 * @see #zachovajViditeľnosťDoma()
				 * @see #zobraz() zobraz
				 */
				public void zobrazDoma() { viditeľnýDoma = Boolean.TRUE; }

				/**
				 * Spôsobí, že odteraz sa robot vždy pri použití niektorej
				 * modifikácie metódy {@link #domov() domov} skryje.
				 * @see #viditeľnýDoma()
				 * @see #zobrazenýDoma()
				 * @see #skrytýDoma()
				 * @see #ukážDoma()
				 * @see #zobrazDoma()
				 * @see #zachovajViditeľnosťDoma()
				 * @see #skry() skry
				 */
				public void skryDoma() { viditeľnýDoma = Boolean.FALSE; }

				/**
				 * Po použití tejto metódy nebude viditeľnosť robota pri
				 * použití niektorej modifikácie metódy {@link #domov() domov}
				 * ovplyvňovaná.
				 * @see #viditeľnýDoma()
				 * @see #zobrazenýDoma()
				 * @see #skrytýDoma()
				 * @see #ukážDoma()
				 * @see #zobrazDoma()
				 * @see #skryDoma()
				 */
				public void zachovajViditeľnosťDoma() { viditeľnýDoma = null; }

				/** <a class="alias"></a> Alias pre {@link #zachovajViditeľnosťDoma() zachovajViditeľnosťDoma}. */
				public void zachovajViditelnostDoma() { viditeľnýDoma = null; }


				/**
				 * Zistí ako sa mení farba po prechode robota
				 * {@linkplain #domov() domov}. Buď je vrátená konkrétna
				 * farba, alebo hodnota {@link valnull}, ktorá
				 * signalizuje, že farba sa po prechode domov nemení.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @return farba na domovskej pozícii alebo {@link valnull}
				 * 
				 *  @see #farbaDoma(java.awt.Color)
				 *  @see #farbaDoma(Farebnosť)
				 *  @see #farbaDoma(int, int, int)
				 *  @see #farbaDoma(int, int, int, int)
				 *  @see #zachovajFarbuDoma()
				 *  @see #farba() farba
				 */
				public Farba farbaDoma() { return farbaDoma; }

				/**
				 * Nastaví alebo zruší ovplyvňovanie farby robota po jeho
				 * prechode {@linkplain #domov() domov}. Ak je zadaná
				 * konkrétna farebná inštancia, tak sa bude farba robota po
				 * prechode domov meniť na zadanú hodnotu. Ak je zadaná
				 * hodnota {@code (Farba)}{@link valnull}, tak farba nebude
				 * po prechode domov ovplyvnená.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param nováHrúbka nová farba na domovskej pozícii alebo
				 *   typová hodnota {@code (Farba)}{@link valnull}
				 * 
				 *  @see #farbaDoma()
				 *  @see #farbaDoma(Farebnosť)
				 *  @see #farbaDoma(int, int, int)
				 *  @see #farbaDoma(int, int, int, int)
				 *  @see #zachovajFarbuDoma()
				 *  @see #farba(java.awt.Color) farba
				 */
				public void farbaDoma(Color nováFarba)
				{
					if (null == nováFarba) farbaDoma = null;
					else if (nováFarba instanceof Farba)
						farbaDoma = (Farba)nováFarba;
					else
						farbaDoma = new Farba(nováFarba);
				}

				/**
				 * Nastaví alebo zruší ovplyvňovanie farby robota po jeho
				 * prechode {@linkplain #domov() domov}. Ak je zadaná
				 * konkrétna farebná inštancia, tak sa bude farba robota po
				 * prechode domov meniť na zadanú hodnotu. Ak je zadaná
				 * hodnota {@code (Farebnosť)}{@link valnull}, tak farba
				 * nebude po prechode domov ovplyvnená.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param podľaObjektu objekt určujúci novú farbu na
				 *   domovskej pozícii alebo typová hodnota
				 *   {@code (Farebnosť)}{@link valnull}
				 * 
				 *  @see #farbaDoma()
				 *  @see #farbaDoma(java.awt.Color)
				 *  @see #farbaDoma(int, int, int)
				 *  @see #farbaDoma(int, int, int, int)
				 *  @see #zachovajFarbuDoma()
				 */
				public void farbaDoma(Farebnosť podľaObjektu)
				{ farbaDoma(podľaObjektu.farba()); }

				/**
				 * Nastaví ovplyvňovanie farby robota po jeho
				 * prechode {@linkplain #domov() domov}.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 *  @param r červená zložka novej farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param g zelená zložka novej farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param b modrá zložka novej farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @return objekt typu {@link Farba Farba} – nová farba
				 * 
				 *  @see #farbaDoma()
				 *  @see #farbaDoma(java.awt.Color)
				 *  @see #farbaDoma(Farebnosť)
				 *  @see #farbaDoma(int, int, int, int)
				 *  @see #zachovajFarbuDoma()
				 */
				public Farba farbaDoma(int r, int g, int b)
				{
					farbaDoma = new Farba(r, g, b);
					return farbaDoma;
				}

				/**
				 * Nastaví ovplyvňovanie farby robota po jeho
				 * prechode {@linkplain #domov() domov}.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 *  @param r červená zložka novej farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param g zelená zložka novej farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param b modrá zložka novej farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo
				 *      v rozsahu 0 – 255 (0 – neviditeľná farba; 255 –
				 *      nepriehľadná farba)
				 *  @return objekt typu {@link Farba Farba} – nová farba
				 * 
				 *  @see #farbaDoma()
				 *  @see #farbaDoma(java.awt.Color)
				 *  @see #farbaDoma(Farebnosť)
				 *  @see #farbaDoma(int, int, int)
				 *  @see #zachovajFarbuDoma()
				 */
				public Farba farbaDoma(int r, int g, int b, int a)
				{
					farbaDoma = new Farba(r, g, b, a);
					return farbaDoma;
				}

				/**
				 * Po použití tejto metódy nebude farba robota pri
				 * použití niektorej modifikácie metódy {@link #domov() domov}
				 * ovplyvňovaná.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @see #farbaDoma()
				 *  @see #farbaDoma(java.awt.Color)
				 *  @see #farbaDoma(Farebnosť)
				 *  @see #farbaDoma(int, int, int)
				 *  @see #farbaDoma(int, int, int, int)
				 */
				public void zachovajFarbuDoma() { farbaDoma = null; }


				/**
				 * Zistí ako sa mení hrúbka pera po prechode robota
				 * {@linkplain #domov() domov}. Buď je vrátená konkrétna
				 * číselná hodnota, alebo hodnota {@link valnull}, ktorá
				 * signalizuje, že hrúbka pera sa po prechode domov nemení.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @return hrúbka pera domovskej pozície alebo {@link valnull}
				 * 
				 *  @see #hrúbkaČiaryDoma()
				 *  @see #hrúbkaPeraDoma(Double)
				 *  @see #hrúbkaČiaryDoma(Double)
				 *  @see #zachovajHrúbkuPeraDoma()
				 *  @see #zachovajHrúbkuČiaryDoma()
				 *  @see #hrúbkaPera() hrúbkaPera
				 */
				public Double hrúbkaPeraDoma() { return polomerPeraDoma; }

				/** <a class="alias"></a> Alias pre {@link #hrúbkaPeraDoma() hrúbkaPeraDoma}. */
				public Double hrubkaPeraDoma() { return polomerPeraDoma; }

				/**
				 * Zistí ako sa mení hrúbka pera po prechode robota
				 * {@linkplain #domov() domov}. Buď je vrátená konkrétna
				 * číselná hodnota, alebo hodnota {@link valnull}, ktorá
				 * signalizuje, že hrúbka pera sa po prechode domov nemení.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @return hrúbka pera domovskej pozície alebo {@link valnull}
				 * 
				 *  @see #hrúbkaPeraDoma()
				 *  @see #hrúbkaPeraDoma(Double)
				 *  @see #hrúbkaČiaryDoma(Double)
				 *  @see #zachovajHrúbkuPeraDoma()
				 *  @see #zachovajHrúbkuČiaryDoma()
				 *  @see #hrúbkaČiary() hrúbkaČiary
				 */
				public Double hrúbkaČiaryDoma() { return polomerPeraDoma; }

				/** <a class="alias"></a> Alias pre {@link #hrúbkaPeraDoma() hrúbkaPeraDoma}. */
				public Double hrubkaCiaryDoma() { return polomerPeraDoma; }

				/**
				 * Nastaví alebo zruší ovplyvňovanie hrúbky pera po prechode
				 * robota {@linkplain #domov() domov}. Ak je zadaná konkrétna
				 * číselná hodnota, hrúbka pera robota bude po prechode domov
				 * upravená na zadanú hodnotu. Ak je zadaná hodnota {@link
				 * valnull}, tak hrúbka pera nebude po prechode domov
				 * ovplyvnená.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param nováHrúbka nová hrúbka pera domovskej pozície alebo
				 *   {@link valnull}
				 * 
				 *  @see #hrúbkaPeraDoma()
				 *  @see #hrúbkaČiaryDoma()
				 *  @see #hrúbkaČiaryDoma(Double)
				 *  @see #zachovajHrúbkuPeraDoma()
				 *  @see #zachovajHrúbkuČiaryDoma()
				 *  @see #hrúbkaPera(double) hrúbkaPera
				 */
				public void hrúbkaPeraDoma(Double nováHrúbka)
				{ polomerPeraDoma = nováHrúbka; }

				/** <a class="alias"></a> Alias pre {@link #hrúbkaPeraDoma(Double) hrúbkaPeraDoma}. */
				public void hrubkaPeraDoma(Double nováHrúbka)
				{ polomerPeraDoma = nováHrúbka; }

				/**
				 * Nastaví alebo zruší ovplyvňovanie hrúbky pera po prechode
				 * robota {@linkplain #domov() domov}. Ak je zadaná konkrétna
				 * číselná hodnota, hrúbka pera robota bude po prechode domov
				 * upravená na zadanú hodnotu. Ak je zadaná hodnota {@link
				 * valnull}, tak hrúbka pera nebude po prechode domov
				 * ovplyvnená.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param nováHrúbka nová hrúbka pera domovskej pozície alebo
				 *   {@link valnull}
				 * 
				 *  @see #hrúbkaPeraDoma()
				 *  @see #hrúbkaČiaryDoma()
				 *  @see #hrúbkaPeraDoma(Double)
				 *  @see #zachovajHrúbkuPeraDoma()
				 *  @see #zachovajHrúbkuČiaryDoma()
				 *  @see #hrúbkaČiary(double) hrúbkaČiary
				 */
				public void hrúbkaČiaryDoma(Double nováHrúbka)
				{ polomerPeraDoma = nováHrúbka; }

				/** <a class="alias"></a> Alias pre {@link #hrúbkaPeraDoma(Double) hrúbkaPeraDoma}. */
				public void hrubkaCiaryDoma(Double nováHrúbka)
				{ polomerPeraDoma = nováHrúbka; }

				/**
				 * Po použití tejto metódy nebude hrúbka pera robota pri
				 * použití niektorej modifikácie metódy {@link #domov() domov}
				 * ovplyvňovaná.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @see #hrúbkaPeraDoma()
				 *  @see #hrúbkaČiaryDoma()
				 *  @see #hrúbkaPeraDoma(Double)
				 *  @see #hrúbkaČiaryDoma(Double)
				 *  @see #zachovajHrúbkuČiaryDoma()
				 */
				public void zachovajHrúbkuPeraDoma()
				{ polomerPeraDoma = null; }

				/** <a class="alias"></a> Alias pre {@link #zachovajHrúbkuPeraDoma() zachovajHrúbkuPeraDoma}. */
				public void zachovajHrubkuPeraDoma()
				{ polomerPeraDoma = null; }

				/**
				 * Po použití tejto metódy nebude hrúbka pera robota pri
				 * použití niektorej modifikácie metódy {@link #domov() domov}
				 * ovplyvňovaná.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @see #hrúbkaPeraDoma()
				 *  @see #hrúbkaČiaryDoma()
				 *  @see #hrúbkaPeraDoma(Double)
				 *  @see #hrúbkaČiaryDoma(Double)
				 *  @see #zachovajHrúbkuPeraDoma()
				 */
				public void zachovajHrúbkuČiaryDoma()
				{ polomerPeraDoma = null; }

				/** <a class="alias"></a> Alias pre {@link #zachovajHrúbkuČiaryDoma() zachovajHrúbkuČiaryDoma}. */
				public void zachovajHrubkuCiaryDoma()
				{ polomerPeraDoma = null; }


				/**
				 * Zistí ako sa mení veľkosť robota po jeho prechode na
				 * {@linkplain #domov() domovskú pozíciu}. Buď je vrátená
				 * konkrétna číselná hodnota, alebo hodnota {@link valnull},
				 * ktorá signalizuje, že veľkosť robota sa po prechode domov
				 * nemení.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @return veľkosť robota na domovskej pozícii alebo
				 *    {@link valnull}
				 * @see #veľkosťDoma(Double)
				 * @see #zachovajVeľkosťDoma()
				 * @see #veľkosť()
				 */
				public Double veľkosťDoma() { return veľkosťDoma; }

				/** <a class="alias"></a> Alias pre {@link #veľkosťDoma() veľkosťDoma}. */
				public Double velkostDoma() { return veľkosťDoma; }

				/**
				 * Nastaví alebo zruší ovplyvňovanie veľkosti robota po jeho
				 * prechode na {@linkplain #domov() domovskú pozíciu}. Ak je
				 * zadaná konkrétna číselná hodnota, veľkosť robota robota bude
				 * po prechode domov upravená na zadanú hodnotu. Ak je zadaná
				 * hodnota {@link valnull}, tak veľkosť robota nebude po
				 * prechode domov ovplyvnená.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param nováVeľkosť nová veľkosť robota na domovskej pozícii
				 *    alebo {@link valnull}
				 * @see #veľkosťDoma()
				 * @see #zachovajVeľkosťDoma()
				 * @see #veľkosť()
				 */
				public void veľkosťDoma(Double nováVeľkosť)
				{ veľkosťDoma = nováVeľkosť; }

				/** <a class="alias"></a> Alias pre {@link #veľkosťDoma(Double) veľkosťDoma}. */
				public void velkostDoma(Double nováVeľkosť)
				{ veľkosťDoma = nováVeľkosť; }

				/**
				 * Po použití tejto metódy nebude veľkosť robota pri
				 * použití niektorej modifikácie metódy {@link #domov() domov}
				 * ovplyvňovaná.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @see #veľkosťDoma()
				 *  @see #veľkosťDoma(Double)
				 */
				public void zachovajVeľkosťDoma() { veľkosťDoma = null; }

				/** <a class="alias"></a> Alias pre {@link #zachovajVeľkosťDoma() zachovajVeľkosťDoma}. */
				public void zachovajVelkostDoma() { veľkosťDoma = null; }


				/**
				 * Zistí ako sa mení priehľadnosť robota po jeho prechode na
				 * {@linkplain #domov() domovskú pozíciu}. Buď je vrátená
				 * konkrétna číselná hodnota, alebo hodnota {@link valnull},
				 * ktorá signalizuje, že priehľadnosť robota sa po prechode
				 * domov nemení.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @return priehľadnosť robota na domovskej pozícii alebo
				 *    {@link valnull}
				 * @see #priehľadnosťDoma(Double)
				 * @see #zachovajPriehľadnosťDoma()
				 * @see #priehľadnosť()
				 */
				public Double priehľadnosťDoma()
				{
					return new Double(priehľadnosťDoma);
				}

				/** <a class="alias"></a> Alias pre {@link #priehľadnosťDoma() priehľadnosťDoma}. */
				public Double priehladnostDoma() { return priehľadnosťDoma(); }

				/**
				 * Nastaví alebo zruší ovplyvňovanie priehľadnosti robota po
				 * jeho prechode na {@linkplain #domov() domovskú pozíciu}.
				 * Ak je zadaná konkrétna číselná hodnota, priehľadnosť robota
				 * bude po prechode domov upravená na zadanú hodnotu. Ak je
				 * zadaná hodnota {@link valnull}, tak priehľadnosť robota
				 * nebude po prechode domov ovplyvnená.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param nováPriehľadnosť nová priehľadnosť robota na domovskej
				 *    pozícii alebo {@link valnull}
				 * @see #priehľadnosťDoma()
				 * @see #zachovajPriehľadnosťDoma()
				 * @see #priehľadnosť()
				 */
				public void priehľadnosťDoma(Double nováPriehľadnosť)
				{
					if (null == nováPriehľadnosť)
						priehľadnosťDoma = null;
					else
						priehľadnosťDoma = new Float(nováPriehľadnosť);
				}

				/** <a class="alias"></a> Alias pre {@link #priehľadnosťDoma(Double) priehľadnosťDoma}. */
				public void priehladnostDoma(Double nováPriehľadnosť)
				{ priehľadnosťDoma(nováPriehľadnosť); }

				/**
				 * Po použití tejto metódy nebude priehľadnosť robota pri
				 * použití niektorej modifikácie metódy {@link #domov() domov}
				 * ovplyvňovaná.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @see #priehľadnosťDoma()
				 *  @see #priehľadnosťDoma(Double)
				 */
				public void zachovajPriehľadnosťDoma()
				{ priehľadnosťDoma = null; }

				/** <a class="alias"></a> Alias pre {@link #zachovajPriehľadnosťDoma() zachovajPriehľadnosťDoma}. */
				public void zachovajPriehladnostDoma()
				{ priehľadnosťDoma = null; }


				/**
				 * Zistí ako sa mení písmo robota po jeho prechode na
				 * {@linkplain #domov() domovskú pozíciu}. Buď je vrátený
				 * konkrétny objekt reprezentujúci písmo, alebo hodnota
				 * {@link valnull}, ktorá signalizuje, že písmo robota sa po
				 * prechode domov nemení.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @return písmo robota na domovskej pozícii alebo {@link valnull}
				 * @see #písmoDoma(Font)
				 * @see #písmoDoma(String, double)
				 * @see #zachovajPísmoDoma()
				 * @see #písmo()
				 */
				public Písmo písmoDoma() { return písmoDoma; }

				/** <a class="alias"></a> Alias pre {@link #písmoDoma() písmoDoma}. */
				public Pismo pismoDoma() { return new Pismo(písmoDoma); }

				/**
				 * Nastaví alebo zruší zmenu písma robota po jeho prechode na
				 * {@linkplain #domov() domovskú pozíciu}. Ak je zadaný objekt
				 * typu {@link Písmo} alebo {@link java.awt.Font}, tak písmo
				 * robota sa po prechode domov zmení podľa zadaného objektu.
				 * Ak je zadaná hodnota {@link valnull}, tak písmo robota nebude
				 * po prechode domov ovplyvnené.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param novéPísmo objekt typu {@link Písmo} alebo
				 *     {@link java.awt.Font} alebo {@link valnull}
				 * @see #písmoDoma()
				 * @see #písmoDoma(String, double)
				 * @see #zachovajPísmoDoma()
				 * @see #písmo(String, double)
				 */
				public void písmoDoma(Font novéPísmo)
				{
					if (null == novéPísmo) písmoDoma = null;
					else if (novéPísmo instanceof Písmo)
						písmoDoma = (Písmo)novéPísmo;
					else
						písmoDoma = new Písmo(novéPísmo);
				}

				/** <a class="alias"></a> Alias pre {@link #písmoDoma(Font) písmoDoma}. */
				public void pismoDoma(Font novéPísmo) { písmoDoma(novéPísmo); }

				/**
				 * Určí nové písmo robota, ktoré bude nastavené po jeho prechode
				 * na {@linkplain #domov() domovskú pozíciu}.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 *  @param názov názov písma; môže byť všeobecný názov
				 *      logického písma (Dialog, DialogInput, Monospaced,
				 *      Serif, SansSerif…) alebo názov
				 *      konkrétneho písma (Times New Roman, Arial…)
				 *  @param veľkosť veľkosť písma v bodoch (hodnota je
				 *      zaokrúhlená na typ {@code typefloat})
				 *  @return objekt typu {@link Písmo} určujúci nový typ písma
				 *      robota
				 * @see #písmoDoma()
				 * @see #písmoDoma(Font)
				 * @see #zachovajPísmoDoma()
				 * @see #písmo(String, double)
				 */
				public Písmo písmoDoma(String názov, double veľkosť)
				{ return písmoDoma = new Písmo(názov, Písmo.PLAIN, veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #písmoDoma(String, double) písmoDoma}. */
				public Pismo pismoDoma(String názov, double veľkosť)
				{ return pismoDoma(názov, veľkosť); }

				/**
				 * Po použití tejto metódy nebude písmo robota pri
				 * použití niektorej modifikácie metódy {@link #domov() domov}
				 * ovplyvňovaná.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @see #písmoDoma()
				 *  @see #písmoDoma(Font)
				 *  @see #písmoDoma(String, double)
				 */
				public void zachovajPísmoDoma()
				{ písmoDoma = null; }

				/** <a class="alias"></a> Alias pre {@link #zachovajPísmoDoma() zachovajPísmoDoma}. */
				public void zachovajPismoDoma()
				{ písmoDoma = null; }


			// Spôsob kreslenia

				/**
				 * <a class="getter"></a> Číta spôsob kreslenia obrázkov
				 * a písania textov (resp. „kreslenia“ textov) aktuálnym
				 * robotom.
				 * 
				 *  @return spôsob kreslenia, čo môže byť buď hodnota {@link
				 *      #KRESLI_PRIAMO}, alebo kombinácia hodnôt {@link
				 *      #KRESLI_NA_STRED} a {@link #KRESLI_ROTOVANÉ}
				 *  @see #text(String)
				 *  @see #obrázok(String)
				 */
				public int spôsobKreslenia() { return spôsobKreslenia; }

				/** <a class="alias"></a> Alias pre {@link #spôsobKreslenia() spôsobKreslenia}. */
				public int sposobKreslenia() { return spôsobKreslenia; }

				/**
				 * <a class="setter"></a> Zmení spôsob kreslenia obrázkov
				 * a písania textov (resp. „kreslenia“ textov) aktuálnym
				 * robotom.
				 * 
				 *  @param novýSpôsobKreslenia môže byť buď hodnota {@link
				 *      #KRESLI_PRIAMO}, alebo kombinácia hodnôt {@link
				 *      #KRESLI_NA_STRED} a {@link #KRESLI_ROTOVANÉ}.
				 *  @see #text(String)
				 *  @see #obrázok(String)
				 */
				public void spôsobKreslenia(int novýSpôsobKreslenia)
				{ spôsobKreslenia = novýSpôsobKreslenia; }

				/** <a class="alias"></a> Alias pre {@link #spôsobKreslenia(int) spôsobKreslenia}. */
				public void sposobKreslenia(int novýSpôsobKreslenia)
				{ spôsobKreslenia = novýSpôsobKreslenia; }


			// Meno robota, uloženie/zapísanie a čítanie

				/**
				 * <a class="setter"></a> Pomenuje alebo zruší meno tohto
				 * robota. Meno robota je používané pri zápise a obnove
				 * vlastností robota pomocou
				 * {@linkplain Svet#použiKonfiguráciu(String) konfiguračného
				 * súboru} a {@linkplain Svet#interaktívnyRežim(boolean)
				 * interaktívnym režimom}.
				 * Meno musí byť unikátne, nesmie byť prázdne, nesmie sa
				 * začínať ani končiť bodkou a nesmie obsahovať znak rovná sa.
				 * Na zrušenie mena tohto robota treba zavolať túto metódu
				 * s argumentom {@code valnull}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param novéMeno nového meno robota alebo {@code valnull}
				 *   na zrušenie mena tohto robota
				 * 
				 *  @throws GRobotException  ak zadané meno nespĺňa niektorú
				 *      požiadavku
				 */
				public void meno(String novéMeno)
				{
					if (null != menoRobota)
					{
						menáRobotov.remove(menoRobota);
						menoRobota = null;
					}

					// Argument null len zruší meno robota:
					if (null == novéMeno) return;

					if (menáRobotov.containsKey(novéMeno))
						throw new GRobotException(
							"Meno robota (" + novéMeno +
							") musí byť unikátne.", "robotNameMustBeUnique",
							novéMeno, new IllegalArgumentException());

					if (novéMeno.equals(""))
						throw new GRobotException(
							"Meno robota nesmie byť prázdne.",
							"robotNameEmpty",
							new IllegalArgumentException());

					if (novéMeno.endsWith("."))
						throw new GRobotException(
							"Meno robota sa nesmie končiť bodkou.",
							"robotNameEndsWithDot", novéMeno,
							new IllegalArgumentException());

					if (novéMeno.startsWith(";"))
						throw new GRobotException(
							"Meno robota sa nesmie začínať znakom komentára.",
							"robotNameStartsWithSemicolon", novéMeno,
							new IllegalArgumentException());

					if (novéMeno.startsWith("."))
						throw new GRobotException(
							"Meno robota sa nesmie začínať bodkou.",
							"robotNameStartsWithDot", novéMeno,
							new IllegalArgumentException());

					if (-1 != novéMeno.indexOf('='))
						throw new GRobotException(
							"Meno robota nesmie obsahovať znak rovná sa.",
							"robotNameContainsEquals", novéMeno,
							new IllegalArgumentException());

					menoRobota = novéMeno;
					menáRobotov.put(menoRobota, this);
				}

				/**
				 * <a class="getter"></a> Vráti meno robota alebo
				 * {@code valnull} ak robot nemá meno.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @return vráti meno robota alebo {@code valnull} (ak robot
				 *    nemá meno)
				 * @see #meno(String)
				 */
				public String meno() { return menoRobota; }


				/**
				 * Zaregistruje tohto robota v {@linkplain
				 * Sveta#použiKonfiguráciu(String) konfigurácii sveta}. To
				 * znamená, že po ukončení aplikácie budú údaje o tomto
				 * robotovi automaticky uložené do konfigurácie sveta. Táto
				 * metóda by mala byť vykonaná pri spustení aplikácie, pretože
				 * jej vykonanie zároveň prečíta a použije údaje o robotovi
				 * z konfiguračného súboru. Ak tento robot nie je {@linkplain
				 * Svet#hlavnýRobot() hlavným robotom}, tak musí mať definované
				 * {@linkplain #meno(String) meno}, inak vznikne výnimka.
				 * Ďalšie informácie môžete nájsť pri ekvivalentnej metóde
				 * sveta {@link Svet#registrujRobota(GRobot)
				 * registrujRobota(robot)}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see Svet#registrujRobota(GRobot)
				 * @see GRobot#registrujVKonfigurácii(String)
				 */
				public void registrujVKonfigurácii()
				{ Svet.registrujRobota(this); }

				/** <a class="alias"></a> Alias pre {@link #registrujVKonfigurácii() registrujVKonfigurácii}. */
				public void registrujVKonfiguracii()
				{ registrujVKonfigurácii(); }

				/**
				 * Zaregistruje tohto robota v {@linkplain
				 * Sveta#použiKonfiguráciu(String) konfigurácii sveta} pod
				 * novým {@linkplain #meno(String) menom}. To znamená, že po
				 * ukončení aplikácie budú údaje o tomto robotovi automaticky
				 * uložené do konfigurácie sveta. Táto metóda by mala byť
				 * vykonaná pri spustení aplikácie, pretože jej vykonanie
				 * zároveň prečíta a použije údaje o robotovi z konfiguračného
				 * súboru. Ak tento robot nie je {@linkplain Svet#hlavnýRobot()
				 * hlavným robotom}, tak musí mať definované {@linkplain
				 * #meno(String) meno} (zadané meno nesmie mať hodnotu
				 * {@code valnull}), inak vznikne výnimka. Ďalšie informácie
				 * môžete nájsť pri úzko súvisiacej metóde sveta {@link
				 * Svet#registrujRobota(GRobot) registrujRobota(robot)}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param novéMeno nového meno robota
				 * 
				 * @see Svet#registrujRobota(GRobot)
				 * @see GRobot#registrujVKonfigurácii()
				 */
				public void registrujVKonfigurácii(String novéMeno)
				{
					meno(novéMeno);
					Svet.registrujRobota(this);
				}

				/** <a class="alias"></a> Alias pre {@link #registrujVKonfigurácii(String) registrujVKonfigurácii}. */
				public void registrujVKonfiguracii(String novéMeno)
				{ registrujVKonfigurácii(novéMeno); }

				/**
				 * Prečíta vlastnosti robota zo zadaného súboru.
				 * Robot musí mať {@linkplain #meno(String) meno} a súbor musí
				 * byť otvorený na čítanie. Metóda je používaná {@linkplain
				 * Svet#použiKonfiguráciu(String) automatickou konfiguráciou}
				 * sveta. (Ďalšie informácie súvisiace s ukladaním údajov robota
				 * sú v opise metódy {@link #uložDoSúboru(Súbor)
				 * uložDoSúboru(súbor)}.)
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param súbor inštancia triedy {@linkplain Súbor súbor}
				 *   otvorená na čítanie
				 * @see ObsluhaUdalostí#konfiguráciaZmenená()
				 * @see Svet#použiKonfiguráciu()
				 * @see Svet#registrujRobota(GRobot, String)
				 * @see #uložDoSúboru(Súbor)
				 * @exception IOException ak vznikla chyba vo
				 *      vstupno/výstupnej operácii
				 * 
				 *  @throws GRobotException  ak robot nemá meno
				 */
				public void čítajZoSúboru(Súbor súbor) throws IOException
				{
					String menoRobota = this.menoRobota;

					if (null == menoRobota)
					{
						if (this == hlavnýRobot)
							menoRobota = "robot";
						else
							throw new GRobotException("Robot nemá meno.",
								"robotHasNoName");
					}

					boolean kresliB = !GRobot.nekresli;
					GRobot.nekresli = true;

					String mennýPriestor = súbor.mennýPriestorVlastností;
					if (null == mennýPriestor)
						súbor.mennýPriestorVlastností = menoRobota;
					else
						súbor.mennýPriestorVlastností =
							mennýPriestor + "." + menoRobota;

					try
					{
						String vlastnosťS; int vlastnosťI1, vlastnosťI2;
						boolean vlastnosťB; Bod bod; Double vlastnosťD;

						// Na nastavovanie vlastností musí byť použitá
						// prislúchajúca metóda, lebo každá zmena hodnoty
						// vlastnosti má za následok sériu akcií…
						vlastnosťS = súbor.čítajVlastnosť("poloha",
							Bod.polohaNaReťazec(this));
						poloha(Bod.reťazecNaPolohu(vlastnosťS));
						uhol(súbor.čítajVlastnosť("uhol", aktuálnyUhol));
						uholOtáčania(súbor.čítajVlastnosť(
							"uholOtáčania", uholOtáčania));
						pootočenieTvaru(súbor.čítajVlastnosť("pootočenieTvaru",
							pootočenieTvaru));

						vlastnosťS = súbor.čítajVlastnosť("farba",
							Farba.farbaNaReťazec(farbaRobota));
						farba(Farba.reťazecNaFarbu(vlastnosťS));
						hrúbkaČiary(súbor.čítajVlastnosť("hrúbkaPera",
							polomerPera));

						polohaPera(súbor.čítajVlastnosť("peroPoložené",
							peroPoložené));
						if (súbor.čítajVlastnosť("viditeľnosť", viditeľný))
							ukáž(); else skry();
						veľkosť(súbor.čítajVlastnosť("veľkosť", veľkosť));
						mierkovéČíslo = súbor.čítajVlastnosť(
							"mierkovéČíslo", mierkovéČíslo);
						priehľadnosť = súbor.čítajVlastnosť("priehľadnosť",
							Double.valueOf(priehľadnosť)).floatValue();

						vyplnený = súbor.čítajVlastnosť("vyplnený", vyplnený);

						if (aktívnePlátno == podlaha)
							vlastnosťS = súbor.čítajVlastnosť("plátno",
								"podlaha");
						else if (aktívnePlátno == strop)
							vlastnosťS = súbor.čítajVlastnosť("plátno",
								"strop");
						else
							vlastnosťS = súbor.čítajVlastnosť("plátno",
								(String)null);

						if (null != vlastnosťS)
						{
							vlastnosťS = vlastnosťS.toLowerCase();
							if (-1 != vlastnosťS.indexOf("podlaha"))
								kresliNaPodlahu();
							else if (-1 != vlastnosťS.indexOf("strop"))
								kresliNaStrop();
						}

						// Poznámka: príznaky (ne)kreslenia dutých/vyplnených
						//     tvarov (kresliTvary a vypĺňajTvary) sú uložené
						//     v rámci nasledujúcej vlastnosti „kresli“.
						{
							String kresliS = "";

							if (0 != (spôsobKreslenia & KRESLI_ROTOVANÉ))
								kresliS += " | rotované";
							if (0 != (spôsobKreslenia & KRESLI_NA_STRED))
								kresliS += " | centrované";

							if (vypĺňajTvary) kresliS += " | vyplnené";
							if (kresliTvary) kresliS += " | tvary";

							if (kresliS.isEmpty())
								kresliS = "priamo";
							else
								kresliS = kresliS.substring(3);

							spôsobKreslenia = 0;
							vlastnosťS = súbor.čítajVlastnosť(
								"kresli", kresliS);
							if (null != vlastnosťS)
							{
								vlastnosťS = vlastnosťS.toLowerCase();
								if (-1 != vlastnosťS.indexOf("rotované") ||
									-1 != vlastnosťS.indexOf("rotovane") ||
									-1 != vlastnosťS.indexOf("v-smere"))
									spôsobKreslenia |= KRESLI_ROTOVANÉ;
								if (-1 != vlastnosťS.indexOf("centrované") ||
									-1 != vlastnosťS.indexOf("centrovane") ||
									-1 != vlastnosťS.indexOf("na-stred"))
									spôsobKreslenia |= KRESLI_CENTROVANÉ;
								kresliTvary = -1 != vlastnosťS.indexOf("tvary");
								vypĺňajTvary = (-1 != vlastnosťS.indexOf(
									"vyplnené")) || (-1 != vlastnosťS.indexOf(
									"vyplnene"));
							}
						}

						vlastnosťI1 = súbor.čítajVlastnosť("vrstva",
							Long.valueOf(vrstva)).intValue();
						if (vlastnosťI1 != vrstva) vrstva(vlastnosťI1);

						vlastnosťB = súbor.čítajVlastnosť(
							"interaktívny", interaktívnyRežim);
						interaktívnyRežim(vlastnosťB);


						písmo(aktuálnePísmo.čítajZoSúboru(súbor));

						/*
							if (null == mennýPriestor)
								súbor.mennýPriestorVlastností =
									menoRobota + ".písmo";
							else
								súbor.mennýPriestorVlastností =
									mennýPriestor + "." + menoRobota + ".písmo";

							vlastnosťI1 = súbor.čítajVlastnosť("veľkosť",
								Long.valueOf(aktuálnePísmo.veľkosť())).intValue();

							vlastnosťS = súbor.čítajVlastnosť("štýl",
								aktuálnePísmo.názov());
							vlastnosťI2 = Písmo.OBYČAJNÉ;
							if (null != vlastnosťS)
							{
								if (-1 != vlastnosťS.indexOf("tučné") ||
									-1 != vlastnosťS.indexOf("tucne") ||
									-1 != vlastnosťS.indexOf("tučná") ||
									-1 != vlastnosťS.indexOf("tucna"))
									vlastnosťI2 |= Písmo.TUČNÉ;
								if (-1 != vlastnosťS.indexOf("kurzíva") ||
									-1 != vlastnosťS.indexOf("kurziva"))
									vlastnosťI2 |= Písmo.TUČNÉ;
							}

							vlastnosťS = súbor.čítajVlastnosť("názov",
								aktuálnePísmo.názov());

							if (!vlastnosťS.equalsIgnoreCase(
								aktuálnePísmo.názov()) ||
								vlastnosťI1 != aktuálnePísmo.veľkosť() ||
								vlastnosťI2 != aktuálnePísmo.getStyle())
								písmo(new Písmo(vlastnosťS, vlastnosťI2,
									vlastnosťI1));
						*/


						if (null == mennýPriestor)
							súbor.mennýPriestorVlastností =
								menoRobota + ".pôsobisko";
						else
							súbor.mennýPriestorVlastností =
								mennýPriestor + "." + menoRobota + ".pôsobisko";

						kresliPôsobisko = súbor.čítajVlastnosť(
							"kresli", kresliPôsobisko);

						vlastnosťS = súbor.čítajVlastnosť("minimum",
							Bod.polohaNaReťazec(minimálneX, minimálneY));
						bod = (Bod)Bod.reťazecNaPolohu(vlastnosťS);
						minimálneX = bod.polohaX(); minimálneY = bod.polohaY();

						vlastnosťS = súbor.čítajVlastnosť("maximum",
							Bod.polohaNaReťazec(minimálneX, minimálneY));
						bod = (Bod)Bod.reťazecNaPolohu(vlastnosťS);
						minimálneX = bod.polohaX(); minimálneY = bod.polohaY();


						if (null == mennýPriestor)
							súbor.mennýPriestorVlastností =
								menoRobota + ".doma";
						else
							súbor.mennýPriestorVlastností =
								mennýPriestor + "." + menoRobota + ".doma";

						vlastnosťS = súbor.čítajVlastnosť("poloha",
							Bod.polohaNaReťazec(domaX, domaY));
						bod = (Bod)Bod.reťazecNaPolohu(vlastnosťS);
						domaX = bod.polohaX(); domaY = bod.polohaY();
						uholDoma = súbor.čítajVlastnosť("uhol", uholDoma);
						pootočenieTvaruDoma = súbor.čítajVlastnosť(
							"pootočenieTvaru", pootočenieTvaruDoma);

						vlastnosťS = súbor.čítajVlastnosť("farba",
							null == farbaDoma ? null :
								Farba.farbaNaReťazec(farbaDoma));
						farbaDoma = null == vlastnosťS ? null :
							Farba.reťazecNaFarbu(vlastnosťS);
						polomerPeraDoma = súbor.čítajVlastnosť("hrúbkaPera",
							polomerPeraDoma);

						peroPoloženéDoma = súbor.čítajVlastnosť("peroPoložené",
							peroPoloženéDoma);
						viditeľnýDoma = súbor.čítajVlastnosť("viditeľnosť",
							viditeľnýDoma);
						veľkosťDoma = súbor.čítajVlastnosť("veľkosť",
							veľkosťDoma);

						vlastnosťD = súbor.čítajVlastnosť("priehľadnosť",
							null == priehľadnosťDoma ? (Double)null :
							new Double(priehľadnosťDoma));
						priehľadnosťDoma = null == vlastnosťD ? (Float)null :
							new Float(vlastnosťD);

						písmoDoma(Písmo.čítajZoSúboru(súbor, písmoDoma));

						if (null == mennýPriestor)
							súbor.mennýPriestorVlastností =
								menoRobota + ".aktivita";
						else
							súbor.mennýPriestorVlastností =
								mennýPriestor + "." + menoRobota + ".aktivita";

						boolean aktivuj = súbor.čítajVlastnosť(
							"aktívny", aktívny);
						otáčanieTvaru = súbor.čítajVlastnosť("otáčanieTvaru",
							otáčanieTvaru);
						gyroskop = súbor.čítajVlastnosť("gyroskop", gyroskop);
						rýchlosť = súbor.čítajVlastnosť("rýchlosť", rýchlosť);
						uhlováRýchlosť = súbor.čítajVlastnosť(
							"uhlováRýchlosť", uhlováRýchlosť);
						maximálnaRýchlosť = súbor.čítajVlastnosť(
							"maximálnaRýchlosť", maximálnaRýchlosť);
						maximálnaUhlováRýchlosť = súbor.čítajVlastnosť(
							"maximálnaUhlováRýchlosť", maximálnaUhlováRýchlosť);
						zrýchlenie = súbor.čítajVlastnosť("zrýchlenie",
							zrýchlenie);
						uhlovéZrýchlenie = súbor.čítajVlastnosť(
							"uhlovéZrýchlenie", uhlovéZrýchlenie);
						trvanieAktivity = súbor.čítajVlastnosť(
							"trvanieAktivity", Long.valueOf(
								trvanieAktivity)).intValue();


						if (null == mennýPriestor)
							súbor.mennýPriestorVlastností =
								menoRobota + ".cieľ";
						else
							súbor.mennýPriestorVlastností =
								mennýPriestor + "." + menoRobota + ".cieľ";

						cieľAktívny = súbor.čítajVlastnosť("aktívny",
							cieľAktívny);

						vlastnosťS = súbor.čítajVlastnosť("poloha",
							Bod.polohaNaReťazec(cieľX, cieľY));
						bod = (Bod)Bod.reťazecNaPolohu(vlastnosťS);
						cieľX = bod.polohaX(); cieľY = bod.polohaY();
						zastavVCieli = súbor.čítajVlastnosť("zastavV",
							zastavVCieli);
						zastavPoSpomalení = súbor.čítajVlastnosť(
							"zastavPoSpomalení", zastavPoSpomalení);

						if (aktívny != aktivuj)
						{
							if (aktivuj)
								aktivuj(trvanieAktivity, false);
							else
								deaktivuj();
						}
					}
					finally
					{
						if (kresliB) Svet.kresli();
						súbor.mennýPriestorVlastností = mennýPriestor;
					}
				}

				/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(Súbor) čítajZoSúboru}. */
				public void citajZoSuboru(Súbor súbor) throws IOException
				{ čítajZoSúboru(súbor); }

				/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(Súbor) čítajZoSúboru}. */
				public void prečítajZoSúboru(Súbor súbor) throws IOException
				{ čítajZoSúboru(súbor); }

				/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(Súbor) čítajZoSúboru}. */
				public void precitajZoSuboru(Súbor súbor) throws IOException
				{ čítajZoSúboru(súbor); }

				/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(Súbor) čítajZoSúboru}. */
				@Deprecated public void načítajZoSúboru(Súbor súbor)
				throws IOException { čítajZoSúboru(súbor); }

				/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(Súbor) čítajZoSúboru}. */
				@Deprecated public void nacitajZoSuboru(Súbor súbor)
				throws IOException { čítajZoSúboru(súbor); }

				/**
				 * Uloží vlastnosti robota do zadaného súboru.
				 * Robot musí mať {@linkplain #meno(String) meno} a súbor musí
				 * byť otvorený na zápis. Metóda je používaná {@linkplain
				 * Svet#použiKonfiguráciu(String) automatickou konfiguráciou}
				 * sveta. Do konfigurácie je zapísaných mnoho vlastností
				 * robota súvisiacich s jeho vzhľadom a aktivitou.
				 * <b>Nie sú</b> ukladané napríklad: spojnice, nastavenia
				 * kreslenia vlastného tvaru robota, nastavenie kreslenia do
				 * obrázka, záloha plátna, záznam cesty, ani zamestnanosť pre
				 * potreby obrázkov.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param súbor inštancia triedy {@linkplain Súbor súbor}
				 *   otvorená na zápis
				 * @see ObsluhaUdalostí#konfiguráciaZmenená()
				 * @see Svet#použiKonfiguráciu()
				 * @see Svet#registrujRobota(GRobot, String)
				 * @see #čítajZoSúboru(Súbor)
				 * @exception IOException ak vznikla chyba vo
				 *      vstupno/výstupnej operácii
				 * 
				 *  @throws GRobotException  ak robot nemá meno
				 */
				public void uložDoSúboru(Súbor súbor) throws IOException
				{
					String menoRobota = this.menoRobota;

					if (null == menoRobota)
					{
						if (this == hlavnýRobot)
							menoRobota = "robot";
						else
							throw new GRobotException("Robot nemá meno.",
								"robotHasNoName");
					}

					String mennýPriestor = súbor.mennýPriestorVlastností;
					if (null == mennýPriestor)
						súbor.mennýPriestorVlastností = menoRobota;
					else
						súbor.mennýPriestorVlastností =
							mennýPriestor + "." + menoRobota;

					try
					{
						súbor.zapíšVlastnosť("poloha",
							Bod.polohaNaReťazec(this));
						súbor.zapíšVlastnosť("uhol", aktuálnyUhol);
						súbor.zapíšVlastnosť("uholOtáčania", uholOtáčania);
						súbor.zapíšVlastnosť("pootočenieTvaru",
							pootočenieTvaru);

						súbor.zapíšVlastnosť("farba",
							Farba.farbaNaReťazec(this));
						súbor.zapíšVlastnosť("hrúbkaPera", polomerPera);

						súbor.zapíšVlastnosť("peroPoložené", peroPoložené);
						súbor.zapíšVlastnosť("viditeľnosť", viditeľný);
						súbor.zapíšVlastnosť("veľkosť", veľkosť);
						súbor.zapíšVlastnosť("mierkovéČíslo", mierkovéČíslo);
						súbor.zapíšVlastnosť("priehľadnosť",
							Double.valueOf(priehľadnosť));
						súbor.zapíšVlastnosť("vyplnený", vyplnený);

						if (aktívnePlátno == podlaha)
							súbor.zapíšVlastnosť("plátno", "podlaha");
						else if (aktívnePlátno == strop)
							súbor.zapíšVlastnosť("plátno", "strop");
						else
							súbor.zapíšVlastnosť("plátno", null);

						// Poznámka: príznaky (ne)kreslenia dutých/vyplnených
						//     tvarov (kresliTvary a vypĺňajTvary) sú uložené
						//     v rámci nasledujúcej vlastnosti „kresli“.
						{
							String kresli = "";

							if (0 != (spôsobKreslenia & KRESLI_ROTOVANÉ))
								kresli += " | rotované";
							if (0 != (spôsobKreslenia & KRESLI_NA_STRED))
								kresli += " | centrované";

							if (vypĺňajTvary) kresli += " | vyplnené";
							if (kresliTvary) kresli += " | tvary";

							if (kresli.isEmpty())
								kresli = "priamo";
							else
								kresli = kresli.substring(3);

							súbor.zapíšVlastnosť("kresli", kresli);
						}

						/*
							// Starý zbytočne komplikovaný spôsob…

							if (kresliTvary && vypĺňajTvary)
								switch (spôsobKreslenia)
								{
								case KRESLI_PRIAMO:
									súbor.zapíšVlastnosť("kresli",
										"vyplnené tvary");
									break;

								case KRESLI_CENTROVANÉ:
									súbor.zapíšVlastnosť("kresli",
										"centrované vyplnené tvary");
									break;

								case KRESLI_ROTOVANÉ:
									súbor.zapíšVlastnosť("kresli",
										"rotované vyplnené tvary");
									break;

								default:
									súbor.zapíšVlastnosť("kresli",
										"rotované centrované vyplnené tvary");
								}
							else if (kresliTvary)
								switch (spôsobKreslenia)
								{
								case KRESLI_PRIAMO:
									súbor.zapíšVlastnosť("kresli",
										"tvary");
									break;

								case KRESLI_CENTROVANÉ:
									súbor.zapíšVlastnosť("kresli",
										"centrované tvary");
									break;

								case KRESLI_ROTOVANÉ:
									súbor.zapíšVlastnosť("kresli",
										"rotované tvary");
									break;

								default:
									súbor.zapíšVlastnosť("kresli",
										"rotované centrované tvary");
								}
							else if (vypĺňajTvary)
								switch (spôsobKreslenia)
								{
								case KRESLI_PRIAMO:
									súbor.zapíšVlastnosť("kresli",
										"vyplnené");
									break;

								case KRESLI_CENTROVANÉ:
									súbor.zapíšVlastnosť("kresli",
										"centrované vyplnené");
									break;

								case KRESLI_ROTOVANÉ:
									súbor.zapíšVlastnosť("kresli",
										"rotované vyplnené");
									break;

								default:
									súbor.zapíšVlastnosť("kresli",
										"rotované centrované vyplnené");
								}
							else
								switch (spôsobKreslenia)
								{
								case KRESLI_PRIAMO:
									súbor.zapíšVlastnosť("kresli",
										"priamo");
									break;

								case KRESLI_CENTROVANÉ:
									súbor.zapíšVlastnosť("kresli",
										"centrované");
									break;

								case KRESLI_ROTOVANÉ:
									súbor.zapíšVlastnosť("kresli",
										"rotované");
									break;

								default:
									súbor.zapíšVlastnosť("kresli",
										"rotované centrované");
								}
						*/

						súbor.zapíšVlastnosť("vrstva", Long.valueOf(vrstva));

						súbor.zapíšVlastnosť("interaktívny", interaktívnyRežim);


						aktuálnePísmo.uložDoSúboru(súbor);
						/*
						if (null == mennýPriestor)
							súbor.mennýPriestorVlastností =
								menoRobota + ".písmo";
						else
							súbor.mennýPriestorVlastností =
								mennýPriestor + "." + menoRobota + ".písmo";

						súbor.zapíšVlastnosť("názov", aktuálnePísmo.názov());
						súbor.zapíšVlastnosť("veľkosť",
							Long.valueOf(aktuálnePísmo.veľkosť()));
						if (aktuálnePísmo.normálne())
							súbor.zapíšVlastnosť("štýl", "normálny");
						else if (aktuálnePísmo.tučné() &&
							aktuálnePísmo.kurzíva())
							súbor.zapíšVlastnosť("štýl", "tučná kurzíva");
						else if (aktuálnePísmo.tučné())
							súbor.zapíšVlastnosť("štýl", "tučné");
						else if (aktuálnePísmo.kurzíva())
							súbor.zapíšVlastnosť("štýl", "kurzíva");
						else súbor.zapíšVlastnosť("štýl", null);
						*/


						if (null == mennýPriestor)
							súbor.mennýPriestorVlastností =
								menoRobota + ".pôsobisko";
						else
							súbor.mennýPriestorVlastností =
								mennýPriestor + "." + menoRobota + ".pôsobisko";

						súbor.zapíšVlastnosť("kresli", kresliPôsobisko);
						súbor.zapíšVlastnosť("minimum",
							Bod.polohaNaReťazec(minimálneX, minimálneY));
						súbor.zapíšVlastnosť("maximum",
							Bod.polohaNaReťazec(maximálneX, maximálneY));


						if (null == mennýPriestor)
							súbor.mennýPriestorVlastností =
								menoRobota + ".doma";
						else
							súbor.mennýPriestorVlastností =
								mennýPriestor + "." + menoRobota + ".doma";

						súbor.zapíšVlastnosť("poloha",
							Bod.polohaNaReťazec(domaX, domaY));
						súbor.zapíšVlastnosť("uhol", uholDoma);
						súbor.zapíšVlastnosť("pootočenieTvaru",
							pootočenieTvaruDoma);

						súbor.zapíšVlastnosť("farba",
							null == farbaDoma ? null :
							Farba.farbaNaReťazec(farbaDoma));
						súbor.zapíšVlastnosť("hrúbkaPera", polomerPeraDoma);

						súbor.zapíšVlastnosť("peroPoložené", peroPoloženéDoma);
						súbor.zapíšVlastnosť("viditeľnosť", viditeľnýDoma);
						súbor.zapíšVlastnosť("veľkosť", veľkosťDoma);
						súbor.zapíšVlastnosť("priehľadnosť", priehľadnosťDoma);

						Písmo.uložDoSúboru(súbor, písmoDoma);


						// Tie s hviezdičkou boli pred verziou 1.49
						// * polohaDoma
						// * uholDoma
						// farbaDoma
						// hrúbkaDoma
						// * peroDoma
						// * viditeľnosťDoma
						// veľkosťDoma
						// priehľadnosťDoma
						// písmoDoma
						// pootočenieTvaruDoma


						if (null == mennýPriestor)
							súbor.mennýPriestorVlastností =
								menoRobota + ".aktivita";
						else
							súbor.mennýPriestorVlastností =
								mennýPriestor + "." + menoRobota + ".aktivita";

						súbor.zapíšVlastnosť("aktívny", aktívny);
						súbor.zapíšVlastnosť("otáčanieTvaru", otáčanieTvaru);
						súbor.zapíšVlastnosť("gyroskop", gyroskop);
						súbor.zapíšVlastnosť("rýchlosť", rýchlosť);
						súbor.zapíšVlastnosť("uhlováRýchlosť", uhlováRýchlosť);
						súbor.zapíšVlastnosť("maximálnaRýchlosť",
							maximálnaRýchlosť);
						súbor.zapíšVlastnosť("maximálnaUhlováRýchlosť",
							maximálnaUhlováRýchlosť);
						súbor.zapíšVlastnosť("zrýchlenie", zrýchlenie);
						súbor.zapíšVlastnosť("uhlovéZrýchlenie",
							uhlovéZrýchlenie);
						súbor.zapíšVlastnosť("trvanieAktivity",
							Long.valueOf(trvanieAktivity));


						if (null == mennýPriestor)
							súbor.mennýPriestorVlastností =
								menoRobota + ".cieľ";
						else
							súbor.mennýPriestorVlastností =
								mennýPriestor + "." + menoRobota + ".cieľ";

						súbor.zapíšVlastnosť("aktívny", cieľAktívny);
						súbor.zapíšVlastnosť("poloha",
							Bod.polohaNaReťazec(cieľX, cieľY));
						súbor.zapíšVlastnosť("zastavV", zastavVCieli);
						súbor.zapíšVlastnosť("zastavPoSpomalení",
							zastavPoSpomalení);
					}
					finally
					{
						súbor.mennýPriestorVlastností = mennýPriestor;
					}
				}

				/** <a class="alias"></a> Alias pre {@link #uložDoSúboru(Súbor) uložDoSúboru}. */
				public void ulozDoSuboru(Súbor súbor) throws IOException
				{ uložDoSúboru(súbor); }


		// Základné aktivity

			// Smer a krokový pohyb v smere

				/**
				 * Prikáže robotovi, aby sa posunul dopredu o zadaný počet
				 * bodov v aktuálnom smere. Keď je pero položené, tak kreslí
				 * čiaru. Opakom je metóda {@link #vzad(double) vzad}.
				 * 
				 * <P>(Pôvodný jazyk Logo definoval ku každému príkazu pohybu
				 * jeho dvojpísmenové skratky. Pri preklade Loga do slovenčiny
				 * vznikali rôzne nejednoznačnosti, ktoré autori vyriešili
				 * ustálením nasledujúcich tvarov príkazov pohybu korytnačky:
				 * dopredu, vzad, vpravo, vľavo. Grafický robot nemôže
				 * definovať pre tieto príkazy pôvodné skratky, pretože
				 * jedna z nich je v konflikte s kľúčovým slovom Javy. Preto
				 * aspoň definuje všetky aliasy: vpred, doprava, doľava
				 * a dozadu.)
				 * 
				 *  @param dĺžka  počet bodov, o ktorý sa má robot posunúť
				 *  @see #dopredu() dopredu (bez zadania dĺžky)
				 *  @see #vpred(double) (vpred)
				 *  @see #vzad(double) vzad
				 *  @see #dozadu(double) (dozadu)
				 *  @see #vpravo(double) vpravo
				 *  @see #doprava(double) (doprava)
				 *  @see #vľavo(double) vľavo
				 *  @see #doľava(double) (doľava)
				 *  @see #choďNa(double, double) choďNa
				 *  @see #skočNa(double, double) skočNa
				 *  @see #choďPoOblúku(double, double) choďPoOblúku
				 *  @see #skočPoOblúku(double, double) skočPoOblúku
				 *  @see #zdvihniPero() zdvihniPero
				 *  @see #položPero() položPero
				 */
				public void dopredu(double dĺžka)
				{
					double novéX = aktuálneX + Math.cos(
							Math.toRadians(aktuálnyUhol)) * dĺžka;
					double novéY = aktuálneY + Math.sin(
						Math.toRadians(aktuálnyUhol)) * dĺžka;

					if (peroPoložené)
					{
						úsečka(aktuálneX, aktuálneY, novéX, novéY);
						aktualizujPôsobisko();
						aktuálneX = novéX;
						aktuálneY = novéY;
						aktualizujPôsobisko();
					}
					else
					{
						aktuálneX = novéX;
						aktuálneY = novéY;
					}

					if (záznamCesty)
					{
						if (peroPoložené || záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný || peroPoložené) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #dopredu(double) dopredu}. */
				public void vpred(double dĺžka) { dopredu(dĺžka); }

				/**
				 * Prikáže robotovi, aby cúvol z aktuálneho miesta o zadaný
				 * počet bodov (v aktuálnom smere). Keď je pero položené, tak
				 * kreslí čiaru. Opakom je metóda {@link #dopredu(double)
				 * dopredu}.
				 * 
				 * <P>(Pôvodný jazyk Logo definoval ku každému príkazu pohybu
				 * jeho dvojpísmenové skratky. Pri preklade Loga do slovenčiny
				 * vznikali rôzne nejednoznačnosti, ktoré autori vyriešili
				 * ustálením nasledujúcich tvarov príkazov pohybu korytnačky:
				 * dopredu, vzad, vpravo, vľavo. Grafický robot nemôže
				 * definovať pre tieto príkazy pôvodné skratky, pretože
				 * jedna z nich je v konflikte s kľúčovým slovom Javy. Preto
				 * aspoň definuje všetky aliasy: vpred, doprava, doľava
				 * a dozadu.)
				 * 
				 *  @param dĺžka  počet bodov, o ktorý sa má robot posunúť
				 *  @see #vzad() vzad (bez zadania dĺžky)
				 *  @see #dopredu(double) dopredu
				 *  @see #vpred(double) (vpred)
				 *  @see #dozadu(double) (dozadu)
				 *  @see #vpravo(double) vpravo
				 *  @see #doprava(double) (doprava)
				 *  @see #vľavo(double) vľavo
				 *  @see #doľava(double) (doľava)
				 *  @see #choďNa(double, double) choďNa
				 *  @see #skočNa(double, double) skočNa
				 *  @see #choďPoOblúku(double, double) choďPoOblúku
				 *  @see #skočPoOblúku(double, double) skočPoOblúku
				 *  @see #zdvihniPero() zdvihniPero
				 *  @see #položPero() položPero
				 */
				public void vzad(double dĺžka) { dopredu(-dĺžka); }

				/** <a class="alias"></a> Alias pre {@link #vzad(double) vzad}. */
				public void dozadu(double dĺžka) { dopredu(-dĺžka); }

				/**
				 * Prikáže robotovi, aby sa obrátil o zadaný uhol v smere
				 * hodinových ručičiek. Opakom je metóda {@link #vľavo(double)
				 * vľavo}.
				 * 
				 * <P>(Pôvodný jazyk Logo definoval ku každému príkazu pohybu
				 * jeho dvojpísmenové skratky. Pri preklade Loga do slovenčiny
				 * vznikali rôzne nejednoznačnosti, ktoré autori vyriešili
				 * ustálením nasledujúcich tvarov príkazov pohybu korytnačky:
				 * dopredu, vzad, vpravo, vľavo. Grafický robot nemôže
				 * definovať pre tieto príkazy pôvodné skratky, pretože
				 * jedna z nich je v konflikte s kľúčovým slovom Javy. Preto
				 * aspoň definuje všetky aliasy: vpred, doprava, doľava
				 * a dozadu.)
				 * 
				 *  @param uhol  uhol, o ktorý sa má robot otočiť
				 *  @see #vpravo() vpravo (bez zadania uhla)
				 *  @see #dopredu(double) dopredu
				 *  @see #vpred(double) (vpred)
				 *  @see #vzad(double) vzad
				 *  @see #dozadu(double) (dozadu)
				 *  @see #doprava(double) (doprava)
				 *  @see #vľavo(double) vľavo
				 *  @see #doľava(double) (doľava)
				 *  @see #otočNa(double, double)
				 *  @see #choďPoOblúku(double, double) choďPoOblúku
				 *  @see #skočPoOblúku(double, double) skočPoOblúku
				 */
				public void vpravo(double uhol)
				{
					aktuálnyUhol -= uhol;
					aktuálnyUhol %= 360;
					if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					// while (aktuálnyUhol > 360) aktuálnyUhol -= 360;
					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #vpravo(double) vpravo}. */
				public void doprava(double uhol) { vpravo(uhol); }

				/**
				 * Prikáže robotovi, aby sa obrátil o zadaný uhol proti smeru
				 * hodinových ručičiek. Opakom je metóda {@link
				 * #vpravo(double) vpravo}.
				 * 
				 * <P>(Pôvodný jazyk Logo definoval ku každému príkazu pohybu
				 * jeho dvojpísmenové skratky. Pri preklade Loga do slovenčiny
				 * vznikali rôzne nejednoznačnosti, ktoré autori vyriešili
				 * ustálením nasledujúcich tvarov príkazov pohybu korytnačky:
				 * dopredu, vzad, vpravo, vľavo. Grafický robot nemôže
				 * definovať pre tieto príkazy pôvodné skratky, pretože
				 * jedna z nich je v konflikte s kľúčovým slovom Javy. Preto
				 * aspoň definuje všetky aliasy: vpred, doprava, doľava
				 * a dozadu.)
				 * 
				 *  @param uhol  uhol, o ktorý sa má robot otočiť
				 *  @see #vľavo() vľavo (bez zadania uhla)
				 *  @see #dopredu(double) dopredu
				 *  @see #vpred(double) (vpred)
				 *  @see #vzad(double) vzad
				 *  @see #dozadu(double) (dozadu)
				 *  @see #vpravo(double) vpravo
				 *  @see #doprava(double) (doprava)
				 *  @see #doľava(double) (doľava)
				 *  @see #otočNa(double, double)
				 *  @see #choďPoOblúku(double, double) choďPoOblúku
				 *  @see #skočPoOblúku(double, double) skočPoOblúku
				 */
				public void vľavo(double uhol)
				{
					aktuálnyUhol += uhol;
					aktuálnyUhol %= 360;
					if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					// while (aktuálnyUhol > 360) aktuálnyUhol -= 360;
					// while (aktuálnyUhol < 0) aktuálnyUhol += 360;
					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #vľavo(double) vľavo}. */
				public void vlavo(double uhol) { vľavo(uhol); }

				/** <a class="alias"></a> Alias pre {@link #vľavo(double) vľavo}. */
				public void doľava(double uhol) { vľavo(uhol); }

				/** <a class="alias"></a> Alias pre {@link #doľava(double) doľava}. */
				public void dolava(double uhol) { vľavo(uhol); }


				/**
				 * Prikáže robotovi, aby sa posunul v aktuálnom smere dopredu
				 * o hodnotu svojej {@linkplain #veľkosť() veľkosti}. Keď je
				 * pero položené, tak kreslí čiaru. Opakom je metóda
				 * {@link #vzad() vzad}.
				 * (Pozri aj metódu {@link #dopredu(double) dopredu(dĺžka)}.)
				 * 
				 * <P><small>(<b>Poznámka:</b> Táto metóda bola pridaná do
				 * knižnice až pri verzii 1.75. Jej cieľom je zjednodušiť
				 * pohyb robota v interaktívnom režime, kde fungujú aj
				 * skratky základných príkazov na pohyb: dopredu – {@code do},
				 * vzad – {@code vz}, vpravo – {@code vp} a vľavo –
				 * {@code vľ}/{@code vl}. Samozrejme, že jej použitiu nič
				 * nebráni ani pri „klasickom“ programovaní s použitím
				 * knižnice grafického robota.)</small>
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @see #dopredu(double) dopredu(dĺžka)
				 *  @see #vpred() (vpred)
				 *  @see #vzad() vzad
				 *  @see #dozadu() (dozadu)
				 *  @see #vpravo() vpravo
				 *  @see #doprava() (doprava)
				 *  @see #vľavo() vľavo
				 *  @see #doľava() (doľava)
				 *  @see #zdvihniPero() zdvihniPero
				 *  @see #položPero() položPero
				 */
				public void dopredu() { dopredu(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #dopredu() dopredu}. */
				public void vpred() { dopredu(veľkosť); }

				/**
				 * Prikáže robotovi, aby cúvol z aktuálneho miesta o hodnotu
				 * svojej {@linkplain #veľkosť() veľkosti} (v aktuálnom
				 * smere). Keď je pero položené, tak kreslí čiaru. Opakom je
				 * metóda {@link #dopredu() dopredu}.
				 * (Pozri aj metódu {@link #vzad(double) vzad(dĺžka)}.)
				 * 
				 * <P><small>(<b>Poznámka:</b> Táto metóda bola pridaná do
				 * knižnice až pri verzii 1.75. Jej cieľom je zjednodušiť
				 * pohyb robota v interaktívnom režime, kde fungujú aj
				 * skratky základných príkazov na pohyb: dopredu – {@code do},
				 * vzad – {@code vz}, vpravo – {@code vp} a vľavo –
				 * {@code vľ}/{@code vl}. Samozrejme, že jej použitiu nič
				 * nebráni ani pri „klasickom“ programovaní s použitím
				 * knižnice grafického robota.)</small>
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @see #vzad(double) vzad(dĺžka)
				 *  @see #dopredu() dopredu
				 *  @see #vpred() (vpred)
				 *  @see #dozadu() (dozadu)
				 *  @see #vpravo() vpravo
				 *  @see #doprava() (doprava)
				 *  @see #vľavo() vľavo
				 *  @see #doľava() (doľava)
				 *  @see #zdvihniPero() zdvihniPero
				 *  @see #položPero() položPero
				 */
				public void vzad() { dopredu(-veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #vzad() vzad}. */
				public void dozadu() { dopredu(-veľkosť); }

				/**
				 * Prikáže robotovi, aby sa obrátil o {@linkplain
				 * #uholOtáčania() uhol otáčania} (predvolene 45° – s ohľadom
				 * na definície <a href="hodnoty-konstant.html#Smer.JUH">hodnôt
				 * konštát</a> v rozhraní {@link Smer Smer}) v smere
				 * hodinových ručičiek. Opakom je metóda {@link #vľavo()
				 * vľavo}.
				 * (Pozri aj metódu {@link #vpravo(double) vpravo(uhol)}.)
				 * 
				 * <P><small>(<b>Poznámka:</b> Táto metóda bola pridaná do
				 * knižnice až pri verzii 1.75. Jej cieľom je zjednodušiť
				 * pohyb robota v interaktívnom režime, kde fungujú aj
				 * skratky základných príkazov na pohyb: dopredu – {@code do},
				 * vzad – {@code vz}, vpravo – {@code vp} a vľavo –
				 * {@code vľ}/{@code vl}. Samozrejme, že jej použitiu nič
				 * nebráni ani pri „klasickom“ programovaní s použitím
				 * knižnice grafického robota.)</small>
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @see #vpravo(double) vpravo(uhol)
				 *  @see #uholOtáčania(double) uholOtáčania(uhol)
				 *  @see #dopredu() dopredu
				 *  @see #vpred() (vpred)
				 *  @see #vzad() vzad
				 *  @see #dozadu() (dozadu)
				 *  @see #doprava() (doprava)
				 *  @see #vľavo() vľavo
				 *  @see #doľava() (doľava)
				 */
				public void vpravo() { vpravo(uholOtáčania); }

				/** <a class="alias"></a> Alias pre {@link #vpravo() vpravo}. */
				public void doprava() { vpravo(uholOtáčania); }

				/**
				 * Prikáže robotovi, aby sa obrátil o {@linkplain
				 * #uholOtáčania() uhol otáčania} (predvolene 45° – s ohľadom
				 * na definície <a href="hodnoty-konstant.html#Smer.JUH">hodnôt
				 * konštát</a> v rozhraní {@link Smer Smer}) proti
				 * smeru hodinových ručičiek. Opakom je metóda {@link
				 * #vpravo() vpravo}.
				 * (Pozri aj metódu {@link #vľavo(double) vľavo(uhol)}.)
				 * 
				 * <P><small>(<b>Poznámka:</b> Táto metóda bola pridaná do
				 * knižnice až pri verzii 1.75. Jej cieľom je zjednodušiť
				 * pohyb robota v interaktívnom režime, kde fungujú aj
				 * skratky základných príkazov na pohyb: dopredu – {@code do},
				 * vzad – {@code vz}, vpravo – {@code vp} a vľavo –
				 * {@code vľ}/{@code vl}. Samozrejme, že jej použitiu nič
				 * nebráni ani pri „klasickom“ programovaní s použitím
				 * knižnice grafického robota.)</small>
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @see #vľavo(double) vľavo(uhol)
				 *  @see #uholOtáčania(double) uholOtáčania(uhol)
				 *  @see #dopredu() dopredu
				 *  @see #vpred() (vpred)
				 *  @see #vzad() vzad
				 *  @see #dozadu() (dozadu)
				 *  @see #vpravo() vpravo
				 *  @see #doprava() (doprava)
				 *  @see #doľava() (doľava)
				 */
				public void vľavo() { vľavo(uholOtáčania); }

				/** <a class="alias"></a> Alias pre {@link #vľavo() vľavo}. */
				public void vlavo() { vľavo(uholOtáčania); }

				/** <a class="alias"></a> Alias pre {@link #vľavo() vľavo}. */
				public void doľava() { vľavo(uholOtáčania); }

				/** <a class="alias"></a> Alias pre {@link #doľava() doľava}. */
				public void dolava() { vľavo(uholOtáčania); }


				/**
				 * Prikáže robotovi, aby preskočil dopredu o zadaný počet
				 * bodov v aktuálnom smere. Robot pri skákaní nekreslí
				 * čiaru. Opakom je metóda {@link #odskoč(double) odskoč}.
				 * (Pozri aj metódu {@link #skoč() skoč()}.)
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param dĺžka  počet bodov, ktoré má robot preskočiť
				 *  @see #dopredu(double) dopredu
				 */
				public void skoč(double dĺžka)
				{
					double novéX = aktuálneX + Math.cos(
							Math.toRadians(aktuálnyUhol)) * dĺžka;
					double novéY = aktuálneY + Math.sin(
						Math.toRadians(aktuálnyUhol)) * dĺžka;

					aktuálneX = novéX;
					aktuálneY = novéY;

					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #skoč(double) skoč}. */
				public void skoc(double dĺžka) { skoč(dĺžka); }

				/**
				 * Prikáže robotovi, aby skokom cúvol z aktuálneho miesta
				 * o zadaný počet bodov (v aktuálnom smere). Robot pri
				 * skákaní nekreslí čiaru. Opakom je metóda
				 * {@link #skoč(double) skoč}.
				 * (Pozri aj metódu {@link #odskoč() odskoč()}.)
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param dĺžka  počet bodov, ktoré má robot preskočiť
				 *  @see #vzad(double) vzad
				 */
				public void odskoč(double dĺžka) { skoč(-dĺžka); }

				/** <a class="alias"></a> Alias pre {@link #odskoč(double) odskoč}. */
				public void odskoc(double dĺžka) { skoč(-dĺžka); }


				/**
				 * Prikáže robotovi, aby preskočil v aktuálnom smere dopredu
				 * o hodnotu svojej {@linkplain #veľkosť() veľkosti}. Robot
				 * pri skákaní nekreslí čiaru. Opakom je metóda
				 * {@link #odskoč() odskoč}.
				 * (Pozri aj metódu {@link #skoč(double) skoč(dĺžka)}.)
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @see #dopredu() dopredu
				 */
				public void skoč() { skoč(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #skoč() skoč}. */
				public void skoc() { skoč(veľkosť); }

				/**
				 * Prikáže robotovi, aby skokom cúvol z aktuálneho miesta
				 * o hodnotu svojej {@linkplain #veľkosť() veľkosti}
				 * (v aktuálnom smere). Robot pri skákaní nekreslí čiaru.
				 * Opakom je metóda {@link #skoč() skoč}.
				 * (Pozri aj metódu {@link #odskoč(double) odskoč(dĺžka)}.)
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @see #vzad() vzad
				 */
				public void odskoč() { skoč(-veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #odskoč() odskoč}. */
				public void odskoc() { skoč(-veľkosť); }


				/**
				 * Otočí robota o zadaný uhol (proti smeru hodinových
				 * ručičiek). Má rovnaký efekt, ako keby sme volali metódu
				 * {@link #vľavo(double) vľavo}.
				 * 
				 *  @param uhol  uhol, o ktorý sa má robot otočiť
				 * 
				 *  @see #otoč(double)
				 */
				public void otočO(double uhol)
				{
					aktuálnyUhol += uhol;
					aktuálnyUhol %= 360;
					if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					// while (aktuálnyUhol > 360) aktuálnyUhol -= 360;
					// while (aktuálnyUhol < 0) aktuálnyUhol += 360;
					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #otočO(double) otoč}. */
				public void otocO(double uhol) { otočO(uhol); }


				/**
				 * Prikáže robotovi, aby sa posunul vpravo o zadaný počet
				 * bodov (vzhľadom na aktuálnu orientáciu). Robot zostane
				 * obrátený tam, kam bol. Keď je pero položené, tak kreslí
				 * čiaru. Protikladom je metóda {@link #posuňVľavo(double)
				 * posuňVľavo}.
				 * 
				 *  @param dĺžka  počet bodov, o ktorý sa má robot posunúť
				 */
				public void posuňVpravo(double dĺžka)
				{
					double novéX = aktuálneX + Math.cos(
						Math.toRadians(aktuálnyUhol - 90)) * dĺžka;
					double novéY = aktuálneY + Math.sin(
						Math.toRadians(aktuálnyUhol - 90)) * dĺžka;

					if (peroPoložené)
					{
						úsečka(aktuálneX, aktuálneY, novéX, novéY);
						aktualizujPôsobisko();
						aktuálneX = novéX;
						aktuálneY = novéY;
						aktualizujPôsobisko();
					}
					else
					{
						aktuálneX = novéX;
						aktuálneY = novéY;
					}

					if (záznamCesty)
					{
						if (peroPoložené || záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný || peroPoložené) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #posuňVpravo(double) posuňVpravo}. */
				public void posunVpravo(double dĺžka) { posuňVpravo(dĺžka); }

				/** <a class="alias"></a> Alias pre {@link #posuňVpravo(double) posuňVpravo}. */
				public void posuňDoprava(double dĺžka) { posuňVpravo(dĺžka); }

				/** <a class="alias"></a> Alias pre {@link #posuňDoprava(double) posuňDoprava}. */
				public void posunDoprava(double dĺžka) { posuňVpravo(dĺžka); }

				/**
				 * Prikáže robotovi, aby sa posunul vľavo o zadaný počet bodov
				 * (vzhľadom na aktuálnu orientáciu). Robot zostane obrátený
				 * tam, kam bol. Keď je pero položené, tak kreslí čiaru.
				 * Protikladom je metóda {@link #posuňVpravo(double)
				 * posuňVpravo}.
				 * 
				 *  @param dĺžka  počet bodov, o ktorý sa má robot posunúť
				 */
				public void posuňVľavo(double dĺžka)
				{
					double novéX = aktuálneX + Math.cos(
						Math.toRadians(aktuálnyUhol + 90)) * dĺžka;
					double novéY = aktuálneY + Math.sin(
						Math.toRadians(aktuálnyUhol + 90)) * dĺžka;

					if (peroPoložené)
					{
						úsečka(aktuálneX, aktuálneY, novéX, novéY);
						aktualizujPôsobisko();
						aktuálneX = novéX;
						aktuálneY = novéY;
						aktualizujPôsobisko();
					}
					else
					{
						aktuálneX = novéX;
						aktuálneY = novéY;
					}

					if (záznamCesty)
					{
						if (peroPoložené || záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný || peroPoložené) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #posuňVľavo(double) posuňVľavo}. */
				public void posunVlavo(double dĺžka) { posuňVľavo(dĺžka); }

				/** <a class="alias"></a> Alias pre {@link #posuňVľavo(double) posuňVľavo}. */
				public void posuňDoľava(double dĺžka) { posuňVľavo(dĺžka); }

				/** <a class="alias"></a> Alias pre {@link #posuňDoľava(double) posuňDoľava}. */
				public void posunDolava(double dĺžka) { posuňVľavo(dĺžka); }

				/**
				 * Prikáže robotovi, aby sa posunul v zadanom smere o zadaný
				 * počet bodov. Robot zostane obrátený tam, kam bol. Keď je
				 * pero položené, tak kreslí čiaru.
				 * 
				 *  @param smer   uhol smeru, ktorým sa má robot posunúť
				 *  @param dĺžka  počet bodov, o ktorý sa má robot posunúť
				 */
				public void posuňVSmere(double smer, double dĺžka)
				{
					double novéX = aktuálneX + Math.cos(
						Math.toRadians(smer)) * dĺžka;
					double novéY = aktuálneY + Math.sin(
						Math.toRadians(smer)) * dĺžka;

					if (peroPoložené)
					{
						úsečka(aktuálneX, aktuálneY, novéX, novéY);
						aktualizujPôsobisko();
						aktuálneX = novéX;
						aktuálneY = novéY;
						aktualizujPôsobisko();
					}
					else
					{
						aktuálneX = novéX;
						aktuálneY = novéY;
					}

					if (záznamCesty)
					{
						if (peroPoložené || záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný || peroPoložené) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #posuňVSmere(double, double) posuňVSmere}. */
				public void posunVSmere(double smer, double dĺžka)
				{ posuňVSmere(smer, dĺžka); }


				/**
				 * Prikáže robotovi, aby sa posunul vpravo o hodnotu svojej
				 * {@linkplain #veľkosť() veľkosti} (vzhľadom na aktuálnu
				 * orientáciu). Robot zostane obrátený tam, kam bol. Keď
				 * je pero položené, tak kreslí čiaru. Protikladom je metóda
				 * {@link #posuňVľavo() posuňVľavo}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void posuňVpravo() { posuňVpravo(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #posuňVpravo() posuňVpravo}. */
				public void posunVpravo() { posuňVpravo(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #posuňVpravo() posuňVpravo}. */
				public void posuňDoprava() { posuňVpravo(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #posuňDoprava() posuňDoprava}. */
				public void posunDoprava() { posuňVpravo(veľkosť); }

				/**
				 * Prikáže robotovi, aby sa posunul vľavo o hodnotu svojej
				 * {@linkplain #veľkosť() veľkosti} (vzhľadom na aktuálnu
				 * orientáciu). Robot zostane obrátený tam, kam bol. Keď je
				 * pero položené, tak kreslí čiaru. Protikladom je metóda
				 * {@link #posuňVpravo() posuňVpravo}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void posuňVľavo() { posuňVľavo(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #posuňVľavo() posuňVľavo}. */
				public void posunVlavo() { posuňVľavo(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #posuňVľavo() posuňVľavo}. */
				public void posuňDoľava() { posuňVľavo(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #posuňDoľava() posuňDoľava}. */
				public void posunDolava() { posuňVľavo(veľkosť); }

				/**
				 * Prikáže robotovi, aby sa posunul v zadanom smere o hodnotu
				 * svojej {@linkplain #veľkosť() veľkosti}. Robot zostane
				 * obrátený tam, kam bol. Keď je pero položené, tak kreslí
				 * čiaru.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param smer   uhol smeru, ktorým sa má robot posunúť
				 */
				public void posuňVSmere(double smer)
				{ posuňVSmere(smer, veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #posuňVSmere(double) posuňVSmere}. */
				public void posunVSmere(double smer)
				{ posuňVSmere(smer, veľkosť); }


				/**
				 * Prikáže robotovi, aby preskočil vpravo o zadaný počet
				 * bodov (vzhľadom na aktuálnu orientáciu). Robot zostane
				 * obrátený tam, kam bol a pri skákaní nekreslí
				 * čiaru. Protikladom je metóda {@link #preskočVľavo(double)
				 * preskočVľavo}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param dĺžka  počet bodov, ktoré má robot preskočiť
				 */
				public void preskočVpravo(double dĺžka)
				{
					double novéX = aktuálneX + Math.cos(
						Math.toRadians(aktuálnyUhol - 90)) * dĺžka;
					double novéY = aktuálneY + Math.sin(
						Math.toRadians(aktuálnyUhol - 90)) * dĺžka;

					aktuálneX = novéX;
					aktuálneY = novéY;

					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #preskočVpravo(double) preskočVpravo}. */
				public void preskocVpravo(double dĺžka) { preskočVpravo(dĺžka); }

				/** <a class="alias"></a> Alias pre {@link #preskočVpravo(double) preskočVpravo}. */
				public void preskočDoprava(double dĺžka) { preskočVpravo(dĺžka); }

				/** <a class="alias"></a> Alias pre {@link #preskočDoprava(double) preskočDoprava}. */
				public void preskocDoprava(double dĺžka) { preskočVpravo(dĺžka); }

				/**
				 * Prikáže robotovi, aby preskočil vľavo o zadaný počet bodov
				 * (vzhľadom na aktuálnu orientáciu). Robot zostane obrátený
				 * tam, kam bol a pri skákaní nekreslí čiaru.
				 * Protikladom je metóda {@link #preskočVpravo(double)
				 * preskočVpravo}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param dĺžka  počet bodov, ktoré má robot preskočiť
				 */
				public void preskočVľavo(double dĺžka)
				{
					double novéX = aktuálneX + Math.cos(
						Math.toRadians(aktuálnyUhol + 90)) * dĺžka;
					double novéY = aktuálneY + Math.sin(
						Math.toRadians(aktuálnyUhol + 90)) * dĺžka;

					aktuálneX = novéX;
					aktuálneY = novéY;

					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #preskočVľavo(double) preskočVľavo}. */
				public void preskocVlavo(double dĺžka) { preskočVľavo(dĺžka); }

				/** <a class="alias"></a> Alias pre {@link #preskočVľavo(double) preskočVľavo}. */
				public void preskočDoľava(double dĺžka) { preskočVľavo(dĺžka); }

				/** <a class="alias"></a> Alias pre {@link #preskočDoľava(double) preskočDoľava}. */
				public void preskocDolava(double dĺžka) { preskočVľavo(dĺžka); }

				/**
				 * Prikáže robotovi, aby preskočil v zadanom smere o zadaný
				 * počet bodov. Robot zostane obrátený tam, kam bol
				 * a pri skákaní nekreslí čiaru.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param smer   uhol smeru, ktorým má robot skočiť
				 *  @param dĺžka  počet bodov, ktoré má robot preskočiť
				 */
				public void preskočVSmere(double smer, double dĺžka)
				{
					double novéX = aktuálneX + Math.cos(
						Math.toRadians(smer)) * dĺžka;
					double novéY = aktuálneY + Math.sin(
						Math.toRadians(smer)) * dĺžka;

					aktuálneX = novéX;
					aktuálneY = novéY;

					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #preskočVSmere(double, double) preskočVSmere}. */
				public void preskocVSmere(double smer, double dĺžka)
				{ preskočVSmere(smer, dĺžka); }


				/**
				 * Prikáže robotovi, aby preskočil vpravo o hodnotu svojej
				 * {@linkplain #veľkosť() veľkosti} (vzhľadom na aktuálnu
				 * orientáciu). Robot zostane obrátený tam, kam bol
				 * a pri skákaní nekreslí čiaru. Protikladom je metóda
				 * {@link #preskočVľavo() preskočVľavo}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void preskočVpravo() { preskočVpravo(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #preskočVpravo() preskočVpravo}. */
				public void preskocVpravo() { preskočVpravo(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #preskočVpravo() preskočVpravo}. */
				public void preskočDoprava() { preskočVpravo(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #preskočDoprava() preskočDoprava}. */
				public void preskocDoprava() { preskočVpravo(veľkosť); }

				/**
				 * Prikáže robotovi, aby preskočil vľavo o hodnotu svojej
				 * {@linkplain #veľkosť() veľkosti} (vzhľadom na aktuálnu
				 * orientáciu). Robot zostane obrátený tam, kam bol
				 * a pri skákaní nekreslí čiaru. Protikladom je metóda
				 * {@link #preskočVpravo() preskočVpravo}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void preskočVľavo() { preskočVľavo(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #preskočVľavo() preskočVľavo}. */
				public void preskocVlavo() { preskočVľavo(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #preskočVľavo() preskočVľavo}. */
				public void preskočDoľava() { preskočVľavo(veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #preskočDoľava() preskočDoľava}. */
				public void preskocDolava() { preskočVľavo(veľkosť); }

				/**
				 * Prikáže robotovi, aby preskočil v zadanom smere o hodnotu
				 * svojej {@linkplain #veľkosť() veľkosti}. Robot zostane
				 * obrátený tam, kam bol a pri skákaní nekreslí
				 * čiaru.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param smer   uhol smeru, ktorým má robot skočiť
				 */
				public void preskočVSmere(double smer)
				{ preskočVSmere(smer, veľkosť); }

				/** <a class="alias"></a> Alias pre {@link #preskočVSmere(double) preskočVSmere}. */
				public void preskocVSmere(double smer)
				{ preskočVSmere(smer, veľkosť); }


				/**
				 * Zistí smer (uhol) z aktuálneho miesta robota smerom na
				 * zadané súradnice [x, y]. Ak sú súradnice bodu zhodné so
				 * súradnicami robota, je vrátená hodnota uhla 360.
				 * 
				 *  @param x  x-ová súradnica bodu
				 *  @param y  y-ová súradnica bodu
				 *  @return   hodnota uhla určujúceho smer od robota
				 *      k zadanému bodu
				 *  @see #smer()
				 *  @see #uhol()
				 *  @see #uholNa(double, double)
				 *  @see #smerNa(Poloha)
				 *  @see #uholNa(Poloha)
				 *  @see #smerNa(Shape)
				 *  @see #uholNa(Shape)
				 *  @see #smerNaMyš()
				 *  @see #uholNaMyš()
				 *  @see #smer(double, double)
				 *  @see #uhol(double, double)
				 *  @see #otočNa(double, double)
				 *  @see #otočNa(double, double, double)
				 */
				public double smerNa(double x, double y)
				{
					double Δx = x - aktuálneX;  // delta x – rozdiel súradníc x
					double Δy = y - aktuálneY;  // delta y – rozdiel súradníc y

					if (Δx == 0 && Δy == 0) return 360;

					/*
					else if (Δx == 0 && Δy < 0) return 270;
					else if (Δx == 0 && Δy > 0) return 90;
					else if (Δx > 0 && Δy == 0) return 0;
					else if (Δx < 0 && Δy == 0) return 180;

					double α = Math.toDegrees(Math.atan(Δy / Δx));
					if (Δx < 0) return 180 + α;
					if (Δy < 0) return 360 + α;
					*/

					double α = Math.toDegrees(Math.atan2(Δy, Δx));
					if (α < 0) return 360 + α;
					return α;
				}

				/** <a class="alias"></a> Alias pre {@link #smerNa(double, double) smerNa}. */
				public double uholNa(double x, double y) { return smerNa(x, y); }


				// /**
				//  * Zistí smer (uhol) z aktuálneho miesta robota smerom na
				//  * súradnice zadaného bodu. Ak sú súradnice bodu zhodné so
				//  * súradnicami robota, je vrátená hodnota uhla 360.
				//  * 
				//  *  @param bod  vyšetrovaný bod v súradnicovom priestore
				//  *      robota
				//  *  @return   hodnota uhla určujúceho smer od robota
				//  *      k zadanému bodu
				//  *  @see #otočNa(Point2D)
				//  *  @see #otočNa(Point2D, double)
				//  */
				// public double smerNa(Point2D bod)
				// {
				// 	double Δx = bod.getX() - aktuálneX;
				// 	double Δy = bod.getY() - aktuálneY;
				// 
				// 	if (Δx == 0 && Δy == 0) return 360;
				// 
				// 	/*
				// 	else if (Δx == 0 && Δy < 0) return 270;
				// 	else if (Δx == 0 && Δy > 0) return 90;
				// 	else if (Δx > 0 && Δy == 0) return 0;
				// 	else if (Δx < 0 && Δy == 0) return 180;
				// 
				// 	double α = Math.toDegrees(Math.atan(Δy / Δx));
				// 	if (Δx < 0) return 180 + α;
				// 	if (Δy < 0) return 360 + α;
				// 	*/
				// 
				// 	double α = Math.toDegrees(Math.atan2(Δy, Δx));
				// 	if (α < 0) return 360 + α;
				// 	return α;
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #smerNa(Point2D) smerNa}. */
				// public double uholNa(Point2D bod) { return smerNa(bod); }


				/**
				 * Zistí smer (uhol) z aktuálneho miesta robota smerom ku
				 * zadanému objektu. Ak sú polohy robota a objektu zhodné, je
				 * vrátená hodnota uhla 360. (Cieľový objekt nemusí byť
				 * viditeľný.)
				 * 
				 *  @param objekt  objekt vzhľadom ku ktorému bude zistená
				 *                  orientácia
				 *  @return hodnota uhla určujúceho smer od robota
				 *          ku zadanému objektu
				 *  @see #smer()
				 *  @see #uhol()
				 *  @see #smerNa(double, double)
				 *  @see #uholNa(double, double)
				 *  @see #uholNa(Poloha)
				 *  @see #smerNa(Shape)
				 *  @see #uholNa(Shape)
				 *  @see #smerNaMyš()
				 *  @see #uholNaMyš()
				 *  @see #smer(double, double)
				 *  @see #uhol(double, double)
				 *  @see #otočNa(double, double)
				 *  @see #otočNa(Poloha)
				 *  @see #otočNa(Poloha, double)
				 */
				public double smerNa(Poloha objekt)
				{
					double Δx = objekt.polohaX() - aktuálneX;
						// delta x – rozdiel súradníc x
					double Δy = objekt.polohaY() - aktuálneY;
						// delta y – rozdiel súradníc y

					if (Δx == 0 && Δy == 0) return 360;

					/*
					else if (Δx == 0 && Δy < 0) return 270;
					else if (Δx == 0 && Δy > 0) return 90;
					else if (Δx > 0 && Δy == 0) return 0;
					else if (Δx < 0 && Δy == 0) return 180;

					double α = Math.toDegrees(Math.atan(Δy / Δx));
					if (Δx < 0) return 180 + α;
					if (Δy < 0) return 360 + α;
					*/

					double α = Math.toDegrees(Math.atan2(Δy, Δx));
					if (α < 0) return 360 + α;
					return α;
				}

				/** <a class="alias"></a> Alias pre {@link #smerNa(Poloha) smerNa}. */
				public double uholNa(Poloha objekt) { return smerNa(objekt); }


				/**
				 * Zistí smer (uhol) z aktuálneho miesta robota smerom do,
				 * stredu hraníc<sup>[1]</sup> zadaného tvaru. Ak je poloha
				 * robota zhodná so stredom hraníc tvaru, je vrátená hodnota
				 * uhla 360.
				 * 
				 * <P><small>[1] – nejde presne o stred útvaru; je použitý
				 * najrýchlejší a najjednoduchší spôsob zistenia približného
				 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí
				 * sa jeho stred – čiže „stred hraníc“</small>
				 * 
				 *  @param tvar  tvar Javy ({@link Shape Shape}), ku stredu
				 *      hraníc ktorého má byť zistený smer
				 *  @return hodnota uhla určujúceho smer od robota ku
				 *      zadanému tvaru
				 *  @see #smer()
				 *  @see #uhol()
				 *  @see #smerNa(double, double)
				 *  @see #uholNa(double, double)
				 *  @see #smerNa(Poloha)
				 *  @see #uholNa(Poloha)
				 *  @see #uholNa(Shape)
				 *  @see #smerNaMyš()
				 *  @see #uholNaMyš()
				 *  @see #smer(double, double)
				 *  @see #uhol(double, double)
				 *  @see #otočNa(double, double)
				 *  @see #otočNa(Shape)
				 *  @see #otočNa(Shape, double)
				 */
				public double smerNa(Shape tvar)
				{
					Rectangle2D hranice = tvar.getBounds2D();
					double Δx = (prepočítajSpäťX(hranice.getX()) +
						hranice.getWidth() / 2) - aktuálneX;
					double Δy = (prepočítajSpäťY(hranice.getY()) -
						hranice.getHeight() / 2) - aktuálneY;

					if (Δx == 0 && Δy == 0) return 360;

					/*
					else if (Δx == 0 && Δy < 0) return 270;
					else if (Δx == 0 && Δy > 0) return 90;
					else if (Δx > 0 && Δy == 0) return 0;
					else if (Δx < 0 && Δy == 0) return 180;

					double α = Math.toDegrees(Math.atan(Δy / Δx));
					if (Δx < 0) return 180 + α;
					if (Δy < 0) return 360 + α;
					*/

					double α = Math.toDegrees(Math.atan2(Δy, Δx));
					if (α < 0) return 360 + α;
					return α;
				}

				/** <a class="alias"></a> Alias pre {@link #smerNa(Shape) smerNa}. */
				public double uholNa(Shape tvar) { return smerNa(tvar); }


				/**
				 * Zistí smer (uhol) z aktuálneho miesta robota smerom
				 * k aktuálnym súradniciam myši. Ak sú súradnice myši zhodné
				 * so súradnicami robota, je vrátená hodnota uhla 360.
				 * 
				 *  @return hodnota uhla určujúceho smer od robota
				 *      k aktuálnym súradniciam myši
				 *  @see #smer()
				 *  @see #uhol()
				 *  @see #smerNa(double, double)
				 *  @see #uholNa(double, double)
				 *  @see #smerNa(Poloha)
				 *  @see #uholNa(Poloha)
				 *  @see #smerNa(Shape)
				 *  @see #uholNa(Shape)
				 *  @see #uholNaMyš()
				 *  @see #smer(double, double)
				 *  @see #uhol(double, double)
				 *  @see #otočNa(double, double)
				 *  @see #otočNaMyš()
				 *  @see #otočNaMyš(double)
				 */
				public double smerNaMyš()
				{
					double Δx = súradnicaMyšiX - aktuálneX;
					double Δy = súradnicaMyšiY - aktuálneY;

					if (Δx == 0 && Δy == 0) return 360;

					/*
					else if (Δx == 0 && Δy < 0) return 270;
					else if (Δx == 0 && Δy > 0) return 90;
					else if (Δx > 0 && Δy == 0) return 0;
					else if (Δx < 0 && Δy == 0) return 180;

					double α = Math.toDegrees(Math.atan(Δy / Δx));
					if (Δx < 0) return 180 + α;
					if (Δy < 0) return 360 + α;
					*/

					double α = Math.toDegrees(Math.atan2(Δy, Δx));
					if (α < 0) return 360 + α;
					return α;
				}

				/** <a class="alias"></a> Alias pre {@link #smerNaMyš() smerNaMyš}. */
				public double smerNaMys() { return smerNaMyš(); }

				/** <a class="alias"></a> Alias pre {@link #smerNaMyš() smerNaMyš}. */
				public double uholNaMyš() { return smerNaMyš(); }

				/** <a class="alias"></a> Alias pre {@link #smerNaMyš() smerNaMyš}. */
				public double uholNaMys() { return smerNaMyš(); }


				/**
				 * Zistí smer k bodu zadanému pomocou odchýlok súradníc
				 * v horizontálnom a vertikáklom smere [Δx, Δy]. Ak sú zadané
				 * súradnice [0, 0], metóda vráti hodnotu 360. Efekt je
				 * rovnaký, ako keby robot stál v bode [0, 0] a použili by sme
				 * s rovnakými hodnotami metódu {@link #smerNa(double, double)
				 * smerNa}. (Inak povedané – táto metóda pracuje s tzv.
				 * relatívnymi súradnicami – súradnicami vztiahnutými
				 * k súčasnej polohe robota.)
				 * 
				 *  @param Δx  odchýlka v smere x
				 *  @param Δy  odchýlka v smere y
				 *  @return hodnota uhla určujúceho smer od stredu
				 *      súradnicovej sústavy k zadanému bodu
				 *  @see #smer()
				 *  @see #uhol()
				 *  @see #smerNa(double, double)
				 *  @see #uholNa(double, double)
				 *  @see #smerNa(Poloha)
				 *  @see #uholNa(Poloha)
				 *  @see #smerNa(Shape)
				 *  @see #uholNa(Shape)
				 *  @see #smerNaMyš()
				 *  @see #uholNaMyš()
				 *  @see #uhol(double, double)
				 *  @see #otočNa(double, double)
				 */
				public /*static*/ double smer(double Δx, double Δy)
				{
					if (Δx == 0 && Δy == 0) return 360;

					/*
					else if (Δx == 0 && Δy < 0) return 270;
					else if (Δx == 0 && Δy > 0) return 90;
					else if (Δx > 0 && Δy == 0) return 0;
					else if (Δx < 0 && Δy == 0) return 180;

					double α = Math.toDegrees(Math.atan(Δy / Δx));
					if (Δx < 0) return 180 + α;
					if (Δy < 0) return 360 + α;
					*/

					double α = Math.toDegrees(Math.atan2(Δy, Δx));
					if (α < 0) return 360 + α;
					return α;
				}

				/** <a class="alias"></a> Alias pre {@link #smer(double, double) smer}. */
				public /*static*/ double uhol(double Δx, double Δy) { return smer(Δx, Δy); }


				/**
				 * Nasmeruje robota smerom na zadané súradnice [x, y] na
				 * podlahe (strope). Ak sú súradnice bodu zhodné so
				 * súradnicami robota, smer robota sa nezmení. Inak je
				 * vypočítaný uhol smeru medzi aktuálnou polohou robota
				 * a zadaným bodom, ktorý je použitý na nasmerovanie robota.
				 * 
				 *  @param x  x-ová súradnica bodu
				 *  @param y  y-ová súradnica bodu
				 *  @see #smer()
				 *  @see #uhol()
				 *  @see #smerNa(double, double)
				 *  @see #uholNa(double, double)
				 *  @see #smerNa(Poloha)
				 *  @see #uholNa(Poloha)
				 *  @see #smerNa(Shape)
				 *  @see #uholNa(Shape)
				 *  @see #smerNaMyš()
				 *  @see #uholNaMyš()
				 *  @see #smer(double, double)
				 *  @see #uhol(double, double)
				 */
				public void otočNa(double x, double y)
				{
					double Δx = x - aktuálneX;  // delta x – rozdiel súradníc x
					double Δy = y - aktuálneY;  // delta y – rozdiel súradníc y

					if (Δx == 0 && Δy == 0) return;
					// else if (Δx == 0 && Δy < 0) aktuálnyUhol = 270;
					// else if (Δx == 0 && Δy > 0) aktuálnyUhol = 90;
					// else if (Δx > 0 && Δy == 0) aktuálnyUhol = 0;
					// else if (Δx < 0 && Δy == 0) aktuálnyUhol = 180;
					else
					{
						/*
						double α = Math.toDegrees(Math.atan(Δy / Δx));

						if (Δx < 0)
							aktuálnyUhol = 180 + α;
						else if (Δy < 0)
							aktuálnyUhol = 360 + α;
						else
							aktuálnyUhol = α;
						*/

						aktuálnyUhol = Math.toDegrees(Math.atan2(Δy, Δx));
						if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #otočNa(double, double) otočNa}. */
				public void otocNa(double x, double y) { otočNa(x, y); }

				/**
				 * Funguje podobne ako metóda {@link #otočNa(double, double)
				 * otočNa}, ibaže obmedzuje uhol pootočenia stanoveným smerom –
				 * neotočí robota okamžite smerom na zadané súradnice, iba ním
				 * pootočí stanoveným smerom o maximálnu zadanú hodnotu uhla.
				 * 
				 *  @param x  x-ová súradnica bodu
				 *  @param y  y-ová súradnica bodu
				 *  @param najviacO maximálna hodnota uhla, o ktorú sa môže
				 *      robot otočiť smerom k bodu [x, y]
				 *  @see #smerNa(double, double)
				 */
				public void otočNa(double x, double y, double najviacO)
				{
					double α = smerNa(x, y);
					if (α == 360) return;
					if (najviacO < 0) najviacO = -najviacO;

					α -= aktuálnyUhol;
					if (α > 180) α -= 360;
					if (α < -180) α += 360;
					if (α > 0 && α > najviacO) α = najviacO;
					if (α < 0 && α < -najviacO) α = -najviacO;

					vľavo(α);
				}

				/** <a class="alias"></a> Alias pre {@link #otočNa(double, double, double) otočNa}. */
				public void otocNa(double x, double y, double najviacO)
				{ otočNa(x, y, najviacO); }


				// /**
				//  * Nasmeruje robota smerom na zadané súradnice na podlahe
				//  * (strope). Ak sú súradnice bodu zhodné so súradnicami
				//  * robota, smer robota sa nezmení. Inak je vypočítaný uhol
				//  * smeru medzi aktuálnou polohou robota a zadaným bodom,
				//  * ktorý je použitý na nasmerovanie robota.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @see #smerNa(Point2D)
				//  */
				// public void otočNa(Point2D bod)
				// {
				// 	double Δx = bod.getX() - aktuálneX;
				// 	double Δy = bod.getY() - aktuálneY;
				// 
				// 	if (Δx == 0 && Δy == 0) return;
				// 	// else if (Δx == 0 && Δy < 0) aktuálnyUhol = 270;
				// 	// else if (Δx == 0 && Δy > 0) aktuálnyUhol = 90;
				// 	// else if (Δx > 0 && Δy == 0) aktuálnyUhol = 0;
				// 	// else if (Δx < 0 && Δy == 0) aktuálnyUhol = 180;
				// 	else
				// 	{
				// 		/*
				// 		double α = Math.toDegrees(Math.atan(Δy / Δx));
				// 
				// 		if (Δx < 0)
				// 			aktuálnyUhol = 180 + α;
				// 		else if (Δy < 0)
				// 			aktuálnyUhol = 360 + α;
				// 		else
				// 			aktuálnyUhol = α;
				// 		*/
				// 
				// 		aktuálnyUhol = Math.toDegrees(Math.atan2(Δy, Δx));
				// 		if (aktuálnyUhol < 0) aktuálnyUhol += 360;
				// 	}
				// 
				// 	if (viditeľný) automatickéPrekreslenie();
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #otočNa(Point2D) otočNa}. */
				// public void otocNa(Point2D bod) { otočNa(bod); }
				// 
				// /**
				//  * Funguje podobne ako metóda {@link #otočNa(Point2D)
				//  * otočNa}, ibaže obmedzuje uhol pootočenia stanoveným smerom –
				//  * neotočí robota okamžite smerom na zadané súradnice, iba ním
				//  * pootočí stanoveným smerom o maximálnu zadanú hodnotu uhla.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @param najviacO maximálna hodnota uhla, o ktorú sa môže
				//  *      robot otočiť smerom k bodu
				//  *  @see #smerNa(Point2D)
				//  */
				// public void otočNa(Point2D bod, double najviacO)
				// {
				// 	double α = smerNa(bod);
				// 	if (α == 360) return;
				// 	if (najviacO < 0) najviacO = -najviacO;
				// 
				// 	α -= aktuálnyUhol;
				// 	if (α > 180) α -= 360;
				// 	if (α < -180) α += 360;
				// 	if (α > 0 && α > najviacO) α = najviacO;
				// 	if (α < 0 && α < -najviacO) α = -najviacO;
				// 
				// 	vľavo(α);
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #otočNa(Point2D, double) otočNa}. */
				// public void otocNa(Point2D bod, double najviacO)
				// { otočNa(bod, najviacO); }


				/**
				 * Nasmeruje tohto robota smerom k zadanému objektu. Ak sú
				 * súradnice robota a objektu zhodné, smer robota sa nezmení.
				 * Inak je vypočítaný uhol smeru medzi polohou robota
				 * a zadaného objektu a ten je použitý na nasmerovanie robota.
				 * (Objekt nemusí byť viditeľný.)
				 * 
				 *  @param objekt  objekt ku ktorému má byť tento robot
				 *    nasmerovaný
				 *  @see #smerNa(Poloha)
				 */
				public void otočNa(Poloha objekt)
				{
					double Δx = objekt.polohaX() - aktuálneX;
						// delta x – rozdiel súradníc x
					double Δy = objekt.polohaY() - aktuálneY;
						// delta y – rozdiel súradníc y

					if (Δx == 0 && Δy == 0) return;
					// else if (Δx == 0 && Δy < 0) aktuálnyUhol = 270;
					// else if (Δx == 0 && Δy > 0) aktuálnyUhol = 90;
					// else if (Δx > 0 && Δy == 0) aktuálnyUhol = 0;
					// else if (Δx < 0 && Δy == 0) aktuálnyUhol = 180;
					else
					{
						/*
						double α = Math.toDegrees(Math.atan(Δy / Δx));

						if (Δx < 0)
							aktuálnyUhol = 180 + α;
						else if (Δy < 0)
							aktuálnyUhol = 360 + α;
						else
							aktuálnyUhol = α;
						*/

						aktuálnyUhol = Math.toDegrees(Math.atan2(Δy, Δx));
						if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #otočNa(Poloha) otočNa}. */
				public void otocNa(Poloha objekt) { otočNa(objekt); }

				/**
				 * Funguje podobne ako metóda {@link #otočNa(Poloha) otočNa},
				 * ibaže obmedzuje uhol pootočenia stanoveným smerom – neotočí
				 * tohto robota okamžite smerom k objektu, iba ho
				 * pootočí stanoveným smerom o maximálnu zadanú hodnotu uhla.
				 * 
				 *  @param objekt  objekt ku ktorému má byť tento robot
				 *    nasmerovaný
				 *  @param najviacO maximálna hodnota uhla, o ktorú sa môže
				 *      tento robot otočiť smerom k objektu
				 *  @see #smerNa(Poloha)
				 */
				public void otočNa(Poloha objekt, double najviacO)
				{
					double α = smerNa(objekt);
					if (α == 360) return;
					if (najviacO < 0) najviacO = -najviacO;

					α -= aktuálnyUhol;
					if (α > 180) α -= 360;
					if (α < -180) α += 360;
					if (α > 0 && α > najviacO) α = najviacO;
					if (α < 0 && α < -najviacO) α = -najviacO;

					vľavo(α);
				}

				/** <a class="alias"></a> Alias pre {@link #otočNa(Poloha, double) otočNa}. */
				public void otocNa(Poloha objekt, double najviacO)
				{ otočNa(objekt, najviacO); }


				/**
				 * Nasmeruje tohto robota smerom do stredu
				 * hraníc<sup>[1]</sup> zadaného tvaru. Ak je poloha robota
				 * zhodná so stredom hraníc tvaru, smer robota sa nezmení.
				 * Inak je vypočítaný uhol smeru medzi polohou aktuálneho
				 * robota a stredom hraníc tvaru a výsledok je použitý na
				 * nasmerovanie tohto robota.
				 * 
				 * <P><small>[1] – nejde presne o stred útvaru; je použitý
				 * najrýchlejší a najjednoduchší spôsob zistenia približného
				 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí
				 * sa jeho stred – čiže „stred hraníc“</small>
				 * 
				 *  @param tvar  tvar Javy ({@link Shape Shape}), do stredu
				 *      hraníc ktorého má byť robot nasmerovaný
				 *  @see #smerNa(Shape)
				 */
				public void otočNa(Shape tvar)
				{
					Rectangle2D hranice = tvar.getBounds2D();
					double Δx = (prepočítajSpäťX(hranice.getX()) +
						hranice.getWidth() / 2) - aktuálneX;
					double Δy = (prepočítajSpäťY(hranice.getY()) -
						hranice.getHeight() / 2) - aktuálneY;

					if (Δx == 0 && Δy == 0) return;
					// else if (Δx == 0 && Δy < 0) aktuálnyUhol = 270;
					// else if (Δx == 0 && Δy > 0) aktuálnyUhol = 90;
					// else if (Δx > 0 && Δy == 0) aktuálnyUhol = 0;
					// else if (Δx < 0 && Δy == 0) aktuálnyUhol = 180;
					else
					{
						/*
						double α = Math.toDegrees(Math.atan(Δy / Δx));

						if (Δx < 0)
							aktuálnyUhol = 180 + α;
						else if (Δy < 0)
							aktuálnyUhol = 360 + α;
						else
							aktuálnyUhol = α;
						*/

						aktuálnyUhol = Math.toDegrees(Math.atan2(Δy, Δx));
						if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #otočNa(Shape) otočNa}. */
				public void otocNa(Shape tvar) { otočNa(tvar); }

				/**
				 * Funguje podobne ako metóda {@link #otočNa(Shape) otočNa},
				 * ibaže obmedzuje uhol pootočenia stanoveným smerom – neotočí
				 * tohto robota okamžite smerom do stredu hraníc<sup>[1]</sup>
				 * tvaru, iba ho pootočí stanoveným smerom o maximálnu zadanú
				 * hodnotu uhla.
				 * 
				 * <P><small>[1] – nejde presne o stred útvaru; je použitý
				 * najrýchlejší a najjednoduchší spôsob zistenia približného
				 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí
				 * sa jeho stred – čiže „stred hraníc“</small>
				 * 
				 *  @param tvar  tvar Javy ({@link Shape Shape}), do stredu
				 *      hraníc ktorého má byť robot nasmerovaný
				 *  @param najviacO maximálna hodnota uhla, o ktorú sa môže
				 *      tento robot otočiť smerom do stredu hraníc tvaru
				 *  @see #smerNa(Shape)
				 */
				public void otočNa(Shape tvar, double najviacO)
				{
					double α = smerNa(tvar);
					if (α == 360) return;
					if (najviacO < 0) najviacO = -najviacO;

					α -= aktuálnyUhol;
					if (α > 180) α -= 360;
					if (α < -180) α += 360;
					if (α > 0 && α > najviacO) α = najviacO;
					if (α < 0 && α < -najviacO) α = -najviacO;

					vľavo(α);
				}

				/** <a class="alias"></a> Alias pre {@link #otočNa(Shape, double) otočNa}. */
				public void otocNa(Shape tvar, double najviacO)
				{ otočNa(tvar, najviacO); }


				/**
				 * Nasmeruje robota smerom na aktuálne súradnice myši.
				 * Ak sú súradnice myši zhodné so súradnicami robota, smer
				 * robota sa nezmení. Inak je vypočítaný uhol smeru medzi
				 * aktuálnou polohou robota a polohou myši, ktorý je použitý
				 * na nasmerovanie robota.
				 *  @see #smerNaMyš()
				 */
				public void otočNaMyš()
				{
					double Δx = súradnicaMyšiX - aktuálneX;
					double Δy = súradnicaMyšiY - aktuálneY;

					if (Δx == 0 && Δy == 0) return;
					// else if (Δx == 0 && Δy < 0) aktuálnyUhol = 270;
					// else if (Δx == 0 && Δy > 0) aktuálnyUhol = 90;
					// else if (Δx > 0 && Δy == 0) aktuálnyUhol = 0;
					// else if (Δx < 0 && Δy == 0) aktuálnyUhol = 180;
					else
					{
						/*
						double α = Math.toDegrees(Math.atan(Δy / Δx));

						if (Δx < 0)
							aktuálnyUhol = 180 + α;
						else if (Δy < 0)
							aktuálnyUhol = 360 + α;
						else
							aktuálnyUhol = α;
						*/

						aktuálnyUhol = Math.toDegrees(Math.atan2(Δy, Δx));
						if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #otočNaMyš() otočNaMyš}. */
				public void otocNaMys() { otočNaMyš(); }

				/**
				 * Funguje podobne ako metóda {@link #otočNaMyš() otočNaMyš},
				 * ibaže obmedzuje uhol pootočenia – neotočí tohto robota
				 * okamžite smerom k súradniciam myši, iba ho pootočí
				 * stanoveným smerom o maximálnu zadanú hodnotu uhla.
				 * 
				 *  @param najviacO maximálna hodnota uhla, o ktorú sa môže
				 *      tento robot otočiť smerom k aktuálnym súradniciam myši
				 *  @see #smerNaMyš()
				 */
				public void otočNaMyš(double najviacO)
				{
					double α = smerNaMyš();
					if (α == 360) return;
					if (najviacO < 0) najviacO = -najviacO;

					α -= aktuálnyUhol;
					if (α > 180) α -= 360;
					if (α < -180) α += 360;
					if (α > 0 && α > najviacO) α = najviacO;
					if (α < 0 && α < -najviacO) α = -najviacO;

					vľavo(α);
				}

				/** <a class="alias"></a> Alias pre {@link #otočNaMyš(double) otočNaMyš}. */
				public void otocNaMys(double najviacO) { otočNaMyš(najviacO); }


				/**
				 * Nasmeruje robota smerom zadaným pomocou súradníc [Δx, Δy].
				 * Ak je zadané [0, 0], smer robota sa nezmení. Inak je
				 * vypočítaný uhol smeru medzi aktuálnou polohou robota
				 * a súradnicami zmenenými o hodnoty [Δx, Δy]. Efekt je
				 * v podstate rovnaký, ako keby robot stál v bode [0, 0]
				 * a použili by sme s rovnakými hodnotami metódu {@link
				 * #otočNa(double, double) otočNa}. (Inak povedané – táto
				 * metóda pracuje s tzv. relatívnymi súradnicami – súradnicami
				 * vztiahnutými k súčasnej polohe robota.)
				 * 
				 *  @param Δx  odchýlka v smere x
				 *  @param Δy  odchýlka v smere y
				 * 
				 *  @see #smer(double)
				 *  @see #uhol(double)
				 *  @see #vpravo(double) vpravo
				 *  @see #vľavo(double) vľavo
				 *  @see #otočNa(double, double)
				 *  @see #otoč(double)
				 *  @see #otoč(double, double)
				 *  @see #otoč(double, double, double)
				 *  @see #otočO(double)
				 */
				public void otoč(double Δx, double Δy)
				{
					if (Δx == 0 && Δy == 0) return;
					// else if (Δx == 0 && Δy < 0) aktuálnyUhol = 270;
					// else if (Δx == 0 && Δy > 0) aktuálnyUhol = 90;
					// else if (Δx > 0 && Δy == 0) aktuálnyUhol = 0;
					// else if (Δx < 0 && Δy == 0) aktuálnyUhol = 180;
					else
					{
						/*
						double α = Math.toDegrees(Math.atan(Δy / Δx));

						if (Δx < 0)
							aktuálnyUhol = 180 + α;
						else if (Δy < 0)
							aktuálnyUhol = 360 + α;
						else
							aktuálnyUhol = α;
						*/

						aktuálnyUhol = Math.toDegrees(Math.atan2(Δy, Δx));
						if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #otoč(double, double) otoč}. */
				public void otoc(double Δx, double Δy) { otoč(Δx, Δy); }

				/**
				 * Funguje podobne ako metóda {@link #otoč(double, double)
				 * otoč}, ibaže obmedzuje uhol pootočenia stanoveným smerom –
				 * neotočí robota okamžite smerom na zadané súradnice, iba ním
				 * pootočí stanoveným smerom o maximálnu zadanú hodnotu uhla.
				 * 
				 *  @param Δx  odchýlka v smere x
				 *  @param Δy  odchýlka v smere y
				 *  @param najviacO maximálna hodnota uhla, o ktorú sa môže
				 *      robot otočiť smerom k bodu [Δx, Δy]
				 *  @see #otoč(double, double)
				 */
				public void otoč(double Δx, double Δy, double najviacO)
				{
					double α = smer(Δx, Δy);
					if (α == 360) return;
					if (najviacO < 0) najviacO = -najviacO;

					α -= aktuálnyUhol;
					if (α > 180) α -= 360;
					if (α < -180) α += 360;
					if (α > 0 && α > najviacO) α = najviacO;
					if (α < 0 && α < -najviacO) α = -najviacO;

					vľavo(α);
				}

				/** <a class="alias"></a> Alias pre {@link #otoč(double, double, double) otoč}. */
				public void otoc(double Δx, double Δy, double najviacO)
				{ otoč(Δx, Δy, najviacO); }


				/**
				 * Nasmeruje tohto robota rovnakým smerom, akým je otočený
				 * zadaný objekt.
				 * 
				 *  @param objekt  objekt, podľa ktorého chceme nasmerovať
				 *      tohto robota
				 *  @see #otoč(double, double)
				 */
				public void otoč(Smer objekt)
				{
					aktuálnyUhol = objekt.smer();
					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #otoč(Smer) otoč}. */
				public void otoc(Smer objekt) { otoč(objekt); }

				/**
				 * Funguje podobne ako metóda {@link #otoč(Smer) otoč},
				 * ibaže obmedzuje uhol pootočenia stanoveným smerom – neotočí
				 * robota okamžite podľa smeru iného robota, iba ním pootočí
				 * o maximálnu zadanú hodnotu uhla.
				 * 
				 *  @param objekt objekt, podľa ktorého chceme nasmerovať
				 *      tohto robota
				 *  @param najviacO  maximálna hodnota uhla, o ktorú sa môže
				 *      robot otočiť
				 */
				public void otoč(Smer objekt, double najviacO)
				{
					double α = objekt.smer();
					if (najviacO < 0) najviacO = -najviacO;

					α -= aktuálnyUhol;
					if (α > 180) α -= 360;
					if (α < -180) α += 360;
					if (α > 0 && α > najviacO) α = najviacO;
					if (α < 0 && α < -najviacO) α = -najviacO;

					vľavo(α);
				}

				/** <a class="alias"></a> Alias pre {@link #otoč(Smer, double) otoč}. */
				public void otoc(Smer objekt, double najviacO)
				{ otoč(objekt, najviacO); }


				/**
				 * <!--#Špeciálny pohyb#-->
				 * Tento príkaz pošle robota na miesto určené pootočením
				 * zadaných súradníc o zadaný uhol so stredom otáčania
				 * v mieste robota. Príklady: Uhol
				 * 0° znamená, že robot sa posunie presne na zadané súradnice.
				 * Uhol 180° znamená, že robot sa pohne
				 * presne opačným smerom než sa nachádzajú zadané
				 * súradnice.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param x x-ová súradnica cieľového bodu
				 *  @param y y-ová súradnica cieľového bodu
				 *  @param uhol uhol pootočenia výsledného pohybu voči cieľu
				 * 
				 *  @see #choďNaPootočený(Poloha, double)
				 *  @see #choďNaPootočený(double, double, Smer)
				 *  @see #skočNaPootočený(double, double, double)
				 *  @see #skočNaPootočený(double, double, Smer)
				 */
				public void choďNaPootočený(double x, double y, double uhol)
				{
					double α = Math.toRadians(uhol);
					double Δx = x - aktuálneX;
					double Δy = y - aktuálneY;
					choď(rotovanéX(Δx, Δy, α), rotovanéY(Δx, Δy, α));
				}

				/** <a class="alias"></a> Alias pre {@link #choďNaPootočený(double, double, double) choďNaPootočený}. */
				public void chodNaPootoceny(double x, double y, double uhol)
				{ choďNaPootočený(x, y, uhol); }

				/**
				 * Tento príkaz pošle robota na miesto určené pootočením
				 * zadaných súradníc o zadaný uhol so stredom otáčania
				 * v mieste robota. Príklady: Uhol
				 * 0° znamená, že robot sa posunie presne na zadané súradnice.
				 * Uhol 180° znamená, že robot sa pohne
				 * presne opačným smerom než sa nachádzajú zadané
				 * súradnice.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param x x-ová súradnica cieľového bodu
				 *  @param y y-ová súradnica cieľového bodu
				 *  @param smer objekt určujúci uhol pootočenia výsledného
				 *      pohybu voči cieľu
				 * 
				 *  @see #choďNaPootočený(Poloha, Smer)
				 *  @see #choďNaPootočený(double, double, double)
				 *  @see #skočNaPootočený(double, double, double)
				 *  @see #skočNaPootočený(double, double, Smer)
				 */
				public void choďNaPootočený(double x, double y, Smer smer)
				{
					double α = Math.toRadians(smer.uhol());
					double Δx = x - aktuálneX;
					double Δy = y - aktuálneY;
					choď(rotovanéX(Δx, Δy, α), rotovanéY(Δx, Δy, α));
				}

				/** <a class="alias"></a> Alias pre {@link #choďNaPootočený(double, double, Smer) choďNaPootočený}. */
				public void chodNaPootoceny(double x, double y, Smer smer)
				{ choďNaPootočený(x, y, smer); }

				/**
				 * Tento príkaz pošle robota na miesto určené pootočením
				 * zadaných súradníc o zadaný uhol so stredom otáčania
				 * v mieste robota. Príklady: Uhol
				 * 0° znamená, že robot sa posunie presne na zadané súradnice.
				 * Uhol 180° znamená, že robot sa pohne
				 * presne opačným smerom než sa nachádzajú zadané
				 * súradnice.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param x x-ová súradnica cieľového bodu
				 *  @param y y-ová súradnica cieľového bodu
				 *  @param uhol uhol pootočenia výsledného pohybu voči cieľu
				 * 
				 *  @see #skočNaPootočený(Poloha, double)
				 *  @see #choďNaPootočený(double, double, double)
				 *  @see #choďNaPootočený(double, double, Smer)
				 *  @see #skočNaPootočený(double, double, Smer)
				 */
				public void skočNaPootočený(double x, double y, double uhol)
				{
					double α = Math.toRadians(uhol);
					double Δx = x - aktuálneX;
					double Δy = y - aktuálneY;
					skoč(rotovanéX(Δx, Δy, α), rotovanéY(Δx, Δy, α));
				}

				/** <a class="alias"></a> Alias pre {@link #skočNaPootočený(double, double, double) skočNaPootočený}. */
				public void skocNaPootoceny(double x, double y, double uhol)
				{ skočNaPootočený(x, y, uhol); }

				/**
				 * Tento príkaz pošle robota na miesto určené pootočením
				 * zadaných súradníc o zadaný uhol so stredom otáčania
				 * v mieste robota. Príklady: Uhol
				 * 0° znamená, že robot sa posunie presne na zadané súradnice.
				 * Uhol 180° znamená, že robot sa pohne
				 * presne opačným smerom než sa nachádzajú zadané
				 * súradnice.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param x x-ová súradnica cieľového bodu
				 *  @param y y-ová súradnica cieľového bodu
				 *  @param smer objekt určujúci uhol pootočenia výsledného
				 *      pohybu voči cieľu
				 * 
				 *  @see #skočNaPootočený(Poloha, Smer)
				 *  @see #choďNaPootočený(double, double, double)
				 *  @see #choďNaPootočený(double, double, Smer)
				 *  @see #skočNaPootočený(double, double, double)
				 */
				public void skočNaPootočený(double x, double y, Smer smer)
				{
					double α = Math.toRadians(smer.uhol());
					double Δx = x - aktuálneX;
					double Δy = y - aktuálneY;
					skoč(rotovanéX(Δx, Δy, α), rotovanéY(Δx, Δy, α));
				}

				/** <a class="alias"></a> Alias pre {@link #skočNaPootočený(double, double, Smer) skočNaPootočený}. */
				public void skocNaPootoceny(double x, double y, Smer smer)
				{ skočNaPootočený(x, y, smer); }


				/**
				 * Tento príkaz pošle robota na miesto určené pootočením
				 * zadaných súradníc o zadaný uhol so stredom otáčania
				 * v mieste robota. Príklady: Uhol
				 * 0° znamená, že robot sa posunie presne na zadané súradnice.
				 * Uhol 180° znamená, že robot sa pohne
				 * presne opačným smerom než sa nachádzajú zadané
				 * súradnice.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param poloha objekt určujúci cieľový bod
				 *  @param uhol uhol pootočenia výsledného pohybu voči cieľu
				 * 
				 *  @see #choďNaPootočený(double, double, double)
				 *  @see #choďNaPootočený(Poloha, Smer)
				 *  @see #skočNaPootočený(Poloha, double)
				 *  @see #skočNaPootočený(Poloha, Smer)
				 */
				public void choďNaPootočený(Poloha poloha, double uhol)
				{
					double α = Math.toRadians(uhol);
					double Δx = poloha.polohaX() - aktuálneX;
					double Δy = poloha.polohaY() - aktuálneY;
					choď(rotovanéX(Δx, Δy, α), rotovanéY(Δx, Δy, α));
				}

				/** <a class="alias"></a> Alias pre {@link #choďNaPootočený(Poloha, double) choďNaPootočený}. */
				public void chodNaPootoceny(Poloha poloha, double uhol)
				{ choďNaPootočený(poloha, uhol); }

				/**
				 * Tento príkaz pošle robota na miesto určené pootočením
				 * zadaných súradníc o zadaný uhol so stredom otáčania
				 * v mieste robota. Príklady: Uhol
				 * 0° znamená, že robot sa posunie presne na zadané súradnice.
				 * Uhol 180° znamená, že robot sa pohne
				 * presne opačným smerom než sa nachádzajú zadané
				 * súradnice.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param poloha objekt určujúci cieľový bod
				 *  @param smer objekt určujúci uhol pootočenia výsledného
				 *      pohybu voči cieľu
				 * 
				 *  @see #choďNaPootočený(double, double, Smer)
				 *  @see #choďNaPootočený(Poloha, double)
				 *  @see #skočNaPootočený(Poloha, double)
				 *  @see #skočNaPootočený(Poloha, Smer)
				 */
				public void choďNaPootočený(Poloha poloha, Smer smer)
				{
					double α = Math.toRadians(smer.uhol());
					double Δx = poloha.polohaX() - aktuálneX;
					double Δy = poloha.polohaY() - aktuálneY;
					choď(rotovanéX(Δx, Δy, α), rotovanéY(Δx, Δy, α));
				}

				/** <a class="alias"></a> Alias pre {@link #choďNaPootočený(Poloha, Smer) choďNaPootočený}. */
				public void chodNaPootoceny(Poloha poloha, Smer smer)
				{ choďNaPootočený(poloha, smer); }

				/**
				 * Tento príkaz pošle robota na miesto určené pootočením
				 * zadaných súradníc o zadaný uhol so stredom otáčania
				 * v mieste robota. Príklady: Uhol
				 * 0° znamená, že robot sa posunie presne na zadané súradnice.
				 * Uhol 180° znamená, že robot sa pohne
				 * presne opačným smerom než sa nachádzajú zadané
				 * súradnice.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param poloha objekt určujúci cieľový bod
				 *  @param uhol uhol pootočenia výsledného pohybu voči cieľu
				 * 
				 *  @see #skočNaPootočený(double, double, double)
				 *  @see #choďNaPootočený(Poloha, double)
				 *  @see #choďNaPootočený(Poloha, Smer)
				 *  @see #skočNaPootočený(Poloha, Smer)
				 */
				public void skočNaPootočený(Poloha poloha, double uhol)
				{
					double α = Math.toRadians(uhol);
					double Δx = poloha.polohaX() - aktuálneX;
					double Δy = poloha.polohaY() - aktuálneY;
					skoč(rotovanéX(Δx, Δy, α), rotovanéY(Δx, Δy, α));
				}

				/** <a class="alias"></a> Alias pre {@link #skočNaPootočený(Poloha, double) skočNaPootočený}. */
				public void skocNaPootoceny(Poloha poloha, double uhol)
				{ skočNaPootočený(poloha, uhol); }

				/**
				 * Tento príkaz pošle robota na miesto určené pootočením
				 * zadaných súradníc o zadaný uhol so stredom otáčania
				 * v mieste robota. Príklady: Uhol
				 * 0° znamená, že robot sa posunie presne na zadané súradnice.
				 * Uhol 180° znamená, že robot sa pohne
				 * presne opačným smerom než sa nachádzajú zadané
				 * súradnice.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param poloha objekt určujúci cieľový bod
				 *  @param smer objekt určujúci uhol pootočenia výsledného
				 *      pohybu voči cieľu
				 * 
				 *  @see #skočNaPootočený(double, double, Smer)
				 *  @see #choďNaPootočený(Poloha, double)
				 *  @see #choďNaPootočený(Poloha, Smer)
				 *  @see #skočNaPootočený(Poloha, double)
				 */
				public void skočNaPootočený(Poloha poloha, Smer smer)
				{
					double α = Math.toRadians(smer.uhol());
					double Δx = poloha.polohaX() - aktuálneX;
					double Δy = poloha.polohaY() - aktuálneY;
					skoč(rotovanéX(Δx, Δy, α), rotovanéY(Δx, Δy, α));
				}

				/** <a class="alias"></a> Alias pre {@link #skočNaPootočený(Poloha, Smer) skočNaPootočený}. */
				public void skocNaPootoceny(Poloha poloha, Smer smer)
				{ skočNaPootočený(poloha, smer); }


				/**
				 * Tento príkaz pošle robota na miesto určené pootočením
				 * zadaných relatívnych súradníc o zadaný uhol. Príklady: Uhol
				 * 0° znamená, že robot sa posunie presne o zadané súradnice
				 * v smere osí x a y. Uhol 180° znamená, že robot sa pohne
				 * presne opačným smerom než sa nachádzajú zadané relatívne
				 * súradnice.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param Δx zmena súradníc v osi x
				 *  @param Δy zmena súradníc v osi y
				 *  @param uhol uhol pootočenia výsledného pohybu voči cieľu
				 * 
				 *  @see #choďPootočený(double, double, Smer)
				 *  @see #skočPootočený(double, double, double)
				 *  @see #skočPootočený(double, double, Smer)
				 */
				public void choďPootočený(double Δx, double Δy, double uhol)
				{
					double α = Math.toRadians(uhol);
					choď(rotovanéX(Δx, Δy, α), rotovanéY(Δx, Δy, α));
				}

				/** <a class="alias"></a> Alias pre {@link #choďPootočený(double, double, double) choďPootočený}. */
				public void chodPootoceny(double Δx, double Δy, double uhol)
				{ choďPootočený(Δx, Δy, uhol); }

				/**
				 * Tento príkaz pošle robota na miesto určené pootočením
				 * zadaných relatívnych súradníc o zadaný uhol. Príklady: Uhol
				 * 0° znamená, že robot sa posunie presne o zadané súradnice
				 * v smere osí x a y. Uhol 180° znamená, že robot sa pohne
				 * presne opačným smerom než sa nachádzajú zadané relatívne
				 * súradnice.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param Δx zmena súradníc v osi x
				 *  @param Δy zmena súradníc v osi y
				 *  @param smer objekt určujúci uhol pootočenia výsledného
				 *      pohybu voči cieľu
				 * 
				 *  @see #choďPootočený(double, double, double)
				 *  @see #skočPootočený(double, double, double)
				 *  @see #skočPootočený(double, double, Smer)
				 */
				public void choďPootočený(double Δx, double Δy, Smer smer)
				{
					double α = Math.toRadians(smer.uhol());
					choď(rotovanéX(Δx, Δy, α), rotovanéY(Δx, Δy, α));
				}

				/** <a class="alias"></a> Alias pre {@link #choďPootočený(double, double, Smer) choďPootočený}. */
				public void chodPootoceny(double Δx, double Δy, Smer smer)
				{ choďPootočený(Δx, Δy, smer); }

				/**
				 * Tento príkaz pošle robota na miesto určené pootočením
				 * zadaných relatívnych súradníc o zadaný uhol. Príklady: Uhol
				 * 0° znamená, že robot sa posunie presne o zadané súradnice
				 * v smere osí x a y. Uhol 180° znamená, že robot sa pohne
				 * presne opačným smerom než sa nachádzajú zadané relatívne
				 * súradnice.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param Δx zmena súradníc v osi x
				 *  @param Δy zmena súradníc v osi y
				 *  @param uhol uhol pootočenia výsledného pohybu voči cieľu
				 * 
				 *  @see #choďPootočený(double, double, double)
				 *  @see #choďPootočený(double, double, Smer)
				 *  @see #skočPootočený(double, double, Smer)
				 */
				public void skočPootočený(double Δx, double Δy, double uhol)
				{
					double α = Math.toRadians(uhol);
					skoč(rotovanéX(Δx, Δy, α), rotovanéY(Δx, Δy, α));
				}

				/** <a class="alias"></a> Alias pre {@link #skočPootočený(double, double, double) skočPootočený}. */
				public void skocPootoceny(double Δx, double Δy, double uhol)
				{ skočPootočený(Δx, Δy, uhol); }

				/**
				 * Tento príkaz pošle robota na miesto určené pootočením
				 * zadaných relatívnych súradníc o zadaný uhol. Príklady: Uhol
				 * 0° znamená, že robot sa posunie presne o zadané súradnice
				 * v smere osí x a y. Uhol 180° znamená, že robot sa pohne
				 * presne opačným smerom než sa nachádzajú zadané relatívne
				 * súradnice.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param Δx zmena súradníc v osi x
				 *  @param Δy zmena súradníc v osi y
				 *  @param smer objekt určujúci uhol pootočenia výsledného
				 *      pohybu voči cieľu
				 * 
				 *  @see #choďPootočený(double, double, double)
				 *  @see #choďPootočený(double, double, Smer)
				 *  @see #skočPootočený(double, double, double)
				 */
				public void skočPootočený(double Δx, double Δy, Smer smer)
				{
					double α = Math.toRadians(smer.uhol());
					skoč(rotovanéX(Δx, Δy, α), rotovanéY(Δx, Δy, α));
				}

				/** <a class="alias"></a> Alias pre {@link #skočPootočený(double, double, Smer) skočPootočený}. */
				public void skocPootoceny(double Δx, double Δy, Smer smer)
				{ skočPootočený(Δx, Δy, smer); }


			// Horizontálny a vertikálny krokový pohyb

				/**
				 * Prikáže robotovi, aby prešiel na konkrétne súradnice na
				 * podlahe (strope). Keď je pero položené, tak kreslí čiaru.
				 * Robot nezmení smer, kam bol obrátený.
				 * 
				 *  @param novéX  nová x-ová súradnica
				 *  @param novéY  nová y-ová súradnica
				 *  @see #dopredu(double) dopredu
				 *  @see #vzad(double) vzad
				 *  @see #položPero() položPero
				 *  @see #zdvihniPero() zdvihniPero
				 *  @see #choďNa(Poloha)
				 *  @see #choďNa(Shape)
				 *  @see #skočNa(double, double)
				 *  @see #skočNa(Poloha)
				 *  @see #skočNa(Shape)
				 *  @see #choď(double, double)
				 *  @see #skoč(double, double)
				 *  @see #choďPoOblúku(double, double)
				 *  @see #choďNaMyš()
				 */
				public void choďNa(double novéX, double novéY)
				{
					if (peroPoložené)
					{
						úsečka(aktuálneX, aktuálneY, novéX, novéY);
						aktualizujPôsobisko();
						aktuálneX = novéX;
						aktuálneY = novéY;
						aktualizujPôsobisko();
					}
					else
					{
						aktuálneX = novéX;
						aktuálneY = novéY;
					}

					if (záznamCesty)
					{
						if (peroPoložené || záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný || peroPoložené) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #choďNa(double, double) choďNa}. */
				public void chodNa(double novéX, double novéY) { choďNa(novéX, novéY); }


				// /**
				//  * Prikáže robotovi, aby prešiel na konkrétne súradnice na
				//  * podlahe (strope). Keď je pero položené, tak kreslí čiaru. Robot
				//  * nezmení smer, kam bol obrátený.
				//  * 
				//  *  @param nováPoloha  nové súradnice
				//  */
				// public void choďNa(Point2D nováPoloha)
				// {
				// 	if (peroPoložené)
				// 	{
				// 		úsečka(aktuálneX, aktuálneY,
				// 			nováPoloha.getX(), nováPoloha.getY());
				// 		aktualizujPôsobisko();
				// 		aktuálneX = nováPoloha.getX();
				// 		aktuálneY = nováPoloha.getY();
				// 		aktualizujPôsobisko();
				// 	}
				// 	else
				// 	{
				// 		aktuálneX = nováPoloha.getX();
				// 		aktuálneY = nováPoloha.getY();
				// 	}
				// 
				// 	if (záznamCesty)
				// 	{
				// 		if (peroPoložené || záznamCestyBezPolohyPera)
				// 			cesta.lineTo(
				// 				prepočítajX(nováPoloha.getX()),
				// 				prepočítajY(nováPoloha.getY()));
				// 		else
				// 			cesta.moveTo(
				// 				prepočítajX(nováPoloha.getX()),
				// 				prepočítajY(nováPoloha.getY()));
				// 		/*
				// 		cesta.addPoint(
				// 			(int)prepočítajX(nováPoloha.getX()),
				// 			(int)prepočítajY(nováPoloha.getY()));
				// 		*/
				// 	}
				// 
				// 	if (viditeľný || peroPoložené) automatickéPrekreslenie();
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #choďNa(Point2D) choďNa}. */
				// public void chodNa(Point2D nováPoloha) { choďNa(nováPoloha); }


				/**
				 * Prikáže tomuto robotovi, aby prešiel na polohu
				 * zadaného objektu. Keď je pero položené, tak kreslí čiaru.
				 * Robot nezmení smer, kam bol obrátený.
				 * 
				 *  @param objekt  objekt určujúci cieľovú polohu
				 *  @see #choďNa(double, double)
				 *  @see #choďNa(Shape)
				 *  @see #skočNa(double, double)
				 *  @see #skočNa(Poloha)
				 *  @see #skočNa(Shape)
				 *  @see #choď(double, double)
				 *  @see #skoč(double, double)
				 */
				public void choďNa(Poloha objekt)
				{
					if (peroPoložené)
					{
						úsečka(aktuálneX, aktuálneY,
							objekt.polohaX(), objekt.polohaY());
						aktualizujPôsobisko();
						aktuálneX = objekt.polohaX();
						aktuálneY = objekt.polohaY();
						aktualizujPôsobisko();
					}
					else
					{
						aktuálneX = objekt.polohaX();
						aktuálneY = objekt.polohaY();
					}

					if (záznamCesty)
					{
						if (peroPoložené || záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(objekt.polohaX()),
								prepočítajY(objekt.polohaY()));
						else
							cesta.moveTo(
								prepočítajX(objekt.polohaX()),
								prepočítajY(objekt.polohaY()));
						/*
						cesta.addPoint(
							(int)prepočítajX(objekt.polohaX()),
							(int)prepočítajY(objekt.polohaY()));
						*/
					}

					if (viditeľný || peroPoložené) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #choďNa(Poloha) choďNa}. */
				public void chodNa(Poloha objekt) { choďNa(objekt); }

				/**
				 * Prikáže robotovi, aby prešiel do stredu
				 * hraníc<sup>[1]</sup> zadaného tvaru. Keď je pero položené,
				 * tak kreslí čiaru. Robot nezmení smer, kam bol obrátený.
				 * 
				 * <P><small>[1] – nejde presne o stred útvaru; je použitý
				 * najrýchlejší a najjednoduchší spôsob zistenia približného
				 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí
				 * sa jeho stred – čiže „stred hraníc“</small>
				 * 
				 *  @param tvar  tvar Javy ({@link Shape Shape}), do stredu
				 *      hraníc ktorého prejde tento robot
				 *  @see #choďNa(double, double)
				 *  @see #choďNa(Poloha)
				 *  @see #skočNa(double, double)
				 *  @see #skočNa(Poloha)
				 *  @see #skočNa(Shape)
				 *  @see #choď(double, double)
				 *  @see #skoč(double, double)
				 */
				public void choďNa(Shape tvar)
				{
					Rectangle2D hranice = tvar.getBounds2D();
					double novéX = prepočítajSpäťX(hranice.getX()) +
						hranice.getWidth() / 2;
					double novéY = prepočítajSpäťY(hranice.getY()) -
						hranice.getHeight() / 2;

					if (peroPoložené)
					{
						úsečka(aktuálneX, aktuálneY, novéX, novéY);
						aktualizujPôsobisko();
						aktuálneX = novéX;
						aktuálneY = novéY;
						aktualizujPôsobisko();
					}
					else
					{
						aktuálneX = novéX;
						aktuálneY = novéY;
					}

					if (záznamCesty)
					{
						if (peroPoložené || záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný || peroPoložené) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #choďNa(Shape) choďNa}. */
				public void chodNa(Shape tvar) { choďNa(tvar); }

				/**
				 * Prikáže robotovi, aby na podlahe (strope) prešiel na
				 * aktuálne súradnice myši. Keď je pero položené, tak kreslí
				 * čiaru. Robot nezmení smer, kam bol obrátený.
				 * @see #choďNa(double, double)
				 * @see #skočNaMyš()
				 */
				public void choďNaMyš()
				{
					if (peroPoložené)
					{
						úsečka(aktuálneX, aktuálneY,
							súradnicaMyšiX, súradnicaMyšiY);
						aktualizujPôsobisko();
						aktuálneX = súradnicaMyšiX;
						aktuálneY = súradnicaMyšiY;
						aktualizujPôsobisko();
					}
					else
					{
						aktuálneX = súradnicaMyšiX;
						aktuálneY = súradnicaMyšiY;
					}

					if (záznamCesty)
					{
						if (peroPoložené || záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(súradnicaMyšiX),
								prepočítajY(súradnicaMyšiY));
						else
							cesta.moveTo(
								prepočítajX(súradnicaMyšiX),
								prepočítajY(súradnicaMyšiY));
						/*
						cesta.addPoint(
							(int)prepočítajX(súradnicaMyšiX),
							(int)prepočítajY(súradnicaMyšiY));
						*/
					}

					if (viditeľný || peroPoložené) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #choďNaMyš() choďNaMyš}. */
				public void chodNaMys() { choďNaMyš(); }


				/**
				 * Prikáže robotovi, aby sa na posunul o zadaný počet bodov
				 * v horizontálnom a vertikálnom smere. Keď je pero položené,
				 * tak kreslí čiaru po aktívnom plátne (podlahe alebo strope).
				 * Robot nezmení aktuálny smer.
				 * 
				 *  @param Δx  počet bodov v smere x
				 *  @param Δy  počet bodov v smere y
				 *  @see #choďNa(double, double)
				 *  @see #choďNa(Poloha)
				 *  @see #choďNa(Shape)
				 *  @see #skočNa(double, double)
				 *  @see #skočNa(Poloha)
				 *  @see #skočNa(Shape)
				 *  @see #skoč(double, double)
				 */
				public void choď(double Δx, double Δy)
				{
					if (peroPoložené)
					{
						úsečka(aktuálneX, aktuálneY,
							aktuálneX + Δx, aktuálneY + Δy);
						aktualizujPôsobisko();
						aktuálneX += Δx;
						aktuálneY += Δy;
						aktualizujPôsobisko();
					}
					else
					{
						aktuálneX += Δx;
						aktuálneY += Δy;
					}

					if (záznamCesty)
					{
						if (peroPoložené || záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(aktuálneX),
								prepočítajY(aktuálneY));
						else
							cesta.moveTo(
								prepočítajX(aktuálneX),
								prepočítajY(aktuálneY));
						/*
						cesta.addPoint(
							(int)prepočítajX(aktuálneX),
							(int)prepočítajY(aktuálneY));
						*/
					}

					if (viditeľný || peroPoložené) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #choď(double, double) choď}. */
				public void chod(double Δx, double Δy) { choď(Δx, Δy); }


				/**
				 * Prikáže robotovi, aby preskočil na konkrétne súradnice na
				 * podlahe (strope). Robot nekreslí čiaru, ani nezmení smer,
				 * kam bol obrátený.
				 * 
				 *  @param novéX  nová x-ová súradnica
				 *  @param novéY  nová y-ová súradnica
				 *  @see #dopredu(double) dopredu
				 *  @see #vzad(double) vzad
				 *  @see #choďNa(double, double)
				 *  @see #choďNa(Poloha)
				 *  @see #choďNa(Shape)
				 *  @see #skočNa(Poloha)
				 *  @see #skočNa(Shape)
				 *  @see #choď(double, double)
				 *  @see #skoč(double, double)
				 *  @see #skočPoOblúku(double, double)
				 *  @see #skočNaMyš()
				 */
				public void skočNa(double novéX, double novéY)
				{
					aktuálneX = novéX;
					aktuálneY = novéY;

					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #skočNa(double, double) skočNa}. */
				public void skocNa(double novéX, double novéY)
				{ skočNa(novéX, novéY); }


				// /**
				//  * Prikáže robotovi, aby preskočil na konkrétne súradnice na
				//  * podlahe (strope). Robot nekreslí čiaru, ani nezmení smer,
				//  * kam bol obrátený.
				//  * 
				//  *  @param nováPoloha  nové súradnice
				//  */
				// public void skočNa(Point2D nováPoloha)
				// {
				// 	aktuálneX = nováPoloha.getX();
				// 	aktuálneY = nováPoloha.getY();
				// 
				// 	if (záznamCesty)
				// 	{
				// 		if (záznamCestyBezPolohyPera)
				// 			cesta.lineTo(
				// 				prepočítajX(nováPoloha.getX()),
				// 				prepočítajY(nováPoloha.getY()));
				// 		else
				// 			cesta.moveTo(
				// 				prepočítajX(nováPoloha.getX()),
				// 				prepočítajY(nováPoloha.getY()));
				// 		/*
				// 		cesta.addPoint(
				// 			(int)prepočítajX(nováPoloha.getX()),
				// 			(int)prepočítajY(nováPoloha.getY()));
				// 		*/
				// 	}
				// 
				// 	if (viditeľný) automatickéPrekreslenie();
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #skočNa(Point2D) skočNa}. */
				// public void skocNa(Point2D nováPoloha) { skočNa(nováPoloha); }


				/**
				 * Prikáže tomuto robotovi, aby preskočil na polohu zadaného
				 * objektu. Robot nekreslí čiaru, ani nezmení smer, kam bol
				 * obrátený.
				 * 
				 *  @param objekt  objekt určujúci cieľovú polohu
				 *  @see #choďNa(double, double)
				 *  @see #choďNa(Poloha)
				 *  @see #choďNa(Shape)
				 *  @see #skočNa(double, double)
				 *  @see #skočNa(Shape)
				 *  @see #choď(double, double)
				 *  @see #skoč(double, double)
				 */
				public void skočNa(Poloha objekt)
				{
					aktuálneX = objekt.polohaX();
					aktuálneY = objekt.polohaY();

					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(objekt.polohaX()),
								prepočítajY(objekt.polohaY()));
						else
							cesta.moveTo(
								prepočítajX(objekt.polohaX()),
								prepočítajY(objekt.polohaY()));
						/*
						cesta.addPoint(
							(int)prepočítajX(objekt.polohaX()),
							(int)prepočítajY(objekt.polohaY()));
						*/
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #skočNa(Poloha) skočNa}. */
				public void skocNa(Poloha objekt) { skočNa(objekt); }

				/**
				 * Prikáže robotovi, aby preskočil do stredu
				 * hraníc<sup>[1]</sup> zadaného tvaru. Robot nekreslí čiaru,
				 * ani nezmení smer, kam bol obrátený.
				 * 
				 * <P><small>[1] – nejde presne o stred útvaru; je použitý
				 * najrýchlejší a najjednoduchší spôsob zistenia približného
				 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí
				 * sa jeho stred – čiže „stred hraníc“</small>
				 * 
				 *  @param tvar  tvar Javy ({@link Shape Shape}), do stredu
				 *      hraníc ktorého preskočí tento robot
				 *  @see #choďNa(double, double)
				 *  @see #choďNa(Poloha)
				 *  @see #choďNa(Shape)
				 *  @see #skočNa(double, double)
				 *  @see #skočNa(Poloha)
				 *  @see #choď(double, double)
				 *  @see #skoč(double, double)
				 */
				public void skočNa(Shape tvar)
				{
					Rectangle2D hranice = tvar.getBounds2D();
					double novéX = prepočítajSpäťX(hranice.getX()) +
						hranice.getWidth() / 2;
					double novéY = prepočítajSpäťY(hranice.getY()) -
						hranice.getHeight() / 2;

					aktuálneX = novéX;
					aktuálneY = novéY;

					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						else
							cesta.moveTo(
								prepočítajX(novéX),
								prepočítajY(novéY));
						/*
						cesta.addPoint(
							(int)prepočítajX(novéX),
							(int)prepočítajY(novéY));
						*/
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #skočNa(Shape) skočNa}. */
				public void skocNa(Shape tvar) { skočNa(tvar); }

				/**
				 * Prikáže robotovi, aby v rámci podlahy (stropu) preskočil na
				 * aktuálne súradnice myši. Robot nekreslí čiaru, ani nezmení
				 * smer, kam bol obrátený.
				 * @see #skočNa(double, double)
				 * @see #choďNaMyš()
				 */
				public void skočNaMyš()
				{
					aktuálneX = súradnicaMyšiX;
					aktuálneY = súradnicaMyšiY;

					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(súradnicaMyšiX),
								prepočítajY(súradnicaMyšiY));
						else
							cesta.moveTo(
								prepočítajX(súradnicaMyšiX),
								prepočítajY(súradnicaMyšiY));
						/*
						cesta.addPoint(
							(int)prepočítajX(súradnicaMyšiX),
							(int)prepočítajY(súradnicaMyšiY));
						*/
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #skočNaMyš() skočNaMyš}. */
				public void skocNaMys() { skočNaMyš(); }


				/**
				 * Prikáže robotovi, aby sa na na podlahe (strope) preskočil
				 * o zadaný počet bodov v horizontálnom a vertikálnom smere.
				 * Robot nekreslí čiaru, ani nezmení svoj aktuálny smer.
				 * 
				 *  @param Δx  počet bodov v smere x
				 *  @param Δy  počet bodov v smere y
				 *  @see #choďNa(double, double)
				 *  @see #choďNa(Poloha)
				 *  @see #choďNa(Shape)
				 *  @see #skočNa(double, double)
				 *  @see #skočNa(Poloha)
				 *  @see #skočNa(Shape)
				 *  @see #choď(double, double)
				 */
				public void skoč(double Δx, double Δy)
				{
					aktuálneX += Δx;
					aktuálneY += Δy;

					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.lineTo(
								prepočítajX(aktuálneX),
								prepočítajY(aktuálneY));
						else
							cesta.moveTo(
								prepočítajX(aktuálneX),
								prepočítajY(aktuálneY));
						/*
						cesta.addPoint(
							(int)prepočítajX(aktuálneX),
							(int)prepočítajY(aktuálneY));
						*/
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #skoč(double, double) skoč}. */
				public void skoc(double Δx, double Δy) { skoč(Δx, Δy); }


			// Špeciálny pohyb

				/**
				 * Pohne robotom po oblúku so zadaným polomerom o zadaný
				 * uhol a v prípade, že je položené pero, tak oblúk aj
				 * nakreslí. Robot sa predvolene otáča doprava (t. j. pri
				 * zadaní kladného uhla otáčania a kladného polomeru sa robot
				 * pri pohybe dopredu otáča doprava, čiže kreslí pravotočivý
				 * oblúk). Na obrátenie smeru otáčania (kreslenie ľavotočivého
				 * oblúka) zadajte záporný polomer otáčania. Pri zadaní
				 * záporného uhla bude robot cúvať. Keď je polomer rovný nule,
				 * robot zostane stáť aj v prípade, že je uhol nenulový,
				 * pretože nie je možné určiť vzdialenosť akú by mal prejsť.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param uhol     uhol, o ktorý sa má robot otočiť okolo
				 *      zadaného polomeru
				 *  @param polomer  polomer otáčania
				 * 
				 *  @see #dopredu(double) dopredu
				 *  @see #vzad(double) vzad
				 *  @see #vpravo(double) vpravo
				 *  @see #vľavo(double) vľavo
				 *  @see #choďNa(double, double) choďNa
				 *  @see #skočNa(double, double) skočNa
				 *  @see #skočPoOblúku(double, double)
				 *  @see #choďNaPoOblúku(double, double)
				 *  @see #skočNaPoOblúku(double, double)
				 *  @see #choďNaPoOblúku(Poloha)
				 *  @see #skočNaPoOblúku(Poloha)
				 *  @see #polohaPera() polohaPera
				 */
				public void choďPoOblúku(double uhol, double polomer)
				{
					// ‼ Keď je polomer rovný nule, robot zostane stáť aj
					// v prípade, že je uhol nenulový ‼
					if (0 == uhol || 0 == polomer) return;

					/*
					if (polomer < 0)
					{
						uhol = -uhol;
						polomer = -polomer;
					}
					*/

					double prepočítanéX = prepočítajX(aktuálneX);
					double prepočítanéY = prepočítajY(aktuálneY);
					double priemer;

					// double novéX = aktuálneX;
					// double novéY = aktuálneY;

					Arc2D.Double oblúk;

					// Pôvodné správanie metódy (ako bolo navrhnuté) trochu
					// skomplikovalo výpočty, tak sme to zjednodušili
					// a rozdelili na dve vetvy…

					// Keďže oblúk je teraz kreslený pomocou tvaru Javy, bolo
					// treba vyriešiť presunutie robota na novú pozíciu. Je
					// riešené troma jednoduchými krokmi: posunom robota do
					// stredu otáčania, pootočením o uhol otáčania a posunom
					// späť na dráhu oblúka…

					if (polomer < 0)
					{
						// 
						polomer = -polomer;
						priemer = 2 * polomer;
						// 

						prepočítanéX -= polomer * (1 - Math.cos(
							Math.toRadians(aktuálnyUhol + 90)));
						prepočítanéY -= polomer * (1 + Math.sin(
							Math.toRadians(aktuálnyUhol + 90)));

						oblúk = new Arc2D.Double(prepočítanéX, prepočítanéY,
							priemer, priemer, aktuálnyUhol + 270, uhol,
							Arc2D.OPEN);

						// posuňVľavo…
						aktuálneX += Math.cos(Math.toRadians(
							aktuálnyUhol + 90)) * polomer;
						aktuálneY += Math.sin(Math.toRadians(
							aktuálnyUhol + 90)) * polomer;

						// doľava…
						aktuálnyUhol += uhol;
						aktuálnyUhol %= 360;
						if (aktuálnyUhol < 0) aktuálnyUhol += 360;

						// posuňVpravo…
						aktuálneX += Math.cos(Math.toRadians(
							aktuálnyUhol - 90)) * polomer;
						aktuálneY += Math.sin(Math.toRadians(
							aktuálnyUhol - 90)) * polomer;
					}
					else
					{
						priemer = 2 * polomer;

						prepočítanéX -= polomer * (1 - Math.cos(
							Math.toRadians(aktuálnyUhol - 90)));
						prepočítanéY -= polomer * (1 + Math.sin(
							Math.toRadians(aktuálnyUhol - 90)));

						oblúk = new Arc2D.Double(prepočítanéX, prepočítanéY,
							priemer, priemer, aktuálnyUhol + 90, -uhol,
							Arc2D.OPEN);

						// posuňVpravo…
						aktuálneX += Math.cos(Math.toRadians(
							aktuálnyUhol - 90)) * polomer;
						aktuálneY += Math.sin(Math.toRadians(
							aktuálnyUhol - 90)) * polomer;

						// doprava…
						aktuálnyUhol -= uhol;
						aktuálnyUhol %= 360;
						if (aktuálnyUhol < 0) aktuálnyUhol += 360;

						// posuňVľavo…
						aktuálneX += Math.cos(Math.toRadians(
							aktuálnyUhol + 90)) * polomer;
						aktuálneY += Math.sin(Math.toRadians(
							aktuálnyUhol + 90)) * polomer;
					}

					/*
					// Pôvodné správanie metódy:
					double pôvodnýSmer = aktuálnyUhol;
					double krok = (Math.PI * polomer) / 180.0;
					double alfa = uhol >= 0 ? 1 : -1;
					double rotácia = alfa;
					while (Math.abs(rotácia) <= Math.abs(uhol))
					{
						aktuálnyUhol -= alfa;
						rotácia += alfa;
						dopredu(krok);
					}
					aktuálnyUhol = pôvodnýSmer - uhol;
					aktuálnyUhol %= 360;
					if (aktuálnyUhol < 0) aktuálnyUhol += 360;
					*/

					if (záznamCesty)
					{
						if (peroPoložené || záznamCestyBezPolohyPera)
							cesta.append(oblúk.getPathIterator(null), true);
						else
							cesta.moveTo(
								prepočítajX(aktuálneX),
								prepočítajY(aktuálneY));
					}

					if (peroPoložené)
					{
						grafikaAktívnehoPlátna.setColor(farbaRobota);
						grafikaAktívnehoPlátna.setStroke(čiara);
						grafikaAktívnehoPlátna.draw(oblúk);
						aktualizujPôsobisko(oblúk.getBounds2D());
						automatickéPrekreslenie();
					}
					else if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #choďPoOblúku(double, double) choďPoOblúku}. */
				public void chodPoObluku(double uhol, double polomer)
				{ choďPoOblúku(uhol, polomer); }


				/* *
				 * Pohne robotom po oblúku so zadaným polomerom o zadaný
				 * uhol. Robot sa predvolene otáča doprava. Na obrátenie
				 * smeru otáčania zadajte záporný uhol.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param uhol     uhol, o ktorý sa má robot otočiť okolo
				 *      zadaného polomeru
				 *  @param polomer  polomer otáčania
				 *  @param jemnosť  jemnosť pohybu po oblúku; zodpovedá uhlu
				 *      pootočenia po každom kroku; niekedy je grafický
				 *      výsledok (paradoxne) lepší pri zadaní väčších hodnôt
				 *      (ktoré znamenajú menšiu „jemnosť“ pohybu); príliš
				 *      jemný krok môže vyústiť v príliš zubatý oblúk
				 *      spôsobený nahustením kreslených čiar na malej ploche
				 * /
				public void choďPoOblúku(double uhol, double polomer,
					double jemnosť)
				{
					if (0 == uhol || 0 == jemnosť) return;
					double pôvodnýSmer = aktuálnyUhol;
					double krok = (Math.PI * polomer * jemnosť) / 180.0;
					double alfa = uhol >= 0 ? jemnosť : -jemnosť;
					double rotácia = alfa;
					while (Math.abs(rotácia) <= Math.abs(uhol))
					{
						aktuálnyUhol -= alfa;
						rotácia += alfa;
						dopredu(krok);
					}
					aktuálnyUhol = pôvodnýSmer + uhol;
					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #choďPoOblúku(double, double, double) choďPoOblúku}. * /
				public void chodPoObluku(double uhol, double polomer, double jemnosť) { choďPoOblúku(uhol, polomer, jemnosť); }*/


				/**
				 * Pohne robotom po oblúku so zadaným polomerom o zadaný
				 * uhol bez jeho nakreslenia. Robot sa predvolene otáča
				 * doprava (t. j. pri zadaní kladného uhla otáčania a kladného
				 * polomeru sa robot pri pohybe dopredu otáča doprava, čiže sa
				 * pohybuje po pravotočivom oblúku). Na obrátenie smeru
				 * otáčania (pohyb po ľavotočivom oblúku) zadajte záporný
				 * polomer otáčania. Pri zadaní záporného uhla bude robot
				 * cúvať. Keď je polomer rovný nule, robot zostane stáť aj
				 * v prípade, že je uhol nenulový, pretože nie je možné
				 * určiť vzdialenosť akú by mal prejsť.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param uhol     uhol, o ktorý sa má robot otočiť okolo
				 *      zadaného polomeru
				 *  @param polomer  polomer otáčania
				 * 
				 *  @see #dopredu(double) dopredu
				 *  @see #vzad(double) vzad
				 *  @see #vpravo(double) vpravo
				 *  @see #vľavo(double) vľavo
				 *  @see #choďNa(double, double) choďNa
				 *  @see #skočNa(double, double) skočNa
				 *  @see #choďPoOblúku(double, double)
				 *  @see #choďNaPoOblúku(double, double)
				 *  @see #skočNaPoOblúku(double, double)
				 *  @see #choďNaPoOblúku(Poloha)
				 *  @see #skočNaPoOblúku(Poloha)
				 */
				public void skočPoOblúku(double uhol, double polomer)
				{
					// ‼ Keď je polomer rovný nule, robot zostane stáť aj
					// v prípade, že je uhol nenulový ‼
					if (0 == uhol || 0 == polomer) return;

					double prepočítanéX = prepočítajX(aktuálneX);
					double prepočítanéY = prepočítajY(aktuálneY);
					double priemer;

					Arc2D.Double oblúk;

					// Pôvodné správanie metódy (ako bolo navrhnuté) trochu
					// skomplikovalo výpočty, tak sme to zjednodušili
					// a rozdelili na dve vetvy…

					// Keďže oblúk je teraz kreslený pomocou tvaru Javy, bolo
					// treba vyriešiť presunutie robota na novú pozíciu. Je
					// riešené troma jednoduchými krokmi: posunom robota do
					// stredu otáčania, pootočením o uhol otáčania a posunom
					// späť na dráhu oblúka…

					if (polomer < 0)
					{
						// 
						polomer = -polomer;
						priemer = 2 * polomer;
						// 

						prepočítanéX -= polomer * (1 - Math.cos(
							Math.toRadians(aktuálnyUhol + 90)));
						prepočítanéY -= polomer * (1 + Math.sin(
							Math.toRadians(aktuálnyUhol + 90)));

						oblúk = new Arc2D.Double(prepočítanéX, prepočítanéY,
							priemer, priemer, aktuálnyUhol + 270, uhol,
							Arc2D.OPEN);

						// posuňVľavo…
						aktuálneX += Math.cos(Math.toRadians(
							aktuálnyUhol + 90)) * polomer;
						aktuálneY += Math.sin(Math.toRadians(
							aktuálnyUhol + 90)) * polomer;

						// doľava…
						aktuálnyUhol += uhol;
						aktuálnyUhol %= 360;
						if (aktuálnyUhol < 0) aktuálnyUhol += 360;

						// posuňVpravo…
						aktuálneX += Math.cos(Math.toRadians(
							aktuálnyUhol - 90)) * polomer;
						aktuálneY += Math.sin(Math.toRadians(
							aktuálnyUhol - 90)) * polomer;
					}
					else
					{
						priemer = 2 * polomer;

						prepočítanéX -= polomer * (1 - Math.cos(
							Math.toRadians(aktuálnyUhol - 90)));
						prepočítanéY -= polomer * (1 + Math.sin(
							Math.toRadians(aktuálnyUhol - 90)));

						oblúk = new Arc2D.Double(prepočítanéX, prepočítanéY,
							priemer, priemer, aktuálnyUhol + 90, -uhol,
							Arc2D.OPEN);

						// posuňVpravo…
						aktuálneX += Math.cos(Math.toRadians(
							aktuálnyUhol - 90)) * polomer;
						aktuálneY += Math.sin(Math.toRadians(
							aktuálnyUhol - 90)) * polomer;

						// doprava…
						aktuálnyUhol -= uhol;
						aktuálnyUhol %= 360;
						if (aktuálnyUhol < 0) aktuálnyUhol += 360;

						// posuňVľavo…
						aktuálneX += Math.cos(Math.toRadians(
							aktuálnyUhol + 90)) * polomer;
						aktuálneY += Math.sin(Math.toRadians(
							aktuálnyUhol + 90)) * polomer;
					}


					if (záznamCesty)
					{
						if (záznamCestyBezPolohyPera)
							cesta.append(oblúk.getPathIterator(null), true);
						else
							cesta.moveTo(
								prepočítajX(aktuálneX),
								prepočítajY(aktuálneY));
					}

					if (viditeľný) automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #skočPoOblúku(double, double) skočPoOblúku}. */
				public void skocPoObluku(double uhol, double polomer)
				{ skočPoOblúku(uhol, polomer); }


				// Súkromný atribút slúžiacy metódam presunu po oblúku
				// na určité súradnice.
				private Bod pracovnýPriesečník = new Bod(0, 0);

				/**
				 * Pohne robotom po oblúku do cieľového bodu určeného
				 * súradnicami [x, y] s ohľadom na aktuálne otočenie robota.
				 * Ak robot smeruje približne na miesto súradníc (s odchýlkou
				 * ±0,0001°), tak sa pohne do cieľového miesta po úsečke
				 * (pričom bude pootočený o nepatrnú odchýlku). Ak má robot
				 * položené pero, tak pri pohybe kreslí čiaru. Robot nesmie
				 * smerovať presne opačným smerom od cieľového miesta, inak
				 * vznikne výnimka.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param x x-ová súradnica cieľového bodu
				 * @param y y-ová súradnica cieľového bodu
				 * @throws GRobotException ak je robot obrátený opačným smerom
				 *     než sa nachádza cieľový bod (o 180° smerom od neho)
				 * @see #choďNa(double, double) choďNa
				 * @see #choďPoOblúku(double, double)
				 * @see #skočPoOblúku(double, double)
				 * @see #skočNaPoOblúku(double, double)
				 * @see #polohaPera() polohaPera
				 */
				public void choďNaPoOblúku(double x, double y)
				{
					// Táto metóda bola zaplatená „krvou a potom“. Výpočty,
					// testy, neúspechy… Trvalo to asi týždeň. Originál je
					// v súbore TestChoďNaPoOblúku.java

					if (aktuálneX == x && aktuálneY == y)
					{
						if (peroPoložené) bod();
						return;
					}

					// Jeden pracovný uhol je uhol kolmý na cieľ
					double pracovnýUhol1 = (90 + Math.toDegrees(Math.atan2(
						y - aktuálneY, x - aktuálneX))) % 360;
					if (pracovnýUhol1 < 0) pracovnýUhol1 += 360;

					// Druhý pracovný uhol je kolmý na aktuálnu polohu
					double pracovnýUhol2 = (90 + aktuálnyUhol) % 360;
					if (pracovnýUhol2 < 0) pracovnýUhol2 += 360;

					// Rozdiel pracovných uhlov je odchýlka aktuálneho smeru od
					// polohy cieľa
					double δ = (pracovnýUhol1 - pracovnýUhol2) % 360;
					if (δ < 0) δ += 360;

					// Pri veľmi malej odchýlke je orientácia robota
					// považovaná za súhlasnú so smerom kreslenia oblúka
					// a preto sa nakreslí do cieľa úsečka – vykoná sa príkaz
					// choďNa(x, y) – je tu určité skreslenie, ktoré by však
					// nemalo prekážať, prekážalo by len pri veľmi veľkých
					// vzdialenostiach
					if (δ < 0.0001 || δ > 359.9999)
					{
						choďNa(x, y);
						aktuálnyUhol += δ;
						if (aktuálnyUhol < 0) aktuálnyUhol += 360;

						uhol(aktuálnyUhol);
						return;
					}

					// Počítame súradnice chýbajúcich bodov úsečiek, ktoré
					// budú použité na nájdenie priesečníka a ten určí stred
					// kružnice oblúka

					// Stred vzdialenosti medzi aktuálnou a cieľovou pozíciou
					double x0 = (x + aktuálneX) / 2;
					double y0 = (y + aktuálneY) / 2;

					// Podľa smeru sa prepočítajú súradnice druhého bodu
					double x1 = x0 + Math.cos(Math.toRadians(pracovnýUhol1));
					double y1 = y0 + Math.sin(Math.toRadians(pracovnýUhol1));

					// Aktuálnu polohu máme, takže len podľa smeru prepočítame
					// druhú súradnicu
					double x2 = aktuálneX + Math.cos(
						Math.toRadians(pracovnýUhol2));
					double y2 = aktuálneY + Math.sin(
						Math.toRadians(pracovnýUhol2));

					try
					{
						double x3, y3;

						synchronized (pracovnýPriesečník)
						{
							// Skúsime nájsť priesečník
							priesečníkÚsečiek(aktuálneX, aktuálneY, x2, y2, x0,
								y0, x1, y1, pracovnýPriesečník);

							// Ak je nájdený, prevezmeme jeho súradnice do
							// premenných, ktoré si hodnoty budú uchovávať
							x3 = pracovnýPriesečník.getX();
							y3 = pracovnýPriesečník.getY();
						}

						// Vypočítame polomer kružnice oblúka
						double polomer = Math.hypot(
							x3 - aktuálneX, y3 - aktuálneY);

						// Podľa toho, či je odchýlka vypočítaná vyššie menšia
						// alebo väčšia než 180° nakreslíme iný typ oblúka
						if (δ < 180)
						{
							// — uhol kreslenia oblúka —
							double uhol = (Math.toDegrees(Math.atan2(y3 - y,
								x3 - x)) - pracovnýUhol2) % 360;
							if (uhol < 0) uhol += 360;

							choďPoOblúku(uhol, -polomer);
						}
						else
						{
							// — uhol kreslenia oblúka —
							double uhol = (180 + pracovnýUhol2 -
								Math.toDegrees(Math.atan2(y3 - y,
									x3 - x))) % 360;
							if (uhol < 0) uhol += 360;

							choďPoOblúku(uhol, polomer);
						}
					}
					catch (RuntimeException e)
					{
						// Keď ide o rovnobežné priamky, tak to znamená, že
						// robot smeruje „naopak“ (súhlasný smer bol vyriešený
						// vyššie, ten protichodný je tu)…
						// (Podobne ako pri riešení vyššie (hľadaj volanie
						// metódy choďNa) by sa aj tu dali nakresliť dve
						// úsečky – jedna smerujúca z pozície robota „do
						// nekonečna“ (mimo plátno) a druhá prichádzajúca
						// „z iného nekonečna“ a končiaca sa v cieľovom bode.
						// Výsledkom kreslenia by bola priamka, v ktorej by
						// chýbal úsek medzi pôvodnou polohou robota
						// a cieľovou polohou robota. Toto riešenie však bolo
						// zamietnuté. V prípade potreby ho môže skúsiť
						// doplniť programátor na základe vzniku tejto
						// výnimky.)
						throw new GRobotException(
							"Robot je obrátený presne opačným smerom od " +
							"cieľového miesta kreslenia oblúka – musel by " +
							"prejsť nekonečnom, aby sa do cieľa dostal.",
							"robotHeadsToOpositeDirection");
					}
				}

				/** <a class="alias"></a> Alias pre {@link #choďNaPoOblúku(double, double) choďNaPoOblúku}. */
				public void chodNaPoObluku(double x, double y)
				{ choďNaPoOblúku(x, y); }

				/**
				 * Funguje rovnako ako {@link #choďNaPoOblúku(double, double)
				 * choďNaPoOblúku(x, y)}, ale namiesto samostatných súradníc
				 * prijíma implementáciu rozhrania {@link Poloha Poloha}
				 * (napríklad {@link Bod Bod}).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param poloha objekt určujúci súradnice cieľového bodu
				 * @throws GRobotException ak je robot obrátený opačným smerom
				 *     než sa nachádza cieľový bod (o 180° smerom od neho)
				 * @see #choďPoOblúku(double, double)
				 * @see #skočPoOblúku(double, double)
				 * @see #choďNaPoOblúku(double, double)
				 * @see #skočNaPoOblúku(double, double)
				 * @see #skočNaPoOblúku(Poloha)
				 */
				public void choďNaPoOblúku(Poloha poloha)
				{ choďNaPoOblúku(poloha.polohaX(), poloha.polohaY()); }

				/** <a class="alias"></a> Alias pre {@link #choďNaPoOblúku(Poloha) choďNaPoOblúku}. */
				public void chodNaPoObluku(Poloha poloha)
				{ choďNaPoOblúku(poloha.polohaX(), poloha.polohaY()); }


				/**
				 * Pohne robotom po oblúku do cieľového bodu určeného
				 * súradnicami [x, y] s ohľadom na aktuálne otočenie robota
				 * bez nakreslenia oblúka. Ak robot smeruje približne na
				 * miesto súradníc (s odchýlkou ±0,0001°), tak sa pohne do
				 * cieľového miesta po úsečke (pričom bude pootočený
				 * o nepatrnú odchýlku). Robot nesmie smerovať presne opačným
				 * smerom od cieľového miesta, inak vznikne výnimka.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param x x-ová súradnica cieľového bodu
				 * @param y y-ová súradnica cieľového bodu
				 * @throws GRobotException ak je robot obrátený opačným smerom
				 *     než sa nachádza cieľový bod (o 180° smerom od neho)
				 * @see #skočNa(double, double) skočNa
				 * @see #choďPoOblúku(double, double)
				 * @see #skočPoOblúku(double, double)
				 * @see #choďNaPoOblúku(double, double)
				 */
				public void skočNaPoOblúku(double x, double y)
				{
					// Táto metóda bola zaplatená „krvou a potom“. Výpočty,
					// testy, neúspechy… Trvalo to asi týždeň. Originál je
					// v súbore TestChoďNaPoOblúku.java

					if (aktuálneX == x && aktuálneY == y)
					{
						//‼‼ bod();
						return;
					}

					// Jeden pracovný uhol je uhol kolmý na cieľ
					double pracovnýUhol1 = (90 + Math.toDegrees(Math.atan2(
						y - aktuálneY, x - aktuálneX))) % 360;
					if (pracovnýUhol1 < 0) pracovnýUhol1 += 360;

					// Druhý pracovný uhol je kolmý na aktuálnu polohu
					double pracovnýUhol2 = (90 + aktuálnyUhol) % 360;
					if (pracovnýUhol2 < 0) pracovnýUhol2 += 360;

					// Rozdiel pracovných uhlov je odchýlka aktuálneho smeru od
					// polohy cieľa
					double δ = (pracovnýUhol1 - pracovnýUhol2) % 360;
					if (δ < 0) δ += 360;

					// Pri veľmi malej odchýlke je orientácia robota
					// považovaná za súhlasnú so smerom kreslenia oblúka
					// a preto sa nakreslí do cieľa úsečka – vykoná sa príkaz
					// choďNa(x, y) – je tu určité skreslenie, ktoré by však
					// nemalo prekážať, prekážalo by len pri veľmi veľkých
					// vzdialenostiach
					if (δ < 0.0001 || δ > 359.9999)
					{
						skočNa(x, y);
						aktuálnyUhol += δ;
						if (aktuálnyUhol < 0) aktuálnyUhol += 360;

						uhol(aktuálnyUhol);
						return;
					}

					// Počítame súradnice chýbajúcich bodov úsečiek, ktoré
					// budú použité na nájdenie priesečníka a ten určí stred
					// kružnice oblúka

					// Stred vzdialenosti medzi aktuálnou a cieľovou pozíciou
					double x0 = (x + aktuálneX) / 2;
					double y0 = (y + aktuálneY) / 2;

					// Podľa smeru sa prepočítajú súradnice druhého bodu
					double x1 = x0 + Math.cos(Math.toRadians(pracovnýUhol1));
					double y1 = y0 + Math.sin(Math.toRadians(pracovnýUhol1));

					// Aktuálnu polohu máme, takže len podľa smeru prepočítame
					// druhú súradnicu
					double x2 = aktuálneX + Math.cos(
						Math.toRadians(pracovnýUhol2));
					double y2 = aktuálneY + Math.sin(
						Math.toRadians(pracovnýUhol2));

					try
					{
						double x3, y3;

						synchronized (pracovnýPriesečník)
						{
							// Skúsime nájsť priesečník
							priesečníkÚsečiek(aktuálneX, aktuálneY, x2, y2, x0,
								y0, x1, y1, pracovnýPriesečník);

							// Ak je nájdený, prevezmeme jeho súradnice do
							// premenných, ktoré si hodnoty budú uchovávať
							x3 = pracovnýPriesečník.getX();
							y3 = pracovnýPriesečník.getY();
						}

						// Vypočítame polomer kružnice oblúka
						double polomer = Math.hypot(
							x3 - aktuálneX, y3 - aktuálneY);

						// Podľa toho, či je odchýlka vypočítaná vyššie menšia
						// alebo väčšia než 180° nakreslíme iný typ oblúka
						if (δ < 180)
						{
							// — uhol kreslenia oblúka —
							double uhol = (Math.toDegrees(Math.atan2(y3 - y,
								x3 - x)) - pracovnýUhol2) % 360;
							if (uhol < 0) uhol += 360;

							skočPoOblúku(uhol, -polomer);
						}
						else
						{
							// — uhol kreslenia oblúka —
							double uhol = (180 + pracovnýUhol2 -
								Math.toDegrees(Math.atan2(y3 - y,
									x3 - x))) % 360;
							if (uhol < 0) uhol += 360;

							skočPoOblúku(uhol, polomer);
						}
					}
					catch (RuntimeException e)
					{
						// Keď ide o rovnobežné priamky, tak to znamená, že
						// robot smeruje „naopak“ (súhlasný smer bol vyriešený
						// vyššie, ten protichodný je tu)…
						// (Podobne ako pri riešení vyššie (hľadaj volanie
						// metódy choďNa) by sa aj tu dali nakresliť dve
						// úsečky – jedna smerujúca z pozície robota „do
						// nekonečna“ (mimo plátno) a druhá prichádzajúca
						// „z iného nekonečna“ a končiaca sa v cieľovom bode.
						// Výsledkom kreslenia by bola priamka, v ktorej by
						// chýbal úsek medzi pôvodnou polohou robota
						// a cieľovou polohou robota. Toto riešenie však bolo
						// zamietnuté. V prípade potreby ho môže skúsiť
						// doplniť programátor na základe vzniku tejto
						// výnimky.)
						throw new GRobotException(
							"Robot je obrátený presne opačným smerom od " +
							"cieľového miesta kreslenia oblúka – musel by " +
							"prejsť nekonečnom, aby sa do cieľa dostal.",
							"robotHeadsToOpositeDirection");
					}
				}

				/** <a class="alias"></a> Alias pre {@link #skočNaPoOblúku(double, double) skočNaPoOblúku}. */
				public void skocNaPoObluku(double x, double y)
				{ skočNaPoOblúku(x, y); }

				/**
				 * Funguje rovnako ako {@link #skočNaPoOblúku(double, double)
				 * skočNaPoOblúku(x, y)}, ale namiesto samostatných súradníc
				 * prijíma implementáciu rozhrania {@link Poloha Poloha}
				 * (napríklad {@link Bod Bod}).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param poloha objekt určujúci súradnice cieľového bodu
				 * @throws GRobotException ak je robot obrátený opačným smerom
				 *     než sa nachádza cieľový bod (o 180° smerom od neho)
				 * @see #choďPoOblúku(double, double)
				 * @see #skočPoOblúku(double, double)
				 * @see #choďNaPoOblúku(double, double)
				 * @see #skočNaPoOblúku(double, double)
				 * @see #choďNaPoOblúku(Poloha)
				 */
				public void skočNaPoOblúku(Poloha poloha)
				{ skočNaPoOblúku(poloha.polohaX(), poloha.polohaY()); }

				/** <a class="alias"></a> Alias pre {@link #skočNaPoOblúku(Poloha) skočNaPoOblúku}. */
				public void skocNaPoObluku(Poloha poloha)
				{ skočNaPoOblúku(poloha.polohaX(), poloha.polohaY()); }


		// Aktivita

			// Aktivácia a deaktivácia

				/**
				 * Overí, či je tento robot aktívny. Aktiváciu je možné
				 * dosiahnuť dvoma základnými spôsobmi – <b>(1)</b> klasickou
				 * {@linkplain #aktivuj() aktiváciou}, ktorá je preferovaná
				 * pri určovaní alebo zmene hodnôt {@linkplain
				 * #rýchlosť(double) rýchlosti}, {@linkplain
				 * #zrýchlenie(double) zrýchlenia} a pod. <b>(2)</b>
				 * {@linkplain #spusti() spustením}, ktoré je preferované pri
				 * stanovovaní a úprave {@linkplain #cieľ(double, double)
				 * cieľa}.
				 * 
				 *  @return {@code valtrue} ak je robot aktívny, inak {@code
				 *      valfalse}
				 */
				public boolean aktívny() { return aktívny; }

				/** <a class="alias"></a> Alias pre {@link #aktívny() aktívny}. */
				public boolean aktivny() { return aktívny; }

				/**
				 * Overí, či je tento robot neaktívny. Vracia presne opačnú
				 * informáciu ako metóda {@link #aktívny() aktívny}.
				 * 
				 *  @return {@code valtrue} ak nie je robot aktívny, inak
				 *      {@code valfalse}
				 */
				public boolean neaktívny() { return !aktívny; }

				/** <a class="alias"></a> Alias pre {@link #aktívny() aktívny}. */
				public boolean neaktivny() { return !aktívny; }

				/**
				 * Aktivuje robota a {@linkplain Svet#spustiČasovač() spustí
				 * časovač} (ak je nečinný). Metóda upozorní robota na aktiváciu
				 * volaním metódy {@link #aktivácia() aktivácia}. Opakom
				 * aktivácie je {@linkplain #deaktivuj() deaktivácia}
				 * a alternatívou aktivácie je {@linkplain #spusti()
				 * spustenie}, ktoré je preferované v iných situáciách –
				 * pozri informácie pri metóde {@link #aktívny() aktívny}.
				 * 
				 *  @see #deaktivuj()
				 *  @see #spusti()
				 */
				public void aktivuj() { aktivuj(0, true); }

				/**
				 * Metóda má rovnaký účel ako metóda {@link #aktivuj()
				 * aktivuj()}, ibaže dovoľuje programátorovi určiť trvanie
				 * aktivity. Trvanie je určené celým číslom, ktoré vyjadruje
				 * počet {@linkplain ObsluhaUdalostí#tik() tikov} {@linkplain
				 * Svet#spustiČasovač(double) časovača}, po ktorých je robot
				 * automaticky {@linkplain #deaktivuj()
				 * deaktivovaný}<sup>[1]</sup>. Po uplynutí času trvania
				 * aktivity je robot deaktivovaný spustením metódy
				 * {@link #deaktivuj() deaktivuj}.
				 * 
				 * <P><small>[1] – ak chceme získať údaj v sekundách, tak
				 * musíme trvanie aktivity násobiť
				 * {@linkplain Svet#intervalČasovača() intervalom časovača};
				 * avšak spúšťanie {@linkplain ObsluhaUdalostí#tik() tikov}
				 * {@linkplain Svet#spustiČasovač(double) časovača} nikdy nie
				 * je úplne presné, preto ani vypočítaný údaj v sekundách
				 * nikdy nebude úplne presný – skutočný čas aktivity robota
				 * sa môže líšiť podľa momentálneho zaťaženia systému…</small>
				 * 
				 *  @param trvanieAktivity  celé číslo určujúce počet
				 *      {@linkplain ObsluhaUdalostí#tik() tikov} {@linkplain
				 *      Svet#spustiČasovač(double) časovača} po ktorých dôjde
				 *      k automatickej {@linkplain #deaktivuj() deaktivácii}
				 */
				public void aktivuj(int trvanieAktivity) { aktivuj(trvanieAktivity, true); }

				/**
				 * Metóda má rovnaký účel ako metóda {@link #aktivuj()
				 * aktivuj()} s tým, že dovoľuje programátorovi určiť, či má
				 * byť automaticky {@linkplain Svet#spustiČasovač() spustený
				 * časovač} (ak nie je v činnosti).
				 * 
				 *  @param ajČasovač  ak je {@code valtrue}, je (v prípade, že
				 *      je nečinný) automaticky {@linkplain Svet#spustiČasovač()
				 *      spustený časovač}
				 */
				public void aktivuj(boolean ajČasovač) { aktivuj(0, ajČasovač); }

				/**
				 * Metóda spája funkcionalitu metód {@link #aktivuj(int)
				 * aktivuj(trvanieAktivity)} a {@link #aktivuj(boolean)
				 * aktivuj(ajČasovač)}. Platia rovnaké pravidlá ako pri
				 * spomenutých metódach…
				 * 
				 *  @param trvanieAktivity  celé číslo určujúce počet
				 *      {@linkplain ObsluhaUdalostí#tik() tikov} {@linkplain
				 *      Svet#spustiČasovač(double) časovača} po ktorých dôjde
				 *      k automatickej {@linkplain #deaktivuj() deaktivácii}
				 *  @param ajČasovač  ak je {@code valtrue}, je (v prípade, že
				 *      je nečinný) automaticky {@linkplain Svet#spustiČasovač()
				 *      spustený časovač}
				 */
				public void aktivuj(int trvanieAktivity, boolean ajČasovač)
				{
					synchronized (zámokAktivít)
					{
						aktívny = true;
						this.trvanieAktivity = trvanieAktivity;
					}
					if (ajČasovač)
					{
						Svet.spustiČasovač();
					}
					aktivácia();
					aktivacia();
				}

				/**
				 * Deaktivuje robota (napríklad po skončení trvania aktivity).
				 * Účelom tejto metódy je deaktivovať robota a upozorniť na to
				 * inštanciu robota volaním prislúchajúcej metódy – pri spustení
				 * tejto metódy je automaticky zavolaná metóda {@link
				 * #deaktivácia() deaktivácia}. Metóda {@code deaktivuj} je
				 * automaticky spustená aj metódou {@link #pracuj() pracuj} po
				 * skončení trvania aktivity tohto robota (pozri napríklad
				 * {@link #aktivuj(int) aktivuj(trvanieAktivity)}). Táto
				 * metóda je opakom skupiny metód {@link #aktivuj() aktivuj}
				 * a alternatívou metódy {@link #zastav() zastav}, ktorá je
				 * preferovaná v iných prípadoch…
				 * 
				 *  @see #aktivuj()
				 *  @see #zastav()
				 */
				public void deaktivuj()
				{
					synchronized (zámokAktivít)
					{
						aktívny = false;
					}
					deaktivácia();
					deaktivacia();
				}

				/**
				 * Aktivuje robota alternatívnym spôsobom a {@linkplain
				 * Svet#spustiČasovač() spustí časovač} (ak je nečinný). Metóda
				 * upozorní robota na spustenie (alternatívnu aktiváciu)
				 * volaním metódy {@link #spustenie() spustenie}. Opakom
				 * tohto spôsobu aktivácie je (okamžité) {@linkplain
				 * #zastav() zastavenie} a alternatívou je klasická
				 * {@linkplain #aktivuj() aktivácia}, ktorá je preferovaná
				 * v iných situáciách – pozri informácie pri metóde {@link
				 * #aktívny() aktívny}.
				 * 
				 *  @see #zastav()
				 *  @see #aktivuj()
				 */
				public void spusti() { spusti(0, true); }

				/**
				 * Metóda má rovnaký účel ako metóda {@link #spusti()
				 * spusti()}, ibaže dovoľuje programátorovi určiť trvanie
				 * aktivity. Trvanie je určené celým číslom, ktoré vyjadruje
				 * počet {@linkplain ObsluhaUdalostí#tik() tikov} {@linkplain
				 * Svet#spustiČasovač(double) časovača}, po ktorých je robot
				 * automaticky {@linkplain #deaktivuj()
				 * deaktivovaný}<sup>[1]</sup>. Bez ohľadu na to, že ide
				 * o alternatívny spôsob aktivácie, je po uplynutí trvania
				 * aktivity spustená metóda {@link #deaktivuj() deaktivuj}
				 * (čiže nie {@link #zastav() zastav} – závisí to od situácie;
				 * zastavenie je viazané k dosiahnutiu cieľa, deaktivácia
				 * k ostatným okolnostiam skončenia aktivity).
				 * 
				 * <P><small>[1] – ak chceme získať údaj v sekundách, musíme
				 * trvanie aktivity násobiť {@linkplain Svet#intervalČasovača()
				 * intervalom časovača}; avšak spúšťanie {@linkplain
				 * ObsluhaUdalostí#tik() tikov} {@linkplain
				 * Svet#spustiČasovač(double) časovača} nikdy nie je úplne
				 * presné, preto ani vypočítaný údaj v sekundách nikdy nebude
				 * úplne presný – skutočný čas aktivity robota sa môže líšiť
				 * podľa momentálneho zaťaženia systému…</small>
				 * 
				 *  @param trvanieAktivity  celé číslo určujúce počet
				 *      {@linkplain ObsluhaUdalostí#tik() tikov} {@linkplain
				 *      Svet#spustiČasovač(double) časovača} po ktorých dôjde
				 *      k automatickej {@linkplain #deaktivuj() deaktivácii}
				 */
				public void spusti(int trvanieAktivity) { spusti(trvanieAktivity, true); }

				/**
				 * Metóda má rovnaký účel ako metóda {@link #spusti()
				 * spusti()} s tým, že dovoľuje programátorovi určiť, či má
				 * byť automaticky {@linkplain Svet#spustiČasovač() spustený
				 * časovač} (ak už nie je v činnosti).
				 * 
				 *  @param ajČasovač  ak je {@code valtrue}, je (v prípade, že
				 *      je nečinný) automaticky {@linkplain Svet#spustiČasovač()
				 *      spustený časovač}
				 */
				public void spusti(boolean ajČasovač) { spusti(0, ajČasovač); }

				/**
				 * Metóda spája funkcionalitu metód {@link #spusti(int)
				 * spusti(trvanieAktivity)} a {@link #spusti(boolean)
				 * spusti(ajČasovač)}. Platia rovnaké pravidlá ako pri
				 * spomenutých metódach…
				 * 
				 *  @param trvanieAktivity  celé číslo určujúce počet
				 *      {@linkplain ObsluhaUdalostí#tik() tikov} {@linkplain
				 *      Svet#spustiČasovač(double) časovača} po ktorých dôjde
				 *      k automatickej {@linkplain #deaktivuj() deaktivácii}
				 *  @param ajČasovač  ak je {@code valtrue}, je (v prípade, že
				 *      je nečinný) automaticky {@linkplain Svet#spustiČasovač()
				 *      spustený časovač}
				 */
				public void spusti(int trvanieAktivity, boolean ajČasovač)
				{
					synchronized (zámokAktivít)
					{
						aktívny = true;
						this.trvanieAktivity = trvanieAktivity;
					}
					if (ajČasovač)
					{
						Svet.spustiČasovač();
					}
					spustenie();
					if (cieľAktívny) overDosiahnutieCieľa();
				}

				/**
				 * Deaktivuje robota (napríklad po dosiahnutí cieľa). Účelom
				 * tejto metódy je deaktivovať robota, zastaviť (zrušiť)
				 * smerovanie do cieľa (pozri {@link #cieľ(double, double)
				 * cieľ} alebo niektorý jej „klon“) a upozorniť na to inštanciu
				 * robota volaním prislúchajúcej metódy – pri spustení tejto
				 * metódy je automaticky zavolaná metóda {@link #zastavenie()
				 * zastavenie}. Metóda {@code zastav} je automaticky spustená
				 * aj metódou {@link #pracuj() pracuj} po dosiahnutí určeného
				 * cieľa týmto robotom (pozri napríklad vyššie spomenutú metódu
				 * {@link #cieľ(double, double) cieľ(x, y)}). Táto metóda je
				 * opakom skupiny metód {@link #spusti() spusti}
				 * a alternatívou metódy {@link #deaktivuj() deaktivuj},
				 * ktorá je preferovaná v iných situáciách… <b>Pozor(!) na
				 * podobnosť názvu so skupinou metód {@link #zabrzdi()
				 * zabrzdi}, ktoré sú protikladom supiny metód
				 * {@link #rozbehniSa() rozbehniSa} a majú za účel zahájiť
				 * brzdenie pohybujúceho sa robota…</b>
				 * 
				 *  @see #spusti()
				 *  @see #deaktivuj()
				 */
				public void zastav()
				{
					synchronized (zámokAktivít)
					{
						aktívny = false;
						cieľAktívny = false;
						if (zrýchlenie != 0.0) rýchlosť = 0.0;
						if (uhlovéZrýchlenie != 0.0) uhlováRýchlosť = 0.0;
					}
					zastavenie();
				}

				/**
				 * Zisťuje aktuálnu hodnotu trvania aktivity, čo je vlastne
				 * čas meraný v {@linkplain ObsluhaUdalostí#tik() tikoch}
				 * aplikácie. Hodnota {@code num0} (alebo záporná hodnota)
				 * znamená explicitne neobmedzené trvanie aktivity. (To
				 * znamená, že nie je otvorene stanovený čas, po ktorom sa
				 * má robot deaktivovať a deaktivácia nastane buď po
				 * otvorenej výzve, alebo po vzniknutí inej vhodnej
				 * udalosti.)
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @return explicitne (otvorene) stanovený čas
				 *     v {@linkplain ObsluhaUdalostí#tik() tikoch} zostávajúci
				 *     do ukončenia stavu aktivity alebo nekladná hodnota
				 *     vypovedajúca o tom, že trvanie aktivity nie je
				 *     explicitne časovo obmedzené
				 */
				public int trvanieAktivity()
				{
					return trvanieAktivity;
				}

				/**
				 * Umožňuje zmeniť aktuálne trvanie aktivity. Meniť túto
				 * hodnotu má zmysel len počas trvania stavu aktivity robota
				 * (napríklad v reakciách {@link #aktivácia() aktivácia}
				 * a {@link #aktivita() aktivita} alebo tesne po aktivovaní
				 * robota, napríklad metódou {@link #rýchlosť() rýchlosť}),
				 * pretože všetky metódy slúžiace na {@linkplain #aktivuj()
				 * aktiváciu} alebo {@linkplain #spusti() spustenie} robota
				 * túto hodnotu prepisujú (väčšinou na nulu, čo znamená
				 * neobmedzené trvanie).
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @param trvanieAktivity nový čas trvania stavu aktivity;
				 *     nekladné hodnoty (nula a záporné hodnoty) určujú,
				 *     že aktivita nemá byť otvorene časovo obmedzená
				 */
				public void trvanieAktivity(int trvanieAktivity)
				{
					synchronized (zámokAktivít)
					{
						this.trvanieAktivity = trvanieAktivity;
					}
				}


			// Rýchlosť

				/**
				 * <a class="getter"></a> Zistí aktuálnu hodnotu {@linkplain
				 * #rýchlosť(double) rýchlosti} tohto robota. Nenulová
				 * rýchlosť ešte neznamená, že robot sa pohybuje. Pohybujú sa
				 * len {@linkplain #aktívny() aktívne} roboty.
				 *  @return aktuálna rýchlosť tohto robota
				 */
				public double rýchlosť() { return rýchlosť; }

				/** <a class="alias"></a> Alias pre {@link #rýchlosť() rýchlosť}. */
				public double rychlost() { return rýchlosť; }

				/**
				 * <a class="setter"></a> Nastaví robotovi novú hodnotu
				 * rýchlosti a ak je zadaná nenulová hodnota, automaticky ho
				 * {@linkplain #aktivuj() aktivuje} (čo môže viesť ku vzniku
				 * ďalších udalostí opísaných pri metóde {@link #aktivuj()
				 * aktivuj()}), aby sa mohol pohybovať. Ak je zadaná nulová
				 * hodnota rýchlosti, robot <b>nie je</b> automaticky
				 * {@linkplain #deaktivuj() deaktivovaný}.
				 * 
				 *  @param rýchlosť  nová hodnota rýchlosti
				 */
				public void rýchlosť(double rýchlosť)
				{ rýchlosť(rýchlosť, true); }

				/** <a class="alias"></a> Alias pre {@link #rýchlosť(double) rýchlosť}. */
				public void rychlost(double rýchlosť)
				{ rýchlosť(rýchlosť, true); }

				/**
				 * Nastaví robotovi novú hodnotu rýchlosti a dovolí
				 * programátorovi rozhodnúť, či má byť robot automaticky
				 * {@linkplain #aktivuj() aktivovaný}. Neaktívne roboty sa
				 * nepohybujú aj keď majú nastavenú nenulovú rýchlosť.
				 * 
				 *  @param rýchlosť  nová hodnota rýchlosti
				 *  @param aktivuj  ak je {@code valtrue} a zadaná rýchlosť je
				 *      nenulová, automaticky aktivuje robota
				 */
				public void rýchlosť(double rýchlosť, boolean aktivuj)
				{
					synchronized (zámokAktivít)
					{
						this.rýchlosť = rýchlosť;
						if (maximálnaRýchlosť != 0.0)
						{
							if (this.rýchlosť > maximálnaRýchlosť)
								this.rýchlosť = maximálnaRýchlosť;
							else if (this.rýchlosť < -maximálnaRýchlosť)
								this.rýchlosť = -maximálnaRýchlosť;
						}
					}

					if (aktivuj && this.rýchlosť != 0.0) aktivuj();
				}

				/** <a class="alias"></a> Alias pre {@link #rýchlosť(double, boolean) rýchlosť}. */
				public void rychlost(double rýchlosť, boolean aktivuj)
				{ rýchlosť(rýchlosť, aktivuj); }

				/**
				 * <a class="getter"></a> Zistí hodnotu {@linkplain
				 * #maximálnaRýchlosť(double) maximálnej rýchlosti} tohto
				 * robota. Nula znamená „bez obmedzenia“.
				 *  @return maximálna rýchlosť tohto robota
				 */
				public double maximálnaRýchlosť() { return maximálnaRýchlosť; }

				/** <a class="alias"></a> Alias pre {@link #maximálnaRýchlosť() maximálnaRýchlosť}. */
				public double maximalnaRychlost() { return maximálnaRýchlosť; }

				/**
				 * <a class="setter"></a> Nastaví novú hodnotu maximálnej rýchlosti.
				 * Touto hodnotou bude limitovaná {@linkplain
				 * #rýchlosť(double) rýchlosť} robota v kladom i zápornom
				 * smere. Nula znamená „bez obmedzenia“.
				 * 
				 *  @param maximálnaRýchlosť  nová hodnota maximálnej
				 *      rýchlosti
				 */
				public void maximálnaRýchlosť(double maximálnaRýchlosť)
				{
					synchronized (zámokAktivít)
					{
						if (maximálnaRýchlosť < 0.0)
							this.maximálnaRýchlosť = -maximálnaRýchlosť;
						else
							this.maximálnaRýchlosť = maximálnaRýchlosť;

						if (this.maximálnaRýchlosť != 0.0)
						{
							if (rýchlosť > this.maximálnaRýchlosť)
								rýchlosť = this.maximálnaRýchlosť;
							else if (rýchlosť < -this.maximálnaRýchlosť)
								rýchlosť = -this.maximálnaRýchlosť;
						}
					}
				}

				/** <a class="alias"></a> Alias pre {@link #maximálnaRýchlosť(double) maximálnaRýchlosť}. */
				public void maximalnaRychlost(double maximálnaRýchlosť)
				{ maximálnaRýchlosť(maximálnaRýchlosť); }


			// Uhlová rýchlosť

				/**
				 * <a class="getter"></a> Zistí aktuálnu hodnotu {@linkplain
				 * #uhlováRýchlosť(double) uhlovej rýchlosti} (rýchlosti
				 * otáčania) tohto robota. Kladné hodnoty znamenajú otáčanie
				 * robota doľava. Nenulová uhlová rýchlosť ešte neznamená, že
				 * robot sa otáča. Pohybujú a otáčajú sa len {@linkplain
				 * #aktívny() aktívne} roboty.
				 *  @return aktuálna uhlová rýchlosť tohto robota
				 */
				public double uhlováRýchlosť() { return uhlováRýchlosť; }

				/** <a class="alias"></a> Alias pre {@link #uhlováRýchlosť() uhlováRýchlosť}. */
				public double uhlovaRychlost() { return uhlováRýchlosť; }

				/** <a class="alias"></a> Alias pre {@link #uhlováRýchlosť() uhlováRýchlosť}. */
				public double rýchlosťOtáčania() { return uhlováRýchlosť; }

				/** <a class="alias"></a> Alias pre {@link #uhlováRýchlosť() uhlováRýchlosť}. */
				public double rychlostOtacania() { return uhlováRýchlosť; }

				/**
				 * <a class="setter"></a> Nastaví novú hodnotu uhlovej rýchlosti
				 * (rýchlosti otáčania) tohto robota. Kladné hodnoty
				 * znamenajú otáčanie robota doľava. Ak je zadané nenulová
				 * hodnota, robot je automaticky {@linkplain #aktivuj()
				 * aktivovaný}, aby sa mohol otáčať. Ak je zadaná nulová
				 * hodnota, robot <b>nie je</b> automaticky {@linkplain
				 * #deaktivuj() deaktivovaný}.
				 * 
				 *  @param uhlováRýchlosť  nová hodnota uhlovej rýchlosti
				 *      (rýchlosti otáčania)
				 */
				public void uhlováRýchlosť(double uhlováRýchlosť)
				{ uhlováRýchlosť(uhlováRýchlosť, true); }

				/** <a class="alias"></a> Alias pre {@link #uhlováRýchlosť(double) uhlováRýchlosť}. */
				public void uhlovaRychlost(double uhlováRýchlosť)
				{ uhlováRýchlosť(uhlováRýchlosť, true); }

				/** <a class="alias"></a> Alias pre {@link #uhlováRýchlosť(double) uhlováRýchlosť}. */
				public void rýchlosťOtáčania(double uhlováRýchlosť)
				{ uhlováRýchlosť(uhlováRýchlosť, true); }

				/** <a class="alias"></a> Alias pre {@link #uhlováRýchlosť(double) uhlováRýchlosť}. */
				public void rychlostOtacania(double uhlováRýchlosť)
				{ uhlováRýchlosť(uhlováRýchlosť, true); }

				/**
				 * Nastaví novú hodnotu uhlovej rýchlosti (rýchlosti
				 * otáčania) tohto robota. Kladné hodnoty znamenajú otáčanie
				 * robota doľava. Argument {@code aktivuj} dovoľuje
				 * programátorovi určiť, či smie byť robot (v prípade zadania
				 * nenulovej hodnoty uhlovej rýchlosti) {@linkplain #aktivuj()
				 * aktivovaný}. Neaktívne roboty sa nepohybujú ani neotáčajú
				 * aj keď majú nastavenú nenulovú rýchlosť, resp. rýchlosť
				 * otáčania.
				 * 
				 *  @param uhlováRýchlosť  nová hodnota uhlovej rýchlosti
				 *      (rýchlosti otáčania)
				 *  @param aktivuj  ak je {@code valtrue} a zadaná hodnota
				 *      uhlovej rýchlosti je nenulová, robot je {@linkplain
				 *      #aktivuj() aktivovaný}
				 */
				public void uhlováRýchlosť(double uhlováRýchlosť,
					boolean aktivuj)
				{
					synchronized (zámokAktivít)
					{
						this.uhlováRýchlosť = uhlováRýchlosť;
						if (maximálnaUhlováRýchlosť != 0.0)
						{
							if (this.uhlováRýchlosť >
								maximálnaUhlováRýchlosť)
								this.uhlováRýchlosť =
								maximálnaUhlováRýchlosť;
							else if (this.uhlováRýchlosť <
								-maximálnaUhlováRýchlosť)
								this.uhlováRýchlosť =
								-maximálnaUhlováRýchlosť;
						}
					}

					if (aktivuj && this.uhlováRýchlosť != 0.0) aktivuj();
				}

				/** <a class="alias"></a> Alias pre {@link #uhlováRýchlosť(double, boolean) uhlováRýchlosť}. */
				public void uhlovaRychlost(double uhlováRýchlosť, boolean aktivuj)
				{ uhlováRýchlosť(uhlováRýchlosť, aktivuj); }

				/** <a class="alias"></a> Alias pre {@link #uhlováRýchlosť(double, boolean) uhlováRýchlosť}. */
				public void rýchlosťOtáčania(double uhlováRýchlosť, boolean aktivuj)
				{ uhlováRýchlosť(uhlováRýchlosť, aktivuj); }

				/** <a class="alias"></a> Alias pre {@link #uhlováRýchlosť(double, boolean) uhlováRýchlosť}. */
				public void rychlostOtacania(double uhlováRýchlosť, boolean aktivuj)
				{ uhlováRýchlosť(uhlováRýchlosť, aktivuj); }


				/**
				 * <a class="getter"></a> Zistí hodnotu {@linkplain
				 * #maximálnaUhlováRýchlosť(double) maximálnej uhlovej
				 * rýchlosti} (maximálnej rýchlosti otáčania) tohto robota.
				 * Kladné hodnoty znamenajú otáčanie robota doľava. Nula
				 * znamená „bez obmedzenia“.
				 *  @return maximálna uhlová rýchlosť tohto robota
				 */
				public double maximálnaUhlováRýchlosť() { return maximálnaUhlováRýchlosť; }

				/** <a class="alias"></a> Alias pre {@link #maximálnaUhlováRýchlosť() maximálnaUhlováRýchlosť}. */
				public double maximalnaUhlovaRychlost() { return maximálnaUhlováRýchlosť; }

				/** <a class="alias"></a> Alias pre {@link #maximálnaUhlováRýchlosť() maximálnaUhlováRýchlosť}. */
				public double maximálnaRýchlosťOtáčania() { return maximálnaUhlováRýchlosť; }

				/** <a class="alias"></a> Alias pre {@link #maximálnaUhlováRýchlosť() maximálnaUhlováRýchlosť}. */
				public double maximalnaRychlostOtacania() { return maximálnaUhlováRýchlosť; }

				/**
				 * <a class="setter"></a> Nastaví novú hodnotu maximálnej uhlovej
				 * rýchlosti (rýchlosti otáčania). Touto hodnotou bude
				 * limitovaná {@linkplain #uhlováRýchlosť(double) rýchlosť
				 * otáčania} robota v kladom i zápornom smere. Kladné hodnoty
				 * znamenajú otáčanie robota doľava. Nulová maximálna uhlová
				 * rýchlosť znamená „bez obmedzenia“.
				 * 
				 *  @param maximálnaUhlováRýchlosť  nová hodnota maximálnej
				 *      uhlovej rýchlosti
				 */
				public void maximálnaUhlováRýchlosť(
					double maximálnaUhlováRýchlosť)
				{
					synchronized (zámokAktivít)
					{
						if (maximálnaUhlováRýchlosť < 0.0)
							this.maximálnaUhlováRýchlosť =
							-maximálnaUhlováRýchlosť;
						else
							this.maximálnaUhlováRýchlosť =
							maximálnaUhlováRýchlosť;

						if (this.maximálnaUhlováRýchlosť != 0.0)
						{
							if (uhlováRýchlosť >
								this.maximálnaUhlováRýchlosť)
								uhlováRýchlosť =
								this.maximálnaUhlováRýchlosť;
							else if (uhlováRýchlosť <
								-this.maximálnaUhlováRýchlosť)
								uhlováRýchlosť =
								-this.maximálnaUhlováRýchlosť;
						}
					}
				}

				/** <a class="alias"></a> Alias pre {@link #maximálnaUhlováRýchlosť(double) maximálnaUhlováRýchlosť}. */
				public void maximalnaUhlovaRychlost(double maximálnaUhlováRýchlosť)
				{ maximálnaUhlováRýchlosť(maximálnaUhlováRýchlosť); }

				/** <a class="alias"></a> Alias pre {@link #maximálnaUhlováRýchlosť(double) maximálnaUhlováRýchlosť}. */
				public void maximálnaRýchlosťOtáčania(double maximálnaUhlováRýchlosť)
				{ maximálnaUhlováRýchlosť(maximálnaUhlováRýchlosť); }

				/** <a class="alias"></a> Alias pre {@link #maximálnaUhlováRýchlosť(double) maximálnaUhlováRýchlosť}. */
				public void maximalnaRychlostOtacania(double maximálnaUhlováRýchlosť)
				{ maximálnaUhlováRýchlosť(maximálnaUhlováRýchlosť); }


			// Zrýchlenie

				/**
				 * <a class="getter"></a> Zistí hodnotu {@linkplain #zrýchlenie(double)
				 * zrýchlenia} tohto robota. Nenulová hodnota ešte neznamená,
				 * že robot sa pohybuje. Pohybujú sa len {@linkplain
				 * #aktívny() aktívne} roboty.
				 *  @return zrýchlenie tohto robota
				 */
				public double zrýchlenie() { return zrýchlenie; }

				/** <a class="alias"></a> Alias pre {@link #zrýchlenie() zrýchlenie}. */
				public double zrychlenie() { return zrýchlenie; }

				/**
				 * <a class="setter"></a> Nastaví robotovi novú hodnotu zrýchlenia.
				 * V prípade zadania nenulovej hodnoty, je robot automaticky
				 * {@linkplain #aktivuj() aktivovaný}, aby sa mohol začať
				 * pohybovať. Ak má robot nastavenú {@linkplain
				 * #maximálnaRýchlosť(double) maximálnu rýchlosť}, bude
				 * zrýchľovať až kým ju nedosiahne, inak bude zrýchľovať
				 * donekonečna. Ak majú hodnoty {@linkplain #rýchlosť(double)
				 * rýchlosti} a zrýchlenia rôzne znamienka, robot postupne
				 * spomaľuje a keď dosiahne hranicu nulovej rýchlosti, tak sa
				 * buď zastaví (ak má prikázané {@linkplain
				 * #zastavPoSpomalení() zastaviť po spomalení}), alebo sa
				 * začne pohybovať opačným smerom (t. j. ak išiel dopredu,
				 * začne cúvať a naopak).
				 * 
				 *  @param zrýchlenie  nová hodnota zrýchlenia
				 */
				public void zrýchlenie(double zrýchlenie)
				{ zrýchlenie(zrýchlenie, true); }

				/** <a class="alias"></a> Alias pre {@link #zrýchlenie(double) zrýchlenie}. */
				public void zrychlenie(double zrýchlenie)
				{ zrýchlenie(zrýchlenie, true); }

				/**
				 * Metóda funguje rovnako ako metóda {@link
				 * #zrýchlenie(double) zrýchlenie(double zrýchlenie)}, ale
				 * dovoľuje programátorovi určiť, či smie byť robot
				 * (v prípade zadania nenulového zrýchlenia) {@linkplain
				 * #aktivuj() aktivovaný}.
				 * 
				 *  @param zrýchlenie  nová hodnota zrýchlenia
				 *  @param aktivuj  ak je {@code valtrue} a zadaná hodnota
				 *      zrýchlenia je nenulová, robot je {@linkplain
				 *      #aktivuj() aktivovaný}
				 */
				public void zrýchlenie(double zrýchlenie, boolean aktivuj)
				{
					synchronized (zámokAktivít)
					{
						this.zrýchlenie = zrýchlenie;
					}
					if (aktivuj && zrýchlenie != 0.0) aktivuj();
				}

				/** <a class="alias"></a> Alias pre {@link #zrýchlenie(double, boolean) zrýchlenie}. */
				public void zrychlenie(double zrýchlenie, boolean aktivuj)
				{ zrýchlenie(zrýchlenie, aktivuj); }


			// Uhlové zrýchlenie

				/**
				 * <a class="getter"></a> Zistí hodnotu {@linkplain
				 * #uhlovéZrýchlenie(double) uhlového zrýchlenia} (zrýchlenia
				 * otáčania) tohto robota. Kladné hodnoty znamenajú otáčanie
				 * robota doľava. Nenulová hodnota ešte neznamená, že robot
				 * sa otáča. Pohybujú a otáčajú sa len {@linkplain #aktívny()
				 * aktívne} roboty.
				 *  @return uhlové zrýchlenie tohto robota
				 */
				public double uhlovéZrýchlenie() { return uhlovéZrýchlenie; }

				/** <a class="alias"></a> Alias pre {@link #uhlovéZrýchlenie() uhlovéZrýchlenie}. */
				public double uhloveZrychlenie() { return uhlovéZrýchlenie; }

				/** <a class="alias"></a> Alias pre {@link #uhlovéZrýchlenie() uhlovéZrýchlenie}. */
				public double zrýchlenieOtáčania() { return uhlovéZrýchlenie; }

				/** <a class="alias"></a> Alias pre {@link #uhlovéZrýchlenie() uhlovéZrýchlenie}. */
				public double zrychlenieOtacania() { return uhlovéZrýchlenie; }

				/**
				 * <a class="setter"></a> Nastaví robotovi novú hodnotu uhlového
				 * zrýchlenia (zrýchlenia otáčania). V prípade zadania
				 * nenulovej hodnoty, je robot automaticky {@linkplain
				 * #aktivuj() aktivovaný}, aby sa mohol začať otáčať. Ak má
				 * robot nastavenú {@linkplain
				 * #maximálnaUhlováRýchlosť(double) maximálnu uhlovú
				 * rýchlosť}, bude zvyšovať rýchlosť otáčania až kým
				 * nedosiahne stanovenú hranicu, inak bude zrýchľovať
				 * donekonečna. Ak majú hodnoty {@linkplain
				 * #uhlováRýchlosť(double) rýchlosti otáčania} a uhlového
				 * zrýchlenia rôzne znamienka, robot bude postupne znižovať
				 * rýchlosť otáčania, kým sa nezačne otáčať opačným smerom.
				 * 
				 *  @param uhlovéZrýchlenie  nová hodnota uhlového zrýchlenia
				 *      (zrýchlenia otáčania)
				 */
				public void uhlovéZrýchlenie(double uhlovéZrýchlenie)
				{ uhlovéZrýchlenie(uhlovéZrýchlenie, true); }

				/** <a class="alias"></a> Alias pre {@link #uhlovéZrýchlenie(double) uhlovéZrýchlenie}. */
				public void uhloveZrychlenie(double uhlovéZrýchlenie)
				{ uhlovéZrýchlenie(uhlovéZrýchlenie, true); }

				/** <a class="alias"></a> Alias pre {@link #uhlovéZrýchlenie(double) uhlovéZrýchlenie}. */
				public void zrýchlenieOtáčania(double uhlovéZrýchlenie)
				{ uhlovéZrýchlenie(uhlovéZrýchlenie, true); }

				/** <a class="alias"></a> Alias pre {@link #uhlovéZrýchlenie(double) uhlovéZrýchlenie}. */
				public void zrychlenieOtacania(double uhlovéZrýchlenie)
				{ uhlovéZrýchlenie(uhlovéZrýchlenie, true); }

				/**
				 * Metóda funguje rovnako ako metóda {@link
				 * #uhlovéZrýchlenie(double) uhlovéZrýchlenie(double
				 * uhlovéZrýchlenie)}, ale dovoľuje programátorovi určiť, či
				 * smie byť robot (v prípade zadania nenulového zrýchlenia)
				 * {@linkplain #aktivuj() aktivovaný}.
				 * 
				 *  @param uhlovéZrýchlenie  nová hodnota uhlového zrýchlenia
				 *      (zrýchlenia otáčania)
				 *  @param aktivuj  ak je {@code valtrue} a zadaná hodnota
				 *      uhlového zrýchlenia je nenulová, robot je {@linkplain
				 *      #aktivuj() aktivovaný}
				 */
				public void uhlovéZrýchlenie(double uhlovéZrýchlenie, boolean aktivuj)
				{
					synchronized (zámokAktivít)
					{
						this.uhlovéZrýchlenie = uhlovéZrýchlenie;
					}
					if (aktivuj && uhlovéZrýchlenie != 0.0) aktivuj();
				}

				/** <a class="alias"></a> Alias pre {@link #uhlovéZrýchlenie(double, boolean) uhlovéZrýchlenie}. */
				public void uhloveZrychlenie(double uhlovéZrýchlenie, boolean aktivuj)
				{ uhlovéZrýchlenie(uhlovéZrýchlenie, aktivuj); }

				/** <a class="alias"></a> Alias pre {@link #uhlovéZrýchlenie(double, boolean) uhlovéZrýchlenie}. */
				public void zrýchlenieOtáčania(double uhlovéZrýchlenie, boolean aktivuj)
				{ uhlovéZrýchlenie(uhlovéZrýchlenie, aktivuj); }

				/** <a class="alias"></a> Alias pre {@link #uhlovéZrýchlenie(double, boolean) uhlovéZrýchlenie}. */
				public void zrychlenieOtacania(double uhlovéZrýchlenie, boolean aktivuj)
				{ uhlovéZrýchlenie(uhlovéZrýchlenie, aktivuj); }


			// Dynamický pohyb


				/**
				 * Metóda slúži na aktiváciu robota, ktorý má nenulové
				 * {@linkplain #zrýchlenie(double) zrýchlenie}. Ak má robot
				 * nulové zrýchlenie, volanie tejto metódy nemá žiadny efekt.
				 * (To znamená, že {@linkplain #zrýchlenie(double) zrýchlenie}
				 * robota treba nastaviť vopred.) Vo vyšších verziách robota
				 * bolo správanie tejto metódy upravené tak, aby sa robot vždy
				 * rozbiehal dopredu (to znamená, že ak je robotove zrýchlenie
				 * v čase volania tejto metódy záporné, upraví sa automaticky
				 * na kladné), zároveň bola pridaná metóda {@link
				 * #začniCúvať() začniCúvať}…
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #začniCúvať()
				 * @see #zabrzdi()
				 * @see #rozbehniSa(double)
				 * @see #rozbehniSa(double, double)
				 * @see #rozbehniSa(double, boolean)
				 * @see #rozbehniSa(double, double, boolean)
				 */
				public void rozbehniSa()
				{
					if (zrýchlenie != 0.0)
					{
						if (zrýchlenie < 0.0)
							zrýchlenie = -zrýchlenie;
						aktivuj();
					}
				}

				/**
				 * Metóda slúži na aktiváciu robota, ktorý má nenulové
				 * {@linkplain #zrýchlenie(double) zrýchlenie}. Ak má robot
				 * nulové zrýchlenie, volanie tejto metódy nemá žiadny efekt.
				 * (To znamená, že {@linkplain #zrýchlenie(double) zrýchlenie}
				 * robota treba nastaviť vopred.) Ak je robotove zrýchlenie
				 * v čase volania tejto metódy kladné, upraví sa automaticky
				 * na záporné. Táto metóda bola pridaná do vyšších verzií
				 * robota ako protipól metódy {@link #rozbehniSa()
				 * rozbehniSa}…
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #rozbehniSa()
				 * @see #zabrzdi()
				 */
				public void začniCúvať()
				{
					if (zrýchlenie != 0.0)
					{
						if (zrýchlenie > 0.0)
							zrýchlenie = -zrýchlenie;
						aktivuj();
					}
				}

				/** <a class="alias"></a> Alias pre {@link #začniCúvať() začniCúvať}. */
				public void zacniCuvat() { začniCúvať(); }

				/**
				 * Metóda nastaví robotovi zadané {@linkplain
				 * #zrýchlenie(double) zrýchlenie} a v prípade zadania
				 * nenulovej hodnoty automaticky aktivuje robota.
				 * 
				 *  @param zrýchlenie  nová hodnota {@linkplain
				 *      #zrýchlenie(double) zrýchlenia}
				 * 
				 * @see #začniCúvať()
				 * @see #zabrzdi(double)
				 * @see #rozbehniSa()
				 * @see #rozbehniSa(double, double)
				 * @see #rozbehniSa(double, boolean)
				 * @see #rozbehniSa(double, double, boolean)
				 */
				public void rozbehniSa(double zrýchlenie)
				{
					zrýchlenie(zrýchlenie);
				}

				/**
				 * Metóda nastaví robotovi nové hodnoty {@linkplain
				 * #zrýchlenie(double) zrýchlenia} a {@linkplain
				 * #maximálnaRýchlosť(double) maximálnej rýchlosti}
				 * a v prípade zadania nenulovej hodnoty zrýchlenia
				 * automaticky aktivuje robota.
				 * 
				 *  @param zrýchlenie  nová hodnota {@linkplain
				 *      #zrýchlenie(double) zrýchlenia}
				 *  @param maximálnaRýchlosť  nová hodnota {@linkplain
				 *      #maximálnaRýchlosť(double) maximálnej rýchlosti}
				 * 
				 * @see #zabrzdi(double)
				 * @see #rozbehniSa()
				 * @see #rozbehniSa(double)
				 * @see #rozbehniSa(double, boolean)
				 * @see #rozbehniSa(double, double, boolean)
				 */
				public void rozbehniSa(double zrýchlenie, double maximálnaRýchlosť)
				{
					zrýchlenie(zrýchlenie);
					maximálnaRýchlosť(maximálnaRýchlosť);
				}

				/**
				 * Metóda nastaví robotovi zadané {@linkplain
				 * #zrýchlenie(double) zrýchlenie} a zároveň dovoľuje
				 * programátorovi určiť, či má byť robot v prípade zadania
				 * nenulovej hodnoty zrýchlenia automaticky {@linkplain
				 * #aktivuj() aktivovaný}.
				 * 
				 *  @param zrýchlenie  nová hodnota {@linkplain
				 *      #zrýchlenie(double) zrýchlenia}
				 *  @param aktivuj  ak je {@code valtrue}, automaticky
				 *      aktivuje robota pri zadaní nenulového zrýchlenia
				 * 
				 * @see #zabrzdi(double)
				 * @see #rozbehniSa()
				 * @see #rozbehniSa(double)
				 * @see #rozbehniSa(double, double)
				 * @see #rozbehniSa(double, double, boolean)
				 */
				public void rozbehniSa(double zrýchlenie, boolean aktivuj)
				{
					zrýchlenie(zrýchlenie, aktivuj);
				}

				/**
				 * Metóda nastaví robotovi nové hodnoty {@linkplain
				 * #zrýchlenie(double) zrýchlenia} a {@linkplain
				 * #maximálnaRýchlosť(double) maximálnej rýchlosti} a dovoľuje
				 * programátorovi určiť, či má byť robot v prípade zadania
				 * nenulovej hodnoty zrýchlenia automaticky {@linkplain
				 * #aktivuj() aktivovaný}.
				 * 
				 *  @param zrýchlenie  nová hodnota {@linkplain
				 *      #zrýchlenie(double) zrýchlenia}
				 *  @param maximálnaRýchlosť  nová hodnota {@linkplain
				 *      #maximálnaRýchlosť(double) maximálnej rýchlosti}
				 *  @param aktivuj  ak je {@code valtrue}, automaticky
				 *      aktivuje robota pri zadaní nenulového zrýchlenia
				 * 
				 * @see #zabrzdi(double)
				 * @see #rozbehniSa()
				 * @see #rozbehniSa(double)
				 * @see #rozbehniSa(double, double)
				 * @see #rozbehniSa(double, boolean)
				 */
				public void rozbehniSa(double zrýchlenie, double maximálnaRýchlosť, boolean aktivuj)
				{
					// if (zrýchlenie < 0.0) zrýchlenie = -zrýchlenie; -- môže aj cúvať…
					zrýchlenie(zrýchlenie, aktivuj);
					maximálnaRýchlosť(maximálnaRýchlosť);
				}


				/**
				 * Prikáže robotovi začať brzdiť a automaticky {@linkplain
				 * #zastav() zastaviť} pri dosiahnutí nulovej rýchlosti.
				 * <b>Metóda vyžaduje, aby robot mal určitú úroveň {@linkplain
				 * #zrýchlenie(double) zrýchlenia}!</b>
				 * Keď robot nie je {@linkplain #aktívny() aktívny} alebo má
				 * {@linkplain #zrýchlenie(double) nulové zrýchlenie}, tak nemá
				 * volanie metódy žiadny efekt. V opačnom prípade je vektor
				 * zrýchlenia robota upravený správnym smerom – keď robot
				 * práve cúva, je zrýchlenie nastavené na kladnú hodnotu, keď
				 * ide dopredu, na zápornú. <b>Pozor(!) na podobnosť názvu
				 * s metódou {@link #zastav() zastav}, ktorá má na starosti
				 * deaktiváciu robota (napríklad po dosiahnutí cieľa)…</b>
				 * 
				 * @see #rozbehniSa()
				 * @see #začniCúvať()
				 * @see #zabrzdi(double)
				 */
				public void zabrzdi()
				{
					if (!aktívny || zrýchlenie == 0.0) return;

					if (rýchlosť == 0.0)
					{
						synchronized (zámokAktivít)
						{
							zastavPoSpomalení = false;
						}
						zastav();
						return;
					}

					synchronized (zámokAktivít)
					{
						zastavPoSpomalení = true;

						if (rýchlosť > 0.0 && zrýchlenie > 0.0)
							zrýchlenie = -zrýchlenie;
						else if (rýchlosť < 0.0 && zrýchlenie < 0.0)
							zrýchlenie = -zrýchlenie;
					}
				}

				/**
				 * Prikáže robotovi začať brzdiť so zadaným „zrýchlením“
				 * (spomalením) a automaticky {@linkplain #zastav() zastaviť}
				 * pri dosiahnutí nulovej rýchlosti. Keď robot nie je
				 * {@linkplain #aktívny() aktívny} alebo <b>je zadané
				 * zrýchlenie rovné nule, tak nemá volanie metódy žiadny
				 * efekt</b>.
				 * V opačnom prípade je vektor zrýchlenia robota upravený
				 * správnym smerom – keď robot práve cúva, je zrýchlenie
				 * nastavené na kladnú hodnotu, keď ide dopredu, na zápornú.
				 * <b>Pozor(!) na podobnosť názvu s metódou {@link #zastav()
				 * zastav}, ktorá má na starosti deaktiváciu robota (napríklad
				 * po dosiahnutí cieľa)…</b>
				 * 
				 *  @param zrýchlenie  nová hodnota zrýchlenia tohto robota
				 *      (<b>nesmie byť rovné nule</b>)
				 * 
				 * @see #rozbehniSa(double)
				 * @see #rozbehniSa(double, double)
				 * @see #rozbehniSa(double, boolean)
				 * @see #rozbehniSa(double, double, boolean)
				 * @see #zabrzdi()
				 */
				public void zabrzdi(double zrýchlenie)
				{
					if (!aktívny || zrýchlenie == 0.0) return;

					if (rýchlosť == 0.0)
					{
						synchronized (zámokAktivít)
						{
							zastavPoSpomalení = false;
						}
						zastav();
						return;
					}

					synchronized (zámokAktivít)
					{
						zastavPoSpomalení = true;

						if (rýchlosť > 0.0 && zrýchlenie > 0.0)
							zrýchlenie = -zrýchlenie;
						else if (rýchlosť < 0.0 && zrýchlenie < 0.0)
							zrýchlenie = -zrýchlenie;

						this.zrýchlenie = zrýchlenie;
					}
				}


				/**
				 * Zistí, či má robot prikázané automaticky {@linkplain
				 * #zastav() zastaviť} pri najbližšom dosiahnutí nulovej
				 * rýchlosti.
				 *  @return {@code valtrue} – áno; {@code valfalse} – nie
				 */
				public boolean zastavíPoSpomalení() { return zastavPoSpomalení; }

				/** <a class="alias"></a> Alias pre {@link #zastavíPoSpomalení() zastavíPoSpomalení}. */
				public boolean zastaviPoSpomaleni() { return zastavPoSpomalení; }

				/**
				 * Prikáže robotovi, aby najbližšie, keď dosiahne nulovú
				 * rýchlosť automaticky {@linkplain #zastav() zastavil}.
				 */
				public void zastavPoSpomalení()
				{
					synchronized (zámokAktivít)
					{
						zastavPoSpomalení = true;
					}
				}

				/** <a class="alias"></a> Alias pre {@link #zastavPoSpomalení() zastavPoSpomalení}. */
				public void zastavPoSpomaleni() { zastavPoSpomalení(); }


			// Sledovanie cieľa

				/**
				 * Zistí, či je robot práve v režime smerovania do cieľa.
				 *  @return {@code valtrue} – áno; {@code valfalse} – nie
				 */
				public boolean cieľAktívny() { return cieľAktívny; }

				/** <a class="alias"></a> Alias pre {@link #cieľAktívny() cieľAktívny}. */
				public boolean cielAktivny() { return cieľAktívny; }

				/** <a class="alias"></a> Alias pre {@link #cieľAktívny() cieľAktívny}. */
				public boolean smerujeDoCieľa() { return cieľAktívny; }

				/** <a class="alias"></a> Alias pre {@link #cieľAktívny() cieľAktívny}. */
				public boolean smerujeDoCiela() { return cieľAktívny; }

				/**
				 * Vráti x-ovú súradnicu naposledy definovaného cieľa.
				 *  @return x-ová súradnica naposledy definovaného cieľa
				 */
				public double cieľX() { return cieľX; }

				/** <a class="alias"></a> Alias pre {@link #cieľX() cieľX}. */
				public double cielX() { return cieľX; }

				/**
				 * Vráti y-ovú súradnicu naposledy definovaného cieľa.
				 *  @return y-ová súradnica naposledy definovaného cieľa
				 */
				public double cieľY() { return cieľY; }

				/** <a class="alias"></a> Alias pre {@link #cieľY() cieľY}. */
				public double cielY() { return cieľY; }

				/**
				 * Zistí, či má robot prikázané automaticky {@linkplain
				 * #zastav() zastaviť} po dosiahnutí cieľa.
				 *  @return {@code valtrue} – áno; {@code valfalse} – nie
				 */
				public boolean zastavíVCieli() { return zastavVCieli; }

				/** <a class="alias"></a> Alias pre {@link #zastavíVCieli() zastavíVCieli}. */
				public boolean zastaviVCieli() { return zastavVCieli; }

				/**
				 * Vypne smerovanie do cieľa zapnuté niektorým z „klonov“ metódy
				 * {@link #cieľ(double, double) cieľ}. Robot je automaticky
				 * deaktivovaný spôsobom ako pri metóde {@link #zastav()
				 * zastav}. Ak ho nechceme automaticky deaktivovať, musíme
				 * použiť metódu {@link #zrušCieľ(boolean) zrušCieľ(zastav)}
				 * s argumentom {@code zastav} rovným {@code valfalse}.
				 * 
				 *  @see #cieľ(double, double)
				 *  @see #zrušCieľ(boolean)
				 */
				public void zrušCieľ()
				{
					synchronized (zámokAktivít)
					{
						cieľAktívny = false;
						zastavVCieli = false;
					}
					zastav();
				}

				/** <a class="alias"></a> Alias pre {@link #zrušCieľ() zrušCieľ}. */
				public void zrusCiel() { zrušCieľ(); }

				/** <a class="alias"></a> Alias pre {@link #zrušCieľ() zrušCieľ}. */
				public void zrušSledovanieCieľa() { zrušCieľ(); }

				/** <a class="alias"></a> Alias pre {@link #zrušCieľ() zrušCieľ}. */
				public void zrusSledovanieCiela() { zrušCieľ(); }

				/**
				 * Vypne smerovanie do cieľa zapnuté niektorým z „klonov“
				 * metódy {@link #cieľ(double, double) cieľ}. Parameter
				 * {@code zastav} dovoľuje programátorovi rozhodnúť, či má
				 * robot zostať aktívny.
				 * 
				 *  @param zastav  ak je {@code valtrue}, robot je
				 *      deaktivovaný rovnakým spôsobom ako pri volaní metódy
				 *      {@link #zastav() zastav}.
				 *  @see #cieľ(double, double)
				 *  @see #zrušCieľ()
				 */
				public void zrušCieľ(boolean zastav)
				{
					synchronized (zámokAktivít)
					{
						cieľAktívny = false;
						zastavVCieli = false;
					}
					if (zastav) zastav();
				}

				/** <a class="alias"></a> Alias pre {@link #zrušCieľ(boolean) zrušCieľ}. */
				public void zrusCiel(boolean zastav) { zrušCieľ(zastav); }

				/** <a class="alias"></a> Alias pre {@link #zrušCieľ(boolean) zrušCieľ}. */
				public void zrušSledovanieCieľa(boolean zastav) { zrušCieľ(zastav); }

				/** <a class="alias"></a> Alias pre {@link #zrušCieľ(boolean) zrušCieľ}. */
				public void zrusSledovanieCiela(boolean zastav) { zrušCieľ(zastav); }

				// Súkromná metóda na účely stanovovania a zmeny cieľa
				private boolean overDosiahnutieCieľa()
				{
					/*!!!
					if (Math.sqrt(Math.pow(cieľX - aktuálneX, 2) +
						Math.pow(cieľY - aktuálneY, 2)) <=
						rýchlosť)
					*/
					if (Math.hypot(cieľX - aktuálneX,
						cieľY - aktuálneY) <= rýchlosť)
					{
						if (maximálnaUhlováRýchlosť != 0.0)
						{
							double β = smerNa(cieľX, cieľY);
							if (Math.abs(aktuálnyUhol - β) <= 0.05 ||
								Math.abs(360 + aktuálnyUhol - β) <=
								0.05) aktuálnyUhol = β;
							else return true;
						}

						choďNa(cieľX, cieľY);
						cieľAktívny = false;
						if (zastavVCieli)
						{
							if (zrýchlenie != 0)
							{
								if ((rýchlosť > 0.0 &&
									zrýchlenie < 0.0) ||
									rýchlosť < 0.0)
								{
									zrýchlenie = -zrýchlenie;
								}
								rýchlosť = 0.0;
							}
							zastav();
						}
						dosiahnutieCieľa();
						dosiahnutieCiela();
						return false;
					}

					return true;
				}

				/**
				 * Zapne automatické smerovanie do cieľa. Počas tejto
				 * činnosti je robot automaticky otáčaný smerom na cieľové
				 * súradnice (buď s ohľadom na aktuálnu {@linkplain
				 * #uhlováRýchlosť(double) rýchlosť otáčania}, alebo
				 * okamžite) a v prípade, že má robot nenulovú {@linkplain
				 * #rýchlosť(double) rýchlosť} (prípadne {@linkplain
				 * #zrýchlenie(double) zrýchlenie}), pohybuje sa stanoveným
				 * smerom. Po dosiahnutí cieľa robot automaticky {@linkplain
				 * #zastav() zastaví}. Metóda vynúti {@linkplain #spusti()
				 * spustenie} robota.
				 * 
				 *  @param x  x-ová súradnica cieľa
				 *  @param y  y-ová súradnica cieľa
				 */
				public void cieľ(double x, double y)
				{
					synchronized (zámokAktivít)
					{
						cieľAktívny = true;
						cieľX = x;
						cieľY = y;
						zastavVCieli = true;
					}
					spusti();
					// overDosiahnutieCieľa(); -- deje sa v spusti();
				}

				/** <a class="alias"></a> Alias pre {@link #cieľ(double, double) cieľ}. */
				public void ciel(double x, double y) { cieľ(x, y); }

				/**
				 * Metóda má rovnaký účel ako metóda {@link #cieľ(double,
				 * double) cieľ(x, y)}, ibaže umožňuje programátorovi určiť, či
				 * smie byť robot automaticky {@linkplain #spusti() spustený}
				 * (aktivovaný).
				 * 
				 *  @param x  x-ová súradnica cieľa
				 *  @param y  y-ová súradnica cieľa
				 *  @param spusti  ak je rovné {@code valtrue}, je vynútené
				 *      {@linkplain #spusti() spustenie} a zároveň je robotovi
				 *      prikázané, aby {@linkplain #zastavíVCieli() zastavil
				 *      v cieli}
				 */
				public void cieľ(double x, double y, boolean spusti)
				{
					synchronized (zámokAktivít)
					{
						cieľAktívny = true;
						cieľX = x;
						cieľY = y;
						zastavVCieli = spusti;
					}
					if (spusti)
					{
						spusti();
						// overDosiahnutieCieľa(); -- deje sa v spusti();
					}
				}

				/** <a class="alias"></a> Alias pre {@link #cieľ(double, double, boolean) cieľ}. */
				public void ciel(double x, double y, boolean spusti) { cieľ(x, y, spusti); }

				/**
				 * Metóda má rovnaký účel ako metóda {@link #cieľ(double,
				 * double) cieľ(x, y)}, ibaže umožňuje programátorovi určiť, či
				 * smie byť robot automaticky {@linkplain #spusti() spustený}
				 * (aktivovaný) a či má zastaviť po dosiahnutí cieľa.
				 * 
				 *  @param x  x-ová súradnica cieľa
				 *  @param y  y-ová súradnica cieľa
				 *  @param spusti  ak je rovné {@code valtrue}, je vynútené
				 *      {@linkplain #spusti() spustenie} robota
				 *  @param zastavVCieli  určuje, či má robot automaticky
				 *      {@linkplain #zastavíVCieli() zastaviť v cieli}
				 */
				public void cieľ(double x, double y, boolean spusti, boolean zastavVCieli)
				{
					synchronized (zámokAktivít)
					{
						cieľAktívny = true;
						cieľX = x;
						cieľY = y;
						this.zastavVCieli = zastavVCieli;
					}
					if (spusti)
					{
						spusti();
						// overDosiahnutieCieľa(); -- deje sa v spusti();
					}
				}

				/** <a class="alias"></a> Alias pre {@link #cieľ(double, double, boolean, boolean) cieľ}. */
				public void ciel(double x, double y, boolean spusti, boolean zastavVCieli)
				{ cieľ(x, y, spusti, zastavVCieli); }


				// /**
				//  * Zapne automatické smerovanie do cieľa. Počas tejto činnosti
				//  * je robot automaticky otáčaný smerom na cieľové súradnice
				//  * (buď s ohľadom na aktuálnu {@linkplain
				//  * #uhlováRýchlosť(double) rýchlosť otáčania}, alebo okamžite)
				//  * a v prípade, že má robot nenulovú {@linkplain
				//  * #rýchlosť(double) rýchlosť} (prípadne {@linkplain
				//  * #zrýchlenie(double) zrýchlenie}), pohybuje sa stanoveným smerom.
				//  * Po dosiahnutí cieľa robot automaticky {@linkplain #zastav()
				//  * zastaví}. Metóda vynúti {@linkplain #spusti() spustenie}
				//  * robota.
				//  * 
				//  *  @param bod  súradnice cieľa
				//  */
				// public void cieľ(Point2D bod)
				// {
				// 	synchronized (zámokAktivít)
				// 	{
				// 		cieľAktívny = true;
				// 		cieľX = bod.getX();
				// 		cieľY = bod.getY();
				// 		zastavVCieli = true;
				// 	}
				// 	spusti();
				// 	// overDosiahnutieCieľa(); -- deje sa v spusti();
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #cieľ(Point2D) cieľ}. */
				// public void ciel(Point2D bod) { cieľ(bod); }
				// 
				// /**
				//  * Metóda má rovnaký účel ako metóda {@link #cieľ(Point2D)
				//  * cieľ(bod)}, ibaže umožňuje programátorovi určiť, či
				//  * smie byť robot automaticky {@linkplain #spusti() spustený}
				//  * (aktivovaný).
				//  * 
				//  *  @param bod  súradnice cieľa
				//  *  @param spusti  ak je rovné {@code valtrue}, je vynútené
				//  *      {@linkplain #spusti() spustenie} a zároveň je robotovi
				//  *      prikázané, aby {@linkplain #zastavíVCieli() zastavil
				//  *      v cieli}
				//  */
				// public void cieľ(Point2D bod, boolean spusti)
				// {
				// 	synchronized (zámokAktivít)
				// 	{
				// 		cieľAktívny = true;
				// 		cieľX = bod.getX();
				// 		cieľY = bod.getY();
				// 		zastavVCieli = spusti;
				// 	}
				// 	if (spusti)
				// 	{
				// 		spusti();
				// 		// overDosiahnutieCieľa(); -- deje sa v spusti();
				// 	}
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #cieľ(Point2D, boolean) cieľ}. */
				// public void ciel(Point2D bod, boolean spusti) { cieľ(bod, spusti); }
				// 
				// /**
				//  * Metóda má rovnaký účel ako metóda {@link #cieľ(Point2D)
				//  * cieľ(bod)}, ibaže umožňuje programátorovi určiť, či smie
				//  * byť robot automaticky {@linkplain #spusti() spustený}
				//  * (aktivovaný) a či má zastaviť po dosiahnutí cieľa.
				//  * 
				//  *  @param bod  súradnice cieľa
				//  *  @param spusti  ak je rovné {@code valtrue}, je vynútené
				//  *      {@linkplain #spusti() spustenie} robota
				//  *  @param zastavVCieli  určuje, či má robot automaticky
				//  *      {@linkplain #zastavíVCieli() zastaviť v cieli}
				//  */
				// public void cieľ(Point2D bod, boolean spusti, boolean zastavVCieli)
				// {
				// 	synchronized (zámokAktivít)
				// 	{
				// 		cieľAktívny = true;
				// 		cieľX = bod.getX();
				// 		cieľY = bod.getY();
				// 		this.zastavVCieli = zastavVCieli;
				// 	}
				// 	if (spusti)
				// 	{
				// 		spusti();
				// 		// overDosiahnutieCieľa(); -- deje sa v spusti();
				// 	}
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #cieľ(Point2D, boolean, boolean) cieľ}. */
				// public void ciel(Point2D bod, boolean spusti, boolean zastavVCieli)
				// { cieľ(bod, spusti, zastavVCieli); }

				/**
				 * Zapne automatické smerovanie do cieľa. Metóda vynúti
				 * {@linkplain #spusti() spustenie} robota. Za nový cieľ sú
				 * zvolené súradnice zadaného objektu a tie ním zostávajú,
				 * dokedy nie je určené inak. Keď chceme sledovať
				 * pohybujúceho sa robota, musíme cieľ pravidelne
				 * aktualizovať metódou {@link #upravCieľ(Poloha) upravCieľ}.
				 * 
				 * <P>Počas činnosti smerovania na cieľ je robot automaticky
				 * otáčaný smerom na cieľové súradnice (buď s ohľadom na
				 * aktuálnu {@linkplain #uhlováRýchlosť(double) rýchlosť
				 * otáčania}, alebo okamžite) a v prípade, že má robot
				 * nenulovú {@linkplain #rýchlosť(double) rýchlosť} (prípadne
				 * {@linkplain #zrýchlenie(double) zrýchlenie}), pohybuje sa
				 * stanoveným smerom. Po dosiahnutí cieľa robot automaticky
				 * {@linkplain #zastav() zastaví}.
				 * 
				 *  @param objekt  objekt, ktorého poloha v čase volania tejto
				 *      metódy je zvolená za nový cieľ; ak je {@code valnull},
				 *      smerovanie do cieľa je {@linkplain #zrušCieľ()
				 *      zrušené}
				 */
				public void cieľ(Poloha objekt)
				{
					if (null == objekt)
					{
						zrušCieľ();
						return;
					}

					synchronized (zámokAktivít)
					{
						cieľAktívny = true;
						cieľX = objekt.polohaX();
						cieľY = objekt.polohaY();
						zastavVCieli = true;
					}

					spusti();
					// overDosiahnutieCieľa(); -- deje sa v spusti();
				}

				/** <a class="alias"></a> Alias pre {@link #cieľ(Poloha) cieľ}. */
				public void ciel(Poloha objekt) { cieľ(objekt); }

				/**
				 * Metóda má rovnaký účel ako metóda {@link #cieľ(Poloha)
				 * cieľ(Poloha)}, ibaže umožňuje programátorovi určiť, či
				 * smie byť tento robot automaticky {@linkplain #spusti()
				 * spustený} (aktivovaný).
				 * 
				 *  @param objekt  objekt, ktorého poloha v čase volania tejto
				 *      metódy je zvolená za nový cieľ; ak je {@code valnull},
				 *      smerovanie do cieľa je {@linkplain #zrušCieľ()
				 *      zrušené}
				 *  @param spusti  ak je rovné {@code valtrue}, je vynútené
				 *      {@linkplain #spusti() spustenie} a zároveň je robotovi
				 *      prikázané, aby {@linkplain #zastavíVCieli() zastavil
				 *      v cieli}
				 */
				public void cieľ(Poloha objekt, boolean spusti)
				{
					if (null == objekt)
					{
						zrušCieľ();
						return;
					}

					synchronized (zámokAktivít)
					{
						cieľAktívny = true;
						cieľX = objekt.polohaX();
						cieľY = objekt.polohaY();
						zastavVCieli = spusti;
					}

					if (spusti)
					{
						spusti();
						// overDosiahnutieCieľa(); -- deje sa v spusti();
					}
				}

				/** <a class="alias"></a> Alias pre {@link #cieľ(Poloha, boolean) cieľ}. */
				public void ciel(Poloha objekt, boolean spusti) { cieľ(objekt, spusti); }

				/**
				 * Metóda má rovnaký účel ako metóda {@link #cieľ(Poloha)
				 * cieľ(Poloha)}, ibaže umožňuje programátorovi určiť, či
				 * smie byť tento robot automaticky {@linkplain #spusti()
				 * spustený} (aktivovaný) a či má zastaviť po dosiahnutí
				 * cieľa.
				 * 
				 *  @param objekt  objekt, ktorého poloha v čase volania tejto
				 *      metódy je zvolená za nový cieľ; ak je {@code valnull},
				 *      smerovanie do cieľa je {@linkplain #zrušCieľ()
				 *      zrušené}
				 *  @param spusti  ak je rovné {@code valtrue}, je vynútené
				 *      {@linkplain #spusti() spustenie} robota
				 *  @param zastavVCieli  určuje, či má robot automaticky
				 *      {@linkplain #zastavíVCieli() zastaviť v cieli}
				 */
				public void cieľ(Poloha objekt, boolean spusti, boolean zastavVCieli)
				{
					if (null == objekt)
					{
						zrušCieľ();
						return;
					}

					synchronized (zámokAktivít)
					{
						cieľAktívny = true;
						cieľX = objekt.polohaX();
						cieľY = objekt.polohaY();
						this.zastavVCieli = zastavVCieli;
					}

					if (spusti)
					{
						spusti();
						// overDosiahnutieCieľa(); -- deje sa v spusti();
					}
				}

				/** <a class="alias"></a> Alias pre {@link #cieľ(Poloha, boolean, boolean) cieľ}. */
				public void ciel(Poloha objekt, boolean spusti, boolean zastavVCieli)
				{ cieľ(objekt, spusti, zastavVCieli); }

				/**
				 * Zapne automatické smerovanie do cieľa, ktorý je určený
				 * stredom hraníc<sup>[1]</sup> zadaného tvaru Javy ({@link
				 * Shape Shape}). Počas tejto činnosti je robot automaticky
				 * otáčaný smerom na cieľové súradnice (buď s ohľadom na
				 * aktuálnu {@linkplain #uhlováRýchlosť(double) rýchlosť
				 * otáčania}, alebo okamžite) a v prípade, že má robot
				 * nenulovú {@linkplain #rýchlosť(double) rýchlosť} (prípadne
				 * {@linkplain #zrýchlenie(double) zrýchlenie}), pohybuje sa
				 * stanoveným smerom. Po dosiahnutí cieľa robot automaticky
				 * {@linkplain #zastav() zastaví}. Metóda vynúti {@linkplain
				 * #spusti() spustenie} robota.
				 * 
				 * <P><small>[1] – nejde presne o stred útvaru; je použitý
				 * najrýchlejší a najjednoduchší spôsob zistenia približného
				 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí
				 * sa jeho stred – čiže „stred hraníc“</small>
				 * 
				 *  @param tvar  tvar, ktorého stred hraníc je zvolený za nový
				 *      cieľ; ak je {@code valnull}, smerovanie do cieľa je
				 *     {@linkplain #zrušCieľ() zrušené}
				 */
				public void cieľ(Shape tvar)
				{
					if (null == tvar)
					{
						zrušCieľ();
						return;
					}

					synchronized (zámokAktivít)
					{
						Rectangle2D hranice = tvar.getBounds2D();
						cieľAktívny = true;
						cieľX = prepočítajSpäťX(hranice.getX()) +
							hranice.getWidth() / 2;
						cieľY = prepočítajSpäťY(hranice.getY()) -
							hranice.getHeight() / 2;
						zastavVCieli = true;
					}

					spusti();
					// overDosiahnutieCieľa(); -- deje sa v spusti();
				}

				/** <a class="alias"></a> Alias pre {@link #cieľ(Shape) cieľ}. */
				public void ciel(Shape tvar) { cieľ(tvar); }

				/**
				 * Metóda má rovnaký účel ako metóda {@link #cieľ(Shape)
				 * cieľ(tvar)}, ibaže umožňuje programátorovi určiť, či
				 * smie byť robot automaticky {@linkplain #spusti() spustený}
				 * (aktivovaný).
				 * 
				 *  @param tvar  tvar, ktorého stred hraníc je zvolený za nový
				 *      cieľ; ak je {@code valnull}, smerovanie do cieľa je
				 *     {@linkplain #zrušCieľ() zrušené}
				 *  @param spusti  ak je rovné {@code valtrue}, je vynútené
				 *      {@linkplain #spusti() spustenie} a zároveň je robotovi
				 *      prikázané, aby {@linkplain #zastavíVCieli() zastavil
				 *      v cieli}
				 */
				public void cieľ(Shape tvar, boolean spusti)
				{
					if (null == tvar)
					{
						zrušCieľ();
						return;
					}

					synchronized (zámokAktivít)
					{
						Rectangle2D hranice = tvar.getBounds2D();
						cieľAktívny = true;
						cieľX = prepočítajSpäťX(hranice.getX()) +
							hranice.getWidth() / 2;
						cieľY = prepočítajSpäťY(hranice.getY()) -
							hranice.getHeight() / 2;
						zastavVCieli = spusti;
					}

					if (spusti)
					{
						spusti();
						// overDosiahnutieCieľa(); -- deje sa v spusti();
					}
				}

				/** <a class="alias"></a> Alias pre {@link #cieľ(Shape, boolean) cieľ}. */
				public void ciel(Shape tvar, boolean spusti) { cieľ(tvar, spusti); }

				/**
				 * Metóda má rovnaký účel ako metóda {@link #cieľ(Shape)
				 * cieľ(tvar)}, ibaže umožňuje programátorovi určiť, či
				 * smie byť robot automaticky {@linkplain #spusti() spustený}
				 * (aktivovaný) a či má zastaviť po dosiahnutí cieľa.
				 * 
				 *  @param tvar  tvar, ktorého stred hraníc je zvolený za nový
				 *      cieľ; ak je {@code valnull}, smerovanie do cieľa je
				 *     {@linkplain #zrušCieľ() zrušené}
				 *  @param spusti  ak je rovné {@code valtrue}, je vynútené
				 *      {@linkplain #spusti() spustenie} robota
				 *  @param zastavVCieli  určuje, či má robot automaticky
				 *      {@linkplain #zastavíVCieli() zastaviť v cieli}
				 */
				public void cieľ(Shape tvar, boolean spusti, boolean zastavVCieli)
				{
					if (null == tvar)
					{
						zrušCieľ();
						return;
					}

					synchronized (zámokAktivít)
					{
						Rectangle2D hranice = tvar.getBounds2D();
						cieľAktívny = true;
						cieľX = prepočítajSpäťX(hranice.getX()) +
							hranice.getWidth() / 2;
						cieľY = prepočítajSpäťY(hranice.getY()) -
							hranice.getHeight() / 2;
						this.zastavVCieli = zastavVCieli;
					}

					if (spusti)
					{
						spusti();
						// overDosiahnutieCieľa(); -- deje sa v spusti();
					}
				}

				/** <a class="alias"></a> Alias pre {@link #cieľ(Shape, boolean, boolean) cieľ}. */
				public void ciel(Shape tvar, boolean spusti, boolean zastavVCieli)
				{ cieľ(tvar, spusti, zastavVCieli); }

				/**
				 * Zapne automatické smerovanie do cieľa, ktorý bude určený
				 * aktuálnymi súradnicami myši. Počas tejto činnosti je robot
				 * automaticky otáčaný smerom na cieľové súradnice (buď
				 * s ohľadom na aktuálnu {@linkplain #uhlováRýchlosť(double)
				 * rýchlosť otáčania}, alebo okamžite) a v prípade, že má
				 * robot nenulovú {@linkplain #rýchlosť(double) rýchlosť}
				 * (prípadne {@linkplain #zrýchlenie(double) zrýchlenie}),
				 * pohybuje sa stanoveným smerom. Po dosiahnutí cieľa robot
				 * automaticky {@linkplain #zastav() zastaví}. Metóda vynúti
				 * {@linkplain #spusti() spustenie} robota.
				 */
				public void cieľNaMyš()
				{
					synchronized (zámokAktivít)
					{
						cieľAktívny = true;
						cieľX = súradnicaMyšiX;
						cieľY = súradnicaMyšiY;
						zastavVCieli = true;
					}
					spusti();
					// overDosiahnutieCieľa(); -- deje sa v spusti();
				}

				/** <a class="alias"></a> Alias pre {@link #cieľNaMyš() cieľNaMyš}. */
				public void cielNaMys() { cieľNaMyš(); }

				/**
				 * Metóda má rovnaký účel ako metóda {@link #cieľNaMyš()
				 * cieľNaMyš()}, ibaže umožňuje programátorovi určiť, či smie
				 * byť robot automaticky {@linkplain #spusti() spustený}
				 * (aktivovaný).
				 * 
				 *  @param spusti  ak je rovné {@code valtrue}, je vynútené
				 *      {@linkplain #spusti() spustenie} a zároveň je robotovi
				 *      prikázané, aby {@linkplain #zastavíVCieli() zastavil
				 *      v cieli}
				 */
				public void cieľNaMyš(boolean spusti)
				{
					synchronized (zámokAktivít)
					{
						cieľAktívny = true;
						cieľX = súradnicaMyšiX;
						cieľY = súradnicaMyšiY;
						zastavVCieli = spusti;
					}
					if (spusti)
					{
						spusti();
						// overDosiahnutieCieľa(); -- deje sa v spusti();
					}
				}

				/** <a class="alias"></a> Alias pre {@link #cieľNaMyš(boolean) cieľNaMyš}. */
				public void cielNaMys(boolean spusti) { cieľNaMyš(spusti); }

				/**
				 * Metóda má rovnaký účel ako metóda {@link #cieľNaMyš()
				 * cieľNaMyš()}, ibaže umožňuje programátorovi určiť, či smie
				 * byť robot automaticky {@linkplain #spusti() spustený}
				 * (aktivovaný) a či má zastaviť po dosiahnutí cieľa.
				 * 
				 *  @param spusti  ak je rovné {@code valtrue}, je vynútené
				 *      {@linkplain #spusti() spustenie} robota
				 *  @param zastavVCieli  určuje, či má robot automaticky
				 *      {@linkplain #zastavíVCieli() zastaviť v cieli}
				 */
				public void cieľNaMyš(boolean spusti, boolean zastavVCieli)
				{
					synchronized (zámokAktivít)
					{
						cieľAktívny = true;
						cieľX = súradnicaMyšiX;
						cieľY = súradnicaMyšiY;
						this.zastavVCieli = zastavVCieli;
					}
					if (spusti)
					{
						spusti();
						// overDosiahnutieCieľa(); -- deje sa v spusti();
					}
				}

				/** <a class="alias"></a> Alias pre {@link #cieľNaMyš(boolean, boolean) cieľNaMyš}. */
				public void cielNaMys(boolean spusti, boolean zastavVCieli)
				{ cieľNaMyš(spusti, zastavVCieli); }


				/**
				 * Ak je smerovanie do cieľa aktívne, upraví cieľové
				 * súradnice a v prípade, že sa nové súradnice dostatočne
				 * prekrývajú s aktuálnou polohou robota ukočí smerovanie
				 * do cieľa. Ak smerovanie aktívne nie je, tak má volanie
				 * tejto metódy rovnaký efekt ako volanie metódy {@link
				 * #cieľ(double, double) cieľ}.
				 * 
				 *  @param x nová x-ová súradnica cieľa
				 *  @param y nová y-ová súradnica cieľa
				 */
				public void upravCieľ(double x, double y)
				{
					if (cieľAktívny)
					{
						synchronized (zámokAktivít)
						{
							cieľX = x;
							cieľY = y;
						}
						overDosiahnutieCieľa();
					}
					else cieľ(x, y);
				}

				/** <a class="alias"></a> Alias pre {@link #upravCieľ(double, double) upravCieľ}. */
				public void upravCiel(double x, double y) { upravCieľ(x, y); }

				/**
				 * Ak je smerovanie do cieľa aktívne, upraví cieľové
				 * súradnice a v prípade, že sa nové súradnice dostatočne
				 * prekrývajú s aktuálnou polohou robota ukočí smerovanie
				 * do cieľa. Ak smerovanie aktívne nie je, tak má volanie
				 * tejto metódy rovnaký efekt ako volanie metódy {@link
				 * #cieľ(double, double, boolean) cieľ}.
				 * 
				 *  @param x nová x-ová súradnica cieľa
				 *  @param y nová y-ová súradnica cieľa
				 *  @param spusti dovoľuje programátorovi rozhodnúť, či smie
				 *      byť (v prípade, že smerovanie do cieľa nie je
				 *      aktívne) automaticky volaná metóda {@link #spusti()
				 *      spusti}
				 */
				public void upravCieľ(double x, double y, boolean spusti)
				{
					if (cieľAktívny)
					{
						synchronized (zámokAktivít)
						{
							cieľX = x;
							cieľY = y;
						}
						overDosiahnutieCieľa();
					}
					else cieľ(x, y, spusti);
				}

				/** <a class="alias"></a> Alias pre {@link #upravCieľ(double, double, boolean) upravCieľ}. */
				public void upravCiel(double x, double y, boolean spusti)
				{ upravCieľ(x, y, spusti); }


				// /**
				//  * Ak je smerovanie do cieľa aktívne, upraví cieľové
				//  * súradnice a v prípade, že sa nové súradnice dostatočne
				//  * prekrývajú s aktuálnou polohou robota ukočí smerovanie
				//  * do cieľa. Ak smerovanie aktívne nie je, tak má volanie
				//  * tejto metódy rovnaký efekt ako volanie metódy {@link
				//  * #cieľ(Point2D) cieľ}.
				//  * 
				//  *  @param bod  nové súradnice cieľa
				//  */
				// public void upravCieľ(Point2D bod)
				// {
				// 	if (cieľAktívny)
				// 	{
				// 		synchronized (zámokAktivít)
				// 		{
				// 			cieľX = bod.getX();
				// 			cieľY = bod.getY();
				// 		}
				// 		overDosiahnutieCieľa();
				// 	}
				// 	else cieľ(bod);
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #upravCieľ(Point2D) upravCieľ}. */
				// public void upravCiel(Point2D bod) { upravCieľ(bod); }
				// 
				// /**
				//  * Ak je smerovanie do cieľa aktívne, upraví cieľové
				//  * súradnice a v prípade, že sa nové súradnice dostatočne
				//  * prekrývajú s aktuálnou polohou robota ukočí smerovanie
				//  * do cieľa. Ak smerovanie aktívne nie je, tak má volanie
				//  * tejto metódy rovnaký efekt ako volanie metódy {@link
				//  * #cieľ(Point2D, boolean) cieľ}.
				//  * 
				//  *  @param bod  nové súradnice cieľa
				//  *  @param spusti dovoľuje programátorovi rozhodnúť, či smie
				//  *      byť (v prípade, že smerovanie do cieľa nie je
				//  *      aktívne) automaticky volaná metóda {@link #spusti()
				//  *      spusti}
				//  */
				// public void upravCieľ(Point2D bod, boolean spusti)
				// {
				// 	if (cieľAktívny)
				// 	{
				// 		synchronized (zámokAktivít)
				// 		{
				// 			cieľX = bod.getX();
				// 			cieľY = bod.getY();
				// 		}
				// 		overDosiahnutieCieľa();
				// 	}
				// 	else cieľ(bod, spusti);
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #upravCieľ(Point2D, boolean) upravCieľ}. */
				// public void upravCiel(Point2D bod, boolean spusti)
				// { upravCieľ(bod, spusti); }


				/**
				 * Ak je smerovanie do cieľa aktívne, upraví cieľové
				 * súradnice a v prípade, že sa nové súradnice dostatočne
				 * prekrývajú s aktuálnou polohou robota ukočí smerovanie
				 * do cieľa. Ak smerovanie aktívne nie je, tak má volanie
				 * tejto metódy rovnaký efekt ako volanie metódy {@link
				 * #cieľ(Poloha) cieľ}.
				 * 
				 *  @param objekt objekt, ktorého poloha bude použitá ako
				 *      nový cieľ
				 */
				public void upravCieľ(Poloha objekt)
				{
					if (null != objekt && cieľAktívny)
					{
						synchronized (zámokAktivít)
						{
							cieľX = objekt.polohaX();
							cieľY = objekt.polohaY();
						}
						overDosiahnutieCieľa();
					}
					else cieľ(objekt);
				}

				/** <a class="alias"></a> Alias pre {@link #upravCieľ(Poloha) upravCieľ}. */
				public void upravCiel(Poloha objekt) { upravCieľ(objekt); }

				/**
				 * Ak je smerovanie do cieľa aktívne, upraví cieľové
				 * súradnice a v prípade, že sa nové súradnice dostatočne
				 * prekrývajú s aktuálnou polohou robota ukočí smerovanie
				 * do cieľa. Ak smerovanie aktívne nie je, tak má volanie
				 * tejto metódy rovnaký efekt ako volanie metódy {@link
				 * #cieľ(Poloha, boolean) cieľ}.
				 * 
				 *  @param objekt objekt, ktorého poloha bude použitá ako nový
				 *      cieľ
				 *  @param spusti dovoľuje programátorovi rozhodnúť, či smie
				 *      byť (v prípade, že smerovanie do cieľa nie je
				 *      aktívne) automaticky volaná metóda {@link #spusti()
				 *      spusti}
				 */
				public void upravCieľ(Poloha objekt, boolean spusti)
				{
					if (null != objekt && cieľAktívny)
					{
						synchronized (zámokAktivít)
						{
							cieľX = objekt.polohaX();
							cieľY = objekt.polohaY();
						}
						overDosiahnutieCieľa();
					}
					else cieľ(objekt, spusti);
				}

				/** <a class="alias"></a> Alias pre {@link #upravCieľ(Poloha, boolean) upravCieľ}. */
				public void upravCiel(Poloha objekt, boolean spusti)
				{ upravCieľ(objekt, spusti); }

				/**
				 * Ak je smerovanie do cieľa aktívne, upraví cieľové súradnice
				 * smerom do stredu hraníc<sup>[1]</sup> zadaného tvaru, inak
				 * má rovnaký efekt ako volanie metódy {@link #cieľ(Shape)
				 * cieľ}.
				 * 
				 * <P><small>[1] – nejde presne o stred útvaru; je použitý
				 * najrýchlejší a najjednoduchší spôsob zistenia približného
				 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí
				 * sa jeho stred – čiže „stred hraníc“</small>
				 * 
				 *  @param tvar tvar, ktorého súradnice stredu hraníc budú
				 *      použité ako nový cieľ
				 */
				public void upravCieľ(Shape tvar)
				{
					if (null != tvar && cieľAktívny)
					{
						synchronized (zámokAktivít)
						{
							Rectangle2D hranice = tvar.getBounds2D();
							cieľX = prepočítajSpäťX(hranice.getX()) +
								hranice.getWidth() / 2;
							cieľY = prepočítajSpäťY(hranice.getY()) -
								hranice.getHeight() / 2;
						}
						overDosiahnutieCieľa();
					}
					else cieľ(tvar);
				}

				/** <a class="alias"></a> Alias pre {@link #upravCieľ(Shape) upravCieľ}. */
				public void upravCiel(Shape tvar) { upravCieľ(tvar); }

				/**
				 * Ak je smerovanie do cieľa aktívne, upraví cieľové
				 * súradnice smerom do stredu hraníc<sup>[1]</sup> zadaného
				 * tvaru a v prípade, že sa nové súradnice dostatočne
				 * prekrývajú s aktuálnou polohou robota ukočí smerovanie
				 * do cieľa. Ak smerovanie aktívne nie je, tak má volanie
				 * tejto metódy rovnaký efekt ako volanie metódy {@link
				 * #cieľ(Shape, boolean) cieľ}.
				 * 
				 * <P><small>[1] – nejde presne o stred útvaru; je použitý
				 * najrýchlejší a najjednoduchší spôsob zistenia približného
				 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí
				 * sa jeho stred – čiže „stred hraníc“</small>
				 * 
				 *  @param tvar tvar, ktorého súradnice stredu hraníc budú
				 *      použité ako nový cieľ
				 *  @param spusti dovoľuje programátorovi rozhodnúť, či smie
				 *      byť (v prípade, že smerovanie do cieľa nie je
				 *      aktívne) automaticky volaná metóda {@link #spusti()
				 *      spusti}
				 */
				public void upravCieľ(Shape tvar, boolean spusti)
				{
					if (null != tvar && cieľAktívny)
					{
						synchronized (zámokAktivít)
						{
							Rectangle2D hranice = tvar.getBounds2D();
							cieľX = prepočítajSpäťX(hranice.getX()) +
								hranice.getWidth() / 2;
							cieľY = prepočítajSpäťY(hranice.getY()) -
								hranice.getHeight() / 2;
						}
						overDosiahnutieCieľa();
					}
					else cieľ(tvar, spusti);
				}

				/** <a class="alias"></a> Alias pre {@link #upravCieľ(Shape, boolean) upravCieľ}. */
				public void upravCiel(Shape tvar, boolean spusti)
				{ upravCieľ(tvar, spusti); }

				/**
				 * Ak je smerovanie do cieľa aktívne, upraví cieľové súradnice
				 * podľa aktuálnych súradníc myši a v prípade, že sa nové
				 * súradnice dostatočne prekrývajú s aktuálnou polohou robota
				 * ukočí smerovanie do cieľa. Ak smerovanie aktívne nie je,
				 * tak má volanie tejto metódy rovnaký efekt ako volanie
				 * metódy {@link #cieľNaMyš() cieľNaMyš}.
				 */
				public void upravCieľNaMyš()
				{
					if (cieľAktívny)
					{
						synchronized (zámokAktivít)
						{
							cieľX = súradnicaMyšiX;
							cieľY = súradnicaMyšiY;
						}
						overDosiahnutieCieľa();
					}
					else cieľNaMyš();
				}

				/** <a class="alias"></a> Alias pre {@link #upravCieľNaMyš() upravCieľNaMyš}. */
				public void upravCielNaMys() { upravCieľNaMyš(); }

				/**
				 * Ak je smerovanie do cieľa aktívne, upraví cieľové
				 * súradnice podľa aktuálnych súradníc myši a v prípade, že
				 * sa nové súradnice dostatočne prekrývajú s aktuálnou
				 * polohou robota ukočí smerovanie do cieľa. Ak smerovanie
				 * aktívne nie je, tak má volanie tejto metódy rovnaký
				 * efekt ako volanie metódy {@link #cieľNaMyš(boolean)
				 * cieľNaMyš}.
				 * 
				 *  @param spusti dovoľuje programátorovi rozhodnúť, či smie
				 *      byť (v prípade, že smerovanie do cieľa nie je
				 *      aktívne) automaticky volaná metóda {@link #spusti()
				 *      spusti}
				 */
				public void upravCieľNaMyš(boolean spusti)
				{
					if (cieľAktívny)
					{
						synchronized (zámokAktivít)
						{
							cieľX = súradnicaMyšiX;
							cieľY = súradnicaMyšiY;
						}
						overDosiahnutieCieľa();
					}
					else cieľNaMyš(spusti);
				}

				/** <a class="alias"></a> Alias pre {@link #upravCieľNaMyš(boolean) upravCieľNaMyš}. */
				public void upravCielNaMys(boolean spusti) { upravCieľNaMyš(spusti); }


			// Sledovanie dráhy po ceste

				/**
				 * Vytvorí z aktuálnej {@linkplain #cesta() cesty} dráhu so
				 * zrnitosťou rovnou hodnote aktuálnej {@linkplain
				 * #rýchlosť() rýchlosti} robota. Metóda vypočíta body dráhy
				 * tak, aby vzdialenosť medzi nimi bola pokiaľ možno čo
				 * najbližšie rovná hodnote rýchlosti (podľa ktorej bola
				 * určená zrnitosť dráhy).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #cesta()
				 * @see #rýchlosť()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public Zoznam<Bod> vytvorDráhu()
				{ return vytvorDráhu(cesta, rýchlosť); }

				/** <a class="alias"></a> Alias pre {@link #vytvorDráhu() vytvorDráhu}. */
				public Zoznam<Bod> vytvorDrahu()
				{ return vytvorDráhu(cesta, rýchlosť); }

				/**
				 * Vytvorí z aktuálnej {@linkplain #cesta() cesty} dráhu so
				 * zadanou zrnitosťou. Metóda vypočíta body dráhy tak, aby
				 * vzdialenosť medzi nimi bola pokiaľ možno čo najbližšie
				 * rovná zadanej zrnitosti.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param zrnitosť určuje približnú vzdialenosť medzi
				 *     bodmi dráhy
				 * 
				 * @see #cesta()
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public Zoznam<Bod> vytvorDráhu(double zrnitosť)
				{ return vytvorDráhu(cesta, zrnitosť); }

				/** <a class="alias"></a> Alias pre {@link #vytvorDráhu(double) vytvorDráhu}. */
				public Zoznam<Bod> vytvorDrahu(double zrnitosť)
				{ return vytvorDráhu(cesta, zrnitosť); }

				/**
				 * Vytvorí zo zadaného tvaru dráhu so zrnitosťou rovnou hodnote
				 * aktuálnej {@linkplain #rýchlosť() rýchlosti} robota. Metóda
				 * vypočíta body dráhy tak, aby vzdialenosť medzi nimi bola pokiaľ
				 * možno čo najbližšie rovná hodnote rýchlosti (podľa ktorej bola
				 * určená zrnitosť dráhy).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #rýchlosť()
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public Zoznam<Bod> vytvorDráhu(Shape tvar)
				{ return vytvorDráhu(tvar, rýchlosť); }

				/** <a class="alias"></a> Alias pre {@link #vytvorDráhu(Shape) vytvorDráhu}. */
				public Zoznam<Bod> vytvorDrahu(Shape tvar)
				{ return vytvorDráhu(tvar, rýchlosť); }


				// Pomocné pole pri vytváraní dráhy
				private final double[] čítačIterátora = new double[6];

				/**
				 * Vytvorí zo zadaného tvaru dráhu so zadanou zrnitosťou.
				 * Dráha by mala byť otvorená cesta, inak nie je isté to, kde
				 * presne robot začne (a kde skončí). Avšak ak na tom nezáleží
				 * (ak je dôležité len to, aby sa robot pohyboval po
				 * stanovenej dráhe), tak nie je nevyhnutné túto podmienku
				 * dodržať. Metóda vypočíta body dráhy tak, aby vzdialenosť
				 * medzi nimi bola pokiaľ možno čo najbližšie rovná zadanej
				 * zrnitosti.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param tvar určuje tvar dráhy
				 * @param zrnitosť určuje približnú vzdialenosť medzi bodmi dráhy
				 * @return zoznam bodov tvoriacich aktuálnu (novú) dráhu robota
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public Zoznam<Bod> vytvorDráhu(Shape tvar, double zrnitosť)
				{
					// Táto metóda funguje takto:
					//   1. Vytvorí iterátor cesty.
					//   2. Interpoluje medzi bodmi, ktoré sú ďalej než
					//      stanovená zrnitosť a to tak, aby boli body vo
					//      vzdialenosti približne rovnej zrnitosti.
					//   3. Body, ktoré sú k poslednému pridanému bodu
					//      bližšie než je jedna šestnástina zrnitosti
					//      sú ignorované.

					PathIterator iterátor = new FlatteningPathIterator(
						tvar.getPathIterator(null), zrnitosť / 4.0);
					dráha.removeAllElements();
					kľúčovéFázy.clear();


					if (!iterátor.isDone())
					{
						iterátor.currentSegment(čítačIterátora);
						double x0 = prepočítajSpäťX(čítačIterátora[0]);
						double y0 = prepočítajSpäťY(čítačIterátora[1]);

						dráha.add(new Bod(x0, y0));
						// System.out.println("\nNová dráha: " + x0 + ", " + y0);
						while (!iterátor.isDone())
						{
							iterátor.currentSegment(čítačIterátora);
							double x1 = prepočítajSpäťX(čítačIterátora[0]);
							double y1 = prepočítajSpäťY(čítačIterátora[1]);

							double vzdialenosť = Math.hypot(x0 - x1, y0 - y1);
							if (vzdialenosť > zrnitosť)
							{
								// System.out.println("(" + x1 + ", " + y1 + " – " + vzdialenosť + ")");
								double x2 = x0, y2 = y0;

								double Δt = zrnitosť / vzdialenosť;
								for (double t = Δt; t <= 1.0; t += Δt)
								{
									double x3 = Svet.lineárnaInterpolácia(
										x0, x1, t);
									double y3 = Svet.lineárnaInterpolácia(
										y0, y1, t);

									vzdialenosť = Math.hypot(x2 - x3, y2 - y3);
									if (vzdialenosť >= zrnitosť / 16.0)
									{
										// System.out.println("  " + x3 + ", " + y3 + " – " + vzdialenosť);

										dráha.add(new Bod(x3, y3));
										x2 = x3; y2 = y3;
									}
									// else
									// {
									// 	// System.out.println("  /" + x3 + ", " + y3 + " – " + vzdialenosť + "/");
									// }
								}

								vzdialenosť = Math.hypot(x2 - x1, y2 - y1);
								if (vzdialenosť >= zrnitosť / 16.0)
								{
									// System.out.println("  + " + x1 + ", " + y1 + " – " + vzdialenosť);

									dráha.add(new Bod(x1, y1));
									x0 = x1; y0 = y1;
								}
								else
								{
									// System.out.println("  //" + x1 + ", " + y1 + " – " + vzdialenosť + "//");

									x0 = x2; y0 = y2;
								}
							}
							else if (vzdialenosť >= zrnitosť / 16.0)
							{
								// System.out.println(x1 + ", " + y1 + " – " + vzdialenosť);

								dráha.add(new Bod(x1, y1));
								x0 = x1; y0 = y1;
							}
							// else
							// {
							// 	// System.out.println("/" + x1 + ", " + y1 + " – " + vzdialenosť + "/");
							// }

							iterátor.next();
						}
					}

					return new Zoznam<Bod>(dráha);
				}

				/** <a class="alias"></a> Alias pre {@link #vytvorDráhu(Shape, double) vytvorDráhu}. */
				public Zoznam<Bod> vytvorDrahu(Shape tvar, double zrnitosť)
				{ return vytvorDráhu(tvar, zrnitosť); }


				/**
				 * <a class="getter"></a> Vráti zoznam bodov tvoriaci
				 * aktuálnu dráhu.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @return zoznam bodov tvoriacich aktuálnu dráhu
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public Zoznam<Bod> dráha() { return new Zoznam<Bod>(dráha); }

				/** <a class="alias"></a> Alias pre {@link #dráha() dráha}. */
				public Zoznam<Bod> draha() { return new Zoznam<Bod>(dráha); }

				/**
				 * <a class="setter"></a> Nastaví aktuálnu dráhu podľa zadaného
				 * zoznamu. Hodnota {@code valnull} znamená vymazanie aktuálnej
				 * dráhy. Táto akcia má za následok vymazanie všetkých
				 * {@linkplain #označKľúčovúFázuDráhy(int) kľúčových fáz dráhy}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void dráha(Vector<Bod> nováDráha)
				{
					kľúčovéFázy.clear();
					if (null == nováDráha)
					{
						dráha.removeAllElements();
					}
					else if (dráha != nováDráha)
					{
						dráha.removeAllElements();
						dráha.addAll(nováDráha);
					}
				}

				/** <a class="alias"></a> Alias pre {@link #dráha(Vector) dráha}. */
				public void draha(Vector<Bod> nováDráha) { dráha(nováDráha); }


				/**
				 * Prevráti poradie bodov dráhy.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void obráťDráhu()
				{
					Collections.reverse(dráha);

					if (0 != kľúčovéFázy.size())
					{
						int dĺžka = dráha.size() - 1;
						TreeSet<Integer> novéKľúčovéFázy =
							new TreeSet<Integer>();

						for (Integer i : kľúčovéFázy)
							novéKľúčovéFázy.add(dĺžka - i);

						kľúčovéFázy.clear();
						kľúčovéFázy.addAll(novéKľúčovéFázy);
					}
				}

				/** <a class="alias"></a> Alias pre {@link #obráťDráhu() obráťDráhu}. */
				public void obratDrahu() { obráťDráhu(); }

				/**
				 * Posunie body dráhy o zadaný rozdiel súradníc Δx a Δy.
				 * 
				 * <P>Táto metóda má dve verzie, ktoré však fungujú úplne
				 * odlišne. Toto je verzia, ktorá prijíma dva argumenty
				 * a posúva súradnice jednotlivých bodov dráhy.
				 * {@linkplain #posuňDráhu(int) Ďalšia verzia} prijíma jeden
				 * argument a tá posúva prvky dráhy, čo má zmysel najmä pri
				 * uzavretých dráhach, ktorým chceme posunúť začiatočný
				 * a koncový bod robota.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param Δx posunutie bodov v smere osi x
				 * @param Δy posunutie bodov v smere osi y
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void posuňDráhu(double Δx, double Δy)
				{
					for (Bod bod : dráha)
						if (null != bod) bod.setLocation(
							bod.getX() + Δx, bod.getY() + Δy);
				}

				/** <a class="alias"></a> Alias pre {@link #posuňDráhu(double, double) posuňDráhu}. */
				public void posunDrahu(double Δx, double Δy) { posuňDráhu(Δx, Δy); }

				/**
				 * Posunie prvky v zozname bodov dráhy o zadaný počet doprava
				 * (pri zadaní kladného počtu prvkov) alebo doľava (pri zadaní
				 * záporného počtu prvkov). Prvky, ktoré sú pri posúvaní sa
				 * doprava na konci zoznamu sa ocitnú na jeho začiatku
				 * a naopak. Tým je ovplyvnené posunutie začiatočného
				 * a koncového bodu dráhy robota.
				 * 
				 * <P>Táto metóda má dve verzie, ktoré však fungujú úplne
				 * odlišne. Toto je verzia, ktorá prijíma jeden argument
				 * a posúva prvky v zozname bodov dráhy, čo má zmysel najmä
				 * pri uzavretých dráhach, ktorým chceme posunúť začiatočný
				 * a koncový bod robota.
				 * {@linkplain #posuňDráhu(double, double) Ďalšia verzia}
				 * prijíma dva argumenty a tá posúva súradnice jednotlivých
				 * bodov dráhy.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param početPrvkov počet prvkov, o ktorý má byť dráha
				 *     posunutá
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void posuňDráhu(int početPrvkov)
				{
					Collections.rotate(dráha, početPrvkov);

					if (0 != kľúčovéFázy.size())
					{
						int dĺžka = dráha.size();
						TreeSet<Integer> novéKľúčovéFázy =
							new TreeSet<Integer>();

						for (Integer i : kľúčovéFázy)
						{
							int novýPrvok = (i + početPrvkov) % dĺžka;
							if (novýPrvok < 0) novýPrvok += dĺžka;
							novéKľúčovéFázy.add(novýPrvok);
						}

						kľúčovéFázy.clear();
						kľúčovéFázy.addAll(novéKľúčovéFázy);
					}
				}

				/** <a class="alias"></a> Alias pre {@link #posuňDráhu(int) posuňDráhu}. */
				public void posunDrahu(int početPrvkov) { posuňDráhu(početPrvkov); }


				/**
				 * Vytvorí z aktuálnej {@linkplain #cesta() cesty} dráhu so
				 * zrnitosťou rovnou hodnote aktuálnej {@linkplain
				 * #rýchlosť() rýchlosti} robota a z nej vytvorí mapu smerov, ktoré
				 * budú použité pri pohybe robota po jeho aktuálne dráhe. Tvar
				 * cesty slúžiaci na vytvorenie mapy smerov nemusí byť totožný
				 * s tvarom cesty, ktorý slúžil na vytvorenie dráhy.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #cesta()
				 * @see #rýchlosť()
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public Zoznam<Double> vytvorMapuSmerov()
				{ return vytvorMapuSmerov(cesta, rýchlosť); }

				/**
				 * Vytvorí z aktuálnej {@linkplain #cesta() cesty} dráhu so
				 * zadanou zrnitosťou a z nej vytvorí mapu smerov, ktoré budú
				 * použité pri pohybe robota po jeho aktuálne dráhe. Tvar cesty
				 * slúžiaci na vytvorenie mapy smerov nemusí byť totožný s tvarom
				 * cesty, ktorý slúžil na vytvorenie dráhy.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param zrnitosť určuje približnú vzdialenosť medzi
				 *     bodmi dráhy
				 * 
				 * @see #cesta()
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public Zoznam<Double> vytvorMapuSmerov(double zrnitosť)
				{ return vytvorMapuSmerov(cesta, zrnitosť); }

				/**
				 * Vytvorí zo zadaného tvaru dráhu so zrnitosťou rovnou hodnote
				 * aktuálnej {@linkplain #rýchlosť() rýchlosti} robota a z nej
				 * vytvorí mapu smerov, ktoré budú použité pri pohybe robota po
				 * jeho aktuálne dráhe. Tvar slúžiaci na vytvorenie mapy smerov
				 * nemusí byť totožný s tvarom, ktorý slúžil na vytvorenie dráhy.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #rýchlosť()
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public Zoznam<Double> vytvorMapuSmerov(Shape tvar)
				{ return vytvorMapuSmerov(tvar, rýchlosť); }


				/**
				 * Vytvorí zo zadaného tvaru dráhu so zadanou zrnitosťou a z nej
				 * vytvorí mapu smerov, ktoré budú použité pri pohybe robota po
				 * jeho aktuálne dráhe. Tvar slúžiaci na vytvorenie mapy smerov
				 * nemusí byť totožný s tvarom, ktorý slúžil na vytvorenie dráhy.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param tvar určuje tvar, podľa ktorého bude vytvorená mapa smerov
				 * @param zrnitosť určuje približnú vzdialenosť medzi bodmi dráhy
				 * @return zoznam hodnôt tvoriacich mapu smerov
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public Zoznam<Double> vytvorMapuSmerov(
					Shape tvar, double zrnitosť)
				{
					// Táto metóda funguje rovnako ako metóda
					// vytvorDráhu(Shape tvar, double zrnitosť),
					// ale namiesto polôh si pamätá smery.

					PathIterator iterátor = new FlatteningPathIterator(
						tvar.getPathIterator(null), zrnitosť / 4.0);

					mapaSmerov.removeAllElements();
					// dráha.removeAllElements();
					// kľúčovéFázy.clear();
					double smer = 0.0;

					if (!iterátor.isDone())
					{
						iterátor.currentSegment(čítačIterátora);
						double x0 = prepočítajSpäťX(čítačIterátora[0]);
						double y0 = prepočítajSpäťY(čítačIterátora[1]);

						mapaSmerov.add(null);

						// dráha.add(new Bod(x0, y0));
						// System.out.println("\nNová dráha: " + x0 + ", " + y0);
						while (!iterátor.isDone())
						{
							iterátor.currentSegment(čítačIterátora);
							double x1 = prepočítajSpäťX(čítačIterátora[0]);
							double y1 = prepočítajSpäťY(čítačIterátora[1]);

							double vzdialenosť = Math.hypot(x0 - x1, y0 - y1);
							if (vzdialenosť > zrnitosť)
							{
								// System.out.println("(" + x1 + ", " + y1 + " – " + vzdialenosť + ")");
								double x2 = x0, y2 = y0;

								double Δt = zrnitosť / vzdialenosť;
								for (double t = Δt; t <= 1.0; t += Δt)
								{
									double x3 = Svet.lineárnaInterpolácia(
										x0, x1, t);
									double y3 = Svet.lineárnaInterpolácia(
										y0, y1, t);

									vzdialenosť = Math.hypot(x2 - x3, y2 - y3);
									if (vzdialenosť >= zrnitosť / 16.0)
									{
										// System.out.println("  " + x3 + ", " + y3 + " – " + vzdialenosť);

										smer = smer(x3 - x2, y3 - y2);
										if (360.0 == smer)
											mapaSmerov.add(null);
										else
											mapaSmerov.add(smer);

										// dráha.add(new Bod(x3, y3));
										x2 = x3; y2 = y3;
									}
									// else
									// {
									// 	// System.out.println("  /" + x3 + ", " + y3 + " – " + vzdialenosť + "/");
									// }
								}

								vzdialenosť = Math.hypot(x2 - x1, y2 - y1);
								if (vzdialenosť >= zrnitosť / 16.0)
								{
									// System.out.println("  + " + x1 + ", " + y1 + " – " + vzdialenosť);

									smer = smer(x1 - x2, y1 - y2);
									if (360.0 == smer)
										mapaSmerov.add(null);
									else
										mapaSmerov.add(smer);

									// dráha.add(new Bod(x1, y1));
									x0 = x1; y0 = y1;
								}
								else
								{
									// System.out.println("  //" + x1 + ", " + y1 + " – " + vzdialenosť + "//");

									x0 = x2; y0 = y2;
								}
							}
							else if (vzdialenosť >= zrnitosť / 16.0)
							{
								// System.out.println(x1 + ", " + y1 + " – " + vzdialenosť);

								smer = smer(x1 - x0, y1 - y0);
								if (360.0 == smer)
									mapaSmerov.add(null);
								else
									mapaSmerov.add(smer);

								// dráha.add(new Bod(x1, y1));
								x0 = x1; y0 = y1;
							}
							// else
							// {
							// 	// System.out.println("/" + x1 + ", " + y1 + " – " + vzdialenosť + "/");
							// }

							iterátor.next();
						}
					}

					// dráha
					return new Zoznam<Double>(mapaSmerov);
				}


				/**
				 * <a class="getter"></a> Vráti zoznam hodnôt tvoriaci aktuálnu mapu
				 * smerov.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @return zoznam hodnôt tvoriacich mapu smerov
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public Zoznam<Double> mapaSmerov() { return new Zoznam<Double>(mapaSmerov); }

				/**
				 * <a class="setter"></a> Nastaví aktuálnu mapu smerov podľa zadaného
				 * zoznamu. Hodnota {@code valnull} znamená vymazanie aktuálnej mapy
				 * smerov.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void mapaSmerov(Vector<Double> nováMapaSmerov)
				{
					if (null == nováMapaSmerov)
					{
						mapaSmerov.removeAllElements();
					}
					else if (mapaSmerov != nováMapaSmerov)
					{
						mapaSmerov.removeAllElements();
						mapaSmerov.addAll(nováMapaSmerov);
					}
				}


				/**
				 * Prevráti poradie prvkov mapy smerov.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void obráťMapuSmerov()
				{ Collections.reverse(mapaSmerov); }

				/** <a class="alias"></a> Alias pre {@link #obráťDráhu() obráťDráhu}. */
				public void obratMapuSmerov()
				{ Collections.reverse(mapaSmerov); }

				/**
				 * Pootočí hodnoty v mape smerov o zadaný uhol.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param uhol uhol pootočenia hodnôt mapy smerov
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void pootočMapuSmerov(double uhol)
				{
					for (int i = 0; i < mapaSmerov.size(); ++i)
					{
						Double smer = mapaSmerov.get(i);
						if (null != smer)
						{
							double smer2 = (smer + uhol) % 360;
							if (smer2 < 0) smer2 += 360;
							mapaSmerov.set(i, smer2);
						}
					}
				}

				/** <a class="alias"></a> Alias pre {@link #pootočMapuSmerov(double) pootočMapuSmerov}. */
				public void pootocMapuSmerov(double uhol) { pootočMapuSmerov(uhol); }

				/**
				 * Posunie prvky mapy smerov o zadanú hodnotu doprava.
				 * (pri zadaní kladnej hodnoty) alebo doľava (pri zadaní
				 * zápornej hodnoty). Prvky, ktoré sú pri posúvaní sa
				 * doprava na konci zoznamu sa ocitnú na jeho začiatku
				 * a naopak.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param početPrvkov počet prvkov, o ktorý má byť mapa
				 *     smerov posunutá
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void posuňMapuSmerov(int početPrvkov)
				{ Collections.rotate(mapaSmerov, početPrvkov); }

				/** <a class="alias"></a> Alias pre {@link #posuňMapuSmerov(int) posuňMapuSmerov}. */
				public void posunMapuSmerov(int početPrvkov)
				{ Collections.rotate(mapaSmerov, početPrvkov); }


				/**
				 * Aktivuje robota a zaháji jeho pohyb po aktuálnej dráhe.
				 * 
				 * <P><b>Príklad:</b>
				 * <table><tr><td>
				 * <pre CLASS="example">
					{@code kwdimport} knižnica.{@link GRobot GRobot};

					{@code kwdpublic} {@code typeclass} TestKráčajPoDráhe {@code kwdextends} {@link GRobot GRobot}
					{
						{@code kwdprivate} TestKráčajPoDráhe()
						{
							{@code valsuper}({@code num400}, {@code num400});
							{@link #zdvihniPero() zdvihniPero}();
							{@link #uhol(double) uhol}({@code num80});
							{@link #skočNa(double, double) skočNa}(&#45;{@code num170}, &#45;{@code num80});

							{@link #začniCestu() začniCestu}();
							{@link #choďPoOblúku(double, double) choďPoOblúku}({@code num90}, {@code num100});
							{@link #dopredu(double) dopredu}({@code num120});
							{@link #choďPoOblúku(double, double) choďPoOblúku}({@code num90}, &#45;{@code num100});

							{@link #vytvorDráhu(double) vytvorDráhu}({@code num8});
							{@link #domov() domov}();
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link #klik() klik}()
						{
							{@code currkráčajPoDráhe}();
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link #kráčaniePoDráhe() kráčaniePoDráhe}()
						{
							{@link #náhodnáFarba() náhodnáFarba}();
							{@link #kružnica(double) kružnica}({@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num1.5}, {@code num4}));
						}

						{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
						{
							{@code kwdnew} TestKráčajPoDráhe();
						}
					}
					</pre>
				 * </td><td><b>Výsledok:</b><image>kracaniePoDrahe.png</image>Po
				 * kliknutí myšou začne robot kráčať po vopred vytvorenej dráhe
				 * a zanechá pri tom náhodnú farebnú stopu</td></tr></table>
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #aktivuj()
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void kráčajPoDráhe()
				{
					fázaDráhy = 0;
					aktivuj();
				}

				/** <a class="alias"></a> Alias pre {@link #kráčajPoDráhe() kráčajPoDráhe}. */
				public void kracajPoDrahe() { kráčajPoDráhe(); }

				/**
				 * Deaktivuje robota a ukončí jeho pohyb po dráhe.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void zastavNaDráhe()
				{
					if (fázaDráhy >= 0)
					{
						fázaDráhy = -1;
						deaktivuj();
					}
				}

				/** <a class="alias"></a> Alias pre {@link #zastavNaDráhe() zastavNaDráhe}. */
				public void zastavNaDrahe() { zastavNaDráhe(); }

				/**
				 * Obnoví pohyb robota po aktuálnej dráhe. Ak sa robot práve
				 * nenachádza na dráhe, tak metóda nájde najbližší bod
				 * na dráhe a presunie ho tam.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void pokračujVDráhe()
				{
					if (fázaDráhy < 0 && dráha.size() > 0)
					{
						int najbližší = 0;
						Bod bod = dráha.get(0);
						double najmenšiaVzdialenosť = Math.hypot(
							aktuálneX - bod.x, aktuálneY - bod.y);
						for (int i = 1; i < dráha.size(); ++i)
						{
							bod = dráha.get(i);
							double vzdialenosť = Math.hypot(
								aktuálneX - bod.x, aktuálneY - bod.y);
							if (vzdialenosť < najmenšiaVzdialenosť)
							{
								najbližší = i;
								najmenšiaVzdialenosť = vzdialenosť;
							}
						}
						fázaDráhy = najbližší;
						aktivuj();
					}
				}

				/** <a class="alias"></a> Alias pre {@link #pokračujVDráhe() pokračujVDráhe}. */
				public void pokracujVDrahe() { pokračujVDráhe(); }


				/**
				 * Označí zadanú fázu dráhy za kľúčovú. V kľúčových fázach je
				 * spúšťaná metóda {@link #vstupDoKľúčovejFázyDráhy(int)}
				 * namiesto metódy {@link #kráčaniePoDráhe()}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param fáza index fázy, ktorá má byť označená za kľúčovú
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void označKľúčovúFázuDráhy(int fáza)
				{ kľúčovéFázy.add(fáza); }

				/** <a class="alias"></a> Alias pre {@link #označKľúčovúFázuDráhy(int) označKľúčovúFázuDráhy}. */
				public void oznacKlucovuFazuDrahy(int fáza)
				{ označKľúčovúFázuDráhy(fáza); }


				/**
				 * Zruší označenie zadanej fázy dráhy za kľúčové.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param fáza index kľúčovej fázy, ktorá má byť zrušená
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void zrušKľúčovúFázuDráhy(int fáza)
				{ kľúčovéFázy.remove(fáza); }

				/** <a class="alias"></a> Alias pre {@link #zrušKľúčovúFázuDráhy(int) zrušKľúčovúFázuDráhy}. */
				public void zrusKlucovuFazuDrahy(int fáza)
				{ zrušKľúčovúFázuDráhy(fáza); }


				/**
				 * Označí takú fázu dráhy za kľúčovú, ktorej poloha je
				 * najbližšie k zadanej polohe. Pri vyhľadávaní vhodnej fázy
				 * na označenie sú brané do úvahy len tie fázy, ktoré nie sú
				 * označené a označená je potom taká fáza, ktorá ešte nebola
				 * označená a leží najbližšie k zadanej polohe. To znamená,
				 * že pri dostatočnom počte opakovaní pokusov o označenie by
				 * nakoniec boli označené všetky fázy dráhy.
				 * V kľúčových fázach je
				 * spúšťaná metóda {@link #vstupDoKľúčovejFázyDráhy(int)}
				 * namiesto metódy {@link #kráčaniePoDráhe()}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param fáza približná poloha fázy, ktorá má byť označená
				 * za kľúčovú
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void označKľúčovúFázuDráhy(Poloha poloha)
				{
					int najbližší;
					for (najbližší = 0; najbližší < dráha.size() &&
						!kľúčovéFázy.contains(najbližší); ++najbližší);
					if (najbližší >= dráha.size()) return;

					Bod bod = dráha.get(najbližší);
					double najmenšiaVzdialenosť = Math.hypot(
						aktuálneX - bod.x, aktuálneY - bod.y);

					for (int i = najbližší + 1; i < dráha.size(); ++i)
					{
						if (kľúčovéFázy.contains(i)) continue;

						bod = dráha.get(i);
						double vzdialenosť = Math.hypot(
							aktuálneX - bod.x, aktuálneY - bod.y);
						if (vzdialenosť < najmenšiaVzdialenosť)
						{
							najbližší = i;
							najmenšiaVzdialenosť = vzdialenosť;
						}
					}

					kľúčovéFázy.add(najbližší);
				}

				/** <a class="alias"></a> Alias pre {@link #označKľúčovúFázuDráhy(Poloha) označKľúčovúFázuDráhy}. */
				public void oznacKlucovuFazuDrahy(Poloha poloha)
				{ označKľúčovúFázuDráhy(poloha); }


				/**
				 * Zruší označenie takej fázy dráhy za kľúčové, ktorej poloha
				 * je najbližšie k zadanej polohe, pričom sú počas hľadania
				 * vhodnej fázy na zrušenie brané do úvahy len už označené
				 * fázy. To znamená, že ak jestvuje aspoň jedna kľúčová fáza
				 * v dráhe, tak s istotou nastane jedno zrušenie – tej
				 * označenej fázy, ktorá bude najbližšie k zadanej polohe.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param fáza približná poloha kľúčovej fázy, ktorá má byť
				 * zrušená
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void zrušKľúčovúFázuDráhy(Poloha poloha)
				{
					if (0 == kľúčovéFázy.size()) return;

					int najbližší = kľúčovéFázy.first();

					Bod bod = dráha.get(najbližší);
					double najmenšiaVzdialenosť = Math.hypot(
						aktuálneX - bod.x, aktuálneY - bod.y);

					Integer i = kľúčovéFázy.higher(najbližší);
					while (null != i)
					{
						bod = dráha.get(i);
						double vzdialenosť = Math.hypot(
							aktuálneX - bod.x, aktuálneY - bod.y);

						if (vzdialenosť < najmenšiaVzdialenosť)
						{
							najbližší = i;
							najmenšiaVzdialenosť = vzdialenosť;
						}

						i = kľúčovéFázy.higher(i);
					}

					kľúčovéFázy.remove(najbližší);
				}

				/** <a class="alias"></a> Alias pre {@link #zrušKľúčovúFázuDráhy(Poloha) zrušKľúčovúFázuDráhy}. */
				public void zrusKlucovuFazuDrahy(Poloha poloha)
				{ zrušKľúčovúFázuDráhy(poloha); }


				/**
				 * Označí takú fázu dráhy za kľúčovú, ktorej poloha je
				 * najbližšie k zadanej polohe a v rámci zadaného okruhu.
				 * Pri vyhľadávaní vhodnej fázy na označenie sú brané do úvahy
				 * len tie fázy, ktoré nie sú označené a sú bližšie než
				 * zadaná maximálna vzdialenosť. Označená je potom taká fáza,
				 * ktorá ešte nebola označená a leží najbližšie k zadanej
				 * polohe. Ak taká fáza nejestvuje, tak nie je označená žiadna
				 * fáza. V kľúčových fázach je
				 * spúšťaná metóda {@link #vstupDoKľúčovejFázyDráhy(int)}
				 * namiesto metódy {@link #kráčaniePoDráhe()}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param fáza približná poloha fázy, ktorá má byť označená
				 * za kľúčovú
				 * @param okruh vonkajší polomer okruhu bodov, ktoré sú brané
				 * do úvahy
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void označKľúčovúFázuDráhy(Poloha poloha, double okruh)
				{
					int najbližší = -1;
					double najmenšiaVzdialenosť = -1;

					for (int i = 0; i < dráha.size(); ++i)
					{
						if (kľúčovéFázy.contains(i)) continue;

						Bod bod = dráha.get(i);
						double vzdialenosť = Math.hypot(
							aktuálneX - bod.x, aktuálneY - bod.y);

						if (vzdialenosť < okruh)
						{
							if (-1 == najbližší ||
								vzdialenosť < najmenšiaVzdialenosť)
							{
								najbližší = i;
								najmenšiaVzdialenosť = vzdialenosť;
							}
						}
					}

					if (najbližší >= 0) kľúčovéFázy.add(najbližší);
				}

				/** <a class="alias"></a> Alias pre {@link #označKľúčovúFázuDráhy(Poloha, double) označKľúčovúFázuDráhy}. */
				public void oznacKlucovuFazuDrahy(Poloha poloha, double okruh)
				{ označKľúčovúFázuDráhy(poloha, okruh); }


				/**
				 * Zruší označenie takej fázy dráhy za kľúčové, ktorej poloha
				 * je najbližšie k zadanej polohe v rámci zadaného okruhu,
				 * pričom sú počas hľadania vhodnej fázy na zrušenie brané do
				 * úvahy len už označené fázy. To znamená, že z fáz v zadanom
				 * okruhu je zrušená tá, ktorá leží najbližšie k zadanej
				 * polohe. Ak taká fáza nejestvuje, nie je zrušená žiadna
				 * z fáz.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param fáza približná poloha kľúčovej fázy, ktorá má byť
				 * zrušená
				 * @param okruh vonkajší polomer okruhu bodov, ktoré sú brané
				 * do úvahy
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void zrušKľúčovúFázuDráhy(Poloha poloha, double okruh)
				{
					if (0 == kľúčovéFázy.size()) return;

					int najbližší = -1;
					double najmenšiaVzdialenosť = -1;

					Integer i = kľúčovéFázy.first();
					while (null != i)
					{
						Bod bod = dráha.get(i);
						double vzdialenosť = Math.hypot(
							aktuálneX - bod.x, aktuálneY - bod.y);

						if (vzdialenosť < okruh)
						{
							if (-1 == najbližší ||
								vzdialenosť < najmenšiaVzdialenosť)
							{
								najbližší = i;
								najmenšiaVzdialenosť = vzdialenosť;
							}
						}

						i = kľúčovéFázy.higher(i);
					}

					if (najbližší >= 0) kľúčovéFázy.remove(najbližší);
				}

				/** <a class="alias"></a> Alias pre {@link #zrušKľúčovúFázuDráhy(Poloha, double) zrušKľúčovúFázuDráhy}. */
				public void zrusKlucovuFazuDrahy(Poloha poloha, double okruh)
				{ zrušKľúčovúFázuDráhy(poloha, okruh); }


				/**
				 * Metóda zistí, či sa robot práve nachádza v režime kráčania
				 * po dráhe. (Robot môže byť aj deaktivovaný, ale musí sa
				 * nachádzať v režime kráčania po dráhe.)
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @return ak je robot v režime kráčania po dráhe, tak je
				 *     návratová hodnota {@code valtrue}
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public boolean kráčamPoDráhe() { return fázaDráhy >= 0; }

				/** <a class="alias"></a> Alias pre {@link #kráčamPoDráhe() kráčamPoDráhe}. */
				public boolean kracamPoDrahe() { return fázaDráhy >= 0; }

				/**
				 * Zistí aktuálnu fázu pohybu robota po dráhe.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @return aktuálna fáza pohybu po dráhe – index prvku
				 *     v zozname, ktorý určuje body dráhy
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public int fázaDráhy() { return fázaDráhy; }

				/** <a class="alias"></a> Alias pre {@link #fázaDráhy() fázaDráhy}. */
				public int fazaDrahy() { return fázaDráhy; }

				/**
				 * Zmení fázu pohybu robota po dráhe. Ak je hodnota novej fázy
				 * záporná, pohyb po dráhe je zastavený. Ak je hodnota kladná,
				 * robot sa presunie na bod s indexom novej fázy a pokračuje
				 * v pohybe po dráhe.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param nováFáza nová hodnota fázy pohybu robota po dráhe –
				 *     nový index prvku v zozname, ktorý určuje body dráhy
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void fázaDráhy(int nováFáza)
				{
					if (fázaDráhy >= 0)
					{
						if (nováFáza < 0) deaktivuj();
					}
					else
					{
						if (nováFáza >= 0) aktivuj();
					}

					fázaDráhy = nováFáza;
				}

				/** <a class="alias"></a> Alias pre {@link #fázaDráhy(int) fázaDráhy}. */
				public void fazaDrahy(int nováFáza) { fázaDráhy(nováFáza); }

				/**
				 * Táto metóda je predvolene prázdna. Je určená na prekrytie
				 * a je spúšťaná v pravidelnom časovom intervale počas pohybu
				 * robota po dráhe, okrem prípadov
				 * {@linkplain #označKľúčovúFázuDráhy(int) kľúčových fáz
				 * dráhy}, kedy je namiesto tejto metódy spustená metóda
				 * {@link #vstupDoKľúčovejFázyDráhy(int)
				 * vstupDoKľúčovejFázyDráhy}. V režime pohybu robota po dráhe
				 * nahrádza táto metóda spolu s metódou
				 * {@link #vstupDoKľúčovejFázyDráhy(int)
				 * vstupDoKľúčovejFázyDráhy} reakciu {@link #aktivita()}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #aktivita()
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void kráčaniePoDráhe() {}

				/** <a class="alias"></a> Alias pre {@link #kráčaniePoDráhe() kráčaniePoDráhe}. */
				public void kracaniePoDrahe() {}

				/**
				 * Táto metóda je predvolene prázdna. Je určená na
				 * prekrytie a je spúšťaná v {@linkplain
				 * #označKľúčovúFázuDráhy(int) kľúčových fázach} počas
				 * pohybu robota po dráhe, kedy nahrádza volanie metódy
				 * {@link #kráčaniePoDráhe() kráčaniePoDráhe}. V režime
				 * pohybu robota po dráhe nahrádza táto metóda spolu s metódou
				 * {@link #kráčaniePoDráhe() kráčaniePoDráhe} reakciu
				 * {@link #aktivita()}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param fáza aktuálne číslo fázy pohybu
				 * 
				 * @see #aktivita()
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #státieNaDráhe()
				 * @see #koniecDráhy()
				 */
				public void vstupDoKľúčovejFázyDráhy(int fáza) {}

				/** <a class="alias"></a> Alias pre {@link #vstupDoKľúčovejFázyDráhy(int) vstupDoKľúčovejFázyDráhy}. */
				public void vstupDoKlucovejFazyDrahy(int fáza) {}

				/**
				 * Táto metóda je predvolene prázdna. Je určená na
				 * prekrytie a je spúšťaná v pravidelnom časovom
				 * intervale počas deaktivácie robota v režime pohybu
				 * po dráhe. V režime pohybu robota po dráhe nahrádza táto
				 * metóda reakciu {@link #pasivita()}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #pasivita()
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #koniecDráhy()
				 */
				public void státieNaDráhe() {}

				/** <a class="alias"></a> Alias pre {@link #státieNaDráhe() státieNaDráhe}. */
				public void statieNaDrahe() {}

				/**
				 * Táto metóda je predvolene prázdna. Je určená na
				 * prekrytie a je spustená po dokončení pohybu robota
				 * po dráhe.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see #vytvorDráhu()
				 * @see #vytvorDráhu(double)
				 * @see #vytvorDráhu(Shape)
				 * @see #vytvorDráhu(Shape, double)
				 * @see #dráha()
				 * @see #dráha(Vector)
				 * @see #obráťDráhu()
				 * @see #posuňDráhu(double, double)
				 * @see #posuňDráhu(int)
				 * @see #vytvorMapuSmerov()
				 * @see #vytvorMapuSmerov(double)
				 * @see #vytvorMapuSmerov(Shape)
				 * @see #vytvorMapuSmerov(Shape, double)
				 * @see #mapaSmerov()
				 * @see #mapaSmerov(Vector)
				 * @see #obráťMapuSmerov()
				 * @see #pootočMapuSmerov(double)
				 * @see #posuňMapuSmerov(int)
				 * @see #kráčajPoDráhe()
				 * @see #zastavNaDráhe()
				 * @see #pokračujVDráhe()
				 * @see #označKľúčovúFázuDráhy(int)
				 * @see #zrušKľúčovúFázuDráhy(int)
				 * @see #označKľúčovúFázuDráhy(Poloha)
				 * @see #zrušKľúčovúFázuDráhy(Poloha)
				 * @see #označKľúčovúFázuDráhy(Poloha, double)
				 * @see #zrušKľúčovúFázuDráhy(Poloha, double)
				 * @see #kráčamPoDráhe()
				 * @see #fázaDráhy()
				 * @see #fázaDráhy(int)
				 * @see #kráčaniePoDráhe()
				 * @see #vstupDoKľúčovejFázyDráhy(int)
				 * @see #státieNaDráhe()
				 */
				public void koniecDráhy() {}

				/** <a class="alias"></a> Alias pre {@link #koniecDráhy() koniecDráhy}. */
				public void koniecDrahy() {}


			// Metóda pracuj

				/**
				 * Táto metóda je automaticky spúšťaná {@link
				 * Svet#spustiČasovač(double) časovačom}. Tvorí model
				 * správania {@linkplain #aktívny() aktívnych} robotov
				 * a zároveň pravidelne spúšťa metódu {@link #aktivita()
				 * aktivita} pre aktívnych robotov a {@link #pasivita()
				 * pasivita} pre pasívnych robotov. Aktívny robot môže mať
				 * definovaný {@linkplain #cieľ(double, double) cieľ} alebo
				 * trvanie aktivity (pozri {@link #aktivuj(int)
				 * aktivuj(trvanieAktivity)}. Na to, aby sa robot mohol
				 * pohybovať (a dostať sa do cieľa), musí mať definovanú
				 * hodnotu {@linkplain #rýchlosť(double) rýchlosti}, prípadne
				 * {@linkplain #zrýchlenie() zrýchlenia}. Ďalšie atribúty ako
				 * {@linkplain #maximálnaRýchlosť(double) maximálna
				 * rýchlosť}, {@linkplain #uhlováRýchlosť(double) rýchlosť
				 * otáčania}, {@linkplain #uhlovéZrýchlenie(double)
				 * zrýchlenie otáčania} a {@linkplain
				 * #maximálnaUhlováRýchlosť(double) maximálna rýchlosť
				 * otáčania} sú nepovinné. Iba menia správanie robota pri
				 * pohybe, ktorý sa tým môže stať o niečo prirodzenejším.
				 * 
				 * <P><small>(<b>Poznámka:</b> Prekrytím tejto metódy by sme
				 * mohli úplne prepracovať správanie robota – aktívneho aj
				 * neaktívneho, avšak odporúčame ponechať predvolené
				 * správanie a iba korigovať správanie robotov prepisovaním
				 * metód {@link #aktivita() aktivita} a {@link #pasivita()
				 * pasivita}.)</small>
				 */
				public void pracuj()
				{
					synchronized (zámokAktivít)
					{
						if (aktívny)
						{
							if (fázaDráhy >= 0)
							{
								if (fázaDráhy >= dráha.size())
								{
									fázaDráhy = -1;
									deaktivuj();
									koniecDráhy();
									koniecDrahy();
								}
								else
								{
									Bod bod = dráha.elementAt(fázaDráhy);
									Double smer = null;
									if (fázaDráhy < mapaSmerov.size())
										smer = mapaSmerov.elementAt(fázaDráhy);

									if (null == bod)
									{
										if (null != smer) smer(smer);
									}
									else
									{
										if (null == smer)
										{
											if (fázaDráhy >= mapaSmerov.size())
												otočNa(bod.x, bod.y);
										}
										else
											smer(smer);
										choďNa(bod.x, bod.y);
									}

									if (0 != kľúčovéFázy.size() &&
										kľúčovéFázy.contains(fázaDráhy))
									{
										vstupDoKľúčovejFázyDráhy(fázaDráhy);
										vstupDoKlucovejFazyDrahy(fázaDráhy);
									}
									else
									{
										kráčaniePoDráhe();
										kracaniePoDrahe();
									}
									++fázaDráhy;
								}
								return;
							}

							aspoňJedenAktívny = true;

							if (trvanieAktivity > 0 && --trvanieAktivity == 0)
							{
								deaktivuj();
							}

							if (cieľAktívny)
							{
								uhlováRýchlosť += uhlovéZrýchlenie;
								if (maximálnaUhlováRýchlosť != 0.0)
								{
									if (uhlováRýchlosť >
										maximálnaUhlováRýchlosť)
									{
										uhlováRýchlosť =
											maximálnaUhlováRýchlosť;
									}
									else if (uhlováRýchlosť <
										-maximálnaUhlováRýchlosť)
									{
										uhlováRýchlosť =
											-maximálnaUhlováRýchlosť;
									}
								}

								if (uhlováRýchlosť != 0.0)
								{
									otočNa(cieľX, cieľY, uhlováRýchlosť);
								}
								else
								{
									if (uhlovéZrýchlenie == 0.0)
									{
										otočNa(cieľX, cieľY);
									}
								}

								if (zrýchlenie != 0.0)
								{
									rýchlosť += zrýchlenie;
									if (maximálnaRýchlosť != 0.0)
									{
										if (rýchlosť > maximálnaRýchlosť)
											rýchlosť = maximálnaRýchlosť;
										else if (rýchlosť < -maximálnaRýchlosť)
											rýchlosť = -maximálnaRýchlosť;
									}

									if ((rýchlosť > 0.0 && zrýchlenie > 0.0) ||
										(rýchlosť < 0.0 && zrýchlenie < 0.0))
									{
										double brzdnáDráha =
											(rýchlosť * rýchlosť) /
												(2 * zrýchlenie);

										/*!!!
										if (Math.sqrt(Math.pow(cieľX -
											aktuálneX, 2) + Math.pow(cieľY -
												aktuálneY, 2)) < brzdnáDráha)
										*/
										if (Math.hypot(cieľX - aktuálneX,
											cieľY - aktuálneY) < brzdnáDráha)
										{
											zrýchlenie = -zrýchlenie;
										}
									}
								}

								overDosiahnutieCieľa();

								/*
								if (Math.sqrt(Math.pow(cieľX - aktuálneX, 2) +
									Math.pow(cieľY - aktuálneY, 2)) <=
									rýchlosť)
								{
									double β = smerNa(cieľX, cieľY);
									if (Math.abs(aktuálnyUhol - β) <= 0.01 ||
										Math.abs(360 + aktuálnyUhol - β) <=
										0.01)
									{
										aktuálnyUhol = β;
										choďNa(cieľX, cieľY);
										cieľAktívny = false;
										if (zastavVCieli)
										{
											if (zrýchlenie != 0)
											{
												if ((rýchlosť > 0.0 &&
													zrýchlenie < 0.0) ||
													rýchlosť < 0.0)
												{
													zrýchlenie = -zrýchlenie;
												}
												rýchlosť = 0.0;
											}
											zastav();
										}
										dosiahnutieCieľa();
										dosiahnutieCiela();
									}
								}
								*/

								if (cieľAktívny)
								{
									dopredu(rýchlosť);
									// doľava(uhlováRýchlosť);

									if (zrýchlenie != 0.0)
									{
										if (zastavPoSpomalení)
										{
											if (zrýchlenie > 0.0)
											{
												if (rýchlosť >= 0.0)
												{
													rýchlosť = 0.0;
													zastavPoSpomalení = false;
													zastav();
												}
											}
											else
											{
												if (rýchlosť <= 0.0)
												{
													rýchlosť = 0.0;
													zastavPoSpomalení = false;
													zastav();
												}
											}
										}
										else if (zrýchlenie < 0.0 &&
											rýchlosť <= 0.0)
											zrýchlenie = -zrýchlenie;
									}
								}
							}
							else if (rýchlosť != 0.0 || uhlováRýchlosť != 0.0
								|| zrýchlenie != 0.0 || uhlovéZrýchlenie !=
								0.0)
							{
								rýchlosť += zrýchlenie;
								if (maximálnaRýchlosť != 0.0)
								{
									if (rýchlosť > maximálnaRýchlosť)
										rýchlosť = maximálnaRýchlosť;
									else if (rýchlosť < -maximálnaRýchlosť)
										rýchlosť = -maximálnaRýchlosť;
								}

								uhlováRýchlosť += uhlovéZrýchlenie;
								if (maximálnaUhlováRýchlosť != 0.0)
								{
									if (uhlováRýchlosť >
										maximálnaUhlováRýchlosť)
									{
										uhlováRýchlosť =
											maximálnaUhlováRýchlosť;
									}
									else if (uhlováRýchlosť <
										-maximálnaUhlováRýchlosť)
									{
										uhlováRýchlosť =
											-maximálnaUhlováRýchlosť;
									}
								}

								dopredu(rýchlosť);
								doľava(uhlováRýchlosť);
								if (zastavPoSpomalení && zrýchlenie != 0.0)
								{
									if (zrýchlenie > 0.0)
									{
										if (rýchlosť >= 0.0)
										{
											rýchlosť = 0.0;
											zastavPoSpomalení = false;
											zastav();
										}
									}
									else
									{
										if (rýchlosť <= 0.0)
										{
											rýchlosť = 0.0;
											zastavPoSpomalení = false;
											zastav();
										}
									}
								}
							}

							if (null != gyroskop)
							{
								if (0.0 != otáčanieTvaru)
								{
									gyroskop += otáčanieTvaru;
									gyroskop %= 360;
									if (gyroskop < 0)
										gyroskop += 360;
								}

								pootočenieTvaru = gyroskop - aktuálnyUhol;

								pootočenieTvaru %= 360;
								if (pootočenieTvaru < 0)
									pootočenieTvaru += 360;
							}
							else if (0.0 != otáčanieTvaru)
							{
								pootočenieTvaru += otáčanieTvaru;
								pootočenieTvaru %= 360;
								if (pootočenieTvaru < 0)
									pootočenieTvaru += 360;
							}

							aktivita();
						}
						else
						{
							if (fázaDráhy >= 0)
							{
								státieNaDráhe();
								statieNaDrahe();
								return;
							}

							pasivita();
						}
					}
				}


			// Výzvy

				/**
				 * Spustením tejto metódy sa pre každého robota (podľa ich
				 * aktuálneho poradia) vykoná reakcia
				 * {@link GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy},
				 * pričom autorom výzvy bude tento robot a hodnota argumentu
				 * {@code kľúč} bude rovná {@code -}{@code num1}. Prvotné
				 * poradie robotov je určené poradím ich vytvorenia (čiže ak
				 * sme nijako neovplyvnili poradie robotov, je prvý vyzvaný
				 * ten robot, ktorý bol vytvorený ako prvý, to jest robot,
				 * ktorý je nakreslený pod všetkými ostatnými robotmi).
				 * Dodatočne môžeme poradie ovplyvniť volaním metód {@link
				 * GRobot#naVrch() naVrch}, {@link GRobot#naSpodok()
				 * naSpodok}, {@link GRobot#vyššie() vyššie}, {@link
				 * GRobot#nižšie() nižšie}, {@link GRobot#pred(GRobot) pred}
				 * a {@link GRobot#za(GRobot) za}.
				 * 
				 * <P><b>Poznámka:</b> Ak je poradie robotov zmenené počas
				 * {@linkplain GRobot#prijatieVýzvy(GRobot, int) spracovania
				 * výzviev}, dôjde z technických príčin k opätovnému
				 * spusteniu posielania výziev (inak povedané – posielanie
				 * výziev sa „reštartuje“). To znamená, že niektorí roboti
				 * budú vyzvaní dva alebo viac ráz. Buďte preto opatrní so
				 * zmenami poradia v rámci spracovania výziev, aby ste
				 * nespôsobili vznik nekonečného cyklu… (Rovnaký efekt má
				 * prípadné vytvorenie nového robota, resp. ľubovoľnej
				 * inštancie triedy odvodenej od robota.)
				 * 
				 * <P><b>Poznámka 2:</b> Mechanizmus výziev nie je taký
				 * efektívny ako definícia vlastného {@linkplain Zoznam
				 * zoznamu robotov} (prípadne inštancií odvodených tried)
				 * a vykonanie hromadnej akcie pomocou tohto zoznamu. Slúži
				 * predovšedkým na umožnenie hromadného spracovania bez
				 * nevyhnutnosti vytvárania takého zoznamu (napríklad pri malom
				 * počte robotov alebo predtým, než sa programátor
				 * podrobnejšie oboznámi s možnosťami zoznamov).
				 * 
				 *  @see #prijatieVýzvy(GRobot, int)
				 *  @see #vyzviRobotov(int)
				 *  @see #vyzviRobotov(int, boolean)
				 *  @see Svet#vyzviRobotov()
				 */
				public void vyzviRobotov()
				{
					if (zámokZoznamuRobotov2)
					{
						System.err.println("Zdvojená " +
							"výzva bola zamietnutá!");
					}
					else
					{
						zámokZoznamuRobotov2 = true;

						boolean reštart;
						do {
							zoznamZmenený2 = false;
							reštart = false;
							for (GRobot tento : zoznamRobotov)
							{
								tento.prijatieVýzvy(this, -1);
								tento.prijatieVyzvy(this, -1);
								if (zoznamZmenený2)
								{
									reštart = true;
									break;
								}
							}
						} while (reštart);

						zámokZoznamuRobotov2 = false;
						zlúčiťZoznamy();
					}
				}

				/**
				 * Spustením tejto metódy sa pre každého robota (podľa ich
				 * aktuálneho poradia) vykoná reakcia {@link
				 * GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy}, pričom
				 * autorom výzvy bude tento robot. Pomocou argumentu
				 * {@code kľúč} môžeme odlišovať rôzne druhy výziev
				 * a ovplyvňovať tým správanie reakcie {@link
				 * GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy}. Prvotné
				 * poradie robotov je určené poradím ich vytvorenia (čiže ak
				 * sme nijako neovplyvnili poradie robotov, je prvý vyzvaný
				 * ten robot, ktorý bol vytvorený ako prvý, to jest robot,
				 * ktorý je nakreslený pod všetkými ostatnými robotmi).
				 * Dodatočne môžeme poradie ovplyvniť volaním metód {@link
				 * GRobot#naVrch() naVrch}, {@link GRobot#naSpodok()
				 * naSpodok}, {@link GRobot#vyššie() vyššie}, {@link
				 * GRobot#nižšie() nižšie}, {@link GRobot#pred(GRobot) pred}
				 * a {@link GRobot#za(GRobot) za}.
				 * 
				 * <P><b>Poznámka:</b> Ak je poradie robotov zmenené počas
				 * {@linkplain GRobot#prijatieVýzvy(GRobot, int) spracovania
				 * výzviev}, dôjde z technických príčin k opätovnému
				 * spusteniu posielania výziev (inak povedané – posielanie
				 * výziev sa „reštartuje“). To znamená, že niektorí roboti
				 * budú vyzvaní dva alebo viac ráz. Buďte preto opatrní so
				 * zmenami poradia v rámci spracovania výziev, aby ste
				 * nespôsobili vznik nekonečného cyklu… (Rovnaký efekt má
				 * prípadné vytvorenie nového robota, resp. ľubovoľnej
				 * inštancie triedy odvodenej od robota.)
				 * 
				 * <P><b>Poznámka 2:</b> Mechanizmus výziev nie je taký
				 * efektívny ako definícia vlastného {@linkplain Zoznam
				 * zoznamu robotov} (prípadne inštancií odvodených tried)
				 * a vykonanie hromadnej akcie pomocou tohto zoznamu. Slúži
				 * predovšedkým na umožnenie hromadného spracovania bez
				 * nevyhnutnosti vytvárania takého zoznamu (napríklad pri malom
				 * počte robotov alebo predtým, než sa programátor
				 * podrobnejšie oboznámi s možnosťami zoznamov).
				 * 
				 *  @param kľúč  celočíselná hodnota, ktorá je poslaná do
				 *      reakcie {@link GRobot#prijatieVýzvy(GRobot, int)
				 *      prijatieVýzvy} každého robota; takto je možné
				 *      odlíšiť rôzne druhy výziev, vďaka čomu môžeme
				 *      ovplyvniť správanie reakcie {@link
				 *      GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy}
				 * 
				 *  @see #prijatieVýzvy(GRobot, int)
				 *  @see #vyzviRobotov()
				 *  @see #vyzviRobotov(int, boolean)
				 *  @see Svet#vyzviRobotov(int)
				 */
				public void vyzviRobotov(int kľúč)
				{
					if (zámokZoznamuRobotov2)
					{
						System.err.println("Zdvojená " +
							"výzva bola zamietnutá!");
					}
					else
					{
						zámokZoznamuRobotov2 = true;

						boolean reštart;
						do {
							zoznamZmenený2 = false;
							reštart = false;
							for (GRobot tento : zoznamRobotov)
							{
								tento.prijatieVýzvy(this, kľúč);
								tento.prijatieVyzvy(this, kľúč);
								if (zoznamZmenený2)
								{
									reštart = true;
									break;
								}
							}
						} while (reštart);

						zámokZoznamuRobotov2 = false;
						zlúčiťZoznamy();
					}
				}

				/**
				 * Spustením tejto metódy sa pre každého robota (podľa ich
				 * aktuálneho poradia) vykoná reakcia {@link
				 * GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy}, pričom
				 * autorom výzvy bude tento robot. Pomocou argumentu
				 * {@code kľúč} môžeme odlišovať rôzne druhy výziev
				 * a ovplyvňovať tým správanie reakcie {@link
				 * GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy}. Argument
				 * {@code obrátene} určuje smer spracovania. Ak je rovný
				 * {@code valtrue}, zoznam robotov bude spracovaný od konca,
				 * to znamená, že prvý bude vyzvaný buď naposledny vytvorený
				 * robot, alebo robot aktuálne umiestnený na konci vnútorného
				 * zoznamu robotov. Záleží od toho, či sme dodatočne
				 * ovplyvňovali poradie robotov metódami {@link
				 * GRobot#naVrch() naVrch}, {@link GRobot#naSpodok()
				 * naSpodok}, {@link GRobot#vyššie() vyššie}, {@link
				 * GRobot#nižšie() nižšie}, {@link GRobot#pred(GRobot) pred}
				 * a {@link GRobot#za(GRobot) za}. Ak je hodnota argumentu
				 * {@code obrátene} rovná {@code valfalse}, metóda sa správa
				 * rovnako ako {@link #vyzviRobotov(int)}.
				 * 
				 * <P><b>Poznámka:</b> Ak je poradie robotov zmenené počas
				 * {@linkplain GRobot#prijatieVýzvy(GRobot, int) spracovania
				 * výzviev}, dôjde z technických príčin k opätovnému
				 * spusteniu posielania výziev (inak povedané – posielanie
				 * výziev sa „reštartuje“). To znamená, že niektorí roboti
				 * budú vyzvaní dva alebo viac ráz. Buďte preto opatrní so
				 * zmenami poradia v rámci spracovania výziev, aby ste
				 * nespôsobili vznik nekonečného cyklu… (Rovnaký efekt má
				 * prípadné vytvorenie nového robota, resp. ľubovoľnej
				 * inštancie triedy odvodenej od robota.)
				 * 
				 * <P><b>Poznámka 2:</b> Mechanizmus výziev nie je taký
				 * efektívny ako definícia vlastného {@linkplain Zoznam
				 * zoznamu robotov} (prípadne inštancií odvodených tried)
				 * a vykonanie hromadnej akcie pomocou tohto zoznamu. Slúži
				 * predovšedkým na umožnenie hromadného spracovania bez
				 * nevyhnutnosti vytvárania takého zoznamu (napríklad pri malom
				 * počte robotov alebo predtým, než sa programátor
				 * podrobnejšie oboznámi s možnosťami zoznamov).
				 * 
				 *  @param kľúč  celočíselná hodnota, ktorá je poslaná do
				 *      reakcie {@link GRobot#prijatieVýzvy(GRobot, int)
				 *      prijatieVýzvy} každého robota; takto je možné
				 *      odlíšiť rôzne druhy výziev, vďaka čomu môžeme
				 *      ovplyvniť správanie reakcie {@link
				 *      GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy}
				 *  @param obrátene  týmto argumentom môžeme ovplyvniť smer
				 *      spracovania; {@code valtrue} znamená spracovanie
				 *      vnútorného zoznamu robotov od konca; {@code valfalse}
				 *      znamená rovnaký spôsob spracovania ako pri metóde
				 *      {@link #vyzviRobotov(int)}
				 * 
				 *  @see #prijatieVýzvy(GRobot, int)
				 *  @see #vyzviRobotov()
				 *  @see #vyzviRobotov(int)
				 *  @see Svet#vyzviRobotov(int, boolean)
				 */
				public void vyzviRobotov(int kľúč, boolean obrátene)
				{
					if (zámokZoznamuRobotov2)
					{
						System.err.println("Zdvojená " +
							"výzva bola zamietnutá!");
					}
					else
					{
						zámokZoznamuRobotov2 = true;

						if (obrátene)
						{
							boolean reštart;
							do {
								zoznamZmenený2 = false;
								reštart = false;
								for (int i = zoznamRobotov.size() - 1;
									i >= 0; --i)
								{
									GRobot tento = zoznamRobotov.get(i);
									tento.prijatieVýzvy(this, kľúč);
									tento.prijatieVyzvy(this, kľúč);
									if (zoznamZmenený2)
									{
										reštart = true;
										break;
									}
								}
							} while (reštart);
						}
						else
						{
							boolean reštart;
							do {
								zoznamZmenený2 = false;
								reštart = false;
								for (GRobot tento : zoznamRobotov)
								{
									tento.prijatieVýzvy(this, kľúč);
									tento.prijatieVyzvy(this, kľúč);
									if (zoznamZmenený2)
									{
										reštart = true;
										break;
									}
								}
							} while (reštart);
						}

						zámokZoznamuRobotov2 = false;
						zlúčiťZoznamy();
					}
				}


			// Metódy aktivít na prekrytie

				/**
				 * Táto metóda je predvolene prázdna. Je automaticky spúšťaná
				 * metódou {@link #pracuj() pracuj} pri aktívnom robotovi. Jej
				 * prekrytím môžete upraviť správanie aktívneho robota.
				 * V režime pohybu robota po dráhe je táto metóda nahradená
				 * reakciami {@link #kráčaniePoDráhe()}
				 * a {@link #vstupDoKľúčovejFázyDráhy(int)}.
				 * 
				 * <P><b>Príklad:</b>
				 * <P>Robot v tomto príklade kreslí šedý chuchvalec.
				 * V konštruktore je robot aktivovaný a nastavuje svoju farbu
				 * na šedú. Po aktivácii je až do ukončenia aplikácie
				 * neustále automaticky spúšťaná metóda {@code aktivita},
				 * v ktorej robot náhodne mení smer a posúva sa o jeden a pol
				 * boda dopredu. Výsledný efekt je nekonečné kreslenie
				 * chuchvalca šedého vlákna…
				 * <table><tr><td>
				 * <pre CLASS="example">
					{@code kwdimport} knižnica.{@link GRobot GRobot};

					{@code kwdpublic} {@code typeclass} HlavnáTrieda {@code kwdextends} {@link GRobot GRobot}
					{
						{@code kwdprivate} HlavnáTrieda()
						{
							{@link #farba(java.awt.Color) farba}({@link #šedá šedá});
							{@link #aktivuj() aktivuj}();
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@code curraktivita}()
						{
							{@link #náhodnýSmer() náhodnýSmer}();
							{@link #dopredu(double) dopredu}({@code num1.5});
						}

						{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
						{
							{@code kwdnew} HlavnáTrieda();
						}
					}
					</pre>
				 * </td><td><b>Výsledok:</b><image>chuchvalec.png</image> <br
				 * />Ukážka možného výstupu náhodného kreslenia na zmenšenom
				 * plátne<br />(robot i tak väčšinou veľmi rýchlo opustí plochu
				 * plátna)</td></tr></table>
				 * 
				 * 
				 *  @see #pasivita()
				 *  @see #aktivácia()
				 *  @see #deaktivácia()
				 *  @see #spustenie()
				 *  @see #zastavenie()
				 *  @see #dosiahnutieCieľa()
				 *  @see #kráčaniePoDráhe()
				 */
				public void aktivita() {}

				/**
				 * Táto metóda je predvolene prázdna. Je automaticky spúšťaná
				 * metódou {@link #pracuj() pracuj} pri pasívnom robotovi. Jej
				 * prekrytím môžete upraviť správanie pasívneho robota.
				 * V režime pohybu robota po dráhe je táto metóda nahradená
				 * reakciou {@link #státieNaDráhe()}.
				 * 
				 * <P><b>Príklad:</b>
				 * <P>Príklad ukazuje implementáciu blikania robota v dvoch
				 * odtieňoch oranžovej farby.
				 * <P>V tomto príklade musíme ručne spustiť {@linkplain
				 * Svet#spustiČasovač(double) časovač} (pretože ten nie je
				 * spúšťaný automaticky a keďže ideme pracovať s pasívnym
				 * robotom, nepoužívame žiadny príkaz, ktorý spúšťa časovač
				 * automaticky). V dôsledku toho je v pravidelnom časovom
				 * intervale spúšťaná metóda {@code pasivita}, v ktorej je
				 * umiestnené jednoduché vetvenie spôsobujúce blikanie robota
				 * v dvoch odtieňoch oranžovej farby, čo má symbolizovať
				 * pohotovostný režim. Konštruktor má za úlohu iba
				 * inicializovať farbu robota na jeden z odtieňov oranžovej.
				 * <pre CLASS="example">
					{@code kwdimport} knižnica.{@link GRobot GRobot};

					{@code kwdpublic} {@code typeclass} HlavnáTrieda {@code kwdextends} {@link GRobot GRobot}
					{
						{@code kwdprivate} HlavnáTrieda()
						{
							{@link #farba(java.awt.Color) farba}({@link #oranžová oranžová});

							{@code comm// Nastavíme predvolený vyplnený tvar robota a zväčšíme}
							{@code comm// jeho veľkosť, aby bol efekt lepšie viditeľný:}
							{@link #predvolenýVyplnenýTvar() predvolenýVyplnenýTvar}();
							{@link #veľkosť() veľkosť}({@code num30});
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@code currpasivita}()
						{
							{@code kwdif} ({@link #oranžová oranžová} == {@link #farba() farba}())
								{@link #farba(java.awt.Color) farba}({@link #tmavooranžová tmavooranžová});
							{@code kwdelse}
								{@link #farba(java.awt.Color) farba}({@link #oranžová oranžová});
						}

						{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
						{
							{@code kwdnew} HlavnáTrieda();
							{@link Svet Svet}.{@link Svet#spustiČasovač(double) spustiČasovač}({@code num0.5});
						}
					}
					</pre>
				 * 
				 *  @see #aktivita()
				 *  @see #aktivácia()
				 *  @see #deaktivácia()
				 *  @see #spustenie()
				 *  @see #zastavenie()
				 *  @see #dosiahnutieCieľa()
				 *  @see #státieNaDráhe()
				 */
				public void pasivita() {}

				/**
				 * Táto metóda je predvolene prázdna. Je automaticky spustená
				 * pri volaní metódy {@link #aktivuj() aktivuj} (alebo jej
				 * „klonu“). Jej prekrytím môžete upraviť správanie robota pri
				 * aktivácii.
				 * 
				 * <P><b>Príklad:</b>
				 * <P>Tento príklad je podobný ako ten pri metóde {@link
				 * #spustenie() spustenie}. Oba sa vzájomne odlišujú
				 * v spôsobe aktivácie robota fungujúceho v úlohe strely a aj
				 * v dĺžke aktivity. Tento príklad otočí robota pri kliknutí
				 * myšou na pozíciu ukazovateľa myši a aktivuje ho na {@code
				 * num10} tikov. Ide o klasickú aktiváciu (v zmysle
				 * vysvetlenia v opise metódy {@link #aktívny() aktívny}),
				 * preto sú prekryté metódy {@code curraktivácia} a {@link
				 * #deaktivácia() deaktivácia}. Tie zariadia, že robot
				 * (strela) sa po aktivácii zobrazí a pri deaktivácii, naopak,
				 * skryje.
				 * <pre CLASS="example">
					{@code kwdimport} knižnica.{@link GRobot GRobot};

					{@code kwdpublic} {@code typeclass} HlavnáTrieda {@code kwdextends} {@link GRobot GRobot}
					{
						{@code kwdprivate} HlavnáTrieda()
						{
							{@link #zdvihniPero() zdvihniPero}();
							{@link #rýchlosť(double, boolean) rýchlosť}({@code num10}, {@code valfalse});
							{@link #skry() skry}();
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@code curraktivácia}()
						{
							{@link #zobraz() zobraz}();
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link #deaktivácia() deaktivácia}()
						{
							{@link #skry() skry}();
						}

						{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
						{
							{@code kwdfinal} {@link GRobot GRobot} strela = {@code kwdnew} HlavnáTrieda();

							{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
							{
								{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#klik() klik}()
								{
									strela.{@link #otočNaMyš() otočNaMyš}();
									strela.{@link #aktivuj(int) aktivuj}({@code num10});
								}
							};
						}
					}
					</pre>
				 * 
				 *  @see #aktivita()
				 *  @see #pasivita()
				 *  @see #deaktivácia()
				 *  @see #spustenie()
				 *  @see #zastavenie()
				 *  @see #dosiahnutieCieľa()
				 */
				public void aktivácia() {}

				/** <a class="alias"></a> Alias pre {@link #aktivácia() aktivácia}. */
				public void aktivacia() {}

				/**
				 * Táto metóda je predvolene prázdna. Je automaticky spustená
				 * pri volaní metódy {@link #deaktivuj() deaktivuj}. Jej
				 * prekrytím môžete upraviť správanie robota pri deaktivácii.
				 * 
				 * <P>Príklad použitia tejto metódy je pri opise metódy
				 * {@link #aktivácia() aktivácia}.
				 * 
				 *  @see #aktivita()
				 *  @see #pasivita()
				 *  @see #aktivácia()
				 *  @see #spustenie()
				 *  @see #zastavenie()
				 *  @see #dosiahnutieCieľa()
				 */
				public void deaktivácia() {}

				/** <a class="alias"></a> Alias pre {@link #deaktivácia() deaktivácia}. */
				public void deaktivacia() {}

				/**
				 * Táto metóda je predvolene prázdna. Je automaticky spustená
				 * pri volaní metódy {@link #spusti() spusti} (alebo jej
				 * „klonu“). Jej prekrytím môžete upraviť správanie robota pri
				 * „spustení“ (čo je chápané ako druh akcie s individuálnym
				 * robotom, nie v zmysle spustenia aplikácie, ani nič podobné).
				 * 
				 * <P><b>Príklad:</b>
				 * <P>Tento príklad je podobný ako ten pri metóde {@link
				 * #aktivácia() aktivácia}. Oba sa vzájomne odlišujú
				 * v spôsobe aktivácie robota fungujúceho v úlohe strely a aj
				 * v dĺžke aktivity. Tento príklad funguje na princípe
				 * sledovania cieľa. Pri kliknutí myšou je zahájené smerovanie
				 * robota (strely) do cieľa, pričom cieľom je pozícia myši
				 * v čase kliknutia. Ide o alternatívnu aktiváciu (v zmysle
				 * vysvetlenia v opise metódy {@link #aktívny() aktívny}),
				 * preto sú prekryté metódy {@code currspustenie} a {@link
				 * #zastavenie() zastavenie}. Tie zariadia, že robot (strela)
				 * sa po zahájení smerovania na cieľ zobrazí a po dosiahnutí
				 * cieľa, naopak, skryje.
				 * <pre CLASS="example">
					{@code kwdimport} knižnica.{@link GRobot GRobot};

					{@code kwdpublic} {@code typeclass} HlavnáTrieda {@code kwdextends} {@link GRobot GRobot}
					{
						{@code kwdprivate} HlavnáTrieda()
						{
							{@link #zdvihniPero() zdvihniPero}();
							{@link #rýchlosť(double, boolean) rýchlosť}({@code num10}, {@code valfalse});
							{@link #skry() skry}();
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@code currspustenie}()
						{
							{@link #zobraz() zobraz}();
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link #zastavenie() zastavenie}()
						{
							{@link #skry() skry}();
						}

						{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
						{
							{@code kwdfinal} {@link GRobot GRobot} strela = {@code kwdnew} HlavnáTrieda();

							{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
							{
								{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#klik() klik}()
								{
									strela.{@link #cieľNaMyš(boolean) cieľNaMyš}({@code valtrue});
								}
							};
						}
					}
					</pre>
				 * 
				 *  @see #aktivita()
				 *  @see #pasivita()
				 *  @see #aktivácia()
				 *  @see #deaktivácia()
				 *  @see #zastavenie()
				 *  @see #dosiahnutieCieľa()
				 */
				public void spustenie() {}

				/**
				 * Táto metóda je predvolene prázdna. Je automaticky spustená
				 * pri volaní metódy {@link #zastav() zastav}. Jej prekrytím
				 * môžete upraviť správanie robota pri „zastavení“ (čo je
				 * chápané ako opak „{@linkplain #spustenie() spustenia}“).
				 * 
				 * <P>Príklad použitia tejto metódy je pri opise metódy
				 * {@link #spustenie() spustenie}.
				 * 
				 *  @see #aktivita()
				 *  @see #pasivita()
				 *  @see #aktivácia()
				 *  @see #deaktivácia()
				 *  @see #spustenie()
				 *  @see #dosiahnutieCieľa()
				 */
				public void zastavenie() {}

				/**
				 * Táto metóda je predvolene prázdna. Je automaticky spustená
				 * metódou {@link #pracuj() pracuj} po dosiahnutí {@linkplain
				 * #cieľ(double, double) cieľa}. Jej prekrytím môžete upraviť
				 * správanie robota pri dosiahnutí cieľa.
				 * 
				 * <P><b>Príklad:</b>
				 * <P>V tomto jednoduchom príklade robot pri každom kliknutí
				 * zamieri na pozíciu myši v čase kliknutia a po dosiahnutí
				 * stanoveného cieľa náhodne zmení veľkosť v rozmedzí {@code
				 * num5} až {@code num25}.
				 * <pre CLASS="example">
					{@code kwdimport} knižnica.{@link GRobot GRobot};

					{@code kwdpublic} {@code typeclass} HlavnáTrieda {@code kwdextends} {@link GRobot GRobot}
					{
						{@code kwdprivate} HlavnáTrieda()
						{
							{@link #zdvihniPero() zdvihniPero}();
							{@link #rýchlosť(double, boolean) rýchlosť}({@code num10}, {@code valfalse});

							{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
							{
								{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#klik() klik}()
								{
									{@link #cieľNaMyš(boolean) cieľNaMyš}({@code valtrue});
								}
							};
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@code currdosiahnutieCieľa}()
						{
							{@link #veľkosť(double) veľkosť}({@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num5}, {@code num25}));
						}

						{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
						{
							{@code kwdnew} HlavnáTrieda();
						}
					}
					</pre>
				 * 
				 *  @see #aktivita()
				 *  @see #pasivita()
				 *  @see #aktivácia()
				 *  @see #deaktivácia()
				 *  @see #spustenie()
				 *  @see #zastavenie()
				 */
				public void dosiahnutieCieľa() {}

				/** <a class="alias"></a> Alias pre {@link #dosiahnutieCieľa() dosiahnutieCieľa}. */
				public void dosiahnutieCiela() {}

				/**
				 * Táto metóda je predvolene prázdna. Je automaticky spustená
				 * pri vykonaní metódy {@link Svet#vyzviRobotov(int)
				 * Svet.vyzviRobotov(kľúč)} alebo {@link
				 * GRobot#vyzviRobotov(int) GRobot.vyzviRobotov(kľúč)}.
				 * Rozhodovanie o účele aktuálnej výzvy v tele tejto reakcie
				 * je možné určiť pomocou hodnoty kľúča, ktorého hodnotu
				 * zadávame pri volaní metód {@link Svet#vyzviRobotov(int)
				 * Svet.vyzviRobotov(kľúč)}, {@link GRobot#vyzviRobotov(int)
				 * GRobot.vyzviRobotov(kľúč)}.
				 * 
				 * <P><b>Tip:</b><br />
				 * Parameter {@code kľúč} poskytuje potrebný základ pre
				 * mechanizmus spracovania výziev. Širšie možnosti poskytuje
				 * parameter {@code autor}. Stačí si uvedomiť, že to nemusí
				 * byť nevyhnutne objekt typu {@link GRobot GRobot}, ale aj
				 * ľubovoľný objekt odvodeného údajového typu, ktorý môže
				 * obsahovať množstvo doplnkových údajov. Autora môžeme vždy
				 * spracovať pomocou mechanizmu pretypovania:
				 * <pre CLASS="example">
					{@code kwdif} (autor {@code typeinstanceof} OdvodenýTyp)
					{
						OdvodenýTyp odvodenáInštancia = (OdvodenýTyp)autor;
						{@code comm// práca s údajmi odvodenej inštancie…}
					}
					</pre>
				 * 
				 *  @param autor obsahuje buď objekt, ktorý výzvu poslal
				 *      (autora výzvy), alebo {@code valnull} ak išlo o výzvu
				 *      zo strany sveta ({@link Svet#vyzviRobotov(int)
				 *      Svet.vyzviRobotov(kľúč)})
				 *  @param kľúč  hodnota prijímaná z metód
				 *      {@link Svet#vyzviRobotov(int)
				 *      Svet.vyzviRobotov(kľúč)}, {@link
				 *      GRobot#vyzviRobotov(int) GRobot.vyzviRobotov(kľúč)}
				 * 
				 *  @see #vyzviRobotov()
				 *  @see #vyzviRobotov(int)
				 *  @see #vyzviRobotov(int, boolean)
				 *  @see Svet#vyzviRobotov()
				 *  @see Svet#vyzviRobotov(int)
				 *  @see Svet#vyzviRobotov(int, boolean)
				 */
				public void prijatieVýzvy(GRobot autor, int kľúč) {}

				/** <a class="alias"></a> Alias pre {@link #prijatieVýzvy(GRobot, int) prijatieVýzvy}. */
				public void prijatieVyzvy(GRobot autor, int kľúč) {}


			// Metódy obsluhy udalostí na prekrytie

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#tik() tik}{@code ()}, ktorá je historicky
				 * staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void tik() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#klik() klik}{@code ()}, ktorá je historicky
				 * staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void klik() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#voľbaPoložkyPonuky()
				 * voľbaPoložkyPonuky}{@code ()}, ktorá je historicky staršia
				 * (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void voľbaPoložkyPonuky() {}

				/** <a class="alias"></a> Alias pre {@link #voľbaPoložkyPonuky() voľbaPoložkyPonuky}. */
				public void volbaPolozkyPonuky() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#voľbaKontextovejPoložky()
				 * voľbaKontextovejPoložky}{@code ()}, ktorá je historicky
				 * staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void voľbaKontextovejPoložky() {}

				/** <a class="alias"></a> Alias pre {@link #voľbaKontextovejPoložky() voľbaKontextovejPoložky}. */
				public void volbaKontextovejPolozky() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#voľbaTlačidla() voľbaTlačidla}{@code ()},
				 * ktorá je historicky staršia (preto mohla nájsť širšie
				 * použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void voľbaTlačidla() {}

				/** <a class="alias"></a> Alias pre {@link #voľbaTlačidla() voľbaTlačidla}. */
				public void volbaTlacidla() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania metódy {@link ObsluhaUdalostí
				 * ObsluhaUdalostí}{@code .}{@link ObsluhaUdalostí#vymazanie()
				 * vymazanie}{@code ()}, ktorá je historicky staršia (preto
				 * mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void vymazanie() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#prekreslenie() prekreslenie}{@code ()}, ktorá
				 * je historicky staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void prekreslenie() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#dokreslenie() dokreslenie}{@code ()}, ktorá
				 * je historicky staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void dokreslenie() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#presunutieOkna() presunutieOkna}{@code ()},
				 * ktorá je historicky staršia (preto mohla nájsť širšie
				 * použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void presunutieOkna() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#zmenaVeľkostiOkna()
				 * zmenaVeľkostiOkna}{@code ()}, ktorá je historicky staršia
				 * (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void zmenaVeľkostiOkna() {}

				/** <a class="alias"></a> Alias pre {@link #zmenaVeľkostiOkna() zmenaVeľkostiOkna}. */
				public void zmenaVelkostiOkna() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania metódy {@link ObsluhaUdalostí
				 * ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#aktiváciaOkna() aktiváciaOkna}{@code ()},
				 * ktorá je historicky staršia (preto mohla nájsť širšie
				 * použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void aktiváciaOkna() {}

				/** <a class="alias"></a> Alias pre {@link #aktiváciaOkna() aktiváciaOkna}. */
				public void aktivaciaOkna() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania metódy {@link ObsluhaUdalostí
				 * ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#deaktiváciaOkna() deaktiváciaOkna}{@code ()},
				 * ktorá je historicky staršia (preto mohla nájsť širšie
				 * použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void deaktiváciaOkna() {}

				/** <a class="alias"></a> Alias pre {@link #deaktiváciaOkna() deaktiváciaOkna}. */
				public void deaktivaciaOkna() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#ukončenie() ukončenie}{@code ()}, ktorá je
				 * historicky staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>Od verzie 1.50 je upravená priorita spúšťania tejto
				 * obsluhy udalosti v hlavnom robotovi a v obsluhe udalostí.
				 * Udalosť v obsluhe udalostí je spustená pred automatickým
				 * uložením konfigurácie a udalosť v hlavnom robotovi po ňom.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void ukončenie() {}

				/** <a class="alias"></a> Alias pre {@link #ukončenie() ukončenie}. */
				public void ukoncenie() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania metódy {@link ObsluhaUdalostí
				 * 	ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#potvrdenieÚdajov()
				 * potvrdenieÚdajov}{@code ()}, ktorá je historicky staršia
				 * (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void potvrdenieÚdajov() {}

				/** <a class="alias"></a> Alias pre {@link #potvrdenieÚdajov() potvrdenieÚdajov}. */
				public void potvrdenieUdajov() {}

				/** <a class="alias"></a> Alias pre {@link #potvrdenieÚdajov() potvrdenieÚdajov}. */
				public void potvrdenieVstupu() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#spracovaniePríkazu()
				 * spracovaniePríkazu}{@code ()}, ktorá je historicky staršia
				 * (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void spracovaniePríkazu() {}

				/** <a class="alias"></a> Alias pre {@link #spracovaniePríkazu() spracovaniePríkazu}. */
				public void spracovaniePrikazu() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#zrušenieÚdajov() zrušenieÚdajov}{@code ()},
				 * ktorá je historicky staršia (preto mohla nájsť širšie
				 * použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void zrušenieÚdajov() {}

				/** <a class="alias"></a> Alias pre {@link #zrušenieÚdajov() zrušenieÚdajov}. */
				public void zrusenieUdajov() {}

				/** <a class="alias"></a> Alias pre {@link #zrušenieÚdajov() zrušenieÚdajov}. */
				public void zrušenieVstupu() {}

				/** <a class="alias"></a> Alias pre {@link #zrušenieÚdajov() zrušenieÚdajov}. */
				public void zrusenieVstupu() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#stlačenieTlačidlaMyši()
				 * stlačenieTlačidlaMyši}{@code ()}, ktorá je historicky
				 * staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void stlačenieTlačidlaMyši() {}

				/** <a class="alias"></a> Alias pre {@link #stlačenieTlačidlaMyši() stlačenieTlačidlaMyši}. */
				public void stlacenieTlacidlaMysi() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#uvoľnenieTlačidlaMyši()
				 * uvoľnenieTlačidlaMyši}{@code ()}, ktorá je historicky
				 * staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void uvoľnenieTlačidlaMyši() {}

				/** <a class="alias"></a> Alias pre {@link #uvoľnenieTlačidlaMyši() uvoľnenieTlačidlaMyši}. */
				public void uvolnenieTlacidlaMysi() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#pohybMyši() pohybMyši}{@code ()}, ktorá je
				 * historicky staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void pohybMyši() {}

				/** <a class="alias"></a> Alias pre {@link #pohybMyši() pohybMyši}. */
				public void pohybMysi() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#ťahanieMyšou() ťahanieMyšou}{@code ()}, ktorá
				 * je historicky staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void ťahanieMyšou() {}

				/** <a class="alias"></a> Alias pre {@link #ťahanieMyšou() ťahanieMyšou}. */
				public void tahanieMysou() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#rolovanieKolieskomMyši()
				 * rolovanieKolieskomMyši}{@code ()}, ktorá je historicky
				 * staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void rolovanieKolieskomMyši() {}

				/** <a class="alias"></a> Alias pre {@link #rolovanieKolieskomMyši() rolovanieKolieskomMyši}. */
				public void rolovanieKolieskomMysi() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code
				 * .}{@link ObsluhaUdalostí#stlačenieKlávesu()
				 * stlačenieKlávesu}{@code ()}, ktorá je historicky staršia
				 * (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void stlačenieKlávesu() {}

				/** <a class="alias"></a> Alias pre {@link #stlačenieKlávesu() stlačenieKlávesu}. */
				public void stlacenieKlavesu() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code
				 * .}{@link ObsluhaUdalostí#uvoľnenieKlávesu()
				 * uvoľnenieKlávesu}{@code ()}, ktorá je historicky staršia
				 * (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void uvoľnenieKlávesu() {}

				/** <a class="alias"></a> Alias pre {@link #uvoľnenieKlávesu() uvoľnenieKlávesu}. */
				public void uvolnenieKlavesu() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#zadanieZnaku() zadanieZnaku}{@code ()}, ktorá
				 * je historicky staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void zadanieZnaku() {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania metódy {@link ObsluhaUdalostí
				 * ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#klávesováSkratka()
				 * klávesováSkratka}{@code ()}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void klávesováSkratka() {}

				/** <a class="alias"></a> Alias pre {@link #klávesováSkratka() klávesováSkratka}. */
				public void klavesovaSkratka() {}


				/* *
				 * Táto metóda je predvolene prázdna, je vyhradená na
				 * prekrytie v triede {@linkplain Svet#hlavnýRobot() hlavného
				 * robota} a jej prekrytie nemá význam pri ostatných robotoch.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania metódy {@link ObsluhaUdalostí
				 * ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#povoliťPustenieSúboru()
				 * povoliťPustenieSúboru}{@code ()}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @return {@code valtrue} ak má byť pustenie súboru povolené,
				 *     inak {@code valfalse}
				 * /
				public boolean povoliťPustenieSúboru() { return false; }

				/** <a class="alias"></a> Alias pre {@link #povoliťPustenieSúboru() povoliťPustenieSúboru}. * /
				public boolean povolitPustenieSuboru() { return false; }*/



				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania metódy {@link ObsluhaUdalostí
				 * ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#ťahanieSúborov()
				 * ťahanieSúborov}{@code ()}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void ťahanieSúborov() {}

				/** <a class="alias"></a> Alias pre {@link #ťahanieSúborov() ťahanieSúborov}. */
				public void tahanieSuborov() {}


				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania metódy {@link ObsluhaUdalostí
				 * ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#pustenieSúboru(String)
				 * pustenieSúboru}{@code ()}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param súbor úplná cesta a meno súboru
				 */
				public void pustenieSúboru(String súbor) {}

				/** <a class="alias"></a> Alias pre {@link #pustenieSúboru(String) pustenieSúboru}. */
				public void pustenieSuboru(String súbor) {}


				/**
				 * Táto metóda je predvolene prázdna, resp. predvolene vracia
				 * hodnotu {@code valnull}. Je určená na prekrytie v niektorej
				 * z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania metódy {@link ObsluhaUdalostí
				 * ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#farbaAktívnehoSlova(String)
				 * farbaAktívnehoSlova}{@code ()}.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @param slovo identifikátor aktívneho slova vnútornej konzoly
				 * @return nová farba aktívneho slova alebo {@code valnull}
				 * 
				 * @see Plátno#vypíšAktívneSlovo(String, Object[])
				 */
				public Color farbaAktívnehoSlova(String slovo) { return null; }

				/** <a class="alias"></a> Alias pre {@link #farbaAktívnehoSlova(String) farbaAktívnehoSlova}. */
				public Color farbaAktivnehoSlova(String slovo) { return null; }


				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#konfiguráciaZmenená()
				 * konfiguráciaZmenená}{@code ()}, ktorá je historicky staršia
				 * (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 * @see Svet#použiKonfiguráciu()
				 */
				public boolean konfiguráciaZmenená() { return false; }

				/** <a class="alias"></a> Alias pre {@link #konfiguráciaZmenená() konfiguráciaZmenená}. */
				public boolean konfiguraciaZmenena() { return false; }

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#čítajKonfiguráciu(Súbor)
				 * čítajKonfiguráciu}{@code (súbor)}, ktorá je historicky
				 * staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @exception IOException ak vznikla chyba vo
				 *      vstupno/výstupnej operácii
				 */
				public void čítajKonfiguráciu(Súbor súbor) throws IOException {}

				/** <a class="alias"></a> Alias pre {@link #čítajKonfiguráciu(GRobot.Súbor) čítajKonfiguráciu}. */
				public void citajKonfiguraciu(Súbor subor) throws IOException {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * <P>Opis fungovania tejto metódy je totožný s opisom
				 * fungovania
				 * metódy {@link ObsluhaUdalostí ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#zapíšKonfiguráciu(Súbor)
				 * zapíšKonfiguráciu}{@code (súbor)}, ktorá je historicky
				 * staršia (preto mohla nájsť širšie použitie).
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * @exception IOException ak vznikla chyba vo
				 *      vstupno/výstupnej operácii
				 */
				public void zapíšKonfiguráciu(Súbor súbor) throws IOException {}

				/** <a class="alias"></a> Alias pre {@link #zapíšKonfiguráciu(GRobot.Súbor) zapíšKonfiguráciu}. */
				public void zapisKonfiguraciu(Súbor subor) throws IOException {}

				/**
				 * Táto metóda je predvolene prázdna a je určená na
				 * prekrytie v niektorej z tried odvodených od robota.
				 * 
				 * V podstate je reakciou na udalosť, ktorá súvisí s časovo
				 * náročným spracovaním údajov počas práce s pevným diskom
				 * (pozri aj {@link ObsluhaUdalostí
				 * ObsluhaUdalostí}{@code .}{@link
				 * ObsluhaUdalostí#sekvencia(int, String, String, long, long)
				 * sekvencia}{@code (kódSpracovania, zdroj, cieľ, stav,
				 * celkovo)}), napríklad s {@link Obrázok#čítaj(String)
				 * čítaním} a {@link Obrázok#ulož(String, boolean) zápisom}
				 * sekvencie PNG súborov (pozri triedu {@link Obrázok Obrázok}
				 * a jej metódy {@link Obrázok#čítaj(String) čítaj(súbor)}
				 * a {@link Obrázok#ulož(String, boolean) ulož(súbor,
				 * prepísať)}) alebo {@linkplain Súbor#kopíruj(String, String)
				 * kopírovaním súborov} a podobne. Typ udalosti, ktorá
				 * spôsobila spustenie tejto reakcie je určený prvým
				 * parametrom – {@code kódSpracovania}. Ostatné parametre sú
				 * naplnené podľa ich relevantnosti.
				 * 
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 * 
				 *  @param kódSpracovania obsahuje kód činnosti, ktorá
				 *      spôsobila vznik tejto udalosti; aktuálne platné kódy
				 *      sú: {@link #ČÍTANIE_PNG_SEKVENCIE
				 *      ČÍTANIE_PNG_SEKVENCIE},
				 *      {@link #CHYBA_ČÍTANIA_PNG_SEKVENCIE
				 *      CHYBA_ČÍTANIA_PNG_SEKVENCIE},
				 *      {@link #ZÁPIS_PNG_SEKVENCIE ZÁPIS_PNG_SEKVENCIE},
				 *      {@link #ČÍTANIE_GIF_ANIMÁCIE ČÍTANIE_GIF_ANIMÁCIE},
				 *      {@link #ZÁPIS_GIF_ANIMÁCIE ZÁPIS_GIF_ANIMÁCIE},
				 *      {@link #KOPÍROVANIE_SÚBOROV KOPÍROVANIE_SÚBOROV}
				 *      a {@link #POROVNANIE_SÚBOROV POROVNANIE_SÚBOROV}
				 *  @param zdroj názov zdrojového súboru alebo {@code valnull}
				 *  @param cieľ  názov cieľového súboru alebo {@code valnull}
				 *  @param stav hodnota určujúca aktuálne spracovaný objem
				 *      údajov alebo {@code num-1}, ak táto hodnota nie je
				 *      známa alebo je irelevantná
				 *  @param celkovo hodnota určujúca celkový objem údajov,
				 *      ktorý má byť spracovaný alebo {@code num-1}, ak táto
				 *      hodnota nie je známa alebo je irelevantná
				 */
				public void sekvencia(int kódSpracovania, String zdroj,
					String cieľ, long stav, long celkovo) {}

		// Pôsobisko

			/**
			 * Vymaže pôsobisko, čo je oblasť obdĺžnika, v rámci ktorého robot
			 * kreslil od posledného vymazania pôsobiska alebo od posledného
			 * použitia niektorej z metód {@link #domov() domov}. Pôsobisko
			 * sa po vymazaní vždy začína rozširovať od aktuálnych súradníc
			 * robota smerom von.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * @see #domov()
			 * @see #pôsobisko()
			 * @see #pôsobisko(Shape)
			 * @see #pôsobisko(Poloha)
			 * @see #kresliPôsobisko()
			 * @see #kresliPôsobisko(boolean)
			 * @see #nekresliPôsobisko()
			 * @see #bodVPôsobisku(double, double)
			 * @see #bodVPôsobisku(Poloha)
			 * @see #myšVPôsobisku()
			 */
			public void vymažPôsobisko()
			{
				minimálneX = maximálneX = aktuálneX;
				minimálneY = maximálneY = aktuálneY;

				// System.out.println("  × " + minimálneX + ", " +
				// 	minimálneY + " – " + maximálneX + ", " + maximálneY);
			}

			/** <a class="alias"></a> Alias pre {@link #vymažPôsobisko() vymažPôsobisko}. */
			public void vymazPosobisko() { vymažPôsobisko(); }

			/**
			 * Umožňuje získať tvar (čo zahŕňa jeho rozmery a polohu)
			 * pôsobiska v objekte typu {@link Rectangle2D Rectangle2D}.
			 * Viac informácií o pôsobisku nájdete napríklad v opise metód
			 * {@link #vymažPôsobisko() vymažPôsobisko},
			 * {@link #pôsobisko(Shape) pôsobisko},
			 * {@link #kresliPôsobisko() kresliPôsobisko} a tak ďalej.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @return obdĺžnik typu {@link Rectangle2D Rectangle2D}, ktorý
			 *     reprezentuje aktuálne pôsobisko tohto robota
			 * 
			 * @see #domov()
			 * @see #vymažPôsobisko()
			 * @see #pôsobisko(Shape)
			 * @see #pôsobisko(Poloha)
			 * @see #kresliPôsobisko()
			 * @see #kresliPôsobisko(boolean)
			 * @see #nekresliPôsobisko()
			 * @see #bodVPôsobisku(double, double)
			 * @see #bodVPôsobisku(Poloha)
			 * @see #myšVPôsobisku()
			 */
			public Rectangle2D pôsobisko()
			{
				return new Rectangle2D.Double(
					prepočítajX(minimálneX), prepočítajY(maximálneY),
					maximálneX - minimálneX, maximálneY - minimálneY);
			}

			/** <a class="alias"></a> Alias pre {@link #pôsobisko() pôsobisko}. */
			public Rectangle2D posobisko() { return pôsobisko(); }

			/**
			 * Táto metóda umožňuje rozšíriť pôsobisko (pozri napríklad metódu
			 * {@link #vymažPôsobisko() vymažPôsobisko}) o rozmery zadaného
			 * tvaru. Pôsobisko je vždy automaticky aktualizované počas
			 * kreslenia a pečiatkovania robota, ale v niektorých prípadoch
			 * môže byť užitočné rozšíriť pôsobisko o tvar, ktorý robot priamo
			 * nenakreslil. Napríklad o tvar, ktorý bol nakreslený na plátno
			 * metódou {@link Plátno#kresli(Shape) podlaha.kresli(…)}, čo je
			 * typ kreslenia, za ktoré nie je zodpovedný priamo robot. Pri
			 * kreslení sú len použité jeho vlastnosti, robot je teda iba
			 * využitý ako referencia, nič iné. Preto sa pri tomto type
			 * kreslenia pôsobisko nerozširuje automaticky. Takých metód je
			 * v rámci všetkých tried knižnice viac.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @param tvar tvar, ktorého rozmery budú započítané do pôsobiska
			 * 
			 * @see #domov()
			 * @see #vymažPôsobisko()
			 * @see #pôsobisko()
			 * @see #pôsobisko(Poloha)
			 * @see #kresliPôsobisko()
			 * @see #kresliPôsobisko(boolean)
			 * @see #nekresliPôsobisko()
			 * @see #bodVPôsobisku(double, double)
			 * @see #bodVPôsobisku(Poloha)
			 * @see #myšVPôsobisku()
			 */
			public void pôsobisko(Shape tvar)
			{
				aktualizujPôsobisko(tvar.getBounds2D());
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #pôsobisko(Shape) pôsobisko}. */
			public void posobisko(Shape tvar) { pôsobisko(tvar); }

			/**
			 * Táto metóda umožňuje rozšíriť pôsobisko tak, aby obsahovalo
			 * zadaný bod. Pre viac informácií pozri metódu
			 * {@link #pôsobisko(Shape) pôsobisko}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @param bod bod, ktorého súradnice budú započítané do pôsobiska
			 * 
			 * @see #domov()
			 * @see #vymažPôsobisko()
			 * @see #pôsobisko()
			 * @see #pôsobisko(Shape)
			 * @see #kresliPôsobisko()
			 * @see #kresliPôsobisko(boolean)
			 * @see #nekresliPôsobisko()
			 * @see #bodVPôsobisku(double, double)
			 * @see #bodVPôsobisku(Poloha)
			 * @see #myšVPôsobisku()
			 */
			public void pôsobisko(Poloha bod)
			{
				aktualizujPôsobisko(bod.polohaX(), bod.polohaY());
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #pôsobisko(Poloha) pôsobisko}. */
			public void posobisko(Poloha bod) { pôsobisko(bod); }

			/**
			 * Zvýrazní oblasť obdĺžnika – pôsobisko, v rámci ktorého robot
			 * kreslil od posledného {@linkplain #vymažPôsobisko() vymazania
			 * pôsobiska} alebo od posledného použitia niektorej
			 * z metód {@link #domov() domov}. Pôsobisko je použiteľné
			 * napríklad s metódami {@link #myšVPôsobisku() myšVPôsobisku}
			 * alebo {@link #bodVPôsobisku(double, double) bodVPôsobisku}.
			 * 
			 * <P>Pôsobisko je rozširované dynamicky – pri každom kreslení
			 * aktuálnym robotom, sú porovnané hranice pôsobiska so
			 * súradnicami a rozmermi kresleného útvaru a podľa nich je
			 * upravená aktuálna veľkosť pôsobiska. Pôsobisko je možné vymazať
			 * buď volaním metódy {@link #vymažPôsobisko() vymažPôsobisko},
			 * alebo použitím niektorej z metód {@link #domov() domov}.
			 * 
			 * @see #domov()
			 * @see #vymažPôsobisko()
			 * @see #pôsobisko()
			 * @see #pôsobisko(Shape)
			 * @see #pôsobisko(Poloha)
			 * @see #kresliPôsobisko(boolean)
			 * @see #nekresliPôsobisko()
			 * @see #bodVPôsobisku(double, double)
			 * @see #bodVPôsobisku(Poloha)
			 * @see #myšVPôsobisku()
			 */
			public void kresliPôsobisko()
			{
				kresliPôsobisko = true;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #kresliPôsobisko() kresliPôsobisko}. */
			public void kresliPosobisko() { kresliPôsobisko(); }

			/**
			 * Zapne alebo vypne kreslenie tzv. pôsobiska – oblasti, v rámci
			 * ktorej robot kreslil od posledného
			 * {@linkplain #vymažPôsobisko() vymazania pôsobiska} alebo od
			 * posledného použitia niektorej z metód {@link #domov() domov}.
			 * Na zíkanie ďalších informácií pozri metódy
			 * {@link #kresliPôsobisko() nekresliPôsobisko},
			 * {@link #nekresliPôsobisko() kresliPôsobisko} atď.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @param ánoNie ak je zadaná hodnota {@code valtrue}, kreslenie
			 *     (zvýrazňovanie) pôsobiska bude zapnuté, inak bude vypnuté
			 * 
			 * @see #domov()
			 * @see #vymažPôsobisko()
			 * @see #pôsobisko()
			 * @see #pôsobisko(Shape)
			 * @see #pôsobisko(Poloha)
			 * @see #kresliPôsobisko()
			 * @see #nekresliPôsobisko()
			 * @see #bodVPôsobisku(double, double)
			 * @see #bodVPôsobisku(Poloha)
			 * @see #myšVPôsobisku()
			 */
			public void kresliPôsobisko(boolean ánoNie)
			{
				kresliPôsobisko = ánoNie;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #kresliPôsobisko(boolean) kresliPôsobisko}. */
			public void kresliPosobisko(boolean ánoNie)
			{ kresliPôsobisko(ánoNie); }

			/**
			 * Skryje zvýraznenie oblasti pôsobiska, ktoré bolo zapnuté
			 * metódou {@link #kresliPôsobisko() kresliPôsobisko}.
			 * 
			 * @see #domov()
			 * @see #vymažPôsobisko()
			 * @see #pôsobisko()
			 * @see #pôsobisko(Shape)
			 * @see #pôsobisko(Poloha)
			 * @see #kresliPôsobisko()
			 * @see #kresliPôsobisko(boolean)
			 * @see #bodVPôsobisku(double, double)
			 * @see #bodVPôsobisku(Poloha)
			 * @see #myšVPôsobisku()
			 */
			public void nekresliPôsobisko()
			{
				kresliPôsobisko = false;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #nekresliPôsobisko() nekresliPôsobisko}. */
			public void nekresliPosobisko() { nekresliPôsobisko(); }

			/**
			 * Zistí, či sa aktuálne súradnice zadaného bodu nachádzajú
			 * v oblasti obdĺžnika, v rámci ktorého bolo zaznamenané
			 * kreslenie aktuálnym robotom. Tento obdĺžnik nazývame
			 * pôsobisko. Nasledujúca metóda dovoľuje namiesto súradníc bodu
			 * použiť objekt:
			 * {@link #bodVPôsobisku(Poloha) bodVPôsobisku(Poloha
			 * objekt)}.
			 * 
			 * <P>Pôsobisko je rozširované dynamicky – pri každom kreslení
			 * aktuálnym robotom, sú porovnané hranice pôsobiska so
			 * súradnicami a rozmermi kresleného útvaru a podľa nich je
			 * upravená aktuálna veľkosť pôsobiska. Pri použití niektorej
			 * z metód {@link #domov() domov}, je pôsobisko zmenšené na
			 * nulu.
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #domov()
			 *  @see #vymažPôsobisko()
			 *  @see #kresliPôsobisko()
			 *  @see #bodVKruhu(double, double, double)
			 *  @see #bodVElipse(double, double, double, double)
			 *  @see #bodVoŠtvorci(double, double, double)
			 *  @see #bodVObdĺžniku(double, double, double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVPôsobisku(double súradnicaBoduX, double súradnicaBoduY)
			{
				return ((súradnicaBoduX >= minimálneX) && (súradnicaBoduX <= maximálneX) &&
					(súradnicaBoduY >= minimálneY) && (súradnicaBoduY <= maximálneY));
			}

			/** <a class="alias"></a> Alias pre {@link #bodVPôsobisku(double, double) bodVPôsobisku}. */
			public boolean bodVPosobisku(double súradnicaBoduX, double súradnicaBoduY)
			{ return bodVPôsobisku(súradnicaBoduX, súradnicaBoduY); }

			// /**
				//  * Zistí, či sa súradnice zadaného bodu nachádzajú v oblasti
				//  * obdĺžnika, v rámci ktorého bolo zaznamenané kreslenie
				//  * aktuálnym robotom. Tento obdĺžnik nazývame pôsobisko.
				//  * 
				//  * <P>Pôsobisko je rozširované dynamicky – pri každom kreslení
				//  * aktuálnym robotom, sú porovnané hranice pôsobiska so
				//  * súradnicami a rozmermi kresleného útvaru a podľa nich je
				//  * upravená aktuálna veľkosť pôsobiska. Pri použití niektorej
				//  * z metód {@link #domov() domov}, je pôsobisko zmenšené na
				//  * nulu.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
				//  *  @see #bodVKruhu(Point2D, double)
				//  *  @see #bodVElipse(Point2D, double, double)
				//  *  @see #bodVoŠtvorci(Point2D, double)
				//  *  @see #bodVObdĺžniku(Point2D, double, double)
				//  *  @see #bodVCeste(Point2D)
				//  *  @see #bodVOblasti(Point2D, Area)
				//  *  @see #bodVTvare(Point2D, Shape)
				//  */
				// public boolean bodVPôsobisku(Point2D bod)
				// {
				// 	return ((bod.getX() >= minimálneX) && (bod.getX() <= maximálneX) &&
				// 		(bod.getY() >= minimálneY) && (bod.getY() <= maximálneY));
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #bodVPôsobisku(Point2D) bodVPôsobisku}. */
				// public boolean bodVPosobisku(Point2D bod)
				// { return bodVPôsobisku(bod); }

			/**
			 * Funguje rovnako ako metóda {@link #bodVPôsobisku(double,
			 * double) bodVPôsobisku(x, y)}, len namiesto súradníc bodu je
			 * použitá poloha zadaného robota…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #domov()
			 *  @see #vymažPôsobisko()
			 *  @see #kresliPôsobisko()
			 *  @see #bodVKruhu(Poloha, double)
			 *  @see #bodVElipse(Poloha, double, double)
			 *  @see #bodVoŠtvorci(Poloha, double)
			 *  @see #bodVObdĺžniku(Poloha, double, double)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVOblasti(Poloha, Area)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVPôsobisku(Poloha objekt)
			{
				return ((objekt.polohaX() >= minimálneX) &&
					(objekt.polohaX() <= maximálneX) &&
					(objekt.polohaY() >= minimálneY) &&
					(objekt.polohaY() <= maximálneY));
			}

			/** <a class="alias"></a> Alias pre {@link #bodVPôsobisku(Poloha) bodVPôsobisku}. */
			public boolean bodVPosobisku(Poloha objekt) { return bodVPôsobisku(objekt); }

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú v oblasti
			 * obdĺžnika, v rámci ktorého bolo zaznamenané kreslenie
			 * aktuálnym robotom. Tento obdĺžnik nazývame pôsobisko.
			 * 
			 * <P>Pôsobisko je rozširované dynamicky – pri každom kreslení
			 * aktuálnym robotom, sú porovnané hranice pôsobiska so
			 * súradnicami a rozmermi kresleného útvaru a podľa nich je
			 * upravená aktuálna veľkosť pôsobiska. Pri použití niektorej
			 * z metód {@link #domov() domov}, je pôsobisko zmenšené na
			 * nulu.
			 * 
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #domov()
			 *  @see #vymažPôsobisko()
			 *  @see #kresliPôsobisko()
			 *  @see #myšVCeste()
			 *  @see #myšVElipse(double, double)
			 *  @see #myšVKruhu(double)
			 *  @see #myšVoŠtvorci(double)
			 *  @see #myšVObdĺžniku(double, double)
			 *  @see #myšVHviezde(double)
			 *  @see #myšVOblasti(Area)
			 *  @see #myšVKruhu()
			 */
			public boolean myšVPôsobisku()
			{
				return ((súradnicaMyšiX >= minimálneX) &&
					(súradnicaMyšiX <= maximálneX) &&
					(súradnicaMyšiY >= minimálneY) &&
					(súradnicaMyšiY <= maximálneY));
			}

			/** <a class="alias"></a> Alias pre {@link #myšVPôsobisku() myšVPôsobisku}. */
			public boolean mysVPosobisku() { return myšVPôsobisku(); }


		// Farba bodu

			/**
			 * Zistí farbu bodu (jedného pixela) aktívneho plátna robota
			 * (podlahy alebo stropu) v mieste, kde robot práve stojí. Ak sa
			 * robot nachádza mimo kresliaceho plátna, je vrátená inštancia
			 * farebnosti {@link GRobot#žiadna žiadna}. So získanou farbou
			 * môžeme ďalej pracovať – napríklad ju upravovať alebo zisťovať
			 * jej vlastnosti (farebné zložky, priehľadnosť…). Testovať, či má
			 * bod konkrétnu farbu, môžeme napríklad pomocou metódy {@link
			 * #farbaBodu(java.awt.Color) farbaBodu(farba)}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @return farba bodu (objekt typu {@link Farba Farba}) na
			 *      pozícii robota alebo inštancia {@link GRobot#žiadna
			 *      žiadna}, ak sa robot nachádza mimo plátna
			 */
			public Farba farbaBodu()
			{
				if (null == aktívnePlátno)
				{
					if (obrázokAktívnehoPlátna instanceof Obrázok)
						return ((Obrázok)obrázokAktívnehoPlátna).
							farbaBodu((int)aktuálneX, (int)aktuálneY);

					return žiadna;
				}

				int x = (int)prepočítajX(aktuálneX);
				int y = (int)prepočítajY(aktuálneY);
				if (x < 0 || x >= šírkaPlátna ||
					y < 0 || y >= výškaPlátna) return žiadna;

				/*
				int farba = obrázokAktívnehoPlátna.getRGB(x, y);

				int alpha = (farba >> 24) & 0xff;
				int red   = (farba >> 16) & 0xff;
				int green = (farba >>  8) & 0xff;
				int blue  =  farba        & 0xff;

				return new Farba(red, green, blue, alpha);
				*/
				return new Farba(obrázokAktívnehoPlátna.getRGB(x, y), true);
			}

			/**
			 * Zistí, či farba bodu (jedného pixela) aktívneho plátna robota
			 * (podlahy alebo stropu) v mieste, kde robot práve stojí je
			 * zhodná so zadanou farbou. Ak sa robot nachádza mimo
			 * kresliaceho plátna, je vrátená hodnota {@code valfalse}.
			 * Testovať farbu pomocou tejto metódy môžeme napríklad takto:
			 * <pre CLASS="example">
				{@code kwdif} ({@code currfarbaBodu}({@link GRobot#modrá modrá})) …
				</pre>
			 * 
			 *  @param farba farba, ktorú chceme porovnať s farbou bodu na
			 *      plátne
			 *  @return {@code valtrue} ak sa robot nachádza v rámci
			 *      rozmerov plátna a farba bodu na mieste robota sa zhoduje
			 *      so zadanou farbou (musia sa zhodovať všetky tri farebné
			 *      zložky aj úroveň priehľadnosti), inak {@code valfalse}
			 */
			public boolean farbaBodu(Color farba)
			// Poznámka typ Farba bol upravedný na Color
			// z dôvodu reimplementácie
			{
				if (null == aktívnePlátno)
				{
					if (obrázokAktívnehoPlátna instanceof Obrázok)
						return ((Obrázok)obrázokAktívnehoPlátna).
							farbaBodu((int)aktuálneX, (int)aktuálneY, farba);

					return false;
				}

				int x = (int)prepočítajX(aktuálneX);
				int y = (int)prepočítajY(aktuálneY);
				if (x < 0 || x >= šírkaPlátna ||
					y < 0 || y >= výškaPlátna) return false;

				return (farba.getRGB() & 0xffffffff) ==
					(obrázokAktívnehoPlátna.getRGB(x, y) & 0xffffffff);
			}

			/**
			 * Zistí, či farba bodu (jedného pixela) aktívneho plátna robota
			 * (podlahy alebo stropu) v mieste, kde robot práve stojí je
			 * zhodná s farbou zadaného objektu. Ak sa robot nachádza mimo
			 * kresliaceho plátna, je vrátená hodnota {@code valfalse}.
			 * Testovať farbu pomocou tejto metódy môžeme napríklad takto:
			 * <pre CLASS="example">
				{@code kwdif} ({@code currfarbaBodu}({@link GRobot#modrá modrá})) …
				</pre>
			 * 
			 *  @param objekt objekt, ktorého farbu porovnávame s farbou bodu
			 *  @return {@code valtrue} ak sa robot nachádza v rámci
			 *      rozmerov plátna a farba bodu na mieste robota sa zhoduje
			 *      s farbou zadaného objektu (musia sa zhodovať všetky tri
			 *      farebné zložky aj úroveň priehľadnosti), inak
			 *      {@code valfalse}
			 */
			public boolean farbaBodu(Farebnosť objekt)
			{
				return farbaBodu(objekt.farba());
			}

			/**
			 * Zistí, či farba bodu (jedného pixela) aktívneho plátna robota
			 * (podlahy alebo stropu) v mieste, kde robot práve stojí je
			 * zhodná s farbou zadanou prostredníctvom farebných zložiek.
			 * (Úroveň priehľadnosti je nastavená na hodnotu {@code num255},
			 * čiže na úplne nepriehľadnú farbu.)
			 * Ak sa robot nachádza mimo kresliaceho
			 * plátna, je vrátená hodnota {@code valfalse}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
			 *      bodu na plátne
			 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
			 *      bodu na plátne
			 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
			 *      bodu na plátne
			 *  @return {@code valtrue} ak sa robot nachádza v rámci
			 *      rozmerov plátna a farba bodu na mieste robota sa zhoduje
			 *      so zadanou farbou (musia sa zhodovať všetky tri farebné
			 *      zložky aj úroveň priehľadnosti), inak {@code valfalse}
			 */
			public boolean farbaBodu(int r, int g, int b)
			{
				if (null == aktívnePlátno)
				{
					if (obrázokAktívnehoPlátna instanceof Obrázok)
						return ((Obrázok)obrázokAktívnehoPlátna).
							farbaBodu((int)aktuálneX, (int)aktuálneY,
								r, g, b);

					return false;
				}

				int x = (int)prepočítajX(aktuálneX);
				int y = (int)prepočítajY(aktuálneY);
				if (x < 0 || x >= šírkaPlátna ||
					y < 0 || y >= výškaPlátna) return false;

				r &= 0xff; g &= 0xff; b &= 0xff;
				return (0xff000000 | (r << 16) | (g << 8) | b) ==
					(obrázokAktívnehoPlátna.getRGB(x, y) & 0xffffffff);
			}

			/**
			 * Zistí, či farba bodu (jedného pixela) aktívneho plátna robota
			 * (podlahy alebo stropu) v mieste, kde robot práve stojí je
			 * zhodná s farbou zadanou prostredníctvom farebných zložiek
			 * a úrovne priehľadnosti. Ak sa robot nachádza mimo kresliaceho
			 * plátna, je vrátená hodnota {@code valfalse}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
			 *      bodu na plátne
			 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
			 *      bodu na plátne
			 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
			 *      bodu na plátne
			 *  @param a úroveň priehľadnosti farby, ktorú chceme porovnať
			 *      s farbou bodu na plátne
			 *  @return {@code valtrue} ak sa robot nachádza v rámci
			 *      rozmerov plátna a farba bodu na mieste robota sa zhoduje
			 *      so zadanou farbou (musia sa zhodovať všetky tri farebné
			 *      zložky aj úroveň priehľadnosti), inak {@code valfalse}
			 */
			public boolean farbaBodu(int r, int g, int b, int a)
			{
				if (null == aktívnePlátno)
				{
					if (obrázokAktívnehoPlátna instanceof Obrázok)
						return ((Obrázok)obrázokAktívnehoPlátna).
							farbaBodu((int)aktuálneX, (int)aktuálneY,
								r, g, b, a);

					return false;
				}

				int x = (int)prepočítajX(aktuálneX);
				int y = (int)prepočítajY(aktuálneY);
				if (x < 0 || x >= šírkaPlátna ||
					y < 0 || y >= výškaPlátna) return false;

				r &= 0xff; g &= 0xff; b &= 0xff; a &= 0xff;
				return ((a << 24) | (r << 16) | (g << 8) | b) ==
					(obrázokAktívnehoPlátna.getRGB(x, y) & 0xffffffff);
			}

			/**
			 * Zistí farbu bodu (jedného pixela) aktívneho plátna robota
			 * (podlahy alebo stropu) na súradniciach myši. So získanou
			 * farbou môžeme ďalej pracovať – napríklad ju upravovať alebo
			 * zisťovať jej vlastnosti (farebné zložky, priehľadnosť…).
			 * Testovať, či má bod konkrétnu farbu, farbu môžeme napríklad
			 * pomocou metódy {@link #farbaNaMyši(java.awt.Color)
			 * farbaNaMyši(farba)}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou
			 * mimo aktívneho kresliaceho plátna robota, metóda by vrátila
			 * inštanciu farby {@link GRobot#žiadna žiadna}.)</small>
			 * 
			 *  @return farba bodu (objekt typu {@link Farba Farba}) na
			 *      pozícii myši
			 */
			public Farba farbaNaMyši()
			{
				if (null == aktívnePlátno)
				{
					if (obrázokAktívnehoPlátna instanceof Obrázok)
						return ((Obrázok)obrázokAktívnehoPlátna).
							farbaBodu((int)súradnicaMyšiX, (int)súradnicaMyšiY);

					return žiadna;
				}

				int x = (int)prepočítajX(súradnicaMyšiX);
				int y = (int)prepočítajY(súradnicaMyšiY);
				if (x < 0 || x >= šírkaPlátna ||
					y < 0 || y >= výškaPlátna) return žiadna;

				/*
				int farba = obrázokAktívnehoPlátna.getRGB(x, y);

				int alpha = (farba >> 24) & 0xff;
				int red   = (farba >> 16) & 0xff;
				int green = (farba >>  8) & 0xff;
				int blue  =  farba        & 0xff;

				return new Farba(red, green, blue, alpha);
				*/
				return new Farba(obrázokAktívnehoPlátna.getRGB(x, y), true);
			}

			/** <a class="alias"></a> Alias pre {@link #farbaNaMyši() farbaNaMyši}. */
			public Farba farbaNaMysi() { return farbaNaMyši(); }

			/**
			 * Zistí, či je farba bodu (jedného pixela) aktívneho plátna
			 * robota (podlahy alebo stropu) na súradniciach myši zhodná so
			 * zadanou farbou. Testovať farbu pomocou tejto metódy môžeme
			 * napríklad takto:
			 * <pre CLASS="example">
				{@code kwdif} ({@code currfarbaNaMyši}({@link GRobot#modrá modrá})) …
				</pre>
			 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou
			 * mimo aktívneho kresliaceho plátna robota, metóda by vrátila
			 * hodnotu {@code valfalse}.)</small>
			 * 
			 * <P><b>Príklad:</b>
			 * <P>Príklad nakreslí čierny kruh do stredu plátna (teda
			 * v prípade, že začíname s predvolenými vlastnosťami robota),
			 * vytvorí obsluhu udalostí, v rámci ktorej bude testovať, či
			 * je farba bodu na súradniciach myši čierna a ak je, tak pípne.
			 * 
			 * <pre CLASS="example">
				{@link #kruh(double) kruh}({@code num15});

				{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
				{
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#pohybMyši() pohybMyši}()
					{
						{@code kwdif} ({@code currfarbaNaMyši}({@link #čierna čierna}))
						{
							{@link Svet Svet}.{@link Svet#pípni() pípni}();
						}
					}
				};
				</pre>
			 * 
			 *  @param farba farba, ktorú chceme porovnať s farbou bodu na
			 *      plátne
			 *  @return {@code valtrue} ak je farba bodu na súradniciach myši
			 *      zhodná so zadanou farbou (musia sa zhodovať všetky tri
			 *      farebné zložky aj úroveň priehľadnosti), inak {@code
			 *      valfalse}
			 */
			public boolean farbaNaMyši(Color farba)
			{
				if (null == aktívnePlátno)
				{
					if (obrázokAktívnehoPlátna instanceof Obrázok)
						return ((Obrázok)obrázokAktívnehoPlátna).
							farbaBodu((int)súradnicaMyšiX, (int)súradnicaMyšiY,
								farba);

					return false;
				}

				int x = (int)prepočítajX(súradnicaMyšiX);
				int y = (int)prepočítajY(súradnicaMyšiY);
				if (x < 0 || x >= šírkaPlátna ||
					y < 0 || y >= výškaPlátna) return false;

				return (farba.getRGB() & 0xffffffff) ==
					(obrázokAktívnehoPlátna.getRGB(x, y) & 0xffffffff);
			}

			/** <a class="alias"></a> Alias pre {@link #farbaNaMyši(java.awt.Color) farbaNaMyši}. */
			public boolean farbaNaMysi(Color farba) { return farbaNaMyši(farba); }

			/**
			 * Zistí, či je farba bodu (jedného pixela) aktívneho plátna
			 * robota (podlahy alebo stropu) na súradniciach myši zhodná
			 * s farbou zadaného objektu.
			 * 
			 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou
			 * mimo aktívneho kresliaceho plátna robota, metóda by vrátila
			 * hodnotu {@code valfalse}.)</small>
			 * 
			 *  @param objekt objekt, ktorého farbu porovnávame s farbou bodu
			 *  @return {@code valtrue} ak je farba bodu na súradniciach myši
			 *      zhodná s farbou zadaného objektu (musia sa zhodovať všetky
			 *      tri farebné zložky aj úroveň priehľadnosti), inak {@code
			 *      valfalse}
			 */
			public boolean farbaNaMyši(Farebnosť objekt)
			{ return farbaNaMyši(objekt.farba()); }

			/** <a class="alias"></a> Alias pre {@link #farbaNaMyši(Farebnosť) farbaNaMyši}. */
			public boolean farbaNaMysi(Farebnosť objekt) { return farbaNaMyši(objekt); }

			/**
			 * Zistí, či je farba bodu (jedného pixela) aktívneho plátna
			 * robota (podlahy alebo stropu) na súradniciach myši zhodná
			 * s farbou zadanou prostredníctvom farebných zložiek.
			 * (Úroveň priehľadnosti je nastavená na hodnotu {@code num255},
			 * čiže na úplne nepriehľadnú farbu.)
			 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou
			 * mimo aktívneho kresliaceho plátna robota, metóda by vrátila
			 * hodnotu {@code valfalse}.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
			 *      bodu na súradniciach myši
			 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
			 *      bodu na súradniciach myši
			 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
			 *      bodu na súradniciach myši
			 *  @return {@code valtrue} ak je farba bodu na súradniciach myši
			 *      zhodná so zadanou farbou (musia sa zhodovať všetky tri
			 *      farebné zložky aj úroveň priehľadnosti), inak {@code
			 *      valfalse}
			 */
			public boolean farbaNaMyši(int r, int g, int b)
			{
				if (null == aktívnePlátno)
				{
					if (obrázokAktívnehoPlátna instanceof Obrázok)
						return ((Obrázok)obrázokAktívnehoPlátna).
							farbaBodu((int)súradnicaMyšiX, (int)súradnicaMyšiY,
								r, g, b);

					return false;
				}

				int x = (int)prepočítajX(súradnicaMyšiX);
				int y = (int)prepočítajY(súradnicaMyšiY);
				if (x < 0 || x >= šírkaPlátna ||
					y < 0 || y >= výškaPlátna) return false;

				r &= 0xff; g &= 0xff; b &= 0xff;
				return (0xff000000 | (r << 16) | (g << 8) | b) ==
					(obrázokAktívnehoPlátna.getRGB(x, y) & 0xffffffff);
			}

			/** <a class="alias"></a> Alias pre {@link #farbaNaMyši(int, int, int) farbaNaMyši}. */
			public boolean farbaNaMysi(int r, int g, int b) { return farbaNaMyši(r, g, b); }

			/**
			 * Zistí, či je farba bodu (jedného pixela) aktívneho plátna
			 * robota (podlahy alebo stropu) na súradniciach myši zhodná
			 * s farbou zadanou prostredníctvom farebných zložiek a úrovne
			 * priehľadnosti.
			 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou
			 * mimo aktívneho kresliaceho plátna robota, metóda by vrátila
			 * hodnotu {@code valfalse}.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
			 *      bodu na súradniciach myši
			 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
			 *      bodu na súradniciach myši
			 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
			 *      bodu na súradniciach myši
			 *  @param a úroveň priehľadnosti farby, ktorú chceme porovnať
			 *      s farbou bodu na súradniciach myši
			 *  @return {@code valtrue} ak je farba bodu na súradniciach myši
			 *      zhodná so zadanou farbou (musia sa zhodovať všetky tri
			 *      farebné zložky aj úroveň priehľadnosti), inak {@code
			 *      valfalse}
			 */
			public boolean farbaNaMyši(int r, int g, int b, int a)
			{
				if (null == aktívnePlátno)
				{
					if (obrázokAktívnehoPlátna instanceof Obrázok)
						return ((Obrázok)obrázokAktívnehoPlátna).
							farbaBodu((int)súradnicaMyšiX, (int)súradnicaMyšiY,
								r, g, b, a);

					return false;
				}

				int x = (int)prepočítajX(súradnicaMyšiX);
				int y = (int)prepočítajY(súradnicaMyšiY);
				if (x < 0 || x >= šírkaPlátna ||
					y < 0 || y >= výškaPlátna) return false;

				r &= 0xff; g &= 0xff; b &= 0xff; a &= 0xff;
				return ((a << 24) | (r << 16) | (g << 8) | b) ==
					(obrázokAktívnehoPlátna.getRGB(x, y) & 0xffffffff);
			}

			/** <a class="alias"></a> Alias pre {@link #farbaNaMyši(int, int, int, int) farbaNaMyši}. */
			public boolean farbaNaMysi(int r, int g, int b, int a) { return farbaNaMyši(r, g, b, a); }


		// Vylej farbu

			/**
			 * Robot vyleje na svojej pozícii na aktívne plátno alebo do
			 * obrázka, kam bolo presmerované jeho kreslenie, svoju
			 * {@linkplain #farba() farbu}, ktorá sa odtiaľ rozšíri po okraje
			 * okolitej kresby. Pre ďalšie informácie pozri metódu {@link
			 * Plátno#vylejFarbu(double, double, java.awt.Color)}. Správanie
			 * tejto metódy sa riadi rovnakými pravidlami.
			 * 
			 * <P><b>Príklad:</b>
			 * <P>V tomto príklade ide o vypĺňanie „čmáranice“ náhodnými
			 * farbami klikaním myšou (<small>pozri zoznam zmien: <a
			 * href="zoznam-zmien.html">poďakovanie</a> uvedené pri
			 * verzii 1.35</small>):
			 * <table><tr><td>
			 * <pre CLASS="example">
				{@code comm// Najskôr nakreslíme na plátno „čmáranicu“:}

				{@link Svet Svet}.{@link Svet#farbaPozadia(java.awt.Color) farbaPozadia}({@link GRobot#modrá modrá});
				{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num1.5});
				{@link GRobot#farba(java.awt.Color) farba}({@link GRobot#biela biela});
				{@link GRobot#skry() skry}();
				{@link GRobot#náhodnáPoloha() náhodnáPoloha}();

				{@code kwdfor} ({@code typeint} j = {@code num0}; j &lt; {@code num30}; ++j)
				{
					{@link GRobot#choďNa(double, double) choďNa}(
						{@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@link Svet Svet}.{@link Svet#ľavýOkraj() ľavýOkraj}(),
							{@link Svet Svet}.{@link Svet#pravýOkraj() pravýOkraj}()),
						{@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@link Svet Svet}.{@link Svet#dolnýOkraj() dolnýOkraj}(),
							{@link Svet Svet}.{@link Svet#hornýOkraj() hornýOkraj}()));
				}

				{@code comm// Potom definujeme obsluhu udalostí, v ktorej sa postaráme}
				{@code comm// o vypĺňanie častí obrazca náhodou farbou…}

				{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
				{
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#klik() klik}()
					{
						{@link GRobot#farba(int, int, int) farba}(({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num0}, {@code num255}),
							({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num0}, {@code num255}),
							({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num0}, {@code num255}));

						{@link GRobot#skočNaMyš() skočNaMyš}();
						{@code currvylejFarbu}();
					}
				};
				</pre>
			 * </td><td><b>Výsledok:</b><br /> <image>cmaranica.png</image> <br
			 * />Ukážka čiastočne vyplnenej náhodne generovanej
			 * „čmáranice“</td></tr></table>
			 */
			public void vylejFarbu()
			{
				VykonajVObrázku.vylejFarbu(obrázokAktívnehoPlátna,
					aktuálneX, aktuálneY, farbaRobota);
				if (právePrekresľujem) return;
				automatickéPrekreslenie();
			}


		// Podlaha a strop

			/**
			 * Po použití tejto metódy bude tento robot kresliť na plátno
			 * podlahy (predvolený stav). Ak chceme, aby robot kreslil na
			 * strop, použijeme metódu {@link #kresliNaStrop()}.
			 */
			public void kresliNaPodlahu()
			{
				aktívnePlátno = podlaha;
				obrázokAktívnehoPlátna =
					podlaha.vyrovnávaciaPamäťObrázkaPlátna;
				grafikaAktívnehoPlátna =
					podlaha.vyrovnávaciaPamäťGrafikyPlátna;
			}

			/**
			 * Po použití tejto metódy bude tento robot kresliť na plátno
			 * stropu. Ak chceme, aby robot kreslil na podlahu, použijeme
			 * metódu {@link #kresliNaPodlahu()}.
			 */
			public void kresliNaStrop()
			{
				aktívnePlátno = strop;
				obrázokAktívnehoPlátna = strop.vyrovnávaciaPamäťObrázkaPlátna;
				grafikaAktívnehoPlátna = strop.vyrovnávaciaPamäťGrafikyPlátna;
			}

			/**
			 * Overí, či tento robot kreslí na podlahu, teda, či je podlaha
			 * aktívnym plátnom robota. Podobne sa dá overiť {@linkplain
			 * #kreslímNaStrop() kreslenie na strop}.
			 * 
			 * <P><b>Poznámka:</b> Názov tejto metódy je úmyselne uvedený
			 * v prvej osobe jednotného čísla ({@code kreslímNaPodlahu}),
			 * pretože diakritický alias otázky v tretej osobe ({@code
			 * kreslíNaPodlahu}? — {@code kresliNaPodlahu}?) bol v konflikte
			 * s rozkazovacím spôsobom príbuzných metód ({@code
			 * kresliNaPodlahu}!).
			 * 
			 *  @return {@code valtrue} ak aktívne plátno robota je podlaha,
			 *      inak {@code valfalse}
			 */
			public boolean kreslímNaPodlahu()
			{ return aktívnePlátno == podlaha; }

			/** <a class="alias"></a> Alias pre {@link #kreslímNaPodlahu() kreslímNaPodlahu}. */
			public boolean kreslimNaPodlahu()
			{ return aktívnePlátno == podlaha; }

			/**
			 * Overí, či tento robot kreslí na strop, teda, či je strop
			 * aktívnym plátnom robota. Podobne sa dá overiť {@linkplain
			 * #kreslímNaPodlahu() kreslenie na podlahu}.
			 * 
			 * <P><b>Poznámka:</b> Názov tejto metódy je úmyselne uvedený
			 * v prvej osobe jednotného čísla ({@code kreslímNaStrop}),
			 * pretože diakritický alias otázky v tretej osobe ({@code
			 * kreslíNaStrop}? — {@code kresliNaStrop}?) bol v konflikte
			 * s rozkazovacím spôsobom príbuzných metód ({@code
			 * kresliNaStrop}!).
			 * 
			 *  @return {@code valtrue} ak aktívne plátno robota je strop,
			 *      inak {@code valfalse}
			 */
			public boolean kreslímNaStrop() { return aktívnePlátno == strop; }

			/** <a class="alias"></a> Alias pre {@link #kreslímNaStrop() kreslímNaStrop}. */
			public boolean kreslimNaStrop() { return aktívnePlátno == strop; }


			// Výplň aktívneho plátna (alebo obrázka)

				/**
				 * Vyplní aktívne plátno alebo obrázok, do ktorého má robot
				 * presmerované kreslenie, aktuálnou farbou kreslenia robota.
				 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				 */
				public void vyplň()
				{
					if (obrázokAktívnehoPlátna instanceof Obrázok)
					{
						((Obrázok)obrázokAktívnehoPlátna).vyplň(farbaRobota);
					}
					else
					{
						grafikaAktívnehoPlátna.setColor(farbaRobota);
						grafikaAktívnehoPlátna.fillRect(0, 0,
							obrázokAktívnehoPlátna.getWidth(),
							obrázokAktívnehoPlátna.getHeight());
					}
					automatickéPrekreslenie();
				}

				/** <a class="alias"></a> Alias pre {@link #vyplň() vyplň}. */
				public void vypln() { vyplň(); }

				/* *
				 * Vyplní aktívne plátno alebo obrázok zadanou farbou.
				 * 
				 *  @param farba objekt určujúci farbu na výplň podlahy
				 *  @see #vymaž()
				 */
				// public void vyplň(Color farba)
				// {
				// 	grafikaAktívnehoPlátna.setColor(farba);
				// 	grafikaAktívnehoPlátna.fillRect(0, 0,
				// 		obrázokAktívnehoPlátna.getWidth(),
				// 		obrázokAktívnehoPlátna.getHeight());
				// 	automatickéPrekreslenie();
				// }

				/* * <a class="alias"></a> Alias pre {@link #vyplň(java.awt.Color) vyplň}. */
				// public void vypln(Color farba) { vyplň(farba); }


				/// ### Tu som predbežne zlikvidoval tvar ### ///
				/// ### vyplň(Objekt). Tieto metódy sa    ### ///
				/// ### ukázali byť chybou.               ### ///


				/* *
				 * Vyplní aktívne plátno alebo obrázok farbou zadanou
				 * prostredníctvom farebných zložiek.
				 * 
				 *  @param r červená zložka farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param g zelená zložka farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param b modrá zložka farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @return objekt typu {@link Farba Farba} vytvorený podľa
				 *      zadaných zložiek
				 *  @see #vyplň(java.awt.Color)
				 */
				// public Farba vyplň(int r, int g, int b)
				// {
				// 	Farba farba = new Farba(r, g, b);
				// 	grafikaAktívnehoPlátna.setColor(farba);
				// 	grafikaAktívnehoPlátna.fillRect(0, 0,
				// 		obrázokAktívnehoPlátna.getWidth(),
				// 		obrázokAktívnehoPlátna.getHeight());
				// 	automatickéPrekreslenie();
				// 	return farba;
				// }

				/* * <a class="alias"></a> Alias pre {@link #vyplň(int, int, int) vyplň}. */
				// public Farba vypln(int r, int g, int b)
				// { return vyplň(r, g, b); }

				/* *
				 * Vyplní aktívne plátno alebo obrázok farbou zadanou
				 * prostredníctvom farebných zložiek a úrovne priehľadnosti.
				 * 
				 *  @param r červená zložka farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param g zelená zložka farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param b modrá zložka farby; celé číslo v rozsahu
				 *      0 – 255
				 *  @param a úroveň (ne)priehľadnosti farby; celé číslo
				 *      v rozsahu 0 – 255 (0 – neviditeľná farba;
				 *      255 – nepriehľadná farba)
				 *  @return objekt typu {@link Farba Farba} vytvorený podľa
				 *      zadaných parametrov
				 *  @see #vyplň(java.awt.Color)
				 */
				// public Farba vyplň(int r, int g, int b, int a)
				// {
				// 	Farba farba = new Farba(r, g, b, a);
				// 	grafikaAktívnehoPlátna.setColor(farba);
				// 	grafikaAktívnehoPlátna.fillRect(0, 0,
				// 		obrázokAktívnehoPlátna.getWidth(),
				// 		obrázokAktívnehoPlátna.getHeight());
				// 	automatickéPrekreslenie();
				// 	return farba;
				// }

				/* * <a class="alias"></a> Alias pre {@link #vyplň(int, int, int, int) vyplň}. */
				// public Farba vypln(int r, int g, int b, int a)
				// { return vyplň(r, g, b, a); }

				/* *
				 * Vyplní aktívne plátno alebo obrázok zadanou textúrou.
				 * Textúra je súbor s obrázkom, ktorý bude použitý na
				 * dlaždicové vyplnenie plochy podlahy.
				 * 
				 *  @param súbor názov súboru s obrázkom textúry
				 *  @see #vyplň(java.awt.Color)
				 */
				// public void vyplň(String súbor) { ??? }

				/* * <a class="alias"></a> Alias pre {@link #vyplň(String) vyplň}. */
				// public void vypln(String súbor) { ??? }

				/* *
				 * Vyplní aktívne plátno alebo obrázok zadanou textúrou.
				 * Textúra je {@linkplain Obrázok obrázok} (objekt typu
				 * {@link Image Image} alebo odvodený), ktorý
				 * bude použitý na dlaždicové vyplnenie plochy podlahy.
				 * 
				 *  @param obrázok názov súboru s obrázkom textúry
				 *  @see #vyplň(java.awt.Color)
				 */
				// public void vyplň(Image obrázok) { ??? }

				/* * <a class="alias"></a> Alias pre {@link #vyplň(Image) vyplň}. */
				// public void vypln(Image obrázok) { ??? }


		// Kreslenie na obrázky

			/**
			 * Presmeruje kreslenie tohto robota do určeného obrázka.
			 * 
			 *  @param obrázok  cieľový obrázok
			 */
			public void kresliNaObrázok(Obrázok obrázok)
			{
				aktívnePlátno = null;
				obrázokAktívnehoPlátna = obrázok;
				grafikaAktívnehoPlátna = obrázok.grafika;
			}

			/** <a class="alias"></a> Alias pre {@link #kresliNaObrázok(Obrázok) kresliNaObrázok}. */
			public void kresliNaObrazok(Obrázok obrázok)
			{ kresliNaObrázok(obrázok); }

			/** <a class="alias"></a> Alias pre {@link #kresliNaObrázok(Obrázok) kresliNaObrázok}. */
			public void kresliDoObrázka(Obrázok obrázok)
			{ kresliNaObrázok(obrázok); }

			/** <a class="alias"></a> Alias pre {@link #kresliNaObrázok(Obrázok) kresliNaObrázok}. */
			public void kresliDoObrazka(Obrázok obrázok)
			{ kresliNaObrázok(obrázok); }

			/**
			 * Zistí, či je kreslenie tohto robota presmerované do určeného
			 * obrázka.
			 * 
			 * <P><b>Poznámka:</b> Názov tejto metódy je úmyselne uvedený
			 * v prvej osobe jednotného čísla, aby bol v súlade s názvami
			 * metód {@link #kreslímNaPodlahu() kreslímNaPodlahu}
			 * a {@link  #kreslímNaStrop() kreslímNaStrop}, pri ktorých
			 * nebola iná možnosť na pomenovanie (podrobnosti sú uvedené
			 * v poznámkach v ich opisoch).
			 * 
			 *  @param obrázok  obrázok
			 */
			public boolean kreslímNaObrázok(Obrázok obrázok)
			{
				return (obrázokAktívnehoPlátna instanceof Obrázok) &&
					(obrázokAktívnehoPlátna == obrázok);
			}

			/** <a class="alias"></a> Alias pre {@link #kreslímNaObrázok(Obrázok) kreslímNaObrázok}. */
			public boolean kreslimNaObrazok(Obrázok obrázok)
			{ return kreslímNaObrázok(obrázok); }

			/** <a class="alias"></a> Alias pre {@link #kreslímNaObrázok(Obrázok) kreslímNaObrázok}. */
			public boolean kreslímDoObrázka(Obrázok obrázok)
			{ return kreslímNaObrázok(obrázok); }

			/** <a class="alias"></a> Alias pre {@link #kreslímNaObrázok(Obrázok) kreslímNaObrázok}. */
			public boolean kreslimDoObrazka(Obrázok obrázok)
			{ return kreslímNaObrázok(obrázok); }

			/**
			 * Ak je kreslenie tohto robota presmerované do obrázka
			 * (inštancie triedy {@link Obrázok Obrázok}), tak táto metóda
			 * túto inštanciu vráti. V opačnom prípade (čiže ak je kreslenie
			 * nasmerované na {@linkplain #kreslímNaPodlahu() podlahu}
			 * alebo {@linkplain #kreslímNaStrop() strop}) vráti metóda
			 * hodnotu {@code valnull}.
			 * 
			 * <P><small>(<b>Poznámka:</b> Názov tejto metódy je úmyselne
			 * uvedený v prvej osobe jednotného čísla, aby bol v súlade
			 * s názvami metód {@link #kreslímNaPodlahu() kreslímNaPodlahu}
			 * a {@link  #kreslímNaStrop() kreslímNaStrop}, pri ktorých
			 * nebola iná možnosť na pomenovanie. Podrobnosti sú uvedené
			 * v poznámkach v ich opisoch.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @return inštancia typu {@link Obrázok Obrázok} alebo
			 *   {@code valnull}
			 */
			public Obrázok kreslímNaObrázok()
			{
				if (obrázokAktívnehoPlátna instanceof Obrázok)
					return (Obrázok)obrázokAktívnehoPlátna;
				return null;
			}

			/** <a class="alias"></a> Alias pre {@link #kreslímNaObrázok(Obrázok) kreslímNaObrázok}. */
			public Obrázok kreslimNaObrazok()
			{ return kreslímNaObrázok(); }

			/** <a class="alias"></a> Alias pre {@link #kreslímNaObrázok(Obrázok) kreslímNaObrázok}. */
			public Obrázok kreslímDoObrázka()
			{ return kreslímNaObrázok(); }

			/** <a class="alias"></a> Alias pre {@link #kreslímNaObrázok(Obrázok) kreslímNaObrázok}. */
			public Obrázok kreslimDoObrazka()
			{ return kreslímNaObrázok(); }


		// Tvary

			/**
			 * Upraví spôsob kreslenia tvarov generovaných robotom. Ide
			 * o úpravu správania metód {@link #krúžok(double) krúžok},
			 * {@link #elipsa(double, double) elipsa}, {@link
			 * #štvorec(double) štvorec}, {@link #obdĺžnik(double, double)
			 * obdĺžnik} a {@link #hviezda(double) hviezda} (a všetkých ich
			 * verzií). Ak má zadaný parameter hodnotu {@code valtrue}, tak
			 * v prípade, že je {@linkplain #kresliTvary() povolené kreslenie
			 * tvarov} budú uvedené tvary kreslené ako vyplnené plochy, inak
			 * budú nakreslené ako obrysy. Spustenie tejto metódy zároveň
			 * upraví spôsob kreslenia {@linkplain #predvolenýTvar(boolean)
			 * predvoleného tvaru robota} tak, aby bolo v súlade s hodnotou
			 * zadaného parametra ({@code valtrue} znamená vyplnený trojzubec
			 * a {@code valfalse} dutý).
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @param vypĺňaj {@code valtrue} alebo {@code valfalse} podľa
			 *     toho, či majú byť tvary vymenované v opise vypĺňané alebo
			 *     nie
			 * 
			 * @see #vypĺňaTvary()
			 * 
			 * @see #kresliTvary()
			 * @see #nekresliTvary()
			 * @see #kreslenieTvarovPovolené()
			 * 
			 * @see #krúžok(double)
			 * @see #krúžok()
			 * @see #elipsa(double, double)
			 * @see #elipsa(double)
			 * @see #štvorec(double)
			 * @see #štvorec()
			 * @see #obdĺžnik(double, double)
			 * @see #obdĺžnik(double)
			 * @see #hviezda(double)
			 * @see #hviezda()
			 * 
			 * @see #predvolenýTvar(boolean)
			 */
			public void vypĺňajTvary(boolean vypĺňaj)
			{
				vyplnený = vypĺňajTvary = vypĺňaj;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #vypĺňajTvary(boolean) vypĺňajTvary}. */
			public void vyplnajTvary(boolean vypĺňaj) { vypĺňajTvary(vypĺňaj); }

			/** <a class="alias"></a> Alias pre {@link #vypĺňajTvary(boolean) vypĺňajTvary}. */
			public void vypĺňajÚtvary(boolean vypĺňaj) { vypĺňajTvary(vypĺňaj); }

			/** <a class="alias"></a> Alias pre {@link #vypĺňajTvary(boolean) vypĺňajTvary}. */
			public void vyplnajUtvary(boolean vypĺňaj) { vypĺňajTvary(vypĺňaj); }


			/**
			 * Upraví spôsob kreslenia tvarov generovaných robotom. Ide
			 * o úpravu správania metód {@link #krúžok(double) krúžok},
			 * {@link #elipsa(double, double) elipsa}, {@link
			 * #štvorec(double) štvorec}, {@link #obdĺžnik(double, double)
			 * obdĺžnik} a {@link #hviezda(double) hviezda} (a všetkých ich
			 * verzií). Po spustení tejto metódy budú uvedené tvary kreslené
			 * ako vyplnené plochy. Spustenie tejto metódy zároveň upraví
			 * spôsob kreslenia {@linkplain #predvolenýTvar(boolean)
			 * predvoleného tvaru robota}, ktorý bude teraz vyplneným
			 * trojzubcom.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @see #vypĺňajTvary(boolean)
			 */
			public void vypĺňajTvary() { vypĺňajTvary(true); }

			/** <a class="alias"></a> Alias pre {@link #vypĺňajTvary() vypĺňajTvary}. */
			public void vyplnajTvary() { vypĺňajTvary(true); }

			/** <a class="alias"></a> Alias pre {@link #vypĺňajTvary() vypĺňajTvary}. */
			public void vypĺňajÚtvary() { vypĺňajTvary(true); }

			/** <a class="alias"></a> Alias pre {@link #vypĺňajTvary() vypĺňajTvary}. */
			public void vyplnajUtvary() { vypĺňajTvary(true); }


			/**
			 * Upraví spôsob kreslenia tvarov generovaných robotom. Ide
			 * o úpravu správania metód {@link #krúžok(double) krúžok},
			 * {@link #elipsa(double, double) elipsa}, {@link
			 * #štvorec(double) štvorec}, {@link #obdĺžnik(double, double)
			 * obdĺžnik} a {@link #hviezda(double) hviezda} (a všetkých ich
			 * verzií). Po spustení tejto metódy budú uvedené tvary kreslené
			 * ako obrysy. Spustenie tejto metódy zároveň upraví spôsob
			 * kreslenia {@linkplain #predvolenýTvar(boolean) predvoleného
			 * tvaru robota}, ktorý bude teraz dutým trojzubcom.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @see #vypĺňajTvary(boolean)
			 */
			public void nevypĺňajTvary() { vypĺňajTvary(false); }

			/** <a class="alias"></a> Alias pre {@link #nevypĺňajTvary() nevypĺňajTvary}. */
			public void nevyplnajTvary() { vypĺňajTvary(false); }

			/** <a class="alias"></a> Alias pre {@link #nevypĺňajTvary() nevypĺňajTvary}. */
			public void nevypĺňajÚtvary() { vypĺňajTvary(false); }

			/** <a class="alias"></a> Alias pre {@link #nevypĺňajTvary() nevypĺňajTvary}. */
			public void nevyplnajUtvary() { vypĺňajTvary(false); }


			/**
			 * Zistí, či je aktivované vypĺňanie tvarov generovaných robotom
			 * alebo nie. Stav vypĺňania tvarov súvisí s metódami {@link
			 * #krúžok(double) krúžok}, {@link #elipsa(double, double)
			 * elipsa}, {@link #štvorec(double) štvorec}, {@link
			 * #obdĺžnik(double, double) obdĺžnik} a {@link #hviezda(double)
			 * hviezda} (a všetkými ich verziami). Ak má vrátený stav hodnotu
			 * {@code valtrue}, znamená to, že tvary budú kreslené ako
			 * vyplnené plochy, inak budú kreslené ako obrysy (za predpokladu,
			 * že je {@linkplain #kresliTvary() povolené kreslenie tvarov}).
			 * (Predvolená hodnota tejto vlastnosti je {@code valfalse}.)
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @return {@code valtrue} alebo {@code valfalse} podľa toho, či
			 *     sú tvary vymenované v opise vypĺňané alebo nie
			 * 
			 * @see #vypĺňajTvary(boolean)
			 * 
			 * @see #kresliTvary()
			 * @see #nekresliTvary()
			 * @see #kreslenieTvarovPovolené()
			 * 
			 * @see #krúžok(double)
			 * @see #krúžok()
			 * @see #elipsa(double, double)
			 * @see #elipsa(double)
			 * @see #štvorec(double)
			 * @see #štvorec()
			 * @see #obdĺžnik(double, double)
			 * @see #obdĺžnik(double)
			 * @see #hviezda(double)
			 * @see #hviezda()
			 * 
			 * @see #predvolenýTvar(boolean)
			 */
			public boolean vypĺňaTvary() { return vypĺňajTvary; }

			/** <a class="alias"></a> Alias pre {@link #vypĺňaTvary() vypĺňajTvary}. */
			public boolean vyplnaTvary() { return vypĺňaTvary(); }

			/** <a class="alias"></a> Alias pre {@link #vypĺňaTvary() vypĺňajTvary}. */
			public boolean vypĺňaÚtvary() { return vypĺňaTvary(); }

			/** <a class="alias"></a> Alias pre {@link #vypĺňaTvary() vypĺňajTvary}. */
			public boolean vyplnaUtvary() { return vypĺňaTvary(); }


			/**
			 * Nakreslí na aktuálnej pozícii robota bod alebo skupinu bodov
			 * (kruhovú oblasť) podľa aktuálnej hrúbky pera, najmenej však
			 * oblasť s veľkosťou jedného pixela. (To znamená, že hrúbky pera
			 * menšie než jeden pixel sú zaokrúhlené na veľkosť jedného
			 * pixela.)
			 */
			public void bod()
			{
				grafikaAktívnehoPlátna.setColor(farbaRobota);

				// Nemôžem použiť metódu BufferedImage.setRGB(x, y, rgb), ani
				// žiadnu podobnú techniku, pretože by som prišiel o miešanie
				// polopriehľadných farieb… (Vyrábať vlastný spôsob považujem
				// za neefektívne.)
				aktualizujPôsobisko();
				if (polomerPera < 2)
					grafikaAktívnehoPlátna.fillRect(
						(int)prepočítajX(aktuálneX),
						(int)prepočítajY(aktuálneY), 1, 1);
				else
					grafikaAktívnehoPlátna.fill(
						new Ellipse2D.Double(
							prepočítajX(aktuálneX) - (polomerPera / 2),
							prepočítajY(aktuálneY) - (polomerPera / 2),
							polomerPera, polomerPera));

				automatickéPrekreslenie();
			}

			/**
			 * Prepíše farebné zložky a zložku priehľadnosti bodu na
			 * aktuálnej pozícii robota aktuálnou farbou robota. Metóda
			 * prepíše vždy iba jediný bod na aktuálnej pozícii. Neriadi sa
			 * veľkosťou pera ani robota.
			 */
			public void prepíšBod()
			{
				// int xx = (int)prepočítajX(aktuálneX);
				// int yy = (int)prepočítajY(aktuálneY);
				// 
				// if (xx >= 0 && xx < obrázokAktívnehoPlátna.getWidth() &&
				// 	yy >= 0 && yy < obrázokAktívnehoPlátna.getHeight())
				// {
				// 	obrázokAktívnehoPlátna.setRGB(
				// 		xx, yy, farbaRobota.getRGB());
				// 	automatickéPrekreslenie();
				// }

				try
				{
					obrázokAktívnehoPlátna.setRGB((int)prepočítajX(aktuálneX),
						(int)prepočítajY(aktuálneY), farbaRobota.getRGB());
					automatickéPrekreslenie();
				}
				catch (ArrayIndexOutOfBoundsException e)
				{
					// Chybu zamlčíme – prejdeme to potichu…
					// e.printStackTrace()
				}
			}

			/** <a class="alias"></a> Alias pre {@link #prepíšBod() prepíšBod}. */
			public void prepisBod() { prepíšBod(); }

			/**
			 * Vytlačí na aktuálnom plátne robota pečiatku v jeho aktuálnom
			 * tvare.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 */
			public void pečiatka()
			{
				kresliRobota(obrázokAktívnehoPlátna,
					grafikaAktívnehoPlátna);
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #pečiatka() pečiatka}. */
			public void peciatka() { pečiatka(); }


			/**
			 * Nakreslí na mieste robota kružnicu alebo kruh so zadaným
			 * polomerom. Vyplnenie tvaru (kreslenie kruhu namiesto kružnice)
			 * závisí od nastavenia vlastnosti {@link #vypĺňajTvary(boolean)
			 * vypĺňajTvary}.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P><small>(<b>Poznámka:</b> Pri hľadaní pomenovania tejto
			 * metódy vznikol terminologický problém. Slovo „krúžok“ bolo
			 * použité ako núdzové riešenie situácie, pretože slovenský
			 * jazyk striktne rozlišuje kruh ako vyplnený tvar a kružnicu
			 * ako nakreslenú čiaru ohraničujúcu tento vyplnený tvar.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param polomer  polomer kruhového útvaru (kruhu alebo kružnice)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 *  @throws GRobotException ak je polomer kruhu/kružnice záporný
			 * 
			 * @see #krúžok()
			 * @see #elipsa(double, double)
			 * @see #štvorec(double)
			 * @see #obdĺžnik(double, double)
			 * @see #hviezda(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape krúžok(double polomer)
			{
				if (vypĺňajTvary) return kruh(polomer);
				return kružnica(polomer);
			}

			/** <a class="alias"></a> Alias pre {@link #krúžok(double) krúžok}. */
			public Shape kruzok(double polomer) { return krúžok(polomer); }

			/** <a class="alias"></a> Alias pre {@link #krúžok(double) krúžok}. */
			public Shape krúžka(double polomer) { return krúžok(polomer); }

			/** <a class="alias"></a> Alias pre {@link #krúžok(double) krúžok}. */
			public Shape kruzka(double polomer) { return krúžok(polomer); }

			/**
			 * Nakreslí na mieste robota kružnicu so zadaným polomerom.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 *  @param polomer  polomer kružnice
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 *  @throws GRobotException ak je polomer kružnice záporný
			 * 
			 * @see #kružnica()
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #kresliElipsu(double, double)
			 * @see #vyplňElipsu(double, double)
			 * @see #štvorec(double)
			 * @see #kresliŠtvorec(double)
			 * @see #vyplňŠtvorec(double)
			 * @see #kresliObdĺžnik(double, double)
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #kresliHviezdu(double)
			 * @see #vyplňHviezdu(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape kružnica(double polomer)
			{
				if (polomer < 0) throw new GRobotException(
					"Polomer kružnice nesmie byť záporný!",
					"negativeRadius", "circle",
					new IllegalArgumentException());

				Shape kružnica = new Ellipse2D.Double(
					prepočítajX(aktuálneX) - polomer,
					prepočítajY(aktuálneY) - polomer,
					2 * polomer, 2 * polomer);

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.draw(kružnica);
					aktualizujPôsobisko(polomer/* + (polomerPera / 2)*/);
					automatickéPrekreslenie();
				}

				return kružnica;
			}

			/** <a class="alias"></a> Alias pre {@link #kružnica(double) kružnica}. */
			public Shape kruznica(double polomer) { return kružnica(polomer); }

			/** <a class="alias"></a> Alias pre {@link #kružnica(double) kružnica}. */
			public Shape kružnicu(double polomer) { return kružnica(polomer); }

			/** <a class="alias"></a> Alias pre {@link #kružnica(double) kružnica}. */
			public Shape kruznicu(double polomer) { return kružnica(polomer); }

			/** <a class="alias"></a> Alias pre {@link #kružnica(double) kružnica}. */
			public Shape kružnice(double polomer) { return kružnica(polomer); }

			/** <a class="alias"></a> Alias pre {@link #kružnica(double) kružnica}. */
			public Shape kruznice(double polomer) { return kružnica(polomer); }

			/**
			 * Nakreslí na mieste robota kruh so zadaným polomerom.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 *  @param polomer  polomer kruhu
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      vypĺňaný útvar
			 *  @throws GRobotException ak je polomer kruhu záporný
			 * 
			 * @see #kruh()
			 * @see #kružnica(double)
			 * @see #elipsa(double, double)
			 * @see #kresliElipsu(double, double)
			 * @see #vyplňElipsu(double, double)
			 * @see #štvorec(double)
			 * @see #kresliŠtvorec(double)
			 * @see #vyplňŠtvorec(double)
			 * @see #kresliObdĺžnik(double, double)
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #kresliHviezdu(double)
			 * @see #vyplňHviezdu(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape kruh(double polomer)
			{
				if (polomer < 0) throw new GRobotException(
					"Polomer kruhu nesmie byť záporný!",
					"negativeRadius", "filledCircle",
					new IllegalArgumentException());

				Shape kruh = new Ellipse2D.Double(
					prepočítajX(aktuálneX) - polomer,
					prepočítajY(aktuálneY) - polomer,
					2 * polomer, 2 * polomer);

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.fill(kruh);
					aktualizujPôsobisko(polomer);
					automatickéPrekreslenie();
				}

				return kruh;
			}

			/** <a class="alias"></a> Alias pre {@link #kruh(double) kruh}. */
			public Shape kruhu(double polomer) { return kruh(polomer); }


			/**
			 * Nakreslí alebo vyplní na mieste robota elipsu so zadanými
			 * rozmermi pootočenú v smere robota (predvolený smer robota je
			 * 90°). Spôsob nakreslenia tvaru (vyplnenie alebo obkreslenie)
			 * závisí od nastavenia vlastnosti {@link #vypĺňajTvary(boolean)
			 * vypĺňajTvary}.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param a  veľkosť hlavnej poloosi (na šírku elipsy)
			 *  @param b  veľkosť vedľajšej poloosi (na výšku elipsy)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 *  @throws GRobotException ak je niektorý rozmer elipsy
			 *      záporný
			 * 
			 * @see #elipsa(double)
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #štvorec(double)
			 * @see #obdĺžnik(double, double)
			 * @see #hviezda(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape elipsa(double a, double b)
			{
				if (vypĺňajTvary) return vyplňElipsu(a, b);
				return kresliElipsu(a, b);
			}

			/** <a class="alias"></a> Alias pre {@link #elipsa(double, double) elipsa}. */
			public Shape elipsu(double a, double b) { return elipsa(a, b); }

			/** <a class="alias"></a> Alias pre {@link #elipsa(double, double) elipsa}. */
			public Shape elipsy(double a, double b) { return elipsa(a, b); }

			/**
			 * Nakreslí na mieste robota elipsu so zadanými rozmermi
			 * pootočenú v smere robota (predvolený smer robota je 90°).
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param a  veľkosť hlavnej poloosi (na šírku elipsy)
			 *  @param b  veľkosť vedľajšej poloosi (na výšku elipsy)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 *  @throws GRobotException ak je niektorý rozmer elipsy
			 *      záporný
			 * 
			 * @see #elipsa(double)
			 * @see #kresliElipsu(double)
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #vyplňElipsu(double, double)
			 * @see #štvorec(double)
			 * @see #kresliŠtvorec(double)
			 * @see #vyplňŠtvorec(double)
			 * @see #kresliObdĺžnik(double, double)
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #kresliHviezdu(double)
			 * @see #vyplňHviezdu(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape kresliElipsu(double a, double b)
			{
				if (a < 0 || b < 0) throw new GRobotException(
					"Dĺžka poloosy elipsy nesmie byť záporná!",
					"negativeSemiaxe", "ellipse",
					new IllegalArgumentException());

				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape elipsa;

				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
				{
					elipsa = new Ellipse2D.Double(prepočítanéX - a,
						prepočítanéY - b, 2 * a, 2 * b);
				}
				else if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
				{
					elipsa = new Ellipse2D.Double(prepočítanéX - b,
						prepočítanéY - a, 2 * b, 2 * a);
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					elipsa = AffineTransform.getRotateInstance(-α,
						prepočítanéX, prepočítanéY).
						createTransformedShape(
						new Ellipse2D.Double(prepočítanéX - a,
							prepočítanéY - b, 2 * a, 2 * b));
				}

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.draw(elipsa);
					aktualizujPôsobisko(elipsa.getBounds2D());
					automatickéPrekreslenie();
				}
				return elipsa;
			}

			/**
			 * Vyplní elipsu so zadanými rozmermi, so stredom na mieste
			 * robota a pootočenú v smere robota (predvolený smer robota je
			 * 90°).
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 *  @param a  veľkosť hlavnej poloosi (na šírku elipsy)
			 *  @param b  veľkosť vedľajšej poloosi (na výšku elipsy)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      vypĺňaný útvar
			 *  @throws GRobotException ak je niektorý rozmer elipsy
			 *      záporný
			 * 
			 * @see #elipsa(double)
			 * @see #vyplňElipsu(double)
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #kresliElipsu(double, double)
			 * @see #štvorec(double)
			 * @see #kresliŠtvorec(double)
			 * @see #vyplňŠtvorec(double)
			 * @see #kresliObdĺžnik(double, double)
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #kresliHviezdu(double)
			 * @see #vyplňHviezdu(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape vyplňElipsu(double a, double b)
			{
				if (a < 0 || b < 0) throw new GRobotException(
					"Dĺžka poloosy vyplnenej elipsy nesmie byť záporná!",
					"negativeSemiaxe", "filledEllipse",
					new IllegalArgumentException());

				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape elipsa;

				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
				{
					elipsa = new Ellipse2D.Double(prepočítanéX - a,
						prepočítanéY - b, 2 * a, 2 * b);
				}
				else if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
				{
					elipsa = new Ellipse2D.Double(prepočítanéX - b,
						prepočítanéY - a, 2 * b, 2 * a);
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					elipsa = AffineTransform.getRotateInstance(-α,
						prepočítanéX, prepočítanéY).
						createTransformedShape(
						new Ellipse2D.Double(prepočítanéX - a,
							prepočítanéY - b, 2 * a, 2 * b));
				}

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.fill(elipsa);
					aktualizujPôsobisko(elipsa.getBounds2D());
					automatickéPrekreslenie();
				}

				return elipsa;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňElipsu(double, double) vyplňElipsu}. */
			public Shape vyplnElipsu(double a, double b) { return vyplňElipsu(a, b); }

			/** <a class="alias"></a> Alias pre {@link #vyplňElipsu(double, double) vyplňElipsu}. */
			public Shape vyplnenáElipsa(double a, double b) { return vyplňElipsu(a, b); }

			/** <a class="alias"></a> Alias pre {@link #vyplňElipsu(double, double) vyplňElipsu}. */
			public Shape vyplnenaElipsa(double a, double b) { return vyplňElipsu(a, b); }

			/** <a class="alias"></a> Alias pre {@link #vyplňElipsu(double, double) vyplňElipsu}. */
			public Shape vyplnenúElipsu(double a, double b) { return vyplňElipsu(a, b); }

			/** <a class="alias"></a> Alias pre {@link #vyplňElipsu(double, double) vyplňElipsu}. */
			public Shape vyplnenuElipsu(double a, double b) { return vyplňElipsu(a, b); }

			/** <a class="alias"></a> Alias pre {@link #vyplňElipsu(double, double) vyplňElipsu}. */
			public Shape vyplnenejElipsy(double a, double b) { return vyplňElipsu(a, b); }


			/**
			 * Nakreslí alebo vyplní na mieste robota štvorec určený rozmerom
			 * vpísanej kružnice a obrátený v smere robota. Spôsob nakreslenia
			 * tvaru (vyplnenie alebo obkreslenie) závisí od nastavenia
			 * vlastnosti {@link #vypĺňajTvary(boolean) vypĺňajTvary}.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param polomer  polomer vpísanej kružnice
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 *  @throws GRobotException ak je zadaný polomer záporný
			 * 
			 * @see #štvorec()
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #obdĺžnik(double, double)
			 * @see #hviezda(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape štvorec(double polomer)
			{
				if (vypĺňajTvary) return vyplňŠtvorec(polomer);
				return kresliŠtvorec(polomer);
			}

			/** <a class="alias"></a> Alias pre {@link #štvorec(double) štvorec}. */
			public Shape stvorec(double polomer) { return štvorec(polomer); }

			/** <a class="alias"></a> Alias pre {@link #štvorec(double) štvorec}. */
			public Shape štvorca(double polomer) { return štvorec(polomer); }

			/** <a class="alias"></a> Alias pre {@link #štvorec(double) štvorec}. */
			public Shape stvorca(double polomer) { return štvorec(polomer); }

			/**
			 * Nakreslí na mieste robota štvorec určený rozmerom vpísanej
			 * kružnice a obrátený v smere robota.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param polomer  polomer vpísanej kružnice
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 *  @throws GRobotException ak je zadaný polomer záporný
			 * 
			 * @see #kresliŠtvorec()
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #kresliElipsu(double, double)
			 * @see #vyplňElipsu(double, double)
			 * @see #vyplňŠtvorec(double)
			 * @see #kresliObdĺžnik(double, double)
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #kresliHviezdu(double)
			 * @see #vyplňHviezdu(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape kresliŠtvorec(double polomer)
			{
				if (polomer < 0) throw new GRobotException(
					"Polomer vpísanej kružnice nesmie byť záporný!",
					"negativeRadius", "incircle",
					new IllegalArgumentException());


				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape štvorec;

				if (aktuálnyUhol % 90 == 0)
				{
					štvorec = new Rectangle2D.Double(prepočítanéX - polomer,
						prepočítanéY - polomer, 2 * polomer, 2 * polomer);
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					štvorec = AffineTransform.getRotateInstance(-α,
						prepočítanéX, prepočítanéY).
						createTransformedShape(
						new Rectangle2D.Double(prepočítanéX - polomer,
							prepočítanéY - polomer, 2 * polomer, 2 * polomer));
				}

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.draw(štvorec);
					aktualizujPôsobisko(štvorec.getBounds2D());
					automatickéPrekreslenie();
				}

				return štvorec;
			}

			/** <a class="alias"></a> Alias pre {@link #kresliŠtvorec(double) kresliŠtvorec}. */
			public Shape kresliStvorec(double polomer) { return kresliŠtvorec(polomer); }

			/**
			 * Vyplní štvorec so stredom na mieste robota, obrátený v smere
			 * robota a určený polomerom vpísanej kružnice.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 *  @param polomer  polomer vpísanej kružnice
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      vypĺňaný útvar
			 *  @throws GRobotException ak je zadaný polomer záporný
			 * 
			 * @see #vyplňŠtvorec()
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #kresliElipsu(double, double)
			 * @see #vyplňElipsu(double, double)
			 * @see #štvorec(double)
			 * @see #kresliŠtvorec(double)
			 * @see #kresliObdĺžnik(double, double)
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #kresliHviezdu(double)
			 * @see #vyplňHviezdu(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape vyplňŠtvorec(double polomer)
			{
				if (polomer < 0) throw new GRobotException(
					"Polomer vpísanej kružnice nesmie byť záporný!",
					"negativeRadius", "incircle",
					new IllegalArgumentException());

				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape štvorec;

				if (aktuálnyUhol % 90 == 0)
				{
					štvorec = new Rectangle2D.Double(prepočítanéX - polomer,
						prepočítanéY - polomer, 2 * polomer, 2 * polomer);
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					štvorec = AffineTransform.getRotateInstance(-α,
						prepočítanéX, prepočítanéY).
						createTransformedShape(
						new Rectangle2D.Double(prepočítanéX - polomer,
							prepočítanéY - polomer, 2 * polomer, 2 * polomer));
				}

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.fill(štvorec);
					aktualizujPôsobisko(štvorec.getBounds2D());
					automatickéPrekreslenie();
				}

				return štvorec;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňŠtvorec(double) vyplňŠtvorec}. */
			public Shape vyplnStvorec(double polomer) { return vyplňŠtvorec(polomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňŠtvorec(double) vyplňŠtvorec}. */
			public Shape vyplnenýŠtvorec(double polomer) { return vyplňŠtvorec(polomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňŠtvorec(double) vyplňŠtvorec}. */
			public Shape vyplnenyStvorec(double polomer) { return vyplňŠtvorec(polomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňŠtvorec(double) vyplňŠtvorec}. */
			public Shape vyplnenéhoŠtvorca(double polomer) { return vyplňŠtvorec(polomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňŠtvorec(double) vyplňŠtvorec}. */
			public Shape vyplnenehoStvorca(double polomer) { return vyplňŠtvorec(polomer); }


			/**
			 * Nakreslí alebo vyplní na mieste robota obdĺžnik určený rozmerom
			 * vpísanej elipsy a obrátený v smere robota (predvolený smer
			 * robota je 90°). Spôsob nakreslenia tvaru (vyplnenie alebo
			 * obkreslenie) závisí od nastavenia vlastnosti {@link
			 * #vypĺňajTvary(boolean) vypĺňajTvary}.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param a  veľkosť hlavnej poloosi vpísanej elipsy (na šírku)
			 *  @param b  veľkosť vedľajšej poloosi vpísanej elipsy (na
			 *      výšku)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 *  @throws GRobotException ak je niektorý rozmer vpísanej
			 *      elipsy záporný
			 * 
			 * @see #obdĺžnik(double)
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #štvorec(double)
			 * @see #hviezda(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape obdĺžnik(double a, double b)
			{
				if (vypĺňajTvary) return vyplňObdĺžnik(a, b);
				return kresliObdĺžnik(a, b);
			}

			/** <a class="alias"></a> Alias pre {@link #obdĺžnik(double, double) obdĺžnik}. */
			public Shape obdlznik(double a, double b) { return obdĺžnik(a, b); }

			/** <a class="alias"></a> Alias pre {@link #obdĺžnik(double, double) obdĺžnik}. */
			public Shape obdĺžnika(double a, double b) { return obdĺžnik(a, b); }

			/** <a class="alias"></a> Alias pre {@link #obdĺžnik(double, double) obdĺžnik}. */
			public Shape obdlznika(double a, double b) { return obdĺžnik(a, b); }

			/**
			 * Nakreslí na mieste robota obdĺžnik určený rozmerom vpísanej
			 * elipsy a obrátený v smere robota (predvolený smer robota je 90°).
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param a  veľkosť hlavnej poloosi vpísanej elipsy (na šírku)
			 *  @param b  veľkosť vedľajšej poloosi vpísanej elipsy (na
			 *      výšku)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 *  @throws GRobotException ak je niektorý rozmer vpísanej
			 *      elipsy záporný
			 * 
			 * @see #kresliObdĺžnik(double)
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #kresliElipsu(double, double)
			 * @see #vyplňElipsu(double, double)
			 * @see #štvorec(double)
			 * @see #kresliŠtvorec(double)
			 * @see #vyplňŠtvorec(double)
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #kresliHviezdu(double)
			 * @see #vyplňHviezdu(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape kresliObdĺžnik(double a, double b)
			{
				if (a < 0 || b < 0) throw new GRobotException(
					"Dĺžka poloosy vpísanej elipsy nesmie byť záporná!",
					"negativeSemiaxe", "inellipse",
					new IllegalArgumentException());

				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape obdĺžnik;

				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
				{
					obdĺžnik = new Rectangle2D.Double(prepočítanéX - a,
						prepočítanéY - b, 2 * a, 2 * b);
				}
				else if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
				{
					obdĺžnik = new Rectangle2D.Double(prepočítanéX - b,
						prepočítanéY - a, 2 * b, 2 * a);
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					obdĺžnik = AffineTransform.getRotateInstance(-α,
						prepočítanéX, prepočítanéY).
						createTransformedShape(
						new Rectangle2D.Double(prepočítanéX - a,
							prepočítanéY - b, 2 * a, 2 * b));
				}

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.draw(obdĺžnik);
					aktualizujPôsobisko(obdĺžnik.getBounds2D());
					automatickéPrekreslenie();
				}

				return obdĺžnik;
			}

			/** <a class="alias"></a> Alias pre {@link #kresliObdĺžnik(double, double) kresliObdĺžnik}. */
			public Shape kresliObdlznik(double a, double b) { return kresliObdĺžnik(a, b); }

			/**
			 * Vyplní obdĺžnik so stredom na mieste robota, obrátený v smere
			 * robota a určený rozmermi vpísanej elipsy (predvolený smer robota
			 * je 90°).
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 *  @param a  veľkosť hlavnej poloosi vpísanej elipsy (na šírku)
			 *  @param b  veľkosť vedľajšej poloosi vpísanej elipsy (na
			 *      výšku)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      vypĺňaný útvar
			 *  @throws GRobotException ak je niektorý rozmer vpísanej
			 *      elipsy záporný
			 * 
			 * @see #vyplňObdĺžnik(double)
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #kresliElipsu(double, double)
			 * @see #vyplňElipsu(double, double)
			 * @see #štvorec(double)
			 * @see #kresliŠtvorec(double)
			 * @see #vyplňŠtvorec(double)
			 * @see #kresliObdĺžnik(double, double)
			 * @see #kresliHviezdu(double)
			 * @see #vyplňHviezdu(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape vyplňObdĺžnik(double a, double b)
			{
				if (a < 0 || b < 0) throw new GRobotException(
					"Dĺžka poloosy vpísanej elipsy nesmie byť záporná!",
					"negativeSemiaxe", "inellipse",
					new IllegalArgumentException());

				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape obdĺžnik;

				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
				{
					obdĺžnik = new Rectangle2D.Double(prepočítanéX - a,
						prepočítanéY - b, 2 * a, 2 * b);
				}
				else if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
				{
					obdĺžnik = new Rectangle2D.Double(prepočítanéX - b,
						prepočítanéY - a, 2 * b, 2 * a);
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					obdĺžnik = AffineTransform.getRotateInstance(-α,
						prepočítanéX, prepočítanéY).
						createTransformedShape(
						new Rectangle2D.Double(prepočítanéX - a,
							prepočítanéY - b, 2 * a, 2 * b));
				}

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.fill(obdĺžnik);
					aktualizujPôsobisko(obdĺžnik.getBounds2D());
					automatickéPrekreslenie();
				}

				return obdĺžnik;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňObdĺžnik(double, double) vyplňObdĺžnik}. */
			public Shape vyplnObdlznik(double a, double b) { return vyplňObdĺžnik(a, b); }

			/** <a class="alias"></a> Alias pre {@link #vyplňObdĺžnik(double, double) vyplňObdĺžnik}. */
			public Shape vyplnenýObdĺžnik(double a, double b) { return vyplňObdĺžnik(a, b); }

			/** <a class="alias"></a> Alias pre {@link #vyplňObdĺžnik(double, double) vyplňObdĺžnik}. */
			public Shape vyplnenyObdlznik(double a, double b) { return vyplňObdĺžnik(a, b); }

			/** <a class="alias"></a> Alias pre {@link #vyplňObdĺžnik(double, double) vyplňObdĺžnik}. */
			public Shape vyplnenéhoObdĺžnika(double a, double b) { return vyplňObdĺžnik(a, b); }

			/** <a class="alias"></a> Alias pre {@link #vyplňObdĺžnik(double, double) vyplňObdĺžnik}. */
			public Shape vyplnenehoObdlznika(double a, double b) { return vyplňObdĺžnik(a, b); }


			/**
			 * Nakreslí alebo vyplní na mieste robota päťcípu hviezdu určenú
			 * rozmerom opísanej kružnice a orientovanú v smere robota. Spôsob
			 * nakreslenia tvaru (vyplnenie alebo obkreslenie) závisí od
			 * nastavenia vlastnosti {@link #vypĺňajTvary(boolean)
			 * vypĺňajTvary}.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param polomer  polomer opísanej kružnice
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 *  @throws GRobotException ak je zadaný polomer záporný
			 * 
			 * @see #hviezda()
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #štvorec(double)
			 * @see #obdĺžnik(double, double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape hviezda(double polomer)
			{
				if (vypĺňajTvary) return vyplňHviezdu(polomer);
				return kresliHviezdu(polomer);
			}

			/** <a class="alias"></a> Alias pre {@link #hviezda(double) hviezda}. */
			public Shape hviezdy(double polomer) { return hviezda(polomer); }

			/** <a class="alias"></a> Alias pre {@link #hviezda(double) hviezda}. */
			public Shape hviezdu(double polomer) { return hviezda(polomer); }

			/**
			 * Nakreslí na mieste robota päťcípu hviezdu určenú rozmerom
			 * opísanej kružnice a orientovanú v smere robota.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param polomer  polomer opísanej kružnice
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 *  @throws GRobotException ak je zadaný polomer záporný
			 * 
			 * @see #kresliHviezdu()
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #kresliElipsu(double, double)
			 * @see #vyplňElipsu(double, double)
			 * @see #štvorec(double)
			 * @see #kresliŠtvorec(double)
			 * @see #vyplňŠtvorec(double)
			 * @see #kresliObdĺžnik(double, double)
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #vyplňHviezdu(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape kresliHviezdu(double polomer)
			{
				if (polomer < 0) throw new GRobotException(
					"Polomer opísanej kružnice nesmie byť záporný!",
					"negativeRadius", "circumcircle",
					new IllegalArgumentException());

				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape hviezda = this.hviezda.daj(polomer);

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.draw(hviezda);
					aktualizujPôsobisko(hviezda.getBounds2D());
					automatickéPrekreslenie();
				}

				return hviezda;
			}

			/**
			 * Vyplní päťcípu hviezdu so stredom na mieste robota, orientovanú
			 * v smere robota a určenú polomerom opísanej kružnice.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 *  @param polomer  polomer opísanej kružnice
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      vypĺňaný útvar
			 *  @throws GRobotException ak je zadaný polomer záporný
			 * 
			 * @see #vyplňHviezdu()
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #kresliElipsu(double, double)
			 * @see #vyplňElipsu(double, double)
			 * @see #štvorec(double)
			 * @see #kresliŠtvorec(double)
			 * @see #vyplňŠtvorec(double)
			 * @see #kresliObdĺžnik(double, double)
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #kresliHviezdu(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape vyplňHviezdu(double polomer)
			{
				if (polomer < 0) throw new GRobotException(
					"Polomer opísanej kružnice nesmie byť záporný!",
					"negativeRadius", "circumcircle",
					new IllegalArgumentException());

				Shape hviezda = this.hviezda.daj(polomer);

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.fill(hviezda);
					aktualizujPôsobisko(hviezda.getBounds2D());
					automatickéPrekreslenie();
				}

				return hviezda;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňHviezdu(double) vyplňHviezdu}. */
			public Shape vyplnHviezdu(double polomer) { return vyplňHviezdu(polomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňHviezdu(double) vyplňHviezdu}. */
			public Shape vyplnenáHviezda(double polomer) { return vyplňHviezdu(polomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňHviezdu(double) vyplňHviezdu}. */
			public Shape vyplnenaHviezda(double polomer) { return vyplňHviezdu(polomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňHviezdu(double) vyplňHviezdu}. */
			public Shape vyplnenúHviezdu(double polomer) { return vyplňHviezdu(polomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňHviezdu(double) vyplňHviezdu}. */
			public Shape vyplnenuHviezdu(double polomer) { return vyplňHviezdu(polomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňHviezdu(double) vyplňHviezdu}. */
			public Shape vyplnenejHviezdy(double polomer) { return vyplňHviezdu(polomer); }


			// Útvary generované podľa veľkosti

			/**
			 * Nakreslí na mieste robota kruh alebo kružnicu s polomerom
			 * {@linkplain #veľkosť() veľkosti} robota. Vyplnenie tvaru
			 * (kreslenie kruhu namiesto kružnice) závisí od nastavenia
			 * vlastnosti {@link #vypĺňajTvary(boolean) vypĺňajTvary}.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P><small>(<b>Poznámka:</b> Pri hľadaní pomenovania tejto
			 * metódy vznikol terminologický problém. Slovo „krúžok“ bolo
			 * použité ako núdzové riešenie situácie, pretože slovenský
			 * jazyk striktne rozlišuje kruh ako vyplnený tvar a kružnicu
			 * ako nakreslenú čiaru ohraničujúcu tento vyplnený tvar.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 * 
			 * @see #krúžok(double)
			 * @see #elipsa(double)
			 * @see #štvorec()
			 * @see #obdĺžnik(double)
			 * @see #hviezda()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape krúžok()
			{
				if (vypĺňajTvary) return kruh();
				return kružnica();
			}

			/** <a class="alias"></a> Alias pre {@link #krúžok() krúžok}. */
			public Shape kruzok() { return krúžok(); }

			/** <a class="alias"></a> Alias pre {@link #krúžok() krúžok}. */
			public Shape krúžka() { return krúžok(); }

			/** <a class="alias"></a> Alias pre {@link #krúžok() krúžok}. */
			public Shape kruzka() { return krúžok(); }

			/**
			 * Nakreslí na mieste robota kružnicu s polomerom {@linkplain
			 * #veľkosť() veľkosti} robota.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 * 
			 * @see #kružnica(double)
			 * @see #kruh()
			 * @see #elipsa(double)
			 * @see #kresliElipsu(double)
			 * @see #vyplňElipsu(double)
			 * @see #štvorec()
			 * @see #kresliŠtvorec()
			 * @see #vyplňŠtvorec()
			 * @see #kresliObdĺžnik(double)
			 * @see #vyplňObdĺžnik(double)
			 * @see #kresliHviezdu()
			 * @see #vyplňHviezdu()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape kružnica()
			{
				Shape kružnica = new Ellipse2D.Double(
					prepočítajX(aktuálneX) - veľkosť,
					prepočítajY(aktuálneY) - veľkosť,
					2 * veľkosť, 2 * veľkosť);

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.draw(kružnica);
					aktualizujPôsobisko(veľkosť/* + (polomerPera / 2)*/);
					automatickéPrekreslenie();
				}

				return kružnica;
			}

			/** <a class="alias"></a> Alias pre {@link #kružnica() kružnica}. */
			public Shape kruznica() { return kružnica(); }

			/** <a class="alias"></a> Alias pre {@link #kružnica() kružnica}. */
			public Shape kružnicu() { return kružnica(); }

			/** <a class="alias"></a> Alias pre {@link #kružnica() kružnica}. */
			public Shape kruznicu() { return kružnica(); }

			/** <a class="alias"></a> Alias pre {@link #kružnica() kružnica}. */
			public Shape kružnice() { return kružnica(); }

			/** <a class="alias"></a> Alias pre {@link #kružnica() kružnica}. */
			public Shape kruznice() { return kružnica(); }

			/**
			 * Nakreslí na mieste robota kruh s polomerom {@linkplain
			 * #veľkosť() veľkosti} robota.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      vypĺňaný útvar
			 * 
			 * @see #kruh(double)
			 * @see #kružnica()
			 * @see #elipsa(double)
			 * @see #kresliElipsu(double)
			 * @see #vyplňElipsu(double)
			 * @see #štvorec()
			 * @see #kresliŠtvorec()
			 * @see #vyplňŠtvorec()
			 * @see #kresliObdĺžnik(double)
			 * @see #vyplňObdĺžnik(double)
			 * @see #kresliHviezdu()
			 * @see #vyplňHviezdu()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape kruh()
			{
				Shape kruh = new Ellipse2D.Double(
					prepočítajX(aktuálneX) - veľkosť,
					prepočítajY(aktuálneY) - veľkosť,
					2 * veľkosť, 2 * veľkosť);

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.fill(kruh);
					aktualizujPôsobisko(veľkosť);
					automatickéPrekreslenie();
				}

				return kruh;
			}

			/** <a class="alias"></a> Alias pre {@link #kruh() kruh}. */
			public Shape kruhu() { return kruh(); }


			/**
			 * Nakreslí alebo vyplní na mieste robota elipsu pootočenú v smere
			 * robota s veľkosťou odvodenou od {@linkplain #veľkosť() veľkosti}
			 * robota podľa zadaného stranového pomeru. Spôsob nakreslenia
			 * tvaru (vyplnenie alebo obkreslenie) závisí od nastavenia
			 * vlastnosti {@link #vypĺňajTvary(boolean) vypĺňajTvary}.
			 * 
			 * Argument {@code pomer} udáva pomer šírky k výške útvaru.
			 * Hodnota {@code num1.0} znamená rovnakú šírku ako výšku (čiže
			 * hodnotu rovnú aktuálnej {@linkplain #veľkosť() veľkosti}
			 * robota). Čím väčšia hodnota od čísla {@code num1.0}, tým
			 * širší útvar, čím nižšia hodnota (v rozsahu od {@code num1.0}
			 * do {@code num0.0}), tým užší útvar.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param pomer pomer hlavnej a vedľajšej poloosi
			 *      (šírky a výšky elipsy – {@code num2.0} znamená
			 *      dvojnásobnú šírku, {@code num0.5} polovičnú a podobne)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 * 
			 * @see #elipsa(double, double)
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #štvorec()
			 * @see #obdĺžnik(double)
			 * @see #hviezda()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape elipsa(double pomer)
			{
				if (vypĺňajTvary) return vyplňElipsu(pomer);
				return kresliElipsu(pomer);
			}

			/** <a class="alias"></a> Alias pre {@link #elipsa(double) elipsa}. */
			public Shape elipsu(double pomer) { return elipsa(pomer); }

			/** <a class="alias"></a> Alias pre {@link #elipsa(double) elipsa}. */
			public Shape elipsy(double pomer) { return elipsa(pomer); }

			/**
			 * Nakreslí na mieste robota elipsu pootočenú v smere robota
			 * s veľkosťou odvodenou od {@linkplain #veľkosť() veľkosti}
			 * robota podľa zadaného stranového pomeru.
			 * 
			 * Argument {@code pomer} udáva pomer šírky k výške útvaru.
			 * Hodnota {@code num1.0} znamená rovnakú šírku ako výšku (čiže
			 * hodnotu rovnú aktuálnej {@linkplain #veľkosť() veľkosti}
			 * robota). Čím väčšia hodnota od čísla {@code num1.0}, tým
			 * širší útvar, čím nižšia hodnota (v rozsahu od {@code num1.0}
			 * do {@code num0.0}), tým užší útvar.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param pomer pomer hlavnej a vedľajšej poloosi
			 *      (šírky a výšky elipsy – {@code num2.0} znamená
			 *      dvojnásobnú šírku, {@code num0.5} polovičnú a podobne)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 * 
			 * @see #kresliElipsu(double, double)
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #vyplňElipsu(double)
			 * @see #štvorec()
			 * @see #kresliŠtvorec()
			 * @see #vyplňŠtvorec()
			 * @see #kresliObdĺžnik(double)
			 * @see #vyplňObdĺžnik(double)
			 * @see #kresliHviezdu()
			 * @see #vyplňHviezdu()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape kresliElipsu(double pomer)
			{
				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape elipsa;

				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
				{
					elipsa = new Ellipse2D.Double(prepočítanéX - veľkosť *
						pomer, prepočítanéY - veľkosť, 2 * veľkosť * pomer,
						2 * veľkosť);
				}
				else if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
				{
					elipsa = new Ellipse2D.Double(prepočítanéX - veľkosť,
						prepočítanéY - veľkosť * pomer, 2 * veľkosť,
						2 * veľkosť * pomer);
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					elipsa = AffineTransform.getRotateInstance(-α,
						prepočítanéX, prepočítanéY).
						createTransformedShape(
						new Ellipse2D.Double(prepočítanéX - veľkosť * pomer,
							prepočítanéY - veľkosť, 2 * veľkosť * pomer,
							2 * veľkosť));
				}

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.draw(elipsa);
					aktualizujPôsobisko(elipsa.getBounds2D());
					automatickéPrekreslenie();
				}
				return elipsa;
			}

			/**
			 * Vyplní elipsu so stredom na mieste robota, pootočenú v smere
			 * robota, s veľkosťou odvodenou od {@linkplain #veľkosť()
			 * veľkosti} robota podľa zadaného stranového pomeru.
			 * 
			 * Argument {@code pomer} udáva pomer šírky k výške útvaru.
			 * Hodnota {@code num1.0} znamená rovnakú šírku ako výšku (čiže
			 * hodnotu rovnú aktuálnej {@linkplain #veľkosť() veľkosti}
			 * robota). Čím väčšia hodnota od čísla {@code num1.0}, tým
			 * širší útvar, čím nižšia hodnota (v rozsahu od {@code num1.0}
			 * do {@code num0.0}), tým užší útvar.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 *  @param pomer pomer hlavnej a vedľajšej poloosi
			 *      (šírky a výšky elipsy – {@code num2.0} znamená
			 *      dvojnásobnú šírku, {@code num0.5} polovičnú a podobne)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      vypĺňaný útvar
			 * 
			 * @see #vyplňElipsu(double, double)
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #elipsa(double)
			 * @see #kresliElipsu(double)
			 * @see #štvorec()
			 * @see #kresliŠtvorec()
			 * @see #vyplňŠtvorec()
			 * @see #kresliObdĺžnik(double)
			 * @see #vyplňObdĺžnik(double)
			 * @see #kresliHviezdu()
			 * @see #vyplňHviezdu()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape vyplňElipsu(double pomer)
			{
				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape elipsa;

				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
				{
					elipsa = new Ellipse2D.Double(prepočítanéX - veľkosť *
						pomer, prepočítanéY - veľkosť, 2 * veľkosť * pomer,
						2 * veľkosť);
				}
				else if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
				{
					elipsa = new Ellipse2D.Double(prepočítanéX - veľkosť,
						prepočítanéY - veľkosť * pomer, 2 * veľkosť,
						2 * veľkosť * pomer);
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					elipsa = AffineTransform.getRotateInstance(-α,
						prepočítanéX, prepočítanéY).
						createTransformedShape(
						new Ellipse2D.Double(prepočítanéX - veľkosť * pomer,
							prepočítanéY - veľkosť, 2 * veľkosť * pomer,
							2 * veľkosť));
				}

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.fill(elipsa);
					aktualizujPôsobisko(elipsa.getBounds2D());
					automatickéPrekreslenie();
				}

				return elipsa;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňElipsu(double) vyplňElipsu}. */
			public Shape vyplnElipsu(double pomer) { return vyplňElipsu(pomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňElipsu(double) vyplňElipsu}. */
			public Shape vyplnenáElipsa(double pomer) { return vyplňElipsu(pomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňElipsu(double) vyplňElipsu}. */
			public Shape vyplnenaElipsa(double pomer) { return vyplňElipsu(pomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňElipsu(double) vyplňElipsu}. */
			public Shape vyplnenúElipsu(double pomer) { return vyplňElipsu(pomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňElipsu(double) vyplňElipsu}. */
			public Shape vyplnenuElipsu(double pomer) { return vyplňElipsu(pomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňElipsu(double) vyplňElipsu}. */
			public Shape vyplnenejElipsy(double pomer) { return vyplňElipsu(pomer); }


			/**
			 * Nakreslí alebo vyplní na mieste robota štvorec určený rozmerom
			 * vpísanej kružnice s polomerom {@linkplain #veľkosť() veľkosti}
			 * robota a obrátený v smere robota. Spôsob nakreslenia tvaru
			 * (vyplnenie alebo obkreslenie) závisí od nastavenia vlastnosti
			 * {@link #vypĺňajTvary(boolean) vypĺňajTvary}.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 * 
			 * @see #štvorec(double)
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #elipsa(double)
			 * @see #obdĺžnik(double)
			 * @see #hviezda()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape štvorec()
			{
				if (vypĺňajTvary) return vyplňŠtvorec();
				return kresliŠtvorec();
			}

			/** <a class="alias"></a> Alias pre {@link #štvorec() štvorec}. */
			public Shape stvorec() { return štvorec(); }

			/** <a class="alias"></a> Alias pre {@link #štvorec() štvorec}. */
			public Shape štvorca() { return štvorec(); }

			/** <a class="alias"></a> Alias pre {@link #štvorec() štvorec}. */
			public Shape stvorca() { return štvorec(); }

			/**
			 * Nakreslí na mieste robota štvorec určený rozmerom vpísanej
			 * kružnice s polomerom {@linkplain #veľkosť() veľkosti} robota
			 * a obrátený v smere robota.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 * 
			 * @see #kresliŠtvorec(double)
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #elipsa(double)
			 * @see #kresliElipsu(double)
			 * @see #vyplňElipsu(double)
			 * @see #vyplňŠtvorec()
			 * @see #kresliObdĺžnik(double)
			 * @see #vyplňObdĺžnik(double)
			 * @see #kresliHviezdu()
			 * @see #vyplňHviezdu()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape kresliŠtvorec()
			{
				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape štvorec;

				if (aktuálnyUhol % 90 == 0)
				{
					štvorec = new Rectangle2D.Double(prepočítanéX - veľkosť,
						prepočítanéY - veľkosť, 2 * veľkosť, 2 * veľkosť);
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					štvorec = AffineTransform.getRotateInstance(-α,
						prepočítanéX, prepočítanéY).
						createTransformedShape(
						new Rectangle2D.Double(prepočítanéX - veľkosť,
							prepočítanéY - veľkosť, 2 * veľkosť, 2 * veľkosť));
				}

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.draw(štvorec);
					aktualizujPôsobisko(štvorec.getBounds2D());
					automatickéPrekreslenie();
				}

				return štvorec;
			}

			/** <a class="alias"></a> Alias pre {@link #kresliŠtvorec() kresliŠtvorec}. */
			public Shape kresliStvorec() { return kresliŠtvorec(); }

			/**
			 * Vyplní štvorec so stredom na mieste robota, obrátený v smere
			 * robota a určený polomerom vpísanej kružnice s polomerom
			 * {@linkplain #veľkosť() veľkosti} robota.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      vypĺňaný útvar
			 * 
			 * @see #vyplňŠtvorec(double)
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #elipsa(double)
			 * @see #kresliElipsu(double)
			 * @see #vyplňElipsu(double)
			 * @see #štvorec()
			 * @see #kresliŠtvorec()
			 * @see #kresliObdĺžnik(double)
			 * @see #vyplňObdĺžnik(double)
			 * @see #kresliHviezdu()
			 * @see #vyplňHviezdu()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape vyplňŠtvorec()
			{
				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape štvorec;

				if (aktuálnyUhol % 90 == 0)
				{
					štvorec = new Rectangle2D.Double(prepočítanéX - veľkosť,
						prepočítanéY - veľkosť, 2 * veľkosť, 2 * veľkosť);
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					štvorec = AffineTransform.getRotateInstance(-α,
						prepočítanéX, prepočítanéY).
						createTransformedShape(
						new Rectangle2D.Double(prepočítanéX - veľkosť,
							prepočítanéY - veľkosť, 2 * veľkosť, 2 * veľkosť));
				}

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.fill(štvorec);
					aktualizujPôsobisko(štvorec.getBounds2D());
					automatickéPrekreslenie();
				}

				return štvorec;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňŠtvorec() vyplňŠtvorec}. */
			public Shape vyplnStvorec() { return vyplňŠtvorec(); }

			/** <a class="alias"></a> Alias pre {@link #vyplňŠtvorec() vyplňŠtvorec}. */
			public Shape vyplnenýŠtvorec() { return vyplňŠtvorec(); }

			/** <a class="alias"></a> Alias pre {@link #vyplňŠtvorec() vyplňŠtvorec}. */
			public Shape vyplnenyStvorec() { return vyplňŠtvorec(); }

			/** <a class="alias"></a> Alias pre {@link #vyplňŠtvorec() vyplňŠtvorec}. */
			public Shape vyplnenéhoŠtvorca() { return vyplňŠtvorec(); }

			/** <a class="alias"></a> Alias pre {@link #vyplňŠtvorec() vyplňŠtvorec}. */
			public Shape vyplnenehoStvorca() { return vyplňŠtvorec(); }


			/**
			 * Nakreslí alebo vyplní na mieste robota obdĺžnik určený rozmerom
			 * vpísanej elipsy a obrátený v smere robota. Spôsob nakreslenia
			 * tvaru (vyplnenie alebo obkreslenie) závisí od nastavenia
			 * vlastnosti {@link #vypĺňajTvary(boolean) vypĺňajTvary}.
			 * 
			 * Argument {@code pomer} udáva pomer šírky k výške útvaru.
			 * Hodnota {@code num1.0} znamená rovnakú šírku ako výšku (čiže
			 * hodnotu rovnú aktuálnej {@linkplain #veľkosť() veľkosti}
			 * robota). Čím väčšia hodnota od čísla {@code num1.0}, tým
			 * širší útvar, čím nižšia hodnota (v rozsahu od {@code num1.0}
			 * do {@code num0.0}), tým užší útvar.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param pomer pomer hlavnej a vedľajšej poloosi vpísanej
			 *      elipsy (šírky a výšky obdĺžnika – {@code num2.0} znamená
			 *      dvojnásobnú šírku, {@code num0.5} polovičnú a podobne)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 * 
			 * @see #obdĺžnik(double, double)
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #elipsa(double)
			 * @see #štvorec()
			 * @see #hviezda()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape obdĺžnik(double pomer)
			{
				if (vypĺňajTvary) return vyplňObdĺžnik(pomer);
				return kresliObdĺžnik(pomer);
			}

			/** <a class="alias"></a> Alias pre {@link #obdĺžnik(double) obdĺžnik}. */
			public Shape obdlznik(double pomer) { return obdĺžnik(pomer); }

			/** <a class="alias"></a> Alias pre {@link #obdĺžnik(double) obdĺžnik}. */
			public Shape obdĺžnika(double pomer) { return obdĺžnik(pomer); }

			/** <a class="alias"></a> Alias pre {@link #obdĺžnik(double) obdĺžnik}. */
			public Shape obdlznika(double pomer) { return obdĺžnik(pomer); }

			/**
			 * Nakreslí na mieste robota obdĺžnik určený rozmerom vpísanej
			 * elipsy a obrátený v smere robota.
			 * 
			 * Argument {@code pomer} udáva pomer šírky k výške útvaru.
			 * Hodnota {@code num1.0} znamená rovnakú šírku ako výšku (čiže
			 * hodnotu rovnú aktuálnej {@linkplain #veľkosť() veľkosti}
			 * robota). Čím väčšia hodnota od čísla {@code num1.0}, tým
			 * širší útvar, čím nižšia hodnota (v rozsahu od {@code num1.0}
			 * do {@code num0.0}), tým užší útvar.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param pomer pomer hlavnej a vedľajšej poloosi vpísanej
			 *      elipsy (šírky a výšky obdĺžnika – {@code num2.0} znamená
			 *      dvojnásobnú šírku, {@code num0.5} polovičnú a podobne)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 * 
			 * @see #kresliObdĺžnik(double, double)
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #elipsa(double)
			 * @see #kresliElipsu(double)
			 * @see #vyplňElipsu(double)
			 * @see #štvorec()
			 * @see #kresliŠtvorec()
			 * @see #vyplňŠtvorec()
			 * @see #vyplňObdĺžnik(double)
			 * @see #kresliHviezdu()
			 * @see #vyplňHviezdu()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape kresliObdĺžnik(double pomer)
			{
				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape obdĺžnik;

				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
				{
					obdĺžnik = new Rectangle2D.Double(
						prepočítanéX - veľkosť * pomer,
						prepočítanéY - veľkosť, 2 * veľkosť * pomer,
						2 * veľkosť);
				}
				else if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
				{
					obdĺžnik = new Rectangle2D.Double(prepočítanéX - veľkosť,
						prepočítanéY - veľkosť * pomer, 2 * veľkosť,
						2 * veľkosť * pomer);
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					obdĺžnik = AffineTransform.getRotateInstance(-α,
						prepočítanéX, prepočítanéY).
						createTransformedShape(
						new Rectangle2D.Double(prepočítanéX - veľkosť * pomer,
							prepočítanéY - veľkosť, 2 * veľkosť * pomer,
							2 * veľkosť));
				}

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.draw(obdĺžnik);
					aktualizujPôsobisko(obdĺžnik.getBounds2D());
					automatickéPrekreslenie();
				}

				return obdĺžnik;
			}

			/** <a class="alias"></a> Alias pre {@link #kresliObdĺžnik(double) kresliObdĺžnik}. */
			public Shape kresliObdlznik(double pomer) { return kresliObdĺžnik(pomer); }

			/**
			 * Vyplní obdĺžnik so stredom na mieste robota, obrátený v smere
			 * robota a určený rozmermi vpísanej elipsy.
			 * 
			 * Argument {@code pomer} udáva pomer šírky k výške útvaru.
			 * Hodnota {@code num1.0} znamená rovnakú šírku ako výšku (čiže
			 * hodnotu rovnú aktuálnej {@linkplain #veľkosť() veľkosti}
			 * robota). Čím väčšia hodnota od čísla {@code num1.0}, tým
			 * širší útvar, čím nižšia hodnota (v rozsahu od {@code num1.0}
			 * do {@code num0.0}), tým užší útvar.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 *  @param pomer pomer hlavnej a vedľajšej poloosi vpísanej
			 *      elipsy (šírky a výšky obdĺžnika – {@code num2.0} znamená
			 *      dvojnásobnú šírku, {@code num0.5} polovičnú a podobne)
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      vypĺňaný útvar
			 * 
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #elipsa(double)
			 * @see #kresliElipsu(double)
			 * @see #vyplňElipsu(double)
			 * @see #štvorec()
			 * @see #kresliŠtvorec()
			 * @see #vyplňŠtvorec()
			 * @see #kresliObdĺžnik(double)
			 * @see #kresliHviezdu()
			 * @see #vyplňHviezdu()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape vyplňObdĺžnik(double pomer)
			{
				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				Shape obdĺžnik;

				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
				{
					obdĺžnik = new Rectangle2D.Double(
						prepočítanéX - veľkosť * pomer,
						prepočítanéY - veľkosť, 2 * veľkosť * pomer,
						2 * veľkosť);
				}
				else if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
				{
					obdĺžnik = new Rectangle2D.Double(prepočítanéX - veľkosť,
						prepočítanéY - veľkosť * pomer, 2 * veľkosť,
						2 * veľkosť * pomer);
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					obdĺžnik = AffineTransform.getRotateInstance(-α,
						prepočítanéX, prepočítanéY).
						createTransformedShape(
						new Rectangle2D.Double(prepočítanéX - veľkosť * pomer,
							prepočítanéY - veľkosť, 2 * veľkosť * pomer,
							2 * veľkosť));
				}

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.fill(obdĺžnik);
					aktualizujPôsobisko(obdĺžnik.getBounds2D());
					automatickéPrekreslenie();
				}

				return obdĺžnik;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňObdĺžnik(double) vyplňObdĺžnik}. */
			public Shape vyplnObdlznik(double pomer) { return vyplňObdĺžnik(pomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňObdĺžnik(double) vyplňObdĺžnik}. */
			public Shape vyplnenýObdĺžnik(double pomer) { return vyplňObdĺžnik(pomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňObdĺžnik(double) vyplňObdĺžnik}. */
			public Shape vyplnenyObdlznik(double pomer) { return vyplňObdĺžnik(pomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňObdĺžnik(double) vyplňObdĺžnik}. */
			public Shape vyplnenéhoObdĺžnika(double pomer) { return vyplňObdĺžnik(pomer); }

			/** <a class="alias"></a> Alias pre {@link #vyplňObdĺžnik(double) vyplňObdĺžnik}. */
			public Shape vyplnenehoObdlznika(double pomer) { return vyplňObdĺžnik(pomer); }


			/**
			 * Nakreslí alebo vyplní na mieste robota hviezdu určenú rozmerom
			 * opísanej kružnice s polomerom {@linkplain #veľkosť() veľkosti}
			 * robota a obrátenú v smere robota. Spôsob nakreslenia tvaru
			 * (vyplnenie alebo obkreslenie) závisí od nastavenia vlastnosti
			 * {@link #vypĺňajTvary(boolean) vypĺňajTvary}.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 * 
			 * @see #hviezda(double)
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #elipsa(double)
			 * @see #štvorec()
			 * @see #obdĺžnik(double)
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape hviezda()
			{
				if (vypĺňajTvary) return vyplňHviezdu();
				return kresliHviezdu();
			}

			/** <a class="alias"></a> Alias pre {@link #hviezda() hviezda}. */
			public Shape hviezdu() { return hviezda(); }

			/** <a class="alias"></a> Alias pre {@link #hviezda() hviezda}. */
			public Shape hviezdy() { return hviezda(); }

			/**
			 * Nakreslí na mieste robota hviezdu určenú rozmerom opísanej
			 * kružnice s polomerom {@linkplain #veľkosť() veľkosti} robota
			 * a obrátenú v smere robota.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      kreslený útvar
			 * 
			 * @see #kresliHviezdu(double)
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #elipsa(double)
			 * @see #kresliElipsu(double)
			 * @see #vyplňElipsu(double)
			 * @see #štvorec()
			 * @see #kresliŠtvorec()
			 * @see #vyplňŠtvorec()
			 * @see #kresliObdĺžnik(double)
			 * @see #vyplňObdĺžnik(double)
			 * @see #vyplňHviezdu()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape kresliHviezdu()
			{
				Shape hviezda = this.hviezda.daj(veľkosť);

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.draw(hviezda);
					aktualizujPôsobisko(hviezda.getBounds2D());
					automatickéPrekreslenie();
				}

				return hviezda;
			}

			/**
			 * Vyplní hviezdu so stredom na mieste robota, obrátenú v smere
			 * robota a určenú rozmerom opísanej kružnice s polomerom
			 * {@linkplain #veľkosť() veľkosti} robota.
			 * 
			 * {@linkplain #polohaPera(boolean) Poloha pera} nemá na
			 * kreslenie tohto útvaru vplyv. Metóda funguje ako pečiatka.
			 * Útvar nie je nakreslený v prípade, že bol tento robot
			 * {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný} na účely
			 * tvorby {@linkplain Oblasť oblasti} alebo je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov}.
			 * 
			 *  @return objekt typu {@link Shape Shape} reprezentujúci
			 *      vypĺňaný útvar
			 * 
			 * @see #vyplňHviezdu(double)
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #elipsa(double)
			 * @see #kresliElipsu(double)
			 * @see #vyplňElipsu(double)
			 * @see #štvorec()
			 * @see #kresliŠtvorec()
			 * @see #vyplňŠtvorec()
			 * @see #kresliObdĺžnik(double)
			 * @see #vyplňObdĺžnik(double)
			 * @see #kresliHviezdu()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape vyplňHviezdu()
			{
				Shape hviezda = this.hviezda.daj(veľkosť);

				if (kresliTvary)
				{
					grafikaAktívnehoPlátna.setColor(farbaRobota);
					grafikaAktívnehoPlátna.fill(hviezda);
					aktualizujPôsobisko(hviezda.getBounds2D());
					automatickéPrekreslenie();
				}

				return hviezda;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňHviezdu() vyplňHviezdu}. */
			public Shape vyplnHviezdu() { return vyplňHviezdu(); }

			/** <a class="alias"></a> Alias pre {@link #vyplňHviezdu() vyplňHviezdu}. */
			public Shape vyplnenáHviezda() { return vyplňHviezdu(); }

			/** <a class="alias"></a> Alias pre {@link #vyplňHviezdu() vyplňHviezdu}. */
			public Shape vyplnenaHviezda() { return vyplňHviezdu(); }

			/** <a class="alias"></a> Alias pre {@link #vyplňHviezdu() vyplňHviezdu}. */
			public Shape vyplnenúHviezdu() { return vyplňHviezdu(); }

			/** <a class="alias"></a> Alias pre {@link #vyplňHviezdu() vyplňHviezdu}. */
			public Shape vyplnenuHviezdu() { return vyplňHviezdu(); }

			/** <a class="alias"></a> Alias pre {@link #vyplňHviezdu() vyplňHviezdu}. */
			public Shape vyplnenejHviezdy() { return vyplňHviezdu(); }


			/**
			 * Táto metóda kreslí alebo vracia tvar trojzubca, ktorý je
			 * {@linkplain #predvolenýTvar(boolean) predvoleným tvarom
			 * grafického robota}. Metóda má zvláštne postavenie. Má jednu
			 * ďalšiu verziu prijímajúcu jeden logický parameter –
			 * {@link #trojzubec(boolean) trojzubec(starý)}. Obidve verzie
			 * metódy vždy nanovo prepočítajú súradnice polygónu trojzubca
			 * podľa aktuálnej {@linkplain #poloha() polohy},
			 * {@linkplain #smer() orientácie} a {@linkplain #veľkosť()
			 * veľkosti} robota. Verzia prijímajúca logický parameter dovoľuje
			 * prepočítať tvar aj podľa starej koncepcie (pozri obrázok
			 * v jej {@linkplain #trojzubec(boolean) opise}), naproti tomu
			 * táto verzia metódy prepočíta vždy len novú verziu tvaru
			 * trojzubca. Inak fungujú rovnako.
			 * 
			 * <P>Ak je {@linkplain #kresliTvary() zapnuté kreslenie tvarov}
			 * robotom, tak sa polygón priamo nakreslí alebo vyplní podľa
			 * aktuálneho nastavenia {@linkplain #predvolenýTvar(boolean)
			 * vypĺňania predvoleného tvaru}, ktoré je ovplyvňované aj
			 * nastavením vykonávaným metódou {@link #vypĺňajTvary(boolean)
			 * vypĺňajTvary}. Tvar je kreslený alebo vyplnený s použitím
			 * aktuálnej {@linkplain #farba() farby}
			 * a {@linkplain #hrúbkaČiary() hrúbky} (prípadne aj
			 * {@linkplain #čiara() typu}) čiary robota. V tomto prípade
			 * má metóda návratovú hodnotu {@code valnull}.
			 * 
			 * <P>Ak je {@linkplain #nekresliTvary() kreslenie tvarov
			 * vypnuté}, tak metóday z polygónu vyrobí {@linkplain Shape
			 * tvar Javy} a vráti ho v návratovej hodnote.
			 * 
			 * <P>Táto metóda neaktualizuje {@linkplain #pôsobisko()
			 * pôsobisko}. Slúži len na nakreslenie, vyplnenie alebo
			 * vrátenie tvaru trojzubca, ktorý slúži ako predvolený tvar
			 * robota.
			 * 
			 * <P>Táto metóda je dostupná od verzie 1.75. Pred touto verziu
			 * bol predvolený tvar robota mierne odlišný. (Ako bolo spomenuté
			 * vyššie, zmena je zachytená na obrázku v opise metódy
			 * {@link #trojzubec(boolean) trojzubec(starý)}.)
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @return aktuálny {@linkplain Shape tvar} robota (v zmysle
			 *     aktuálnych parametrov robota – polohy, smeru, veľkosti…;
			 *     iba novú verziu – pozri aj obrázok v opise metódy
			 *     {@link #trojzubec(boolean) trojzubec(starý)}) alebo
			 *     {@code valnull} (podrobnosti sú v opise vyššie)
			 */
			public Shape trojzubec()
			{
				prepočítajPolygón();

				if (!kresliTvary) return new Polygon(fx, fy, 7);

				grafikaAktívnehoPlátna.setColor(farbaRobota);

				if (vyplnený)
				{
					grafikaAktívnehoPlátna.fillPolygon(fx, fy, 7);
				}
				else
				{
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.drawPolygon(fx, fy, 7);
				}

				automatickéPrekreslenie();
				return null;
			}

			/**
			 * Táto metóda kreslí alebo vracia starý alebo nový tvar
			 * trojzubca, ktorý tvorí {@linkplain #predvolenýTvar(boolean)
			 * predvolený tvar grafického robota}. Spôsob činnosti je
			 * rovnaký ako pri metóde {@link #trojzubec() trojzubec()},
			 * detaily nájdete tam. Jediný rozdiel je, že táto verzia metódy
			 * dovoľuje nakresliť alebo vrátiť aj starú verziu tvaru –
			 * umožňuje to hodnota logického parametra {@code starý}.
			 * 
			 * <P>Rozdiel medzi starým a novým tvarom je zobrazený na
			 * obrázku nižšie. Na ilustráciu sú na obrázku zároveň
			 * nakreslené kružnice odrážajúce skutočnú veľkosť robota.
			 * Plocha kruhu ohraničeného kružnicou bola a je zároveň
			 * predvolenou {@linkplain #koliduje(GRobot) kolíznou „oblasťou“
			 * (resp. plochou)} robota.
			 * <image>tvaryRobota.png</image>Starý predvolený tvar robota
			 * (pred verziou 1.75 – vľavo) a nový predvolený tvar robota
			 * (vpravo)<br /><small>(šedé kružnice sú len ilustračné)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @param starý ak je hodnota parametera rovná {@code valtrue},
			 *     tak táto metóda pracuje so starým tvarom robota (pozri
			 *     obrázok vyššie), inak pracuje rovnako ako metóda
			 *     {@link #trojzubec() trojzubec()}
			 * @return aktuálny (v zmysle aktuálnych parametrov robota –
			 *     polohy, smeru, veľkosti…) starý alebo nový
			 *     {@linkplain Shape tvar} robota (pozri obrázok vyššie)
			 *     alebo {@code valnull} (podrobnosti sú v opise metódy
			 *     {@link #trojzubec() trojzubec()})
			 */
			public Shape trojzubec(boolean starý)
			{
				if (starý) starýPolygón();
				else prepočítajPolygón();

				if (!kresliTvary) return new Polygon(fx, fy, 7);

				grafikaAktívnehoPlátna.setColor(farbaRobota);

				if (vyplnený)
				{
					grafikaAktívnehoPlátna.fillPolygon(fx, fy, 7);
				}
				else
				{
					grafikaAktívnehoPlátna.setStroke(čiara);
					grafikaAktívnehoPlátna.drawPolygon(fx, fy, 7);
				}

				automatickéPrekreslenie();
				return null;
			}


			/**
			 * Nakreslí čiaru podľa zadaného tvaru (hrúbkou a farbou čiary
			 * nastavenou pre tohto robota).
			 * 
			 * <P><small>(<b>Poznámka:</b> Táto metóda bola pridaná spolu
			 * s triedou {@link SVGPodpora SVGPodpora}, aby boli ňou
			 * rozpoznané tvary jednoduchšie nakresliteľné.)</small>
			 * 
			 * <P><small>(<b>Poznámka 2:</b> Názov tejto metódy koliduje
			 * s názvom metódy {@link #kresliTvar() kresliTvar()} určenej na
			 * prekrytie a kreslenie vlastného tvaru robota. Okrem toho je
			 * definovaná metóda {@link #kresliTvary() kresliTvary()}, ktorá
			 * slúži na opätovné povolenie kreslenia tvarov a písania textov
			 * robotom po ich vypnutí metódou {@link #nekresliTvary()
			 * nekresliTvary()}.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param tvar objekt typu {@link Shape}
			 *  @return vráti rovnaký tvar ako bol zadaný v parametri
			 *    {@code tvar} (na ďalšie použitie)
			 */
			public Shape kresliTvar(Shape tvar)
			{
				grafikaAktívnehoPlátna.setColor(farbaRobota);
				grafikaAktívnehoPlátna.setStroke(čiara);
				grafikaAktívnehoPlátna.draw(tvar);
				aktualizujPôsobisko(tvar.getBounds2D());
				automatickéPrekreslenie();
				return tvar;
			}

			/**
			 * Vyplní plochu zadaného tvaru farbou nastavenou pre tohto
			 * robota.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * <P><small>(<b>Poznámka:</b> Táto metóda bola pridaná spolu
			 * s triedou {@link SVGPodpora SVGPodpora}, aby boli ňou
			 * rozpoznané tvary jednoduchšie vyplniteľné.)</small>
			 * 
			 *  @param tvar objekt typu {@link Shape}
			 *  @return vráti rovnaký tvar ako bol zadaný v parametri
			 *    {@code tvar} (na ďalšie použitie)
			 */
			public Shape vyplňTvar(Shape tvar)
			{
				grafikaAktívnehoPlátna.setColor(farbaRobota);
				grafikaAktívnehoPlátna.fill(tvar);
				aktualizujPôsobisko(tvar.getBounds2D());
				automatickéPrekreslenie();
				return tvar;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňTvar(Shape) vyplňTvar}. */
			public Shape vyplnTvar(Shape tvar) { return vyplňTvar(tvar); }

			/**
			 * Vyplní plochu zadaného tvaru zadanou textúrou.
			 * Textúra je zadaná ako názov súboru s obrázkom, ktorý bude
			 * použitý na dlaždicové vyplnenie plochy tvaru.
			 * 
			 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
			 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
			 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
			 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
			 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
			 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
			 * prijímajú názov súboru ako parameter.)
			 * 
			 * <P><small>(<b>Poznámka:</b> Táto metóda bola pridaná spolu
			 * s triedou {@link SVGPodpora SVGPodpora}, aby boli ňou
			 * rozpoznané tvary jednoduchšie vyplniteľné.)</small>
			 * 
			 * <P><small>(<b>Poznámka 2:</b> Od verzie 1.75 je možné
			 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
			 * súvislosti sa mierne zmenilo aj predvolené správanie
			 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
			 * dlaždicami sa presunul do stredu plátna, prípadne
			 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
			 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
			 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
			 * upravujúce ďalšie parametre obrázkových výplní.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param tvar objekt typu {@link Shape}
			 *  @param súbor názov súboru s obrázkom textúry
			 *  @return vráti rovnaký tvar ako bol zadaný v parametri
			 *    {@code tvar} (na ďalšie použitie)
			 * 
			 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
			 * 
			 *  @see Svet#priečinokObrázkov()
			 *  @see Svet#priečinokObrázkov(String)
			 */
			public Shape vyplňTvar(Shape tvar, String súbor)
			{
				BufferedImage obrázok = súborNaObrázok(súbor);

				grafikaAktívnehoPlátna.setPaint(
					new TexturePaint(obrázok, new Rectangle2D.Double(
						posuňVýplňX, posuňVýplňY,
						obrázok.getWidth()  * mierkaVýplneX,
						obrázok.getHeight() * mierkaVýplneY)));

				if (0 == otočVýplňΑ)
					grafikaAktívnehoPlátna.fill(tvar);
				else
				{
					double β = Math.toRadians(otočVýplňΑ);
					grafikaAktívnehoPlátna.rotate(-β,
						otočVýplňX, otočVýplňY);
					Shape s = AffineTransform.getRotateInstance(β,
						otočVýplňX, otočVýplňY).
						createTransformedShape(tvar);

					grafikaAktívnehoPlátna.fill(s);

					grafikaAktívnehoPlátna.rotate(β,
						otočVýplňX, otočVýplňY);
				}

				aktualizujPôsobisko(tvar.getBounds2D());

				automatickéPrekreslenie();
				return tvar;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňTvar(Shape, String) vyplňTvar}. */
			public Shape vyplnTvar(Shape tvar, String súbor)
			{ return vyplňTvar(tvar, súbor); }

			/**
			 * Vyplní plochu zadaného tvaru zadanou textúrou.
			 * Textúra bude použitá na dlaždicové vyplnenie plochy tvaru. Je
			 * zadaná ako objekt typu {@link Image Image}, za ktorý môže byť
			 * dosadený aj objekt typu {@link Obrázok Obrázok}.
			 * 
			 * <P><small>(<b>Poznámka:</b> Táto metóda bola pridaná spolu
			 * s triedou {@link SVGPodpora SVGPodpora}, aby boli ňou
			 * rozpoznané tvary jednoduchšie vyplniteľné.)</small>
			 * 
			 * <P><small>(<b>Poznámka 2:</b> Od verzie 1.75 je možné
			 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
			 * súvislosti sa mierne zmenilo aj predvolené správanie
			 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
			 * dlaždicami sa presunul do stredu plátna, prípadne
			 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
			 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
			 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
			 * upravujúce ďalšie parametre obrázkových výplní.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param tvar objekt typu {@link Shape}
			 *  @param výplň obrázok textúry
			 *  @return vráti rovnaký tvar ako bol zadaný v parametri
			 *    {@code tvar} (na ďalšie použitie)
			 */
			public Shape vyplňTvar(Shape tvar, Image výplň)
			{
				BufferedImage obrázok = preveďNaBufferedImage(výplň);
				BufferedImage relevantný = dajRelevantnýRaster(obrázok);

				float priehľadnosť = (obrázok instanceof Obrázok) ?
					((Obrázok)obrázok).priehľadnosť : 1.0f;

				if (priehľadnosť > 0)
				{
					grafikaAktívnehoPlátna.setPaint(
						new TexturePaint(relevantný, new Rectangle2D.Double(
							posuňVýplňX, posuňVýplňY,
							relevantný.getWidth(null)  * mierkaVýplneX,
							relevantný.getHeight(null) * mierkaVýplneY)));

					Shape s = tvar; double β = 0.0;

					if (0 != otočVýplňΑ)
					{
						β = Math.toRadians(otočVýplňΑ);
						grafikaAktívnehoPlátna.rotate(-β,
							otočVýplňX, otočVýplňY);
						s = AffineTransform.getRotateInstance(β,
							otočVýplňX, otočVýplňY).
							createTransformedShape(tvar);
					}

					if (priehľadnosť < 1)
					{
						Composite záloha =
							grafikaAktívnehoPlátna.getComposite();
						grafikaAktívnehoPlátna.setComposite(
							AlphaComposite.getInstance(
								AlphaComposite.SRC_OVER,
								priehľadnosť));

						grafikaAktívnehoPlátna.fill(s);
						aktualizujPôsobisko(tvar.getBounds2D());

						grafikaAktívnehoPlátna.setComposite(záloha);
					}
					else
					{
						grafikaAktívnehoPlátna.fill(s);
						aktualizujPôsobisko(tvar.getBounds2D());
					}

					if (0 != otočVýplňΑ)
					{
						grafikaAktívnehoPlátna.rotate(β,
							otočVýplňX, otočVýplňY);
					}

					automatickéPrekreslenie();
				}
				return tvar;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňTvar(Shape, Image) vyplňTvar}. */
			public Shape vyplnTvar(Shape tvar, Image výplň)
			{ return vyplňTvar(tvar, výplň); }


			/**
			 * Nakreslí čiaru podľa zadaného tvaru (hrúbkou a farbou čiary
			 * nastavenou pre tohto robota). Ak je hodnota parametra
			 * {@code upravRobotom} rovná {@code valtrue}, tak bude tvar
			 * pootočený podľa smeru robota (za východisko je považovaných
			 * 90°; odchýlka v kladom alebo zápornom smere patrične pootočí
			 * tvar) a posunutý o súradnice robota na plátne (východisko
			 * posunu je umiestnené do bodu [0, 0] – do stredu plátna; ak
			 * sa robot nachádza v strede plátna, tak sa poloha tvaru
			 * nezmení).
			 * 
			 * <P><small>(<b>Poznámka:</b> Táto metóda bola pridaná spolu
			 * s triedou {@link SVGPodpora SVGPodpora}, aby boli ňou
			 * rozpoznané tvary jednoduchšie nakresliteľné.)</small>
			 * 
			 * <P><small>(<b>Poznámka 2:</b> Názov tejto metódy koliduje
			 * s názvom metódy {@link #kresliTvar() kresliTvar()} určenej na
			 * prekrytie a kreslenie vlastného tvaru robota. Okrem toho je
			 * definovaná metóda {@link #kresliTvary() kresliTvary()}, ktorá
			 * slúži na opätovné povolenie kreslenia tvarov a písania textov
			 * robotom po ich vypnutí metódou {@link #nekresliTvary()
			 * nekresliTvary()}.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param tvar objekt typu {@link Shape}
			 *  @param upravRobotom ak je hodnota tohto parametra rovná
			 *    {@code valtrue}, tak zadaný tvar bude upravený podľa polohy
			 *    a orientácie robota, inak tvar nebude ovplyvňovaný
			 *  @return vráti buď rovnaký tvar ako bol zadaný v parametri,
			 *    {@code tvar}, alebo tvar transformovaný podľa polohy
			 *    a orientácie robota (na ďalšie použitie)
			 */
			public Shape kresliTvar(Shape tvar, boolean upravRobotom)
			{
				grafikaAktívnehoPlátna.setColor(farbaRobota);
				grafikaAktívnehoPlátna.setStroke(čiara);

				if (!upravRobotom || (aktuálnyUhol == 90 &&
					aktuálneX == 0 && aktuálneY == 0))
				{
					grafikaAktívnehoPlátna.draw(tvar);
					aktualizujPôsobisko(tvar.getBounds2D());
				}
				else
				{
					AffineTransform at = new AffineTransform();
					at.rotate(Math.toRadians(90 - aktuálnyUhol),
						prepočítajX(aktuálneX), prepočítajY(aktuálneY));
					at.translate(aktuálneX, -aktuálneY);
					tvar = at.createTransformedShape(tvar);

					grafikaAktívnehoPlátna.draw(tvar);
					aktualizujPôsobisko(tvar.getBounds2D());
				}

				automatickéPrekreslenie();
				return tvar;
			}

			/**
			 * Vyplní plochu zadaného tvaru farbou nastavenou pre tohto
			 * robota. Ak je hodnota parametra {@code upravRobotom} rovná
			 * {@code valtrue}, tak bude vypĺňaný tvar pootočený podľa
			 * smeru robota (za východisko je považovaných 90°; odchýlka
			 * v kladom alebo zápornom smere patrične pootočí tvar)
			 * a posunutý o súradnice robota na plátne (východisko posunu
			 * je umiestnené do bodu [0, 0] – do stredu plátna; ak sa robot
			 * nachádza v strede plátna, tak sa poloha tvaru nezmení).
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * <P><small>(<b>Poznámka:</b> Táto metóda bola pridaná spolu
			 * s triedou {@link SVGPodpora SVGPodpora}, aby boli ňou
			 * rozpoznané tvary jednoduchšie vyplniteľné.)</small>
			 * 
			 *  @param tvar objekt typu {@link Shape}
			 *  @param upravRobotom ak je hodnota tohto parametra rovná
			 *    {@code valtrue}, tak zadaný tvar bude upravený podľa polohy
			 *    a orientácie robota, inak tvar nebude ovplyvňovaný
			 *  @return vráti buď rovnaký tvar ako bol zadaný v parametri,
			 *    {@code tvar}, alebo tvar transformovaný podľa polohy
			 *    a orientácie robota (na ďalšie použitie)
			 */
			public Shape vyplňTvar(Shape tvar, boolean upravRobotom)
			{
				grafikaAktívnehoPlátna.setColor(farbaRobota);

				if (!upravRobotom || (aktuálnyUhol == 90 &&
					aktuálneX == 0 && aktuálneY == 0))
				{
					grafikaAktívnehoPlátna.fill(tvar);
					aktualizujPôsobisko(tvar.getBounds2D());
				}
				else
				{
					AffineTransform at = new AffineTransform();
					at.rotate(Math.toRadians(90 - aktuálnyUhol),
						prepočítajX(aktuálneX), prepočítajY(aktuálneY));
					at.translate(aktuálneX, -aktuálneY);
					tvar = at.createTransformedShape(tvar);

					grafikaAktívnehoPlátna.fill(tvar);
					aktualizujPôsobisko(tvar.getBounds2D());
				}

				automatickéPrekreslenie();
				return tvar;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňTvar(Shape) vyplňTvar}. */
			public Shape vyplnTvar(Shape tvar, boolean upravRobotom) { return vyplňTvar(tvar, upravRobotom); }

			/**
			 * Vyplní plochu zadaného tvaru zadanou textúrou. Ak je hodnota
			 * parametra {@code upravRobotom} rovná {@code valtrue}, tak
			 * zadaný tvar bude pootočený podľa smeru<sup>[1]</sup> robota
			 * a posunutý o súradnice<sup>[2]</sup> robota na plátne.
			 * Pootočenie a poloha textúry nie sú nijako ovplyvňované
			 * polohou a smerom robota. Textúra je zadaná ako názov súboru
			 * s obrázkom, ktorý bude použitý na dlaždicové vyplnenie
			 * plochy tvaru.
			 * 
			 * <P>
			 * <small>[1] – za východisko je považovaných 90°; odchýlka
			 * v kladom alebo zápornom smere patrične pootočí
			 * tvar</small><br />
			 * <small>[2] – východisko posunu je umiestnené do bodu [0, 0] –
			 * do stredu plátna; ak sa robot nachádza v strede plátna,
			 * tak sa poloha tvaru nezmení</small>
			 * 
			 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
			 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
			 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
			 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
			 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
			 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
			 * prijímajú názov súboru ako parameter.)
			 * 
			 * <P><small>(<b>Poznámka:</b> Táto metóda bola pridaná spolu
			 * s triedou {@link SVGPodpora SVGPodpora}, aby boli ňou
			 * rozpoznané tvary jednoduchšie vyplniteľné.)</small>
			 * 
			 * <P><small>(<b>Poznámka 2:</b> Od verzie 1.75 je možné
			 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
			 * súvislosti sa mierne zmenilo aj predvolené správanie
			 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
			 * dlaždicami sa presunul do stredu plátna, prípadne
			 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
			 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
			 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
			 * upravujúce ďalšie parametre obrázkových výplní.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param tvar objekt typu {@link Shape}
			 *  @param súbor názov súboru s obrázkom textúry
			 *  @param upravRobotom ak je hodnota tohto parametra rovná
			 *    {@code valtrue}, tak zadaný tvar bude upravený podľa polohy
			 *    a orientácie robota, inak tvar nebude ovplyvňovaný
			 *  @return vráti buď rovnaký tvar ako bol zadaný v parametri,
			 *    {@code tvar}, alebo tvar transformovaný podľa polohy
			 *    a orientácie robota (na ďalšie použitie)
			 * 
			 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
			 * 
			 *  @see Svet#priečinokObrázkov()
			 *  @see Svet#priečinokObrázkov(String)
			 */
			public Shape vyplňTvar(Shape tvar, String súbor,
				boolean upravRobotom)
			{
				BufferedImage obrázok = súborNaObrázok(súbor);

				grafikaAktívnehoPlátna.setPaint(
					new TexturePaint(obrázok, new Rectangle2D.Double(
						posuňVýplňX, posuňVýplňY,
						obrázok.getWidth()  * mierkaVýplneX,
						obrázok.getHeight() * mierkaVýplneY)));

				Shape s = tvar; double β = 0.0;

				if (0 != otočVýplňΑ)
				{
					β = Math.toRadians(otočVýplňΑ);
					grafikaAktívnehoPlátna.rotate(-β,
						otočVýplňX, otočVýplňY);
					s = AffineTransform.getRotateInstance(β,
						otočVýplňX, otočVýplňY).
						createTransformedShape(tvar);
				}

				if (!upravRobotom || (aktuálnyUhol == 90 &&
					aktuálneX == 0 && aktuálneY == 0))
				{
					grafikaAktívnehoPlátna.fill(s);
					aktualizujPôsobisko(tvar.getBounds2D());
				}
				else
				{
					AffineTransform at = new AffineTransform();
					at.rotate(Math.toRadians(90 - aktuálnyUhol),
						prepočítajX(aktuálneX), prepočítajY(aktuálneY));
					at.translate(aktuálneX, -aktuálneY);
					tvar = at.createTransformedShape(tvar);

					if (0 != otočVýplňΑ)
						s = AffineTransform.getRotateInstance(β,
							otočVýplňX, otočVýplňY).
							createTransformedShape(tvar);
					else s = tvar;

					grafikaAktívnehoPlátna.fill(s);
					aktualizujPôsobisko(tvar.getBounds2D());
				}

				if (0 != otočVýplňΑ)
				{
					grafikaAktívnehoPlátna.rotate(β,
						otočVýplňX, otočVýplňY);
				}

				automatickéPrekreslenie();
				return tvar;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňTvar(Shape, String) vyplňTvar}. */
			public Shape vyplnTvar(Shape tvar, String súbor, boolean upravRobotom)
			{ return vyplňTvar(tvar, súbor, upravRobotom); }

			/**
			 * Vyplní plochu zadaného tvaru zadanou textúrou. Ak je hodnota
			 * parametra {@code upravRobotom} rovná {@code valtrue}, tak
			 * zadaný tvar bude pootočený podľa smeru<sup>[1]</sup> robota
			 * a posunutý o súradnice<sup>[2]</sup> robota na plátne.
			 * Pootočenie a poloha textúry nie sú nijako ovplyvňované
			 * polohou a smerom robota. Textúra bude použitá na dlaždicové
			 * vyplnenie plochy tvaru. Je zadaná ako objekt typu
			 * {@link Image Image}, za ktorý môže byť dosadený aj objekt
			 * typu {@link Obrázok Obrázok}.
			 * 
			 * <P>
			 * <small>[1] – za východisko je považovaných 90°; odchýlka
			 * v kladom alebo zápornom smere patrične pootočí
			 * tvar</small><br />
			 * <small>[2] – východisko posunu je umiestnené do bodu [0, 0] –
			 * do stredu plátna; ak sa robot nachádza v strede plátna,
			 * tak sa poloha tvaru nezmení</small>
			 * 
			 * <P><small>(<b>Poznámka:</b> Táto metóda bola pridaná spolu
			 * s triedou {@link SVGPodpora SVGPodpora}, aby boli ňou
			 * rozpoznané tvary jednoduchšie vyplniteľné.)</small>
			 * 
			 * <P><small>(<b>Poznámka 2:</b> Od verzie 1.75 je možné
			 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
			 * súvislosti sa mierne zmenilo aj predvolené správanie
			 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
			 * dlaždicami sa presunul do stredu plátna, prípadne
			 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
			 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
			 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
			 * upravujúce ďalšie parametre obrázkových výplní.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param tvar objekt typu {@link Shape}
			 *  @param výplň obrázok textúry
			 *  @param upravRobotom ak je hodnota tohto parametra rovná
			 *    {@code valtrue}, tak zadaný tvar bude upravený podľa polohy
			 *    a orientácie robota, inak tvar nebude ovplyvňovaný
			 *  @return vráti buď rovnaký tvar ako bol zadaný v parametri,
			 *    {@code tvar}, alebo tvar transformovaný podľa polohy
			 *    a orientácie robota (na ďalšie použitie)
			 */
			public Shape vyplňTvar(Shape tvar, Image výplň,
				boolean upravRobotom)
			{
				BufferedImage obrázok = preveďNaBufferedImage(výplň);
				BufferedImage relevantný = dajRelevantnýRaster(obrázok);

				float priehľadnosť = (obrázok instanceof Obrázok) ?
					((Obrázok)obrázok).priehľadnosť : 1.0f;

				if (priehľadnosť > 0)
				{
					grafikaAktívnehoPlátna.setPaint(
						new TexturePaint(relevantný, new Rectangle2D.Double(
							posuňVýplňX, posuňVýplňY,
							relevantný.getWidth(null)  * mierkaVýplneX,
							relevantný.getHeight(null) * mierkaVýplneY)));

					Shape s = tvar; double β = 0.0;

					if (0 != otočVýplňΑ)
					{
						β = Math.toRadians(otočVýplňΑ);
						grafikaAktívnehoPlátna.rotate(-β,
							otočVýplňX, otočVýplňY);
						s = AffineTransform.getRotateInstance(β,
							otočVýplňX, otočVýplňY).
							createTransformedShape(tvar);
					}

					if (priehľadnosť < 1)
					{
						Composite záloha =
							grafikaAktívnehoPlátna.getComposite();
						grafikaAktívnehoPlátna.setComposite(
							AlphaComposite.getInstance(
								AlphaComposite.SRC_OVER,
								priehľadnosť));

						if (!upravRobotom || (aktuálnyUhol == 90 &&
							aktuálneX == 0 && aktuálneY == 0))
						{
							grafikaAktívnehoPlátna.fill(s);
							aktualizujPôsobisko(tvar.getBounds2D());
						}
						else
						{
							AffineTransform at = new AffineTransform();
							at.rotate(Math.toRadians(90 - aktuálnyUhol),
								prepočítajX(aktuálneX),
								prepočítajY(aktuálneY));
							at.translate(aktuálneX, -aktuálneY);
							tvar = at.createTransformedShape(tvar);

							if (0 != otočVýplňΑ)
								s = AffineTransform.getRotateInstance(β,
									otočVýplňX, otočVýplňY).
									createTransformedShape(tvar);
							else s = tvar;

							grafikaAktívnehoPlátna.fill(s);
							aktualizujPôsobisko(tvar.getBounds2D());
						}

						grafikaAktívnehoPlátna.setComposite(záloha);
					}
					else
					{
						if (!upravRobotom || (aktuálnyUhol == 90 &&
							aktuálneX == 0 && aktuálneY == 0))
						{
							grafikaAktívnehoPlátna.fill(s);
							aktualizujPôsobisko(tvar.getBounds2D());
						}
						else
						{
							AffineTransform at = new AffineTransform();
							at.rotate(Math.toRadians(90 - aktuálnyUhol),
								prepočítajX(aktuálneX),
								prepočítajY(aktuálneY));
							at.translate(aktuálneX, -aktuálneY);
							tvar = at.createTransformedShape(tvar);

							if (0 != otočVýplňΑ)
								s = AffineTransform.getRotateInstance(β,
									otočVýplňX, otočVýplňY).
									createTransformedShape(tvar);
							else s = tvar;

							grafikaAktívnehoPlátna.fill(s);
							aktualizujPôsobisko(tvar.getBounds2D());
						}
					}

					if (0 != otočVýplňΑ)
					{
						grafikaAktívnehoPlátna.rotate(β,
							otočVýplňX, otočVýplňY);
					}

					automatickéPrekreslenie();
				}
				return tvar;
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňTvar(Shape, Image) vyplňTvar}. */
			public Shape vyplnTvar(Shape tvar, Image výplň, boolean upravRobotom)
			{ return vyplňTvar(tvar, výplň, upravRobotom); }


			// Detekcia myši v tvaroch

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú v kruhu so
			 * stredom na aktuálnej pozícii robota a zadaným polomerom.
			 * 
			 *  @param polomer  polomer vyšetrovaného kruhu
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #myšVCeste()
			 *  @see #myšVElipse(double, double)
			 *  @see #myšVPôsobisku()
			 *  @see #myšVoŠtvorci(double)
			 *  @see #myšVObdĺžniku(double, double)
			 *  @see #myšVHviezde(double)
			 *  @see #myšVOblasti(Area)
			 *  @see #myšVKruhu()
			 */
			public boolean myšVKruhu(double polomer)
			{
				/*
				return (Math.pow(súradnicaMyšiX - aktuálneX, 2) +
					Math.pow(súradnicaMyšiY - aktuálneY, 2)) <=
					// Math.pow(polomer /*+ (polomerPera / 2)* /, 2);
					(polomer * polomer);
				*/
				double Δx = súradnicaMyšiX - aktuálneX;
				double Δy = súradnicaMyšiY - aktuálneY;
				return (Δx * Δx + Δy * Δy) <= polomer * polomer;
			}

			/** <a class="alias"></a> Alias pre {@link #myšVKruhu(double) myšVKruhu}. */
			public boolean mysVKruhu(double polomer) { return myšVKruhu(polomer); }

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú v elipse
			 * pootočenej v smere robota, so stredom na aktuálnej pozícii
			 * robota a s rozmermi zadaných poloosí.
			 * 
			 *  @param a  veľkosť hlavnej poloosi (na šírku elipsy)
			 *  @param b  veľkosť vedľajšej poloosi (na výšku elipsy)
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #myšVCeste()
			 *  @see #myšVKruhu(double)
			 *  @see #myšVPôsobisku()
			 *  @see #myšVoŠtvorci(double)
			 *  @see #myšVObdĺžniku(double, double)
			 *  @see #myšVHviezde(double)
			 *  @see #myšVOblasti(Area)
			 *  @see #myšVKruhu()
			 */
			public boolean myšVElipse(double a, double b)
			{
				double x0 = súradnicaMyšiX - aktuálneX;
				double y0 = súradnicaMyšiY - aktuálneY;

				// double polovicaHrúbkyPera = polomerPera / 2;

				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				/*!-!
				return (Math.pow(x1 / (a /*+ polovicaHrúbkyPera* /), 2) +
					Math.pow(y1 / (b /*+ polovicaHrúbkyPera* /), 2)) <= 1;
				*/

				x1 /= a; y1 /= b; return (x1 * x1 + y1 * y1) <= 1;
			}

			/** <a class="alias"></a> Alias pre {@link #mysVElipse(double, double) mysVElipse}. */
			public boolean mysVElipse(double a, double b) { return myšVElipse(a, b); }

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú vo štvorci so
			 * stredom na aktuálnej pozícii robota, rotovanom v smere robota
			 * a rozmerom udaným polomerom vpísanej kružnice.
			 * 
			 *  @param polomer  polomer kružnice vpísanej do štvorca so
			 *      stredom na aktuálnej pozícii robota
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #myšVCeste()
			 *  @see #myšVElipse(double, double)
			 *  @see #myšVKruhu(double)
			 *  @see #myšVPôsobisku()
			 *  @see #myšVObdĺžniku(double, double)
			 *  @see #myšVHviezde(double)
			 *  @see #myšVOblasti(Area)
			 *  @see #myšVKruhu()
			 */
			public boolean myšVoŠtvorci(double polomer)
			{
				if (aktuálnyUhol % 90 == 0)
					return súradnicaMyšiX >= aktuálneX - polomer && súradnicaMyšiX <= aktuálneX + polomer &&
						súradnicaMyšiY >= aktuálneY - polomer && súradnicaMyšiY <= aktuálneY + polomer;

				// x₀ = xm − x
				// y₀ = ym − y
				double x0 = súradnicaMyšiX - aktuálneX;
				double y0 = súradnicaMyšiY - aktuálneY;

				// x₁ = x₀ . cos(α) − y₀ . sin(α)
				// y₁ = x₀ . sin(α) + y₀ . cos(α)
				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				// x₁ > -polomer && y₁ > -polomer && x₁ < polomer && y₁ < polomer
				return x1 > -polomer && y1 > -polomer && x1 < polomer && y1 < polomer;
			}

			/** <a class="alias"></a> Alias pre {@link #myšVoŠtvorci(double) myšVoŠtvorci}. */
			public boolean mysVoStvorci(double polomer) { return myšVoŠtvorci(polomer); }

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú v obdĺžniku
			 * pootočenom v smere robota, so stredom na aktuálnej pozícii
			 * robota a s rozmermi udanými ako poloosi vpísanej elipsy.
			 * 
			 *  @param a  veľkosť hlavnej poloosi (šírka vpísanej elipsy)
			 *  @param b  veľkosť vedľajšej poloosi (výška vpísanej elipsy)
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #myšVCeste()
			 *  @see #myšVKruhu(double)
			 *  @see #myšVElipse(double, double)
			 *  @see #myšVPôsobisku()
			 *  @see #myšVoŠtvorci(double)
			 *  @see #myšVHviezde(double)
			 *  @see #myšVOblasti(Area)
			 *  @see #myšVKruhu()
			 */
			public boolean myšVObdĺžniku(double a, double b)
			{
				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
					return súradnicaMyšiX >= aktuálneX - a && súradnicaMyšiX <= aktuálneX + a &&
						súradnicaMyšiY >= aktuálneY - b && súradnicaMyšiY <= aktuálneY + b;

				if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
					return súradnicaMyšiX >= aktuálneX - b && súradnicaMyšiX <= aktuálneX + b &&
						súradnicaMyšiY >= aktuálneY - a && súradnicaMyšiY <= aktuálneY + a;


				double x0 = súradnicaMyšiX - aktuálneX;
				double y0 = súradnicaMyšiY - aktuálneY;

				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				return x1 > -a && y1 > -b && x1 < a && y1 < b;
			}

			/** <a class="alias"></a> Alias pre {@link #myšVObdĺžniku(double, double) myšVObdĺžniku}. */
			public boolean mysVObdlzniku(double a, double b)
			{ return myšVObdĺžniku(a, b); }

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú v päťcípej
			 * hviezde so stredom na aktuálnej pozícii robota, rotovanej
			 * v smere robota a rozmerom udaným prostredníctvom polomeru
			 * opísanej kružnice.
			 * 
			 *  @param polomer  polomer kružnice opísanej okolo hviezdy so
			 *      stredom na aktuálnej pozícii robota
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #myšVCeste()
			 *  @see #myšVElipse(double, double)
			 *  @see #myšVKruhu(double)
			 *  @see #myšVPôsobisku()
			 *  @see #myšVObdĺžniku(double, double)
			 *  @see #myšVOblasti(Area)
			 *  @see #myšVKruhu()
			 */
			public boolean myšVHviezde(double polomer)
			{
				// return dajHviezdu(polomer).contains(
				// 	prepočítajX(súradnicaMyšiX), prepočítajY(súradnicaMyšiY));
				return this.hviezda.bodV(súradnicaMyšiX,
					súradnicaMyšiY, polomer);
			}

			/** <a class="alias"></a> Alias pre {@link #myšVHviezde(double) myšVHviezde}. */
			public boolean mysVHviezde(double polomer)
			{ return myšVHviezde(polomer); }

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú v zadanej
			 * oblasti, ktorá je na účely porovnania rotovaná podľa smeru
			 * robota (za východisko je považovaných 90°; odchýlka v kladom
			 * alebo zápornom smere patrične rotuje oblasť) a posunutá
			 * o súradnice robota na plátne (stred sa nachádza v bode [0, 0]
			 * – v strede plátna).
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 *  @param oblasť oblasť, ktorá má byť použitá na overenie
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #myšVCeste()
			 *  @see #myšVElipse(double, double)
			 *  @see #myšVKruhu(double)
			 *  @see #myšVPôsobisku()
			 *  @see #myšVoŠtvorci(double)
			 *  @see #myšVObdĺžniku(double, double)
			 *  @see #myšVHviezde(double)
			 *  @see #myšVKruhu()
			 */
			public boolean myšVOblasti(Area oblasť)
			{
				if (aktuálnyUhol == 90 && aktuálneX == 0 && aktuálneY == 0)
					return oblasť.contains(prepočítajX(súradnicaMyšiX),
						prepočítajY(súradnicaMyšiY));

				AffineTransform at = new AffineTransform();
				at.rotate(Math.toRadians(90 - aktuálnyUhol),
					prepočítajX(aktuálneX), prepočítajY(aktuálneY));
				at.translate(aktuálneX, -aktuálneY);
				Area a = oblasť.createTransformedArea(at);

				return a.contains(prepočítajX(súradnicaMyšiX),
					prepočítajY(súradnicaMyšiY));
			}

			/** <a class="alias"></a> Alias pre {@link #myšVOblasti(Area) myšVOblasti}. */
			public boolean mysVOblasti(Area oblasť) { return myšVOblasti(oblasť); }

			// Detekcia myši v tvaroch generovaných podľa veľkosti robota

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú v kruhu so
			 * stredom na aktuálnej pozícii robota a polomerom s {@linkplain
			 * #veľkosť(double) veľkosťou} robota.
			 * 
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #myšVElipse(double)
			 *  @see #myšVoŠtvorci()
			 *  @see #myšVObdĺžniku(double)
			 *  @see #myšVHviezde()
			 */
			public boolean myšVKruhu()
			{
				/*
				return (Math.pow(súradnicaMyšiX - aktuálneX, 2) +
					Math.pow(súradnicaMyšiY - aktuálneY, 2)) <=
						// Math.pow(veľkosť, 2);
						(veľkosť * veľkosť);
				*/
				double Δx = súradnicaMyšiX - aktuálneX;
				double Δy = súradnicaMyšiY - aktuálneY;
				return (Δx * Δx + Δy * Δy) <= veľkosť * veľkosť;
			}

			/** <a class="alias"></a> Alias pre {@link #myšVKruhu() myšVKruhu}. */
			public boolean mysVKruhu() { return myšVKruhu(); }

			/** <a class="alias"></a> Alias pre {@link #myšVKruhu() myšVKruhu}. */
			public boolean myšV() { return myšVKruhu(); }

			/** <a class="alias"></a> Alias pre {@link #myšVKruhu() myšVKruhu}. */
			public boolean mysV() { return myšVKruhu(); }

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú v elipse
			 * pootočenej v smere robota, so stredom na aktuálnej pozícii
			 * robota a s rozmermi podľa {@linkplain #veľkosť(double)
			 * veľkosti} robota a zadaného pomeru poloosí.
			 * 
			 *  @param pomer  pomer veľkosť hlavnej a vedľajšej poloosi
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #myšVKruhu()
			 *  @see #myšVoŠtvorci()
			 *  @see #myšVObdĺžniku(double)
			 *  @see #myšVHviezde()
			 */
			public boolean myšVElipse(double pomer)
			{
				double x0 = súradnicaMyšiX - aktuálneX;
				double y0 = súradnicaMyšiY - aktuálneY;

				// double polovicaHrúbkyPera = polomerPera / 2;

				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				/*!-!
				return (Math.pow(x1 / (veľkosť * pomer), 2) +
					Math.pow(y1 / veľkosť, 2)) <= 1;
				*/

				x1 /= (veľkosť * pomer);
				y1 /= veľkosť;
				return (x1 * x1 + y1 * y1) <= 1;
			}

			/** <a class="alias"></a> Alias pre {@link #mysVElipse(double) mysVElipse}. */
			public boolean mysVElipse(double pomer) { return myšVElipse(pomer); }

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú vo štvorci so
			 * stredom na aktuálnej pozícii robota, rotovanom v smere robota
			 * a rozmerom podľa {@linkplain #veľkosť(double) veľkosti}
			 * robota.
			 * 
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #myšVElipse(double)
			 *  @see #myšVKruhu()
			 *  @see #myšVObdĺžniku(double)
			 *  @see #myšVHviezde()
			 */
			public boolean myšVoŠtvorci()
			{
				if (aktuálnyUhol % 90 == 0)
					return súradnicaMyšiX >= aktuálneX - veľkosť &&
						súradnicaMyšiX <= aktuálneX + veľkosť &&
						súradnicaMyšiY >= aktuálneY - veľkosť &&
						súradnicaMyšiY <= aktuálneY + veľkosť;

				// x₀ = xm − x
				// y₀ = ym − y
				double x0 = súradnicaMyšiX - aktuálneX;
				double y0 = súradnicaMyšiY - aktuálneY;

				// x₁ = x₀ . cos(α) − y₀ . sin(α)
				// y₁ = x₀ . sin(α) + y₀ . cos(α)
				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				// x₁ > -veľkosť && y₁ > -veľkosť && x₁ < veľkosť && y₁ < veľkosť
				return x1 > -veľkosť && y1 > -veľkosť &&
					x1 < veľkosť && y1 < veľkosť;
			}

			/** <a class="alias"></a> Alias pre {@link #myšVoŠtvorci() myšVoŠtvorci}. */
			public boolean mysVoStvorci() { return myšVoŠtvorci(); }

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú v obdĺžniku
			 * pootočenom v smere robota, so stredom na aktuálnej pozícii
			 * robota a s rozmermi podľa {@linkplain #veľkosť(double)
			 * veľkosti} robota a zadaného pomeru strán.
			 * 
			 *  @param pomer  pomer veľkosť hlavnej a vedľajšej poloosi
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #myšVKruhu()
			 *  @see #myšVElipse(double)
			 *  @see #myšVoŠtvorci()
			 *  @see #myšVHviezde()
			 */
			public boolean myšVObdĺžniku(double pomer)
			{
				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
					return súradnicaMyšiX >= aktuálneX - (veľkosť * pomer) &&
						súradnicaMyšiX <= aktuálneX + (veľkosť * pomer) &&
						súradnicaMyšiY >= aktuálneY - veľkosť &&
						súradnicaMyšiY <= aktuálneY + veľkosť;

				if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
					return súradnicaMyšiX >= aktuálneX - veľkosť &&
						súradnicaMyšiX <= aktuálneX + veľkosť &&
						súradnicaMyšiY >= aktuálneY - (veľkosť * pomer) &&
						súradnicaMyšiY <= aktuálneY + (veľkosť * pomer);


				double x0 = súradnicaMyšiX - aktuálneX;
				double y0 = súradnicaMyšiY - aktuálneY;

				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				return x1 > -(veľkosť * pomer) && y1 > -veľkosť &&
					x1 < (veľkosť * pomer) && y1 < veľkosť;
			}

			/** <a class="alias"></a> Alias pre {@link #myšVObdĺžniku(double) myšVObdĺžniku}. */
			public boolean mysVObdlzniku(double pomer)
			{ return myšVObdĺžniku(pomer); }

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú v hviezde so
			 * stredom na aktuálnej pozícii robota, rotovanej v smere robota
			 * a rozmerom podľa {@linkplain #veľkosť(double) veľkosti}
			 * robota.
			 * 
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #myšVElipse(double)
			 *  @see #myšVKruhu()
			 *  @see #myšVoŠtvorci(double)
			 *  @see #myšVObdĺžniku(double)
			 */
			public boolean myšVHviezde()
			{
				// return dajHviezdu(veľkosť).contains(
				// 	prepočítajX(súradnicaMyšiX), prepočítajY(súradnicaMyšiY));
				return this.hviezda.bodV(súradnicaMyšiX,
					súradnicaMyšiY, veľkosť);
			}

			/** <a class="alias"></a> Alias pre {@link #myšVHviezde() myšVHviezde}. */
			public boolean mysVHviezde() { return myšVHviezde(); }

			// Detekcia bodov v tvaroch

			/**
			 * Zistí, či sa súradnice zadaného bodu nachádzajú v kruhu so
			 * zadaným polomerom stredom na aktuálnej pozícii robota.
			 * Nasledujúca metóda dovoľuje namiesto súradníc bodu použiť
			 * objekt: {@link #bodVKruhu(Poloha, double) bodVKruhu(Poloha
			 * objekt, double polomer)}
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @param polomer  polomer vyšetrovaného kruhu
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #bodVPôsobisku(double, double)
			 *  @see #bodVElipse(double, double, double, double)
			 *  @see #bodVoŠtvorci(double, double, double)
			 *  @see #bodVObdĺžniku(double, double, double, double)
			 *  @see #bodVHviezde(double, double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVKruhu(double súradnicaBoduX, double súradnicaBoduY, double polomer)
			{
				/*
				return (Math.pow(súradnicaBoduX - aktuálneX, 2) +
					Math.pow(súradnicaBoduY - aktuálneY, 2)) <=
					// Math.pow(polomer /*+ (polomerPera / 2)* /, 2);
					(polomer * polomer);
				*/
				double Δx = súradnicaBoduX - aktuálneX;
				double Δy = súradnicaBoduY - aktuálneY;
				return (Δx * Δx + Δy * Δy) <= polomer * polomer;
			}

			// /**
				//  * Zistí, či sa súradnice zadaného bodu nachádzajú v kruhu so
				//  * zadaným polomerom stredom na aktuálnej pozícii robota.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @param polomer  polomer vyšetrovaného kruhu
				//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
				//  *  @see #bodVPôsobisku(Point2D)
				//  *  @see #bodVElipse(Point2D, double, double)
				//  *  @see #bodVoŠtvorci(Point2D, double)
				//  *  @see #bodVObdĺžniku(Point2D, double, double)
				//  *  @see #bodVCeste(Point2D)
				//  *  @see #bodVOblasti(Point2D, Area)
				//  *  @see #bodVTvare(Point2D, Shape)
				//  */
				// public boolean bodVKruhu(Point2D bod, double polomer)
				// {
				// 	/*
				// 	return (Math.pow(bod.getX() - aktuálneX, 2) +
				// 		Math.pow(bod.getY() - aktuálneY, 2)) <=
				// 		// Math.pow(polomer /*+ (polomerPera / 2)* /, 2);
				// 		(polomer * polomer);
				// 	*/
				// 	double Δx = bod.getX() - aktuálneX;
				// 	double Δy = bod.getY() - aktuálneY;
				// 	return (Δx * Δx + Δy * Δy) <= polomer * polomer;
				// }

			/**
			 * Funguje rovnako ako metóda {@link #bodVKruhu(double, double,
			 * double) bodVKruhu(x, y, polomer)}, len namiesto súradníc bodu
			 * je použitá poloha zadaného objektu…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @param polomer  polomer vyšetrovaného kruhu
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #bodVPôsobisku(Poloha)
			 *  @see #bodVElipse(Poloha, double, double)
			 *  @see #bodVoŠtvorci(Poloha, double)
			 *  @see #bodVObdĺžniku(Poloha, double, double)
			 *  @see #bodVHviezde(Poloha, double)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVOblasti(Poloha, Area)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVKruhu(Poloha objekt, double polomer)
			{
				/*
				return (Math.pow(iný.aktuálneX - aktuálneX, 2) +
					Math.pow(iný.aktuálneY - aktuálneY, 2)) <=
					// Math.pow(polomer /*+ (polomerPera / 2)* /, 2);
					(polomer * polomer);
				*/
				double Δx = objekt.polohaX() - aktuálneX;
				double Δy = objekt.polohaY() - aktuálneY;
				return (Δx * Δx + Δy * Δy) <= polomer * polomer;
			}

			/**
			 * Zistí, či sa súradnice zadaného bodu nachádzajú v elipse
			 * pootočenej v smere robota, so stredom na aktuálnej pozícii
			 * robota a s rozmermi zadaných poloosí. Nasledujúca metóda
			 * dovoľuje namiesto súradníc bodu použiť objekt:
			 * {@link #bodVElipse(Poloha, double, double) bodVElipse(Poloha
			 * objekt, double a, double b)}
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @param a  veľkosť hlavnej poloosi (na šírku elipsy)
			 *  @param b  veľkosť vedľajšej poloosi (na výšku elipsy)
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #bodVPôsobisku(double, double)
			 *  @see #bodVKruhu(double, double, double)
			 *  @see #bodVoŠtvorci(double, double, double)
			 *  @see #bodVObdĺžniku(double, double, double, double)
			 *  @see #bodVHviezde(double, double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVElipse(double súradnicaBoduX, double súradnicaBoduY, double a, double b)
			{
				double x0 = súradnicaBoduX - aktuálneX;
				double y0 = súradnicaBoduY - aktuálneY;

				// double polovicaHrúbkyPera = polomerPera / 2;

				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				/*!-!
				return (Math.pow(x1 / (a /*+ polovicaHrúbkyPera* /), 2) +
					Math.pow(y1 / (b /*+ polovicaHrúbkyPera* /), 2)) <= 1;
				*/

				x1 /= a; y1 /= b; return (x1 * x1 + y1 * y1) <= 1;
			}

			// /**
				//  * Zistí, či sa súradnice zadaného bodu nachádzajú v elipse
				//  * pootočenej v smere robota, so stredom na aktuálnej pozícii
				//  * robota a s rozmermi zadaných poloosí.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @param a  veľkosť hlavnej poloosi (na šírku elipsy)
				//  *  @param b  veľkosť vedľajšej poloosi (na výšku elipsy)
				//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
				//  *  @see #bodVPôsobisku(Point2D)
				//  *  @see #bodVKruhu(Point2D, double)
				//  *  @see #bodVoŠtvorci(Point2D, double)
				//  *  @see #bodVObdĺžniku(Point2D, double, double)
				//  *  @see #bodVCeste(Point2D)
				//  *  @see #bodVOblasti(Point2D, Area)
				//  *  @see #bodVTvare(Point2D, Shape)
				//  */
				// public boolean bodVElipse(Point2D bod, double a, double b)
				// {
				// 	double x0 = bod.getX() - aktuálneX;
				// 	double y0 = bod.getY() - aktuálneY;
				// 
				// 	// double polovicaHrúbkyPera = polomerPera / 2;
				// 
				// 	double α = Math.toRadians(90 - aktuálnyUhol);
				// 	double x1 = rotovanéX(x0, y0, α);
				// 	double y1 = rotovanéY(x0, y0, α);
				// 
				// 	/*!-!
				// 	return (Math.pow(x1 / (a /*+ polovicaHrúbkyPera* /), 2) +
				// 		Math.pow(y1 / (b /*+ polovicaHrúbkyPera* /), 2)) <= 1;
				// 	*/
				// 
				// 	x1 /= a; y1 /= b; return (x1 * x1 + y1 * y1) <= 1;
				// }

			/**
			 * Funguje rovnako ako metóda {@link #bodVElipse(double, double,
			 * double, double) bodVElipse(x, y, a, b)}, len namiesto
			 * súradníc bodu je použitá poloha zadaného objektu…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @param a  veľkosť hlavnej poloosi (na šírku elipsy)
			 *  @param b  veľkosť vedľajšej poloosi (na výšku elipsy)
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #bodVPôsobisku(Poloha)
			 *  @see #bodVKruhu(Poloha, double)
			 *  @see #bodVoŠtvorci(Poloha, double)
			 *  @see #bodVObdĺžniku(Poloha, double, double)
			 *  @see #bodVHviezde(Poloha, double)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVOblasti(Poloha, Area)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVElipse(Poloha objekt, double a, double b)
			{
				double x0 = objekt.polohaX() - aktuálneX;
				double y0 = objekt.polohaY() - aktuálneY;

				// double polovicaHrúbkyPera = polomerPera / 2;

				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				/*!-!
				return (Math.pow(x1 / (a /*+ polovicaHrúbkyPera* /), 2) +
					Math.pow(y1 / (b /*+ polovicaHrúbkyPera* /), 2)) <= 1;
				*/

				x1 /= a; y1 /= b; return (x1 * x1 + y1 * y1) <= 1;
			}

			/**
			 * Zistí, či sa súradnice zadaného bodu nachádzajú vo štvorci so
			 * stredom na aktuálnej pozícii robota, rotovanom v smere robota
			 * a rozmerom udaným polomerom vpísanej kružnice. Nasledujúca
			 * metóda dovoľuje namiesto súradníc bodu použiť objekt: {@link
			 * #bodVoŠtvorci(Poloha, double) bodVoŠtvorci(Poloha objekt, double
			 * polomer)}
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @param polomer  polomer kružnice vpísanej do štvorca so
			 *      stredom na aktuálnej pozícii robota
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #bodVPôsobisku(double, double)
			 *  @see #bodVKruhu(double, double, double)
			 *  @see #bodVElipse(double, double, double, double)
			 *  @see #bodVObdĺžniku(double, double, double, double)
			 *  @see #bodVHviezde(double, double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVoŠtvorci(double súradnicaBoduX, double súradnicaBoduY, double polomer)
			{
				if (aktuálnyUhol % 90 == 0)
					return súradnicaBoduX >= aktuálneX - polomer && súradnicaBoduX <= aktuálneX + polomer &&
						súradnicaBoduY >= aktuálneY - polomer && súradnicaBoduY <= aktuálneY + polomer;

				// x₀ = xm − x
				// y₀ = ym − y
				double x0 = súradnicaBoduX - aktuálneX;
				double y0 = súradnicaBoduY - aktuálneY;

				// x₁ = x₀ . cos(α) − y₀ . sin(α)
				// y₁ = x₀ . sin(α) + y₀ . cos(α)
				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				// x₁ > -polomer && y₁ > -polomer && x₁ < polomer && y₁ < polomer
				return x1 > -polomer && y1 > -polomer && x1 < polomer && y1 < polomer;
			}

			/** <a class="alias"></a> Alias pre {@link #bodVoŠtvorci(double, double, double) bodVoŠtvorci}. */
			public boolean bodVoStvorci(double súradnicaBoduX, double súradnicaBoduY, double polomer) { return bodVoŠtvorci(súradnicaBoduX, súradnicaBoduY, polomer); }

			// /**
				//  * Zistí, či sa súradnice zadaného bodu nachádzajú vo štvorci so
				//  * stredom na aktuálnej pozícii robota, rotovanom v smere robota
				//  * a rozmerom udaným polomerom vpísanej kružnice.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @param polomer  polomer kružnice vpísanej do štvorca so
				//  *      stredom na aktuálnej pozícii robota
				//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
				//  *  @see #bodVPôsobisku(Point2D)
				//  *  @see #bodVKruhu(Point2D, double)
				//  *  @see #bodVElipse(Point2D, double, double)
				//  *  @see #bodVObdĺžniku(Point2D, double, double)
				//  *  @see #bodVCeste(Point2D)
				//  *  @see #bodVOblasti(Point2D, Area)
				//  *  @see #bodVTvare(Point2D, Shape)
				//  */
				// public boolean bodVoŠtvorci(Point2D bod, double polomer)
				// {
				// 	if (aktuálnyUhol % 90 == 0)
				// 		return bod.getX() >= aktuálneX - polomer && bod.getX() <= aktuálneX + polomer &&
				// 			bod.getY() >= aktuálneY - polomer && bod.getY() <= aktuálneY + polomer;
				// 
				// 	// x₀ = xm − x
				// 	// y₀ = ym − y
				// 	double x0 = bod.getX() - aktuálneX;
				// 	double y0 = bod.getY() - aktuálneY;
				// 
				// 	// x₁ = x₀ . cos(α) − y₀ . sin(α)
				// 	// y₁ = x₀ . sin(α) + y₀ . cos(α)
				// 	double α = Math.toRadians(90 - aktuálnyUhol);
				// 	double x1 = rotovanéX(x0, y0, α);
				// 	double y1 = rotovanéY(x0, y0, α);
				// 
				// 	// x₁ > -polomer && y₁ > -polomer && x₁ < polomer && y₁ < polomer
				// 	return x1 > -polomer && y1 > -polomer && x1 < polomer && y1 < polomer;
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #bodVoŠtvorci(Point2D, double) bodVoŠtvorci}. */
				// public boolean bodVoStvorci(Point2D bod, double polomer) { return bodVoŠtvorci(bod, polomer); }

			/**
			 * Funguje rovnako ako metóda {@link #bodVoŠtvorci(double,
			 * double, double) bodVoŠtvorci(x, y, polomer)}, len namiesto
			 * súradníc bodu je použitá poloha zadaného objektu…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @param polomer  polomer kružnice vpísanej do štvorca so
			 *      stredom na aktuálnej pozícii robota
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #bodVPôsobisku(Poloha)
			 *  @see #bodVKruhu(Poloha, double)
			 *  @see #bodVElipse(Poloha, double, double)
			 *  @see #bodVObdĺžniku(Poloha, double, double)
			 *  @see #bodVHviezde(Poloha, double)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVOblasti(Poloha, Area)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVoŠtvorci(Poloha objekt, double polomer)
			{
				if (aktuálnyUhol % 90 == 0)
					return objekt.polohaX() >= aktuálneX - polomer &&
						objekt.polohaX() <= aktuálneX + polomer &&
						objekt.polohaY() >= aktuálneY - polomer &&
						objekt.polohaY() <= aktuálneY + polomer;

				// x₀ = xm − x
				// y₀ = ym − y
				double x0 = objekt.polohaX() - aktuálneX;
				double y0 = objekt.polohaY() - aktuálneY;

				// x₁ = x₀ . cos(α) − y₀ . sin(α)
				// y₁ = x₀ . sin(α) + y₀ . cos(α)
				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				// x₁ > -polomer && y₁ > -polomer && x₁ < polomer && y₁ < polomer
				return x1 > -polomer && y1 > -polomer && x1 < polomer && y1 < polomer;
			}

			/** <a class="alias"></a> Alias pre {@link #bodVoŠtvorci(Poloha, double) bodVoŠtvorci}. */
			public boolean bodVoStvorci(Poloha objekt, double polomer) { return bodVoŠtvorci(objekt, polomer); }

			/**
			 * Zistí, či sa súradnice zadaného bodu nachádzajú v obdĺžniku
			 * so stredom na aktuálnej pozícii robota, rotovanom v smere
			 * robota a s rozmermi udanými ako poloosi vpísanej elipsy.
			 * Nasledujúca metóda dovoľuje namiesto súradníc bodu použiť
			 * objekt: {@link #bodVObdĺžniku(Poloha, double, double)
			 * bodVObdĺžniku(Poloha objekt, double a, double b)}
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @param a  veľkosť hlavnej poloosi (šírka vpísanej elipsy)
			 *  @param b  veľkosť vedľajšej poloosi (výška vpísanej elipsy)
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #bodVPôsobisku(double, double)
			 *  @see #bodVKruhu(double, double, double)
			 *  @see #bodVElipse(double, double, double, double)
			 *  @see #bodVoŠtvorci(double, double, double)
			 *  @see #bodVHviezde(double, double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVObdĺžniku(double súradnicaBoduX,
				double súradnicaBoduY, double a, double b)
			{
				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
					return súradnicaBoduX >= aktuálneX - a && súradnicaBoduX <= aktuálneX + a &&
						súradnicaBoduY >= aktuálneY - b && súradnicaBoduY <= aktuálneY + b;

				if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
					return súradnicaBoduX >= aktuálneX - b && súradnicaBoduX <= aktuálneX + b &&
						súradnicaBoduY >= aktuálneY - a && súradnicaBoduY <= aktuálneY + a;

				double x0 = súradnicaBoduX - aktuálneX;
				double y0 = súradnicaBoduY - aktuálneY;

				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				return x1 > -a && y1 > -b && x1 < a && y1 < b;
			}

			/** <a class="alias"></a> Alias pre {@link #bodVObdĺžniku(double, double, double, double) bodVObdĺžniku}. */
			public boolean bodVObdlzniku(double súradnicaBoduX, double súradnicaBoduY, double a, double b) { return bodVObdĺžniku(súradnicaBoduX, súradnicaBoduY, a, b); }

			// /**
				//  * Zistí, či sa súradnice zadaného bodu nachádzajú v obdĺžniku
				//  * so stredom na aktuálnej pozícii robota, rotovanom v smere
				//  * robota a s rozmermi udanými ako poloosi vpísanej elipsy.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @param a  veľkosť hlavnej poloosi (šírka vpísanej elipsy)
				//  *  @param b  veľkosť vedľajšej poloosi (výška vpísanej elipsy)
				//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
				//  *  @see #bodVPôsobisku(Point2D)
				//  *  @see #bodVKruhu(Point2D, double)
				//  *  @see #bodVElipse(Point2D, double, double)
				//  *  @see #bodVoŠtvorci(Point2D, double)
				//  *  @see #bodVCeste(Point2D)
				//  *  @see #bodVOblasti(Point2D, Area)
				//  *  @see #bodVTvare(Point2D, Shape)
				//  */
				// public boolean bodVObdĺžniku(Point2D bod, double a, double b)
				// {
				// 	if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
				// 		return bod.getX() >= aktuálneX - a && bod.getX() <= aktuálneX + a &&
				// 			bod.getY() >= aktuálneY - b && bod.getY() <= aktuálneY + b;
				// 
				// 	if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
				// 		return bod.getX() >= aktuálneX - b && bod.getX() <= aktuálneX + b &&
				// 			bod.getY() >= aktuálneY - a && bod.getY() <= aktuálneY + a;
				// 
				// 	double x0 = bod.getX() - aktuálneX;
				// 	double y0 = bod.getY() - aktuálneY;
				// 
				// 	double α = Math.toRadians(90 - aktuálnyUhol);
				// 	double x1 = rotovanéX(x0, y0, α);
				// 	double y1 = rotovanéY(x0, y0, α);
				// 
				// 	return x1 > -a && y1 > -b && x1 < a && y1 < b;
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #bodVObdĺžniku(Point2D, double, double) bodVObdĺžniku}. */
				// public boolean bodVObdlzniku(Point2D bod, double a, double b) { return bodVObdĺžniku(bod, a, b); }

			/**
			 * Funguje rovnako ako metóda {@link #bodVObdĺžniku(double,
			 * double, double, double) bodVObdĺžniku(x, y, a, b)}, len
			 * namiesto súradníc bodu je použitá poloha zadaného objektu…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @param a  veľkosť hlavnej poloosi (šírka vpísanej elipsy)
			 *  @param b  veľkosť vedľajšej poloosi (výška vpísanej elipsy)
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #bodVPôsobisku(Poloha)
			 *  @see #bodVKruhu(Poloha, double)
			 *  @see #bodVElipse(Poloha, double, double)
			 *  @see #bodVoŠtvorci(Poloha, double)
			 *  @see #bodVHviezde(Poloha, double)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVOblasti(Poloha, Area)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVObdĺžniku(Poloha objekt, double a, double b)
			{
				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
					return objekt.polohaX() >= aktuálneX - a &&
						objekt.polohaX() <= aktuálneX + a &&
						objekt.polohaY() >= aktuálneY - b &&
						objekt.polohaY() <= aktuálneY + b;

				if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
					return objekt.polohaX() >= aktuálneX - b &&
						objekt.polohaX() <= aktuálneX + b &&
						objekt.polohaY() >= aktuálneY - a &&
						objekt.polohaY() <= aktuálneY + a;

				double x0 = objekt.polohaX() - aktuálneX;
				double y0 = objekt.polohaY() - aktuálneY;

				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				return x1 > -a && y1 > -b && x1 < a && y1 < b;
			}

			/** <a class="alias"></a> Alias pre {@link #bodVObdĺžniku(Poloha, double, double) bodVObdĺžniku}. */
			public boolean bodVObdlzniku(Poloha objekt, double a, double b) { return bodVObdĺžniku(objekt, a, b); }

			/**
			 * Zistí, či sa súradnice zadaného bodu nachádzajú v hviezde so
			 * stredom na aktuálnej pozícii robota, rotovanej v smere robota
			 * a rozmerom udaným polomerom opísanej kružnice. Nasledujúca
			 * metóda dovoľuje namiesto súradníc bodu použiť objekt: {@link
			 * #bodVHviezde(Poloha, double) bodVHviezde(Poloha objekt, double
			 * polomer)}
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @param polomer  polomer kružnice opísanej okolo hviezdy so
			 *      stredom na aktuálnej pozícii robota
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #bodVPôsobisku(double, double)
			 *  @see #bodVKruhu(double, double, double)
			 *  @see #bodVElipse(double, double, double, double)
			 *  @see #bodVoŠtvorci(double, double, double)
			 *  @see #bodVObdĺžniku(double, double, double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVHviezde(double súradnicaBoduX, double súradnicaBoduY, double polomer)
			{
				// return dajHviezdu(polomer).contains(
				// 	prepočítajX(súradnicaBoduX), prepočítajY(súradnicaBoduY));
				return this.hviezda.bodV(súradnicaBoduX,
					súradnicaBoduY, polomer);
			}

			/**
			 * Funguje rovnako ako metóda {@link #bodVHviezde(double,
			 * double, double) bodVHviezde(x, y, polomer)}, len namiesto
			 * súradníc bodu je použitá poloha zadaného objektu…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @param polomer  polomer kružnice opísanej okolo hviezdy so
			 *      stredom na aktuálnej pozícii robota
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #bodVPôsobisku(Poloha)
			 *  @see #bodVKruhu(Poloha, double)
			 *  @see #bodVElipse(Poloha, double, double)
			 *  @see #bodVoŠtvorci(Poloha, double)
			 *  @see #bodVObdĺžniku(Poloha, double, double)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVOblasti(Poloha, Area)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVHviezde(Poloha objekt, double polomer)
			{
				// return dajHviezdu(polomer).contains(
				// 	prepočítajX(objekt.polohaX()),
				// 	prepočítajY(objekt.polohaY()));
				return this.hviezda.bodV(objekt.polohaX(),
					objekt.polohaY(), polomer);
			}

			/**
			 * Zistí, či sa súradnice zadaného bodu nachádzajú v zadanom
			 * tvare<sup>[1]</sup>. Nasledujúca metóda dovoľuje namiesto
			 * súradníc bodu použiť objekt: {@link #bodVTvare(Poloha,
			 * Shape) bodVTvare(Poloha objekt, Shape tvar)}.
			 * 
			 * <P><small>[1] – podľa <a
			 * href="https://docs.oracle.com/javase/8/docs/api/java/awt/Shape.html#def_insideness"
			 * target="_blank">definície prítomnosti bodu v tvare</a>
			 * (originál je v anglickom jazyku, preklad nasleduje).</small>
			 * 
			 * <P>Podľa definície je bod považovaný za ležiaci vo vnútri
			 * tvaru vtedy a len vtedy, ak:
			 * <ul>
			 * <li>leží úplne vo vnútri hraníc tvaru,</li>
			 * <li>alebo leží presne na hranici tvaru a priestor
			 * priliehajúci k bodu v stúpajúcom smere osi x je úplne
			 * umiestnený vo vnútri hraníc tvaru,</li>
			 * <li>alebo leží presne na horizontálnom segmente tvaru
			 * a priestor priliehajúci k bodu v stúpajúcom smere osi y je
			 * úplne umiestnený vo vnútri hraníc tvaru.</li>
			 * </ul>
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @param tvar tvar použitý na overenie
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see Oblasť#bodV(double, double)
			 *  @see #bodVPôsobisku(double, double)
			 *  @see #bodVKruhu(double, double, double)
			 *  @see #bodVElipse(double, double, double, double)
			 *  @see #bodVoŠtvorci(double, double, double)
			 *  @see #bodVObdĺžniku(double, double, double, double)
			 *  @see #bodVHviezde(double, double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 */
			public boolean bodVTvare(double súradnicaBoduX, double súradnicaBoduY, Shape tvar)
			{
				return tvar.contains(prepočítajX(súradnicaBoduX),
					prepočítajY(súradnicaBoduY));
			}


			// ## /**
				// ##  * Zistí, či sa súradnice zadaného bodu nachádzajú v ploche
				// ##  * zadaného tvaru, ktorý je na účely porovnania pootočený
				// ##  * podľa smeru robota (za východisko je považovaných 90°;
				// ##  * odchýlka v kladom alebo zápornom smere patrične pootočí
				// ##  * tvar) a posunutý o súradnice robota na plátne (východisko
				// ##  * posunu je umiestnené do bodu [0, 0] – do stredu plátna;
				// ##  * ak sa robot nachádza v strede plátna, tak sa poloha tvaru
				// ##  * nezmení). Nasledujúca metóda dovoľuje namiesto súradníc bodu
				// ##  * použiť objekt: {@link #bodVTvare(Poloha, Shape)
				// ##  * bodVTvare(Poloha objekt, Shape tvar)}.
				// ##  * 
				// ##  * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				// ##  * 
				// ##  *  @param súradnicaBoduX  x-ová súradnica bodu
				// ##  *  @param súradnicaBoduY  y-ová súradnica bodu
				// ##  *  @param tvar tvar, ktorý má byť použitý na overenie
				// ##  *  @return {@code valtrue} – áno; {@code valfalse} – nie
				// ##  * 
				// ##  *  @see #bodVPôsobisku(double, double)
				// ##  *  @see #bodVKruhu(double, double, double)
				// ##  *  @see #bodVElipse(double, double, double, double)
				// ##  *  @see #bodVoŠtvorci(double, double, double)
				// ##  *  @see #bodVObdĺžniku(double, double, double, double)
				// ##  *  @see #bodVHviezde(double, double, double)
				// ##  *  @see #bodVCeste(double, double)
				// ##  *  @see #bodVOblasti(double, double, Shape)
				// ##  */
				// ## public boolean bodVTvare(double súradnicaBoduX,
				// ## 	double súradnicaBoduY, Shape tvar)
				// ## {
				// ## 	if (aktuálnyUhol == 90 && aktuálneX == 0 && aktuálneY == 0)
				// ## 		return tvar.contains(prepočítajX(súradnicaBoduX),
				// ## 			prepočítajY(súradnicaBoduY));
				// ## 
				// ## 	AffineTransform at = new AffineTransform();
				// ## 	at.rotate(Math.toRadians(90 - aktuálnyUhol),
				// ## 		prepočítajX(aktuálneX), prepočítajY(aktuálneY));
				// ## 	at.translate(aktuálneX, -aktuálneY);
				// ## 	Shape s = at.createTransformedShape(tvar);
				// ## 
				// ## 	return s.contains(prepočítajX(súradnicaBoduX),
				// ## 		prepočítajY(súradnicaBoduY));
				// ## }
				// ## 
				// ## /**
				// ##  * Funguje rovnako ako metóda {@link #bodVTvare(double, double,
				// ##  * Shape) bodVTvare(x, y, tvar)}, len namiesto súradníc bodu
				// ##  * je použitá poloha zadaného objektu…
				// ##  * 
				// ##  * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
				// ##  * 
				// ##  *  @param objekt  objekt, ktorého poloha je použitá namiesto
				// ##  *      súradníc bodu
				// ##  *  @param tvar tvar, ktorý má byť použitý na overenie
				// ##  *  @return {@code valtrue}/&#8203;{@code valfalse}
				// ##  * 
				// ##  *  @see #bodVPôsobisku(Poloha)
				// ##  *  @see #bodVKruhu(Poloha, double)
				// ##  *  @see #bodVElipse(Poloha, double, double)
				// ##  *  @see #bodVoŠtvorci(Poloha, double)
				// ##  *  @see #bodVObdĺžniku(Poloha, double, double)
				// ##  *  @see #bodVHviezde(Poloha, double)
				// ##  *  @see #bodVCeste(Poloha)
				// ##  *  @see #bodVOblasti(Poloha, Shape)
				// ##  */
				// ## public boolean bodVTvare(Poloha objekt, Shape tvar)
				// ## {
				// ## 	if (aktuálnyUhol == 90 && aktuálneX == 0 && aktuálneY == 0)
				// ## 		return tvar.contains(prepočítajX(objekt.polohaX()),
				// ## 			prepočítajY(objekt.polohaY()));
				// ## 
				// ## 	AffineTransform at = new AffineTransform();
				// ## 	at.rotate(Math.toRadians(90 - aktuálnyUhol),
				// ## 		prepočítajX(aktuálneX), prepočítajY(aktuálneY));
				// ## 	at.translate(aktuálneX, -aktuálneY);
				// ## 	Shape s = at.createTransformedShape(tvar);
				// ## 
				// ## 	return s.contains(prepočítajX(objekt.polohaX()),
				// ## 		prepočítajY(objekt.polohaY()));
				// ## }


			// /**
				//  * Zistí, či sa súradnice zadaného bodu nachádzajú v zadanom
				//  * tvare.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @param tvar tvar použitý na overenie
				//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
				//  *  @see Oblasť#bodV(Point2D)
				//  *  @see #bodVPôsobisku(Point2D)
				//  *  @see #bodVKruhu(Point2D, double)
				//  *  @see #bodVElipse(Point2D, double, double)
				//  *  @see #bodVoŠtvorci(Point2D, double)
				//  *  @see #bodVObdĺžniku(Point2D, double, double)
				//  *  @see #bodVCeste(Point2D)
				//  *  @see #bodVOblasti(Point2D, Area)
				//  */
				// public boolean bodVTvare(Point2D bod, Shape tvar)
				// {
				// 	return tvar.contains(prepočítajX(bod.getX()),
				// 		prepočítajY(bod.getY()));
				// }

			/**
			 * Funguje rovnako ako metóda {@link #bodVTvare(double, double,
			 * Shape) bodVTvare(x, y, tvar)}, len namiesto súradníc bodu
			 * je použitá poloha zadaného objektu…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @param tvar tvar použitý na overenie
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see Oblasť#bodV(Poloha)
			 *  @see #bodVPôsobisku(Poloha)
			 *  @see #bodVKruhu(Poloha, double)
			 *  @see #bodVElipse(Poloha, double, double)
			 *  @see #bodVoŠtvorci(Poloha, double)
			 *  @see #bodVObdĺžniku(Poloha, double, double)
			 *  @see #bodVHviezde(Poloha, double)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVOblasti(Poloha, Area)
			 */
			public boolean bodVTvare(Poloha objekt, Shape tvar)
			{
				return tvar.contains(prepočítajX(objekt.polohaX()),
					prepočítajY(objekt.polohaY()));
			}

			// Detekcia bodov v tvaroch generovaných podľa veľkosti robota

			/**
			 * Zistí, či sa súradnice zadaného bodu nachádzajú v kruhu
			 * s polomerom {@linkplain #veľkosť(double) veľkosti} robota
			 * a stredom na aktuálnej pozícii robota. Nasledujúca metóda
			 * dovoľuje namiesto súradníc bodu použiť objekt:
			 * {@link #bodVKruhu(Poloha) bodVKruhu(Poloha objekt)}
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #bodVElipse(double, double, double)
			 *  @see #bodVoŠtvorci(double, double)
			 *  @see #bodVObdĺžniku(double, double, double)
			 *  @see #bodVHviezde(double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVKruhu(double súradnicaBoduX, double súradnicaBoduY)
			{
				/*
				return (Math.pow(súradnicaBoduX - aktuálneX, 2) +
					Math.pow(súradnicaBoduY - aktuálneY, 2)) <=
						// Math.pow(veľkosť, 2);
						(veľkosť * veľkosť);
				*/
				double Δx = súradnicaBoduX - aktuálneX;
				double Δy = súradnicaBoduY - aktuálneY;
				return (Δx * Δx + Δy * Δy) <= veľkosť * veľkosť;
			}

			// /**
				//  * Zistí, či sa súradnice zadaného bodu nachádzajú v kruhu
				//  * s polomerom {@linkplain #veľkosť(double) veľkosti} robota
				//  * a stredom na aktuálnej pozícii robota.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
				//  *  @see #bodVElipse(Point2D, double)
				//  *  @see #bodVoŠtvorci(Point2D)
				//  *  @see #bodVObdĺžniku(Point2D, double)
				//  *  @see #bodVCeste(Point2D)
				//  *  @see #bodVOblasti(Point2D, Area)
				//  *  @see #bodVTvare(Point2D, Shape)
				//  */
				// public boolean bodVKruhu(Point2D bod)
				// {
				// 	/*
				// 	return (Math.pow(bod.getX() - aktuálneX, 2) +
				// 		Math.pow(bod.getY() - aktuálneY, 2)) <=
				// 			// Math.pow(veľkosť, 2);
				// 			(veľkosť * veľkosť);
				// 	*/
				// 	double Δx = bod.getX() - aktuálneX;
				// 	double Δy = bod.getY() - aktuálneY;
				// 	return (Δx * Δx + Δy * Δy) <= veľkosť * veľkosť;
				// }

			/**
			 * Funguje rovnako ako metóda {@link #bodVKruhu(double, double)
			 * bodVKruhu(x, y)}, len namiesto súradníc bodu je použitá
			 * poloha zadaného objektu…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #bodVElipse(Poloha, double)
			 *  @see #bodVoŠtvorci(Poloha)
			 *  @see #bodVObdĺžniku(Poloha, double)
			 *  @see #bodVHviezde(Poloha)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVOblasti(Poloha, Area)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVKruhu(Poloha objekt)
			{
				/*
				return (Math.pow(iný.aktuálneX - aktuálneX, 2) +
					Math.pow(iný.aktuálneY - aktuálneY, 2)) <=
						// Math.pow(veľkosť, 2);
						(veľkosť * veľkosť);
				*/
				double Δx = objekt.polohaX() - aktuálneX;
				double Δy = objekt.polohaY() - aktuálneY;
				return (Δx * Δx + Δy * Δy) <= veľkosť * veľkosť;
			}

			/**
			 * Zistí, či sa súradnice zadaného bodu nachádzajú v elipse
			 * pootočenej v smere robota, so stredom na aktuálnej pozícii
			 * robota a s rozmermi odvodenými z {@linkplain #veľkosť(double)
			 * veľkosti} robota a zadaného pomeru strán. Nasledujúca metóda
			 * dovoľuje namiesto súradníc bodu použiť objekt:
			 * {@link #bodVElipse(Poloha, double) bodVElipse(Poloha objekt,
			 * double pomer)}.
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @param pomer  pomer šírky a výšky elipsy
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #bodVKruhu(double, double)
			 *  @see #bodVoŠtvorci(double, double)
			 *  @see #bodVObdĺžniku(double, double, double)
			 *  @see #bodVHviezde(double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVElipse(double súradnicaBoduX,
				double súradnicaBoduY, double pomer)
			{
				double x0 = súradnicaBoduX - aktuálneX;
				double y0 = súradnicaBoduY - aktuálneY;

				// double polovicaHrúbkyPera = polomerPera / 2;

				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				/*!-!
				return (Math.pow(x1 / (veľkosť * pomer), 2) +
					Math.pow(y1 / veľkosť, 2)) <= 1;
				*/

				x1 /= (veľkosť * pomer);
				y1 /= veľkosť;
				return (x1 * x1 + y1 * y1) <= 1;
			}

			// /**
				//  * Zistí, či sa súradnice zadaného bodu nachádzajú v elipse
				//  * pootočenej v smere robota, so stredom na aktuálnej pozícii
				//  * robota a s rozmermi odvodenými od {@linkplain
				//  * #veľkosť(double) veľkosti} robota a zadaného pomeru strán.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @param pomer  pomer šírky a výšky elipsy
				//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
				//  *  @see #bodVKruhu(Point2D)
				//  *  @see #bodVoŠtvorci(Point2D)
				//  *  @see #bodVObdĺžniku(Point2D, double)
				//  *  @see #bodVCeste(Point2D)
				//  *  @see #bodVOblasti(Point2D, Area)
				//  *  @see #bodVTvare(Point2D, Shape)
				//  */
				// public boolean bodVElipse(Point2D bod, double pomer)
				// {
				// 	double x0 = bod.getX() - aktuálneX;
				// 	double y0 = bod.getY() - aktuálneY;
				// 
				// 	// double polovicaHrúbkyPera = polomerPera / 2;
				// 
				// 	double α = Math.toRadians(90 - aktuálnyUhol);
				// 	double x1 = rotovanéX(x0, y0, α);
				// 	double y1 = rotovanéY(x0, y0, α);
				// 
				// 	/*!-!
				// 	return (Math.pow(x1 / (veľkosť * pomer), 2) +
				// 		Math.pow(y1 / veľkosť, 2)) <= 1;
				// 	*/
				// 
				// 	x1 /= (veľkosť * pomer);
				// 	y1 /= veľkosť;
				// 	return (x1 * x1 + y1 * y1) <= 1;
				// }

			/**
			 * Funguje rovnako ako metóda {@link #bodVElipse(double, double,
			 * double) bodVElipse(x, y, pomer)}, len namiesto súradníc bodu
			 * je použitá poloha zadaného objektu…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @param pomer  pomer šírky a výšky elipsy
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #bodVKruhu(Poloha)
			 *  @see #bodVoŠtvorci(Poloha)
			 *  @see #bodVObdĺžniku(Poloha, double)
			 *  @see #bodVHviezde(Poloha)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVOblasti(Poloha, Area)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVElipse(Poloha objekt, double pomer)
			{
				double x0 = objekt.polohaX() - aktuálneX;
				double y0 = objekt.polohaY() - aktuálneY;

				// double polovicaHrúbkyPera = polomerPera / 2;

				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				/*!-!
				return (Math.pow(x1 / (veľkosť * pomer), 2) +
					Math.pow(y1 / veľkosť, 2)) <= 1;
				*/

				x1 /= (veľkosť * pomer);
				y1 /= veľkosť;
				return (x1 * x1 + y1 * y1) <= 1;
			}

			/**
			 * Zistí, či sa súradnice zadaného bodu nachádzajú vo štvorci so
			 * stredom na aktuálnej pozícii robota, rotovanom v smere robota
			 * a rozmerom podľa {@linkplain #veľkosť(double) veľkosti}
			 * robota. Nasledujúca metóda dovoľuje namiesto súradníc bodu
			 * použiť objekt:
			 * {@link #bodVoŠtvorci(Poloha) bodVoŠtvorci(Poloha objekt)}
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #bodVKruhu(double, double)
			 *  @see #bodVElipse(double, double, double)
			 *  @see #bodVObdĺžniku(double, double, double)
			 *  @see #bodVHviezde(double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVoŠtvorci(double súradnicaBoduX,
				double súradnicaBoduY)
			{
				if (aktuálnyUhol % 90 == 0)
					return súradnicaBoduX >= aktuálneX - veľkosť &&
						súradnicaBoduX <= aktuálneX + veľkosť &&
						súradnicaBoduY >= aktuálneY - veľkosť &&
						súradnicaBoduY <= aktuálneY + veľkosť;

				// x₀ = xm − x
				// y₀ = ym − y
				double x0 = súradnicaBoduX - aktuálneX;
				double y0 = súradnicaBoduY - aktuálneY;

				// x₁ = x₀ . cos(α) − y₀ . sin(α)
				// y₁ = x₀ . sin(α) + y₀ . cos(α)
				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				// x₁ > -veľkosť && y₁ > -veľkosť && x₁ < veľkosť && y₁ < veľkosť
				return x1 > -veľkosť && y1 > -veľkosť && x1 < veľkosť && y1 < veľkosť;
			}

			/** <a class="alias"></a> Alias pre {@link #bodVoŠtvorci(double, double) bodVoŠtvorci}. */
			public boolean bodVoStvorci(double súradnicaBoduX, double súradnicaBoduY) { return bodVoŠtvorci(súradnicaBoduX, súradnicaBoduY); }

			// /**
				//  * Zistí, či sa súradnice zadaného bodu nachádzajú vo štvorci so
				//  * stredom na aktuálnej pozícii robota, rotovanom v smere robota
				//  * a rozmerom podľa {@linkplain #veľkosť(double) veľkosti}
				//  * robota.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
				//  *  @see #bodVKruhu(Point2D)
				//  *  @see #bodVElipse(Point2D, double)
				//  *  @see #bodVObdĺžniku(Point2D, double)
				//  *  @see #bodVCeste(Point2D)
				//  *  @see #bodVOblasti(Point2D, Area)
				//  *  @see #bodVTvare(Point2D, Shape)
				//  */
				// public boolean bodVoŠtvorci(Point2D bod)
				// {
				// 	if (aktuálnyUhol % 90 == 0)
				// 		return bod.getX() >= aktuálneX - veľkosť &&
				// 			bod.getX() <= aktuálneX + veľkosť &&
				// 			bod.getY() >= aktuálneY - veľkosť &&
				// 			bod.getY() <= aktuálneY + veľkosť;
				// 
				// 	// x₀ = xm − x
				// 	// y₀ = ym − y
				// 	double x0 = bod.getX() - aktuálneX;
				// 	double y0 = bod.getY() - aktuálneY;
				// 
				// 	// x₁ = x₀ . cos(α) − y₀ . sin(α)
				// 	// y₁ = x₀ . sin(α) + y₀ . cos(α)
				// 	double α = Math.toRadians(90 - aktuálnyUhol);
				// 	double x1 = rotovanéX(x0, y0, α);
				// 	double y1 = rotovanéY(x0, y0, α);
				// 
				// 	// x₁ > -veľkosť && y₁ > -veľkosť && x₁ < veľkosť && y₁ < veľkosť
				// 	return x1 > -veľkosť && y1 > -veľkosť && x1 < veľkosť && y1 < veľkosť;
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #bodVoŠtvorci(Point2D) bodVoŠtvorci}. */
				// public boolean bodVoStvorci(Point2D bod) { return bodVoŠtvorci(bod); }

			/**
			 * Funguje rovnako ako metóda {@link #bodVoŠtvorci(double,
			 * double) bodVoŠtvorci(x, y)}, len namiesto súradníc bodu je
			 * použitá poloha zadaného objektu…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #bodVKruhu(Poloha)
			 *  @see #bodVElipse(Poloha, double)
			 *  @see #bodVObdĺžniku(Poloha, double)
			 *  @see #bodVHviezde(Poloha)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVOblasti(Poloha, Area)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVoŠtvorci(Poloha objekt)
			{
				if (aktuálnyUhol % 90 == 0)
					return objekt.polohaX() >= aktuálneX - veľkosť &&
						objekt.polohaX() <= aktuálneX + veľkosť &&
						objekt.polohaY() >= aktuálneY - veľkosť &&
						objekt.polohaY() <= aktuálneY + veľkosť;

				// x₀ = xm − x
				// y₀ = ym − y
				double x0 = objekt.polohaX() - aktuálneX;
				double y0 = objekt.polohaY() - aktuálneY;

				// x₁ = x₀ . cos(α) − y₀ . sin(α)
				// y₁ = x₀ . sin(α) + y₀ . cos(α)
				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				// x₁ > -veľkosť && y₁ > -veľkosť && x₁ < veľkosť && y₁ < veľkosť
				return x1 > -veľkosť && y1 > -veľkosť && x1 < veľkosť && y1 < veľkosť;
			}

			/** <a class="alias"></a> Alias pre {@link #bodVoŠtvorci(Poloha) bodVoŠtvorci}. */
			public boolean bodVoStvorci(Poloha objekt) { return bodVoŠtvorci(objekt); }

			/**
			 * Zistí, či sa súradnice zadaného bodu nachádzajú v obdĺžniku
			 * so stredom na aktuálnej pozícii robota, rotovanom v smere
			 * robota a s rozmermi podľa {@linkplain #veľkosť(double)
			 * veľkosti} robota a zadaného pomeru strán. Nasledujúca metóda
			 * dovoľuje namiesto súradníc bodu použiť objekt: {@link
			 * #bodVObdĺžniku(Poloha, double) bodVObdĺžniku(objekt, pomer)}.
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @param pomer  pomer šírky a výšky obdĺžnika
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #bodVKruhu(double, double)
			 *  @see #bodVElipse(double, double, double)
			 *  @see #bodVoŠtvorci(double, double)
			 *  @see #bodVHviezde(double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVObdĺžniku(double súradnicaBoduX,
				double súradnicaBoduY, double pomer)
			{
				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
					return súradnicaBoduX >= aktuálneX - (veľkosť * pomer) &&
						súradnicaBoduX <= aktuálneX + (veľkosť * pomer) &&
						súradnicaBoduY >= aktuálneY - veľkosť &&
						súradnicaBoduY <= aktuálneY + veľkosť;

				if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
					return súradnicaBoduX >= aktuálneX - veľkosť &&
						súradnicaBoduX <= aktuálneX + veľkosť &&
						súradnicaBoduY >= aktuálneY - (veľkosť * pomer) && súradnicaBoduY <= aktuálneY + (veľkosť * pomer);

				double x0 = súradnicaBoduX - aktuálneX;
				double y0 = súradnicaBoduY - aktuálneY;

				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				return x1 > -(veľkosť * pomer) && y1 > -veľkosť &&
					x1 < (veľkosť * pomer) && y1 < veľkosť;
			}

			/** <a class="alias"></a> Alias pre {@link #bodVObdĺžniku(double, double, double) bodVObdĺžniku}. */
			public boolean bodVObdlzniku(double súradnicaBoduX, double súradnicaBoduY, double pomer) { return bodVObdĺžniku(súradnicaBoduX, súradnicaBoduY, pomer); }

			// /**
				//  * Zistí, či sa súradnice zadaného bodu nachádzajú v obdĺžniku
				//  * so stredom na aktuálnej pozícii robota, rotovanom v smere
				//  * robota a s rozmermi podľa {@linkplain #veľkosť(double)
				//  * veľkosti} robota a zadaného pomeru strán.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @param pomer  pomer šírky a výšky obdĺžnika
				//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
				//  *  @see #bodVKruhu(Point2D)
				//  *  @see #bodVElipse(Point2D, double)
				//  *  @see #bodVoŠtvorci(Point2D)
				//  *  @see #bodVCeste(Point2D)
				//  *  @see #bodVOblasti(Point2D, Area)
				//  *  @see #bodVTvare(Point2D, Shape)
				//  */
				// public boolean bodVObdĺžniku(Point2D bod, double pomer)
				// {
				// 	if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
				// 		return bod.getX() >= aktuálneX - (veľkosť * pomer) &&
				// 			bod.getX() <= aktuálneX + (veľkosť * pomer) &&
				// 			bod.getY() >= aktuálneY - veľkosť &&
				// 			bod.getY() <= aktuálneY + veľkosť;
				// 
				// 	if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
				// 		return bod.getX() >= aktuálneX - veľkosť &&
				// 			bod.getX() <= aktuálneX + veľkosť &&
				// 			bod.getY() >= aktuálneY - (veľkosť * pomer) &&
				// 			bod.getY() <= aktuálneY + (veľkosť * pomer);
				// 
				// 	double x0 = bod.getX() - aktuálneX;
				// 	double y0 = bod.getY() - aktuálneY;
				// 
				// 	double α = Math.toRadians(90 - aktuálnyUhol);
				// 	double x1 = rotovanéX(x0, y0, α);
				// 	double y1 = rotovanéY(x0, y0, α);
				// 
				// 	return x1 > -(veľkosť * pomer) && y1 > -veľkosť &&
				// 		x1 < (veľkosť * pomer) && y1 < veľkosť;
				// }
				// 
				// /** <a class="alias"></a> Alias pre {@link #bodVObdĺžniku(Point2D, double) bodVObdĺžniku}. */
				// public boolean bodVObdlzniku(Point2D bod, double pomer) { return bodVObdĺžniku(bod, pomer); }

			/**
			 * Funguje rovnako ako metóda {@link #bodVObdĺžniku(double,
			 * double, double) bodVObdĺžniku(x, y, pomer)}, len namiesto
			 * súradníc bodu je použitá poloha zadaného objektu…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @param pomer  pomer šírky a výšky obdĺžnika
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #bodVKruhu(Poloha)
			 *  @see #bodVElipse(Poloha, double)
			 *  @see #bodVoŠtvorci(Poloha)
			 *  @see #bodVHviezde(Poloha)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVOblasti(Poloha, Area)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVObdĺžniku(Poloha objekt, double pomer)
			{
				if (90 == aktuálnyUhol || 270 == aktuálnyUhol)
					return objekt.polohaX() >= aktuálneX - (veľkosť * pomer) &&
						objekt.polohaX() <= aktuálneX + (veľkosť * pomer) &&
						objekt.polohaY() >= aktuálneY - veľkosť &&
						objekt.polohaY() <= aktuálneY + veľkosť;

				if (0 == aktuálnyUhol || 180 == aktuálnyUhol)
					return objekt.polohaX() >= aktuálneX - veľkosť &&
						objekt.polohaX() <= aktuálneX + veľkosť &&
						objekt.polohaY() >= aktuálneY - (veľkosť * pomer) &&
						objekt.polohaY() <= aktuálneY + (veľkosť * pomer);

				double x0 = objekt.polohaX() - aktuálneX;
				double y0 = objekt.polohaY() - aktuálneY;

				double α = Math.toRadians(90 - aktuálnyUhol);
				double x1 = rotovanéX(x0, y0, α);
				double y1 = rotovanéY(x0, y0, α);

				return x1 > -(veľkosť * pomer) && y1 > -veľkosť &&
					x1 < (veľkosť * pomer) && y1 < veľkosť;
			}

			/** <a class="alias"></a> Alias pre {@link #bodVObdĺžniku(Poloha, double) bodVObdĺžniku}. */
			public boolean bodVObdlzniku(Poloha objekt, double pomer) { return bodVObdĺžniku(objekt, pomer); }


			/**
			 * Zistí, či sa súradnice zadaného bodu nachádzajú v hviezde so
			 * stredom na aktuálnej pozícii robota, rotovanej v smere robota
			 * a rozmerom podľa {@linkplain #veľkosť(double) veľkosti}
			 * robota. Nasledujúca metóda dovoľuje namiesto súradníc bodu
			 * použiť objekt:
			 * {@link #bodVHviezde(Poloha) bodVHviezde(Poloha objekt)}
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #bodVKruhu(double, double)
			 *  @see #bodVElipse(double, double, double)
			 *  @see #bodVoŠtvorci(double, double)
			 *  @see #bodVObdĺžniku(double, double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVHviezde(double súradnicaBoduX,
				double súradnicaBoduY)
			{
				// return dajHviezdu(veľkosť).contains(
				// 	prepočítajX(súradnicaBoduX), prepočítajY(súradnicaBoduY));
				return this.hviezda.bodV(súradnicaBoduX,
					súradnicaBoduY, veľkosť);
			}

			/**
			 * Funguje rovnako ako metóda {@link #bodVHviezde(double,
			 * double) bodVHviezde(x, y)}, len namiesto súradníc bodu je
			 * použitá poloha zadaného objektu…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #bodVKruhu(Poloha)
			 *  @see #bodVElipse(Poloha, double)
			 *  @see #bodVoŠtvorci(Poloha, double)
			 *  @see #bodVObdĺžniku(Poloha, double)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVOblasti(Poloha, Area)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVHviezde(Poloha objekt)
			{
				// return dajHviezdu(veľkosť).contains(
				// 	prepočítajX(objekt.polohaX()),
				// 	prepočítajY(objekt.polohaY()));
				return this.hviezda.bodV(objekt.polohaX(),
					objekt.polohaY(), veľkosť);
			}


		// Kreslenie (pečiatkovanie) obrázkov

			/**
			 * Nakreslí obrázok na pozícii robota podľa aktuálneho spôsobu
			 * kreslenia. Pozri aj {@link #spôsobKreslenia(int)
			 * spôsobKreslenia}. Predvolene to znamená obrázok rotovaný
			 * kolmo na aktuálny smer robota a vycentrovaný na aktuálnej
			 * polohe robota. Takže pri základných hodnotách robota, sa
			 * obrázok zobrazí vodorovne v strede plátna (pretože robot je
			 * na začiatku umiestnený v strede podlahy (v bode [0, 0])
			 * a smeruje hore (v uhle 90°)).
			 * Mierka kreslenia obrázka je ovplyvňovaná pomerom aktuálnej
			 * veľkosti robota a veľkosti robota buď pri jeho vytvorení,
			 * alebo pri poslednej zmene {@linkplain #vlastnýTvar(String)
			 * vlastného tvaru obrázka} (kedy je mierka resetovaná).
			 * 
			 *  @param súbor  názov súboru s obrázkom, ktorý má byť
			 *      vykreslený
			 *  @throws GRobotException  ak je obrázok poškodený alebo
			 *      nebol nájdený
			 * 
			 * @see Svet#priečinokObrázkov(String)
			 * @see GRobot#obrázok(String, double)
			 * @see GRobot#obrázok(String, double, double)
			 * @see GRobot#obrázok(String, double, double, double)
			 * @see GRobot#obrázok(String, int)
			 * @see GRobot#obrázok(String, int, double)
			 * @see GRobot#obrázok(String, int, double, double)
			 * @see GRobot#obrázok(String, int, double, double, double)
			 */
			public void obrázok(String súbor)
			{ obrázok(súbor, spôsobKreslenia, veľkosť / mierkovéČíslo); }

			/** <a class="alias"></a> Alias pre {@link #obrázok(String) obrázok}. */
			public void obrazok(String súbor)
			{ obrázok(súbor, spôsobKreslenia, veľkosť / mierkovéČíslo); }

			/**
			 * Nakreslí obrázok na pozícii robota podľa aktuálneho spôsobu
			 * kreslenia. Pozri aj {@link #spôsobKreslenia(int)
			 * spôsobKreslenia}. Predvolene to znamená obrázok rotovaný
			 * kolmo na aktuálny smer robota a vycentrovaný na aktuálnej
			 * polohe robota. Takže pri základných hodnotách robota, sa
			 * obrázok zobrazí vodorovne v strede plátna (pretože robot je
			 * na začiatku umiestnený v strede podlahy (v bode [0, 0])
			 * a smeruje hore (v uhle 90°)).
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param súbor  názov súboru s obrázkom, ktorý má byť
			 *      vykreslený
			 *  @throws GRobotException  ak je obrázok poškodený alebo
			 *      nebol nájdený
			 * 
			 * @see Svet#priečinokObrázkov(String)
			 * @see GRobot#obrázok(String)
			 * @see GRobot#obrázok(String, double, double)
			 * @see GRobot#obrázok(String, double, double, double)
			 * @see GRobot#obrázok(String, int)
			 * @see GRobot#obrázok(String, int, double)
			 * @see GRobot#obrázok(String, int, double, double)
			 * @see GRobot#obrázok(String, int, double, double, double)
			 */
			public void obrázok(String súbor, double mierka)
			{ obrázok(súbor, spôsobKreslenia, mierka); }

			/** <a class="alias"></a> Alias pre {@link #obrázok(String, double) obrázok}. */
			public void obrazok(String súbor, double mierka)
			{ obrázok(súbor, spôsobKreslenia, mierka); }

			/**
			 * Nakreslí obrázok na pozícii robota podľa zadaného spôsobu
			 * kreslenia.
			 * Mierka obrázka je ovplyvňovaná pomerom aktuálnej veľkosti
			 * robota a veľkosti robota buď pri jeho vytvorení, alebo pri
			 * poslednej zmene {@linkplain #vlastnýTvar(String) vlastného
			 * tvaru obrázka} (kedy je mierka resetovaná).
			 * 
			 *  @param súbor  názov súboru s obrázkom, ktorý má byť
			 *      vykreslený
			 *  @param spôsobKreslenia môže byť buď hodnota {@link
			 *      #KRESLI_PRIAMO}, alebo kombinácia hodnôt {@link
			 *      #KRESLI_NA_STRED} a {@link #KRESLI_ROTOVANÉ}.
			 *  @throws GRobotException  ak je obrázok poškodený alebo nebol
			 *      nájdený
			 * 
			 * @see Svet#priečinokObrázkov(String)
			 * @see GRobot#obrázok(String)
			 * @see GRobot#obrázok(String, double)
			 * @see GRobot#obrázok(String, double, double)
			 * @see GRobot#obrázok(String, double, double, double)
			 * @see GRobot#obrázok(String, int, double)
			 * @see GRobot#obrázok(String, int, double, double)
			 * @see GRobot#obrázok(String, int, double, double, double)
			 */
			public void obrázok(String súbor, int spôsobKreslenia)
			{ obrázok(súbor, spôsobKreslenia, veľkosť / mierkovéČíslo); }

			/** <a class="alias"></a> Alias pre {@link #obrázok(String, int) obrázok}. */
			public void obrazok(String súbor, int spôsobKreslenia)
			{ obrázok(súbor, spôsobKreslenia, veľkosť / mierkovéČíslo); }

			/**
			 * Nakreslí obrázok na pozícii robota podľa zadaného spôsobu
			 * kreslenia.
			 * 
			 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
			 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
			 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
			 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
			 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
			 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
			 * prijímajú názov súboru ako parameter.)
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param súbor  názov súboru s obrázkom, ktorý má byť
			 *      vykreslený
			 *  @param spôsobKreslenia môže byť buď hodnota {@link
			 *      #KRESLI_PRIAMO}, alebo kombinácia hodnôt {@link
			 *      #KRESLI_NA_STRED} a {@link #KRESLI_ROTOVANÉ}.
			 *  @param mierka  určuje mierku (zväčšenie alebo zmenšenie)
			 *      kreslenia obrázka; príklady: 1.0 – originálna veľkosť,
			 *      2.0 – dvojnásobná veľkosť, 0.5 – polovičná veľkosť
			 *  @throws GRobotException  ak je obrázok poškodený alebo nebol
			 *      nájdený
			 * 
			 * @see Svet#priečinokObrázkov(String)
			 * @see GRobot#obrázok(String)
			 * @see GRobot#obrázok(String, double)
			 * @see GRobot#obrázok(String, double, double)
			 * @see GRobot#obrázok(String, double, double, double)
			 * @see GRobot#obrázok(String, int)
			 * @see GRobot#obrázok(String, int, double, double)
			 * @see GRobot#obrázok(String, int, double, double, double)
			 */
			public void obrázok(String súbor, int spôsobKreslenia,
				double mierka)
			{
				Image obrázok = súborNaObrázok(súbor);

				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				int šírkaObrázka = obrázok.getWidth(null);
				int výškaObrázka = obrázok.getHeight(null);
				if (šírkaObrázka < 0 || výškaObrázka < 0)
					throw new GRobotException("Obrázok „" + súbor +
						"“ je poškodený!", "imageFileBroken", súbor);

				int šírkaVMierke = šírkaObrázka;
				int výškaVMierke = výškaObrázka;

				AffineTransform transformácie;
				if (1.0 != mierka)
				{
					transformácie = grafikaAktívnehoPlátna.getTransform();
					grafikaAktívnehoPlátna.scale(mierka, mierka);
					prepočítanéX /= mierka;
					prepočítanéY /= mierka;
					šírkaVMierke *= mierka;
					výškaVMierke *= mierka;
				}
				else transformácie = null;

				if ((90 == aktuálnyUhol) ||
					(0 == (spôsobKreslenia & KRESLI_ROTOVANÉ)))
				{
					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						aktualizujPôsobisko(
							aktuálneX,
							aktuálneY - výškaVMierke,
							aktuálneX + šírkaVMierke,
							aktuálneY);

						// Obrázok zo súboru nikdy nebude inštanciou triedy
						// Obrázok, preto môžeme tento test vynechať.
						/*if (obrázok instanceof Obrázok)
							((Obrázok)obrázok).
								kresliNa((int)prepočítanéX,
									(int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else*/
							grafikaAktívnehoPlátna.drawImage(obrázok,
								(int)prepočítanéX, (int)prepočítanéY, null);
					}
					else
					{
						aktualizujPôsobisko(
							aktuálneX - (šírkaVMierke / 2.0),
							aktuálneY - (výškaVMierke / 2.0),
							aktuálneX + (šírkaVMierke / 2.0),
							aktuálneY + (výškaVMierke / 2.0));

						/*if (obrázok instanceof Obrázok)
							((Obrázok)obrázok).
								kresliNaStred((int)prepočítanéX,
									(int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else*/
							grafikaAktívnehoPlátna.drawImage(obrázok,
								(int)(prepočítanéX - (šírkaObrázka / 2.0)),
								(int)(prepočítanéY - (výškaObrázka / 2.0)),
								null);
					}
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					grafikaAktívnehoPlátna.rotate(-α,
						prepočítanéX, prepočítanéY);

					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						double x0 = 0;
						double y0 = -výškaVMierke;
						double x1 =  šírkaVMierke;
						double y1 = 0;

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y0, α),
							aktuálneY + rotovanéY(x0, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y1, α),
							aktuálneY + rotovanéY(x0, y1, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y0, α),
							aktuálneY + rotovanéY(x1, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y1, α),
							aktuálneY + rotovanéY(x1, y1, α));

						/*if (obrázok instanceof Obrázok)
							((Obrázok)obrázok).
								kresliNa((int)prepočítanéX,
									(int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else*/
							grafikaAktívnehoPlátna.drawImage(obrázok,
								(int)prepočítanéX, (int)prepočítanéY, null);
					}
					else
					{
						double x0 = -šírkaVMierke / 2.0;
						double y0 = -výškaVMierke / 2.0;
						double x1 =  šírkaVMierke / 2.0;
						double y1 =  výškaVMierke / 2.0;

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y0, α),
							aktuálneY + rotovanéY(x0, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y1, α),
							aktuálneY + rotovanéY(x0, y1, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y0, α),
							aktuálneY + rotovanéY(x1, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y1, α),
							aktuálneY + rotovanéY(x1, y1, α));

						/*if (obrázok instanceof Obrázok)
							((Obrázok)obrázok).
								kresliNaStred((int)prepočítanéX,
									(int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else*/
							grafikaAktívnehoPlátna.drawImage(obrázok,
								(int)(prepočítanéX - (šírkaObrázka / 2.0)),
								(int)(prepočítanéY - (výškaObrázka / 2.0)),
								null);
					}

					if (1.0 == mierka)
						grafikaAktívnehoPlátna.rotate(α,
							prepočítanéX, prepočítanéY);
				}

				if (1.0 != mierka)
					grafikaAktívnehoPlátna.setTransform(transformácie);

				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #obrázok(String, int, double) obrázok}. */
			public void obrazok(String súbor, int spôsobKreslenia,
				double mierka)
			{ obrázok(súbor, spôsobKreslenia, mierka); }

			/**
			 * Nakreslí obrázok na pozícii robota podľa aktuálneho spôsobu
			 * kreslenia s vysunutím stredu otáčania o zadané odchýlky Δx a Δy.
			 * Pozri aj {@link #spôsobKreslenia(int) spôsobKreslenia}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param súbor  názov súboru s obrázkom, ktorý má byť
			 *      vykreslený
			 *  @param Δx vysunutie stredu otáčania v smere osi x
			 *  @param Δy vysunutie stredu otáčania v smere osi y
			 *  @throws GRobotException  ak je obrázok poškodený alebo nebol
			 *      nájdený
			 * 
			 * @see Svet#priečinokObrázkov(String)
			 * @see GRobot#obrázok(String)
			 * @see GRobot#obrázok(String, double)
			 * @see GRobot#obrázok(String, double, double, double)
			 * @see GRobot#obrázok(String, int)
			 * @see GRobot#obrázok(String, int, double)
			 * @see GRobot#obrázok(String, int, double, double)
			 * @see GRobot#obrázok(String, int, double, double, double)
			 */
			public void obrázok(String súbor, double Δx, double Δy)
			{ obrázok(súbor, spôsobKreslenia, Δx, Δy, veľkosť / mierkovéČíslo); }

			/** <a class="alias"></a> Alias pre {@link #obrázok(String, double, double) obrázok}. */
			public void obrazok(String súbor, double Δx, double Δy)
			{ obrázok(súbor, spôsobKreslenia, Δx, Δy, veľkosť / mierkovéČíslo); }

			/**
			 * Nakreslí obrázok na pozícii robota podľa zadaného spôsobu
			 * kreslenia s vysunutím stredu otáčania o zadané odchýlky Δx a Δy.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param súbor  názov súboru s obrázkom, ktorý má byť
			 *      vykreslený
			 *  @param spôsobKreslenia môže byť buď hodnota {@link
			 *      #KRESLI_PRIAMO}, alebo kombinácia hodnôt {@link
			 *      #KRESLI_NA_STRED} a {@link #KRESLI_ROTOVANÉ}.
			 *  @param Δx vysunutie stredu otáčania v smere osi x
			 *  @param Δy vysunutie stredu otáčania v smere osi y
			 *  @throws GRobotException  ak je obrázok poškodený alebo nebol
			 *      nájdený
			 * 
			 * @see Svet#priečinokObrázkov(String)
			 * @see GRobot#obrázok(String)
			 * @see GRobot#obrázok(String, double)
			 * @see GRobot#obrázok(String, double, double)
			 * @see GRobot#obrázok(String, double, double, double)
			 * @see GRobot#obrázok(String, int)
			 * @see GRobot#obrázok(String, int, double)
			 * @see GRobot#obrázok(String, int, double, double, double)
			 */
			public void obrázok(String súbor, int spôsobKreslenia,
				double Δx, double Δy)
			{ obrázok(súbor, spôsobKreslenia, Δx, Δy, veľkosť / mierkovéČíslo); }

			/** <a class="alias"></a> Alias pre {@link #obrázok(String, int, double, double) obrázok}. */
			public void obrazok(String súbor, int spôsobKreslenia,
				double Δx, double Δy)
			{ obrázok(súbor, spôsobKreslenia, Δx, Δy, veľkosť / mierkovéČíslo); }


			/**
			 * Nakreslí obrázok na pozícii robota podľa aktuálneho spôsobu
			 * kreslenia s vysunutím stredu otáčania o zadané odchýlky Δx a Δy.
			 * Pozri aj {@link #spôsobKreslenia(int) spôsobKreslenia}.
			 * Odchýlky otáčania sú upravené podľa mierky.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param súbor  názov súboru s obrázkom, ktorý má byť
			 *      vykreslený
			 *  @param Δx vysunutie stredu otáčania v smere osi x
			 *  @param Δy vysunutie stredu otáčania v smere osi y
			 *  @param mierka  určuje mierku (zväčšenie alebo zmenšenie)
			 *      kreslenia obrázka; príklady: 1.0 – originálna veľkosť,
			 *      2.0 – dvojnásobná veľkosť, 0.5 – polovičná veľkosť
			 *  @throws GRobotException  ak je obrázok poškodený alebo nebol
			 *      nájdený
			 * 
			 * @see Svet#priečinokObrázkov(String)
			 * @see GRobot#obrázok(String)
			 * @see GRobot#obrázok(String, double)
			 * @see GRobot#obrázok(String, double, double)
			 * @see GRobot#obrázok(String, int)
			 * @see GRobot#obrázok(String, int, double)
			 * @see GRobot#obrázok(String, int, double, double)
			 * @see GRobot#obrázok(String, int, double, double, double)
			 */
			public void obrázok(String súbor, double Δx, double Δy,
				double mierka)
			{ obrázok(súbor, spôsobKreslenia, Δx, Δy, mierka); }

			/** <a class="alias"></a> Alias pre {@link #obrázok(String, double, double, double) obrázok}. */
			public void obrazok(String súbor, double Δx, double Δy,
				double mierka)
			{ obrázok(súbor, spôsobKreslenia, Δx, Δy, mierka); }



			/**
			 * Nakreslí obrázok na pozícii robota podľa zadaného spôsobu
			 * kreslenia s vysunutím stredu otáčania o zadané odchýlky Δx a Δy.
			 * Odchýlky otáčania sú upravené podľa mierky.
			 * 
			 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
			 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
			 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
			 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
			 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
			 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
			 * prijímajú názov súboru ako parameter.)
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param súbor  názov súboru s obrázkom, ktorý má byť
			 *      vykreslený
			 *  @param spôsobKreslenia môže byť buď hodnota {@link
			 *      #KRESLI_PRIAMO}, alebo kombinácia hodnôt {@link
			 *      #KRESLI_NA_STRED} a {@link #KRESLI_ROTOVANÉ}.
			 *  @param Δx vysunutie stredu otáčania v smere osi x
			 *  @param Δy vysunutie stredu otáčania v smere osi y
			 *  @param mierka  určuje mierku (zväčšenie alebo zmenšenie)
			 *      kreslenia obrázka; príklady: 1.0 – originálna veľkosť,
			 *      2.0 – dvojnásobná veľkosť, 0.5 – polovičná veľkosť
			 *  @throws GRobotException  ak je obrázok poškodený alebo nebol
			 *      nájdený
			 * 
			 * @see Svet#priečinokObrázkov(String)
			 * @see GRobot#obrázok(String)
			 * @see GRobot#obrázok(String, double)
			 * @see GRobot#obrázok(String, double, double)
			 * @see GRobot#obrázok(String, double, double, double)
			 * @see GRobot#obrázok(String, int)
			 * @see GRobot#obrázok(String, int, double)
			 * @see GRobot#obrázok(String, int, double, double)
			 */
			public void obrázok(String súbor, int spôsobKreslenia,
				double Δx, double Δy, double mierka)
			{
				Image obrázok = súborNaObrázok(súbor);

				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				int šírkaObrázka = obrázok.getWidth(null);
				int výškaObrázka = obrázok.getHeight(null);
				if (šírkaObrázka < 0 || výškaObrázka < 0)
					throw new GRobotException("Obrázok „" + súbor +
						"“ je poškodený!", "imageFileBroken", súbor);

				int šírkaVMierke = šírkaObrázka;
				int výškaVMierke = výškaObrázka;

				AffineTransform transformácie =
					grafikaAktívnehoPlátna.getTransform();

				if (1.0 != mierka)
				{
					grafikaAktívnehoPlátna.scale(mierka, mierka);
					prepočítanéX /= mierka;
					prepočítanéY /= mierka;
					šírkaVMierke *= mierka;
					výškaVMierke *= mierka;
				}

				if ((90 == aktuálnyUhol) ||
					(0 == (spôsobKreslenia & KRESLI_ROTOVANÉ)))
				{
					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						aktualizujPôsobisko(
							aktuálneX,
							aktuálneY - výškaVMierke,
							aktuálneX + šírkaVMierke,
							aktuálneY);

						// Obrázok zo súboru nikdy nebude inštanciou triedy
						// Obrázok, preto môžeme tento test vynechať.
						/*if (obrázok instanceof Obrázok)
							((Obrázok)obrázok).
								kresliNa((int)prepočítanéX,
									(int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else*/
							grafikaAktívnehoPlátna.drawImage(obrázok,
								(int)prepočítanéX, (int)prepočítanéY, null);
					}
					else
					{
						aktualizujPôsobisko(
							aktuálneX - (šírkaVMierke / 2.0),
							aktuálneY - (výškaVMierke / 2.0),
							aktuálneX + (šírkaVMierke / 2.0),
							aktuálneY + (výškaVMierke / 2.0));

						/*if (obrázok instanceof Obrázok)
							((Obrázok)obrázok).
								kresliNaStred((int)prepočítanéX,
									(int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else*/
							grafikaAktívnehoPlátna.drawImage(obrázok,
								(int)(prepočítanéX - (šírkaObrázka / 2.0)),
								(int)(prepočítanéY - (výškaObrázka / 2.0)),
								null);
					}
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					if (1.0 == mierka)
						grafikaAktívnehoPlátna.rotate(-α,
							prepočítanéX + Δx, prepočítanéY - Δy);
					else
						grafikaAktívnehoPlátna.rotate(-α,
							prepočítanéX + (Δx / mierka),
							prepočítanéY - (Δy / mierka));

					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						double x0 = 0;
						double y0 = -výškaVMierke;
						double x1 =  šírkaVMierke;
						double y1 = 0;
						double x2 = -Δx;
						double y2 = -Δy;
						double x3 = aktuálneX + Δx + rotovanéX(x2, y2, α);
						double y3 = aktuálneY + Δy + rotovanéY(x2, y2, α);

						aktualizujPôsobisko(
							x3 + rotovanéX(x0, y0, α),
							y3 + rotovanéY(x0, y0, α));

						aktualizujPôsobisko(
							x3 + rotovanéX(x0, y1, α),
							y3 + rotovanéY(x0, y1, α));

						aktualizujPôsobisko(
							x3 + rotovanéX(x1, y0, α),
							y3 + rotovanéY(x1, y0, α));

						aktualizujPôsobisko(
							x3 + rotovanéX(x1, y1, α),
							y3 + rotovanéY(x1, y1, α));

						/*if (obrázok instanceof Obrázok)
							((Obrázok)obrázok).
								kresliNa((int)prepočítanéX,
									(int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else*/
							grafikaAktívnehoPlátna.drawImage(obrázok,
								(int)prepočítanéX, (int)prepočítanéY, null);
					}
					else
					{
						double x0 = -šírkaVMierke / 2.0;
						double y0 = -výškaVMierke / 2.0;
						double x1 =  šírkaVMierke / 2.0;
						double y1 =  výškaVMierke / 2.0;
						double x2 = -Δx;
						double y2 = -Δy;
						double x3 = aktuálneX + Δx + rotovanéX(x2, y2, α);
						double y3 = aktuálneY + Δy + rotovanéY(x2, y2, α);

						aktualizujPôsobisko(
							x3 + rotovanéX(x0, y0, α),
							y3 + rotovanéY(x0, y0, α));

						aktualizujPôsobisko(
							x3 + rotovanéX(x0, y1, α),
							y3 + rotovanéY(x0, y1, α));

						aktualizujPôsobisko(
							x3 + rotovanéX(x1, y0, α),
							y3 + rotovanéY(x1, y0, α));

						aktualizujPôsobisko(
							x3 + rotovanéX(x1, y1, α),
							y3 + rotovanéY(x1, y1, α));

						/*if (obrázok instanceof Obrázok)
							((Obrázok)obrázok).
								kresliNaStred((int)prepočítanéX,
									(int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else*/
							grafikaAktívnehoPlátna.drawImage(obrázok,
								(int)(prepočítanéX - (šírkaObrázka / 2.0)),
								(int)(prepočítanéY - (výškaObrázka / 2.0)),
								null);
					}
				}

				grafikaAktívnehoPlátna.setTransform(transformácie);
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #obrázok(String, int, double, double, double) obrázok}. */
			public void obrazok(String súbor, int spôsobKreslenia,
				double Δx, double Δy, double mierka)
			{ obrázok(súbor, spôsobKreslenia, Δx, Δy, mierka); }


			/**
			 * Nakreslí obrázok na pozícii robota podľa aktuálneho spôsobu
			 * kreslenia. Pozri aj {@link #spôsobKreslenia(int)
			 * spôsobKreslenia}. Predvolene to znamená obrázok rotovaný
			 * kolmo na aktuálny smer robota a vycentrovaný na aktuálnej
			 * polohe robota. Takže pri základných hodnotách robota, sa
			 * obrázok zobrazí vodorovne v strede plátna (pretože robot je
			 * na začiatku umiestnený v strede podlahy (v bode [0, 0])
			 * a smeruje hore (v uhle 90°)).
			 * Mierka kreslenia obrázka je ovplyvňovaná pomerom aktuálnej
			 * veľkosti robota a veľkosti robota buď pri jeho vytvorení,
			 * alebo pri poslednej zmene {@linkplain #vlastnýTvar(String)
			 * vlastného tvaru obrázka} (kedy je mierka resetovaná).
			 * 
			 *  @param obrázok  obrázok, ktorý má byť vykreslený
			 *  @throws GRobotException  ak je obrázok poškodený alebo nebol
			 *      nájdený
			 */
			public void obrázok(Image obrázok)
			{ obrázok(obrázok, spôsobKreslenia, veľkosť / mierkovéČíslo); }

			/** <a class="alias"></a> Alias pre {@link #obrázok(Image) obrázok}. */
			public void obrazok(Image obrázok)
			{ obrázok(obrázok, spôsobKreslenia, veľkosť / mierkovéČíslo); }

			/**
			 * Nakreslí obrázok na pozícii robota podľa aktuálneho spôsobu
			 * kreslenia. Pozri aj {@link #spôsobKreslenia(int)
			 * spôsobKreslenia}. Predvolene to znamená obrázok rotovaný
			 * kolmo na aktuálny smer robota a vycentrovaný na aktuálnej
			 * polohe robota. Takže pri základných hodnotách robota, sa
			 * obrázok zobrazí vodorovne v strede plátna (pretože robot je
			 * na začiatku umiestnený v strede podlahy (v bode [0, 0])
			 * a smeruje hore (v uhle 90°)).
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param obrázok  obrázok, ktorý má byť vykreslený
			 *  @throws GRobotException  ak je obrázok poškodený alebo nebol
			 *      nájdený
			 */
			public void obrázok(Image obrázok, double mierka)
			{ obrázok(obrázok, spôsobKreslenia, mierka); }

			/** <a class="alias"></a> Alias pre {@link #obrázok(Image, double) obrázok}. */
			public void obrazok(Image obrázok, double mierka)
			{ obrázok(obrázok, spôsobKreslenia, mierka); }

			/**
			 * Nakreslí obrázok na pozícii robota podľa zadaného spôsobu
			 * kreslenia. Obrázok je všeobecný typ {@link Image Image}, za
			 * ktorý môže byť dosadený aj objekt typu {@link Obrázok
			 * Obrázok}.
			 * Mierka obrázka je ovplyvňovaná pomerom aktuálnej veľkosti
			 * robota a veľkosti robota buď pri jeho vytvorení, alebo pri
			 * poslednej zmene {@linkplain #vlastnýTvar(String) vlastného
			 * tvaru obrázka} (kedy je mierka resetovaná).
			 * 
			 *  @param obrázok  obrázok, ktorý má byť vykreslený
			 *  @param spôsobKreslenia môže byť buď hodnota {@link
			 *      #KRESLI_PRIAMO}, alebo kombinácia hodnôt {@link
			 *      #KRESLI_NA_STRED} a {@link #KRESLI_ROTOVANÉ}.
			 *  @throws GRobotException  ak je obrázok poškodený alebo
			 *      nebol nájdený
			 */
			public void obrázok(Image obrázok, int spôsobKreslenia)
			{ obrázok(obrázok, spôsobKreslenia, veľkosť / mierkovéČíslo); }

			/** <a class="alias"></a> Alias pre {@link #obrázok(Image, int) obrázok}. */
			public void obrazok(Image obrázok, int spôsobKreslenia)
			{ obrázok(obrázok, spôsobKreslenia, veľkosť / mierkovéČíslo); }

			/**
			 * Nakreslí obrázok na pozícii robota podľa zadaného spôsobu
			 * kreslenia. Obrázok je všeobecný typ {@link Image Image}, za
			 * ktorý môže byť dosadený aj objekt typu {@link Obrázok
			 * Obrázok}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param obrázok  obrázok, ktorý má byť vykreslený
			 *  @param spôsobKreslenia môže byť buď hodnota {@link
			 *      #KRESLI_PRIAMO}, alebo kombinácia hodnôt {@link
			 *      #KRESLI_NA_STRED} a {@link #KRESLI_ROTOVANÉ}.
			 *  @param mierka  určuje mierku (zväčšenie alebo zmenšenie)
			 *      kreslenia obrázka; príklady: 1.0 – originálna veľkosť,
			 *      2.0 – dvojnásobná veľkosť, 0.5 – polovičná veľkosť
			 *  @throws GRobotException  ak je obrázok poškodený alebo
			 *      nebol nájdený
			 */
			public void obrázok(Image obrázok, int spôsobKreslenia,
				double mierka)
			{
				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				int šírkaObrázka = obrázok.getWidth(null);
				int výškaObrázka = obrázok.getHeight(null);
				if (šírkaObrázka < 0 || výškaObrázka < 0)
					throw new GRobotException("Obrázok je poškodený!",
						"imageBroken");

				int šírkaVMierke = šírkaObrázka;
				int výškaVMierke = výškaObrázka;

				AffineTransform transformácie;
				if (1.0 != mierka)
				{
					transformácie = grafikaAktívnehoPlátna.getTransform();
					grafikaAktívnehoPlátna.scale(mierka, mierka);
					prepočítanéX /= mierka;
					prepočítanéY /= mierka;
					šírkaVMierke *= mierka;
					výškaVMierke *= mierka;
				}
				else transformácie = null;

				Image relevantný = dajRelevantnýRaster(obrázok);

				if ((90 == aktuálnyUhol) ||
					(0 == (spôsobKreslenia & KRESLI_ROTOVANÉ)))
				{
					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						aktualizujPôsobisko(
							aktuálneX,
							aktuálneY - výškaVMierke,
							aktuálneX + šírkaVMierke,
							aktuálneY);

						if (relevantný instanceof Obrázok)
							((Obrázok)relevantný).kresliNa(
								(int)prepočítanéX, (int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else
							grafikaAktívnehoPlátna.drawImage(relevantný,
								(int)prepočítanéX, (int)prepočítanéY, null);
					}
					else
					{
						aktualizujPôsobisko(
							aktuálneX - (šírkaVMierke / 2.0),
							aktuálneY - (výškaVMierke / 2.0),
							aktuálneX + (šírkaVMierke / 2.0),
							aktuálneY + (výškaVMierke / 2.0));

						if (relevantný instanceof Obrázok)
							((Obrázok)relevantný).kresliNaStred(
								(int)prepočítanéX, (int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else
							grafikaAktívnehoPlátna.drawImage(relevantný,
								(int)(prepočítanéX - (šírkaObrázka / 2.0)),
								(int)(prepočítanéY - (výškaObrázka / 2.0)),
								null);
					}
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					grafikaAktívnehoPlátna.rotate(-α,
						prepočítanéX, prepočítanéY);

					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						double x0 = 0;
						double y0 = -výškaVMierke;
						double x1 =  šírkaVMierke;
						double y1 = 0;

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y0, α),
							aktuálneY + rotovanéY(x0, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y1, α),
							aktuálneY + rotovanéY(x0, y1, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y0, α),
							aktuálneY + rotovanéY(x1, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y1, α),
							aktuálneY + rotovanéY(x1, y1, α));

						if (relevantný instanceof Obrázok)
							((Obrázok)relevantný).kresliNa(
								(int)prepočítanéX, (int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else
							grafikaAktívnehoPlátna.drawImage(relevantný,
								(int)prepočítanéX, (int)prepočítanéY, null);
					}
					else
					{
						double x0 = -šírkaVMierke / 2.0;
						double y0 = -výškaVMierke / 2.0;
						double x1 =  šírkaVMierke / 2.0;
						double y1 =  výškaVMierke / 2.0;

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y0, α),
							aktuálneY + rotovanéY(x0, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y1, α),
							aktuálneY + rotovanéY(x0, y1, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y0, α),
							aktuálneY + rotovanéY(x1, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y1, α),
							aktuálneY + rotovanéY(x1, y1, α));

						if (relevantný instanceof Obrázok)
							((Obrázok)relevantný).kresliNaStred(
								(int)prepočítanéX, (int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else
							grafikaAktívnehoPlátna.drawImage(relevantný,
								(int)(prepočítanéX - (šírkaObrázka / 2.0)),
								(int)(prepočítanéY - (výškaObrázka / 2.0)),
								null);
					}

					if (1.0 == mierka)
						grafikaAktívnehoPlátna.rotate(α,
							prepočítanéX, prepočítanéY);
				}

				if (1.0 != mierka)
					grafikaAktívnehoPlátna.setTransform(transformácie);

				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #obrázok(Image, int, double ) obrázok}. */
			public void obrazok(Image obrázok, int spôsobKreslenia,
				double mierka)
			{ obrázok(obrázok, spôsobKreslenia, mierka); }

			/**
			 * Nakreslí obrázok na pozícii robota podľa aktuálneho spôsobu
			 * kreslenia s vysunutím stredu otáčania o zadané odchýlky Δx a Δy.
			 * Pozri aj {@link #spôsobKreslenia(int) spôsobKreslenia}. Obrázok
			 * je všeobecný typ {@link Image Image}, za ktorý môže byť
			 * dosadený aj objekt typu {@link Obrázok Obrázok}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param obrázok obrázok, ktorý má byť vykreslený
			 *  @param Δx vysunutie stredu otáčania v smere osi x
			 *  @param Δy vysunutie stredu otáčania v smere osi y
			 *  @throws GRobotException  ak je obrázok poškodený alebo
			 *      nebol nájdený
			 */
			public void obrázok(Image obrázok, double Δx, double Δy)
			{ obrázok(obrázok, spôsobKreslenia, Δx, Δy, veľkosť / mierkovéČíslo); }

			/** <a class="alias"></a> Alias pre {@link #obrázok(Image, double, double) obrázok}. */
			public void obrazok(Image obrázok, double Δx, double Δy)
			{ obrázok(obrázok, spôsobKreslenia, Δx, Δy, veľkosť / mierkovéČíslo); }


			/**
			 * Nakreslí obrázok na pozícii robota podľa aktuálneho spôsobu
			 * kreslenia s vysunutím stredu otáčania o zadané odchýlky Δx a Δy.
			 * Pozri aj {@link #spôsobKreslenia(int) spôsobKreslenia}.
			 * Obrázok je všeobecný typ {@link Image Image}, za ktorý môže byť
			 * dosadený aj objekt typu {@link Obrázok Obrázok}.
			 * Odchýlky otáčania sú upravené podľa mierky.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * <P>Komplexný interaktívny príklad použitia tejto metódy je
			 * v opise metódy {@link #obrázok(java.awt.Image, int, double,
			 * double, double) obrázok(obrázok, spôsobKreslenia, Δx, Δy,
			 * mierka)}.
			 * 
			 *  @param obrázok  obrázok, ktorý má byť vykreslený
			 *  @param Δx vysunutie stredu otáčania v smere osi x
			 *  @param Δy vysunutie stredu otáčania v smere osi y
			 *  @param mierka  určuje mierku (zväčšenie alebo zmenšenie)
			 *      kreslenia obrázka; príklady: 1.0 – originálna veľkosť,
			 *      2.0 – dvojnásobná veľkosť, 0.5 – polovičná veľkosť
			 *  @throws GRobotException  ak je obrázok poškodený alebo
			 *      nebol nájdený
			 */
			public void obrázok(Image obrázok, double Δx, double Δy,
				double mierka)
			{ obrázok(obrázok, spôsobKreslenia, Δx, Δy, mierka); }

			/** <a class="alias"></a> Alias pre {@link #obrázok(Image, double, double, double) obrázok}. */
			public void obrazok(Image obrázok, double Δx, double Δy,
				double mierka)
			{ obrázok(obrázok, spôsobKreslenia, Δx, Δy, mierka); }

			/**
			 * Nakreslí obrázok na pozícii robota podľa zadaného spôsobu
			 * kreslenia s vysunutím stredu otáčania o zadané odchýlky Δx a Δy.
			 * Obrázok je všeobecný typ {@link Image Image}, za ktorý môže byť
			 * dosadený aj objekt typu {@link Obrázok Obrázok}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param obrázok  obrázok, ktorý má byť vykreslený
			 *  @param spôsobKreslenia môže byť buď hodnota {@link
			 *      #KRESLI_PRIAMO}, alebo kombinácia hodnôt {@link
			 *      #KRESLI_NA_STRED} a {@link #KRESLI_ROTOVANÉ}.
			 *  @param Δx vysunutie stredu otáčania v smere osi x
			 *  @param Δy vysunutie stredu otáčania v smere osi y
			 *  @throws GRobotException  ak je obrázok poškodený alebo
			 *      nebol nájdený
			 */
			public void obrázok(Image obrázok, int spôsobKreslenia,
				double Δx, double Δy)
			{ obrázok(obrázok, spôsobKreslenia, Δx, Δy, veľkosť / mierkovéČíslo); }

			/** <a class="alias"></a> Alias pre {@link #obrázok(Image, int, double, double) obrázok}. */
			public void obrazok(Image obrázok, int spôsobKreslenia,
				double Δx, double Δy)
			{ obrázok(obrázok, spôsobKreslenia, Δx, Δy, veľkosť / mierkovéČíslo); }

			/**
			 * Nakreslí obrázok na pozícii robota podľa zadaného spôsobu
			 * kreslenia s vysunutím stredu otáčania o zadané odchýlky Δx a Δy.
			 * Obrázok je všeobecný typ {@link Image Image}, za ktorý môže byť
			 * dosadený aj objekt typu {@link Obrázok Obrázok}.
			 * Odchýlky otáčania sú upravené podľa mierky.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * <P><b>Príklad:</b>
			 * <P>Nasledujúci príklad ukazuje možnosti transformácie obrázkov
			 * pomocou knižnice grafického robota. Príklad je interaktívny.
			 * Po preložení a spustení sú na obrazovke zobrazené informácie
			 * o tom, ako je možné zobrazený obrázok transformovať, pričom
			 * používateľ rýchlo zistí, že obrázkom (a jeho transformáciami)
			 * vlastne na plátno kreslí.
			 * <pre CLASS="example">
				{@code kwdimport} knižnica.{@link GRobot GRobot};

				{@code kwdpublic} {@code typeclass} TestRotovaniaObrázkov {@code kwdextends} {@link GRobot GRobot}
				{
					{@code comm// Posunutie stredu rotácie a mierka obrázka.}
					{@code kwdprivate} {@code typedouble} Δx = {@code num0.0}, Δy = {@code num0.0}, mierka = {@code num1.0};

					{@code comm// Obrázok, ktorý bude transformovaný.}
					{@code kwdprivate} {@link Obrázok Obrázok} obrázok;

					{@code comm// Metóda na „vyrobenie“ obsahu obrázka.}
					{@code kwdprivate} {@code typevoid} vyrobObrázok()
					{
						obrázok = {@code kwdnew} {@link Obrázok#GRobot.Obrázok(int, int) Obrázok}({@code num300}, {@code num200});
						{@link GRobot#kresliNaObrázok(Obrázok) kresliNaObrázok}(obrázok);

						{@link GRobot#farba(int, int, int, int) farba}({@code num199}, {@code num201}, {@code num203}, {@code num5});
						{@code kwdfor} ({@code typedouble} i = {@code num1.0}; i &gt; {@code num0.0}; i &#45;= {@code num0.03})
							{@link GRobot#vyplňElipsu(double, double) vyplňElipsu}({@code num150.0} * i, {@code num100.0} * i);

						{@link GRobot#farba(int, int, int) farba}({@code num99}, {@code num101}, {@code num103});
						{@link GRobot#nekresliTvary() nekresliTvary}();

						{@link GRobot#písmo(String, double) písmo}({@code srg"Arial"}, {@code num32});
						{@link GRobot#skočNa(double, double) skočNa}({@code num0}, {@code num10});
						{@link Oblasť Oblasť} text1 = {@code kwdnew} {@link Oblasť#GRobot.Oblasť(java.awt.Shape) Oblasť}({@link GRobot#text(String) text}({@code srg"Text v elipse"}));
						{@link GRobot#vyplňOblasť(java.awt.geom.Area) vyplňOblasť}(text1);

						{@link GRobot#písmo(String, double) písmo}({@code srg"Arial"}, {@code num16});
						{@link GRobot#skočNa(double, double) skočNa}({@code num0}, &#45;{@code num20});
						{@link Oblasť Oblasť} text2 = {@code kwdnew} {@link Oblasť#GRobot.Oblasť(java.awt.Shape) Oblasť}({@link GRobot#text(String) text}({@code srg"na testovanie rotácie obrázka…"}));
						{@link GRobot#vyplňOblasť(java.awt.geom.Area) vyplňOblasť}(text2);
						obrázok.{@link Obrázok#rozmaž() rozmaž}();

						{@link GRobot#farba(java.awt.Color) farba}({@link Farebnosť#čierna čierna});

						{@link GRobot#písmo(String, double) písmo}({@code srg"Arial"}, {@code num32});
						{@link GRobot#skočNa(double, double) skočNa}({@code num0}, {@code num10});
						{@link GRobot#vyplňOblasť(java.awt.geom.Area) vyplňOblasť}(text1);

						{@link GRobot#písmo(String, double) písmo}({@code srg"Arial"}, {@code num16});
						{@link GRobot#skočNa(double, double) skočNa}({@code num0}, &#45;{@code num20});
						{@link GRobot#vyplňOblasť(java.awt.geom.Area) vyplňOblasť}(text2);

						{@link GRobot#kresliNaPodlahu() kresliNaPodlahu}();
						{@link GRobot#kresliTvary() kresliTvary}();
					}

					{@code comm// Konštruktor.}
					{@code kwdprivate} TestRotovaniaObrázkov()
					{
						{@code valsuper}({@code num600}, {@code num400});
						{@link GRobot#skry() skry}();

						vyrobObrázok();

						{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"Ťahaním myšou (alebo klikom) sa dá dosiahnuť:"});
						{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"             Shift – vysunutie stredu otáčania"});
						{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"           Control – zmena mierky obrázka"});
						{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"               Alt – rotácia obrázka"});
						{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"«bez modifikátora» – presunutie obrázka"});

						kreslenie();
					}

					{@code comm// Metóda, ktorá pridáva transformovaný obrázok ku kresbe na plátne.}
					{@code kwdpublic} {@code typevoid} kreslenie()
					{
						{@link Bod Bod} bod = {@link GRobot#poloha() poloha}();
						{@link GRobot#obrázok(java.awt.Image, double, double, double) obrázok}(obrázok, Δx, Δy, mierka);
						{@link GRobot#farba(java.awt.Color) farba}({@link Farebnosť#modrá modrá});
						{@link GRobot#kruh(double) kruh}({@code num4});
						{@link GRobot#skoč(double, double) skoč}(Δx, Δy);
						{@link GRobot#farba(java.awt.Color) farba}({@link Farebnosť#červená červená});
						{@link GRobot#kruh(double) kruh}({@code num3});
						{@link GRobot#skočNa(Poloha) skočNa}(bod);
						{@link GRobot#farba(java.awt.Color) farba}({@link Farebnosť#čierna čierna});
					}

					{@code comm// Reakcia na kliknutie.}
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#klik() klik}()
					{
						{@link GRobot#ťahanieMyšou() ťahanieMyšou}();
					}

					{@code comm// Reakcia na ťahanie myšou.}
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#ťahanieMyšou() ťahanieMyšou}()
					{
						{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#myš() myš}().{@link java.awt.event.InputEvent#isShiftDown() isShiftDown}())
						{
							Δx = {@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#polohaMyšiX() polohaMyšiX}() &#45; {@link GRobot#polohaX() polohaX}();
							Δy = {@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#polohaMyšiY() polohaMyšiY}() &#45; {@link GRobot#polohaY() polohaY}();
						}
						{@code kwdelse} {@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#myš() myš}().{@link java.awt.event.InputEvent#isControlDown() isControlDown}())
						{
							mierka = {@link GRobot#vzdialenosťKMyši() vzdialenosťKMyši}() / {@code num125.0};
						}
						{@code kwdelse} {@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#myš() myš}().{@link java.awt.event.InputEvent#isAltDown() isAltDown}())
						{
							{@link Bod Bod} bod = {@link GRobot#poloha() poloha}();
							{@link GRobot#skoč(double, double) skoč}(Δx, Δy);
							{@link GRobot#otočNaMyš() otočNaMyš}();
							{@link GRobot#skočNa(Poloha) skočNa}(bod);
						}
						{@code kwdelse}
						{
							{@link GRobot#skočNaMyš() skočNaMyš}();
						}

						kreslenie();
					}

					{@code comm// Hlavná metóda.}
					{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
					{
						{@code kwdnew} TestRotovaniaObrázkov();
					}
				}
				</pre>
			 * 
			 * <P><b>Výsledok:</b>
			 * <P><image>interaktivnaZmenaObrazka.png</image> <br />Ukážka
			 * možného výsledku experimentovania s obrázkom
			 * 
			 *  @param obrázok  obrázok, ktorý má byť vykreslený
			 *  @param spôsobKreslenia môže byť buď hodnota {@link
			 *      #KRESLI_PRIAMO}, alebo kombinácia hodnôt {@link
			 *      #KRESLI_NA_STRED} a {@link #KRESLI_ROTOVANÉ}.
			 *  @param Δx vysunutie stredu otáčania v smere osi x
			 *  @param Δy vysunutie stredu otáčania v smere osi y
			 *  @param mierka  určuje mierku (zväčšenie alebo zmenšenie)
			 *      kreslenia obrázka; príklady: 1.0 – originálna veľkosť,
			 *      2.0 – dvojnásobná veľkosť, 0.5 – polovičná veľkosť
			 *  @throws GRobotException  ak je obrázok poškodený alebo
			 *      nebol nájdený
			 */
			public void obrázok(Image obrázok, int spôsobKreslenia,
				double Δx, double Δy, double mierka)
			{
				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				int šírkaObrázka = obrázok.getWidth(null);
				int výškaObrázka = obrázok.getHeight(null);
				if (šírkaObrázka < 0 || výškaObrázka < 0)
					throw new GRobotException("Obrázok je poškodený!",
						"imageBroken");

				int šírkaVMierke = šírkaObrázka;
				int výškaVMierke = výškaObrázka;

				AffineTransform transformácie =
					grafikaAktívnehoPlátna.getTransform();

				if (1.0 != mierka)
				{
					grafikaAktívnehoPlátna.scale(mierka, mierka);
					prepočítanéX /= mierka;
					prepočítanéY /= mierka;
					šírkaVMierke *= mierka;
					výškaVMierke *= mierka;
				}

				Image relevantný = dajRelevantnýRaster(obrázok);

				if ((90 == aktuálnyUhol) ||
					(0 == (spôsobKreslenia & KRESLI_ROTOVANÉ)))
				{
					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						aktualizujPôsobisko(
							aktuálneX,
							aktuálneY - výškaVMierke,
							aktuálneX + šírkaVMierke,
							aktuálneY);

						if (relevantný instanceof Obrázok)
							((Obrázok)relevantný).
								kresliNa((int)prepočítanéX,
									(int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else
							grafikaAktívnehoPlátna.drawImage(relevantný,
								(int)(prepočítanéX),
								(int)(prepočítanéY),
								null);
					}
					else
					{
						aktualizujPôsobisko(
							aktuálneX - (šírkaVMierke / 2.0),
							aktuálneY - (výškaVMierke / 2.0),
							aktuálneX + (šírkaVMierke / 2.0),
							aktuálneY + (výškaVMierke / 2.0));

						if (relevantný instanceof Obrázok)
							((Obrázok)relevantný).
								kresliNaStred((int)prepočítanéX,
									(int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else
							grafikaAktívnehoPlátna.drawImage(relevantný,
								(int)(prepočítanéX - (šírkaObrázka / 2.0)),
								(int)(prepočítanéY - (výškaObrázka / 2.0)),
								null);
					}
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					if (1.0 == mierka)
						grafikaAktívnehoPlátna.rotate(-α,
							prepočítanéX + Δx, prepočítanéY - Δy);
					else
						grafikaAktívnehoPlátna.rotate(-α,
							prepočítanéX + (Δx / mierka),
							prepočítanéY - (Δy / mierka));

					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						double x0 = 0;
						double y0 = -výškaVMierke;
						double x1 =  šírkaVMierke;
						double y1 = 0;
						double x2 = -Δx;
						double y2 = -Δy;
						double x3 = aktuálneX + Δx + rotovanéX(x2, y2, α);
						double y3 = aktuálneY + Δy + rotovanéY(x2, y2, α);

						aktualizujPôsobisko(
							x3 + rotovanéX(x0, y0, α),
							y3 + rotovanéY(x0, y0, α));

						aktualizujPôsobisko(
							x3 + rotovanéX(x0, y1, α),
							y3 + rotovanéY(x0, y1, α));

						aktualizujPôsobisko(
							x3 + rotovanéX(x1, y0, α),
							y3 + rotovanéY(x1, y0, α));

						aktualizujPôsobisko(
							x3 + rotovanéX(x1, y1, α),
							y3 + rotovanéY(x1, y1, α));

						if (relevantný instanceof Obrázok)
							((Obrázok)relevantný).
								kresliNa((int)prepočítanéX,
									(int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else
							grafikaAktívnehoPlátna.drawImage(relevantný,
								(int)(prepočítanéX),
								(int)(prepočítanéY),
								null);
					}
					else
					{
						double x0 = -šírkaVMierke / 2.0;
						double y0 = -výškaVMierke / 2.0;
						double x1 =  šírkaVMierke / 2.0;
						double y1 =  výškaVMierke / 2.0;
						double x2 = -Δx;
						double y2 = -Δy;
						double x3 = aktuálneX + Δx + rotovanéX(x2, y2, α);
						double y3 = aktuálneY + Δy + rotovanéY(x2, y2, α);

						aktualizujPôsobisko(
							x3 + rotovanéX(x0, y0, α),
							y3 + rotovanéY(x0, y0, α));

						aktualizujPôsobisko(
							x3 + rotovanéX(x0, y1, α),
							y3 + rotovanéY(x0, y1, α));

						aktualizujPôsobisko(
							x3 + rotovanéX(x1, y0, α),
							y3 + rotovanéY(x1, y0, α));

						aktualizujPôsobisko(
							x3 + rotovanéX(x1, y1, α),
							y3 + rotovanéY(x1, y1, α));

						if (relevantný instanceof Obrázok)
							((Obrázok)relevantný).
								kresliNaStred((int)prepočítanéX,
									(int)prepočítanéY,
									grafikaAktívnehoPlátna);
						else
							grafikaAktívnehoPlátna.drawImage(relevantný,
								(int)(prepočítanéX - (šírkaObrázka / 2.0)),
								(int)(prepočítanéY - (výškaObrázka / 2.0)),
								null);
					}
				}

				grafikaAktívnehoPlátna.setTransform(transformácie);
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #obrázok(Image, int, double, double, double) obrázok}. */
			public void obrazok(Image obrázok, int spôsobKreslenia,
				double Δx, double Δy, double mierka)
			{ obrázok(obrázok, spôsobKreslenia, Δx, Δy, mierka); }


		// Text

			/**
			 * Napíše<sup>[1]</sup> zadaný text na pozícii robota podľa
			 * aktuálneho spôsobu kreslenia (pozri: {@link
			 * #spôsobKreslenia(int) spôsobKreslenia}) alebo vytvorí tvar
			 * obrysu zadaného textu (čo záleží od  toho, či je tento robot
			 * momentálne {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný}
			 * alebo nie a či je {@linkplain #nekresliTvary() zakázané
			 * kreslenie tvarov}; pozri vysvetlenie pri návratovej hodnote).
			 * Predvolene roboty píšu text rotovaný kolmo na ich aktuálny smer
			 * a vycentrovaný na ich aktuálnej polohe. Takže pri základných
			 * hodnotách robota, sa text zobrazí vodorovne v strede plátna
			 * (pretože robot býva pri vytvorení umiestnený v strede podlahy
			 * (v bode [0, 0]) a nasmerovaný hore (v uhle 90°)).
			 * 
			 * <P>
			 * <small>[1] – alebo skôr „nakreslí“ zadaný text – písanie textu
			 * robotom totiž prebieha podobne, ako keby robot vytvoril z textu
			 * pečiatku a tú vytlačil podľa aktuálneho spôsobu kreslenia
			 * (predvolene vycentrovanú na svojej pozícii a rotovanú podľa
			 * svojho smeru); jednoducho <b>s textom napísaným robotom je
			 * zaobchádzané ako s grafikou</b>…</small>
			 * 
			 *  @param text text, ktorý má byť vypísaný
			 *  @return ak nie je robot {@linkplain Oblasť#zamestnaj(GRobot)
			 *      zamestnaný} a je {@linkplain #kresliTvary() povolené
			 *      kreslenie tvarov}, metóda píše text a má návratovú hodnotu
			 *      {@code valnull};
			 *      v opačnom prípade metóda nenapíše nič a vracia objekt typu
			 *      {@link Shape Shape} (tvar) reprezentujúci obrys zadaného
			 *      textu (tvar textu)
			 *  @see Plátno#vypíš(Object[]) Plátno.vypíš(Object...)
			 *  @see Plátno#vypíšRiadok(Object[])
			 *       Plátno.vypíšRiadok(Object...)
			 *  @see #text(String, int)
			 *  @see #text(String, double, double)
			 *  @see #text(String, int, double, double)
			 */
			public Shape text(String text)
			{ return text(text, spôsobKreslenia); }

			/**
			 * Napíše<sup>[1]</sup> zadaný text na pozícii robota podľa
			 * aktuálneho spôsobu kreslenia (pozri: {@link
			 * #spôsobKreslenia(int) spôsobKreslenia}) a s vysunutím stredu
			 * otáčania o zadané odchýlky Δx a Δy alebo vytvorí tvar
			 * obrysu zadaného textu (čo záleží od toho, či je tento robot
			 * momentálne {@linkplain Oblasť#zamestnaj(GRobot) zamestnaný}
			 * alebo nie a či je {@linkplain #nekresliTvary() zakázané
			 * kreslenie tvarov}; pozri vysvetlenie pri návratovej hodnote).
			 * Predvolene roboty píšu text rotovaný kolmo na ich aktuálny smer
			 * a vycentrovaný na ich aktuálnej polohe. Takže pri základných
			 * hodnotách robota, sa text zobrazí vodorovne v strede plátna
			 * (pretože robot býva pri vytvorení umiestnený v strede podlahy
			 * (v bode [0, 0]) a nasmerovaný hore (v uhle 90°)).
			 * 
			 * <P>
			 * <small>[1] – alebo skôr „nakreslí“ zadaný text – písanie textu
			 * robotom totiž prebieha podobne, ako keby robot vytvoril z textu
			 * pečiatku a tú vytlačil podľa aktuálneho spôsobu kreslenia
			 * (predvolene vycentrovanú na svojej pozícii a rotovanú podľa
			 * svojho smeru); jednoducho <b>s textom napísaným robotom je
			 * zaobchádzané ako s grafikou</b>…</small>
			 * 
			 *  @param text text, ktorý má byť vypísaný
			 *  @param Δx vysunutie stredu otáčania v smere osi x
			 *  @param Δy vysunutie stredu otáčania v smere osi y
			 *  @return ak nie je robot {@linkplain Oblasť#zamestnaj(GRobot)
			 *      zamestnaný} a je {@linkplain #kresliTvary() povolené
			 *      kreslenie tvarov}, metóda píše text a má návratovú hodnotu
			 *      {@code valnull};
			 *      v opačnom prípade metóda nenapíše nič a vracia objekt typu
			 *      {@link Shape Shape} (tvar) reprezentujúci obrys zadaného
			 *      textu (tvar textu)
			 *  @see Plátno#vypíš(Object[]) Plátno.vypíš(Object...)
			 *  @see Plátno#vypíšRiadok(Object[])
			 *       Plátno.vypíšRiadok(Object...)
			 *  @see #text(String)
			 *  @see #text(String, int)
			 *  @see #text(String, int, double, double)
			 */
			public Shape text(String text, double Δx, double Δy)
			{ return text(text, spôsobKreslenia, Δx, Δy); }

			/**
			 * Napíše<sup>[1]</sup> zadaný text na pozícii robota podľa
			 * zadaného spôsobu kreslenia alebo vytvorí tvar obrysu zadaného
			 * textu. Záleží od toho, či je tento robot {@linkplain
			 * Oblasť#zamestnaj(GRobot) zamestnaný} a či je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov} (pozri
			 * vysvetlenie pri návratovej hodnote).
			 * 
			 * <P>
			 * <small>[1] – alebo skôr „nakreslí“ zadaný text – písanie textu
			 * robotom totiž prebieha podobne, ako keby robot vytvoril
			 * z textu pečiatku a tú vytlačil podľa zadaného spôsobu
			 * kreslenia…</small>
			 * 
			 *  @param text text, ktorý má byť vypísaný
			 *  @param spôsobKreslenia môže byť buď hodnota {@link
			 *      #KRESLI_PRIAMO}, alebo kombinácia hodnôt {@link
			 *      #KRESLI_NA_STRED} a {@link #KRESLI_ROTOVANÉ}.
			 *  @return ak nie je robot {@linkplain Oblasť#zamestnaj(GRobot)
			 *      zamestnaný} a je {@linkplain #kresliTvary() povolené
			 *      kreslenie tvarov}, metóda píše text a má návratovú hodnotu
			 *      {@code valnull};
			 *      v opačnom prípade metóda nenapíše nič a vracia objekt typu
			 *      {@link Shape Shape} (tvar) reprezentujúci obrys zadaného
			 *      textu (tvar textu)
			 *  @see Plátno#vypíš(Object[]) Plátno.vypíš(Object...)
			 *  @see Plátno#vypíšRiadok(Object[])
			 *       Plátno.vypíšRiadok(Object...)
			 * 
			 * @see #text(String)
			 * @see #text(String, double, double)
			 * @see #text(String, int, double, double)
			 * 
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #kresliElipsu(double, double)
			 * @see #vyplňElipsu(double, double)
			 * @see #štvorec(double)
			 * @see #kresliŠtvorec(double)
			 * @see #vyplňŠtvorec(double)
			 * @see #kresliObdĺžnik(double, double)
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #kresliHviezdu(double)
			 * @see #vyplňHviezdu(double)
			 * 
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape text(String text, int spôsobKreslenia)
			{
				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				grafikaAktívnehoPlátna.setFont(aktuálnePísmo);

				FontMetrics rozmery = grafikaAktívnehoPlátna.getFontMetrics();
				int šírkaTextu = rozmery.stringWidth(text);
				int poklesTextu = (rozmery.getDescent() * 3) / 2;
				// System.out.println("Pokles " + text + ": " + poklesTextu);
				// ‼OTESTUJ NA WINDOWS‼

				if (!kresliTvary)
				{
					TextLayout rozloženieTextu = new TextLayout(text,
						aktuálnePísmo, grafikaAktívnehoPlátna.
							getFontRenderContext());

					AffineTransform transformácie = new AffineTransform();

					if ((90 == aktuálnyUhol) ||
						(0 == (spôsobKreslenia & KRESLI_ROTOVANÉ)))
					{
						if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
						{
							transformácie.setToTranslation(
								(float)prepočítanéX,
								(float)prepočítanéY);
						}
						else
						{
							transformácie.setToTranslation(
								(float)(prepočítanéX - (šírkaTextu / 2.0)),
								(float)(prepočítanéY + poklesTextu));
						}
					}
					else
					{
						double α = Math.toRadians(aktuálnyUhol - 90);
						transformácie.rotate(-α, prepočítanéX, prepočítanéY);

						if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
						{
							transformácie.translate(
								(float)prepočítanéX,
								(float)prepočítanéY);
						}
						else
						{
							transformácie.translate(
								(float)(prepočítanéX - (šírkaTextu / 2.0)),
								(float)(prepočítanéY + poklesTextu));
						}
					}

					return rozloženieTextu.getOutline(transformácie);
				}

				grafikaAktívnehoPlátna.setColor(farbaRobota);

				if ((90 == aktuálnyUhol) ||
					(0 == (spôsobKreslenia & KRESLI_ROTOVANÉ)))
				{
					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						aktualizujPôsobisko(
							aktuálneX, aktuálneY, aktuálneX + šírkaTextu,
							aktuálneY + poklesTextu + rozmery.getAscent());

						grafikaAktívnehoPlátna.drawString(text,
							(float)prepočítanéX, (float)prepočítanéY);
					}
					else
					{
						aktualizujPôsobisko(
							aktuálneX - (šírkaTextu / 2.0),
							aktuálneY - poklesTextu,
							aktuálneX + (šírkaTextu / 2.0),
							aktuálneY + rozmery.getAscent());

						grafikaAktívnehoPlátna.drawString(text,
							(float)(prepočítanéX - (šírkaTextu / 2.0)),
							(float)(prepočítanéY + poklesTextu));

						// http://docstore.mik.ua/orelly/java-ent/jfc/ch04_09.htm
						// 
						// java.awt.font.FontRenderContext frc =
						// 	grafikaAktívnehoPlátna.getFontRenderContext();
						// 
						// Rectangle2D bounds = aktuálnePísmo.
						// 	getStringBounds(text, frc);
						// java.awt.font.LineMetrics metrics =
						// 	aktuálnePísmo.getLineMetrics(text, frc);
						// 
						// float width = (float)bounds.getWidth();
						// float lineheight = metrics.getHeight();
						// float ascent = metrics.getAscent();
						// 
						// grafikaAktívnehoPlátna.drawString(text,
						// 	(float)(prepočítanéX - (width / 2.0)),
						// 	(float)(prepočítanéY - (lineheight / 2.0) +
						// 		ascent));
					}
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					grafikaAktívnehoPlátna.rotate(-α,
						prepočítanéX, prepočítanéY);

					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						double x0 = 0; double y0 = 0;
						double x1 = šírkaTextu;
						double y1 = poklesTextu + rozmery.getAscent();

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y0, α),
							aktuálneY + rotovanéY(x0, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y1, α),
							aktuálneY + rotovanéY(x0, y1, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y0, α),
							aktuálneY + rotovanéY(x1, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y1, α),
							aktuálneY + rotovanéY(x1, y1, α));

						grafikaAktívnehoPlátna.drawString(text,
							(float)prepočítanéX, (float)prepočítanéY);
					}
					else
					{
						double x0 = -(šírkaTextu / 2.0);
						double y0 = -poklesTextu;
						double x1 = (šírkaTextu / 2.0);
						double y1 = rozmery.getAscent();

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y0, α),
							aktuálneY + rotovanéY(x0, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y1, α),
							aktuálneY + rotovanéY(x0, y1, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y0, α),
							aktuálneY + rotovanéY(x1, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y1, α),
							aktuálneY + rotovanéY(x1, y1, α));

						grafikaAktívnehoPlátna.drawString(text,
							(float)(prepočítanéX - (šírkaTextu / 2.0)),
							(float)(prepočítanéY + poklesTextu));
					}

					grafikaAktívnehoPlátna.rotate(α,
						prepočítanéX, prepočítanéY);
				}

				automatickéPrekreslenie();
				return null;
			}

			/**
			 * Napíše<sup>[1]</sup> zadaný text na pozícii robota podľa
			 * zadaného spôsobu kreslenia a s vysunutím stredu otáčania
			 * o zadané odchýlky Δx a Δy alebo vytvorí tvar obrysu zadaného
			 * textu. Záleží od toho, či je tento robot {@linkplain
			 * Oblasť#zamestnaj(GRobot) zamestnaný} a či je {@linkplain
			 * #nekresliTvary() zakázané kreslenie tvarov} (pozri
			 * vysvetlenie pri návratovej hodnote).
			 * 
			 * <P>
			 * <small>[1] – alebo skôr „nakreslí“ zadaný text – písanie textu
			 * robotom totiž prebieha podobne, ako keby robot vytvoril
			 * z textu pečiatku a tú vytlačil podľa zadaného spôsobu
			 * kreslenia…</small>
			 * 
			 *  @param text text, ktorý má byť vypísaný
			 *  @param spôsobKreslenia môže byť buď hodnota {@link
			 *      #KRESLI_PRIAMO}, alebo kombinácia hodnôt {@link
			 *      #KRESLI_NA_STRED} a {@link #KRESLI_ROTOVANÉ}.
			 *  @param Δx vysunutie stredu otáčania v smere osi x
			 *  @param Δy vysunutie stredu otáčania v smere osi y
			 *  @return ak nie je robot {@linkplain Oblasť#zamestnaj(GRobot)
			 *      zamestnaný} a je {@linkplain #kresliTvary() povolené
			 *      kreslenie tvarov}, metóda píše text a má návratovú hodnotu
			 *      {@code valnull};
			 *      v opačnom prípade metóda nenapíše nič a vracia objekt typu
			 *      {@link Shape Shape} (tvar) reprezentujúci obrys zadaného
			 *      textu (tvar textu)
			 *  @see Plátno#vypíš(Object[]) Plátno.vypíš(Object...)
			 *  @see Plátno#vypíšRiadok(Object[])
			 *       Plátno.vypíšRiadok(Object...)
			 * 
			 * @see #text(String)
			 * @see #text(String, double, double)
			 * @see #text(String, int)
			 * 
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #kresliElipsu(double, double)
			 * @see #vyplňElipsu(double, double)
			 * @see #štvorec(double)
			 * @see #kresliŠtvorec(double)
			 * @see #vyplňŠtvorec(double)
			 * @see #kresliObdĺžnik(double, double)
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #kresliHviezdu(double)
			 * @see #vyplňHviezdu(double)
			 * 
			 * @see #cesta()
			 * 
			 * @see #kresliTvary() kresliTvary
			 * @see #nekresliTvary() nekresliTvary
			 * @see Oblasť#zamestnaj(GRobot)
			 * @see Oblasť#uvoľni()
			 */
			public Shape text(String text, int spôsobKreslenia,
				double Δx, double Δy)
			{
				double prepočítanéX = prepočítajX(aktuálneX);
				double prepočítanéY = prepočítajY(aktuálneY);

				grafikaAktívnehoPlátna.setFont(aktuálnePísmo);

				FontMetrics rozmery = grafikaAktívnehoPlátna.getFontMetrics();
				int šírkaTextu = rozmery.stringWidth(text);
				int poklesTextu = (rozmery.getDescent() * 3) / 2;
				// System.out.println("Pokles " + text + ": " + poklesTextu);
				// ‼OTESTUJ NA WINDOWS‼

				if (!kresliTvary)
				{
					TextLayout rozloženieTextu = new TextLayout(text,
						aktuálnePísmo, grafikaAktívnehoPlátna.
							getFontRenderContext());

					AffineTransform transformácie = new AffineTransform();

					if ((90 == aktuálnyUhol) ||
						(0 == (spôsobKreslenia & KRESLI_ROTOVANÉ)))
					{
						if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
						{
							transformácie.setToTranslation(
								(float)prepočítanéX,
								(float)prepočítanéY);
						}
						else
						{
							transformácie.setToTranslation(
								(float)(prepočítanéX - (šírkaTextu / 2.0)),
								(float)(prepočítanéY + poklesTextu));
						}
					}
					else
					{
						double α = Math.toRadians(aktuálnyUhol - 90);
						transformácie.rotate(-α, prepočítanéX, prepočítanéY);

						if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
						{
							transformácie.translate(
								(float)prepočítanéX, (float)prepočítanéY);
						}
						else
						{
							transformácie.translate(
								(float)(prepočítanéX - (šírkaTextu / 2.0)),
								(float)(prepočítanéY + poklesTextu));
						}
					}

					return rozloženieTextu.getOutline(transformácie);
				}

				grafikaAktívnehoPlátna.setColor(farbaRobota);

				if ((90 == aktuálnyUhol) ||
					(0 == (spôsobKreslenia & KRESLI_ROTOVANÉ)))
				{
					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						aktualizujPôsobisko(
							aktuálneX, aktuálneY, aktuálneX + šírkaTextu,
							aktuálneY + poklesTextu + rozmery.getAscent());

						grafikaAktívnehoPlátna.drawString(text,
							(float)prepočítanéX, (float)prepočítanéY);
					}
					else
					{
						aktualizujPôsobisko(
							aktuálneX - (šírkaTextu / 2.0),
							aktuálneY - poklesTextu,
							aktuálneX + (šírkaTextu / 2.0),
							aktuálneY + rozmery.getAscent());

						grafikaAktívnehoPlátna.drawString(text,
							(float)(prepočítanéX - (šírkaTextu / 2.0)),
							(float)(prepočítanéY + poklesTextu));

						// http://docstore.mik.ua/orelly/java-ent/jfc/ch04_09.htm
						// 
						// java.awt.font.FontRenderContext frc =
						// 	grafikaAktívnehoPlátna.getFontRenderContext();
						// 
						// Rectangle2D bounds = aktuálnePísmo.
						// 	getStringBounds(text, frc);
						// java.awt.font.LineMetrics metrics =
						// 	aktuálnePísmo.getLineMetrics(text, frc);
						// 
						// float width = (float)bounds.getWidth();
						// float lineheight = metrics.getHeight();
						// float ascent = metrics.getAscent();
						// 
						// grafikaAktívnehoPlátna.drawString(text,
						// 	(float)(prepočítanéX - (width / 2.0)),
						// 	(float)(prepočítanéY - (lineheight / 2.0) +
						// 		ascent));
					}
				}
				else
				{
					double α = Math.toRadians(aktuálnyUhol - 90);

					grafikaAktívnehoPlátna.rotate(-α,
						prepočítanéX + Δx, prepočítanéY - Δy);

					if (0 == (spôsobKreslenia & KRESLI_NA_STRED))
					{
						double x0 = 0; double y0 = 0;
						double x1 = šírkaTextu;
						double y1 = poklesTextu + rozmery.getAscent();

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y0, α),
							aktuálneY + rotovanéY(x0, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y1, α),
							aktuálneY + rotovanéY(x0, y1, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y0, α),
							aktuálneY + rotovanéY(x1, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y1, α),
							aktuálneY + rotovanéY(x1, y1, α));

						grafikaAktívnehoPlátna.drawString(text,
							(float)prepočítanéX, (float)prepočítanéY);
					}
					else
					{
						double x0 = -(šírkaTextu / 2.0);
						double y0 = -poklesTextu;
						double x1 = (šírkaTextu / 2.0);
						double y1 = rozmery.getAscent();

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y0, α),
							aktuálneY + rotovanéY(x0, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x0, y1, α),
							aktuálneY + rotovanéY(x0, y1, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y0, α),
							aktuálneY + rotovanéY(x1, y0, α));

						aktualizujPôsobisko(
							aktuálneX + rotovanéX(x1, y1, α),
							aktuálneY + rotovanéY(x1, y1, α));

						grafikaAktívnehoPlátna.drawString(text,
							(float)(prepočítanéX - (šírkaTextu / 2.0)),
							(float)(prepočítanéY + poklesTextu));
					}

					grafikaAktívnehoPlátna.rotate(α,
						prepočítanéX + Δx, prepočítanéY - Δy);
				}

				automatickéPrekreslenie();
				return null;
			}


			/**
			 * Táto metóda umožní používateľovi upraviť text priamo na plátne.
			 * Správa sa rovnako ako metóda {@link #upravText(String, double)
			 * upravText} so zadanou zápornou hodnotou predvolenej šírky
			 * textového komponentu. V opise uvedenej metódy sú príklady
			 * použitia mechanizmu úpravy textov.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @param text  predvolený textu určený na úpravu
			 * 
			 * @return      {@code valtrue} ak sa úpravu podarilo zahájiť,
			 *              inak {@code valfalse}
			 * 
			 * @see #upravText(String, double)
			 * @see #ukončenieÚpravyTextu(String, int)
			 */
			public boolean upravText(String text)
			{ return upravText(text, -1); }

			/**
			 * Táto metóda umožní používateľovi upraviť text priamo na plátne.
			 * Metóda zobrazí na aktuálnych súradniciach robota priehľadný
			 * komponent na úpravu textu so zadaným textom vo farbe aktuálneho
			 * robota. Po stlačení {@code ENTER}, {@code ESC}, {@code TAB},
			 * {@code Shift + TAB} alebo po deaktivácii textového komponentu
			 * je úprava automaticky ukončená a je spustená metóda
			 * {@link #ukončenieÚpravyTextu(String, int)
			 * ukončenieÚpravyTextu}, ktorú by mal programátor prekryť
			 * a zariadiť spracovanie zadaného textu.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * <P><b>Príklady:</b>
			 * <P>Prvý príklad je jednoduchší. Výsledok po spustení programu
			 * vyzerá takto:
			 * <P><image>upravaTextu-1.png</image>(Plátno v ukážke je
			 * zmenšené.)
			 * <P>Po kliknutí na ľubovoľné miesto na ploche sa začne úprava
			 * textu (ak už neprebieha). Ak sa úprava textu neskončí
			 * stlačením klávesu ESCAPE, tak sa zmeny textu prijmú.
			 * (Niekedy môže byť žiadnuce, aby sa zmeny prijali v každom
			 * prípade. Vtedy treba podmienku {@code kwdif }({@link
			 * GRobot#SPÔSOB_ESCAPE SPÔSOB_ESCAPE}<code> != spôsob)</code>
			 * odstrániť.)
			 * <pre CLASS="example">
				{@code kwdimport} knižnica.{@link GRobot GRobot};

				{@code kwdpublic} {@code typeclass} TestÚpravTextov {@code kwdextends} {@link GRobot GRobot}
				{
					{@code comm// Textov určený na úpravu}
					{@code kwdprivate} {@link String String} text = {@code srg"Môj text na úpravu"};

					{@code comm// Súkromný konštruktor hlavnej triedy}
					{@code kwdprivate} TestÚpravTextov()
					{
						{@link GRobot#skry() skry}();
						{@link GRobot#text(String) text}(text);
					}

					{@code comm// Obsluha udalosti kliknutia myšou – odštartuje úpravu (ak neprebieha)}
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#klik() klik}()
					{
						{@code kwdif} ({@link GRobot#upravText(String, double) upravText}(text, {@code num200}))
							{@link Plátno podlaha}.{@link Plátno#vymažGrafiku() vymažGrafiku}();
					}

					{@code comm// Prekrytá metóda spracúvajúca ukončenie aktuálnej úpravy}
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#ukončenieÚpravyTextu(String, int) ukončenieÚpravyTextu}({@link String String} text, {@code typeint} spôsob)
					{
						{@code comm// Text sa uloží len ak nebol stlačený kláves ESCAPE,…}
						{@code kwdif} ({@link GRobot#SPÔSOB_ESCAPE SPÔSOB_ESCAPE} != spôsob) {@code valthis}.text = text;

						{@code comm// …ale vypíše sa v každom prípade.}
						{@link GRobot#text(String) text}({@code valthis}.text);
					}

					{@code comm// Hlavná metóda}
					{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String} args[])
					{
						{@code kwdnew} TestÚpravTextov();
					}
				}
				</pre>
			 * <P>Nasledujúci príklad je komplikovanejší – ukazuje ako
			 * striedavo upravovať niekoľko textov na ploche. Tesne po
			 * spustení vyzerá obsah plátna takto:
			 * <P><image>upravaTextu-2.png</image>(Plátno v ukážke je
			 * zmenšené.)
			 * <P> 
			 * <pre CLASS="example">
				{@code kwdimport} knižnica.{@link GRobot GRobot};

				{@code kwdpublic} {@code typeclass} TestÚpravTextov {@code kwdextends} {@link GRobot GRobot}
				{
					{@code comm// Využitie triedy Častica na definovanie novej triedy,}
					{@code comm// ktorá bude použitá na uchovávanie textových objektov,}
					{@code comm// ktoré budú upravovateľné. Trieda využíva služby hlavného}
					{@code comm// robota.}
					{@code kwdprivate} {@code typeclass} TextNaÚpravu {@code kwdextends} {@link Častica Častica}
					{
						{@code comm// Aktuálna hodnota textu určeného na úpravu}
						{@code kwdpublic} {@link String String} text;

						{@code comm// Aktuálna farba textu určeného na úpravu}
						{@code kwdpublic} {@link Farba Farba} farba;

						{@code comm// Konštruktor}
						{@code kwdpublic} TextNaÚpravu({@link String String} text, {@code typedouble} x, {@code typedouble} y, {@link Farba Farba} farba)
						{
							{@code valthis}.text = text;
							{@code valthis}.x = x;
							{@code valthis}.y = y;
							{@code valthis}.farba = farba;
						}

						{@code comm// Nakreslenie textu}
						{@code kwdpublic} {@code typevoid} nakresli()
						{
							{@link GRobot#skočNa(Poloha) skočNa}({@code valthis});
							{@link GRobot#farba(Color) farba}(farba);
							{@link GRobot#text(String) text}(text);
						}
					}

					{@code comm// Pole inštancií textov určených na úpravy}
					{@code kwdprivate} TextNaÚpravu texty[] =
					{
						{@code kwdnew} TextNaÚpravu({@code srg"Červený text"}, {@code num0}, {@code num50}, {@link Farebnosť#červená červená}),
						{@code kwdnew} TextNaÚpravu({@code srg"Zelený text"}, {@code num0}, {@code num0}, {@link Farebnosť#zelená zelená}),
						{@code kwdnew} TextNaÚpravu({@code srg"Modrý text"}, {@code num0}, &#45;{@code num50}, {@link Farebnosť#modrá modrá}),
					};

					{@code comm// Inštancia, ktorá si bude uchovávať aktuálne upravovaný objekt}
					{@code kwdprivate} TextNaÚpravu upravujeSa = {@code valnull};

					{@code comm// Súkromný konštruktor hlavnej triedy}
					{@code kwdprivate} TestÚpravTextov()
					{
						{@link GRobot#skry() skry}();
						{@link GRobot#písmo(String, double) písmo}({@code srg"Calibri"}, {@code num30});
						{@code kwdfor} (TextNaÚpravu text : texty)
							text.nakresli();
					}

					{@code comm// Obsluha udalosti kliknutia myšou}
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#klik() klik}()
					{
						{@code kwdif} ({@code valnull} == upravujeSa)
						{
							{@code comm// Zakaždým, keď sa nič neupravuje, tak sa prekreslí}
							{@code comm// obrazovka a ak sa pritom zistí, že bolo kliknuté}
							{@code comm// v rámci vymedzeného obdĺžnika niektorého z textov,}
							{@code comm// tak sa zaháji jeho úprava…}
							{@link Plátno podlaha}.{@link Plátno#vymažGrafiku() vymažGrafiku}();

							{@code kwdfor} (TextNaÚpravu text : texty)
							{
								{@link GRobot#skočNa(Poloha) skočNa}(text);
								{@code kwdif} ({@link GRobot#myšVObdĺžniku(double, double) myšVObdĺžniku}({@code num100}, {@code num20}))
								{
									{@link GRobot#skočNa(Poloha) skočNa}(text);
									{@link GRobot#farba(Color) farba}(text.farba);
									{@code currupravText}(text.text, {@code num200});
									upravujeSa = text;
								}
								{@code kwdelse} text.nakresli();
							}
						}
					}

					{@code comm// Prekrytá metóda spracúvajúca ukončenie aktuálnej úpravy}
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#ukončenieÚpravyTextu(String, int) ukončenieÚpravyTextu}({@link String String} text, {@code typeint} spôsob)
					{
						{@code kwdif} ({@link GRobot#SPÔSOB_ESCAPE SPÔSOB_ESCAPE} != spôsob)
							upravujeSa.text = text;


						{@code comm// Na tomto mieste by bolo vhodné implementovať mechanizmus}
						{@code comm// pohybu po upravovaných inštanciách klávesom TAB (pohyb}
						{@code comm// dopredu – SPÔSOB_TABULÁTOR == spôsob, pohyb dozadu –}
						{@code comm// – SPÔSOB_SHIFT_TABULÁTOR == spôsob). Stačilo by nájsť,}
						{@code comm// ten prvok v poli, ktorý je práve upravovaný a podľa toho}
						{@code comm// zahájiť úpravu nasledujúceho alebo predchádzajúceho prvku.}
						{@code comm// Aby bol tento príklad kratší, tak podrobná implementácia}
						{@code comm// tohto mechanizmu je uvedená nižšie, za týtmo príkladom…}


						{@code comm// Nakreslí a ukončí sa úprava aktuálneho prvku}
						upravujeSa.nakresli();
						upravujeSa = {@code valnull};
					}

					{@code comm// Hlavná metóda}
					{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String} args[])
					{
						{@code kwdnew} TestÚpravTextov();
					}
				}
				</pre>
			 * <P>Ďalej je uvedená implementácia presúvania sa medzi textami
			 * tabulátorom, ktorá je spomenutá v komentároch príkladu vyššie.
			 * Touto implementáciou treba nahradiť trojicu riadkov začínajúcu
			 * sa komentárom {@code comm// Nakreslí a ukončí sa úprava
			 * aktuálneho prvku} (na konci reakcie {@link
			 * #ukončenieÚpravyTextu(String, int) ukončenieÚpravyTextu} –
			 * pár riadkov od konca zdrojového kódu celého príkladu):
			 * <pre CLASS="example">
				{@code comm// Táto inštancia bude slúžiť na signalizáciu zahájenia úpravy}
				{@code comm// nového textu – pri posunutí klávesom TAB to bude nasledujúca}
				{@code comm// inštancia v poli, pri posunutí naspäť (Shift + TAB) to bude}
				{@code comm// predchádzajúca… (Predvolene to nebude žiadna.)}
				TextNaÚpravu začniÚpravuNovéhoTextu = {@code valnull};

				{@code kwdif} ({@link GRobot#SPÔSOB_TABULÁTOR SPÔSOB_TABULÁTOR} == spôsob)
				{
					{@code kwdif} (upravujeSa == texty[texty.length &#45; {@code num1}])
					{
						{@code comm// Posledná inštancia presunie upravovanie na prvú:}
						začniÚpravuNovéhoTextu = texty[{@code num0}];
					}
					{@code kwdelse} {@code kwdfor} ({@code typeint} i = texty.length &#45; {@code num2}; i &gt;= {@code num0}; &#45;&#45;i)
					{
						{@code comm// Je jedno v akom smere prehľadávame pole, tak}
						{@code comm// sme sa rozhodli pre spätné vyhľadávanie (aby}
						{@code comm// sme cyklus mierne výpočtovo odľahčili…).}

						{@code comm// Po nájdení aktuálneho prvku „označíme“ nasledujúci:}
						{@code kwdif} (upravujeSa == texty[i])
						{
							začniÚpravuNovéhoTextu = texty[i + {@code num1}];
							{@code kwdbreak};
						}
					}
				}
				{@code kwdelse} {@code kwdif} ({@link GRobot#SPÔSOB_SHIFT_TABULÁTOR SPÔSOB_SHIFT_TABULÁTOR} == spôsob)
				{
					{@code kwdif} (upravujeSa == texty[{@code num0}])
					{
						{@code comm// Prvá inštancia presunie upravovanie na poslednú:}
						začniÚpravuNovéhoTextu = texty[texty.length &#45; {@code num1}];
					}
					{@code kwdelse} {@code kwdfor} ({@code typeint} i = {@code num1}; i &lt; texty.length; ++i)
					{
						{@code comm// Prehľadávame od druhej inštancie po poslednú.}

						{@code comm// Po nájdení aktuálneho prvku „označíme“ predchádzajúci:}
						{@code kwdif} (upravujeSa == texty[i])
						{
							začniÚpravuNovéhoTextu = texty[i - {@code num1}];
							{@code kwdbreak};
						}
					}
				}

				{@code comm// Nakreslí a ukončí sa úprava aktuálneho prvku}
				upravujeSa.nakresli();
				upravujeSa = {@code valnull};

				{@code comm// Ak sme predtým zadali požiadavku na zahájenie úpravy}
				{@code comm// nového textu, tak túto požiadavku korektne spracujeme:}
				{@code kwdif} ({@code valnull} != začniÚpravuNovéhoTextu)
				{
					{@code comm// Vymazanie podlahy a prekreslenie ostatných textov}
					{@link Plátno podlaha}.{@link Plátno#vymažGrafiku() vymažGrafiku}();
					{@code kwdfor} (TextNaÚpravu prekresli : texty)
						{@code kwdif} (začniÚpravuNovéhoTextu != prekresli)
							prekresli.nakresli();

					{@link GRobot#skočNa(Poloha) skočNa}(začniÚpravuNovéhoTextu);
					{@link GRobot#farba(Color) farba}(začniÚpravuNovéhoTextu.farba);
					{@code currupravText}(začniÚpravuNovéhoTextu.text, {@code num200});
					upravujeSa = začniÚpravuNovéhoTextu;
				}
				</pre>
			 * 
			 * @param text  predvolený textu určený na úpravu
			 * @param šírka predvolená šírka textového komponentu – ak je
			 *              zadané záporné číslo, tak bude mať komponent šírku
			 *              totožnú so šírkou prevoleného textu
			 * 
			 * @return      {@code valtrue} ak sa úpravu podarilo zahájiť,
			 *              inak {@code valfalse}
			 * 
			 * @see #upravText(String)
			 * @see #ukončenieÚpravyTextu(String, int)
			 */
			public boolean upravText(String text, double šírka)
			{
				for (int b = 0; b < 2; ++b)
					for (int i = 0; i < upravText.length; ++i)
					{
						// System.out.print(i + ": ");

						if (null == upravText[i])
						{
							upravText[i] = new UpravText();
							if (upravText[i].začniÚpravu(text, šírka, false))
								return true;
						}

						if (upravText[i].začniÚpravu(text, šírka, 0 == b))
							return true;
					}
				return false;
			}


			/**
			 * Táto metóda je predvolene prázdna. Je určená na prekrytie a je
			 * spúšťaná po ukončení úpravy textu začatej metódou {@link
			 * #upravText(String, double) upravText}. Prvý argumet je konečná
			 * podoba upraveného textu a druhý argument je jeden
			 * z nasledujúcich spôsobov:
			 * 
			 * <table>
			 * <tr><td>{@link #SPÔSOB_ESCAPE SPÔSOB_ESCAPE}</td><td
			 * >–</td><td>bol stlačený kláves {@code ESCAPE}</td></tr>
			 * <tr><td>{@link #SPÔSOB_ENTER SPÔSOB_ENTER}</td><td
			 * >–</td><td>bol stlačený kláves {@code ENTER}</td></tr>
			 * <tr><td>{@link #SPÔSOB_TABULÁTOR SPÔSOB_TABULÁTOR}<br />
			 * {@link #SPÔSOB_TAB SPÔSOB_TAB}</td><td
			 * >–</td><td>bol stlačený kláves {@code TABULÁTOR}</td></tr>
			 * <tr><td>{@link #SPÔSOB_SHIFT_TABULÁTOR
			 * SPÔSOB_SHIFT_TABULÁTOR}<br />{@link #SPÔSOB_SHIFT_TAB
			 * SPÔSOB_SHIFT_TAB}</td><td>–</td><td>bola stlačená klávesová
			 * kombinácia {@code Shift + tabulátor}</td></tr>
			 * <tr><td>{@link #SPÔSOB_DEAKTIVÁCIA SPÔSOB_DEAKTIVÁCIA}</td><td
			 * >–</td><td>komponent textového prvku bol deaktivovaný
			 * (napríklad po kliknutí myšou na plátno)</td></tr>
			 * </table>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @param text   konečná podoba upraveného textu, ktorá môže byť
			 *               spracovaná podľa potreby
			 * @param spôsob jeden z vyššie uvedených spôsobov ukončenia
			 *               úpravy textu
			 * 
			 * @see #upravText(String)
			 * @see #upravText(String, double)
			 */
			public void ukončenieÚpravyTextu(String text, int spôsob) {}

			/** <a class="alias"></a> Alias pre {@link #ukončenieÚpravyTextu(String, int) ukončenieÚpravyTextu}. */
			public void ukoncenieUpravyTextu(String text, int spôsob) {}


		// Formát

			/**
			 * Táto metóda slúži na jednoduché formátovanie reálnych čísiel.
			 * Prijíma reálne číslo a hodnotu počtu desatinných miest, ktoré
			 * majú byť zobrazené.
			 * Rovnaká metóda je definovaná aj v triede {@link Svet Svet}:
			 * {@link Svet#F(double, int) F(číslo, desatinné)}.
			 * Metóda má ešte jednu verziu: {@link GRobot#F(double, int, int)
			 * Svet.F(číslo, šírka, desatinné)}.
			 * <P><b>Príklad:</b>
			 * <pre CLASS="example">
				{@code typedouble} {@code a = }{@code num10.335}{@code ;}
				{@link Svet Svet}{@code .}{@link Svet#vypíšRiadok(Object...) vypíšRiadok}{@code (}{@code srg"Hodnota: "}{@code , }{@code currF}{@code (a, }{@code num2}{@code ));}
				</pre>
			 * <P><b>Výsledok</b>:
			 * <pre CLASS="example">
				{@code Hodnota: 10,34}
				</pre>
			 * <P>Znak použitý na oddelenie desatinných miest naformátovaného
			 * čísla je možné zmeniť volaním metódy {@link
			 * Svet#oddeľovačDesatinnejČasti(char) oddeľovačDesatinnejČasti}.
			 * Použitie znaku na oddelenie tisícov je možné upraviť (vypnúť,
			 * zmeniť) volaním metódy {@link Svet#oddeľovačTisícov(Character)
			 * oddeľovačTisícov}.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * @param číslo hodnota, ktorá má byť naformátovaná
			 * @param desatinné počet desatinných miest, ktoré majú byť uvedené
			 *   vo výslednom (naformátovanom) tvare
			 * @see Svet#formát
			 * @see Svet#oddeľovačPrvkovPoľa(String)
			 * @see Svet#oddeľovačDesatinnejČasti(char)
			 * @see Svet#oddeľovačTisícov(Character)
			 * @see Svet#vypíš(Object[])
			 * @see Svet#F(double, int)
			 * @see Svet#F(double, int, int)
			 * @see GRobot#F(double, int, int)
			 */
			public /*static*/ String F(double číslo, int desatinné)
			{ return Svet.F(číslo, 1, desatinné); }

			/**
			 * Táto metóda slúži na jednoduché formátovanie reálnych čísiel.
			 * Prijíma reálne číslo, potom hodnotu určujúcu šírku výsledného
			 * reťazca (počet znakov), na ktorú má byť zarovnaný zľava
			 * a nakoniec počet desatinných miest, ktoré majú byť zobrazené.
			 * Rovnaká metóda je definovaná aj v triede {@link Svet Svet}:
			 * {@link Svet#F(double, int, int) F(číslo, šírka, desatinné)}.
			 * Metóda má ešte jednu verziu: {@link GRobot#F(double, int)
			 * Svet.F(číslo, desatinné)}.
			 * <P><b>Príklad:</b>
			 * <pre CLASS="example">
				{@code typedouble} {@code a = }{@code num10.335}{@code ;}
				{@link Svet Svet}{@code .}{@link Svet#vypíšRiadok(Object...) vypíšRiadok}{@code (}{@code srg"1234567"}{@code , }{@link #riadok riadok}{@code , }{@code currF}{@code (a, }{@code num7}{@code , }{@code num2}{@code ));}
				</pre>
			 * <P><b>Výsledok:</b>
			 * <pre CLASS="example">
				{@code 1234567}
				{@code   10,34}
				</pre>
			 * <P>Znak použitý na oddelenie desatinných miest naformátovaného
			 * čísla je možné zmeniť volaním metódy {@link
			 * Svet#oddeľovačDesatinnejČasti(char) oddeľovačDesatinnejČasti}.
			 * Použitie znaku na oddelenie tisícov je možné upraviť (vypnúť,
			 * zmeniť) volaním metódy {@link Svet#oddeľovačTisícov(Character)
			 * oddeľovačTisícov}.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * @param číslo hodnota, ktorá má byť naformátovaná
			 * @param šírka najmenší počet znakov výsledného naformátovaného
			 *   reťazca (pri krátkych číslach budú chýbajúce znaky doplnené
			 *   medzerami)
			 * @param desatinné počet desatinných miest, ktoré majú byť uvedené
			 *   vo výslednom (naformátovanom) tvare
			 * @see Svet#formát
			 * @see Svet#oddeľovačPrvkovPoľa(String)
			 * @see Svet#oddeľovačDesatinnejČasti(char)
			 * @see Svet#oddeľovačTisícov(Character)
			 * @see Svet#vypíš(Object[])
			 * @see Svet#F(double, int)
			 * @see Svet#F(double, int, int)
			 * @see GRobot#F(double, int)
			 */
			public /*static*/ String F(double číslo, int šírka, int desatinné)
			{ return Svet.F(číslo, šírka, desatinné); }


		// Cesta

			/**
			 * Začne záznam cesty robota. Odteraz sa pohyb robota bude
			 * zaznamenávať. Zaznamenaná cesta vytvorí oblasť, ktorú je možné
			 * kedykoľvek nakresliť, vyplniť alebo obkresliť čiarou. Cesta je
			 * použiteľná aj s myšou, pozri {@link #myšVCeste() myšVCeste}.
			 * Táto metóda spustí spôsob záznamu cesty počas ktorého nebude
			 * braná do úvahy poloha pera – každá časť cesty bude pridaná tak,
			 * ako keby bolo pero položené. Takto je možné vytvoriť cestu
			 * v „tichom režime“ a dodatočne ju kompletne vykresliť. Ak
			 * chceme zmeniť spôsob záznamu, musíme použiť metódu:
			 * {@link #začniCestu(boolean)}.
			 * 
			 * @see #začniCestu(boolean)
			 * @see #skončiCestu()
			 * @see #zrušCestu()
			 * @see #vyplňCestu()
			 * @see #kresliCestu()
			 * @see #obkresliCestu()
			 * @see #cesta()
			 */
			public void začniCestu()
			{
				cesta.reset();
				cesta.moveTo(
					prepočítajX(aktuálneX),
					prepočítajY(aktuálneY));
				/*
				cesta.addPoint(
					(int)prepočítajX(aktuálneX),
					(int)prepočítajY(aktuálneY));
				*/
				záznamCesty = true;
				záznamCestyBezPolohyPera = true;
			}

			/** <a class="alias"></a> Alias pre {@link #začniCestu() začniCestu}. */
			public void zacniCestu() { začniCestu(); }

			/**
			 * Začne záznam novej cesty robota. Odteraz sa pohyb robota bude
			 * zaznamenávať. Zaznamenaná cesta vytvorí oblasť, ktorú je možné
			 * kedykoľvek nakresliť, vyplniť alebo obkresliť čiarou. Cesta je
			 * použiteľná aj s myšou (pozri {@link #myšVCeste() myšVCeste}).
			 * Parameter {@code rešpektujPolohuPera} určuje, či má byť počas
			 * záznamu cesty braná do úvahy aj poloha pera a výslednú cestu
			 * má byť vytvorená z rôznych častí, ktoré smú alebo nesmú byť
			 * vykreslené, podľa toho, či bolo počas záznamu cesty pero
			 * zdvihnuté alebo položené. Niekedy nie je výhodné brať do
			 * úvahy polohu pera. Napríklad ak chceme zaznamenať celú cestu
			 * v „tichom režime“ – so zdvihnutým perom a dodatočne ju
			 * kompletne vykresliť.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * @param rešpektujPolohuPera ak je rovné {@code valtrue},
			 *     záznam cesty bude brať do úvahy polohu pera
			 * 
			 * @see #začniCestu()
			 * @see #skončiCestu()
			 * @see #zrušCestu()
			 * @see #uzavriCestu()
			 * @see #vyplňCestu()
			 * @see #kresliCestu()
			 * @see #obkresliCestu()
			 * @see #cesta()
			 */
			public void začniCestu(boolean rešpektujPolohuPera)
			{
				cesta.reset();
				cesta.moveTo(
					prepočítajX(aktuálneX),
					prepočítajY(aktuálneY));
				/*
				cesta.addPoint(
					(int)prepočítajX(aktuálneX),
					(int)prepočítajY(aktuálneY));
				*/
				záznamCesty = true;
				záznamCestyBezPolohyPera = !rešpektujPolohuPera;
			}

			/** <a class="alias"></a> Alias pre {@link #začniCestu(boolean) začniCestu}. */
			public void zacniCestu(boolean rešpektujPolohuPera) { začniCestu(rešpektujPolohuPera); }

			/**
			 * Ukončí záznam cesty a ponechá ju na ďalšie použitie. Dokedy
			 * opätovne nepoužijeme metódu {@link #začniCestu() začniCestu}
			 * alebo metódu {@link #zrušCestu() zrušCestu}, je zaznamenaná
			 * cesta opakovane použiteľná.
			 * 
			 * @see #začniCestu()
			 * @see #začniCestu(boolean)
			 * @see #zrušCestu()
			 * @see #uzavriCestu()
			 * @see #vyplňCestu()
			 * @see #kresliCestu()
			 * @see #obkresliCestu()
			 * @see #cesta()
			 */
			public void skončiCestu()
			{
				záznamCesty = false;
				záznamCestyBezPolohyPera = true;
			}

			/** <a class="alias"></a> Alias pre {@link #skončiCestu() skončiCestu}. */
			public void skonciCestu() { skončiCestu(); }

			/**
			 * Ukončí a zmaže záznam cesty.
			 * 
			 * @see #začniCestu()
			 * @see #začniCestu(boolean)
			 * @see #skončiCestu()
			 * @see #uzavriCestu()
			 * @see #vyplňCestu()
			 * @see #kresliCestu()
			 * @see #obkresliCestu()
			 * @see #cesta()
			 */
			public void zrušCestu()
			{
				cesta.reset();
				záznamCesty = false;
				záznamCestyBezPolohyPera = true;
			}

			/** <a class="alias"></a> Alias pre {@link #zrušCestu() zrušCestu}. */
			public void zrusCestu() { zrušCestu(); }

			/**
			 * Ukončí záznam cesty, uzavrie cestu (prepojí posledný bod
			 * s prvým bodom posledného kresleného segmentu) a ponechá ju na
			 * ďalšie použitie. Dokedy opätovne nepoužijeme metódu {@link
			 * #začniCestu() začniCestu} alebo metódu {@link #zrušCestu()
			 * zrušCestu}, je zaznamenaná cesta ľubovoľný počet ráz
			 * použiteľná.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @see #začniCestu()
			 * @see #začniCestu(boolean)
			 * @see #skončiCestu()
			 * @see #zrušCestu()
			 * @see #vyplňCestu()
			 * @see #kresliCestu()
			 * @see #obkresliCestu()
			 * @see #cesta()
			 */
			public void uzavriCestu()
			{
				if (záznamCesty)
				{
					cesta.closePath();
					záznamCesty = false;
					záznamCestyBezPolohyPera = true;
				}
			}


			/** <a class="alias"></a> Alias pre {@link #uzavriCestu() uzavriCestu}. */
			public void zavriCestu() { uzavriCestu(); }

			/**
			 * Ukončí záznam cesty a vyplní zaznamenanú cestu aktuálnou
			 * farbou robota. (<b>Tip:</b> Ak chcete vytvorenú cestu rotovať
			 * alebo posúvať, vytvorte z nej {@link Oblasť oblasť} a použite
			 * metódu {@link #vyplňOblasť(Area) vyplňOblasť} alebo použite
			 * triedu {@link SVGPodpora SVGPodpora}, ktorá má definované
			 * {@linkplain SVGPodpora#dajVýsledný(Shape,
			 * GRobot.SVGPodpora.Transformácia,
			 * GRobot.SVGPodpora.Transformácia[]) metódy na ľubovoľnú
			 * transformáciu tvarov}.)
			 * 
			 * @see #začniCestu()
			 * @see #začniCestu(boolean)
			 * @see #skončiCestu()
			 * @see #zrušCestu()
			 * @see #uzavriCestu()
			 * @see #kresliCestu()
			 * @see #obkresliCestu()
			 * @see #cesta()
			 */
			public void vyplňCestu()
			{
				/*
				 * @throws RuntimeException  ak cesta nejestvuje
				if (0 == cesta.npoints) throw new RuntimeException("Cesta " +
					"nejestvuje. Na jej vytvorenie použite pred začatím " +
					"pohybu robota po podlahe alebo strope metódu " +
					"začniCestu().");
				*/
				záznamCesty = false;
				záznamCestyBezPolohyPera = true;
				grafikaAktívnehoPlátna.setColor(farbaRobota);
				grafikaAktívnehoPlátna.fill(cesta);
				// grafikaAktívnehoPlátna.fillPolygon(cesta);
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňCestu() vyplňCestu}. */
			public void vyplnCestu() { vyplňCestu(); }

			/**
			 * Ukončí záznam cesty a nakreslí zaznamenanú cestu aktuálnou
			 * farbou a hrúbkou čiary.
			 * <P>Použitie tohto príkazu sa stáva nenahraditeľným napríklad
			 * v prípade, že chceme použiť polopriehľadné pero, ktoré pri
			 * klasickom kreslení zanecháva v uzlových bodoch pohybu robota
			 * prebytočnú farbu. Vtedy je v podstate nevyhnutné zvoliť
			 * nasledujúci postup:<br />
			 * (1) zdvihnúť pero robota,<br />
			 * (2) začať záznam cesty (spôsobom „bez ohľadu na polohu
			 * pera“),<br />
			 * (3) vykonať potrebné pohyby robotom<br />
			 * (4) a použiť túto metódu na nakreslenie výslednej cesty.
			 * <P>Bez ohľadu na uvedený prípad, metóda je použiteľná
			 * ľubovoľne. Napríklad ak chceme dráhu robota prekresliť po
			 * inom kreslení (čím ju v podstate dostaneme do popredia)
			 * a podobne.
			 * 
			 * <P>(<b>Poznámka:</b> Otvorená cesta sa odlišuje od uzavretej.
			 * Metódy robota {@link #uzavriCestu() uzavriCestu}
			 * a {@link #obkresliCestu() obkresliCestu} spôsobujú uzavretie
			 * cesty, ostatné metódy spôsobujúce ukončenie záznamu cesty,
			 * vrátane tejto, nechávajú cestu otvorenou. V súčasnej verzii
			 * knižnice je možné transformovať, to jest napríklad rotovať
			 * alebo posúvať, aj otvorené cesty, a to vďaka novej triede
			 * {@link SVGPodpora SVGPodpora}, ktorá má definované {@linkplain
			 * SVGPodpora#dajVýsledný(Shape, GRobot.SVGPodpora.Transformácia,
			 * GRobot.SVGPodpora.Transformácia[]) metódy na ľubovoľnú
			 * transformáciu akéhokoľvek tvaru}. Predtým takáto akcia
			 * nebola v rámci možností knižnice. Uzavretú cestu bolo
			 * a je možné rotovať a/alebo posúvať i tak, že sa z nej
			 * vytvorí {@link Oblasť oblasť} a použije sa metóda
			 * {@link #obkresliOblasť(Area) obkresliOblasť}.)
			 * 
			 * @see #začniCestu()
			 * @see #začniCestu(boolean)
			 * @see #skončiCestu()
			 * @see #zrušCestu()
			 * @see #uzavriCestu()
			 * @see #vyplňCestu()
			 * @see #obkresliCestu()
			 * @see #cesta()
			 */
			public void kresliCestu()
			{
				/*
				 * @throws RuntimeException  ak cesta nejestvuje
				if (0 == cesta.npoints) throw new RuntimeException("Cesta " +
					"nejestvuje. Na jej vytvorenie použite pred začatím " +
					"pohybu robota po podlahe alebo strope metódu " +
					"začniCestu().");
				*/
				záznamCesty = false;
				záznamCestyBezPolohyPera = true;
				grafikaAktívnehoPlátna.setColor(farbaRobota);
				grafikaAktívnehoPlátna.setStroke(čiara);
				grafikaAktívnehoPlátna.draw(cesta);
				// grafikaAktívnehoPlátna.drawPolyline(cesta.xpoints, cesta.ypoints, cesta.npoints);
				automatickéPrekreslenie();
			}

			/**
			 * Táto metóda funguje rovnako ako keby sme volali metódy {@link
			 * #uzavriCestu() uzavriCestu} a {@link #kresliCestu()
			 * kresliCestu} za sebou (v uvedenom poradí). To znamená, že
			 * cesta sa uzavrie vtedy a len vtedy, ak ešte stále v čase jej
			 * volania prebieha záznam cesty, ktorý je súčasne s jej volaním
			 * ukončený. Potom je vykreslená výsledná cesta.
			 * 
			 * (<b>Tip:</b> Ak chcete vytvorenú cestu rotovať a/alebo posúvať,
			 * vytvorte z nej {@link Oblasť oblasť} a použite metódu {@link
			 * #obkresliOblasť(Area) obkresliOblasť} alebo použite triedu
			 * {@link SVGPodpora SVGPodpora}, ktorá má definované {@linkplain
			 * SVGPodpora#dajVýsledný(Shape, GRobot.SVGPodpora.Transformácia,
			 * GRobot.SVGPodpora.Transformácia[]) metódy na ľubovoľnú
			 * transformáciu tvarov}.)
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @see #začniCestu()
			 * @see #začniCestu(boolean)
			 * @see #skončiCestu()
			 * @see #zrušCestu()
			 * @see #uzavriCestu()
			 * @see #vyplňCestu()
			 * @see #kresliCestu()
			 * @see #cesta()
			 */
			public void obkresliCestu()
			{
				/*
				 * @throws RuntimeException  ak cesta nejestvuje
				if (0 == cesta.npoints) throw new RuntimeException("Cesta " +
					"nejestvuje. Na jej vytvorenie použite pred začatím " +
					"pohybu robota po podlahe alebo strope metódu " +
					"začniCestu().");
				*/
				if (záznamCesty)
				{
					cesta.closePath();
					záznamCesty = false;
					záznamCestyBezPolohyPera = true;
				}

				grafikaAktívnehoPlátna.setColor(farbaRobota);
				grafikaAktívnehoPlátna.setStroke(čiara);
				grafikaAktívnehoPlátna.draw(cesta);
				// grafikaAktívnehoPlátna.drawPolygon(cesta);
				automatickéPrekreslenie();
			}


			/**
			 * Ukončí záznam cesty a vráti cestu ako tvar. Metóda je
			 * využiteľná (respektíve tvar, ktorý vracia je využiteľný) na
			 * tvorbu {@linkplain Oblasť oblasti}, {@linkplain
			 * #nekresliDo(Shape) obmedzenie kreslenia}, {@linkplain
			 * SVGPodpora#dajVýsledný(Shape, GRobot.SVGPodpora.Transformácia,
			 * GRobot.SVGPodpora.Transformácia[]) vytvorenie transformovaného
			 * tvaru} a podobne.
			 * 
			 * <P><b>Príklad:</b>
			 * <P>V nasledujúcom príklade najskôr zaznamenáme otvorenú
			 * cestu v tvare lomenej čiary a túto cestu potom využijeme na
			 * nakreslenie útvaru podobného mandale. Namiesto volania
			 * metódy {@code currcesta} by bolo možné využiť triedu Javy
			 * {@link Shape Shape} na uchovanie objektu cesty, aby bolo
			 * vykonávanie príkladu mierne efektívnejšie. Komentáre
			 * v príklade ukazujú, ako by sa to dalo docieliť.
			 * <P>Na ozrejmenie fungovania príkladu je dôležité poukázať
			 * na rozdiel medzi súradnicovým priestorom Javy (predvoleným
			 * súradnicovým priestorom, ktorý je používaný v oblasti
			 * počítačovej grafiky) a súradnicovým priestorom knižnice
			 * grafického robota (ktorý je v podstate štandardným
			 * karteziánskym súradnicovým priestorom). Zhňme to v dvoch
			 * samostatných bodoch:
			 * <P>— Java predvolene pracuje so súradnicovým systémom,
			 * ktorý je bežne používaný v 2D počítačovej grafike. Stred,
			 * respektíve počiatok, súradnicovej sústavy (to jest bod so
			 * súradnicami [0, 0]) je umiestnený vždy v ľavom hornom rohu
			 * zobrazovanej oblasti (buď celej obrazovky, obrázka, plátna,
			 * alebo niečoho podobného). Hodnoty na x-ovej, respektíve
			 * horizontálnej, osi rastú zľava doprava (to je spoločné pre
			 * obidva súradnicové systémy) a hodnoty y-ovej, respektíve
			 * vertikálnej, osi rastú zhora nadol (čiže presne opačne než
			 * pri klasickom karteziánskom súradnicovom systéme).
			 * <P>— Súradnicový systém knižnice grafického robota má
			 * počiatok súradnicovej sústavy v strede plátna a aby sme
			 * to skrátili, tak jediným ďalším rozdielom oproti
			 * predchádzajúcemu systému je smer rastu hodnôt vertikálnej
			 * osi – zospodu nahor (čiže rovnako ako pri klasickom
			 * karteziánskom súradnicovom systéme).
			 * <P>Tento rozdiel sa prejavuje aj pri transformáciách triedy
			 * {@link SVGPodpora SVGPodpora}. V nasledujúcom príklade je
			 * na riadku 47 príkaz transformácie otočenia
			 * ({@code kwdnew}{@code
			 *  }{@link GRobot.SVGPodpora.Transformácia#GRobot.SVGPodpora.Transformácia(int,
			 * java.lang.Double[]) Transformácia}{@code (}{@link
			 * GRobot.SVGPodpora.Transformácia Transformácia}{@code .}{@link
			 * GRobot.SVGPodpora.Transformácia#OTOČ OTOČ}…), ktorý
			 * má posunutý stred otáčania do bodu [200, 200]. Sú to
			 * súradnice vyjadrené v súradnicovom systéme Javy. Tento bod
			 * v tomto prípade korešponduje so stredom súradnicovej sústavy
			 * knižnice grafického robota, ktorý je vždy prepočítavaný podľa
			 * aktuálnych rozmerov plátien tak, aby bol v ich strede. Na
			 * riadku 14 je volanie nadradeného konštruktora ({@code
			 * valsuper}{@code (}{@code num400}{@code , }{@code num400}{@code
			 * )}{@code ;}), ktoré nastavuje rozmery plátien na 400 × 400
			 * bodov a z toho vyplýva, že aktuálny stred súradnicovej
			 * sústavy knižnice je posunutý do bodu [200, 200]
			 * súradnicového priestoru Javy.
			 * <pre CLASS="example">
				{@code kwdimport} knižnica.{@link GRobot GRobot};
				{@code kwdimport} knižnica.{@link GRobot GRobot}.{@link SVGPodpora SVGPodpora}.{@link Transformácia Transformácia};

				{@code comm// Ak by sme sa rozhodli využiť triedu Javy }{@link Shape Shape}{@code comm, tak takto by sme ju}
				{@code comm// importovali:}
				{@code comm// import java.awt.Shape;}

				{@code kwdpublic} {@code typeclass} TvarZCesty {@code kwdextends} {@link GRobot GRobot}
				{
					{@code comm// Konštruktor}
					{@code kwdpublic} TvarZCesty()
					{
						{@code comm// Nastavenie romerov plátna na 400 × 400 bodov:}
						{@code valsuper}({@code num400}, {@code num400});

						{@code comm// Zdvihnutie pera a zahájenie záznamu cesty:}
						{@link #zdvihniPero() zdvihniPero}();
						{@link #začniCestu() začniCestu}();

						{@code comm// „Nakreslenie“ cesty (jej zaznamenanie do vnútornej pamäte robota):}
						{@link #dopredu(double) dopredu}({@code num60});
						{@link #vpravo(double) vpravo}({@code num60});
						{@link #dopredu(double) dopredu}({@code num60});
						{@link #vľavo(double) vľavo}({@code num120});
						{@link #dopredu(double) dopredu}({@code num60});
						{@link #vpravo(double) vpravo}({@code num60});
						{@link #dopredu(double) dopredu}({@code num60});

						{@code comm// Ak by sme sa rozhodli využiť triedu Javy Shape,}
						{@code comm// tak takto by definovali jej inštanciu:}
						{@code comm// }{@link Shape Shape}{@code comm cesta = }{@code currcesta}{@code comm();}

						{@code comm// Úprava hrúbky čiary:}
						{@link #hrúbkaČiary(double) hrúbkaČiary}({@code num2.5});

						{@code comm// Kreslenie transformovanej cesty:}
						{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num12}; ++i)
						{
							{@link #náhodnáFarba() náhodnáFarba}();

							{@code comm// Ak by sme sa rozhodli využiť triedu Javy Shape, tak na}
							{@code comm// nasledujúcom riadku by nebolo volanie metódy „cesta()“, ale}
							{@code comm// použitie inštancie triedy Shape: „cesta“ (zjednodušene}
							{@code comm// povedané by bolo treba zmazať zátvorky za identifikátorom}
							{@code comm// „cesta“):}
							{@link Plátno podlaha}.{@link Plátno#kresli(Shape) kresli}({@link SVGPodpora SVGPodpora}.{@link SVGPodpora#dajVýsledný(Shape, GRobot.SVGPodpora.Transformácia, GRobot.SVGPodpora.Transformácia[]) dajVýsledný}({@code currcesta}(),
								{@code kwdnew} {@link GRobot.SVGPodpora.Transformácia#GRobot.SVGPodpora.Transformácia(int, java.lang.Double[]) Transformácia}({@link GRobot.SVGPodpora.Transformácia Transformácia}.{@link GRobot.SVGPodpora.Transformácia#OTOČ OTOČ},
									i * {@code num30.0}, {@code num200.0}, {@code num200.0})));
						}
					}

					{@code comm// Hlavná metóda.}
					{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}... args)
					{
						{@link Svet Svet}.{@link Svet#použiKonfiguráciu(String) použiKonfiguráciu}({@code srg"tvar-z-cesty.cfg"});
						{@code kwdnew} TvarZCesty();
					}
				}
				</pre>
			 * 
			 * <P><b>Výsledok:</b>
			 * <table style="margin-left: auto; margin-right:
			 * auto;"><tr><td><image>tvarZCesty1.png</image></td>
			 * <td><image>tvarZCesty2.png</image></td></tr>
			 * <tr><td colspan="2" style="text-align: center;"><small>Dve
			 * ukážky možných výsledkov kreslenia
			 * príkladu</small></td></tr></table>
			 * 
			 * @see #začniCestu()
			 * @see #začniCestu(boolean)
			 * @see #skončiCestu()
			 * @see #zrušCestu()
			 * @see #uzavriCestu()
			 * @see #vyplňCestu()
			 * @see #kresliCestu()
			 * @see #obkresliCestu()
			 * 
			 * @see #kružnica(double)
			 * @see #kruh(double)
			 * @see #elipsa(double, double)
			 * @see #kresliElipsu(double, double)
			 * @see #vyplňElipsu(double, double)
			 * @see #štvorec(double)
			 * @see #kresliŠtvorec(double)
			 * @see #vyplňŠtvorec(double)
			 * @see #obdĺžnik(double, double)
			 * @see #kresliObdĺžnik(double, double)
			 * @see #vyplňObdĺžnik(double, double)
			 * @see #hviezda(double)
			 * @see #kresliHviezdu(double)
			 * @see #vyplňHviezdu(double)
			 * 
			 * @see #kružnica()
			 * @see #kruh()
			 * @see #elipsa(double)
			 * @see #kresliElipsu(double)
			 * @see #vyplňElipsu(double)
			 * @see #štvorec()
			 * @see #kresliŠtvorec()
			 * @see #vyplňŠtvorec()
			 * @see #obdĺžnik(double)
			 * @see #kresliObdĺžnik(double)
			 * @see #vyplňObdĺžnik(double)
			 * @see #hviezda()
			 * @see #kresliHviezdu()
			 * @see #vyplňHviezdu()
			 * 
			 * @see #text(String)
			 * @see #text(String, int)
			 */
			public Shape cesta()
			{
				/*
				 * @throws RuntimeException  ak cesta nejestvuje
				if (0 == cesta.npoints) throw new RuntimeException("Cesta " +
					"nejestvuje. Na jej vytvorenie použite pred začatím " +
					"pohybu robota po podlahe alebo strope metódu " +
					"začniCestu().");
				Ak cesta nejestvuje, metóda spôsobí vznik výnimky.
				*/
				záznamCesty = false;
				záznamCestyBezPolohyPera = true;
				return new Path2D.Double(cesta);
			}

			/** <a class="alias"></a> Alias pre {@link #cesta() cesta}. */
			public Shape cestu() { return cesta(); }

			/** <a class="alias"></a> Alias pre {@link #cesta() cesta}. */
			public Shape cesty() { return cesta(); }

			/**
			 * Zistí, či sa aktuálne súradnice myši nachádzajú v uzavretej
			 * oblasti cesty, ktorá bola zaznamenaná kreslením aktuálneho
			 * robota od posledného použitia metódy {@link #začniCestu()
			 * začniCestu}. Cesta je zaznamenávaná až do použitia metód {@link
			 * #skončiCestu() skončiCestu}, {@link #zrušCestu() zrušCestu},
			 * {@link #vyplňCestu() vyplňCestu} alebo {@link #kresliCestu()
			 * kresliCestu}. Dokedy opätovne nepoužijeme metódu {@link
			 * #začniCestu() začniCestu} alebo metódu {@link #zrušCestu()
			 * zrušCestu}, je zaznamenaná cesta opakovane použiteľná.
			 * 
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #myšVElipse(double, double)
			 *  @see #myšVKruhu(double)
			 *  @see #myšVPôsobisku()
			 *  @see #myšVoŠtvorci(double)
			 *  @see #myšVObdĺžniku(double, double)
			 *  @see #myšVHviezde(double)
			 *  @see #myšVOblasti(Area)
			 */
			public boolean myšVCeste()
			{
				return cesta.contains(prepočítajX(súradnicaMyšiX),
					prepočítajY(súradnicaMyšiY));
			}

			/** <a class="alias"></a> Alias pre {@link #myšVCeste() myšVCeste}. */
			public boolean mysVCeste() { return myšVCeste(); }

			/**
			 * Zistí, či sa aktuálne súradnice zadaného bodu nachádzajú
			 * v uzavretej oblasti cesty, ktorá bola zaznamenaná kreslením
			 * aktuálneho robota od posledného použitia metódy {@link
			 * #začniCestu() začniCestu}. Cesta je zaznamenávaná až do
			 * použitia metód {@link #skončiCestu() skončiCestu}, {@link
			 * #zrušCestu() zrušCestu}, {@link #vyplňCestu() vyplňCestu}
			 * alebo {@link #kresliCestu() kresliCestu}. Dokedy opätovne
			 * nepoužijeme metódu {@link #začniCestu() začniCestu} alebo
			 * metódu {@link #zrušCestu() zrušCestu}, je zaznamenaná cesta
			 * opakovane použiteľná. Nasledujúca metóda dovoľuje namiesto
			 * súradníc bodu  použiť objekt: {@link #bodVCeste(Poloha)
			 * bodVCeste(Poloha objekt)}.
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see #bodVPôsobisku(double, double)
			 *  @see #bodVKruhu(double, double, double)
			 *  @see #bodVElipse(double, double, double, double)
			 *  @see #bodVoŠtvorci(double, double, double)
			 *  @see #bodVObdĺžniku(double, double, double, double)
			 *  @see #bodVHviezde(double, double, double)
			 *  @see #bodVOblasti(double, double, Area)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVCeste(double súradnicaBoduX, double súradnicaBoduY)
			{
				return cesta.contains(prepočítajX(súradnicaBoduX),
					prepočítajY(súradnicaBoduY));
			}

			// /**
				//  * Zistí, či sa súradnice zadaného bodu nachádzajú v uzavretej
				//  * oblasti cesty, ktorá bola zaznamenaná kreslením aktuálneho
				//  * robota od posledného použitia metódy {@link #začniCestu()
				//  * začniCestu}. Cesta je zaznamenávaná až do použitia metód {@link
				//  * #skončiCestu() skončiCestu}, {@link #zrušCestu() zrušCestu},
				//  * {@link #vyplňCestu() vyplňCestu} alebo {@link #kresliCestu()
				//  * kresliCestu}. Dokedy opätovne nepoužijeme metódu {@link
				//  * #začniCestu() začniCestu} alebo metódu {@link #zrušCestu()
				//  * zrušCestu}, je zaznamenaná cesta opakovane použiteľná.
				//  * 
				//  *  @param bod  súradnice bodu
				//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
				//  *  @see #bodVPôsobisku(Point2D)
				//  *  @see #bodVKruhu(Point2D, double)
				//  *  @see #bodVElipse(Point2D, double, double)
				//  *  @see #bodVoŠtvorci(Point2D, double)
				//  *  @see #bodVObdĺžniku(Point2D, double, double)
				//  *  @see #bodVOblasti(Point2D, Area)
				//  *  @see #bodVTvare(Point2D, Shape)
				//  */
				// public boolean bodVCeste(Point2D bod)
				// {
				// 	return cesta.contains(prepočítajX(bod.getX()),
				// 		prepočítajY(bod.getY()));
				// }

			/**
			 * Funguje rovnako ako metóda {@link #bodVCeste(double, double)
			 * bodVCeste(x, y)}, len namiesto súradníc bodu je použitá poloha
			 * zadaného objektu…
			 * 
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #bodVPôsobisku(Poloha)
			 *  @see #bodVKruhu(Poloha, double)
			 *  @see #bodVElipse(Poloha, double, double)
			 *  @see #bodVoŠtvorci(Poloha, double)
			 *  @see #bodVObdĺžniku(Poloha, double, double)
			 *  @see #bodVHviezde(Poloha, double)
			 *  @see #bodVOblasti(Poloha, Area)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVCeste(Poloha objekt)
			{
				return cesta.contains(prepočítajX(objekt.polohaX()),
					prepočítajY(objekt.polohaY()));
			}


		// Oblasti

			/**
			 * Zamestná tohto robota na účely tvorby, prípadne kreslenia,
			 * zadanej oblasti. Má rovnaký efekt ako volanie metódy {@link
			 * Oblasť#zamestnaj(GRobot) oblasť.zamestnaj(robot)}. Od okamihu
			 * zamestnania stráca robot dočasne svoje schopnosti kreslenia
			 * útvarov a písania textov. Je to z dôvodu ich presunutia do
			 * tvorby {@linkplain Oblasť oblasti}. Zamestnaný robot nekreslí
			 * útvary ani nie je schopný písať texty dovtedy, kým nie je zo
			 * služby {@linkplain #uvoľni(Oblasť) uvoľnený}
			 * ({@linkplain #prepusti(Oblasť) prepustený}).
			 * 
			 * <P>Robot nesmie byť zamestnaný pre inú oblasť, lebo vznikne
			 * výnimka.
			 * 
			 *  @param oblasť objekt typu {@link Oblasť}
			 *  @throws GRobotException ak je robot zamestnaný pre inú oblasť
			 *  @see #uvoľni(Oblasť)
			 *  @see #uvoľni()
			 *  @see #zamestnaný()
			 *  @see #zamestnaný(Oblasť)
			 */
			public void zamestnaj(Oblasť oblasť) { oblasť.zamestnaj(this); }

			/**
			 * Uvoľní tohto robota z úloh tvorby (prípadne kreslenia) zadanej
			 * oblasti. Má rovnaký efekt ako volanie metódy {@link
			 * Oblasť#uvoľni(GRobot) oblasť.uvoľni(robot)}. Ak tento robot
			 * nebol zamestnaný pre zadanú oblasť, tak nemá volanie metódy
			 * žiadny efekt.
			 * 
			 * <P><small>(<b>Poznámka:</b> Názov {@code curruvoľni} má
			 * v knižnici grafického robota deväť rôznych metód:
			 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni()
			 * uvoľni}{@code ()},
			 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni(Oblasť)
			 * uvoľni}{@code (}{@link Oblasť Oblasť}{@code )},
			 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni()
			 * uvoľni}{@code ()},
			 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni(GRobot)
			 * uvoľni}{@code (}{@link GRobot GRobot}{@code )}
			 * – slúžia na uvoľnenie robota zo zamestnania pre stanovenú
			 * oblasť (čo je geometrická trieda),
			 * {@link Svet Svet}{@code .}{@link Svet#uvoľni() uvoľni}{@code ()}
			 * – slúži na uvoľnenie hlavného okna sveta, t. j. umožnenie
			 * zmeny veľkosti okna používateľovi (ide o opak metódy {@link
			 * Svet#upevni() Svet.upevni}) a nakoniec
			 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot)
			 * uvoľni}{@code (}{@link GRobot GRobot}{@code )},
			 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.Class)
			 * uvoľni}{@code (}{@link java.lang.Class Class}{@code )},
			 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot.Obrázok)
			 * uvoľni}{@code (}{@link Obrázok Obrázok}{@code )}
			 * a {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.String)
			 * uvoľni}{@code (}{@link java.lang.String String}{@code )}
			 * – slúžia na uvoľňovanie nepotrebných inštancií robotov
			 * vytvorených alebo prečítaných obrázkov a prečítaných zvukov
			 * z vnútorných zoznamov robotov, obrázkov a zdrojov, čo je jednak
			 * nevyhnutnou podmienkou ich úspešného vymazania z pamäte zberačom
			 * odpadkov Javy a jednak to môže byť niekedy potrebné, ak sa
			 * napríklad obsah súboru zdroja uloženého na disku
			 * zmenil.)</small>
			 * 
			 *  @param oblasť objekt typu {@link Oblasť}
			 *  @see #zamestnaj(Oblasť)
			 *  @see #uvoľni()
			 *  @see #zamestnaný()
			 *  @see #zamestnaný(Oblasť)
			 */
			public void uvoľni(Oblasť oblasť) { oblasť.uvoľni(this); }

			/** <a class="alias"></a> Alias pre {@link #uvoľni(Oblasť) uvoľni}. */
			public void uvolni(Oblasť oblasť) { uvoľni(oblasť); }

			/** <a class="alias"></a> Alias pre {@link #uvoľni(Oblasť) uvoľni}. */
			public void prepusti(Oblasť oblasť) { uvoľni(oblasť); }

			/**
			 * Automaticky uvoľní robota z úloh tvorby (prípadne kreslenia)
			 * oblasti. Má podobný efekt ako volanie metódy {@link
			 * Oblasť#uvoľni() oblasť.uvoľni()}. Ak robot nebol zamestnaný pre
			 * žiadnu oblasť, tak nemá volanie metódy žiadny efekt.
			 * 
			 * <P><small>(<b>Poznámka:</b> Názov {@code curruvoľni} má
			 * v knižnici grafického robota deväť rôznych metód:
			 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni()
			 * uvoľni}{@code ()},
			 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni(Oblasť)
			 * uvoľni}{@code (}{@link Oblasť Oblasť}{@code )},
			 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni()
			 * uvoľni}{@code ()},
			 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni(GRobot)
			 * uvoľni}{@code (}{@link GRobot GRobot}{@code )}
			 * – slúžia na uvoľnenie robota zo zamestnania pre stanovenú
			 * oblasť (čo je geometrická trieda),
			 * {@link Svet Svet}{@code .}{@link Svet#uvoľni() uvoľni}{@code ()}
			 * – slúži na uvoľnenie hlavného okna sveta, t. j. umožnenie
			 * zmeny veľkosti okna používateľovi (ide o opak metódy {@link
			 * Svet#upevni() Svet.upevni}) a nakoniec
			 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot)
			 * uvoľni}{@code (}{@link GRobot GRobot}{@code )},
			 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.Class)
			 * uvoľni}{@code (}{@link java.lang.Class Class}{@code )},
			 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot.Obrázok)
			 * uvoľni}{@code (}{@link Obrázok Obrázok}{@code )}
			 * a {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.String)
			 * uvoľni}{@code (}{@link java.lang.String String}{@code )}
			 * – slúžia na uvoľňovanie nepotrebných inštancií robotov
			 * vytvorených alebo prečítaných obrázkov a prečítaných zvukov
			 * z vnútorných zoznamov robotov, obrázkov a zdrojov, čo je jednak
			 * nevyhnutnou podmienkou ich úspešného vymazania z pamäte zberačom
			 * odpadkov Javy a jednak to môže byť niekedy potrebné, ak sa
			 * napríklad obsah súboru zdroja uloženého na disku
			 * zmenil.)</small>
			 * 
			 *  @see #zamestnaj(Oblasť)
			 *  @see #uvoľni(Oblasť)
			 *  @see #zamestnaný()
			 *  @see #zamestnaný(Oblasť)
			 */
			public void uvoľni()
			{
				if (null != zamestnanýPre)
				{
					zamestnanýPre.zamestnanec = null;
					kresliTvary = true;
					zamestnanýPre = null;
				}
			}

			/** <a class="alias"></a> Alias pre {@link #uvoľni() uvoľni}. */
			public void uvolni() { uvoľni(); }

			/** <a class="alias"></a> Alias pre {@link #uvoľni(Oblasť) uvoľni}. */
			public void prepusti() { uvoľni(); }

			/**
			 * Overí, či je tento robot zamestnaný pre potreby niektorej
			 * oblasti.
			 * 
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #zamestnaj(Oblasť)
			 *  @see #uvoľni(Oblasť)
			 *  @see #uvoľni()
			 *  @see #zamestnaný(Oblasť)
			 */
			public boolean zamestnaný() { return zamestnanýPre != null; }

			/** <a class="alias"></a> Alias pre {@link #zamestnaný() zamestnaný}. */
			public boolean zamestnany() { return zamestnanýPre != null; }

			/**
			 * Overí, či je tento robot zamestnaný pre potreby
			 * určenej oblasti.
			 * 
			 *  @param oblasť cieľová oblasť
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see #zamestnaj(Oblasť)
			 *  @see #uvoľni(Oblasť)
			 *  @see #uvoľni()
			 *  @see #zamestnaný()
			 */
			public boolean zamestnaný(Oblasť oblasť)
			{ return zamestnanýPre == oblasť; }

			/** <a class="alias"></a> Alias pre {@link #zamestnaný(Oblasť) zamestnaný}. */
			public boolean zamestnany(Oblasť oblasť)
			{ return zamestnanýPre == oblasť; }


			/**
			 * Obkreslí zadanú oblasť hrúbkou a farbou čiary nastavenou pre
			 * tohto robota. Oblasť rotuje podľa smeru robota (za východisko
			 * je považovaných 90°; odchýlka v kladom alebo zápornom smere
			 * patrične rotuje oblasť) a posunie o súradnice robota na plátne
			 * (stred sa nachádza v bode [0, 0] – v strede plátna; ak je
			 * robot v strede plátna, poloha oblasti sa nezmení).
			 * 
			 *  @param oblasť objekt typu {@link Area} (resp. {@link Oblasť})
			 *  @see Oblasť#kresli()
			 *  @see Oblasť#kresli(GRobot)
			 */
			public void obkresliOblasť(Area oblasť)
			{
				grafikaAktívnehoPlátna.setColor(farbaRobota);
				grafikaAktívnehoPlátna.setStroke(čiara);

				if (aktuálnyUhol == 90 && aktuálneX == 0 && aktuálneY == 0)
				{
					grafikaAktívnehoPlátna.draw(oblasť);
					aktualizujPôsobisko(oblasť.getBounds2D());
				}
				else
				{
					AffineTransform at = new AffineTransform();
					at.rotate(Math.toRadians(90 - aktuálnyUhol),
						prepočítajX(aktuálneX), prepočítajY(aktuálneY));
					at.translate(aktuálneX, -aktuálneY);
					Area a = oblasť.createTransformedArea(at);

					grafikaAktívnehoPlátna.draw(a);
					aktualizujPôsobisko(a.getBounds2D());
				}

				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #obkresliOblasť(Area) obkresliOblasť}. */
			public void obkresliOblast(Area oblasť) { obkresliOblasť(oblasť); }

			/**
			 * Vyplní plochu zadanej oblasti farbou nastavenou pre tohto
			 * robota, pričom vypĺňanú oblasť rotuje podľa smeru robota (za
			 * východisko je považovaných 90°; odchýlka v kladom alebo
			 * zápornom smere patrične rotuje oblasť) a posúva ju o súradnice
			 * robota na plátne (stred sa nachádza v bode [0, 0] – v strede
			 * plátna; ak je robot v strede plátna, poloha oblasti sa
			 * nezmení).
			 * 
			 *  @param oblasť objekt typu {@link Area} (resp. {@link Oblasť})
			 *  @see Oblasť#vyplň()
			 *  @see Oblasť#vyplň(GRobot)
			 */
			public void vyplňOblasť(Area oblasť)
			{
				grafikaAktívnehoPlátna.setColor(farbaRobota);

				if (aktuálnyUhol == 90 && aktuálneX == 0 && aktuálneY == 0)
				{
					grafikaAktívnehoPlátna.fill(oblasť);
					aktualizujPôsobisko(oblasť.getBounds2D());
				}
				else
				{
					AffineTransform at = new AffineTransform();
					at.rotate(Math.toRadians(90 - aktuálnyUhol),
						prepočítajX(aktuálneX), prepočítajY(aktuálneY));
					at.translate(aktuálneX, -aktuálneY);
					Area a = oblasť.createTransformedArea(at);

					grafikaAktívnehoPlátna.fill(a);
					aktualizujPôsobisko(a.getBounds2D());
				}

				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňOblasť(Area) vyplňOblasť}. */
			public void vyplnOblast(Area oblasť) { vyplňOblasť(oblasť); }

			/**
			 * Vyplní plochu zadanej oblasti zadanou textúrou, pričom oblasť
			 * rotuje podľa smeru<sup>[1]</sup> robota a posúva ju
			 * o súradnice<sup>[2]</sup> robota na plátne. Rotácia a poloha
			 * textúry nie sú nijako ovplyvňované polohou a smerom robota.
			 * Textúra je zadaná ako názov súboru s obrázkom, ktorý bude
			 * použitý na dlaždicové vyplnenie plochy oblasti.
			 * 
			 * <P>
			 * <small>[1] – za východisko je považovaných 90°; odchýlka
			 * v kladom alebo zápornom smere patrične rotuje
			 * oblasť</small><br />
			 * <small>[2] – stred sa nachádza v bode [0, 0] – v strede
			 * plátna; ak je robot v strede plátna, poloha oblasti sa
			 * nezmení</small>
			 * 
			 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
			 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
			 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
			 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
			 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
			 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
			 * prijímajú názov súboru ako parameter.)
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je možné
			 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
			 * súvislosti sa mierne zmenilo aj predvolené správanie
			 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
			 * dlaždicami sa presunul do stredu plátna, prípadne
			 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
			 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
			 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
			 * upravujúce ďalšie parametre obrázkových výplní.)</small>
			 * 
			 *  @param oblasť objekt typu {@link Area} (resp. {@link Oblasť})
			 *  @param súbor názov súboru s obrázkom textúry
			 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
			 * 
			 *  @see Svet#priečinokObrázkov()
			 *  @see Svet#priečinokObrázkov(String)
			 *  @see Oblasť#vyplň(String)
			 *  @see Oblasť#vyplň(GRobot, String)
			 */
			public void vyplňOblasť(Area oblasť, String súbor)
			{
				BufferedImage obrázok = súborNaObrázok(súbor);

				grafikaAktívnehoPlátna.setPaint(
					new TexturePaint(obrázok, new Rectangle2D.Double(
						posuňVýplňX, posuňVýplňY,
						obrázok.getWidth()  * mierkaVýplneX,
						obrázok.getHeight() * mierkaVýplneY)));

				Area a = oblasť; double β = 0.0;

				if (0 != otočVýplňΑ)
				{
					β = Math.toRadians(otočVýplňΑ);
					grafikaAktívnehoPlátna.rotate(-β,
						otočVýplňX, otočVýplňY);
					a = oblasť.createTransformedArea(
						AffineTransform.getRotateInstance(β,
						otočVýplňX, otočVýplňY));
				}

				if (aktuálnyUhol == 90 && aktuálneX == 0 && aktuálneY == 0)
				{
					grafikaAktívnehoPlátna.fill(a);
					aktualizujPôsobisko(oblasť.getBounds2D());
				}
				else
				{
					AffineTransform at = new AffineTransform();
					at.rotate(Math.toRadians(90 - aktuálnyUhol),
						prepočítajX(aktuálneX), prepočítajY(aktuálneY));
					at.translate(aktuálneX, -aktuálneY);
					oblasť = oblasť.createTransformedArea(at);

					if (0 != otočVýplňΑ)
						a = oblasť.createTransformedArea(
							AffineTransform.getRotateInstance(β,
							otočVýplňX, otočVýplňY));
					else a = oblasť;

					grafikaAktívnehoPlátna.fill(a);
					aktualizujPôsobisko(oblasť.getBounds2D());
				}

				if (0 != otočVýplňΑ)
				{
					grafikaAktívnehoPlátna.rotate(β,
						otočVýplňX, otočVýplňY);
				}

				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňOblasť(Area, String) vyplňOblasť}. */
			public void vyplnOblast(Area oblasť, String súbor)
			{ vyplňOblasť(oblasť, súbor); }

			/**
			 * Vyplní plochu zadanej oblasti zadanou textúrou, pričom oblasť
			 * rotuje podľa smeru<sup>[1]</sup> robota a posúva ju
			 * o súradnice<sup>[2]</sup> robota na plátne. Rotácia a poloha
			 * textúry nie sú nijako ovplyvňované polohou a smerom robota.
			 * Textúra bude použitá na dlaždicové vyplnenie plochy oblasti. Je
			 * zadaná ako objekt typu {@link Image Image}, za ktorý môže byť
			 * dosadený aj objekt typu {@link Obrázok Obrázok}.
			 * 
			 * <P>
			 * <small>[1] – za východisko je považovaných 90°; odchýlka
			 * v kladom alebo zápornom smere patrične rotuje
			 * oblasť</small><br />
			 * <small>[2] – stred sa nachádza v bode [0, 0] – v strede
			 * plátna; ak je robot v strede plátna, poloha oblasti sa
			 * nezmení</small>
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je možné
			 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
			 * súvislosti sa mierne zmenilo aj predvolené správanie
			 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
			 * dlaždicami sa presunul do stredu plátna, prípadne
			 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
			 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
			 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
			 * upravujúce ďalšie parametre obrázkových výplní.)</small>
			 * 
			 *  @param oblasť objekt typu {@link Area} (resp. {@link Oblasť})
			 *  @param výplň obrázok textúry
			 *  @see Oblasť#vyplň(Image)
			 *  @see Oblasť#vyplň(GRobot, Image)
			 */
			public void vyplňOblasť(Area oblasť, Image výplň)
			{
				BufferedImage obrázok = preveďNaBufferedImage(výplň);
				BufferedImage relevantný = dajRelevantnýRaster(obrázok);

				float priehľadnosť = (obrázok instanceof Obrázok) ?
					((Obrázok)obrázok).priehľadnosť : 1.0f;

				if (priehľadnosť > 0)
				{
					grafikaAktívnehoPlátna.setPaint(
						new TexturePaint(relevantný, new Rectangle2D.Double(
							posuňVýplňX, posuňVýplňY,
							relevantný.getWidth(null)  * mierkaVýplneX,
							relevantný.getHeight(null) * mierkaVýplneY)));

					Area a = oblasť; double β = 0.0;

					if (0 != otočVýplňΑ)
					{
						β = Math.toRadians(otočVýplňΑ);
						grafikaAktívnehoPlátna.rotate(-β,
							otočVýplňX, otočVýplňY);
						a = oblasť.createTransformedArea(
							AffineTransform.getRotateInstance(β,
							otočVýplňX, otočVýplňY));
					}

					if (priehľadnosť < 1)
					{
						Composite záloha =
							grafikaAktívnehoPlátna.getComposite();
						grafikaAktívnehoPlátna.setComposite(
							AlphaComposite.getInstance(
								AlphaComposite.SRC_OVER,
								priehľadnosť));

						if (aktuálnyUhol == 90 && aktuálneX == 0 &&
							aktuálneY == 0)
						{
							grafikaAktívnehoPlátna.fill(a);
							aktualizujPôsobisko(oblasť.getBounds2D());
						}
						else
						{
							AffineTransform at = new AffineTransform();
							at.rotate(Math.toRadians(90 - aktuálnyUhol),
								prepočítajX(aktuálneX),
								prepočítajY(aktuálneY));
							at.translate(aktuálneX, -aktuálneY);
							oblasť = oblasť.createTransformedArea(at);

							if (0 != otočVýplňΑ)
								a = oblasť.createTransformedArea(
									AffineTransform.getRotateInstance(β,
									otočVýplňX, otočVýplňY));
							else a = oblasť;

							grafikaAktívnehoPlátna.fill(a);
							aktualizujPôsobisko(oblasť.getBounds2D());
						}

						grafikaAktívnehoPlátna.setComposite(záloha);
					}
					else
					{
						if (aktuálnyUhol == 90 && aktuálneX == 0 &&
							aktuálneY == 0)
						{
							grafikaAktívnehoPlátna.fill(a);
							aktualizujPôsobisko(oblasť.getBounds2D());
						}
						else
						{
							AffineTransform at = new AffineTransform();
							at.rotate(Math.toRadians(90 - aktuálnyUhol),
								prepočítajX(aktuálneX),
								prepočítajY(aktuálneY));
							at.translate(aktuálneX, -aktuálneY);
							oblasť = oblasť.createTransformedArea(at);

							if (0 != otočVýplňΑ)
								a = oblasť.createTransformedArea(
									AffineTransform.getRotateInstance(β,
									otočVýplňX, otočVýplňY));
							else a = oblasť;

							grafikaAktívnehoPlátna.fill(a);
							aktualizujPôsobisko(oblasť.getBounds2D());
						}
					}

					if (0 != otočVýplňΑ)
					{
						grafikaAktívnehoPlátna.rotate(β,
							otočVýplňX, otočVýplňY);
					}

					automatickéPrekreslenie();
				}
			}

			/** <a class="alias"></a> Alias pre {@link #vyplňOblasť(Area, Image) vyplňOblasť}. */
			public void vyplnOblast(Area oblasť, Image výplň)
			{ vyplňOblasť(oblasť, výplň); }


			/**
			 * Zistí, či sa súradnice zadaného bodu nachádzajú v zadanej
			 * oblasti, ktorá je na účely porovnania rotovaná podľa smeru
			 * robota (za východisko je považovaných 90°; odchýlka v kladom
			 * alebo zápornom smere patrične rotuje oblasť) a posunutá
			 * o súradnice robota na plátne (stred sa nachádza v bode [0, 0] –
			 * v strede plátna; ak je robot v strede plátna, poloha oblasti
			 * sa nezmení). Nasledujúca metóda dovoľuje namiesto súradníc
			 * bodu použiť objekt: {@link #bodVOblasti(Poloha, Area)
			 * bodVOblasti(Poloha objekt, Area oblasť)}.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @param oblasť oblasť, ktorá má byť použitá na overenie
			 *  @return {@code valtrue} – áno; {@code valfalse} – nie
			 *  @see Oblasť#bodV(double, double)
			 *  @see #bodVPôsobisku(double, double)
			 *  @see #bodVKruhu(double, double, double)
			 *  @see #bodVElipse(double, double, double, double)
			 *  @see #bodVoŠtvorci(double, double, double)
			 *  @see #bodVObdĺžniku(double, double, double, double)
			 *  @see #bodVHviezde(double, double, double)
			 *  @see #bodVCeste(double, double)
			 *  @see #bodVTvare(double, double, Shape)
			 */
			public boolean bodVOblasti(double súradnicaBoduX,
				double súradnicaBoduY, Area oblasť)
			{
				if (aktuálnyUhol == 90 && aktuálneX == 0 && aktuálneY == 0)
					return oblasť.contains(prepočítajX(súradnicaBoduX),
						prepočítajY(súradnicaBoduY));

				AffineTransform at = new AffineTransform();
				at.rotate(Math.toRadians(90 - aktuálnyUhol),
					prepočítajX(aktuálneX), prepočítajY(aktuálneY));
				at.translate(aktuálneX, -aktuálneY);
				Area a = oblasť.createTransformedArea(at);

				return a.contains(prepočítajX(súradnicaBoduX),
					prepočítajY(súradnicaBoduY));
			}

			// /**
			//  * Zistí, či sa súradnice zadaného bodu nachádzajú v zadanej
			//  * oblasti, ktorá je na účely porovnania rotovaná podľa smeru
			//  * robota (za východisko je považovaných 90°; odchýlka v kladom
			//  * alebo zápornom smere patrične rotuje oblasť) a posunutá
			//  * o súradnice robota na plátne (stred sa nachádza v bode [0, 0] –
			//  * v strede plátna).
			//  * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			//  *  @param bod  súradnice bodu v súradnicovom priestore robota
			//  *  @param oblasť oblasť, ktorá má byť použitá na overenie
			//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
			//  *  @see Oblasť#bodV(Point2D)
			//  *  @see #bodVPôsobisku(Point2D)
			//  *  @see #bodVKruhu(Point2D, double)
			//  *  @see #bodVElipse(Point2D, double, double)
			//  *  @see #bodVoŠtvorci(Point2D, double)
			//  *  @see #bodVObdĺžniku(Point2D, double, double)
			//  *  @see #bodVCeste(Point2D)
			//  *  @see #bodVTvare(Point2D, Shape)
			//  */
			// public boolean bodVOblasti(Point2D bod, Area oblasť)
			// {
			// 	if (aktuálnyUhol == 90 && aktuálneX == 0 && aktuálneY == 0)
			// 		return oblasť.contains(prepočítajX(bod.getX()),
			// 			prepočítajY(bod.getY()));
			// 
			// 	AffineTransform at = new AffineTransform();
			// 	at.rotate(Math.toRadians(90 - aktuálnyUhol),
			// 		prepočítajX(aktuálneX), prepočítajY(aktuálneY));
			// 	at.translate(aktuálneX, -aktuálneY);
			// 	Area a = oblasť.createTransformedArea(at);
			// 
			// 	return a.contains(prepočítajX(bod.getX()),
			// 		prepočítajY(bod.getY()));
			// }

			/**
			 * Funguje rovnako ako metóda {@link #bodVOblasti(double, double,
			 * Area) bodVOblasti(x, y, oblasť)}, len namiesto súradníc bodu
			 * je použitá poloha zadaného objektu…
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 *  @param objekt  objekt, ktorého poloha je použitá namiesto
			 *      súradníc bodu
			 *  @param oblasť oblasť, ktorá má byť použitá na overenie
			 *  @return {@code valtrue}/&#8203;{@code valfalse}
			 *  @see Oblasť#bodV(Poloha)
			 *  @see #bodVPôsobisku(Poloha)
			 *  @see #bodVKruhu(Poloha, double)
			 *  @see #bodVElipse(Poloha, double, double)
			 *  @see #bodVoŠtvorci(Poloha, double)
			 *  @see #bodVObdĺžniku(Poloha, double, double)
			 *  @see #bodVHviezde(Poloha, double)
			 *  @see #bodVCeste(Poloha)
			 *  @see #bodVTvare(Poloha, Shape)
			 */
			public boolean bodVOblasti(Poloha objekt, Area oblasť)
			{
				if (aktuálnyUhol == 90 && aktuálneX == 0 && aktuálneY == 0)
					return oblasť.contains(prepočítajX(objekt.polohaX()),
						prepočítajY(objekt.polohaY()));

				AffineTransform at = new AffineTransform();
				at.rotate(Math.toRadians(90 - aktuálnyUhol),
					prepočítajX(aktuálneX), prepočítajY(aktuálneY));
				at.translate(aktuálneX, -aktuálneY);
				Area a = oblasť.createTransformedArea(at);

				return a.contains(prepočítajX(objekt.polohaX()),
					prepočítajY(objekt.polohaY()));
			}


		// Poradie

			/**
			 * <a class="setter"></a> Preradí tohto robota do vrstvy s určeným
			 * poradovým
			 * číslom. Vrstva je symbolická hodnota ovplyvňujúca poradie
			 * kreslenia robotov. Zmenou hodnoty vrstvy sa nezmení
			 * umiestnenie robota v rámci vnútorného zoznamu robotov. Vrstva
			 * ovplyvňuje poradie kreslenia všetkých robotov, pričom poradie
			 * kreslenia robotov umiestnených v rovnakej vrstve je určené
			 * poradím vo vnútornom zozname robotov.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @param vrstva poradové číslo vrstvy kreslenia, do ktorej má
			 *     byť tento robot premiestnený
			 */
			public void vrstva(int vrstva)
			{
				Vrstva.preraď(this, vrstva);
				automatickéPrekreslenie();
			}

			/**
			 * <a class="getter"></a> Vráti poradové číslo vrstvy kreslenia,
			 * v ktorej je umiestnený tento robot.
			 * <!-- TODO – pre istotu overiť nasledujúce informácie
			 * a prípadne vyrobiť príklad použitia. -->
			 * Predvolené číslo vrstvy je {@code num0}. Stúpajúca hodnota
			 * čísla vrstvy znamená neskoršie kreslenie, čiže „zobrazenie
			 * viac v popredí“. Robot s vyšším číslom vrstvy bude nakreslený
			 * neskôr, čo znamená, že bude vizuálne prekrývať robotov
			 * s nižšími číslami vrstiev.
			 * 
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @return celé číslo určujúce poradové číslo vrstvy kreslenia
			 *     pre tohto robota
			 */
			public int vrstva()
			{
				return vrstva;
			}

			/**
			 * Presunie tohto robota do popredia s ohľadom na umiestnenie
			 * robotov do vrstiev. Technicky to znamená, že robot bude
			 * umiestnený na koniec vnútorného zoznamu robotov. Poradie
			 * umiestnenia robotov v tomto zozname ovplyvňuje poradie kreslenia
			 * robotov nachádzajúcich sa v spoločnej vrstve. Pri štandardnom
			 * spracovaní pomocou {@linkplain #vyzviRobotov(int) výzvy} treba
			 * počítať s tým, že tento robot bude odteraz vyzývaný ako posledný
			 * (bez ohľadu na umiestnenie do vrstiev).
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @see #naSpodok()
			 * @see #vyššie()
			 * @see #nižšie()
			 * @see #pred(GRobot)
			 * @see #za(GRobot)
			 * @see #jePred(GRobot)
			 * @see #jeZa(GRobot)
			 */
			public void naVrch()
			{
				if (zoznamRobotov.size() <= 1) return;
				synchronized (zámokUdalostí)
				{
					int index = zoznamRobotov.indexOf(this);
					Vrstva.vymaž(index, zoznamRobotov.size() - 1);
					zoznamRobotov.remove(this);
					zoznamRobotov.add(this);
					Vrstva.vlož(index, zoznamRobotov.size() - 1);
				}
				zoznamZmenený2 = zoznamZmenený1 = true;
				if (viditeľný) automatickéPrekreslenie();
			}

			/**
			 * Presunie tohto robota do pozadia s ohľadom na umiestnenie
			 * robotov do vrstiev. Technicky to znamená, že robot bude
			 * umiestnený na začiatok vnútorného zoznamu robotov. Poradie
			 * umiestnenia robotov v tomto zozname ovplyvňuje poradie kreslenia
			 * robotov nachádzajúcich sa v spoločnej vrstve. Pri štandardnom
			 * spracovaní pomocou {@linkplain #vyzviRobotov(int) výzvy} treba
			 * počítať s tým, že tento robot bude odteraz vyzývaný ako prvý
			 * (bez ohľadu na umiestnenie do vrstiev).
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @see #naVrch()
			 * @see #vyššie()
			 * @see #nižšie()
			 * @see #pred(GRobot)
			 * @see #za(GRobot)
			 * @see #jePred(GRobot)
			 * @see #jeZa(GRobot)
			 */
			public void naSpodok()
			{
				if (zoznamRobotov.size() <= 1) return;
				synchronized (zámokUdalostí)
				{
					int index = zoznamRobotov.indexOf(this);
					Vrstva.vymaž(0, index);
					zoznamRobotov.remove(this);
					zoznamRobotov.add(0, this);
					Vrstva.vlož(0, index);
				}
				zoznamZmenený2 = zoznamZmenený1 = true;
				if (viditeľný) automatickéPrekreslenie();
			}

			/**
			 * Presunie tohto robota o úroveň vyššie v rámci poradia kreslenia
			 * robotov s ohľadom na umiestnenie robotov do vrstiev. Technicky
			 * to znamená to, že robot bude umiestnený o jeden prvok ďalej
			 * v rámci vnútorného zoznamu robotov. Poradie umiestnenia robotov
			 * v tomto zozname ovplyvňuje poradie kreslenia robotov
			 * nachádzajúcich sa v spoločnej vrstve. Pri štandardnom spracovaní
			 * pomocou {@linkplain #vyzviRobotov(int) výzvy} to bude znamenať,
			 * že tento robot bude odteraz vyzývaný o niečo neskôr
			 * (poradie vyzývania nesúvisí s umiestnením robotov do vrstiev).
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @see #naVrch()
			 * @see #naSpodok()
			 * @see #nižšie()
			 * @see #pred(GRobot)
			 * @see #za(GRobot)
			 * @see #jePred(GRobot)
			 * @see #jeZa(GRobot)
			 */
			public void vyššie()
			{
				if (zoznamRobotov.size() <= 1) return;
				int indexOf = zoznamRobotov.indexOf(this);
				if (-1 == indexOf || indexOf + 1 >=
					zoznamRobotov.size()) return;
				synchronized (zámokUdalostí)
				{
					GRobot r = zoznamRobotov.get(indexOf + 1);
					Vrstva.vymaž(r); Vrstva.vymaž(this);
					zoznamRobotov.set(indexOf + 1,
						zoznamRobotov.get(indexOf));
					zoznamRobotov.set(indexOf, r);
					Vrstva.vlož(r); Vrstva.vlož(this);
				}
				zoznamZmenený2 = zoznamZmenený1 = true;
				if (viditeľný) automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #vyššie() vyššie}. */
			public void vyssie() { vyššie(); }

			/**
			 * Presunie tohto robota o úroveň nižšie v rámci poradia kreslenia
			 * robotov s ohľadom na umiestnenie robotov do vrstiev. Technicky
			 * to znamená to, že robot bude umiestnený o jeden prvok skôr
			 * v rámci vnútorného zoznamu robotov. Poradie umiestnenia robotov
			 * v tomto zozname ovplyvňuje poradie kreslenia robotov
			 * nachádzajúcich sa v spoločnej vrstve. Pri štandardnom spracovaní
			 * pomocou {@linkplain #vyzviRobotov(int) výzvy} to bude znamenať,
			 * že tento robot bude odteraz vyzývaný o niečo skôr
			 * (poradie vyzývania nesúvisí s umiestnením robotov do vrstiev).
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @see #naVrch()
			 * @see #naSpodok()
			 * @see #vyššie()
			 * @see #pred(GRobot)
			 * @see #za(GRobot)
			 * @see #somPred(GRobot)
			 * @see #somZa(GRobot)
			 */
			public void nižšie()
			{
				if (zoznamRobotov.size() <= 1) return;
				int indexOf = zoznamRobotov.indexOf(this);
				if (indexOf - 1 <= 0) return;
				synchronized (zámokUdalostí)
				{
					GRobot r = zoznamRobotov.get(indexOf - 1);
					Vrstva.vymaž(r); Vrstva.vymaž(this);
					zoznamRobotov.set(indexOf - 1,
						zoznamRobotov.get(indexOf));
					zoznamRobotov.set(indexOf, r);
					Vrstva.vlož(r); Vrstva.vlož(this);
				}
				zoznamZmenený2 = zoznamZmenený1 = true;
				if (viditeľný) automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #nižšie() nižšie}. */
			public void nizsie() { nižšie(); }

			/**
			 * Presunie tohto robota pred zadaného robota (z pohľadu
			 * zoradenia robotov vo vnútornom zozname, pričom umiestnenie
			 * robotov do vrstiev zostane neovplyvnené). Technicky to znamená,
			 * že tento robot bude vo vnútornom zozname robotov umiestnený
			 * „za“ zadaného robota, to jest – jeho poradové číslo v zozname
			 * robotov bude vyššie.
			 * Poradie umiestnenia robotov v tomto zozname ovplyvňuje
			 * poradie kreslenia robotov nachádzajúcich sa v spoločnej vrstve,
			 * pričom roboty s nižším poradovým číslom sú kreslené skôr, preto
			 * sú v rámci jednej vrstvy zobrazené pod svojími rovesníkmi.
			 * Pri štandardnom spracovaní pomocou {@linkplain
			 * #vyzviRobotov(int) výzvy} bude tento robot odteraz vyzývaný
			 * tesne po zadanom robotovi
			 * (poradie vyzývania nesúvisí s umiestnením robotov do vrstiev).
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param ktorého  robot, pred ktorého má byť tento robot
			 *      posunutý
			 * 
			 * @see #naVrch()
			 * @see #naSpodok()
			 * @see #vyššie()
			 * @see #nižšie()
			 * @see #za(GRobot)
			 * @see #somPred(GRobot)
			 * @see #somZa(GRobot)
			 */
			public void pred(GRobot ktorého)
			{
				if (zoznamRobotov.size() <= 1 || ktorého == this) return;
				synchronized (zámokUdalostí)
				{
					int index1 = zoznamRobotov.indexOf(this),
						index2 = zoznamRobotov.indexOf(ktorého);
					if (-1 == index2) index2 = zoznamRobotov.size() - 1;
					Vrstva.vymaž(index1, index2);

					zoznamRobotov.remove(this);
					int indexOf = zoznamRobotov.indexOf(ktorého);
					if (-1 == indexOf) indexOf = zoznamRobotov.size();
					zoznamRobotov.add(indexOf + 1, this);

					Vrstva.vlož(index1, index2);
				}
				zoznamZmenený2 = zoznamZmenený1 = true;
				if (viditeľný) automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #pred(GRobot) pred}. */
			public void nad(GRobot ktorého) { pred(ktorého); }

			/**
			 * Presunie tohto robota za zadaného robota (z pohľadu zoradenia
			 * robotov vo vnútornom zozname robotov, pričom umiestnenie
			 * robotov do vrstiev zostane neovplyvnené). Technicky to znamená,
			 * že tento robot bude vo vnútornom zozname robotov umiestnený
			 * „pred“ zadaného robota, to jest – jeho poradové číslo v zozname
			 * robotov bude nižšie.
			 * Poradie umiestnenia robotov v tomto zozname ovplyvňuje poradie
			 * kreslenia robotov nachádzajúcich sa v spoločnej vrstve, pričom
			 * roboty s nižším poradovým číslom sú kreslené skôr, preto sú
			 * v rámci jednej vrstvy zobrazené pod svojími rovesníkmi. Pri
			 * štandardnom spracovaní pomocou {@linkplain #vyzviRobotov(int)
			 * výzvy} bude tento robot odteraz vyzývaný skôr, než zadaný robot
			 * (poradie vyzývania nesúvisí s umiestnením robotov do vrstiev).
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param ktorého  robot, za ktorého má byť tento robot
			 *      umiestnený
			 * 
			 * @see #naVrch()
			 * @see #naSpodok()
			 * @see #vyššie()
			 * @see #nižšie()
			 * @see #pred(GRobot)
			 * @see #za(GRobot)
			 * @see #somPred(GRobot)
			 * @see #somZa(GRobot)
			 */
			public void za(GRobot ktorého)
			{
				if (zoznamRobotov.size() <= 1 || ktorého == this) return;
				synchronized (zámokUdalostí)
				{
					int index1 = zoznamRobotov.indexOf(this),
						index2 = zoznamRobotov.indexOf(ktorého);
					if (-1 == index2) index2 = 0;
					Vrstva.vymaž(index1, index2);

					zoznamRobotov.remove(this);
					int indexOf = zoznamRobotov.indexOf(ktorého);
					if (-1 == indexOf) indexOf = 0;
					zoznamRobotov.add(indexOf, this);

					Vrstva.vlož(index1, index2);
				}
				zoznamZmenený2 = zoznamZmenený1 = true;
				if (viditeľný) automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #za(GRobot) za}. */
			public void pod(GRobot ktorého) { za(ktorého); }

			/**
			 * Overí, či je tento robot pred zadaným robotom. S ohľadom na
			 * umiestnenie robotov do vrstiev to nemusí nevyhnutne znamenať,
			 * že tento robot bude skutočne nakreslený pred zadaným robotom.
			 * Ak chcete overiť skutočné poradie zobrazovania, porovnajte
			 * najskôr hodnoty umiestnenia robotov vo {@linkplain
			 * GRobot#vrstva() vrstvách}.
			 * Metóda vráti {@code valtrue} pre všetkých robotov, ktorí sú
			 * technicky umiestnení za týmto robotom (to znamená, že sú vo
			 * vnútornom zozname robotov na pozícii s nižším poradovým číslom).
			 * Metóda berie do úvahy aj skrytých robotov.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param ktorým  robot, voči ktorému má overená poloha tohto
			 *      robota
			 *  @return {@code valtrue} ak je tento robot umiestnený nad
			 *      určeným robotom, inak {@code valfalse}
			 * 
			 * @see #naVrch()
			 * @see #naSpodok()
			 * @see #vyššie()
			 * @see #nižšie()
			 * @see #pred(GRobot)
			 * @see #za(GRobot)
			 * @see #somZa(GRobot)
			 */
			public boolean somPred(GRobot ktorým)
			{
				if (this == ktorým) return false;
				for (GRobot r : zoznamRobotov)
				{
					if (r == this) return false;
					if (r == ktorým) return true;
				}
				return false;
			}

			/** <a class="alias"></a> Alias pre {@link #somPred(GRobot) somPred}. */
			public boolean somNad(GRobot ktorým) { return somPred(ktorým); }

			/** <a class="alias"></a> Alias pre {@link #somPred(GRobot) somPred}. */
			public boolean jeZa(GRobot ktorý) { return somPred(ktorý); }

			/** <a class="alias"></a> Alias pre {@link #somPred(GRobot) somPred}. */
			public boolean jePod(GRobot ktorý) { return somPred(ktorý); }

			/**
			 * Overí, či je tento robot za zadaným robotom. S ohľadom na
			 * umiestnenie robotov do vrstiev to nemusí nevyhnutne znamenať,
			 * že tento robot bude skutočne nakreslený za zadaným robotom.
			 * Ak chcete overiť skutočné poradie zobrazovania, porovnajte
			 * najskôr hodnoty umiestnenia robotov vo {@linkplain
			 * GRobot#vrstva() vrstvách}.
			 * Metóda vráti {@code valtrue} pre všetkých robotov, ktorí sú
			 * technicky umiestnení pred týmto robotom (to znamená, že sú vo
			 * vnútornom zozname robotov na pozícii s vyšším poradovým číslom).
			 * Metóda berie do úvahy aj skrytých robotov.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param ktorým  robot, voči ktorému má overená poloha tohto
			 *      robota
			 *  @return {@code valtrue} ak je tento robot umiestnený pod
			 *      určeným robotom, inak {@code valfalse}
			 * 
			 * @see #naVrch()
			 * @see #naSpodok()
			 * @see #vyššie()
			 * @see #nižšie()
			 * @see #pred(GRobot)
			 * @see #za(GRobot)
			 * @see #somPred(GRobot)
			 */
			public boolean somZa(GRobot ktorým)
			{
				if (this == ktorým) return false;
				for (GRobot r : zoznamRobotov)
				{
					if (r == this) return true;
					if (r == ktorým) return false;
				}
				return false;
			}

			/** <a class="alias"></a> Alias pre {@link #somZa(GRobot) somZa}. */
			public boolean somPod(GRobot ktorým) { return somZa(ktorým); }

			/** <a class="alias"></a> Alias pre {@link #somZa(GRobot) somZa}. */
			public boolean jePred(GRobot ktorý) { return somZa(ktorý); }

			/** <a class="alias"></a> Alias pre {@link #somZa(GRobot) somZa}. */
			public boolean jeNad(GRobot ktorý) { return somZa(ktorý); }


		// Spojnice

			/**
			 * Vráti inštanciu jestvujúcej spojnice medzi týmto a zadaným
			 * robotom alebo vráti hodnotu {@code valnull}, ak spojnica
			 * nejestvuje.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský (cieľový) robot medzi ktorým má byť
			 *      hľadaná jestvujúca spojnica
			 *  @return jestvujúca {@linkplain Spojnica inštancia spojnice}
			 *      alebo {@code valnull}
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica dajSpojnicu(GRobot cieľ)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
					if (s.cieľ == cieľ) return s;

				return null;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať
			 * aktuálnu farbu a hrúbku (aj typ) čiary tohto robota, ak
			 * spojnica medzi týmto a zadaným robotom jestvuje, jej farba
			 * a hrúbka (aj typ) čiary sa aktualizujú podľa zdrojového robota.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Vo verzii 1.75 pribudli nové vlastnosti orezávania začiatku
			 * a konca spojníc. Všetky verzie metódy <code>spojnica</code>,
			 * ktoré neobsahujú parametre {@code orezanieZačiatku}
			 * a {@code orezanieKonca} rušia oblasti orezania začiatku a konca
			 * spojnice, čo je v súlade s doterajším správaním metód
			 * slúžiacich na vytváranie alebo aktualizáciu vlastností spojníc.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						s.farba = farbaRobota;
						s.čiara = čiara;
						s.orezanieZačiatku = null;
						s.orezanieKonca = null;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(farbaRobota,
					čiara, this, cieľ, null, null);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať zadanú
			 * hrúbku čiary a aktuálnu farbu tohto robota (typ čiary bude
			 * predvolený – súvislá čiara). Ak spojnica jestvuje, hrúbka čiary
			 * sa aktualizuje zadanou hodnotou (typ bude opäť predvolený –
			 * súvislá čiara) a farba sa aktualizuje podľa aktuálnej farby
			 * tohto robota.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Vo verzii 1.75 pribudli nové vlastnosti orezávania začiatku
			 * a konca spojníc. Všetky verzie metódy <code>spojnica</code>,
			 * ktoré neobsahujú parametre {@code orezanieZačiatku}
			 * a {@code orezanieKonca} rušia oblasti orezania začiatku a konca
			 * spojnice, čo je v súlade s doterajším správaním metód
			 * slúžiacich na vytváranie alebo aktualizáciu vlastností spojníc.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať zápornú hodnotu hrúbky čiary, čo značí automatický
			 * štýl čiary spojnice určený podľa aktuálneho štýlu čiary
			 * zdrojového robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param hrúbka hrúbka čiary spojnice
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @throws GRobotException  ak je hrúbka čiary záporná
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, double hrúbka)
			{
				if (null == cieľ || this == cieľ) return null;

				if (hrúbka < 0) throw new GRobotException(
					"Hrúbka čiary nesmie byť záporná!", "negativeLineWidth",
					new IllegalArgumentException());

				Stroke čiara = (hrúbka < 0) ? null : new BasicStroke(
					(float)hrúbka, BasicStroke.CAP_ROUND,
					BasicStroke.JOIN_ROUND);

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						s.farba = farbaRobota;
						s.čiara = čiara;
						s.orezanieZačiatku = null;
						s.orezanieKonca = null;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(farbaRobota,
					čiara, this, cieľ, null, null);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať zadanú
			 * farbu čiary a hrúbku (aj typ) čiary podľa aktuálneho
			 * nastavenia tohto robota. Ak spojnica jestvuje, jej farba sa
			 * aktualizuje zadanou hodnotou a hrúbka čiary sa aktualizuje
			 * podľa aktuálnej hrúbky (a typu) čiary tohto robota.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Vo verzii 1.75 pribudli nové vlastnosti orezávania začiatku
			 * a konca spojníc. Všetky verzie metódy <code>spojnica</code>,
			 * ktoré neobsahujú parametre {@code orezanieZačiatku}
			 * a {@code orezanieKonca} rušia oblasti orezania začiatku a konca
			 * spojnice, čo je v súlade s doterajším správaním metód
			 * slúžiacich na vytváranie alebo aktualizáciu vlastností spojníc.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať namiesto konkrétnej farby hodnotu {@code valnull},
			 * čo značí automatickú farbu podľa aktuálnej hodnoty zdrojového
			 * robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param farba farba čiary spojnice (argument musí byť objekt
			 *      typu {@link java.awt.Color Color} alebo potomok)
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, Color farba)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						if (null == farba)
							s.farba = null;
						else if (farba instanceof Farba)
							s.farba = (Farba)farba;
						else
							s.farba = new Farba(farba);
						s.čiara = čiara;
						s.orezanieZačiatku = null;
						s.orezanieKonca = null;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(farba,
					čiara, this, cieľ, null, null);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať zadanú
			 * hrúbku a farbu čiary (typ čiary bude predvolený – súvislá
			 * čiara). Ak spojnica jestvuje, hrúbka a farba čiary sa
			 * aktualizujú zadanými hodnotami (typ bude opäť predvolený –
			 * súvislá čiara).
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Vo verzii 1.75 pribudli nové vlastnosti orezávania začiatku
			 * a konca spojníc. Všetky verzie metódy <code>spojnica</code>,
			 * ktoré neobsahujú parametre {@code orezanieZačiatku}
			 * a {@code orezanieKonca} rušia oblasti orezania začiatku a konca
			 * spojnice, čo je v súlade s doterajším správaním metód
			 * slúžiacich na vytváranie alebo aktualizáciu vlastností spojníc.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať zápornú hodnotu hrúbky čiary a hodnotu
			 * {@code valnull} namiesto konkrétnej farby, čo značí
			 * automatické hodnoty podľa aktuálnych vlastností zdrojového
			 * robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param hrúbka hrúbka čiary spojnice
			 *  @param farba farba čiary spojnice (argument musí byť objekt
			 *      typu {@link java.awt.Color Color} alebo potomok)
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @throws GRobotException  ak je hrúbka čiary záporná
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, double hrúbka, Color farba)
			{
				if (null == cieľ || this == cieľ) return null;

				if (hrúbka < 0) throw new GRobotException(
					"Hrúbka čiary nesmie byť záporná!", "negativeLineWidth",
					new IllegalArgumentException());

				Stroke čiara = (hrúbka < 0) ? null : new BasicStroke(
					(float)hrúbka, BasicStroke.CAP_ROUND,
					BasicStroke.JOIN_ROUND);

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						if (null == farba)
							s.farba = null;
						else if (farba instanceof Farba)
							s.farba = (Farba)farba;
						else
							s.farba = new Farba(farba);
						s.čiara = čiara;
						s.orezanieZačiatku = null;
						s.orezanieKonca = null;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(farba,
					čiara, this, cieľ, null, null);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať farbu
			 * čiary určenú zadaným objektom a hrúbku (aj typ) čiary podľa
			 * aktuálneho nastavenia tohto robota. Ak spojnica jestvuje, jej
			 * farba sa aktualizuje podľa farby zadaného objektu a hrúbka (aj
			 * typ) čiary sa aktualizuje podľa aktuálnej hrúbky čiary tohto
			 * robota.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Vo verzii 1.75 pribudli nové vlastnosti orezávania začiatku
			 * a konca spojníc. Všetky verzie metódy <code>spojnica</code>,
			 * ktoré neobsahujú parametre {@code orezanieZačiatku}
			 * a {@code orezanieKonca} rušia oblasti orezania začiatku a konca
			 * spojnice, čo je v súlade s doterajším správaním metód
			 * slúžiacich na vytváranie alebo aktualizáciu vlastností spojníc.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať namiesto konkrétneho objektu farebnosti hodnotu
			 * {@code valnull}, čo značí automatickú farbu podľa aktuálnej
			 * hodnoty zdrojového robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param objekt objekt, podľa ktorého bude určená farba čiary
			 *      spojnice
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, Farebnosť objekt)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						if (null == objekt)
							s.farba = null;
						else
							s.farba = objekt.farba();
						s.čiara = čiara;
						s.orezanieZačiatku = null;
						s.orezanieKonca = null;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(objekt.farba(),
					čiara, this, cieľ, null, null);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať zadanú
			 * hrúbku a farbu čiary podľa zadaného objektu (typ čiary bude
			 * predvolený – súvislá čiara). Ak spojnica jestvuje, hrúbka čiary
			 * sa aktualizuje zadanou hodnotou a farba sa aktualizuje podľa
			 * farby zadaného objektu (typ čiary bude opäť predvolený – súvislá
			 * čiara).
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Vo verzii 1.75 pribudli nové vlastnosti orezávania začiatku
			 * a konca spojníc. Všetky verzie metódy <code>spojnica</code>,
			 * ktoré neobsahujú parametre {@code orezanieZačiatku}
			 * a {@code orezanieKonca} rušia oblasti orezania začiatku a konca
			 * spojnice, čo je v súlade s doterajším správaním metód
			 * slúžiacich na vytváranie alebo aktualizáciu vlastností spojníc.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať zápornú hodnotu hrúbky čiary a hodnotu
			 * {@code valnull} namiesto konkrétnej inštancie farebnosti, čo
			 * značí automatické hodnoty podľa aktuálnych vlastností
			 * zdrojového robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param hrúbka hrúbka čiary spojnice
			 *  @param objekt objekt, podľa ktorého sa určí farba čiary
			 *      spojnice
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @throws GRobotException  ak je hrúbka čiary záporná
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ,
				double hrúbka, Farebnosť objekt)
			{
				if (null == cieľ || this == cieľ) return null;

				if (hrúbka < 0) throw new GRobotException(
					"Hrúbka čiary nesmie byť záporná!", "negativeLineWidth",
					new IllegalArgumentException());

				Stroke čiara = (hrúbka < 0) ? null : new BasicStroke(
					(float)hrúbka, BasicStroke.CAP_ROUND,
					BasicStroke.JOIN_ROUND);

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						if (null == objekt)
							s.farba = null;
						else
							s.farba = objekt.farba();
						s.čiara = čiara;
						s.orezanieZačiatku = null;
						s.orezanieKonca = null;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(objekt.farba(),
					čiara, this, cieľ, null, null);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať zadaný
			 * typ čiary a aktuálnu farbu tohto robota. Ak spojnica jestvuje,
			 * typ čiary sa aktualizuje podľa zadaného objektu a farba sa
			 * aktualizuje podľa aktuálnej farby tohto robota.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Vo verzii 1.75 pribudli nové vlastnosti orezávania začiatku
			 * a konca spojníc. Všetky verzie metódy <code>spojnica</code>,
			 * ktoré neobsahujú parametre {@code orezanieZačiatku}
			 * a {@code orezanieKonca} rušia oblasti orezania začiatku a konca
			 * spojnice, čo je v súlade s doterajším správaním metód
			 * slúžiacich na vytváranie alebo aktualizáciu vlastností spojníc.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať namiesto konkrétneho štýlu čiary hodnotu
			 * {@code valnull}, čo značí automatický štýl čiary spojnice
			 * určený podľa aktuálneho štýlu čiary zdrojového robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param čiara objekt určujúci typ čiary spojnice
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, Stroke čiara)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						s.farba = farbaRobota;
						s.čiara = čiara;
						s.orezanieZačiatku = null;
						s.orezanieKonca = null;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(farbaRobota,
					čiara, this, cieľ, null, null);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať zadaný
			 * typ a farbu čiary. Ak spojnica jestvuje, typ a farba čiary sa
			 * aktualizujú zadanými hodnotami.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Vo verzii 1.75 pribudli nové vlastnosti orezávania začiatku
			 * a konca spojníc. Všetky verzie metódy <code>spojnica</code>,
			 * ktoré neobsahujú parametre {@code orezanieZačiatku}
			 * a {@code orezanieKonca} rušia oblasti orezania začiatku a konca
			 * spojnice, čo je v súlade s doterajším správaním metód
			 * slúžiacich na vytváranie alebo aktualizáciu vlastností spojníc.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať hodnotu {@code valnull} namiesto konkrétneho štýlu
			 * čiary alebo farby, čo značí automatické hodnoty podľa
			 * aktuálnych vlastností zdrojového robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param čiara objekt určujúci typ čiary spojnice
			 *  @param farba farba čiary spojnice (argument musí byť objekt
			 *      typu {@link java.awt.Color Color} alebo potomok)
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, Stroke čiara, Color farba)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						if (null == farba)
							s.farba = null;
						else if (farba instanceof Farba)
							s.farba = (Farba)farba;
						else
							s.farba = new Farba(farba);
						s.čiara = čiara;
						s.orezanieZačiatku = null;
						s.orezanieKonca = null;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(farba,
					čiara, this, cieľ, null, null);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať typ
			 * a farbu čiary podľa zadaných objektov. Ak spojnica jestvuje,
			 * typ a farba čiary sa aktualizujú podľa zadaných objektov.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Vo verzii 1.75 pribudli nové vlastnosti orezávania začiatku
			 * a konca spojníc. Všetky verzie metódy <code>spojnica</code>,
			 * ktoré neobsahujú parametre {@code orezanieZačiatku}
			 * a {@code orezanieKonca} rušia oblasti orezania začiatku a konca
			 * spojnice, čo je v súlade s doterajším správaním metód
			 * slúžiacich na vytváranie alebo aktualizáciu vlastností spojníc.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať hodnotu {@code valnull} namiesto konkrétneho štýlu
			 * čiary alebo inštancie farebnosti, čo značí automatické hodnoty
			 * podľa aktuálnych vlastností zdrojového robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param čiara objekt určujúci typ čiary spojnice
			 *  @param objekt objekt, podľa ktorého sa určí farba čiary
			 *      spojnice
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ,
				Stroke čiara, Farebnosť objekt)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						if (null == objekt)
							s.farba = null;
						else
							s.farba = objekt.farba();
						s.čiara = čiara;
						s.orezanieZačiatku = null;
						s.orezanieKonca = null;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(objekt.farba(),
					čiara, this, cieľ, null, null);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať
			 * aktuálnu farbu a hrúbku (aj typ) čiary tohto robota, ak
			 * spojnica medzi týmto a zadaným robotom jestvuje, jej farba
			 * a hrúbka (aj typ) čiary sa aktualizujú podľa zdrojového robota.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Navyše budú nastavené alebo aktualizované parametre orezania
			 * začiatku a/alebo konca spojnice – posledné dva parametre
			 * ({@code orezanieZačiatku} a {@code orezanieKonca}) môžu
			 * určovať tvar oblasti orezania spojnice počas jej kreslenia.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param orezanieZačiatku tvar orezania začiatku spojnice alebo
			 *      {@code valnull} (začiatok spojnice je určený polohou
			 *      tohto, zdrojového, robota)
			 *  @param orezanieKonca tvar orezania konca spojnice alebo
			 *      {@code valnull} (koniec spojnice je určený polohou
			 *      cieľového robota – pozri parameter {@code cieľ})
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ,
				Shape orezanieZačiatku, Shape orezanieKonca)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						s.farba = farbaRobota;
						s.čiara = čiara;
						s.orezanieZačiatku = orezanieZačiatku;
						s.orezanieKonca = orezanieKonca;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(farbaRobota,
					čiara, this, cieľ, orezanieZačiatku, orezanieKonca);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať zadanú
			 * hrúbku čiary a aktuálnu farbu tohto robota (typ čiary bude
			 * predvolený – súvislá čiara). Ak spojnica jestvuje, hrúbka čiary
			 * sa aktualizuje zadanou hodnotou (typ bude opäť predvolený –
			 * súvislá čiara) a farba sa aktualizuje podľa aktuálnej farby
			 * tohto robota.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Navyše budú nastavené alebo aktualizované parametre orezania
			 * začiatku a/alebo konca spojnice – posledné dva parametre
			 * ({@code orezanieZačiatku} a {@code orezanieKonca}) môžu
			 * určovať tvar oblasti orezania spojnice počas jej kreslenia.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať zápornú hodnotu hrúbky čiary, čo značí automatický
			 * štýl čiary spojnice určený podľa aktuálneho štýlu čiary
			 * zdrojového robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param hrúbka hrúbka čiary spojnice
			 *  @param orezanieZačiatku tvar orezania začiatku spojnice alebo
			 *      {@code valnull} (začiatok spojnice je určený polohou
			 *      tohto, zdrojového, robota)
			 *  @param orezanieKonca tvar orezania konca spojnice alebo
			 *      {@code valnull} (koniec spojnice je určený polohou
			 *      cieľového robota – pozri parameter {@code cieľ})
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @throws GRobotException  ak je hrúbka čiary záporná
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, double hrúbka,
				Shape orezanieZačiatku, Shape orezanieKonca)
			{
				if (null == cieľ || this == cieľ) return null;

				if (hrúbka < 0) throw new GRobotException(
					"Hrúbka čiary nesmie byť záporná!", "negativeLineWidth",
					new IllegalArgumentException());

				Stroke čiara = (hrúbka < 0) ? null : new BasicStroke(
					(float)hrúbka, BasicStroke.CAP_ROUND,
					BasicStroke.JOIN_ROUND);

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						s.farba = farbaRobota;
						s.čiara = čiara;
						s.orezanieZačiatku = orezanieZačiatku;
						s.orezanieKonca = orezanieKonca;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(farbaRobota,
					čiara, this, cieľ, orezanieZačiatku, orezanieKonca);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať zadanú
			 * farbu čiary a hrúbku (aj typ) čiary podľa aktuálneho
			 * nastavenia tohto robota. Ak spojnica jestvuje, jej farba sa
			 * aktualizuje zadanou hodnotou a hrúbka čiary sa aktualizuje
			 * podľa aktuálnej hrúbky (a typu) čiary tohto robota.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Navyše budú nastavené alebo aktualizované parametre orezania
			 * začiatku a/alebo konca spojnice – posledné dva parametre
			 * ({@code orezanieZačiatku} a {@code orezanieKonca}) môžu
			 * určovať tvar oblasti orezania spojnice počas jej kreslenia.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať namiesto konkrétnej farby hodnotu {@code valnull},
			 * čo značí automatickú farbu podľa aktuálnej hodnoty zdrojového
			 * robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param farba farba čiary spojnice (argument musí byť objekt
			 *      typu {@link java.awt.Color Color} alebo potomok)
			 *  @param orezanieZačiatku tvar orezania začiatku spojnice alebo
			 *      {@code valnull} (začiatok spojnice je určený polohou
			 *      tohto, zdrojového, robota)
			 *  @param orezanieKonca tvar orezania konca spojnice alebo
			 *      {@code valnull} (koniec spojnice je určený polohou
			 *      cieľového robota – pozri parameter {@code cieľ})
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, Color farba,
				Shape orezanieZačiatku, Shape orezanieKonca)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						if (null == farba)
							s.farba = null;
						else if (farba instanceof Farba)
							s.farba = (Farba)farba;
						else
							s.farba = new Farba(farba);
						s.čiara = čiara;
						s.orezanieZačiatku = orezanieZačiatku;
						s.orezanieKonca = orezanieKonca;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(farba,
					čiara, this, cieľ, orezanieZačiatku, orezanieKonca);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať zadanú
			 * hrúbku a farbu čiary (typ čiary bude predvolený – súvislá
			 * čiara). Ak spojnica jestvuje, hrúbka a farba čiary sa
			 * aktualizujú zadanými hodnotami (typ bude opäť predvolený –
			 * súvislá čiara).
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Navyše budú nastavené alebo aktualizované parametre orezania
			 * začiatku a/alebo konca spojnice – posledné dva parametre
			 * ({@code orezanieZačiatku} a {@code orezanieKonca}) môžu
			 * určovať tvar oblasti orezania spojnice počas jej kreslenia.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať zápornú hodnotu hrúbky čiary a hodnotu
			 * {@code valnull} namiesto konkrétnej farby, čo značí
			 * automatické hodnoty podľa aktuálnych vlastností zdrojového
			 * robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param hrúbka hrúbka čiary spojnice
			 *  @param farba farba čiary spojnice (argument musí byť objekt
			 *      typu {@link java.awt.Color Color} alebo potomok)
			 *  @param orezanieZačiatku tvar orezania začiatku spojnice alebo
			 *      {@code valnull} (začiatok spojnice je určený polohou
			 *      tohto, zdrojového, robota)
			 *  @param orezanieKonca tvar orezania konca spojnice alebo
			 *      {@code valnull} (koniec spojnice je určený polohou
			 *      cieľového robota – pozri parameter {@code cieľ})
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @throws GRobotException  ak je hrúbka čiary záporná
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, double hrúbka, Color farba,
				Shape orezanieZačiatku, Shape orezanieKonca)
			{
				if (null == cieľ || this == cieľ) return null;

				if (hrúbka < 0) throw new GRobotException(
					"Hrúbka čiary nesmie byť záporná!", "negativeLineWidth",
					new IllegalArgumentException());

				Stroke čiara = (hrúbka < 0) ? null : new BasicStroke(
					(float)hrúbka, BasicStroke.CAP_ROUND,
					BasicStroke.JOIN_ROUND);

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						if (null == farba)
							s.farba = null;
						else if (farba instanceof Farba)
							s.farba = (Farba)farba;
						else
							s.farba = new Farba(farba);
						s.čiara = čiara;
						s.orezanieZačiatku = orezanieZačiatku;
						s.orezanieKonca = orezanieKonca;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(farba,
					čiara, this, cieľ, orezanieZačiatku, orezanieKonca);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať farbu
			 * čiary určenú zadaným objektom a hrúbku (aj typ) čiary podľa
			 * aktuálneho nastavenia tohto robota. Ak spojnica jestvuje, jej
			 * farba sa aktualizuje podľa farby zadaného objektu a hrúbka (aj
			 * typ) čiary sa aktualizuje podľa aktuálnej hrúbky čiary tohto
			 * robota.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Navyše budú nastavené alebo aktualizované parametre orezania
			 * začiatku a/alebo konca spojnice – posledné dva parametre
			 * ({@code orezanieZačiatku} a {@code orezanieKonca}) môžu
			 * určovať tvar oblasti orezania spojnice počas jej kreslenia.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať namiesto konkrétneho objektu farebnosti hodnotu
			 * {@code valnull}, čo značí automatickú farbu podľa aktuálnej
			 * hodnoty zdrojového robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param objekt objekt, podľa ktorého bude určená farba čiary
			 *      spojnice
			 *  @param orezanieZačiatku tvar orezania začiatku spojnice alebo
			 *      {@code valnull} (začiatok spojnice je určený polohou
			 *      tohto, zdrojového, robota)
			 *  @param orezanieKonca tvar orezania konca spojnice alebo
			 *      {@code valnull} (koniec spojnice je určený polohou
			 *      cieľového robota – pozri parameter {@code cieľ})
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, Farebnosť objekt,
				Shape orezanieZačiatku, Shape orezanieKonca)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						if (null == objekt)
							s.farba = null;
						else
							s.farba = objekt.farba();
						s.čiara = čiara;
						s.orezanieZačiatku = orezanieZačiatku;
						s.orezanieKonca = orezanieKonca;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(objekt.farba(),
					čiara, this, cieľ, orezanieZačiatku, orezanieKonca);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať zadanú
			 * hrúbku a farbu čiary podľa zadaného objektu (typ čiary bude
			 * predvolený – súvislá čiara). Ak spojnica jestvuje, hrúbka čiary
			 * sa aktualizuje zadanou hodnotou a farba sa aktualizuje podľa
			 * farby zadaného objektu (typ čiary bude opäť predvolený – súvislá
			 * čiara).
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Navyše budú nastavené alebo aktualizované parametre orezania
			 * začiatku a/alebo konca spojnice – posledné dva parametre
			 * ({@code orezanieZačiatku} a {@code orezanieKonca}) môžu
			 * určovať tvar oblasti orezania spojnice počas jej kreslenia.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať zápornú hodnotu hrúbky čiary a hodnotu
			 * {@code valnull} namiesto konkrétnej inštancie farebnosti, čo
			 * značí automatické hodnoty podľa aktuálnych vlastností
			 * zdrojového robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param hrúbka hrúbka čiary spojnice
			 *  @param objekt objekt, podľa ktorého sa určí farba čiary
			 *      spojnice
			 *  @param orezanieZačiatku tvar orezania začiatku spojnice alebo
			 *      {@code valnull} (začiatok spojnice je určený polohou
			 *      tohto, zdrojového, robota)
			 *  @param orezanieKonca tvar orezania konca spojnice alebo
			 *      {@code valnull} (koniec spojnice je určený polohou
			 *      cieľového robota – pozri parameter {@code cieľ})
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @throws GRobotException  ak je hrúbka čiary záporná
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, double hrúbka,
				Farebnosť objekt, Shape orezanieZačiatku, Shape orezanieKonca)
			{
				if (null == cieľ || this == cieľ) return null;

				if (hrúbka < 0) throw new GRobotException(
					"Hrúbka čiary nesmie byť záporná!", "negativeLineWidth",
					new IllegalArgumentException());

				Stroke čiara = (hrúbka < 0) ? null : new BasicStroke(
					(float)hrúbka, BasicStroke.CAP_ROUND,
					BasicStroke.JOIN_ROUND);

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						if (null == objekt)
							s.farba = null;
						else
							s.farba = objekt.farba();
						s.čiara = čiara;
						s.orezanieZačiatku = orezanieZačiatku;
						s.orezanieKonca = orezanieKonca;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(objekt.farba(),
					čiara, this, cieľ, orezanieZačiatku, orezanieKonca);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať zadaný
			 * typ čiary a aktuálnu farbu tohto robota. Ak spojnica jestvuje,
			 * typ čiary sa aktualizuje podľa zadaného objektu a farba sa
			 * aktualizuje podľa aktuálnej farby tohto robota.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Navyše budú nastavené alebo aktualizované parametre orezania
			 * začiatku a/alebo konca spojnice – posledné dva parametre
			 * ({@code orezanieZačiatku} a {@code orezanieKonca}) môžu
			 * určovať tvar oblasti orezania spojnice počas jej kreslenia.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať namiesto konkrétneho štýlu čiary hodnotu
			 * {@code valnull}, čo značí automatický štýl čiary spojnice
			 * určený podľa aktuálneho štýlu čiary zdrojového robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param čiara objekt určujúci typ čiary spojnice
			 *  @param orezanieZačiatku tvar orezania začiatku spojnice alebo
			 *      {@code valnull} (začiatok spojnice je určený polohou
			 *      tohto, zdrojového, robota)
			 *  @param orezanieKonca tvar orezania konca spojnice alebo
			 *      {@code valnull} (koniec spojnice je určený polohou
			 *      cieľového robota – pozri parameter {@code cieľ})
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, Stroke čiara,
				Shape orezanieZačiatku, Shape orezanieKonca)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						s.farba = farbaRobota;
						s.čiara = čiara;
						s.orezanieZačiatku = orezanieZačiatku;
						s.orezanieKonca = orezanieKonca;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(farbaRobota,
					čiara, this, cieľ, orezanieZačiatku, orezanieKonca);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať zadaný
			 * typ a farbu čiary. Ak spojnica jestvuje, typ a farba čiary sa
			 * aktualizujú zadanými hodnotami.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Navyše budú nastavené alebo aktualizované parametre orezania
			 * začiatku a/alebo konca spojnice – posledné dva parametre
			 * ({@code orezanieZačiatku} a {@code orezanieKonca}) môžu
			 * určovať tvar oblasti orezania spojnice počas jej kreslenia.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať hodnotu {@code valnull} namiesto konkrétneho štýlu
			 * čiary alebo farby, čo značí automatické hodnoty podľa
			 * aktuálnych vlastností zdrojového robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param čiara objekt určujúci typ čiary spojnice
			 *  @param farba farba čiary spojnice (argument musí byť objekt
			 *      typu {@link java.awt.Color Color} alebo potomok)
			 *  @param orezanieZačiatku tvar orezania začiatku spojnice alebo
			 *      {@code valnull} (začiatok spojnice je určený polohou
			 *      tohto, zdrojového, robota)
			 *  @param orezanieKonca tvar orezania konca spojnice alebo
			 *      {@code valnull} (koniec spojnice je určený polohou
			 *      cieľového robota – pozri parameter {@code cieľ})
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, Stroke čiara, Color farba,
				Shape orezanieZačiatku, Shape orezanieKonca)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						if (null == farba)
							s.farba = null;
						else if (farba instanceof Farba)
							s.farba = (Farba)farba;
						else
							s.farba = new Farba(farba);
						s.čiara = čiara;
						s.orezanieZačiatku = orezanieZačiatku;
						s.orezanieKonca = orezanieKonca;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(farba,
					čiara, this, cieľ, orezanieZačiatku, orezanieKonca);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Vytvorí novú alebo upraví parametre jestvujúcej spojnice
			 * medzi týmto a zadaným robotom. Nová spojnica bude mať typ
			 * a farbu čiary podľa zadaných objektov. Ak spojnica jestvuje,
			 * typ a farba čiary sa aktualizujú podľa zadaných objektov.
			 * (Ide o spojnicu smerujúcu od tohto robota.)
			 * Navyše budú nastavené alebo aktualizované parametre orezania
			 * začiatku a/alebo konca spojnice – posledné dva parametre
			 * ({@code orezanieZačiatku} a {@code orezanieKonca}) môžu
			 * určovať tvar oblasti orezania spojnice počas jej kreslenia.
			 * 
			 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je povolené
			 * zadávať hodnotu {@code valnull} namiesto konkrétneho štýlu
			 * čiary alebo inštancie farebnosti, čo značí automatické hodnoty
			 * podľa aktuálnych vlastností zdrojového robota.)</small>
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot medzi ktorým bude vytvorená
			 *      alebo upravená jestvujúca spojnica
			 *  @param čiara objekt určujúci typ čiary spojnice
			 *  @param objekt objekt, podľa ktorého sa určí farba čiary
			 *      spojnice
			 *  @param orezanieZačiatku tvar orezania začiatku spojnice alebo
			 *      {@code valnull} (začiatok spojnice je určený polohou
			 *      tohto, zdrojového, robota)
			 *  @param orezanieKonca tvar orezania konca spojnice alebo
			 *      {@code valnull} (koniec spojnice je určený polohou
			 *      cieľového robota – pozri parameter {@code cieľ})
			 *  @return nová alebo jestvujúca {@linkplain Spojnica inštancia
			 *      spojnice}
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public Spojnica spojnica(GRobot cieľ, Stroke čiara,
				Farebnosť objekt, Shape orezanieZačiatku, Shape orezanieKonca)
			{
				if (null == cieľ || this == cieľ) return null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						if (null == objekt)
							s.farba = null;
						else
							s.farba = objekt.farba();
						s.čiara = čiara;
						s.orezanieZačiatku = orezanieZačiatku;
						s.orezanieKonca = orezanieKonca;
						automatickéPrekreslenie();
						return s;
					}
				}

				Spojnica s = new Spojnica(objekt.farba(),
					čiara, this, cieľ, orezanieZačiatku, orezanieKonca);
				spojnice.add(s);
				automatickéPrekreslenie();
				return s;
			}

			/**
			 * Skopíruje (alebo aktualizuje) všetky spojnice podľa zadaného
			 * robota. Skopírujú (aktualizujú) sa jednak spojnice, ktoré boli
			 * definované smerom k zadanému robotovi a aj spojnice definované
			 * smerom od neho.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param odKtorého robot, podľa ktorého budú vytvorené nové
			 *      (prípadne aktualizované jestvujúce) spojnice aktuálneho
			 *      robota
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public void kopírujSpojnice(GRobot odKtorého)
			{
				for (GRobot partner : zoznamRobotov)
				{
					for (int i = 0; i < partner.spojnice.size(); ++i)
					{
						Spojnica s = partner.spojnice.get(i);

						if (s.cieľ == odKtorého)
						{
							partner.spojnica(this, s.čiara, s.farba,
								s.orezanieZačiatku, s.orezanieKonca);
						}
					}
				}

				for (Spojnica s : odKtorého.spojnice)
					spojnica(s.cieľ, s.čiara, s.farba,
						s.orezanieZačiatku, s.orezanieKonca);

				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #kopírujSpojnice(GRobot) kopírujSpojnice}. */
			public void kopirujSpojnice(GRobot odKtorého)
			{ kopírujSpojnice(odKtorého); }

			/**
			 * Zruší všetky spojnice smerujúce k tomuto aj od tohto robota.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #jeSpojnica(GRobot)
			 */
			public void zrušSpojnice()
			{
				for (GRobot partner : zoznamRobotov)
				{
					for (int i = 0; i < partner.spojnice.size(); ++i)
					{
						Spojnica s = partner.spojnice.get(i);
						if (s.cieľ == this) partner.spojnice.remove(i--);
					}
				}

				spojnice.clear();
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #zrušSpojnice() zrušSpojnice}. */
			public void zrusSpojnice() { zrušSpojnice(); }

			/**
			 * Zruší jestvujúcu spojnicu medzi týmto a zadaným robotom.
			 * (Smerujúcu od tohto robota.)
			 * 
			 *  @param cieľ partnerský robot voči ktorému bude zrušená
			 *      jestvujúca spojnica
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnice()
			 *  @see #jeSpojnica(GRobot)
			 */
			public void zrušSpojnicu(GRobot cieľ)
			{
				Spojnica naZrušenie = null;

				for (Spojnica s : spojnice)
				{
					if (s.cieľ == cieľ)
					{
						naZrušenie = s;
						break;
					}
				}

				if (null != naZrušenie)
				{
					spojnice.remove(naZrušenie);
					automatickéPrekreslenie();
				}
			}

			/** <a class="alias"></a> Alias pre {@link #zrušSpojnicu(GRobot) zrušSpojnicu}. */
			public void zrusSpojnicu(GRobot cieľ) { zrušSpojnicu(cieľ); }

			/**
			 * Zistí, či medzi týmto a zadaným robotom jestvuje spojnica
			 * smerujúca od tohto robota.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param cieľ partnerský robot voči ktorému bude overená
			 *      existencia spojnice
			 * 
			 *  @see #dajSpojnicu(GRobot)
			 * 
			 *  @see #spojnica(GRobot)
			 *  @see #spojnica(GRobot, double)
			 *  @see #spojnica(GRobot, java.awt.Color)
			 *  @see #spojnica(GRobot, double, java.awt.Color)
			 *  @see #spojnica(GRobot, double, Farebnosť)
			 *  @see #spojnica(GRobot, Farebnosť)
			 *  @see #spojnica(GRobot, Stroke)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť)
			 * 
			 *  @see #spojnica(GRobot, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Shape, Shape)
			 *  @see #spojnica(GRobot, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, double, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Farebnosť, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, java.awt.Color, Shape, Shape)
			 *  @see #spojnica(GRobot, Stroke, Farebnosť, Shape, Shape)
			 * 
			 *  @see #kopírujSpojnice(GRobot)
			 *  @see #zrušSpojnicu(GRobot)
			 *  @see #zrušSpojnice()
			 */
			public boolean jeSpojnica(GRobot cieľ)
			{
				for (Spojnica s : spojnice)
					if (s.cieľ == cieľ) return true;
				return false;
			}

			/** <a class="alias"></a> Alias pre {@link #jeSpojnica(GRobot) jeSpojnica}. */
			public boolean máSpojnicu(GRobot cieľ) { return jeSpojnica(cieľ); }

			/** <a class="alias"></a> Alias pre {@link #jeSpojnica(GRobot) jeSpojnica}. */
			public boolean maSpojnicu(GRobot cieľ) { return jeSpojnica(cieľ); }


		// Veľkosť robota, kolízna oblasť a detekcia kolízií

			/**
			 * <a class="getter"></a> Zistí aktuálny rozmer robota.
			 * Veľkosť (rozmer) robota je číslo, ktoré (v základnom stave
			 * robota) vymedzuje polomer kruhového priestoru so stredom na
			 * súradniciach robota. Chápanie údaju o veľkosti môže
			 * programátor upraviť preprogramovaním súvisiacich metód.
			 * Predvolená hodnota je {@code num10.0}. Veľkosť robota sa,
			 * okrem kreslenia predvoleného tvaru robota, používa aj pri
			 * základnom spôsobe {@linkplain #koliduje(GRobot) detekcie
			 * kolízií}, používajú ju bezparametrické verzie metód
			 * {@link #dopredu() dopredu} a {@link #vzad() vzad} a má vplyv
			 * aj na kreslenie {@linkplain #vlastnýTvar(String) vlastného
			 * tvaru obrázka} (pozri aj metódu {@link #mierka() mierka}).
			 * 
			 * @return veľkosť robota
			 * 
			 * @see #veľkosť(double)
			 * @see #veľkosťDoma()
			 * @see #mierka()
			 */
			public double veľkosť() { return veľkosť; }

			/** <a class="alias"></a> Alias pre {@link #veľkosť() veľkosť}. */
			public double velkost() { return veľkosť; }

			/** <a class="alias"></a> Alias pre {@link #veľkosť() veľkosť}. */
			public double rozmer() { return veľkosť; }

			/**
			 * <a class="setter"></a> Nastaví aktuálny rozmer robota.
			 * Veľkosť (rozmer) robota je číslo, ktoré (v základnom stave
			 * robota) vymedzuje polomer kruhového priestoru so stredom na
			 * súradniciach robota. Chápanie údaju o veľkosti môže
			 * programátor upraviť preprogramovaním súvisiacich metód.
			 * Predvolená hodnota je {@code num10.0}. Veľkosť robota sa,
			 * okrem kreslenia predvoleného tvaru robota, používa aj pri
			 * základnom spôsobe {@linkplain #koliduje(GRobot) detekcie
			 * kolízií}, používajú ju bezparametrické verzie metód
			 * {@link #dopredu() dopredu} a {@link #vzad() vzad} a má vplyv
			 * aj na kreslenie {@linkplain #vlastnýTvar(String) vlastného
			 * tvaru obrázka} (pozri aj metódu {@link #mierka() mierka}).
			 * 
			 *  @param veľkosť nová veľkosť robota (mala by byť väčšia ako
			 *      nula, inak môže dôjsť k rôznym vedľajším efektom pri
			 *      používaní robota)
			 * 
			 * @see #veľkosť()
			 * @see #veľkosťDoma(Double)
			 * @see #mierka()
			 */
			public void veľkosť(double veľkosť)
			{
				this.veľkosť = veľkosť;
				if (viditeľný) automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #veľkosť(double) veľkosť}. */
			public void velkost(double veľkosť) { veľkosť(veľkosť); }

			/** <a class="alias"></a> Alias pre {@link #veľkosť(double) veľkosť}. */
			public void rozmer(double veľkosť) { veľkosť(veľkosť); }


			/**
			 * <a class="getter"></a> Zistí aktuálnu hodnotu mierky kreslenia
			 * obrázkov.
			 * Táto hodnota je prepočítavaná vnútorne. Na mierku obrázkov má
			 * vplyv aj zmena hodnoty {@linkplain #veľkosť() veľkosti robota}.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * @return mierka obrázkov
			 * @see #mierka(double)
			 * @see #veľkosť()
			 */
			public double mierka() { return veľkosť / mierkovéČíslo; }

			/**
			 * <a class="setter"></a> Upraví mierku kreslenia obrázkov.
			 * Táto hodnota je prepočítavaná vnútorne. Na mierku obrázkov má
			 * vplyv aj zmena hodnoty {@linkplain #veľkosť() veľkosti robota}.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * @param mierka nová mierka obrázkov
			 * @see #mierka()
			 * @see #veľkosť()
			 */
			public void mierka(double mierka)
			{
				mierkovéČíslo = veľkosť / mierka;
				automatickéPrekreslenie();
			}


			/**
			 * <a class="getter"></a> Vráti objekt aktívnej kolíznej oblasti
			 * tohto robota alebo {@code valnull}, ak oblasť nebola definovaná.
			 * Pre viac informácií pozrite setter vlastnosti {@link
			 * #kolíznaOblasť(Shape) kolíznaOblasť}.
			 * 
			 *  @return objekt typu {@link Oblasť Oblasť} alebo
			 *      {@code valnull}
			 */
			public Oblasť kolíznaOblasť() { return kolíznaOblasť; }

			/** <a class="alias"></a> Alias pre {@link #kolíznaOblasť() kolíznaOblasť}. */
			public Oblast koliznaOblast() { return new Oblast(kolíznaOblasť); }

			/* cancelled *
			 * <a class="setter"></a> Definuje kolíznu oblasť, ktorú bude od tohto okamihu
			 * využívať robot na detekciu kolízií pomocou metódy {@link
			 * #koliduje(GRobot) koliduje}. Použitie kolíznej oblasti je
			 * v rozpoznávaní kolízií presnejšie, ale značne pomalšie než
			 * predvolený spôsob detekcie kolízií (kružnicami; pozri metódu
			 * {@link #koliduje(GRobot) koliduje}). Ak chcete kolíznu oblasť
			 * zrušiť, tak buď zadajte namiesto argumentu tejto metódy hodnotu
			 * {@code (Oblasť)}{@code valnull}, alebo zavolajte metódu
			 * {@link #zrušKolíznuOblasť() zrušKolíznuOblasť}.
			 * 
			 * <P>Podrobnosti o spôsobe detekcie kolízií a význame kolíznej
			 * oblasti nájdete v opise metódy {@link #koliduje(GRobot)
			 * koliduje}.
			 * 
			 *  @param kolíznaOblasť objekt typu {@link Area Area} (resp.
			 *      odvodeného typu {@link Oblasť Oblasť}) alebo pretypovaná
			 *      hodnota {@code (Area)}{@code valnull} (resp. {@code
			 *      (Oblasť)}{@code valnull})
			 * /
			public void kolíznaOblasť(Area kolíznaOblasť)
			{
				if (null == kolíznaOblasť)
				{
					this.kolíznaOblasť = null;
				}
				else if (kolíznaOblasť instanceof Oblasť)
				{
					this.kolíznaOblasť = (Oblasť)kolíznaOblasť;
				}
				else
				{
					this.kolíznaOblasť = new Oblasť(kolíznaOblasť);
				}
			}

			/* * <a class="alias"></a> Alias pre {@link #kolíznaOblasť(Oblasť) kolíznaOblasť}. * /
			public void koliznaOblast(Area kolíznaOblasť)
			{ kolíznaOblasť(kolíznaOblasť); }*/


			/**
			 * <a class="setter"></a> Pomocou zadaného tvaru definuje novú
			 * kolíznu oblasť, ktorú bude od tohto okamihu využívať robot na
			 * detekciu kolízií s pomocou metódy {@link #koliduje(GRobot)
			 * koliduje}.
			 * Použitie kolíznej oblasti je v rozpoznávaní kolízií presnejšie,
			 * ale značne pomalšie než predvolený spôsob detekcie kolízií
			 * (kružnicami; pozri metódu {@link #koliduje(GRobot) koliduje}).
			 * Ak chcete kolíznu oblasť zrušiť, tak buď zadajte namiesto
			 * argumentu tejto metódy hodnotu {@code valnull},
			 * alebo zavolajte metódu {@link #zrušKolíznuOblasť()
			 * zrušKolíznuOblasť}.
			 * 
			 * <P>Podrobnosti o spôsobe detekcie kolízií a význame kolíznej
			 * oblasti nájdete v opise metódy {@link #koliduje(GRobot)
			 * koliduje}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param podľaTvaru objekt typu {@link Shape Shape} (resp.
			 *      {@link Area Area} alebo {@link Oblasť Oblasť}) alebo
			 *      hodnota {@code valnull}
			 */
			public void kolíznaOblasť(Shape podľaTvaru)
			{
				if (null == podľaTvaru)
				{
					kolíznaOblasť = null;
				}
				else if (podľaTvaru instanceof Oblasť)
				{
					kolíznaOblasť = (Oblasť)podľaTvaru;
				}
				else
				{
					kolíznaOblasť = new Oblasť(podľaTvaru);
				}
			}

			/** <a class="alias"></a> Alias pre {@link #kolíznaOblasť(Shape) kolíznaOblasť}. */
			public void koliznaOblast(Shape podľaTvaru)
			{ kolíznaOblasť(podľaTvaru); }

			/**
			 * <a class="setter"></a> Zruší kolíznu oblasť. Od tohto okamihu
			 * budú kolízie vyhodnocované predvoleným spôsobom – pozri opisy
			 * metód {@link #kolíznaOblasť(Shape) kolíznaOblasť}
			 * a {@link #koliduje(GRobot) koliduje}.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 */
			public void zrušKolíznuOblasť() { kolíznaOblasť = null; }

			/** <a class="alias"></a> Alias pre {@link #zrušKolíznuOblasť() zrušKolíznuOblasť}. */
			public void zrusKoliznuOblast() { kolíznaOblasť = null; }

			/**
			 * Zistí, či tento a zadaný robot vzájomne „kolidujú“, t. j. či
			 * nastala ich vzájomná „zrážka“ alebo nie. Overenie tejto
			 * situácie nie je jednoduchá a priamočiara záležitosť.
			 * Najjednoduchší (a výpočtovo najrýchlejší) spôsob je zistiť
			 * ich vzájomnú vzdialenosť, ktorá ak klesne pod určitú hranicu
			 * (v tomto prípade sa berie do úvahy súčet
			 * {@linkplain #veľkosť(double) veľkostí} oboch robotov), tak to
			 * bude vyhodnotené ako kolízia. V praxi tento prístup vytvorí
			 * efekt „neviditeľných kruhových bublín“ okolo stredov obidvoch
			 * robotov, ktorých „stret“ (čiatočné prekrytie) znamená kolíziu:
			 * 
			 * <image>kolizia-1.png</image>Dva roboty na kolíznom kurze
			 * a pri kolízii<br /><small>(šedé kružnice sú ilustračné –
			 * v podstate označujú<br />neviditeľné bubliny, o ktorých sa
			 * píše vyššie)</small>
			 * 
			 * <P><b>Príklad:</b>
			 * 
			 * <P>V nasledujúcom príklade sú inicializovaní modrý a tyrkysový
			 * robot, v rámci čoho sú nasmerovaní na kolízny kurz zo svojej 
			 * (novej) domovskej pozície. Po zrážke sa vrátia späť na domovskú
			 * pozíciu a celý cyklus sa zopakuje.
			 * 
			 * <pre CLASS="example">
				{@code comm// Inicializácia modrého robota}
				{@code kwdprivate} {@code kwdfinal} {@code kwdstatic} {@link GRobot GRobot} modrý = {@code kwdnew} {@link GRobot#GRobot() GRobot}()
				{{
					{@link #zdvihniPero() zdvihniPero}();
					{@link #farba(java.awt.Color) farba}({@link #modrá modrá});
					{@link #veľkosť(double) veľkosť}({@code num20});
					{@link #domov(double, double, double) domov}({@code num40}, {@code num35}, {@code num200});
					{@link #rýchlosť(double) rýchlosť}({@code num10});
				}};

				{@code comm// Inicializácia tyrkysového robota}
				{@code kwdprivate} {@code kwdfinal} {@code kwdstatic} {@link GRobot GRobot} tyrkysový = {@code kwdnew} {@link GRobot#GRobot() GRobot}()
				{{
					{@link #zdvihniPero() zdvihniPero}();
					{@link #farba(java.awt.Color) farba}({@link #tyrkysová tyrkysová});
					{@link #veľkosť(double) veľkosť}({@code num15});
					{@link #domov(double, double, double) domov}(&#45;{@code num40}, &#45;{@code num35}, {@code num80});
					{@link #rýchlosť(double) rýchlosť}({@code num10});
				}};

				{@code comm// Konštruktor hlavnej triedy}
				{@code kwdprivate} HlavnáTrieda()
				{
					{@link #skry() skry}();
					{@link #aktivuj() aktivuj}();
				}

				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link #aktivita() aktivita}()
				{
					{@code comm// Detekcia kolízií modrého a tyrkysového robota}
					{@code comm// v reakcii na aktivitu v hlavnej triede}
					{@code kwdif} (modrý.{@code currkoliduje}(tyrkysový))
					{
						{@link Svet Svet}.{@link Svet#pípni() pípni}();
						modrý.{@link #domov() domov}();
						tyrkysový.{@link #domov() domov}();
					}
				}
				</pre>
			 * 
			 * <P><b>Výsledok:</b>
			 * <image>kolizia-1.gif</image>Animácia príkladu
			 * 
			 * <P> 
			 * <P>Tento základný prístup však nemusí vždy vyhovovať. Ak chceme
			 * dosiahnuť presné zistenie kolízie, musíme zvoliť iný spôsob.
			 * Roboty podporujú určenie {@linkplain #kolíznaOblasť(Shape)
			 * kolíznej oblasti}. Zistenie stretu dvoch robotov pomocou
			 * {@linkplain Oblasť oblastí} je <i>presné, ale náročnejšie na
			 * výpočet</i>, takže je zároveň aj pomalšie. Použitie kolíznych
			 * oblastí je potrebné vopred dobre zvážiť. Odporúčame ich
			 * používať veľmi obozretne – v menšej miere. Rozhodne nie pre
			 * veľké množstvo naraz jestvujúcich potenciálne kolidujúcich
			 * robotov.
			 * 
			 * <P>Ďalším spôsobom zistenia kolízie môže byť overenie, či sa
			 * určitý bod (napríklad robot, resp. jeho poloha) nachádza
			 * v sledovanom útvare –
			 * {@linkplain #bodVKruhu(Poloha, double) kruhu},
			 * {@linkplain #bodVElipse(Poloha, double, double) elipse},
			 * {@linkplain #bodVoŠtvorci(Poloha, double) štvorci},
			 * {@linkplain #bodVObdĺžniku(Poloha, double, double) obdĺžniku},
			 * {@linkplain #bodVCeste(Poloha) ceste},
			 * {@linkplain #bodVOblasti(Poloha, Area) oblasti},
			 * {@linkplain #bodVTvare(Poloha, Shape) tvare}…
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param iný iný robot, ktorého vzájomnú kolíziu s týmto robotom
			 *      chceme otestovať
			 */
			public boolean koliduje(GRobot iný)
			{
				if (null == kolíznaOblasť && null == iný.kolíznaOblasť)
				{
					final double Σr = veľkosť + iný.veľkosť;
					final double Δx = iný.aktuálneX - aktuálneX;
					final double Δy = iný.aktuálneY - aktuálneY;
					return Σr * Σr >= (Δx * Δx + Δy * Δy);
				}

				Area a, b;

				if (aktuálnyUhol == 90 && aktuálneX == 0 && aktuálneY == 0)
				{
					a = (null == kolíznaOblasť) ?
						new Area(new Ellipse2D.Double(
							prepočítajX(aktuálneX) - veľkosť,
							prepočítajY(aktuálneY) - veľkosť,
							2 * veľkosť, 2 * veľkosť)) :
								(Area)kolíznaOblasť.clone();
				}
				else
				{
					AffineTransform at = new AffineTransform();
					at.rotate(Math.toRadians(90 - aktuálnyUhol),
						prepočítajX(aktuálneX), prepočítajY(aktuálneY));
					at.translate(aktuálneX, -aktuálneY);
					a = kolíznaOblasť.createTransformedArea(at);
				}

				if (iný.aktuálnyUhol == 90 && iný.aktuálneX == 0 &&
					iný.aktuálneY == 0)
				{
					b = (null == iný.kolíznaOblasť) ?
						new Area(new Ellipse2D.Double(
							prepočítajX(iný.aktuálneX) - iný.veľkosť,
							prepočítajY(iný.aktuálneY) - iný.veľkosť,
							2 * iný.veľkosť, 2 * iný.veľkosť)) :
								iný.kolíznaOblasť;
				}
				else
				{
					AffineTransform at = new AffineTransform();
					at.rotate(Math.toRadians(90 - iný.aktuálnyUhol),
						prepočítajX(iný.aktuálneX), prepočítajY(iný.aktuálneY));
					at.translate(iný.aktuálneX, -iný.aktuálneY);
					b = iný.kolíznaOblasť.createTransformedArea(at);
				}

				if (a.getBounds().intersects(b.getBounds()))
				{
					a.intersect(b);
					return !a.isEmpty();
				}

				return false;
			}


		// Meranie vzdialeností

			/**
			 * Zistí, aká je vzdialenosť tohto robota od stredu súradnicovej
			 * sústavy.
			 *  @return vzdialenosť robota od stredu súradnicovej sústavy
			 *  @see #vzdialenosťOd(double, double)
			 *  @see #vzdialenosťOd(Poloha)
			 *  @see #vzdialenosťOd(Shape)
			 *  @see #vzdialenosťOdMyši()
			 *  @see Svet#vzdialenosť(Poloha)
			 */
			public double vzdialenosť()
			{
				// return Math.sqrt(Math.pow(aktuálneX, 2) +
				//	Math.pow(aktuálneY, 2));
				/*!!!
				return Math.sqrt(aktuálneX * aktuálneX +
					aktuálneY * aktuálneY);
				*/
				return Math.hypot(aktuálneX, aktuálneY);
			}

			/** <a class="alias"></a> Alias pre {@link #vzdialenosť() vzdialenosť}. */
			public double vzdialenost() { return vzdialenosť(); }

			/**
			 * Zistí vzdialenosť medzi týmto robotom a zadanými súradnicami na
			 * podlahe (strope).
			 * 
			 *  @param súradnicaBoduX  x-ová súradnica bodu
			 *  @param súradnicaBoduY  y-ová súradnica bodu
			 *  @return vzdialenosť medzi týmto robotom a zadaným bodom
			 * 
			 *  @see #vzdialenosť()
			 *  @see #vzdialenosťOd(Poloha)
			 *  @see #vzdialenosťOdMyši()
			 */
			public double vzdialenosťOd(double súradnicaBoduX, double súradnicaBoduY)
			{
				/*!!!
				return Math.sqrt(Math.pow(súradnicaBoduX - aktuálneX, 2) +
					Math.pow(súradnicaBoduY - aktuálneY, 2));
				*/
				return Math.hypot(súradnicaBoduX - aktuálneX,
					súradnicaBoduY - aktuálneY);
			}

			/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(double, double) vzdialenosťOd}. */
			public double vzdialenostOd(double súradnicaBoduX, double súradnicaBoduY)
			{ return vzdialenosťOd(súradnicaBoduX, súradnicaBoduY); }

			/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(double, double) vzdialenosťOd}. */
			public double vzdialenosťK(double súradnicaBoduX, double súradnicaBoduY)
			{
				/*!!!
				return Math.sqrt(Math.pow(súradnicaBoduX - aktuálneX, 2) +
					Math.pow(súradnicaBoduY - aktuálneY, 2));
				*/
				return Math.hypot(súradnicaBoduX - aktuálneX,
					súradnicaBoduY - aktuálneY);
			}

			/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(double, double) vzdialenosťOd}. */
			public double vzdialenostK(double súradnicaBoduX, double súradnicaBoduY)
			{ return vzdialenosťK(súradnicaBoduX, súradnicaBoduY); }

			// /**
			//  * Zistí vzdialenosť medzi týmto robotom a zadaným bodom na
			//  * podlahe (strope).
			//  * 
			//  *  @param bod  súradnice bodu v súradnicovom priestore robota
			//  *  @return vzdialenosť medzi týmto robotom a zadaným bodom
			//  * 
			//  *  @see #vzdialenosť()
			//  *  @see #vzdialenosťOd(Poloha)
			//  *  @see #vzdialenosťOdMyši()
			//  */
			// public double vzdialenosťOd(Point2D bod)
			// {
			// 	/*!!!
			// 	return Math.sqrt(Math.pow(bod.getX() - aktuálneX, 2) +
			// 		Math.pow(bod.getY() - aktuálneY, 2));
			// 	*/
			// 	return Math.hypot(bod.getX() - aktuálneX,
			// 		bod.getY() - aktuálneY);
			// }
			// 
			// /** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Point2D) vzdialenosťOd}. */
			// public double vzdialenostOd(Point2D bod)
			// { return vzdialenosťOd(bod.getX(), bod.getY()); }
			// 
			// /** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Point2D) vzdialenosťOd}. */
			// public double vzdialenosťK(Point2D bod)
			// {
			// 	/*!!!
			// 	return Math.sqrt(Math.pow(bod.getX() - aktuálneX, 2) +
			// 		Math.pow(bod.getY() - aktuálneY, 2));
			// 	*/
			// 	return Math.hypot(bod.getX() - aktuálneX,
			// 		bod.getY() - aktuálneY);
			// }
			// 
			// /** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Point2D) vzdialenosťOd}. */
			// public double vzdialenostK(Point2D bod)
			// { return vzdialenosťK(bod.getX(), bod.getY()); }

			/**
			 * Zistí vzdialenosť medzi týmto a zadaným objektom.
			 * 
			 *  @param objekt  objekt od ktorého zisťujeme vzdialenosť
			 *  @return vzdialenosť medzi týmto robotom a zadaným objektom
			 * 
			 *  @see #vzdialenosť()
			 *  @see #vzdialenosťOd(double, double)
			 *  @see #vzdialenosťOd(Poloha)
			 *  @see #vzdialenosťOd(Shape)
			 *  @see #vzdialenosťOdMyši()
			 *  @see Svet#vzdialenosť(Poloha)
			 */
			public double vzdialenosťOd(Poloha objekt)
			{
				/*!!!
				return Math.sqrt(Math.pow(iný.aktuálneX - aktuálneX, 2) +
					Math.pow(iný.aktuálneY - aktuálneY, 2));
				*/
				return Math.hypot(objekt.polohaX() - aktuálneX,
					objekt.polohaY() - aktuálneY);
			}

			/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Poloha) vzdialenosťOd}. */
			public double vzdialenostOd(Poloha objekt) { return vzdialenosťOd(objekt); }

			/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Poloha) vzdialenosťOd}. */
			public double vzdialenosťK(Poloha objekt)
			{
				/*!!!
				return Math.sqrt(Math.pow(iný.aktuálneX - aktuálneX, 2) +
					Math.pow(iný.aktuálneY - aktuálneY, 2));
				*/
				return Math.hypot(objekt.polohaX() - aktuálneX,
					objekt.polohaY() - aktuálneY);
			}

			/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Poloha) vzdialenosťOd}. */
			public double vzdialenostK(Poloha objekt) { return vzdialenosťK(objekt); }

			/**
			 * Zistí vzdialenosť medzi týmto robotom a stredom
			 * hraníc<sup>[1]</sup> zadaného tvaru.
			 * 
			 * <P><small>[1] – nejde presne o stred útvaru; je použitý
			 * najrýchlejší a najjednoduchší spôsob zistenia približného
			 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí sa
			 * jeho stred – čiže „stred hraníc“</small>
			 * 
			 *  @param tvar  tvar Javy ({@link Shape Shape}), od stredu hraníc
			 *      ktorého zisťujeme vzdialenosť
			 *  @return vzdialenosť medzi robotom a stredom hraníc zadaného
			 *      tvaru
			 * 
			 *  @see #vzdialenosť()
			 *  @see #vzdialenosťOd(Poloha)
			 *  @see #vzdialenosťOdMyši()
			 */
			public double vzdialenosťOd(Shape tvar)
			{
				Rectangle2D hranice = tvar.getBounds2D();

				/*!!!
				return Math.sqrt(Math.pow((prepočítajSpäťX(hranice.getX()) +
					hranice.getWidth() / 2) - aktuálneX, 2) +
					Math.pow((prepočítajSpäťY(hranice.getY()) -
					hranice.getHeight() / 2) - aktuálneY, 2));
				*/
				return Math.hypot(
					(prepočítajSpäťX(hranice.getX()) +
						hranice.getWidth() / 2) - aktuálneX,
					(prepočítajSpäťY(hranice.getY()) -
						hranice.getHeight() / 2) - aktuálneY);
			}

			/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Shape) vzdialenosťOd}. */
			public double vzdialenostOd(Shape tvar) { return vzdialenosťOd(tvar); }

			/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Shape) vzdialenosťOd}. */
			public double vzdialenosťK(Shape tvar)
			{
				Rectangle2D hranice = tvar.getBounds2D();

				/*!!!
				return Math.sqrt(Math.pow((prepočítajSpäťX(hranice.getX()) +
					hranice.getWidth() / 2) - aktuálneX, 2) +
					Math.pow((prepočítajSpäťY(hranice.getY()) -
					hranice.getHeight() / 2) - aktuálneY, 2));
				*/
				return Math.hypot(
					(prepočítajSpäťX(hranice.getX()) +
						hranice.getWidth() / 2) - aktuálneX,
					(prepočítajSpäťY(hranice.getY()) -
						hranice.getHeight() / 2) - aktuálneY);
			}

			/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Shape) vzdialenosťOd}. */
			public double vzdialenostK(Shape tvar) { return vzdialenosťK(tvar); }

			/**
			 * Zistí vzdialenosť medzi týmto robotom a aktuálnymi súradnicami
			 * myši.
			 * 
			 *  @return vzdialenosť medzi týmto robotom a súradnicami myši
			 * 
			 *  @see #vzdialenosť()
			 *  @see #vzdialenosťOd(Poloha)
			 *  @see Svet#vzdialenosť(Poloha)
			 */
			public double vzdialenosťOdMyši()
			{
				/*!!!
				return Math.sqrt(Math.pow(súradnicaMyšiX - aktuálneX, 2) +
					Math.pow(súradnicaMyšiY - aktuálneY, 2));
				*/
				return Math.hypot(súradnicaMyšiX - aktuálneX,
					súradnicaMyšiY - aktuálneY);
			}

			/** <a class="alias"></a> Alias pre {@link #vzdialenosťOdMyši() vzdialenosťOdMyši}. */
			public double vzdialenostOdMysi() { return vzdialenosťOdMyši(); }

			/** <a class="alias"></a> Alias pre {@link #vzdialenosťOdMyši() vzdialenosťOdMyši}. */
			public double vzdialenosťKMyši()
			{
				/*!!!
				return Math.sqrt(Math.pow(súradnicaMyšiX - aktuálneX, 2) +
					Math.pow(súradnicaMyšiY - aktuálneY, 2));
				*/
				return Math.hypot(súradnicaMyšiX - aktuálneX,
					súradnicaMyšiY - aktuálneY);
			}

			/** <a class="alias"></a> Alias pre {@link #vzdialenosťOdMyši() vzdialenosťOdMyši}. */
			public double vzdialenostKMysi() { return vzdialenosťKMyši(); }


		// Vlastný tvar robota

			/**
			 * Táto metóda je predvolene prázdna. Jej prekrytím dokážeme
			 * upraviť predvolený tvar robota. Kreslenie v tele prekrytej
			 * metódy {@code currkresliTvar} podlieha rovnakým pravidlám ako
			 * kreslenie v tele metódy
			 * {@link KreslenieTvaru KreslenieTvaru}{@code .}{@link
			 * KreslenieTvaru#kresli(GRobot) kresli}{@code (}{@link GRobot
			 * GRobot}{@code  r)}. Prekrytie tejto metódy ({@code
			 * currkresliTvar}) je síce najjednoduchší spôsob zmeny tvaru
			 * robota, ale <i>je menej efektívny</i>. <small>(V skrytosti
			 * využíva rovnaký mechanizmus ako definovanie {@linkplain
			 * KreslenieTvaru vlastného tvaru}. Pre väčšie množstvá inštancií
			 * jednej triedy odporúčame
			 * (1.) implementovať rozhranie {@link KreslenieTvaru
			 * KreslenieTvaru}, ktoré obsahuje metódu
			 * {@link KreslenieTvaru#kresli(GRobot) kresli},
			 * (2.) staticky vytvoriť jednu inštanciu z tejto implementácie
			 * (3.) a tú vzápätí využiť (napríklad v konštruktore triedy)
			 * vo volaní metódy {@link #vlastnýTvar(KreslenieTvaru)
			 * vlastnýTvar(tvar)}. Príklad je v opise rozhrania
			 * {@link KreslenieTvaru KreslenieTvaru}.)</small>
			 * 
			 * <P><b>Príklad:</b>
			 * <P>Robot s metódou {@code currkresliTvar} prekrytou
			 * nasledujúcim spôsobom bude mať tvar kružnice:
			 * <pre CLASS="example">
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@code currkresliTvar}()
				{
					{@link #kružnica() kružnica}();
				}
				</pre>
			 * 
			 * <P><small>(<b>Poznámka:</b> Názov tejto metódy koliduje
			 * s názvom novších metód {@link #kresliTvar(Shape)
			 * kresliTvar(tvar)} a {@link #kresliTvar(Shape, boolean)
			 * kresliTvar(tvar, upravRobotom)} určených na kreslenie obrysov
			 * tvarov Javy, ktoré mohli byť napríklad importované z SVG
			 * súboru. Okrem toho je definovaná metóda {@link #kresliTvary()
			 * kresliTvary()}, ktorá slúži na opätovné povolenie kreslenia
			 * tvarov a písania textov robotom po ich vypnutí metódou
			 * {@link #nekresliTvary() nekresliTvary()}.)</small>
			 * 
			 * @see #predvolenýVyplnenýTvar()
			 * @see #predvolenýDutýTvar()
			 * @see #predvolenýTvar()
			 * @see #predvolenýTvar(boolean)
			 * @see #vlastnýTvar(String)
			 * @see #vlastnýTvar(Image)
			 * @see #vlastnýTvar(String, boolean)
			 * @see #vlastnýTvar(Image, boolean)
			 * @see #vlastnýTvar(KreslenieTvaru)
			 */
			public void kresliTvar() {}

			/**
			 * Nastaví predvolený tvar robota. Predvoleným tvarom robota je
			 * buď dutý trojzubec (zmena nastala vo verzii 1.75, predtým bol
			 * predvoleným tvarom vyplnený trojzubec), alebo tvar kreslený
			 * prekrytou metódou {@link #kresliTvar() kresliTvar}.
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @see #kresliTvar()
			 * @see #predvolenýVyplnenýTvar()
			 * @see #predvolenýDutýTvar()
			 * @see #predvolenýTvar(boolean)
			 * @see #vlastnýTvar(String)
			 * @see #vlastnýTvar(Image)
			 * @see #vlastnýTvar(String, boolean)
			 * @see #vlastnýTvar(Image, boolean)
			 * @see #vlastnýTvar(KreslenieTvaru)
			 */
			public void predvolenýTvar()
			{
				vlastnýTvarObrázok = null;

				try // Nie vždy je metóda kresliTvar() zaručene pôvodná
				{
					if (getClass().getMethod("kresliTvar").getDeclaringClass().
						equals(GRobot.class)) vlastnýTvarKreslenie = null;
					else
						vlastnýTvarKreslenie = použiPrekrytúMetóduKresli;
				}
				catch (Exception e) { vypíšChybovéHlásenia(e); }

				this.vyplnený = false;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #predvolenýTvar() predvolenýTvar}. */
			public void predvolenyTvar() { predvolenýTvar(); }

			/**
			 * Nastaví predvolený vyplnený tvar robota. Predvoleným tvarom
			 * robota je buď trojzubec (v tomto prípade vyplnený), alebo tvar
			 * kreslený prekrytou metódou {@link #kresliTvar() kresliTvar}.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @see #kresliTvar()
			 * @see #predvolenýTvar()
			 * @see #predvolenýDutýTvar()
			 * @see #predvolenýTvar(boolean)
			 * @see #vlastnýTvar(String)
			 * @see #vlastnýTvar(Image)
			 * @see #vlastnýTvar(String, boolean)
			 * @see #vlastnýTvar(Image, boolean)
			 * @see #vlastnýTvar(KreslenieTvaru)
			 */
			public void predvolenýVyplnenýTvar()
			{
				vlastnýTvarObrázok = null;

				try // Nie vždy je metóda kresliTvar() zaručene pôvodná
				{
					if (getClass().getMethod("kresliTvar").getDeclaringClass().
						equals(GRobot.class)) vlastnýTvarKreslenie = null;
					else
						vlastnýTvarKreslenie = použiPrekrytúMetóduKresli;
				}
				catch (Exception e) { vypíšChybovéHlásenia(e); }

				this.vyplnený = true;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #predvolenýVyplnenýTvar() predvolenýVyplnenýTvar}. */
			public void predvolenyVyplnenyTvar() { predvolenýVyplnenýTvar(); }

			/**
			 * Nastaví predvolený dutý tvar robota. Predvoleným tvarom robota
			 * je buď trojzubec (v tomto prípade dutý), alebo tvar kreslený
			 * prekrytou metódou {@link #kresliTvar() kresliTvar}.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 * @see #kresliTvar()
			 * @see #predvolenýTvar()
			 * @see #predvolenýVyplnenýTvar()
			 * @see #predvolenýTvar(boolean)
			 * @see #vlastnýTvar(String)
			 * @see #vlastnýTvar(Image)
			 * @see #vlastnýTvar(String, boolean)
			 * @see #vlastnýTvar(Image, boolean)
			 * @see #vlastnýTvar(KreslenieTvaru)
			 */
			public void predvolenýDutýTvar()
			{
				vlastnýTvarObrázok = null;

				try // Nie vždy je metóda kresliTvar() zaručene pôvodná
				{
					if (getClass().getMethod("kresliTvar").getDeclaringClass().
						equals(GRobot.class)) vlastnýTvarKreslenie = null;
					else
						vlastnýTvarKreslenie = použiPrekrytúMetóduKresli;
				}
				catch (Exception e) { vypíšChybovéHlásenia(e); }

				this.vyplnený = false;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #predvolenýDutýTvar() predvolenýDutýTvar}. */
			public void predvolenyDutyTvar() { predvolenýDutýTvar(); }

			/**
			 * Nastaví predvolený tvar robota. Predvoleným tvarom robota je
			 * buď trojzubec (vyplnený alebo dutý – v tomto prípade to závisí
			 * od hodnoty zadaného parametra), alebo tvar kreslený prekrytou
			 * metódou {@link #kresliTvar() kresliTvar}. Argument
			 * {@code vyplnený} má význam len ak nebola prekrytá metóda
			 * {@link #kresliTvar() kresliTvar}. Vtedy zostáva predvoleným
			 * tvarom trojzubec a hodnota tohto argumentu umožňuje určiť, či
			 * má byť vyplnený alebo kreslený obrysom (dutý).
			 * 
			 *  @param vyplnený  ak je {@code valtrue} a aktuálna inštancia
			 *      nemá prekrytú metódu {@link #kresliTvar() kresliTvar},
			 *      kreslí vyplnený trujzubec, inak jeho obrys
			 * 
			 * @see #kresliTvar()
			 * @see #predvolenýTvar()
			 * @see #predvolenýVyplnenýTvar()
			 * @see #predvolenýDutýTvar()
			 * @see #vlastnýTvar(String)
			 * @see #vlastnýTvar(Image)
			 * @see #vlastnýTvar(String, boolean)
			 * @see #vlastnýTvar(Image, boolean)
			 * @see #vlastnýTvar(KreslenieTvaru)
			 */
			public void predvolenýTvar(boolean vyplnený)
			{
				vlastnýTvarObrázok = null;

				try // Nie vždy je metóda kresliTvar() zaručene pôvodná
				{
					if (getClass().getMethod("kresliTvar").getDeclaringClass().
						equals(GRobot.class)) vlastnýTvarKreslenie = null;
					else
						vlastnýTvarKreslenie = použiPrekrytúMetóduKresli;
				}
				catch (Exception e) { vypíšChybovéHlásenia(e); }

				this.vyplnený = vyplnený;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #predvolenýTvar(boolean) predvolenýTvar}. */
			public void predvolenyTvar(boolean vyplnený)
			{ predvolenýTvar(vyplnený); }

			/**
			 * Zmení tvar robota z klasického tvaru na zadaný obrázok.
			 * Ak bola predtým volaná metóda
			 * {@link #vlastnýTvar(KreslenieTvaru) vlastnýTvar(KreslenieTvaru
			 * tvar)}, tak ňou definované vlastné kreslenie bude zrušené.
			 * <P>Nastavenie vlastného tvaru obrázka zresetuje mierku
			 * kreslenia obrázkov. Ak chcete, aby veľkosť robota (aspoň
			 * približne) korešpondovala s veľkosťou obrázka, tak nastavte
			 * veľkosť robota na vhodnú hodnotu ešte <b>pred</b> nastavením
			 * vlastného tvaru obrázka alebo volajte metódu
			 * {@link #vlastnýTvar(String, boolean) vlastnýTvar("názov",
			 * upravVeľkosťRobota)} s druhým argumentom {@code valtrue}.
			 * 
			 * <P>(<b>Tipy:</b> Vhodná hodnota by mohla byť napríklad
			 * priemerná hodnota vypočítaná zo šírky a výšky obrázka.
			 * Presne túto hodnotu používa metóda
			 * {@link #vlastnýTvar(String, boolean) vlastnýTvar("názov",
			 * upravVeľkosťRobota)}.
			 * Ak chcete kombinovať vlastné kreslenie tvaru s obrázkami,
			 * použite iba {@linkplain #vlastnýTvar(KreslenieTvaru) vlastné
			 * kreslenie tvaru robota používajúce rozhranie}
			 * {@link KreslenieTvaru KreslenieTvaru} a v tele metódy
			 * {@link KreslenieTvaru#kresli(GRobot) kresli} uvedeného
			 * rozhrania volajte metódu robota {@link #obrázok(String)
			 * r.obrázok("názov súboru")}.)
			 * 
			 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
			 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
			 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
			 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
			 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
			 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
			 * prijímajú názov súboru ako parameter.)
			 * 
			 *  @param súbor  názov súboru s obrázkom, ktorý má byť použitý
			 *      namiesto predvoleného tvaru robota
			 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
			 * 
			 * @see #kresliTvar()
			 * @see #predvolenýTvar()
			 * @see #predvolenýVyplnenýTvar()
			 * @see #predvolenýDutýTvar()
			 * @see #predvolenýTvar(boolean)
			 * @see #vlastnýTvar(Image)
			 * @see #vlastnýTvar(String, boolean)
			 * @see #vlastnýTvar(Image, boolean)
			 * @see #vlastnýTvar(KreslenieTvaru)
			 * @see Svet#priečinokObrázkov(String)
			 */
			public void vlastnýTvar(String súbor)
			{
				if (null != vlastnýTvarKreslenie)
					vlastnýTvarKreslenie = null;
				vlastnýTvarObrázok = súborNaObrázok(súbor);
				mierkovéČíslo = veľkosť;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #vlastnýTvar(String) vlastnýTvar}. */
			public void vlastnyTvar(String súbor) { vlastnýTvar(súbor); }

			/**
			 * Zmení tvar robota z klasického tvaru na zadaný obrázok.
			 * Ak bola predtým volaná metóda
			 * {@link #vlastnýTvar(KreslenieTvaru) vlastnýTvar(KreslenieTvaru
			 * tvar)}, tak ňou definované vlastné kreslenie bude zrušené.
			 * <P>Nastavenie vlastného tvaru obrázka zresetuje mierku
			 * kreslenia obrázkov. Ak chcete, aby veľkosť robota (aspoň
			 * približne) korešpondovala s veľkosťou obrázka, tak nastavte
			 * veľkosť robota na vhodnú hodnotu ešte <b>pred</b> nastavením
			 * vlastného tvaru obrázka alebo volajte metódu
			 * {@link #vlastnýTvar(Image, boolean) vlastnýTvar(obrázok,
			 * upravVeľkosťRobota)} s druhým argumentom {@code valtrue}.
			 * 
			 * <P>(<b>Tipy:</b> Vhodná hodnota by mohla byť napríklad
			 * priemerná hodnota vypočítaná zo šírky a výšky obrázka.
			 * Presne túto hodnotu používa metóda
			 * {@link #vlastnýTvar(Image, boolean) vlastnýTvar(obrázok,
			 * upravVeľkosťRobota)}.
			 * Ak chcete kombinovať vlastné kreslenie tvaru s obrázkami,
			 * použite iba {@linkplain #vlastnýTvar(KreslenieTvaru) vlastné
			 * kreslenie tvaru robota používajúce rozhranie}
			 * {@link KreslenieTvaru KreslenieTvaru} a v tele metódy
			 * {@link KreslenieTvaru#kresli(GRobot) kresli} uvedeného
			 * rozhrania volajte metódu robota {@link #obrázok(Image)
			 * r.obrázok(obrázok)}.)
			 * 
			 *  @param obrázok  obrázok, ktorý má byť použitý namiesto
			 *      predvoleného tvaru robota
			 * 
			 * @see #kresliTvar()
			 * @see #predvolenýTvar()
			 * @see #predvolenýVyplnenýTvar()
			 * @see #predvolenýDutýTvar()
			 * @see #predvolenýTvar(boolean)
			 * @see #vlastnýTvar(String)
			 * @see #vlastnýTvar(String, boolean)
			 * @see #vlastnýTvar(Image, boolean)
			 * @see #vlastnýTvar(KreslenieTvaru)
			 */
			public void vlastnýTvar(Image obrázok)
			{
				if (null != vlastnýTvarKreslenie)
					vlastnýTvarKreslenie = null;
				vlastnýTvarObrázok = obrázok;
				mierkovéČíslo = veľkosť;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #vlastnýTvar(Image) vlastnýTvar}. */
			public void vlastnyTvar(Image obrázok) { vlastnýTvar(obrázok); }

			/**
			 * Zmení tvar robota z klasického tvaru na zadaný obrázok.
			 * Ak bola predtým volaná metóda
			 * {@link #vlastnýTvar(KreslenieTvaru) vlastnýTvar(KreslenieTvaru
			 * tvar)}, tak ňou definované vlastné kreslenie bude zrušené.
			 * Ak je parameter {@code upravVeľkosťRobota} rovný
			 * {@code valtrue}, tak bude zároveň upravená
			 * {@link #veľkosť(double) veľkosť} robota a to tak, aby
			 * zodpovedala priemeru výšky a šírky obrázka.
			 * 
			 * <P>(<b>Tip:</b>
			 * Ak chcete kombinovať vlastné kreslenie tvaru s obrázkami,
			 * použite iba {@linkplain #vlastnýTvar(KreslenieTvaru) vlastné
			 * kreslenie tvaru robota používajúce rozhranie}
			 * {@link KreslenieTvaru KreslenieTvaru} a v tele metódy
			 * {@link KreslenieTvaru#kresli(GRobot) kresli} uvedeného
			 * rozhrania volajte metódu robota {@link #obrázok(String)
			 * r.obrázok("názov súboru")}.)
			 * 
			 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
			 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
			 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
			 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
			 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
			 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
			 * prijímajú názov súboru ako parameter.)
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param súbor  názov súboru s obrázkom, ktorý má byť použitý
			 *      namiesto predvoleného tvaru robota
			 *  @param upravVeľkosťRobota  hodnota {@code valtrue} určuje, že
			 *      pred nastavením vlastného tvaru obrázka robotovi má byť
			 *      upravená jeho veľkosť tak, aby zodpovedala priemeru výšky
			 *      a šírky obrázka
			 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
			 * 
			 * @see #kresliTvar()
			 * @see #predvolenýTvar()
			 * @see #predvolenýVyplnenýTvar()
			 * @see #predvolenýDutýTvar()
			 * @see #predvolenýTvar(boolean)
			 * @see #vlastnýTvar(String)
			 * @see #vlastnýTvar(Image)
			 * @see #vlastnýTvar(Image, boolean)
			 * @see #vlastnýTvar(KreslenieTvaru)
			 * @see Svet#priečinokObrázkov(String)
			 */
			public void vlastnýTvar(String súbor, boolean upravVeľkosťRobota)
			{
				if (null != vlastnýTvarKreslenie)
					vlastnýTvarKreslenie = null;
				vlastnýTvarObrázok = súborNaObrázok(súbor);
				if (upravVeľkosťRobota) veľkosť =
					(vlastnýTvarObrázok.getWidth(null) +
					vlastnýTvarObrázok.getHeight(null)) / 4;

				// System.out.println(vlastnýTvarObrázok.getWidth(null));
				// System.out.println(vlastnýTvarObrázok.getHeight(null));
				// System.out.println(veľkosť);

				mierkovéČíslo = veľkosť;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #vlastnýTvar(String, boolean) vlastnýTvar}. */
			public void vlastnyTvar(String súbor, boolean upravVeľkosťRobota)
			{ vlastnýTvar(súbor, upravVeľkosťRobota); }

			/**
			 * Zmení tvar robota z klasického tvaru na zadaný obrázok.
			 * Ak bola predtým volaná metóda
			 * {@link #vlastnýTvar(KreslenieTvaru) vlastnýTvar(KreslenieTvaru
			 * tvar)}, tak ňou definované vlastné kreslenie bude zrušené.
			 * Ak je parameter {@code upravVeľkosťRobota} rovný
			 * {@code valtrue}, tak bude zároveň upravená
			 * {@link #veľkosť(double) veľkosť} robota a to tak, aby
			 * zodpovedala priemeru výšky a šírky obrázka.
			 * 
			 * <P>(<b>Tip:</b>
			 * Ak chcete kombinovať vlastné kreslenie tvaru s obrázkami,
			 * použite iba {@linkplain #vlastnýTvar(KreslenieTvaru) vlastné
			 * kreslenie tvaru robota používajúce rozhranie}
			 * {@link KreslenieTvaru KreslenieTvaru} a v tele metódy
			 * {@link KreslenieTvaru#kresli(GRobot) kresli} uvedeného
			 * rozhrania volajte metódu robota {@link #obrázok(Image)
			 * r.obrázok(obrázok)}.)
			 * 
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * 
			 *  @param obrázok  obrázok, ktorý má byť použitý namiesto
			 *      predvoleného tvaru robota
			 *  @param upravVeľkosťRobota  hodnota {@code valtrue} určuje, že
			 *      pred nastavením vlastného tvaru obrázka robotovi má byť
			 *      upravená jeho veľkosť tak, aby zodpovedala priemeru výšky
			 *      a šírky obrázka
			 * 
			 * @see #kresliTvar()
			 * @see #predvolenýTvar()
			 * @see #predvolenýVyplnenýTvar()
			 * @see #predvolenýDutýTvar()
			 * @see #predvolenýTvar(boolean)
			 * @see #vlastnýTvar(String)
			 * @see #vlastnýTvar(Image)
			 * @see #vlastnýTvar(String, boolean)
			 * @see #vlastnýTvar(KreslenieTvaru)
			 */
			public void vlastnýTvar(Image obrázok, boolean upravVeľkosťRobota)
			{
				if (null != vlastnýTvarKreslenie)
					vlastnýTvarKreslenie = null;
				vlastnýTvarObrázok = obrázok;
				if (upravVeľkosťRobota) veľkosť = (obrázok.getWidth(null) +
					obrázok.getHeight(null)) / 4;
				mierkovéČíslo = veľkosť;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #vlastnýTvar(Image, boolean) vlastnýTvar}. */
			public void vlastnyTvar(Image obrázok, boolean upravVeľkosťRobota)
			{ vlastnýTvar(obrázok, upravVeľkosťRobota); }

			/**
			 * Rozhranie používané na
			 * {@linkplain GRobot#vlastnýTvar(KreslenieTvaru) kreslenie
			 * (vlastných) tvarov robota} alebo
			 * {@linkplain Spojnica#definujZnačkuZačiatku(GRobot.KreslenieTvaru)
			 * začiatočných}
			 * a {@linkplain Spojnica#definujZnačkuKonca(GRobot.KreslenieTvaru)
			 * koncových} značiek spojníc robotov. Toto rozhranie
			 * (resp. jeho implementácia) je vstupom prislúchajúcich metód,
			 * konkrétne metódy definovania vlastného tvaru robota:
			 * {@link GRobot#vlastnýTvar(KreslenieTvaru)
			 * GRobot.vlastnýTvar(tvar)} a metód na definovanie tvarov
			 * značiek spojníc
			 * {@link Spojnica#definujZnačkuZačiatku(GRobot.KreslenieTvaru)
			 * Spojnica.definujZnačkuZačiatku(kreslenie)}
			 * a {@link Spojnica#definujZnačkuKonca(GRobot.KreslenieTvaru)
			 * Spojnica.definujZnačkuKonca(kreslenie)}.
			 * 
			 * <P><small>(<b>Poznámka:</b> Vo verzii knižnice 1.75 bolo toto
			 * rozhranie premenované z {@code currVlastnýTvar} na
			 * výstižnejšie {@code currKreslenieTvaru} a to aj z dôvodu jeho
			 * najnovšej úlohy pri kreslení tvarov značiek spojníc. Rozhranie
			 * so starým názvom je v knižnici ponechané, je použiteľné, ale
			 * je považované za zastarané.)</small>
			 * 
			 * <P><b>Príklad:</b>
			 * <pre CLASS="example">
				{@code kwdimport} knižnica.{@link GRobot GRobot};

				{@code kwdpublic} {@code typeclass} GKruh {@code kwdextends} {@link GRobot GRobot}
				{
					{@code comm// Statická inštancia kreslenia vlastného tvaru – statickosť znamená, že}
					{@code comm// bude vytvorený jediný objekt pre všetky inštancie triedy GKruh (pozri}
					{@code comm// hlavnú metódu nižšie).}
					{@code kwdpublic} {@code kwdstatic} {@link KreslenieTvaru KreslenieTvaru} tvarKruhu = {@code kwdnew} {@link KreslenieTvaru KreslenieTvaru}()
					{
						{@code kwdpublic} {@code typevoid} {@link KreslenieTvaru#kresli(GRobot) kresli}({@link GRobot GRobot} r)
						{
							{@code comm// Vlastné kreslenie:}
							r.{@link GRobot#kruh() kruh}();
						}
					};

					{@code comm// Konštruktor}
					{@code kwdprivate} GKruh()
					{
						{@code comm// Všetky objekty budú mať spoločné kreslenie vlastného tvaru, ktoré}
						{@code comm// však bude prispôsobované podľa individuálnych vlastností robotov:}
						{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(tvarKruhu);
					}

					{@code comm// Hlavná metóda}
					{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
					{
						{@code comm// Vytvoríme tri objekty typu GKruh:}
						GKruh gKruh1 = {@code kwdnew} GKruh();
						GKruh gKruh2 = {@code kwdnew} GKruh();
						GKruh gKruh3 = {@code kwdnew} GKruh();

						{@code comm// Každý umiestnime na náhodnú pozíciu:}
						gKruh1.{@link GRobot#náhodnáPoloha() náhodnáPoloha}();
						gKruh2.{@link GRobot#náhodnáPoloha() náhodnáPoloha}();
						gKruh3.{@link GRobot#náhodnáPoloha() náhodnáPoloha}();

						{@code comm// Zmeníme mu náhodú farbu:}
						gKruh1.{@link GRobot#náhodnáFarba() náhodnáFarba}();
						gKruh2.{@link GRobot#náhodnáFarba() náhodnáFarba}();
						gKruh3.{@link GRobot#náhodnáFarba() náhodnáFarba}();

						{@code comm// A určíme mu náhodnú veľkosť v rozmedzí 10 – 30:}
						gKruh1.{@link GRobot#veľkosť(double) veľkosť}({@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num10}, {@code num30}));
						gKruh2.{@link GRobot#veľkosť(double) veľkosť}({@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num10}, {@code num30}));
						gKruh3.{@link GRobot#veľkosť(double) veľkosť}({@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num10}, {@code num30}));
					}
				}
				</pre>
			 * 
			 * <P><b>Výsledok:</b>
			 * <P><image>ukazkaVlastnehoTvaru.png</image>Ukážka možného
			 * vzhľadu po vykonaní príkladu<br /><small>(plátno na obrázku
			 * je zmenšené)</small>
			 * 
			 * <P> 
			 * 
			 * <P>Použitie rozhrania môže vyzerať komplikovane, preto bolo
			 * robotovi umožnené zmeniť tvar aj (z hľadiska začínajúceho
			 * programátora) jednoduchším spôsobom. Metódou {@link GRobot
			 * GRobot}{@code .}{@link GRobot#kresliTvar() kresliTvar}{@code ()}
			 * (myslíme tým jej prekrytím). Z vnútorného (technického)
			 * hľadiska je však činnosť spomínanej metódy zabezpečovaná
			 * komplikovanejším mechanizmom s mierne vyššími režijnými
			 * nákladmi na vykonávanie, preto skúsenejším programátorom
			 * odporúčame využitie tohto rozhrania.
			 * 
			 * <P>Táto verzia knižnice je závislá od použitia verzie Javy 8.
			 * V tejto verzii Javy sa dá použiť aj skrátená (funkcionálna)
			 * syntax kreslenia vlastného tvaru s použitím tohto rozhrania.
			 * Ide o takzvaný lambda výraz (priamo vo volaní metódy robota
			 * {@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}, ako to
			 * ukazuje nasledujúci príklad, ho odporúčame použiť iba v prípade
			 * unikátneho kreslenia tvaru jedinej inštancie robota, keďže pri
			 * každom takomto použití by bola vytvorená unikátna inštancia
			 * implementácie rozhrania, čím by sa strácal celkový zmysel jeho
			 * použitia):
			 * 
			 * <pre CLASS="example">
				{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(({@link GRobot GRobot} r) -> r.{@link GRobot#krúžok() krúžok}());
				</pre>
			 * 
			 * Prípadne, ak „jednoducho vieme“, že {@code r} je robot
			 * a nepotrebujeme to dávať najavo nikomu tretiemu, tak môžeme
			 * zápis ešte viac skrátiť:
			 * 
			 * <pre CLASS="example">
				{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(r -> r.{@link GRobot#krúžok() krúžok}());
				</pre>
			 * 
			 * <P>Viac príkazov kreslenia je potrebné uzavrieť do bloku:
			 * 
			 * <pre CLASS="example">
				{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(r ->
					{
						r.{@link GRobot#kružnica() kružnica}();
						r.{@link GRobot#dopredu() dopredu}();
						{@code comm// …}
					});
				</pre>
			 * 
			 * <P>A nakoniec, lambda výraz je použiteľný aj priamo na
			 * univerzálnu implementáciu rozhrania použiteľnú s viacerými
			 * inštanciami robota:
			 * 
			 * <pre CLASS="example">
				{@link GRobot GRobot} prvý = {@code kwdnew} {@link GRobot#GRobot() GRobot}();
				{@link GRobot GRobot} druhý = {@code kwdnew} {@link GRobot#GRobot() GRobot}();
				{@link GRobot GRobot} tretí = {@code kwdnew} {@link GRobot#GRobot() GRobot}();
				{@code comm// …}

				{@code currKreslenieTvaru} tvar = r ->
				{
					r.{@link GRobot#kružnica() kružnica}();
					r.{@link GRobot#dopredu() dopredu}();
					{@code comm// …}
				};

				prvý.{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(tvar);
				druhý.{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(tvar);
				tretí.{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(tvar);
				{@code comm// …}
				</pre>
			 * 
			 * @see #vlastnýTvar(KreslenieTvaru)
			 */
			public interface KreslenieTvaru
			{
				/**
				 * Jediná metóda rozhrania určená na kreslenie (vlastných)
				 * tvarov robota (alebo napríklad značiek spojníc). Prijíma
				 * parameter typu {@link GRobot GRobot}, teda objekt
				 * (inštanciu) robota, ktorý má slúžiť na kreslenie vlastného
				 * tvaru (pri kreslení značiek spojníc je automaticky použitý
				 * {@linkplain Spojnica#zdroj() zdrojový} alebo
				 * {@linkplain Spojnica#cieľ() cieľový} robot). Kreslenie má
				 * byť čo najjednoduchšie a malo by využívať len metódy
				 * kreslenia objektu „r“ prijatého v argumente tejto metódy.
				 * 
				 * <P><b>Príklad:</b>
				 * <pre CLASS="example">
					{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}({@code kwdnew} {@link KreslenieTvaru KreslenieTvaru}()
					{
						{@code kwdpublic} {@code typevoid} {@code currkresli}({@link GRobot GRobot} r)
						{
							{@code comm// Kružnica s „nosom“}
							r.{@link GRobot#farba(java.awt.Color) farba}(r.modrá);
							r.{@link GRobot#kružnica(double) kružnica}({@code num10});
							r.{@link GRobot#dopredu(double) dopredu}({@code num20});
						}
					});
					</pre>
				 * 
				 * <P><b>Poznámka:</b> Niektoré metódy upravujú v rámci
				 * vlastného kreslenia svoje správanie, napríklad skupina
				 * metód {@link GRobot#domov() domov} vráti a otočí robota do
				 * aktuálnej pozície a smeru (polohy a smeru v čase začatia
				 * vlastného kreslenia) bez ohľadu na to, kde je v skutočnosti
				 * definovaný domov robota. Metódy {@link GRobot#uhol() uhol},
				 * {@link GRobot#smer() smer}, {@link GRobot#uholDoma()
				 * uholDoma} a {@link GRobot#smerDoma() smerDoma} vracajú
				 * hodnotu upravenú o aktuálne pootočenie tvaru (pozri metódu
				 * {@link GRobot#pootočenieTvaru(double) pootočenieTvaru}).
				 * 
				 *  @param r  objekt robota použitý na nakreslenie vlastného
				 *      tvaru; je to ten objekt, ktorý požaduje vlastné
				 *      kreslenie tvaru (hodnoty kľúčových vlastností ako
				 *      poloha, smer, stav pera,a pod., sú pred začatím
				 *      kreslenia vlastného tvaru zálohované a po skončení
				 *      kreslenia sú vrátené do pôvodného stavu; pero robota
				 *      je pri začatí vlastného kreslenia vždy položené bez
				 *      ohľadu na skutočný stav)
				 */
				public void kresli(GRobot r);
			}

			/** <a class="alias"></a> Alias pre {@link KreslenieTvaru KreslenieTvaru}. */
			@Deprecated public interface VlastnýTvar extends KreslenieTvaru {}

			/** <a class="alias"></a> Alias pre {@link KreslenieTvaru KreslenieTvaru}. */
			@Deprecated public interface VlastnyTvar extends KreslenieTvaru {}

			/**
			 * Umožní kresliť vlastný tvar robota namiesto klasického tvaru.
			 * Metóda vyžaduje implementované rozhranie {@link KreslenieTvaru
			 * KreslenieTvaru}. Ak bola predtým volaná metóda
			 * {@link #vlastnýTvar(String) vlastnýTvar(String súbor)} alebo
			 * {@link #vlastnýTvar(Image) vlastnýTvar(Image obrázok)}, tak
			 * nimi definovaný obrázkový tvar bude zrušený. (<b>Tip:</b>
			 * Ak chcete kombinovať vlastné kreslenie tvaru s obrázkami,
			 * použite iba {@linkplain #vlastnýTvar(KreslenieTvaru) vlastné
			 * kreslenie tvaru robota používajúce rozhranie}
			 * {@link KreslenieTvaru KreslenieTvaru} a v tele metódy
			 * {@link KreslenieTvaru#kresli(GRobot) kresli} uvedeného
			 * rozhrania volajte prislúchajúcu metódu robota:
			 * {@link #obrázok(String) r.obrázok("názov súboru")} alebo
			 * {@link #obrázok(Image) r.obrázok(obrázok)}.)
			 * 
			 *  @param tvar  implementácia rozhrania {@link KreslenieTvaru
			 *      KreslenieTvaru}
			 * 
			 * @see KreslenieTvaru
			 * @see #kresliTvar()
			 * @see #predvolenýVyplnenýTvar()
			 * @see #predvolenýDutýTvar()
			 * @see #predvolenýTvar()
			 * @see #predvolenýTvar(boolean)
			 * @see #vlastnýTvar(String)
			 * @see #vlastnýTvar(Image)
			 * @see #vlastnýTvar(String, boolean)
			 * @see #vlastnýTvar(Image, boolean)
			 */
			public void vlastnýTvar(KreslenieTvaru tvar)
			{
				if (null != vlastnýTvarObrázok)
					vlastnýTvarObrázok = null;
				vlastnýTvarKreslenie = tvar;
				automatickéPrekreslenie();
			}

			/** <a class="alias"></a> Alias pre {@link #vlastnýTvar(KreslenieTvaru) vlastnýTvar}. */
			public void vlastnyTvar(KreslenieTvaru tvar) { vlastnýTvar(tvar); }


		// Obmedzenie kreslenia

			/**
			 * Povolí kreslenie tvarov a písanie textov robotom (predvolený
			 * stav). Metóda je opakom metódy {@link #nekresliTvary()
			 * nekresliTvary}.
			 * 
			 * <P><b>Poznámka:</b> Táto metóda spôsobí automatické
			 * {@linkplain #uvoľni() prepustenie} robota zo služieb
			 * kreslenia a tvorby {@linkplain Oblasť oblasti}.
			 * 
			 * <P><small>(<b>Poznámka 2:</b> Názov tejto metódy je podobný
			 * názvom metód v singulári {@code kresliTvar}. Avšak tie slúžia
			 * na úplne iné účely. Metóda {@link #kresliTvar() kresliTvar()}
			 * je určená na prekrytie a kreslenie vlastného tvaru robota.
			 * A novšie metódy {@link #kresliTvar(Shape) kresliTvar(tvar)}
			 * a {@link #kresliTvar(Shape, boolean) kresliTvar(tvar,
			 * upravRobotom)} sú určené na kreslenie obrysov tvarov Javy,
			 * ktoré mohli byť napríklad importované z SVG súboru.)</small>
			 * 
			 * @see #nekresliTvary()
			 * @see #kreslenieTvarovPovolené()
			 * 
			 * @see #kružnica() kružnica
			 * @see #kresliElipsu(double) kresliElipsu
			 * @see #kresliŠtvorec() kresliŠtvorec
			 * @see #kresliObdĺžnik(double) kresliObdĺžnik
			 * @see #kresliHviezdu() kresliHviezdu
			 * 
			 * @see #text(String, int) text
			 * @see #cesta() cesta
			 * 
			 * @see #položPero() položPero
			 */
			public void kresliTvary()
			{
				uvoľni();
				kresliTvary = true;
			}

			/** <a class="alias"></a> Alias pre {@link #kresliTvary() kresliTvary}. */
			public void kresliÚtvary() { kresliTvary(); }

			/** <a class="alias"></a> Alias pre {@link #kresliTvary() kresliTvary}. */
			public void kresliUtvary() { kresliTvary(); }

			/**
			 * Zakáže kreslenie tvarov ({@linkplain #kružnica(double)
			 * kružnice}, {@linkplain #kresliElipsu(double, double) elipsy},
			 * {@linkplain #kresliŠtvorec(double) štvorca}, {@linkplain
			 * #kresliObdĺžnik(double, double) obdĺžnika}…) a {@linkplain
			 * #text(String) písanie textu} robotom, aby prislúchajúce metódy
			 * mohli byť využité na iné účely, napríklad na {@linkplain
			 * #nekresliDo(Shape) obmedzenie kreslenia}. Znamená to, že metódy
			 * na kreslenie útvarov a písanie textu robotom budú generovať
			 * tvary Javy ({@link Shape Shape}) bez ich vykreslenia na aktívne
			 * plátno robota. Kreslenie opäť povolíme metódou {@link
			 * #kresliTvary() kresliTvary}.
			 * 
			 * <P><b>Poznámka:</b> Táto metóda spôsobí automatické
			 * {@linkplain #uvoľni() prepustenie} robota zo služieb
			 * kreslenia a tvorby {@linkplain Oblasť oblasti}.
			 * 
			 * @see #kresliTvary()
			 * @see #kreslenieTvarovPovolené()
			 * 
			 * @see #kružnica() kružnica
			 * @see #kresliElipsu(double) kresliElipsu
			 * @see #kresliŠtvorec() kresliŠtvorec
			 * @see #kresliObdĺžnik(double) kresliObdĺžnik
			 * @see #kresliHviezdu() kresliHviezdu
			 * 
			 * @see #text(String, int) text
			 * @see #cesta() cesta
			 * 
			 * @see #zdvihniPero() zdvihniPero
			 */
			public void nekresliTvary()
			{
				uvoľni();
				kresliTvary = false;
			}

			/** <a class="alias"></a> Alias pre {@link #nekresliTvary() nekresliTvary}. */
			public void nekresliÚtvary() { nekresliTvary(); }

			/** <a class="alias"></a> Alias pre {@link #nekresliTvary() nekresliTvary}. */
			public void nekresliUtvary() { nekresliTvary(); }

			/**
			 * Zistí, či je kreslenie tvarov povolené alebo zakázané.
			 * Kreslenie mohlo byť povolené alebo zakázané metódami {@link
			 * #kresliTvary() kresliTvary}, resp. {@link #nekresliTvary()
			 * nekresliTvary}, prípadne iným mechanizmom).
			 * 
			 *  @return {@code valtrue} – kreslenie tvarov je povolené;
			 *      {@code valfalse} – kreslenie tvarov je zakázané
			 * 
			 * @see #kresliTvary()
			 * @see #nekresliTvary()
			 * 
			 * @see #kružnica() kružnica
			 * @see #kresliElipsu(double) kresliElipsu
			 * @see #kresliŠtvorec() kresliŠtvorec
			 * @see #kresliObdĺžnik(double) kresliObdĺžnik
			 * @see #kresliHviezdu() kresliHviezdu
			 * 
			 * @see #text(String, int) text
			 * @see #cesta() cesta
			 * 
			 * @see #polohaPera() polohaPera
			 */
			public boolean kreslenieTvarovPovolené() { return kresliTvary; }

			/** <a class="alias"></a> Alias pre {@link #kreslenieTvarovPovolené() kreslenieTvarovPovolené}*/
			public boolean kreslenieTvarovPovolene() { return kresliTvary; }

			/**
			 * Zruší oblasť na obmedzenie kreslenia na aktívne plátno
			 * (podlahu, strop alebo obrázok, do ktorého má robot
			 * presmerované kreslenie).
			 *  @see Plátno#kresliVšade()
			 *  @see Obrázok#kresliVšade()
			 *  @see #kresliDo(Shape)
			 *  @see #nekresliDo(Shape)
			 */
			public void kresliVšade()
			{
				if (obrázokAktívnehoPlátna instanceof Obrázok)
					((Obrázok)obrázokAktívnehoPlátna).kresliVšade();
				else
					grafikaAktívnehoPlátna.setClip(null);
			}

			/** <a class="alias"></a> Alias pre {@link #kresliVšade() kresliVšade}. */
			public void kresliVsade() { kresliVšade(); }

			/**
			 * Obmedzí akékoľvek kreslenie na aktívne plátno robota (podlahu
			 * alebo strop) na plochu zadaného útvaru ({@link Shape Shape}).
			 * 
			 * <P>Robot disponuje množinou metód na kreslenie tvarov
			 * ({@link #kružnica(double) kružnica}, {@link #elipsa(double,
			 * double) elipsa}, {@link #štvorec(double) štvorec}…), ktoré
			 * zároveň generujú tvary. Na ich použitie s touto metódou je
			 * dobré predtým kreslenie tvarov {@linkplain #nekresliTvary()
			 * zakázať} a neskôr opäť {@linkplain #kresliTvary() povoliť}.
			 * Metóda {@link #text(String) text} dokonca zákaz kreslenia
			 * tvarov požaduje, aby mohla vygenerovať tvar (bez zákazu má
			 * návratovú hodnotu {@code valnull}). Tvar je možné vytvoriť aj
			 * z {@linkplain #cesta() cesty}…
			 * 
			 * <P>Obmedzenie zužuje aktuálny priestor kreslenia, to znamená,
			 * že sa priebežne vytvára oblasť, ktorá je prienikom všetkých
			 * obmedzení. Ak chceme vytvoriť obmedzenie pre tvar, ktorý je
			 * možné vytvoriť inou množinovou operáciou, môžeme na
			 * obmedzenie kreslenia použiť aj {@link Oblasť Oblasť} (zadanú
			 * namiesto parametra {@code tvar}). Je nevyhnutné podotknúť, že
			 * obmedzenie je viazané na plátno a je platné pre všetkých
			 * robotov.
			 * 
			 * <P><p>Poznámka:</p> Pri takomto orezávaní nie je na všetkých
			 * platformách a/alebo implementáciách virtuálneho stroja Javy
			 * dostupná funkcia anti-aliasingu, čo zjednodušene povedané
			 * znamená, že okraje orezanej kresby budú „zúbkaté“. Ak sa chcete
			 * tejto nedokonalosti vyhnúť, použite radšej funkciu
			 * {@linkplain Plátno#použiMasku masky}. Tá dovoľuje ovplyvňovať
			 * úroveň priehľadnosti s jemnosťou na jednotlivé body rastra.
			 * 
			 *  @param tvar  tvar ({@link Shape Shape}) alebo {@link Oblasť
			 *      Oblasť}
			 *  @see Plátno#kresliDo(Shape)
			 *  @see Obrázok#kresliDo(Shape)
			 *  @see #kresliVšade()
			 *  @see #nekresliDo(Shape)
			 */
			public void kresliDo(Shape tvar)
			{
				if (obrázokAktívnehoPlátna instanceof Obrázok)
					((Obrázok)obrázokAktívnehoPlátna).kresliDo(tvar);
				else if (null != tvar)
					grafikaAktívnehoPlátna.clip(tvar);
			}

			// <stroke>Pomocná súkromná metóda na vytvorenie
			// negatívneho orezania oblasti</stroke>

			/**
			 * Vytvára obmedzenie na kreslenie na aktívne plátno robota
			 * (podlahu, strop alebo obrázok, do ktorého má robot
			 * presmerované kreslenie). Funguje rovnako ako metóda {@link
			 * #kresliDo(Shape) kresliDo}, ibaže obrátene – kreslenie je
			 * možné všade, okrem zadaného tvaru alebo {@linkplain Oblasť
			 * oblasti}.
			 * 
			 * <P>Rovnako ako pri metóde {@link #kresliDo(Shape) kresliDo},
			 * sa aj toto obmedzenie kombinuje s aktuálnymi obmedzeniami na
			 * kreslenie a je platné pre všetkých robotov.
			 * 
			 * <P><p>Poznámka:</p> Pri takomto orezávaní nie je na všetkých
			 * platformách a/alebo implementáciách virtuálneho stroja Javy
			 * dostupná funkcia anti-aliasingu, čo zjednodušene povedané
			 * znamená, že okraje orezanej kresby budú „zúbkaté“. Ak sa chcete
			 * tejto nedokonalosti vyhnúť, použite radšej funkciu
			 * {@linkplain Plátno#použiMasku masky}. Tá dovoľuje ovplyvňovať
			 * úroveň priehľadnosti s jemnosťou na jednotlivé body rastra.
			 * 
			 *  @param tvar  tvar ({@link Shape Shape}) alebo {@link Oblasť
			 *      Oblasť}
			 *  @see Plátno#nekresliDo(Shape)
			 *  @see Obrázok#nekresliDo(Shape)
			 *  @see #kresliDo(Shape)
			 *  @see #kresliVšade()
			 */
			public void nekresliDo(Shape tvar)
			{
				if (obrázokAktívnehoPlátna instanceof Obrázok)
					((Obrázok)obrázokAktívnehoPlátna).nekresliDo(tvar);
				else if (null != tvar)
				{
					Shape clip = grafikaAktívnehoPlátna.getClip();
					if (null == clip) clip = new Rectangle.
						Double(0, 0, šírkaPlátna, výškaPlátna);
					Area oblasťA = new Area(clip);
					Area oblasťB = new Area(tvar);
					oblasťA.subtract(oblasťB);
					grafikaAktívnehoPlátna.setClip(oblasťA);
				}
			}


		// Interaktívny režim

			/**
			 * Táto metóda je automaticky používaná {@linkplain
			 * Svet#interaktívnyRežim(boolean) interaktívnym režimom},
			 * ale umožňuje používať príkazy dostupné v interaktívnom
			 * režime aj za hranicami tohto režimu.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * @param príkaz príkazový riadok spĺňajúci pravidlá uvedené
			 * {@linkplain Svet#interaktívnyRežim(boolean) tu}
			 * @return {@code valtrue} ak bol príkaz nájdený a podarilo
			 * sa ho vykonať
			 * @see Svet#vykonajPríkaz(String)
			 * @see Plátno#vykonajPríkaz(String)
			 * @see GRobot#interaktívnyRežim(boolean)
			 * @see Svet#interaktívnyRežim(boolean)
			 * @see Plátno#interaktívnyRežim(boolean)
			 * @see Svet#režimLadenia(boolean)
			 *  @throws GRobotException  ak bolo vykonávanie príkazu zrušené
			 *  @throws IllegalAccessException  ak metóda, s ktorou súvisí
			 *      vykonávanie príkazu nie je dostupná (verejná)
			 *  @throws IllegalArgumentException  ak niektorý z argumentov
			 *      metódy, s ktorou súvisí vykonávanie príkazu nie je
			 *      požadovaného typu, ani ho na neho nie je možné previesť
			 *  @throws InvocationTargetException  ak pri vykonávní metódy,
			 *      s ktorou súvisí vykonávanie príkazu vznikla výnimka
			 */
			public boolean vykonajPríkaz(String príkaz)
			{
				Class<? extends GRobot> tátoTrieda = this.getClass();
				// Táto metóda síce volá súkromnú metódu sveta, ale zadaný
				// príkaz je vykonaný pre túto triedu a inštanciu:
				if (Svet.vykonajPríkaz(príkaz, tátoTrieda, this)) return true;
				// Pre statické členy tejto triedy:
				if (Svet.vykonajPríkaz(príkaz, tátoTrieda, null)) return true;
				// A pre inštanciu súboru robota:
				if (Svet.vykonajPríkaz(príkaz, Súbor.class, súbor)) return true;
				return Svet.vykonajPríkaz(príkaz, Súbor.class, null);
			}

			/** <a class="alias"></a> Alias pre {@link #vykonajPríkaz(String) vykonajPríkaz}. */
			public boolean vykonajPrikaz(String príkaz)
			{ return vykonajPríkaz(príkaz); }

			/**
			 * Zapne alebo vypne interaktívny režim pre tohto robota.
			 * Pozri: {@link Svet#interaktívnyRežim(boolean)
			 * Svet.interaktívnyRežim(zapni)}.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * @param zapni ak je {@code valtrue}, režim bude pre tohto robota
			 * zapnutý, inak bude vypnutý
			 * @see Svet#interaktívnyRežim(boolean)
			 * @see Plátno#interaktívnyRežim(boolean)
			 * @see Svet#režimLadenia(boolean)
			 */
			public void interaktívnyRežim(boolean zapni)
			{
				if (zapni)
				{
					if (!interaktívnyRežim)
					{
						interaktívnyRežim = true;
						if (0 == početVInteraktívnomRežime)
							Svet.neskrývajVstupnýRiadok(true);
						++početVInteraktívnomRežime;
					}
				}
				else
				{
					if (interaktívnyRežim)
					{
						interaktívnyRežim = false;
						--početVInteraktívnomRežime;
						if (0 == početVInteraktívnomRežime)
							Svet.skrývajVstupnýRiadok(true);
					}
				}
			}

			/** <a class="alias"></a> Alias pre {@link #interaktívnyRežim(boolean) interaktívnyRežim}. */
			public void interaktivnyRezim(boolean zapni)
			{ interaktívnyRežim(zapni); }

			/**
			 * Zistí stav interaktívneho režimu pre tohto robota.
			 * Pozri: {@link Svet#interaktívnyRežim(boolean)
			 * Svet.interaktívnyRežim(zapni)}.
			 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
			 * @return stav režimu pre tohto robota
			 */
			public boolean interaktívnyRežim() { return interaktívnyRežim; }

			/** <a class="alias"></a> Alias pre {@link #interaktívnyRežim() interaktívnyRežim}. */
			public boolean interaktivnyRezim() { return interaktívnyRežim; }


	// ***************************************** //
	// ***  Definície vnorených tried Robota *** //
	// ***************************************** //

	/*
		GRobot definuje nasledujúce vnorené triedy:

			Svet
			Plátno
			Súbor
			Obrázok
			Oblasť
			PoložkaPonuky
			Tlačidlo
			Farba
			Písmo
			Zvuk
			Zoznam
			Kláves
			Schránka
			ÚdajeUdalostí
			ObsluhaUdalostí

		Z nich Svet, Plátno a Súbor majú z dôvodu lepšej orientácie v rámci
		zdrojového kódu o niečo podrobnejšiu organizáciu než ostatné.
	*/


	// --------------------- //
	//  *** Trieda Svet ***  //
	// --------------------- //

	/*
		Organizácia metód

			vlastnosti a funkcie sveta
				verzia
				hlavný robot a všetci roboti
				rozmery
				okraje
				viditeľnosť, upevnenie a zbalenie
				viacnásobná obsluha udalostí
				vymazanie
				výplň
				kreslenie tvarov
				priehľadnosť plátien
				automatické prekresľovanie
				hlavná ponuka
				text na riadky
				ikona, kurzory a ukončenie
				systémové

			vstupy, výstupy a náhodné čísla
				čítanie údajov cez dialógy
				úprava údajov cez dialógy
				dialógy – správy/otázky
				úvodná obrazovka
				vstupný riadok
				vnútorná konzola
				náhodné ćísla

			obrázky
				výška/šírka
				čítanie
				kreslenie
				ukladanie

			farba a písmo
				písmo
				farba textu
				farba pozadia
				farba bodu

			zvuky
				čítanie
				prehrávanie
				pípnutie

			časovač
				práca s časovačom
				čakanie

			rozmery hlavného okna

			celá obrazovka

			vlnenie

	*/

	/**
	 * Trieda, ktorá spája metódy obsluhujúce hlavné okno so statickými
	 * metódami rôzneho významu.
	 * 
	 * <P>Majiteľom sveta je {@linkplain #hlavnýRobot() hlavný robot}. Je to
	 * prvý vytvorený robot, ktorý má o niečo vyššie postavenie oproti
	 * ostatným robotom. Poskytuje alternatívu k definovaniu {@linkplain
	 * ObsluhaUdalostí obsluhy udalostí} a implicitne riadi niektoré procesy.
	 * 
	 * <P>Vo svete grafického robota jestvujú dve kresliace {@linkplain Plátno
	 * plátna} (podlaha a strop), na ktoré môžu roboty kresliť. Svet umožňuje
	 * (okrem iného) napríklad prácu s {@linkplain #obrázok(String) obrázkami},
	 * {@linkplain #zvuk(String) zvukmi}, {@linkplain #čítajReťazec(String)
	 * vstupmi} a {@linkplain #vypíšRiadok(Object[]) výstupmi} údajov,
	 * {@linkplain #náhodnéReálneČíslo() náhodnými číslami} a {@linkplain
	 * #spustiČasovač(double) časovačom}, ktorý požadujú niektoré
	 * {@linkplain GRobot#aktivuj() aktivity} robotov.
	 * 
	 * <P>Niektoré príkazy sveta sú zhromaždené v nasledujúcom jednoduchom
	 * príklade hry na ozvenu – všetko, čo používateľ zadá do vstupného
	 * riadka a potvrdí klávesom {@code Enter}, sa zopakuje vypísaním na
	 * obrazovku:
	 * 
	 * <pre CLASS="example">
		{@code currSvet}.{@link #skry() skry}();
		{@code currSvet}.{@link #začniVstup() začniVstup}();
		{@code currSvet}.{@link #neskrývajVstupnýRiadok() neskrývajVstupnýRiadok}();
		{@code currSvet}.{@link #vymažPonuku() vymažPonuku}();
		{@code currSvet}.{@link #zobraz() zobraz}();
		{@code currSvet}.{@link #farbaTextu(java.awt.Color) farbaTextu}({@link GRobot#hnedá hnedá});
		{@code currSvet}.{@link #vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Hra na ozvenu…"}, {@link GRobot#riadok riadok});
		{@code currSvet}.{@link #farbaTextu(java.awt.Color) farbaTextu}({@link GRobot#tmavotyrkysová tmavotyrkysová});

		{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
		{
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#potvrdenieÚdajov() potvrdenieÚdajov}()
			{
				{@code currSvet}.{@link #vypíšRiadok(Object[]) vypíšRiadok}({@code srg"  Ozvena:"}, {@code currSvet}.{@link #prevezmiReťazec() prevezmiReťazec}());
			}
		};
		</pre>
	 * 
	 * <P>Nasledujúci rozsiahlejší príklad ukazuje implementáciu primitívneho
	 * prehliadača obrázkov:
	 * 
	 * <pre CLASS="example">
		{@code kwdimport} knižnica.{@link GRobot GRobot};

		{@code kwdpublic} {@code typeclass} PrehliadačObrázkov {@code kwdextends} {@link GRobot GRobot}
		{
			{@code comm// Názov práve prehliadaného obrázka}
			{@code kwdprivate} {@link String String}   obrázok = {@code valnull};

			{@code comm// Zoznam obrázkov prečítaný z priečinka}
			{@code kwdprivate} {@link String String}[] zoznam  = {@code valnull};

			{@code comm// Index posledného obrázka zobrazeného zo zoznamu}
			{@code kwdprivate} {@code typeint} index = &#45;{@code num1};

			{@code comm// Konštruktor}
			{@code kwdprivate} PrehliadačObrázkov()
			{
				{@code comm// Nastavenie rozmerov plátna na rozmery prvého zobrazovacieho}
				{@code comm// zariadenia (prvého monitora)}
				{@code valsuper}({@code currSvet}.{@link Svet#šírkaZariadenia() šírkaZariadenia}(), {@code currSvet}.{@link Svet#výškaZariadenia() výškaZariadenia}());
			}

			{@code comm// Metóda slúžiaca na upravenie mierky obrázka podľa}
			{@code comm// rozmerov viditeľnej časti plátna}
			{@code kwdpublic} {@code typevoid} upravMierku()
			{
				{@code kwdif} ({@code valnull} != obrázok)
				{
					{@code kwdif} ({@code currSvet}.{@link Svet#šírkaObrázka(String) šírkaObrázka}(obrázok) &gt; {@code currSvet}.{@link Svet#viditeľnáŠírka() viditeľnáŠírka}())
						{@link GRobot#veľkosť(double) veľkosť}({@code currSvet}.{@link Svet#viditeľnáŠírka() viditeľnáŠírka}());
					{@code kwdelse}
						{@link GRobot#veľkosť(double) veľkosť}({@code currSvet}.{@link Svet#šírkaObrázka(String) šírkaObrázka}(obrázok));

					{@code kwdif} ({@link GRobot#veľkosť() veľkosť}() * {@code currSvet}.{@link Svet#výškaObrázka(String) výškaObrázka}(obrázok) /
						{@code currSvet}.{@link Svet#šírkaObrázka(String) šírkaObrázka}(obrázok) &gt; {@code currSvet}.{@link Svet#viditeľnáVýška() viditeľnáVýška}())
						{@link GRobot#veľkosť(double) veľkosť}({@code currSvet}.{@link Svet#šírkaObrázka(String) šírkaObrázka}(obrázok) *
							{@code currSvet}.{@link Svet#viditeľnáVýška() viditeľnáVýška}() / {@code currSvet}.{@link Svet#výškaObrázka(String) výškaObrázka}(obrázok));
				}
			}

			{@code comm// Nastavenie nového prehliadaného obrázka}
			{@code kwdpublic} {@code typeboolean} nastavObrázok({@link String String} názov)
			{
				{@code kwdif} ({@code valnull} != (obrázok = názov))
				{
					názov = názov.{@link String#toLowerCase() toLowerCase}();

					{@code kwdif} (názov.{@link String#endsWith(String) endsWith}({@code srg".png"}) || názov.{@link String#endsWith(String) endsWith}({@code srg".jpeg"}) ||
						názov.{@link String#endsWith(String) endsWith}({@code srg".jpg"}))
					{
						{@link GRobot#veľkosť(double) veľkosť}({@code currSvet}.{@link Svet#šírkaObrázka(String) šírkaObrázka}(obrázok));
						{@link GRobot#vlastnýTvar(String) vlastnýTvar}(obrázok);
						upravMierku();
						{@code kwdreturn} {@code valtrue};
					}
				}

				{@link GRobot#predvolenýTvar(boolean) predvolenýTvar}({@code valfalse});
				{@link GRobot#veľkosť(double) veľkosť}({@code num10});
				{@code kwdreturn} {@code valfalse};
			}

			{@code comm// Metóda slúžiaca na cyklické prehliadanie všetkých obrázkov v priečinku}
			{@code kwdpublic} {@code typevoid} prehliadaj()
			{
				{@code kwdif} ({@code valnull} == zoznam)
					nastavObrázok({@code valnull});
				{@code kwdelse}
				{
					{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; zoznam.length; ++i)
					{
						{@code kwdif} (++index &gt;= zoznam.length) index = {@code num0};
						{@code kwdif} (nastavObrázok(zoznam[index])) {@code kwdbreak};
					}
				}
			}

			{@code comm// Uvoľnenie ľubovoľného klávesu bude znamenať prehliadanie nasledujúceho}
			{@code comm// obrázka}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#uvoľnenieKlávesu() uvoľnenieKlávesu}()
			{
				prehliadaj();
			}

			{@code comm// Zmena veľkosti okna bude mať za následok upravenie mierky prehliadaného}
			{@code comm// obrázka}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#zmenaVeľkostiOkna() zmenaVeľkostiOkna}()
			{
				upravMierku();
			}

			{@code comm// Pustenie súboru (priečinka) nad plátnom bude mať za následok spustenie}
			{@code comm// prehliadania}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#pustenieSúboru(String) pustenieSúboru}({@link String String} súbor)
			{
				{@code comm// Ak je pustený „súbor“ (resp. položka) priečinok, tak sa spustí}
				{@code comm// prehliadanie priečinka (ak táto akcia náhodou zlyhá, tak metóda}
				{@code comm// prehliadaj sa automaticky postará o to, aby bol zobrazený dutý}
				{@code comm// robot s veľkosťou 10)}
				{@code kwdif} ({@link Súbor Súbor}.{@link Súbor#jePriečinok(String) jePriečinok}(súbor))
				{
					{@code kwdtry}
					{
						{@code currSvet}.{@link Svet#priečinokObrázkov(String) priečinokObrázkov}(súbor);
						zoznam = {@link Súbor Súbor}.{@link Súbor#zoznamSúborov(String) zoznamSúborov}(súbor);
					}
					{@code kwdcatch} ({@link Exception Exception} e)
					{
						{@code currSvet}.{@link Svet#správa(String) správa}(e.{@link Exception#getMessage() getMessage}());
						zoznam = {@code valnull};
					}
					prehliadaj();
				}
				{@code comm// V opačnom prípade sa zoznam vymaže a prehliadač sa zadanú položku}
				{@code comm// pokúsi spracovať ako individuálny obrázok (jeho zobrazenie však}
				{@code comm// potrvá len do najbližšieho stlačenia, resp. uvoľnenia, klávesu; na}
				{@code comm// zabezpečenie inteligentnejšieho správania by bolo potrebné}
				{@code comm// implementovať inteligentnejší mechanizmus prehliadania)}
				{@code kwdelse}
				{
					zoznam = {@code valnull};
					nastavObrázok(súbor);
				}
			}

			{@code comm// Hlavná metóda}
			{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
			{
				{@code kwdnew} PrehliadačObrázkov();
			}
		}
		</pre>
	 * 
	 *  @see javax.swing.JFrame
	 */
	@SuppressWarnings("serial")
	public final static class Svet extends JFrame
	{
		// Pozri aj: https://docs.oracle.com/javase/8/docs/api/javax/swing/JFrame.html

		// Nie je možné vytvárať inštancie sveta
		private Svet() { super(); setFont(predvolenéPísmoKonzoly); }

	// --- Vlastnosti sveta


		// Verzia

		/**
		 * Porovná aktuálnu verziu robota so zadanou.
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@code kwdif} ({@link Svet Svet}.{@code currverzia}({@code num1}, {@code num50}) &lt; {@code num0})
			{
				{@link Svet Svet}.{@link Svet#pípni() pípni}();
				{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Na fungovanie tejto aplikácie\n"} +
					{@code srg"je potrebná vyššia verzia triedy GRobot!\n"} +
					{@code srg"(Najmenej 1.50)"});
				{@link Svet Svet}.{@link Svet#koniec() koniec}();
			}
			</pre>
		 *  @return ak je zadaná verzia zhodná s aktuálnou, je vrátená
		 *      hodnota 0; ak je aktuálna verzia nižšia, než zadaná, je
		 *      vrátená záporná hodnota, inak kladná
		 */
		public static int verzia(int hlavná, int vedľajšia)
		{
			return
				(majorVersion * 100 + minorVersion) -
				(hlavná * 100 + vedľajšia);
		}


		// hlavný robot a všetci roboti

		/**
		 * <a class="getter"></a> Vráti hlavného robota. Hlavný robot je
		 * predvolene prvý vytvorený robot. Tento robot je považovaný za
		 * vlastníka sveta. On asistuje pri vytvorení okna aplikácie,
		 * pomocou neho sú spracované niektoré úlohy… O svoje privilégium
		 * by mohol prísť jedine v prípade, že by bol (pravdepodobne omylom)
		 * {@linkplain #uvoľni(GRobot) uvoľnený}. V takom prípade by bol
		 * nahradený najbližším definovaným robotom s posunutím všetkých
		 * privilégií jemu. Problém by mohol nastať, keby nebol k dispozícii
		 * žiadny ďalší robot, ktorý by ho nahradil.
		 * 
		 *  @return hlavný (prvý) robot
		 */
		public static GRobot hlavnýRobot() { return hlavnýRobot; }

		/** <a class="alias"></a> Alias pre {@link #hlavnýRobot() hlavnýRobot}. */
		public static GRobot hlavnyRobot() { return hlavnýRobot; }


		/**
		 * Spustením tejto metódy sa pre každého robota (podľa ich
		 * aktuálneho poradia) vykoná reakcia {@link
		 * GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy} bez určenia
		 * autora výzvy (autor je rovný {@code valnull}) a s hodnotou
		 * argumentu {@code kľúč} rovnou {@code -}{@code num1}. Prvotné
		 * poradie robotov je určené poradím ich vytvorenia (čiže ak sme
		 * nijako neovplyvnili poradie robotov, je prvý vyzvaný ten robot,
		 * ktorý bol vytvorený ako prvý, to jest robot, ktorý je nakreslený
		 * pod všetkými ostatnými robotmi). Dodatočne môžeme poradie
		 * ovplyvniť volaním metód {@link GRobot#naVrch() naVrch}, {@link
		 * GRobot#naSpodok() naSpodok}, {@link GRobot#vyššie() vyššie},
		 * {@link GRobot#nižšie() nižšie}, {@link GRobot#pred(GRobot) pred}
		 * a {@link GRobot#za(GRobot) za}.
		 * 
		 * <P><b>Poznámka:</b> Ak je poradie robotov zmenené počas
		 * {@linkplain GRobot#prijatieVýzvy(GRobot, int) spracovania
		 * výzviev}, dôjde z technických príčin k opätovnému spusteniu
		 * posielania výziev (inak povedané – posielanie výziev sa
		 * „reštartuje“). To znamená, že niektorí roboti budú vyzvaní dva
		 * alebo viac ráz. Buďte preto opatrní so zmenami poradia v rámci
		 * spracovania výziev, aby ste nespôsobili vznik nekonečného cyklu…
		 * (Rovnaký efekt má prípadné vytvorenie nového robota, resp.
		 * ľubovoľnej inštancie triedy odvodenej od robota.)
		 * 
		 * <P><b>Poznámka 2:</b> Mechanizmus výziev nie je taký efektívny
		 * ako definícia vlastného {@linkplain Zoznam zoznamu robotov}
		 * (prípadne inštancií odvodených tried) a vykonanie hromadnej akcie
		 * pomocou tohto zoznamu. Slúži predovšedkým na umožnenie hromadného
		 * spracovania bez nevyhnutnosti vytvárania takého zoznamu (napríklad
		 * pri malom počte robotov alebo predtým, než sa programátor
		 * podrobnejšie oboznámi s možnosťami zoznamov).
		 * 
		 *  @see GRobot#prijatieVýzvy(GRobot, int)
		 *  @see #vyzviRobotov(int)
		 *  @see #vyzviRobotov(int, boolean)
		 *  @see GRobot#vyzviRobotov()
		 */
		public static void vyzviRobotov()
		{
			if (zámokZoznamuRobotov2)
			{
				System.err.println("Zdvojená " +
					"výzva bola zamietnutá!");
			}
			else
			{
				zámokZoznamuRobotov2 = true;

				boolean reštart;
				do {
					zoznamZmenený2 = false;
					reštart = false;
					for (GRobot tento : zoznamRobotov)
					{
						tento.prijatieVýzvy(null, -1);
						tento.prijatieVyzvy(null, -1);
						if (zoznamZmenený2)
						{
							reštart = true;
							break;
						}
					}
				} while (reštart);

				zámokZoznamuRobotov2 = false;
				zlúčiťZoznamy();
			}
		}

		/**
		 * Spustením tejto metódy sa pre každého robota (podľa ich
		 * aktuálneho poradia) vykoná reakcia {@link
		 * GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy} bez určenia
		 * autora výzvy (autor je rovný {@code valnull}). Pomocou argumentu
		 * {@code kľúč} môžeme odlišovať rôzne druhy výziev a ovplyvňovať
		 * tým správanie reakcie {@link GRobot#prijatieVýzvy(GRobot, int)
		 * prijatieVýzvy}. Prvotné poradie robotov je určené poradím ich
		 * vytvorenia (čiže ak sme nijako neovplyvnili poradie robotov, je
		 * prvý vyzvaný ten robot, ktorý bol vytvorený ako prvý, to jest
		 * robot, ktorý je nakreslený pod všetkými ostatnými robotmi).
		 * Dodatočne môžeme poradie ovplyvniť volaním metód
		 * {@link GRobot#naVrch() naVrch}, {@link GRobot#naSpodok()
		 * naSpodok}, {@link GRobot#vyššie() vyššie}, {@link GRobot#nižšie()
		 * nižšie}, {@link GRobot#pred(GRobot) pred} a {@link
		 * GRobot#za(GRobot) za}.
		 * 
		 * <P><b>Poznámka:</b> Ak je poradie robotov zmenené počas
		 * {@linkplain GRobot#prijatieVýzvy(GRobot, int) spracovania
		 * výzviev}, dôjde z technických príčin k opätovnému spusteniu
		 * posielania výziev (inak povedané – posielanie výziev sa
		 * „reštartuje“). To znamená, že niektorí roboti budú vyzvaní dva
		 * alebo viac ráz. Buďte preto opatrní so zmenami poradia v rámci
		 * spracovania výziev, aby ste nespôsobili vznik nekonečného
		 * cyklu… (Rovnaký efekt má prípadné vytvorenie nového robota,
		 * resp. ľubovoľnej inštancie triedy odvodenej od robota.)
		 * 
		 * <P><b>Poznámka 2:</b> Mechanizmus výziev nie je taký efektívny
		 * ako definícia vlastného {@linkplain Zoznam zoznamu robotov}
		 * (prípadne inštancií odvodených tried) a vykonanie hromadnej akcie
		 * pomocou tohto zoznamu. Slúži predovšedkým na umožnenie hromadného
		 * spracovania bez nevyhnutnosti vytvárania takého zoznamu (napríklad
		 * pri malom počte robotov alebo predtým, než sa programátor
		 * podrobnejšie oboznámi s možnosťami zoznamov).
		 * 
		 *  @param kľúč  celočíselná hodnota, ktorá je poslaná do reakcie
		 *      {@link GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy}
		 *      každého robota; takto je možné odlíšiť rôzne druhy výziev,
		 *      vďaka čomu môžeme ovplyvniť správanie reakcie {@link
		 *      GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy}
		 * 
		 *  @see GRobot#prijatieVýzvy(GRobot, int)
		 *  @see #vyzviRobotov()
		 *  @see #vyzviRobotov(int, boolean)
		 *  @see GRobot#vyzviRobotov(int)
		 */
		public static void vyzviRobotov(int kľúč)
		{
			if (zámokZoznamuRobotov2)
			{
				System.err.println("Zdvojená " +
					"výzva bola zamietnutá!");
			}
			else
			{
				zámokZoznamuRobotov2 = true;

				boolean reštart;
				do {
					zoznamZmenený2 = false;
					reštart = false;
					for (GRobot tento : zoznamRobotov)
					{
						tento.prijatieVýzvy(null, kľúč);
						tento.prijatieVyzvy(null, kľúč);
						if (zoznamZmenený2)
						{
							reštart = true;
							break;
						}
					}
				} while (reštart);

				zámokZoznamuRobotov2 = false;
				zlúčiťZoznamy();
			}
		}

		/**
		 * Spustením tejto metódy sa pre každého robota (podľa ich
		 * aktuálneho poradia) vykoná reakcia {@link
		 * GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy} bez určenia
		 * autora výzvy (autor je rovný {@code valnull}). Pomocou argumentu
		 * {@code kľúč} môžeme odlišovať rôzne druhy výziev a ovplyvňovať
		 * tým správanie reakcie {@link GRobot#prijatieVýzvy(GRobot, int)
		 * prijatieVýzvy}. Argument {@code obrátene} určuje smer
		 * spracovania. Ak je rovný {@code valtrue}, zoznam robotov bude
		 * spracovaný od konca, to znamená, že prvý bude vyzvaný buď
		 * naposledny vytvorený robot, alebo robot aktuálne umiestnený na
		 * konci vnútorného zoznamu robotov. Záleží od toho, či sme
		 * dodatočne ovplyvňovali poradie robotov metódami {@link
		 * GRobot#naVrch() naVrch}, {@link GRobot#naSpodok() naSpodok},
		 * {@link GRobot#vyššie() vyššie}, {@link GRobot#nižšie() nižšie},
		 * {@link GRobot#pred(GRobot) pred} a {@link GRobot#za(GRobot) za}.
		 * Ak je hodnota argumentu {@code obrátene} rovná {@code valfalse},
		 * metóda sa správa rovnako ako {@link #vyzviRobotov(int)}.
		 * 
		 * <P><b>Poznámka:</b> Ak je poradie robotov zmenené počas
		 * {@linkplain GRobot#prijatieVýzvy(GRobot, int) spracovania
		 * výzviev}, dôjde z technických príčin k opätovnému spusteniu
		 * posielania výziev (inak povedané – posielanie výziev sa
		 * „reštartuje“). To znamená, že niektorí roboti budú vyzvaní dva
		 * alebo viac ráz. Buďte preto opatrní so zmenami poradia v rámci
		 * spracovania výziev, aby ste nespôsobili vznik nekonečného
		 * cyklu… (Rovnaký efekt má prípadné vytvorenie nového robota,
		 * resp. ľubovoľnej inštancie triedy odvodenej od robota.)
		 * 
		 * <P><b>Poznámka 2:</b> Mechanizmus výziev nepovažujeme za taký
		 * efektívny ako je definícia vlastného {@linkplain Zoznam zoznamu
		 * robotov} (prípadne inštancií odvodených tried) a nasledujúce
		 * vykonanie hromadnej akcie pomocou tohto vlastného zoznamu. Výzvy
		 * slúžia predovšedkým na umožnenie hromadného spracovania bez
		 * nevyhnutnosti vytvárania takého zoznamu (napríklad v prípade, keď
		 * nepovažujeme vytvorenie vlastného zoznamu za významný prínos,
		 * alebo predtým, než sa programátor podrobnejšie oboznámi
		 * s možnosťami zoznamov).
		 * 
		 *  @param kľúč  celočíselná hodnota, ktorá je poslaná do reakcie
		 *      {@link GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy}
		 *      každého robota; takto je možné odlíšiť rôzne druhy výziev,
		 *      vďaka čomu môžeme ovplyvniť správanie reakcie {@link
		 *      GRobot#prijatieVýzvy(GRobot, int) prijatieVýzvy}
		 *  @param obrátene  týmto argumentom môžeme ovplyvniť smer
		 *      spracovania;
		 *      {@code valtrue} znamená spracovanie vnútorného zoznamu
		 *      robotov od konca; {@code valfalse} znamená rovnaký spôsob
		 *      spracovania ako pri metóde {@link #vyzviRobotov(int)}
		 * 
		 *  @see GRobot#prijatieVýzvy(GRobot, int)
		 *  @see #vyzviRobotov()
		 *  @see #vyzviRobotov(int)
		 *  @see GRobot#vyzviRobotov(int, boolean)
		 */
		public static void vyzviRobotov(int kľúč, boolean obrátene)
		{
			if (zámokZoznamuRobotov2)
			{
				System.err.println("Zdvojená " +
					"výzva bola zamietnutá!");
			}
			else
			{
				zámokZoznamuRobotov2 = true;

				if (obrátene)
				{
					boolean reštart;
					do {
						zoznamZmenený2 = false;
						reštart = false;
						for (int i = zoznamRobotov.size() - 1; i >= 0; --i)
						{
							GRobot tento = zoznamRobotov.get(i);
							tento.prijatieVýzvy(null, kľúč);
							tento.prijatieVyzvy(null, kľúč);
							if (zoznamZmenený2)
							{
								reštart = true;
								break;
							}
						}
					} while (reštart);
				}
				else
				{
					boolean reštart;
					do {
						zoznamZmenený2 = false;
						reštart = false;
						for (GRobot tento : zoznamRobotov)
						{
							tento.prijatieVýzvy(null, kľúč);
							tento.prijatieVyzvy(null, kľúč);
							if (zoznamZmenený2)
							{
								reštart = true;
								break;
							}
						}
					} while (reštart);
				}

				zámokZoznamuRobotov2 = false;
				zlúčiťZoznamy();
			}
		}


		// Rozmery

		/**
		 * <a class="getter"></a> Zistí najmenšiu x-ovú súradnicu sveta.
		 * Plátna podlahy a stropu majú obmedzenú veľkosť, ktorá je o niečo
		 * väčšia ako predvolená veľkosť okna aplikácie.
		 * 
		 *  @return najmenšia x-ová súradnica plátien
		 *  @see #najväčšieX()
		 *  @see #najmenšieY()
		 *  @see #najväčšieY()
		 */
		public static double najmenšieX() { return -šírkaPlátna / 2; }

		/** <a class="alias"></a> Alias pre {@link #najmenšieX() najmenšieX}. */
		public static double najmensieX() { return -šírkaPlátna / 2; }

		/**
		 * <a class="getter"></a> Zistí najmenšiu y-ovú súradnicu sveta. Plátna podlahy
		 * a stropu majú obmedzenú veľkosť, ktorá je o niečo väčšia ako
		 * predvolená veľkosť okna aplikácie.
		 * 
		 *  @return najmenšia y-ová súradnica plátien
		 *  @see #najmenšieX()
		 *  @see #najväčšieX()
		 *  @see #najväčšieY()
		 */
		public static double najmenšieY() { return -(výškaPlátna - 1) / 2; }

		/** <a class="alias"></a> Alias pre {@link #najmenšieY() najmenšieY}. */
		public static double najmensieY() { return -(výškaPlátna - 1) / 2; }

		/**
		 * <a class="getter"></a> Zistí najväčšiu x-ovú súradnicu sveta. Plátna podlahy
		 * a stropu majú obmedzenú veľkosť, ktorá je o niečo väčšia ako
		 * predvolená veľkosť okna aplikácie.
		 * 
		 *  @return najväčšia x-ová súradnica plátien
		 *  @see #najmenšieX()
		 *  @see #najmenšieY()
		 *  @see #najväčšieY()
		 */
		public static double najväčšieX() { return (šírkaPlátna - 1) / 2; }

		/** <a class="alias"></a> Alias pre {@link #najväčšieX() najväčšieX}. */
		public static double najvacsieX() { return (šírkaPlátna - 1) / 2; }

		/**
		 * <a class="getter"></a> Zistí najväčšiu y-ovú súradnicu sveta. Plátna podlahy
		 * a stropu majú obmedzenú veľkosť, ktorá je o niečo väčšia ako
		 * predvolená veľkosť okna aplikácie.
		 * 
		 *  @return najväčšia y-ová súradnica plátien
		 *  @see #najmenšieX()
		 *  @see #najväčšieX()
		 *  @see #najmenšieY()
		 */
		public static double najväčšieY() { return výškaPlátna / 2; }

		/** <a class="alias"></a> Alias pre {@link #najväčšieY() najväčšieY}. */
		public static double najvacsieY() { return výškaPlátna / 2; }


		/**
		 * Zistí šírku plátien sveta.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return šírka plátien sveta
		 */
		public static int šírka() { return šírkaPlátna; }

		/** <a class="alias"></a> Alias pre {@link #šírka() šírka}. */
		public static int sirka() { return šírkaPlátna; }

		/**
		 * Zistí výšku plátien sveta.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return sýška plátien sveta
		 */
		public static int výška() { return výškaPlátna; }

		/** <a class="alias"></a> Alias pre {@link #šírka() šírka}. */
		public static int vyska() { return výškaPlátna; }

		/**
		 * Zistí viditeľnú šírku plátien sveta.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return viditeľná šírka plátien sveta
		 */
		public static int viditeľnáŠírka() { return hlavnýPanel.getWidth(); }

		/** <a class="alias"></a> Alias pre {@link #viditeľnáŠírka() viditeľnáŠírka}. */
		public static int viditelnaSirka() { return hlavnýPanel.getWidth(); }

		/**
		 * Zistí viditeľnú výšku plátien sveta.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return viditeľná výška plátien sveta
		 */
		public static int viditeľnáVýška() { return hlavnýPanel.getHeight(); }

		/** <a class="alias"></a> Alias pre {@link #viditeľnáVýška() viditeľnáVýška}. */
		public static int viditelnaVyska() { return hlavnýPanel.getHeight(); }

		// Rozmery a poloha hlavného okna

		/**
		 * Zistí šírku hlavného okna aplikácie.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return šírka hlavného okna aplikácie
		 */
		public static int šírkaOkna()
		{
			if (null != oknoCelejObrazovky)
				return oknoCelejObrazovky.getWidth();
			if (null != svet) return svet.getWidth();
			return počiatočnáŠírka;
		}

		/** <a class="alias"></a> Alias pre {@link #šírkaOkna() šírkaOkna}. */
		public static int sirkaOkna() { return šírkaOkna(); }

		/**
		 * Zistí výšku hlavného okna aplikácie.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return výška hlavného okna aplikácie
		 */
		public static int výškaOkna()
		{
			if (null != oknoCelejObrazovky)
				return oknoCelejObrazovky.getHeight();
			if (null != svet) return svet.getHeight();
			return počiatočnáŠírka;
		}

		/** <a class="alias"></a> Alias pre {@link #výškaOkna() výškaOkna}. */
		public static int vyskaOkna() { return výškaOkna(); }


		// Okraje

		/**
		 * <a class="getter"></a> Zistí najmenšiu aktuálne viditeľnú x-ovú súradnicu
		 * plátien (podlahy alebo stropu).
		 * 
		 *  @return najmenšia viditeľná x-ová súradnica plátien
		 *  @see #pravýOkraj()
		 *  @see #spodnýOkraj()
		 *  @see #vrchnýOkraj()
		 */
		public static double ľavýOkraj()
		{
			int súradnica = -hlavnýPanel.getWidth() / 2;

			if (súradnica < (-šírkaPlátna / 2))
				return -šírkaPlátna / 2;

			return súradnica;
		}

		/** <a class="alias"></a> Alias pre {@link #ľavýOkraj() ľavýOkraj}. */
		public static double lavyOkraj() { return ľavýOkraj(); }

		/**
		 * <a class="getter"></a> Zistí najmenšiu aktuálne viditeľnú y-ovú súradnicu
		 * plátien (podlahy alebo stropu).
		 * 
		 *  @return najmenšia viditeľná y-ová súradnica plátien
		 *  @see #ľavýOkraj()
		 *  @see #pravýOkraj()
		 *  @see #vrchnýOkraj()
		 */
		public static double spodnýOkraj()
		{
			int súradnica = -(hlavnýPanel.getHeight() - 1) / 2;

			if (súradnica < (-(výškaPlátna - 1) / 2))
				return -(výškaPlátna - 1) / 2;

			return súradnica;
		}

		/** <a class="alias"></a> Alias pre {@link #spodnýOkraj() spodnýOkraj}. */
		public static double spodnyOkraj() { return spodnýOkraj(); }

		/** <a class="alias"></a> Alias pre {@link #spodnýOkraj() spodnýOkraj}. */
		public static double dolnýOkraj() { return spodnýOkraj(); }

		/** <a class="alias"></a> Alias pre {@link #dolnýOkraj() dolnýOkraj}. */
		public static double dolnyOkraj() { return spodnýOkraj(); }

		/**
		 * <a class="getter"></a> Zistí najväčšiu aktuálne viditeľnú x-ovú súradnicu
		 * plátien (podlahy alebo stropu).
		 * 
		 *  @return najväčšia viditeľná x-ová súradnica plátien
		 *  @see #ľavýOkraj()
		 *  @see #spodnýOkraj()
		 *  @see #vrchnýOkraj()
		 */
		public static double pravýOkraj()
		{
			int súradnica = (hlavnýPanel.getWidth() - 1) / 2;

			if (súradnica > ((šírkaPlátna - 1) / 2))
				return (šírkaPlátna - 1) / 2;

			return súradnica;
		}

		/** <a class="alias"></a> Alias pre {@link #pravýOkraj() pravýOkraj}. */
		public static double pravyOkraj() { return pravýOkraj(); }

		/**
		 * <a class="getter"></a> Zistí najväčšiu aktuálne viditeľnú y-ovú súradnicu
		 * plátien (podlahy alebo stropu).
		 * 
		 *  @return najväčšia viditeľná y-ová súradnica plátien
		 *  @see #ľavýOkraj()
		 *  @see #pravýOkraj()
		 *  @see #spodnýOkraj()
		 */
		public static double vrchnýOkraj()
		{
			int súradnica = hlavnýPanel.getHeight() / 2;

			if (súradnica > (výškaPlátna / 2))
				return výškaPlátna / 2;

			return súradnica;
		}

		/** <a class="alias"></a> Alias pre {@link #vrchnýOkraj() vrchnýOkraj}. */
		public static double vrchnyOkraj() { return vrchnýOkraj(); }

		/** <a class="alias"></a> Alias pre {@link #vrchnýOkraj() vrchnýOkraj}. */
		public static double hornýOkraj() { return vrchnýOkraj(); }

		/** <a class="alias"></a> Alias pre {@link #hornýOkraj() hornýOkraj}. */
		public static double hornyOkraj() { return vrchnýOkraj(); }


		/**
		 * Upraví rozmery plátna sveta, podlahy a stropu, čo je komplexný
		 * proces, preto by mal byť vykonaný len vo výnimočných prípadoch!
		 * Tento proces má za následok prebudovanie grafických objektov sveta,
		 * stropu a podlahy (čo má za následok vymazanie ich grafického
		 * obsahu), ich opätovné priradenie grafickým robotom, aktualizáciu
		 * umiestnenia komponentov sveta (tlačidiel – pozri triedu
		 * {@link Tlačidlo Tlačidlo}), zrušenie úprav textov (pozri metódu
		 * {@link GRobot#upravText(String) upravText}), odstránenie
		 * prípadných definovaných inštancií {@linkplain Vlnenie vlnenia}
		 * oboch plátien aj sveta (pretože sa menia ich rozmery; prípadné
		 * definované vlnenia obrázkov zostanú zachované) a úpravu
		 * súradnicových systémov všetkých obrázkov knižnice.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param šírka nová šírka plátien
		 * @param výška nová výška plátien
		 * @see GRobot#GRobot(int, int)
		 * @see GRobot#GRobot(int, int, String)
		 */
		public static void zmeňRozmeryPlátien(int šírka, int výška)
		{
			Component komponenty[] = hlavnýPanel.getComponents();

			for (Component komponent : komponenty)
			{
				if (komponent instanceof Tlačidlo)
				{
					Tlačidlo tlačidlo = (Tlačidlo)komponent;
					tlačidlo.x += (šírka - šírkaPlátna) / 2;
					tlačidlo.y += (výška - výškaPlátna) / 2;
				}
				else if (komponent instanceof UpravText)
					((UpravText)komponent).ukončiÚpravu(
						SPÔSOB_DEAKTIVÁCIA);
			}

			šírkaPlátna = šírka;
			výškaPlátna = výška;
			prepočítajParametreVýplne();

			novéPlátna();
			for (Obrázok obrázok : zoznamObrázkovKnižnice)
				obrázok.upravPosun();

			// svet.doLayout();
		}

		/** <a class="alias"></a> Alias pre {@link #zmeňRozmeryPlátien(int, int) zmeňRozmeryPlátien}. */
		public static void zmenRozmeryPlatien(int šírka, int výška)
		{ zmeňRozmeryPlátien(šírka, výška); }

		/** <a class="alias"></a> Alias pre {@link #zmeňRozmeryPlátien(int, int) zmeňRozmeryPlátien}. */
		public static void upravRozmeryPlátien(int šírka, int výška)
		{ zmeňRozmeryPlátien(šírka, výška); }

		/** <a class="alias"></a> Alias pre {@link #zmeňRozmeryPlátien(int, int) zmeňRozmeryPlátien}. */
		public static void upravRozmeryPlatien(int šírka, int výška)
		{ zmeňRozmeryPlátien(šírka, výška); }


		// Viditeľnosť, upevnenie a zbalenie

		/**
		 * Zistí, či je hlavné okno (svet) viditeľné. Ak okno sveta ešte
		 * nebolo inicializované (to platí v prípade, keď ešte nebola
		 * vytvorená ani jedna inštancia robota, to znamená, že nejestvuje
		 * hlavný robot), metóda informuje o tom, či bude okno zobrazené hneď
		 * po inicializácii. (Ak nie, znamená to, že sme volali metódu
		 * {@link #skry() skry}, prípadne niektorú z verzií metódy {@link
		 * #zobrazÚvodnúObrazovku(Image) zobrazÚvodnúObrazovku}. V tom
		 * prípade musíme po inicializácii okno zobraziť metódou {@link
		 * #zobraz() zobraz}, prípadne metódou {@link #skryÚvodnúObrazovku()
		 * skryÚvodnúObrazovku}.) Alternatívou tejto metódy je metóda {@link
		 * #zobrazený() zobrazený}.
		 *  @return {@code valtrue} – áno; {@code valfalse} – nie
		 */
		public static boolean viditeľný()
		{
			if (null == svet) return zobrazPriŠtarte;
			if (null != oknoCelejObrazovky)
				return oknoCelejObrazovky.isVisible();
			return svet.isVisible();
		}

		/** <a class="alias"></a> Alias pre {@link #viditeľný() viditeľný}. */
		public static boolean viditelny() { return viditeľný(); }

		/**
		 * Zistí, či je hlavné okno (svet) viditeľné. Ak okno sveta ešte
		 * nebolo inicializované (to platí v prípade, keď ešte nebola
		 * vytvorená ani jedna inštancia robota, to znamená, že nejestvuje
		 * hlavný robot), metóda informuje o tom, či bude okno zobrazené hneď
		 * po inicializácii. (Ak nie, znamená to, že sme volali metódu
		 * {@link #skry() skry}, prípadne niektorú z verzií metódy {@link
		 * #zobrazÚvodnúObrazovku(Image) zobrazÚvodnúObrazovku}. V tom
		 * prípade musíme po inicializácii okno zobraziť metódou {@link
		 * #zobraz() zobraz}, prípadne metódou {@link #skryÚvodnúObrazovku()
		 * skryÚvodnúObrazovku}.) Alternatívou tejto metódy je metóda {@link
		 * #viditeľný() viditeľný}.
		 *  @return {@code valtrue} – áno; {@code valfalse} – nie
		 */
		public static boolean zobrazený()
		{
			if (null == svet) return zobrazPriŠtarte;
			if (null != oknoCelejObrazovky)
				return oknoCelejObrazovky.isVisible();
			return svet.isVisible();
		}

		/** <a class="alias"></a> Alias pre {@link #zobrazený() zobrazený}. */
		public static boolean zobrazeny() { return zobrazený(); }

		/**
		 * Skryje hlavné okno. Zároveň spôsobí, že okno sveta nebude
		 * automaticky zobrazené pri štarte. Aplikácia sa môže inicializovať
		 * a potom zobraziť hlavné okno metódou {@link #zobraz() zobraz}.
		 */
		public static void skry()
		{
			zobrazPriŠtarte = false;
			if (null != oknoCelejObrazovky)
				oknoCelejObrazovky.setVisible(false);
			else if (null != svet)
				svet.setVisible(false);
		}

		/**
		 * Zobrazí hlavné okno (svet). Metóda je protikladom metódy
		 * {@link #skry() skry}.
		 */
		public static void zobraz()
		{
			zobrazPriŠtarte = true;
			if (null != oknoCelejObrazovky)
				oknoCelejObrazovky.setVisible(true);
			else if (null != svet)
				svet.setVisible(true);
		}

		/**
		 * Upevní hlavné okno (svet) – okno bude mať pevnú veľkosť. Opakom
		 * je metóda {@link #uvoľni() uvoľni}. Veľkosť okna nemá vplyv na
		 * veľkosti plátien podlahy a stropu. Tie je v súčasnej verzii
		 * knižnice možné upraviť konštruktorom {@linkplain Svet#hlavnýRobot()
		 * hlavného robota} (čo je historicky starší spôsob – pozri aj
		 * konštruktor {@link GRobot#GRobot(int, int)}) alebo volaním
		 * metódy {@link #zmeňRozmeryPlátien(int, int) zmeňRozmeryPlátien}
		 * (pozri aj <a href="zoznam-zmien.html">zoznam zmien</a>).
		 * @see #uvoľni()
		 */
		public static void upevni() { svet.setResizable(false); }

		/**
		 * Uvoľní hlavné okno (svet) – okno nebude mať pevnú veľkosť
		 * (predvolené správanie sveta). Opakom je metóda {@link #upevni()
		 * upevni}. Veľkosť okna nemá vplyv na veľkosti plátien podlahy
		 * a stropu. Tie je v súčasnej verzii knižnice možné upraviť
		 * konštruktorom {@linkplain Svet#hlavnýRobot() hlavného robota}
		 * (čo je historicky starší spôsob – pozri aj konštruktor
		 * {@link GRobot#GRobot(int, int)}) alebo volaním metódy
		 * {@link #zmeňRozmeryPlátien(int, int) zmeňRozmeryPlátien}
		 * (pozri aj <a href="zoznam-zmien.html">zoznam zmien</a>).
		 * 
		 * <P><small>(<b>Poznámka:</b> Názov {@code curruvoľni} má
		 * v knižnici grafického robota deväť rôznych metód:
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni(Oblasť)
		 * uvoľni}{@code (}{@link Oblasť Oblasť}{@code )},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )}
		 * – slúžia na uvoľnenie robota zo zamestnania pre stanovenú
		 * oblasť (čo je geometrická trieda),
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni() uvoľni}{@code ()}
		 * – slúži na uvoľnenie hlavného okna sveta, t. j. umožnenie
		 * zmeny veľkosti okna používateľovi (ide o opak metódy {@link
		 * Svet#upevni() Svet.upevni}) a nakoniec
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.Class)
		 * uvoľni}{@code (}{@link java.lang.Class Class}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot.Obrázok)
		 * uvoľni}{@code (}{@link Obrázok Obrázok}{@code )}
		 * a {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.String)
		 * uvoľni}{@code (}{@link java.lang.String String}{@code )}
		 * – slúžia na uvoľňovanie nepotrebných inštancií robotov
		 * vytvorených alebo prečítaných obrázkov a prečítaných zvukov
		 * z vnútorných zoznamov robotov, obrázkov a zdrojov, čo je jednak
		 * nevyhnutnou podmienkou ich úspešného vymazania z pamäte zberačom
		 * odpadkov Javy a jednak to môže byť niekedy potrebné, ak sa
		 * napríklad obsah súboru zdroja uloženého na disku
		 * zmenil.)</small>
		 * 
		 * @see #upevni()
		 */
		public static void uvoľni() { svet.setResizable(true); }

		/** <a class="alias"></a> Alias pre {@link #uvoľni() uvoľni}. */
		public static void uvolni() { svet.setResizable(true); }

		/**
		 * Prispôsobí veľkosť okna tak, aby sa do neho pohodlne vošli všetky
		 * viditeľné komponenty.
		 */
		public static void zbaľ() { svet.pack(); }

		/** <a class="alias"></a> Alias pre {@link #zbaľ() zbaľ}. */
		public static void zbal() { svet.pack(); }

		/**
		 * Presunie okno tak, aby sa nachádzalo v strede obrazovky.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public static void vystreď() { svet.setLocationRelativeTo(null); }

		/** <a class="alias"></a> Alias pre {@link #vystreď() vystreď}. */
		public static void vystred() { svet.setLocationRelativeTo(null); }


		// Vzdialenosti

		/**
		 * Zistí vzdialenosť bodu so zadanými súradnicami od stredu
		 * súradnicovej sústavy.
		 * 
		 *  @param súradnicaBoduX  x-ová súradnica bodu
		 *  @param súradnicaBoduY  y-ová súradnica bodu
		 *  @return vzdialenosť medzi stredom súradnicovej sústavy
		 *      a zadaným bodom
		 * 
		 *  @see GRobot#vzdialenosť()
		 *  @see Svet#vzdialenosť(Poloha)
		 *  @see Svet#vzdialenosť(Shape)
		 */
		public static double vzdialenosť(double súradnicaBoduX, double súradnicaBoduY)
		{
			// return Math.sqrt(Math.pow(súradnicaBoduX, 2) +
			//	Math.pow(súradnicaBoduY, 2));
			/*!!!
			return Math.sqrt(súradnicaBoduX * súradnicaBoduX +
				súradnicaBoduY * súradnicaBoduY);
			*/
			return Math.hypot(súradnicaBoduX, súradnicaBoduY);
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť(double, double) vzdialenosť}. */
		public static double vzdialenost(double súradnicaBoduX, double súradnicaBoduY)
		{ return vzdialenosť(súradnicaBoduX, súradnicaBoduY); }

		// /**
			//  * Zistí vzdialenosť zadaného bodu od stredu súranicovej sústavy.
			//  * 
			//  *  @param bod  súradnice bodu v súradnicovom priestore robota
			//  *  @return vzdialenosť medzi stredom súradnicovej sústavy
			//  *      a zadaným bodom
			//  * 
			//  *  @see GRobot#vzdialenosť()
			//  *  @see Svet#vzdialenosť(double, double)
			//  *  @see Svet#vzdialenosť(Poloha)
			//  *  @see Svet#vzdialenosť(Shape)
			//  */
			// public static double vzdialenosť(Point2D bod)
			// {
			// 	/*!!!
			// 	return Math.sqrt(Math.pow(bod.getX(), 2) +
			// 		Math.pow(bod.getY(), 2));
			// 	*/
			// 	return Math.hypot(bod.getX(), bod.getY());
			// }
			// 
			// /** <a class="alias"></a> Alias pre {@link #vzdialenosť(Point2D) vzdialenosť}. */
			// public static double vzdialenost(Point2D bod)
			// { return vzdialenosť(bod.getX(), bod.getY()); }

		/**
		 * Zistí, aká je vzdialenosť zadaného objektu od stredu súradnicovej
		 * sústavy.
		 * 
		 *  @param objekt  objekt, ktorého vzdialenosť zisťujeme
		 *  @return vzdialenosť objektu od stredu súradnicovej sústavy
		 * 
		 *  @see GRobot#vzdialenosť()
		 *  @see Svet#vzdialenosť(double, double)
		 *  @see Svet#vzdialenosť(Shape)
		 */
		public static double vzdialenosť(Poloha objekt)
		{
			/*!!!
			return Math.sqrt(Math.pow(iný.aktuálneX, 2) +
				Math.pow(iný.aktuálneY, 2));
			*/
			return Math.hypot(objekt.polohaX(), objekt.polohaY());
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť(Poloha) vzdialenosť}. */
		public static double vzdialenost(Poloha objekt) { return vzdialenosť(objekt); }

		/**
		 * Zistí vzdialenosť stredu hraníc<sup>[1]</sup> zadaného tvaru od
		 * stredu súradnicovej sústavy.
		 * 
		 * <P><small>[1] – nejde presne o stred útvaru; je použitý
		 * najrýchlejší a najjednoduchší spôsob zistenia približného
		 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí sa
		 * jeho stred – čiže „stred hraníc“</small>
		 * 
		 *  @param tvar  tvar Javy ({@link Shape Shape}), stred hraníc
		 *      ktorého vzdialenosť od stredu zisťujeme
		 *  @return vzdialenosť stredom súradnicovej sústavy a stredom
		 *      zadaného tvaru
		 * 
		 *  @see GRobot#vzdialenosť()
		 *  @see Svet#vzdialenosť(double, double)
		 *  @see Svet#vzdialenosť(Poloha)
		 */
		public static double vzdialenosť(Shape tvar)
		{
			Rectangle2D hranice = tvar.getBounds2D();

			/*!!!
			return Math.sqrt(Math.pow((prepočítajSpäťX(hranice.getX()) +
				hranice.getWidth() / 2), 2) +
				Math.pow((prepočítajSpäťY(hranice.getY()) -
				hranice.getHeight() / 2), 2));
			*/
			return Math.hypot(
				(prepočítajSpäťX(hranice.getX()) +
					hranice.getWidth() / 2),
				(prepočítajSpäťY(hranice.getY()) -
					hranice.getHeight() / 2));
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť(Shape) vzdialenosť}. */
		public static double vzdialenost(Shape tvar) { return vzdialenosť(tvar); }


		/**
		 * Zistí vzájomnú vzdialenosť medzi bodmi so zadanými súradnicami.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súradnicaBoduX1  x-ová súradnica prvého bodu
		 *  @param súradnicaBoduY1  y-ová súradnica prvého bodu
		 *  @param súradnicaBoduX2  x-ová súradnica druhého bodu
		 *  @param súradnicaBoduY2  y-ová súradnica druhého bodu
		 *  @return vzájomná vzdialenosť medzi zadanými bodmi
		 * 
		 *  @see GRobot#vzdialenosť()
		 *  @see Svet#vzdialenosť(Poloha, Poloha)
		 *  @see Svet#vzdialenosť(Shape, Shape)
		 */
		public static double vzdialenosť(
			double súradnicaBoduX1, double súradnicaBoduY1,
			double súradnicaBoduX2, double súradnicaBoduY2)
		{
			return Math.hypot(súradnicaBoduX2 - súradnicaBoduX1,
				súradnicaBoduY2 -súradnicaBoduY1);
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť(double, double, double, double) vzdialenosť}. */
		public static double vzdialenost(
			double súradnicaBoduX1, double súradnicaBoduY1,
			double súradnicaBoduX2, double súradnicaBoduY2)
		{ return vzdialenosť(súradnicaBoduX1, súradnicaBoduY1,
			súradnicaBoduX2, súradnicaBoduY2); }

		/**
		 * Zistí vzájomnú vzdialenosť zadaných objektov.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt1  prvý objekt, ktorého súradnice sa berú do úvahy
		 *  @param objekt2  druhý objekt, ktorého súradnice sa berú do úvahy
		 *  @return vzájomná vzdialenosť medzi zadanými objektmi
		 * 
		 *  @see GRobot#vzdialenosť()
		 *  @see Svet#vzdialenosť(double, double, double, double)
		 *  @see Svet#vzdialenosť(Shape, Shape)
		 */
		public static double vzdialenosť(Poloha objekt1, Poloha objekt2)
		{
			return Math.hypot(objekt2.polohaX() - objekt1.polohaX(),
				objekt2.polohaY() - objekt1.polohaY());
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť(Poloha, Poloha) vzdialenosť}. */
		public static double vzdialenost(Poloha objekt1, Poloha objekt2) { return vzdialenosť(objekt1, objekt2); }

		/**
		 * Zistí vzájomnú vzdialenosť stredov hraníc<sup>[1]</sup> zadaných
		 * tvarov.
		 * 
		 * <P><small>[1] – nejde presne o stred útvarov; je použitý
		 * najrýchlejší a najjednoduchší spôsob zistenia približného
		 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí sa
		 * jeho stred – čiže „stred hraníc“</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar1  prvý tvar Javy ({@link Shape Shape}), ktorého
		 *      stred hraníc sa berie do úvahy
		 *  @param tvar2  druhý tvar Javy ({@link Shape Shape}), ktorého
		 *      stred hraníc sa berie do úvahy
		 *  @return vzájomná vzdialenosť stredov hraníc zadaných tvarov
		 * 
		 *  @see GRobot#vzdialenosť()
		 *  @see Svet#vzdialenosť(double, double, double, double)
		 *  @see Svet#vzdialenosť(Poloha, Poloha)
		 */
		public static double vzdialenosť(Shape tvar1, Shape tvar2)
		{
			Rectangle2D hranice1 = tvar1.getBounds2D();
			Rectangle2D hranice2 = tvar2.getBounds2D();

			return Math.hypot(
				(prepočítajSpäťX(hranice2.getX()) +
					hranice2.getWidth() / 2) -
				(prepočítajSpäťX(hranice1.getX()) +
					hranice1.getWidth() / 2),
				(prepočítajSpäťY(hranice2.getY()) -
					hranice2.getHeight() / 2) -
				(prepočítajSpäťY(hranice1.getY()) -
					hranice1.getHeight() / 2));
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť(Shape, Shape) vzdialenosť}. */
		public static double vzdialenost(Shape tvar1, Shape tvar2) { return vzdialenosť(tvar1, tvar2); }


		/**
		 * Zistí vzájomnú vzdialenosť zadaného objektu a bodu so zadanými
		 * súradnicami.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt1  objekt, ktorého súradnice sa berú do úvahy
		 *  @param súradnicaBoduX2  x-ová súradnica bodu
		 *  @param súradnicaBoduY2  y-ová súradnica bodu
		 *  @return vzájomná vzdialenosť medzi zadaným objektom a bodom
		 * 
		 *  @see GRobot#vzdialenosť()
		 *  @see Svet#vzdialenosť(Shape, double, double)
		 */
		public static double vzdialenosť(Poloha objekt1,
			double súradnicaBoduX2, double súradnicaBoduY2)
		{
			return Math.hypot(súradnicaBoduX2 - objekt1.polohaX(),
				súradnicaBoduY2 - objekt1.polohaY());
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť(Poloha, double, double) vzdialenosť}. */
		public static double vzdialenost(Poloha objekt1, double súradnicaBoduX2, double súradnicaBoduY2) { return vzdialenosť(objekt1, súradnicaBoduX2, súradnicaBoduY2); }

		/**
		 * Zistí vzájomnú vzdialenosť stredu hraníc<sup>[1]</sup> zadaného
		 * tvaru a bodu so zadanými súradnicami.
		 * 
		 * <P><small>[1] – nejde presne o stred útvaru; je použitý
		 * najrýchlejší a najjednoduchší spôsob zistenia približného
		 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí sa
		 * jeho stred – čiže „stred hraníc“</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar1  tvar Javy ({@link Shape Shape}), ktorého
		 *      stred hraníc sa berie do úvahy
		 *  @param súradnicaBoduX2  x-ová súradnica bodu
		 *  @param súradnicaBoduY2  y-ová súradnica bodu
		 *  @return vzájomná vzdialenosť medzi stredom hraníc zadaného tvaru
		 *      a bodom
		 * 
		 *  @see GRobot#vzdialenosť()
		 *  @see Svet#vzdialenosť(Poloha, double, double)
		 */
		public static double vzdialenosť(Shape tvar1,
			double súradnicaBoduX2, double súradnicaBoduY2)
		{
			Rectangle2D hranice1 = tvar1.getBounds2D();

			return Math.hypot(
				súradnicaBoduX2 -
				(prepočítajSpäťX(hranice1.getX()) +
					hranice1.getWidth() / 2),
				súradnicaBoduY2 -
				(prepočítajSpäťY(hranice1.getY()) -
					hranice1.getHeight() / 2));
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť(Shape, double, double) vzdialenosť}. */
		public static double vzdialenost(Shape tvar1, double súradnicaBoduX2, double súradnicaBoduY2) { return vzdialenosť(tvar1, súradnicaBoduX2, súradnicaBoduY2); }


		/**
		 * Zistí vzájomnú vzdialenosť medzi bodom so zadanými súradnicami
		 * a zadaným objektom.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súradnicaBoduX1  x-ová súradnica bodu
		 *  @param súradnicaBoduY1  y-ová súradnica bodu
		 *  @param objekt2  objekt ktorého súradnice sa berú do úvahy
		 *  @return vzájomná vzdialenosť medzi zadaným bodom a objektom
		 * 
		 *  @see GRobot#vzdialenosť()
		 *  @see Svet#vzdialenosť(Shape, Poloha)
		 */
		public static double vzdialenosť(
			double súradnicaBoduX1, double súradnicaBoduY1,
			Poloha objekt2)
		{
			return Math.hypot(objekt2.polohaX() - súradnicaBoduX1,
				objekt2.polohaY() -súradnicaBoduY1);
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť(double, double, Poloha) vzdialenosť}. */
		public static double vzdialenost(
			double súradnicaBoduX1, double súradnicaBoduY1, Poloha objekt2)
		{ return vzdialenosť(súradnicaBoduX1, súradnicaBoduY1, objekt2); }

		/**
		 * Zistí vzájomnú vzdialenosť stredu hraníc<sup>[1]</sup> zadaného
		 * tvaru a polohy zadaného objektu.
		 * 
		 * <P><small>[1] – nejde presne o stred útvaru; je použitý
		 * najrýchlejší a najjednoduchší spôsob zistenia približného
		 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí sa
		 * jeho stred – čiže „stred hraníc“</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar1  tvar Javy ({@link Shape Shape}), ktorého
		 *      stred hraníc sa berie do úvahy
		 *  @param objekt2  objekt, ktorého súradnice sa berú do úvahy
		 *  @return vzájomná vzdialenosť stredu hraníc zadaného tvaru
		 *      a polohy zadaného objektu
		 * 
		 *  @see GRobot#vzdialenosť()
		 *  @see Svet#vzdialenosť(double, double, Poloha)
		 */
		public static double vzdialenosť(Shape tvar1, Poloha objekt2)
		{
			Rectangle2D hranice1 = tvar1.getBounds2D();

			return Math.hypot(
				objekt2.polohaX() -
				(prepočítajSpäťX(hranice1.getX()) +
					hranice1.getWidth() / 2),
				objekt2.polohaY() -
				(prepočítajSpäťY(hranice1.getY()) -
					hranice1.getHeight() / 2));
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť(Shape, Poloha) vzdialenosť}. */
		public static double vzdialenost(Shape tvar1, Poloha objekt2) { return vzdialenosť(tvar1, objekt2); }


		/**
		 * Zistí vzájomnú vzdialenosť medzi bodom so zadanými súradnicami
		 * a stredom hraníc<sup>[1]</sup> zadaného tvaru.
		 * 
		 * <P><small>[1] – nejde presne o stred útvaru; je použitý
		 * najrýchlejší a najjednoduchší spôsob zistenia približného
		 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí sa
		 * jeho stred – čiže „stred hraníc“</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súradnicaBoduX1  x-ová súradnica bodu
		 *  @param súradnicaBoduY1  y-ová súradnica bodu
		 *  @param tvar2  tvar Javy ({@link Shape Shape}), ktorého
		 *      stred hraníc sa berie do úvahy
		 *  @return vzájomná vzdialenosť medzi zadaným bodom a stredom hraníc
		 *      zadaného tvaru
		 * 
		 *  @see GRobot#vzdialenosť()
		 *  @see Svet#vzdialenosť(Poloha, Shape)
		 */
		public static double vzdialenosť(
			double súradnicaBoduX1, double súradnicaBoduY1, Shape tvar2)
		{
			Rectangle2D hranice2 = tvar2.getBounds2D();

			return Math.hypot(
				(prepočítajSpäťX(hranice2.getX()) +
					hranice2.getWidth() / 2) - súradnicaBoduX1,
				(prepočítajSpäťY(hranice2.getY()) -
					hranice2.getHeight() / 2) -súradnicaBoduY1);
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť(double, double, Shape) vzdialenosť}. */
		public static double vzdialenost(
			double súradnicaBoduX1, double súradnicaBoduY1, Shape tvar2)
		{ return vzdialenosť(súradnicaBoduX1, súradnicaBoduY1, tvar2); }

		/**
		 * Zistí vzájomnú vzdialenosť medzi zadaným objektom a stredom
		 * hraníc<sup>[1]</sup> zadaného tvaru.
		 * 
		 * <P><small>[1] – nejde presne o stred útvaru; je použitý
		 * najrýchlejší a najjednoduchší spôsob zistenia približného
		 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí sa
		 * jeho stred – čiže „stred hraníc“</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt1  objekt, ktorého súradnice sa berú do úvahy
		 *  @param tvar2  tvar Javy ({@link Shape Shape}), ktorého
		 *      stred hraníc sa berie do úvahy
		 *  @return vzájomná vzdialenosť medzi zadaným objektom a stredom
		 *      hraníc zadaného tvaru
		 * 
		 *  @see GRobot#vzdialenosť()
		 *  @see Svet#vzdialenosť(double, double, Shape)
		 */
		public static double vzdialenosť(Poloha objekt1, Shape tvar2)
		{
			Rectangle2D hranice2 = tvar2.getBounds2D();

			return Math.hypot(
				(prepočítajSpäťX(hranice2.getX()) +
					hranice2.getWidth() / 2) - objekt1.polohaX(),
				(prepočítajSpäťY(hranice2.getY()) -
					hranice2.getHeight() / 2) - objekt1.polohaY());
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť(Poloha, Shape) vzdialenosť}. */
		public static double vzdialenost(Poloha objekt1, Shape tvar2) { return vzdialenosť(objekt1, tvar2); }


		// Vymazanie

		/**
		 * Vymaže obsah sveta. Má rovnaký efekt, ako keby sme za sebou
		 * spustili metódy {@link GRobot.Plátno#vymaž() podlaha.vymaž()}
		 * a {@link GRobot.Plátno#vymaž() strop.vymaž()}.
		 */
		public static void vymaž() { podlaha.vymaž(); strop.vymaž(); }

		/** <a class="alias"></a> Alias pre {@link #vymaž() vymaž}. */
		public static void vymaz() { podlaha.vymaž(); strop.vymaž(); }

		/**
		 * Vymaže texty podlahy a stropu. Má rovnaký efekt, ako keby sme za
		 * sebou spustili metódy {@link GRobot.Plátno#vymažTexty()
		 * podlaha.vymažTexty()} a {@link GRobot.Plátno#vymažTexty()
		 * strop.vymažTexty()}.
		 */
		public static void vymažTexty() { podlaha.vymažTexty(); strop.vymažTexty(); }

		/** <a class="alias"></a> Alias pre {@link #vymažTexty() vymažTexty}. */
		public static void vymazTexty() { podlaha.vymažTexty(); strop.vymažTexty(); }

		/**
		 * Vymaže plátno podlahy a stropu. Má rovnaký efekt, ako keby sme za
		 * sebou spustili metódy {@link GRobot.Plátno#vymažGrafiku()
		 * podlaha.vymažGrafiku()} a {@link GRobot.Plátno#vymažGrafiku()
		 * strop.vymažGrafiku()}.
		 */
		public static void vymažGrafiku() { podlaha.vymažGrafiku(); strop.vymažGrafiku(); }

		/** <a class="alias"></a> Alias pre {@link #vymažGrafiku() vymažGrafiku}. */
		public static void vymazGrafiku() { podlaha.vymažGrafiku(); strop.vymažGrafiku(); }


		// Viacnásobná obsluha udalostí

		/**
		 * Po spustení tejto metódy bude možné vytváranie viacerých verzií
		 * {@linkplain ObsluhaUdalostí obsluhy udalostí}, ktoré môžu byť
		 * neskôr podľa potreby uvedené do činnosti metódou {@link
		 * #presmerujObsluhuUdalostí(GRobot.ObsluhaUdalostí)
		 * presmerujObsluhuUdalostí}. <b>Vždy môže byť v činnosti len jedna
		 * obsluha udalostí.</b> Vytváranie viacerých inštancií triedy {@link
		 * ObsluhaUdalostí} (resp. inštancií odvodených tried) je predvolene
		 * zakázané, aby nedochádzalo k omylom. Po povolení tvorby viacerých
		 * inštancií obsluhy udalostí zostáva aktívna prvá vytvorená
		 * inštancia dokedy tok udalostí nepresmerujeme do inej metódou
		 * {@link #presmerujObsluhuUdalostí(GRobot.ObsluhaUdalostí)
		 * presmerujObsluhuUdalostí}.
		 * 
		 * <P><b>Upozornenie:</b> Pri povoľovaní viacnásobnej obsluhy musíme
		 * dobre rozumieť mechanizmu spracovania udalostí. Nemali by sme ju
		 * povoliť bezdôvodne. Príkadom takého dôvodu môže byť potreba
		 * využitia odlišnej skupiny udalostí v rôznych situáciách hry, ktorú
		 * programujeme napríklad keď hráč vstúpi do hlavnej ponuky hry,
		 * má obsluha udalostí fungovať ináč, než keď hráč aktívne hrá hru…
		 * 
		 * <P>Príklad, ktorý používa zapnutie viacnásobného spracovania
		 * udalostí je pri opise metódy {@link
		 * #presmerujObsluhuUdalostí(GRobot.ObsluhaUdalostí)
		 * presmerujObsluhuUdalostí}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see ObsluhaUdalostí
		 * @see #presmerujObsluhuUdalostí(GRobot.ObsluhaUdalostí)
		 */
		public static void povoľViacnásobnúObsluhuUdalostí()
		{ viacnásobnáObsluhuUdalostíUmožnená = true; }

		/** <a class="alias"></a> Alias pre {@link #povoľViacnásobnúObsluhuUdalostí() povoľViacnásobnúObsluhuUdalostí}. */
		public static void povolViacnasobnuObsluhuUdalosti()
		{ viacnásobnáObsluhuUdalostíUmožnená = true; }

		/**
		 * Presmeruje spracovanie udalostí do inej inštancie triedy {@link
		 * ObsluhaUdalostí ObsluhaUdalostí}. Použitie tejto metódy má význam
		 * len po {@linkplain #povoľViacnásobnúObsluhuUdalostí() povolení
		 * vytvárania viacerých inštancií obsluhy udalostí} (čo je predvolene
		 * zakázané). Po použití metódy {@code currpresmerujObsluhuUdalostí}
		 * sú ďalšie vznikajúce udalosti presmerované do zadanej inštancie
		 * {@code obsluha}. Táto akcia automaticky vyradí z činnosti
		 * predchádzajúcu inštanciu obsluhy udalostí, z čoho vyplýva, že
		 * <i>v činnosti môže byť vždy len jedna obsluha udalostí</i>.
		 * 
		 * <P><b>Príklad:</b>
		 * 
		 * <P>V tomto príklade sú definované dve obsluhy udalostí. Obidve
		 * definujú spracovanie {@linkplain ObsluhaUdalostí udalosti kliku
		 * myšou}. Príklad je demonštratívny. Po prvom kliku je (popri
		 * zobrazení robota, vymazaní a zmeny pozadia sveta) presmerovaný tok
		 * udalostí do druhej verzie obsluhy udalostí, ktorá má na starosti
		 * jediné: upravovať cieľ cesty {@linkplain Svet#hlavnýRobot()
		 * hlavného robota}…
		 * 
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} ViacnásobnáObsluhaUdalostí {@code kwdextends} {@link GRobot GRobot}
			{
				{@code kwdprivate} {@link ObsluhaUdalostí ObsluhaUdalostí} obsluha1, obsluha2;

				{@code kwdprivate} ViacnásobnáObsluhaUdalostí()
				{
					{@code comm// Napísanie bieleho textu}
					{@link GRobot#farba(java.awt.Color) farba}({@link GRobot#biela biela});
					{@link GRobot#text(String) text}({@code srg"…kliknite myšou…"});

					{@code comm// Nastavenie vlastností hlavného robota}
					{@link GRobot#farba(int, int, int, int) farba}({@code num200}, {@code num0}, {@code num0}, {@code num100});
					{@link GRobot#skry() skry}();
					{@link GRobot#veľkosť(double) veľkosť}({@code num30});
					{@link GRobot#zdvihniPero() zdvihniPero}();
					{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num3});
					{@link GRobot#predvolenýTvar(boolean) predvolenýTvar}({@code valfalse});
					{@link GRobot#zrýchlenie(double, boolean) zrýchlenie}({@code num0.5}, {@code valfalse});
					{@link GRobot#maximálnaRýchlosť(double) maximálnaRýchlosť}({@code num20});
					{@link GRobot#rýchlosťOtáčania(double, boolean) rýchlosťOtáčania}({@code num5}, {@code valfalse});

					{@code comm// Prvá verzia obsluhy udalostí}
					obsluha1 = {@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
					{
						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#klik() klik}()
						{
							{@link GRobot#zobraz() zobraz}();
							{@link Svet Svet}.{@link #vymaž() vymaž}();
							{@link Svet Svet}.{@link #farbaPozadia(java.awt.Color) farbaPozadia}({@link GRobot#svetlotyrkysová svetlotyrkysová}.{@link Farba#svetlejšia() svetlejšia}());
							{@link Svet Svet}.{@code currpresmerujObsluhuUdalostí}(obsluha2);
						}
					};

					{@code comm// Najneskôr tu musíme povoliť viacnásobnú obsluhu udalostí…}
					{@code comm// …inak nasledujúci príkaz „new ObsluhaUdalostí“ zlyhá.}
					{@link Svet Svet}.{@link #povoľViacnásobnúObsluhuUdalostí() povoľViacnásobnúObsluhuUdalostí}();

					{@code comm// Druhá verzia obsluhy udalostí}
					obsluha2 = {@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
					{
						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#klik() klik}()
						{
							{@link GRobot#cieľNaMyš() cieľNaMyš}();
						}
					};

					{@code comm// Nastavenie vlastností sveta}
					{@link Svet Svet}.{@link #farbaPozadia(java.awt.Color) farbaPozadia}({@link GRobot#čierna čierna});
					{@link Svet Svet}.{@link #upevni() upevni}();
					{@link Svet Svet}.{@link #zbaľ() zbaľ}();
				}


				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
				{
					{@code kwdnew} ViacnásobnáObsluhaUdalostí();
				}
			}
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * <table style="margin-left: auto; margin-right: auto;">
		 * <tr><td
		 * style="vertical-align:top"><image>viacnasobnaObsluhaA.png</image>Fáza
		 * 1 – pred prvým kliknutím je robot skrytý<br /><small>(plátno
		 * na obrázku je zmenšené)</small></td><td>   </td>
		 * <td
		 * style="vertical-align:top"><image>viacnasobnaObsluhaB.png</image>Fáza
		 * 2 – po prvom kliknutí sa robot zobrazí<br />a potom smeruje
		 * do cieľa určeného ďalším<br />klikom; každý ďalší klik určí nový
		 * cieľ<br /><small>(plátno na obrázku je zmenšené)</small></td></tr>
		 * </table>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obsluha inštancia {@linkplain ObsluhaUdalostí obsluhy
		 *   udalostí}, do ktorej budú presmerované ďalšie udalosti
		 *   spracúvané svetom grafického robota
		 * 
		 * @see ObsluhaUdalostí
		 * @see #povoľViacnásobnúObsluhuUdalostí()
		 */
		public static void presmerujObsluhuUdalostí(ObsluhaUdalostí obsluha)
		{ počúvadlo = obsluha; }

		/** <a class="alias"></a> Alias pre {@link #presmerujObsluhuUdalostí(GRobot.ObsluhaUdalostí) presmerujObsluhuUdalostí}. */
		public static void presmerujObsluhuUdalosti(ObsluhaUdalostí obsluha)
		{ počúvadlo = obsluha; }

		/**
		 * Táto metóda slúži na získanie aktívnej inštancie obsluhy udalostí.
		 * Je užitočná v súvislosti s možnosťou {@linkplain
		 * #povoľViacnásobnúObsluhuUdalostí() povolenia viacnásobnej obsluhy
		 * udalostí}. Ak obsluha udalostí nebola definovaná, prípadne nie je
		 * z nejakého dôvodu aktívna žiadna z jestvujúcich inštancií obsluhy
		 * udalostí, tak metóda vráti hodnotu {@code valnull}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return aktívna inštancia obsluhy udalostí alebo {@code valnull}
		 * 
		 * @see ObsluhaUdalostí#aktívna()
		 */
		public static ObsluhaUdalostí aktívnaObsluhaUdalostí()
		{ return počúvadlo; }

		/** <a class="alias"></a> Alias pre {@link #aktívnaObsluhaUdalostí() aktívnaObsluhaUdalostí}. */
		public static ObsluhaUdalosti aktivnaObsluhuUdalosti()
		{ return (ObsluhaUdalosti)počúvadlo; }

		// Výplň

		/**
		 * Vyplní podlahu zadanou farbou, ktorá prekryje aj
		 * {@linkplain #farbaPozadia(java.awt.Color) farbu pozadia} sveta.
		 * Má rovnaký efekt, ako keby sme volali metódu {@link
		 * GRobot.Plátno#vyplň(java.awt.Color) podlaha.vyplň(farba)}.
		 * 
		 *  @param farba objekt určujúci farbu výplne podlahy
		 *  @see #vymaž()
		 */
		public static void vyplň(Color farba) { podlaha.vyplň(farba); }

		/** <a class="alias"></a> Alias pre {@link #vyplň(java.awt.Color) vyplň}. */
		public static void vypln(Color farba) { vyplň(farba); }

		/**
		 * Vyplní podlahu farbou zadaného objektu, ktorá prekryje aj
		 * {@linkplain #farbaPozadia(java.awt.Color) farbu pozadia} sveta.
		 * Má rovnaký efekt, ako keby sme volali metódu {@link
		 * GRobot.Plátno#vyplň(Farebnosť) podlaha.vyplň(farba)}.
		 * 
		 *  @param objekt objekt určujúci farbu výplne podlahy
		 *  @see #vymaž()
		 */
		public static void vyplň(Farebnosť objekt) { podlaha.vyplň(objekt); }

		/** <a class="alias"></a> Alias pre {@link #vyplň(java.awt.Color) vyplň}. */
		public static void vypln(Farebnosť objekt) { vyplň(objekt); }

		/* *
		 * Toto je „klon“ metódy {@link #vyplň(java.awt.Color)
		 * podlaha.vyplň(farba)}. Podlaha je vyplnená len v prípade, že je
		 * v premennej typu {@link Object} (zadanej ako parameter) uložená
		 * inštancia triedy {@link Farba Farba} alebo {@link Color Color}.
		 * /
		public static void vyplň(Object farba) { podlaha.vyplň(farba); }

		/** <a class="alias"></a> Alias pre {@link #vyplň(Object) vyplň}. * /
		public static void vypln(Object farba) { podlaha.vyplň(farba); }
		*/

		/**
		 * Vyplní podlahu farbou zadanou prostredníctvom farebných zložiek. Má
		 * rovnaký efekt, ako keby sme volali metódu {@link
		 * GRobot.Plátno#vyplň(int, int, int) podlaha.vyplň(r, g, b)}.
		 * 
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      zložiek
		 *  @see #vyplň(java.awt.Color)
		 */
		public static Farba vyplň(int r, int g, int b)
		{ return podlaha.vyplň(r, g, b); }

		/** <a class="alias"></a> Alias pre {@link #vyplň(int, int, int) vyplň}. */
		public static Farba vypln(int r, int g, int b)
		{ return podlaha.vyplň(r, g, b); }

		/**
		 * Vyplní podlahu farbou zadanou prostredníctvom farebných zložiek
		 * a úrovne priehľadnosti. Má rovnaký efekt, ako keby sme volali
		 * metódu {@link GRobot.Plátno#vyplň(int, int, int, int)
		 * podlaha.vyplň(r, g, b, a)}.
		 * 
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti farby; celé číslo v rozsahu
		 *      0 – 255
		 *      (0 – neviditeľná farba; 255 – nepriehľadná farba)
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      parametrov
		 *  @see #vyplň(java.awt.Color)
		 */
		public static Farba vyplň(int r, int g, int b, int a)
		{ return podlaha.vyplň(r, g, b, a); }

		/** <a class="alias"></a> Alias pre {@link #vyplň(int, int, int, int) vyplň}. */
		public static Farba vypln(int r, int g, int b, int a)
		{ return podlaha.vyplň(r, g, b, a); }

		/**
		 * Vyplní podlahu zadanou textúrou. Textúra je súbor s obrázkom, ktorý
		 * bude použitý na dlaždicové vyplnenie plochy podlahy. Má rovnaký
		 * efekt, ako keby sme volali metódu {@link
		 * GRobot.Plátno#vyplň(String) podlaha.vyplň(súbor)}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je možné
		 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
		 * súvislosti sa mierne zmenilo aj predvolené správanie
		 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
		 * dlaždicami sa presunul do stredu plátna, prípadne
		 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
		 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
		 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
		 * upravujúce ďalšie parametre obrázkových výplní.)</small>
		 * 
		 *  @param súbor názov súboru s obrázkom textúry
		 *  @see #vyplň(java.awt.Color)
		 *  @see Svet#priečinokObrázkov(String)
		 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 */
		public static void vyplň(String súbor) { podlaha.vyplň(súbor); }

		/** <a class="alias"></a> Alias pre {@link #vyplň(String) vyplň}. */
		public static void vypln(String súbor) { podlaha.vyplň(súbor); }

		/**
		 * Vyplní podlahu zadanou textúrou. Textúra je {@linkplain Obrázok
		 * obrázok} (objekt typu {@link Image Image} alebo odvodený), ktorý
		 * bude použitý na dlaždicové vyplnenie plochy podlahy. Má rovnaký
		 * efekt, ako keby sme volali metódu {@link GRobot.Plátno#vyplň(Image)
		 * podlaha.vyplň(obrázok)}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je možné
		 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
		 * súvislosti sa mierne zmenilo aj predvolené správanie
		 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
		 * dlaždicami sa presunul do stredu plátna, prípadne
		 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
		 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
		 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
		 * upravujúce ďalšie parametre obrázkových výplní.)</small>
		 * 
		 *  @param výplň obrázok textúry
		 *  @see #vyplň(java.awt.Color)
		 */
		public static void vyplň(Image výplň)
		{ podlaha.vyplň(výplň); }

		/** <a class="alias"></a> Alias pre {@link #vyplň(Image) vyplň}. */
		public static void vypln(Image výplň)
		{ podlaha.vyplň(výplň); }


		// Parametre obrázkovej výplne

		/**
		 * Vráti bod so súradnicami relatívneho posunutia obrázkových
		 * dlaždicových výplní.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Bod Bod} určujúci súradnice
		 *     relatívneho posunutia obrázkových dlaždicových výplní
		 * 
		 * @see #posunutieVýplne(double, double)
		 * @see #mierkaVýplne()
		 * @see #otočenieVýplne()
		 * @see #stredOtáčaniaVýplne()
		 */
		public static Bod posunutieVýplne()
		{
			return new Bod(posunutieVýplneX, posunutieVýplneY);
		}

		/** <a class="alias"></a> Alias pre {@link #posunutieVýplne() posunutieVýplne}. */
		public static Bod posunutieVyplne()
		{
			return new Bod(posunutieVýplneX, posunutieVýplneY);
		}

		/**
		 * Nastaví relatívne posunutie obrázkových dlaždicových výplní.
		 * Každé ďalšie spustenie niektorého z príkazov vypĺňania bude
		 * používať novú relatívnu polohu dlaždíc. Predvolené posunutie
		 * [0, 0] znamená, že dlaždicová textúra sa začína v strede plátna,
		 * čo je platné aj pre vypĺňanie útvarov a oblastí, alebo v strede
		 * vypĺňaného obrázka.
		 * 
		 * <P><b>Príklad:</b>
		 * 
		 * <P>Nasledujúci príklad zhŕňa použitie viacerých metód súvisiacich
		 * s úpravou parametrov dlaždicových výplní. Príklad si sám
		 * vygeneruje textúru, ktorá je predvolene dlaždicovo sa nadpájajúca
		 * alebo bezšvová (anglicky <i>tileable</i> alebo <i>seamless</i>),
		 * ale môže byť úmyselne pregenerovaná aj tak, aby sa dlaždicovo
		 * nenadpájala (aby bolo lepšie vidno jej hranice). Textúrou sú potom
		 * vypĺňané rôzne druhy cieľov, vrátane celého plátna. Parametre
		 * textúry sa dajú možné dynamicky upravovať myšou.
		 * 
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};
			{@code kwdimport} knižnica.{@link Poloha Poloha};

			{@code kwdpublic} {@code typeclass} TestVypĺňaniaTextúrou {@code kwdextends} {@link GRobot GRobot}
			{
				{@code comm// Mliečna farba výplne stropu v režime zobrazenia pomocníka}
				{@code kwdprivate} {@code kwdfinal} {@code kwdstatic} {@link Farba Farba} mliečna = {@code kwdnew} {@link Farba#GRobot.Farba(double, double, double, double) Farba}({@code num1.0}, {@code num1.0}, {@code num1.0}, {@code num0.8});

				{@code comm// Oblasť, ktorá je jedným z cieľov vypĺňania:}
				{@code kwdprivate} {@link Oblasť Oblasť} oblasť;

				{@code comm// Obrázok, ktorý je ďalším z cieľov vypĺňania:}
				{@code kwdprivate} {@link Obrázok Obrázok} obrázok;

				{@code comm// Obrázok s vygenerovanou výplňou (textúrou):}
				{@code kwdprivate} {@link Obrázok Obrázok} textúra;

				{@code comm// Rôzne nastavenia:}
				{@code kwdprivate} {@code typeboolean} bezšvová;
				{@code kwdprivate} {@code typeboolean} zamknuté;
				{@code kwdprivate} {@code typeboolean} upravTextúru;
				{@code kwdprivate} {@code typeint} zobrazPomoc;
				{@code kwdprivate} {@code typeint} cieľVýplne;
				{@code kwdprivate} {@code typeint} typ;

				{@code comm// Zálohy pre jeden z režimov práce:}
				{@code kwdprivate} {@link Poloha Poloha} zálohaPosunutia;
				{@code kwdprivate} {@code typedouble} zálohaPootočenia;

				{@code comm// Konštruktor.}
				{@code kwdprivate} TestVypĺňaniaTextúrou()
				{
					{@code comm// Úprava rozmerov plátna (volaním nadradeného konštruktora):}
					{@code valsuper}({@code num1200}, {@code num600});

					{@code comm// Vypnutie automatického prekresľovania:}
					{@link Svet Svet}.{@link Svet#nekresli() nekresli}();

					{@code comm// Vytvorenie relatívne komplikovaného tvaru oblasti – medzikružie}
					{@code comm// prekryté dvomi pootočenými hviezdami – „jež v obruči“:}
					{@link #veľkosť(double) veľkosť}({@code num200});
					oblasť = {@code kwdnew} {@link Oblasť#GRobot.Oblasť() Oblasť}();
					oblasť.{@link Oblasť#pridaj(Shape) pridaj}({@link #kruh(double) kruh}({@link #veľkosť() veľkosť}() * {@code num4.0} / {@code num5.0}));
					oblasť.{@link Oblasť#odober(Shape) odober}({@link #kruh(double) kruh}({@link #veľkosť() veľkosť}() * {@code num3.0} / {@code num4.0}));
					{@link #vpravo(double) vpravo}({@code num18});
					oblasť.{@link Oblasť#pridaj(Shape) pridaj}({@link #hviezda() hviezda}());
					{@link #vľavo(double) vľavo}({@code num36});
					oblasť.{@link Oblasť#pridaj(Shape) pridaj}({@link #hviezda() hviezda}());
					{@link #vpravo(double) vpravo}({@code num18});
					oblasť.{@link Oblasť#pridaj(Shape) pridaj}({@link #kruh(double) kruh}({@link #veľkosť() veľkosť}() * {@code num2.0} / {@code num3.0}));

					{@code comm// Vytvorenie práznych inštancií obrázkov. Prvá inštancia „obrázok“}
					{@code comm// je jedným z cieľov vypĺňania. Druhá inštancia „textúra“ je výplň}
					{@code comm// použitá na rôzne ciele (podľa nastavenia, ktoré sa dá meniť počas}
					{@code comm// činnosti programu):}
					obrázok = {@code kwdnew} {@link Obrázok#GRobot.Obrázok(int, int) Obrázok}({@code num200}, {@code num200});
					textúra = {@code kwdnew} {@link Obrázok#GRobot.Obrázok(int, int) Obrázok}({@code num160}, {@code num120});


					{@code comm// Vykonanie počiatočných nastavení príkladu:}

					bezšvová = {@code valtrue};
					zamknuté = {@code valfalse};
					upravTextúru = {@code valtrue};
					zobrazPomoc = {@code num3};
					cieľVýplne = {@code num2};
					typ = {@code num0};

					vygenerujTextúru();
					vyplňTextúrou();
					pomoc();
					{@link Svet Svet}.{@link Svet#spustiČasovač() spustiČasovač}();
				}

				{@code comm// Generovanie textúry aktuálneho typu v aktuálnom režime}
				{@code kwdprivate} {@code typevoid} vygenerujTextúru()
				{
					{@code comm// Záloha stavu robota pred generovaním textúry (nesúvisí so zálohou}
					{@code comm// pre jeden z režimov – toto je nezávislá záloha tých vlastností}
					{@code comm// robota, ktoré táto metóda ovplyvňuje):}
					{@link Farba Farba} zálohaFarby = {@link #farba() farba}();
					{@link Poloha Poloha} zálohaPolohy = {@link #poloha() poloha}();
					{@code typedouble} zálohaSmeru  = {@link #smer() smer}();
					{@code typedouble} zálohaHrúbky = {@link #hrúbkaČiary() hrúbkaČiary}();

					{@code comm// Presmerovanie kreslenia robota. Toto je jediná vlastnosť, ktorú}
					{@code comm// metóda nezálohuje poctivo – spoliehame sa na to, že robot bude}
					{@code comm// pred aj po vykonaní tejto metódy kresliť na podlahu (čo je}
					{@code comm// predvolené nastavenie robota):}
					{@link #kresliDoObrázka(GRobot.Obrázok) kresliDoObrázka}(textúra);
					textúra.{@link Obrázok#vymaž() vymaž}();

					{@code comm// Generovanie textúry aktuálneho typu:}
					{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num280}; ++i)
					{
						{@code comm// Farba, poloha, smer aj hrúbka čiary sú náhodne zmenené:}
						{@link #náhodnáFarba() náhodnáFarba}();
						{@link #náhodnáPoloha() náhodnáPoloha}();
						{@link #náhodnýSmer() náhodnýSmer}();
						{@link #hrúbkaČiary(double) hrúbkaČiary}({@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num3}, {@code num5}));

						{@code kwdif} (bezšvová)
						{
							{@code comm// Ak má byť textúra bezšvová, tak musí byť každá čiara}
							{@code comm// a tvar nakreslený deväť ráz – na aktuálnej pozícii a na}
							{@code comm// ôsmich ďalších pozíciách:}
							{@code comm//  – dvoch posunutých o šírku obrázka vpravo a vľavo,}
							{@code comm//  – dvoch posunutých o výšku obrázka hore a dole}
							{@code comm//  – a štyroch zvyšných diagonálnych smerov podľa rozmerov}
							{@code comm//    textúry.}
							{@code comm// }
							{@code comm// To je najjednoduchší spôsob ako získať istotu, že ak čiara}
							{@code comm// alebo tvar presahujú v niektorom smere von, tak budú určite}
							{@code comm// nakreslené yak, aby zasahovali do obrázka aj z protiľahlej}
							{@code comm// strany. (Základným predpokladom je, že čiara alebo tvar nie}
							{@code comm// sú niekoľkonásobne väčšie než sú rozmery obrázka. Ak by to}
							{@code comm// tak, nebolo, tak by generovanie bezšvovej textúry bolo}
							{@code comm// komplikovanejšie.)}
							{@code comm// }
							{@code comm// (Efektívnejším spôsobom, no komplikovanejším na}
							{@code comm// naprogramovanie, by bolo overovať, ktorý okraj alebo okraje}
							{@code comm// obrázka čiara alebo tvar prekročili a podľa toho ich}
							{@code comm// nakresliť pokračujúc z opačnej strany alebo strán.}
							{@code comm// }
							{@code comm// Ďalšia úroveň spoľahlivosti algoritmu by dokázala overiť aj}
							{@code comm// to, o koľko čiara prípadne tvar prekračujú okraj(e)}
							{@code comm// a zabezpečiť nakreslenie viacnásobného prekročenia hraníc}
							{@code comm// obrázka.}
							{@code comm// }
							{@code comm// Pri kreslení čiary vo vodorovnom alebo zvislom smere by išlo}
							{@code comm// len o viacnásobné prekreslenie čiary na určitom riadku alebo}
							{@code comm// stĺpci. Výsledný efekt by bol málo viditeľný. No ak by bola}
							{@code comm// čiara nakreslená pod určitým uhlom, tak by dostatočne dlhá}
							{@code comm// vhodne umiestnená čiara dokázala vyšrafovať celú plochu}
							{@code comm// obrázka. No s tým algoritmom, ktorý je použitý tu, by to}
							{@code comm// nefungovalo…}
							{@code comm// }
							{@code comm// Posledný tip: Ďalším spôsobom, ktorý by ani nemusel byť}
							{@code comm// taký náročný na naprogramovanie, by mohlo byť využitie}
							{@code comm// pretáčania obrázka s textúrou. Ak by tvar alebo čiara,}
							{@code comm// ktoré by mali tvoriť textúru boli vždy menšie než rozmery}
							{@code comm// textúry, tak by stačilo, aby sme vždy nakreslili tvar}
							{@code comm// alebo čiaru presne do stredu textúry a potom ju}
							{@code comm// pretočili o náhodný počet bodov v oboch smeroch – pozri}
							{@code comm// metódu pretoč(Δx, Δy).)}

							{@code comm// Zálohujeme polohu – budeme ju recyklovať ako východiskovú}
							{@code comm// polohu:}
							{@link Poloha Poloha} poloha = {@link #poloha() poloha}();

							{@code comm// Podľa hodnoty atribútu typ vygenerujeme textúru:}
							{@code kwdswitch} (typ % {@code num3})
							{
							{@code kwdcase} {@code num1}: {@code comm// krúžky – kružnice kreslené hrubšou čiarou}
								{
									{@code comm// (Vtáčie zátvorky sú tu preto, aby sme mohli}
									{@code comm// v rámci jednej vetvy, presnejšie v rámci}
									{@code comm// zátvoriek, definovať lokálne premenné.)}

									{@code comm// Vygenerujeme veľkosť:}
									{@code typedouble} veľkosť = {@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num3}, {@code num12});
									{@code comm// Nakreslíme strednú kružnicu:}
									{@link #kružnica(double) kružnica}(veľkosť);

									{@code comm// Presunieme sa do východiskovej polohy, posunieme}
									{@code comm// sa doľava o šírku textúry a nakreslíme ďalšiu}
									{@code comm// kružnicu:}
									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(-textúra.{@link Obrázok#šírka šírka}, {@code num0});
									{@link #kružnica(double) kružnica}(veľkosť);

									{@code comm// (Podobne doprava.)}
									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(textúra.{@link Obrázok#šírka šírka}, {@code num0});
									{@link #kružnica(double) kružnica}(veľkosť);

									{@code comm// (Hore.)}
									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}({@code num0}, -textúra.{@link Obrázok#výška výška});
									{@link #kružnica(double) kružnica}(veľkosť);

									{@code comm// (Dole.)}
									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}({@code num0}, textúra.{@link Obrázok#výška výška});
									{@link #kružnica(double) kružnica}(veľkosť);

									{@code comm// (Vľavo dole.)}
									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(-textúra.{@link Obrázok#šírka šírka}, -textúra.{@link Obrázok#výška výška});
									{@link #kružnica(double) kružnica}(veľkosť);

									{@code comm// (Vľavo hore.)}
									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(-textúra.{@link Obrázok#šírka šírka}, textúra.{@link Obrázok#výška výška});
									{@link #kružnica(double) kružnica}(veľkosť);

									{@code comm// (Vpravo dole.)}
									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(textúra.{@link Obrázok#šírka šírka}, -textúra.{@link Obrázok#výška výška});
									{@link #kružnica(double) kružnica}(veľkosť);

									{@code comm// (Vpravo hore.)}
									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(textúra.{@link Obrázok#šírka šírka}, textúra.{@link Obrázok#výška výška});
									{@link #kružnica(double) kružnica}(veľkosť);
								}
								{@code kwdbreak};

							{@code kwdcase} {@code num2}: {@code comm// čiarky}
								{
									{@code comm// (Princíp je rovnaký ako pri krúžkoch vyššie, ale}
									{@code comm// vygenerovaná hodnota je použitá ako dĺžka čiary.)}
									{@code typedouble} dĺžka = {@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num60}, {@code num100});
									{@link #dopredu(double) dopredu}(dĺžka);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(-textúra.{@link Obrázok#šírka šírka}, {@code num0});
									{@link #dopredu(double) dopredu}(dĺžka);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(textúra.{@link Obrázok#šírka šírka}, {@code num0});
									{@link #dopredu(double) dopredu}(dĺžka);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}({@code num0}, -textúra.{@link Obrázok#výška výška});
									{@link #dopredu(double) dopredu}(dĺžka);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}({@code num0}, textúra.{@link Obrázok#výška výška});
									{@link #dopredu(double) dopredu}(dĺžka);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(-textúra.{@link Obrázok#šírka šírka}, -textúra.{@link Obrázok#výška výška});
									{@link #dopredu(double) dopredu}(dĺžka);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(-textúra.{@link Obrázok#šírka šírka}, textúra.{@link Obrázok#výška výška});
									{@link #dopredu(double) dopredu}(dĺžka);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(textúra.{@link Obrázok#šírka šírka}, -textúra.{@link Obrázok#výška výška});
									{@link #dopredu(double) dopredu}(dĺžka);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(textúra.{@link Obrázok#šírka šírka}, textúra.{@link Obrázok#výška výška});
									{@link #dopredu(double) dopredu}(dĺžka);
								}
								{@code kwdbreak};

							{@code kwddefault}: {@code comm// plné kruhy}
								{
									{@code comm// (Princíp je rovnaký ako pri krúžkoch vyššie,}
									{@code comm// len sú kreslené plné kruhy.)}
									{@code typedouble} veľkosť = {@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num3}, {@code num12});
									{@link #kruh(double) kruh}(veľkosť);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(-textúra.{@link Obrázok#šírka šírka}, {@code num0});
									{@link #kruh(double) kruh}(veľkosť);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(textúra.{@link Obrázok#šírka šírka}, {@code num0});
									{@link #kruh(double) kruh}(veľkosť);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}({@code num0}, -textúra.{@link Obrázok#výška výška});
									{@link #kruh(double) kruh}(veľkosť);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}({@code num0}, textúra.{@link Obrázok#výška výška});
									{@link #kruh(double) kruh}(veľkosť);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(-textúra.{@link Obrázok#šírka šírka}, -textúra.{@link Obrázok#výška výška});
									{@link #kruh(double) kruh}(veľkosť);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(-textúra.{@link Obrázok#šírka šírka}, textúra.{@link Obrázok#výška výška});
									{@link #kruh(double) kruh}(veľkosť);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(textúra.{@link Obrázok#šírka šírka}, -textúra.{@link Obrázok#výška výška});
									{@link #kruh(double) kruh}(veľkosť);

									{@link #skočNa(Poloha) skočNa}(poloha);
									{@link #skoč(double, double) skoč}(textúra.{@link Obrázok#šírka šírka}, textúra.{@link Obrázok#výška výška});
									{@link #kruh(double) kruh}(veľkosť);
								}
							}
						}
						{@code kwdelse}
						{
							{@code comm// V režime švovej textúry kreslíme každý tvar len raz:}
							{@code kwdswitch} (typ % {@code num3})
							{
							{@code kwdcase} {@code num1}:
								{@link #kružnica(double) kružnica}({@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num3}, {@code num12}));
								{@code kwdbreak};

							{@code kwdcase} {@code num2}:
								{@link #dopredu(double) dopredu}({@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num60}, {@code num100}));
								{@code kwdbreak};

							{@code kwddefault}:
								{@link #kruh(double) kruh}({@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num3}, {@code num12}));
							}
						}
					}

					{@code comm// Presmerujeme kreslenie späť na podlahu:}
					{@link #kresliNaPodlahu() kresliNaPodlahu}();

					{@code comm// Vrátenie zálohy vykonanej na začiatku tejto metódy:}
					{@link #farba(java.awt.Color) farba}(zálohaFarby);
					{@link #skočNa(Poloha) skočNa}(zálohaPolohy);
					{@link #smer(double) smer}(zálohaSmeru);
					{@link #hrúbkaČiary(double) hrúbkaČiary}(zálohaHrúbky);
				}

				{@code comm// Vyplnenie aktuálneho cieľa vypĺňania textúrou}
				{@code kwdprivate} {@code typevoid} vyplňTextúrou()
				{
					{@code comm// Vymazanie grafiky podlahy:}
					{@link Plátno podlaha}.{@link Plátno#vymažGrafiku() vymažGrafiku}();

					{@code kwdif} (zamknuté)
					{
						{@code comm// Ak je posúvanie a otáčanie textúry zamknuté, tak vykonáme}
						{@code comm// posunutie a otočenie výplne podľa aktuálnych parametrov robota}
						{@code comm// (zaujímavo sa to prejaví na vypĺňanom obrázku, ktorý pracuje}
						{@code comm// akoby so samostatnou súradnicovou sústavou):}
						{@link Svet Svet}.{@link Svet#posunutieVýplne(Poloha) posunutieVýplne}({@code valthis});
						{@link Svet Svet}.{@link Svet#pootočenieVýplne(double) pootočenieVýplne}({@code valthis});
					}

					{@code comm// Podľa cieľa výplne prekreslíme požadovanú súčasť (vždy použijeme}
					{@code comm// príkaz vyplň tej ktorej súčasti, aby bolo vidno výsledok}
					{@code comm// s aktuálnymi parametrami textúry):}
					{@code kwdswitch} (cieľVýplne)
					{
					{@code kwdcase} {@code num0}:
						obrázok.{@link Obrázok#vymaž() vymaž}();
						obrázok.{@link Obrázok#vyplň(Image) vyplň}(textúra);
						{@link #obrázok(Image, double) obrázok}(obrázok, {@code num1.0});
						{@code kwdbreak};

					{@code kwdcase} {@code num1}:
						{@code comm// Kreslenie tvarov nie je vypnuté, preto sa hviezda zároveň}
						{@code comm// nakreslí na plochu plátna aktuálnou hrúbkou a farbou čiary.}
						{@link #vyplňTvar(Shape) vyplňTvar}({@link #hviezda() hviezda}(), textúra);
						{@code kwdbreak};

					{@code kwdcase} {@code num2}:
						{@link #vyplňOblasť(Area, Image) vyplňOblasť}(oblasť, textúra);
						{@code kwdbreak};

					{@code kwdcase} {@code num3}:
						{@link Plátno podlaha}.{@link Plátno#vyplň(Image) vyplň}(textúra);
						{@code kwdbreak};
					}
				}

				{@code comm// Výpis obsahu elektronického pomocníka}
				{@code kwdprivate} {@code typevoid} pomoc()
				{
					{@link Plátno strop}.{@link Plátno#vymažTexty() vymažTexty}();
					{@link Plátno strop}.{@link Plátno#vymažGrafiku() vymažGrafiku}();

					{@code kwdif} (zobrazPomoc &gt; {@code num0})
					{
						{@link Plátno strop}.{@link Plátno#vyplň(Image) vyplň}(mliečna);

						{@code typeint} zobrazenie = (zobrazPomoc &#45; {@code num1}) % {@code num3};

						{@code kwdif} (zobrazenie &gt;= {@code num2})
						{
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Medzerníkom prepnete medzi režimom úprav (transformácie) textúry a tvaru."});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Enterom sa prepnete medzi režimom zamknutého alebo voľného posunu a otáčania textúry s tvarom."});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Klávesom F1 zobrazíte tohto pomocníka (viacnásobné stlačenie prepína mieru zobrazených informácií)."});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Klávesom Escape skryjete pomocníka."});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Klávesy 1 až 4 prepínajú ciele vypĺňania: obrázok, tvar hviezdy, oblasť ježa v obruči a celú plochu podlahy. (Všímajte si odlišnosti.)"});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Kláves F prepne na ďalší typ textúry a vygeneruje novú náhodnú textúru (v aktuálnom režime)."});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Kláves G vygeneruje novú náhodnú textúru aktuálneho typu v aktuálnom režime."});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Kláves H prepne medzi režimom bezšvovej a švovej textúry a vygeneruje novú náhodnú textúru (aktuálneho typu)."}, {@link #riadok riadok});
						}

						{@code kwdif} (zobrazenie &gt;= {@code num1})
						{
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Kliknutím alebo ťahaním niektorým tlačidlom myši vykonáte jednu z nasledujúcich akcií s tvarom (v režime úprav tvaru):"});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg" — ľavé tlačidlo: posunutie tvaru,"});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg" — pravé tlačidlo: pootočenie tvaru."}, {@link #riadok riadok});

							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Kliknutím alebo ťahaním niektorým tlačidlom myši vykonáte jednu z nasledujúcich akcií s textúrou (v režime úprav textúry):"});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg" — ak je posúvanie a otáčenie textúry voľné:"});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"   — ľavé tlačidlo: posunutie textúry,"});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"   — pravé tlačidlo: pootočenie textúry,"}, {@link #riadok riadok});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg" — ak je posúvanie a otáčenie textúry zamknuté:"});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"   — ľavé tlačidlo: posunutie stredu otáčania textúry,"});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"   — pravé tlačidlo: zmena mierky textúry."}, {@link #riadok riadok});
						}

						{@code kwdif} (zobrazenie &gt;= {@code num0})
						{
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Aktuálny stav:"}, {@link #riadok riadok});

							{@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg" — Cieľ výplne: "});
							{@code kwdswitch} (cieľVýplne)
							{
							{@code kwdcase} {@code num0}: {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"obrázok"}); {@code kwdbreak};
							{@code kwdcase} {@code num1}: {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"tvar hviezdy"}); {@code kwdbreak};
							{@code kwdcase} {@code num2}: {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"oblasť ježa v obruči"}); {@code kwdbreak};
							{@code kwdcase} {@code num3}: {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"podlaha"}); {@code kwdbreak};
							}
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"."});

							{@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg" — Režim úprav: "});
							{@code kwdif} (upravTextúru)
								{@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"textúra"});
							{@code kwdelse}
								{@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"tvaru"});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"."});

							{@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg" — Stav zámku textúry: "});
							{@code kwdif} (zamknuté)
								{@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"zamknuté"});
							{@code kwdelse}
								{@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"voľné"});
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"."});
						}

						{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@link #riadok riadok}, {@code srg"(Tip: Ak je miera zobrazených textov pomocníka vyššia, tak kolieskom myši môžete rolovať text…)"});

						{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@link #riadok riadok}, {@code srg"Stlačte Escape…"});
					}
				}


				{@code comm// Obsluhy udalostí (časovača, myši a klávesnice):}


				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link #tik() tik}()
				{
					{@code kwdif} ({@link Svet Svet}.{@link Svet#neboloPrekreslené() neboloPrekreslené}()) {@link Svet Svet}.{@link Svet#prekresli() prekresli}();
				}

				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link #stlačenieTlačidlaMyši() stlačenieTlačidlaMyši}()
				{
					{@link #ťahanieMyšou() ťahanieMyšou}();
				}

				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link #ťahanieMyšou() ťahanieMyšou}()
				{
					{@code kwdif} (upravTextúru)
					{
						{@code kwdif} (zamknuté)
						{
							{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidloMyši(int) tlačidloMyši}({@link #ĽAVÉ ĽAVÉ}))
								{@link Svet Svet}.{@link Svet#stredOtáčaniaVýplne(double, double) stredOtáčaniaVýplne}(
									{@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#súradnicaMyšiX() súradnicaMyšiX}() &#45; {@link #súradnicaX() súradnicaX}(),
									{@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#súradnicaMyšiY() súradnicaMyšiY}() &#45; {@link #súradnicaY() súradnicaY}());
							{@code kwdelse}
								{@link Svet Svet}.{@link Svet#mierkaVýplne(double, double) mierkaVýplne}({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#súradnicaMyšiX() súradnicaMyšiX}() / {@code num100.0},
									{@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#súradnicaMyšiY() súradnicaMyšiY}() / {@code num100.0});
						}
						{@code kwdelse}
						{
							{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidloMyši(int) tlačidloMyši}({@link #ĽAVÉ ĽAVÉ}))
								{@link Svet Svet}.{@link Svet#posunutieVýplneNaMyš() posunutieVýplneNaMyš}();
							{@code kwdelse}
								{@link Svet Svet}.{@link Svet#pootočenieVýplneNaMyš() pootočenieVýplneNaMyš}();
						}
					}
					{@code kwdelse}
					{
						{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidloMyši(int) tlačidloMyši}({@link #ĽAVÉ ĽAVÉ}))
							{@link #skočNaMyš() skočNaMyš}();
						{@code kwdelse}
							{@link #otočNaMyš() otočNaMyš}();
					}

					vyplňTextúrou();
				}

				{@code kwd@}SuppressWarnings({@code srg"fallthrough"}) {@code comm// toto je vysvetlené na konci metódy}
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link #uvoľnenieKlávesu() uvoľnenieKlávesu}()
				{
					{@code kwdswitch} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#kláves() kláves}())
					{
						{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#MEDZERA MEDZERA}:
							upravTextúru = !upravTextúru;
							pomoc();
							{@code kwdbreak};

						{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#ENTER ENTER}:
							{@code kwdif} (zamknuté)
							{
								{@link Svet Svet}.{@link Svet#posunutieVýplne(Poloha) posunutieVýplne}(zálohaPosunutia);
								{@link Svet Svet}.{@link Svet#pootočenieVýplne(double) pootočenieVýplne}(zálohaPootočenia);
							}
							{@code kwdelse}
							{
								zálohaPosunutia = {@link Svet Svet}.{@link Svet#posunutieVýplne() posunutieVýplne}();
								zálohaPootočenia = {@link Svet Svet}.{@link Svet#pootočenieVýplne() pootočenieVýplne}();
							}
							zamknuté = !zamknuté;
							vyplňTextúrou();
							pomoc();
							{@code kwdbreak};

						{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#ESCAPE ESCAPE}:
							{@code kwdif} (zobrazPomoc &gt; {@code num0})
								zobrazPomoc = -zobrazPomoc;
							{@code kwdelse} {@code kwdif} ({@code num0} == zobrazPomoc)
								zobrazPomoc = -{@code num3};
							pomoc();
							{@code kwdbreak};

						{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#VK_F1 VK_F1}:
							{@code kwdif} (zobrazPomoc &lt; {@code num0})
								zobrazPomoc = -zobrazPomoc;
							{@code kwdelse} {@code kwdif} ({@code num0} == zobrazPomoc)
								zobrazPomoc = {@code num3};
							{@code kwdelse}
								++zobrazPomoc;
							pomoc();
							{@code kwdbreak};

						{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#VK_1 VK_1}:
							cieľVýplne = {@code num0};
							vyplňTextúrou();
							pomoc();
							{@code kwdbreak};

						{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#VK_2 VK_2}:
							cieľVýplne = {@code num1};
							vyplňTextúrou();
							pomoc();
							{@code kwdbreak};

						{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#VK_3 VK_3}:
							cieľVýplne = {@code num2};
							vyplňTextúrou();
							pomoc();
							{@code kwdbreak};

						{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#VK_4 VK_4}:
							cieľVýplne = {@code num3};
							vyplňTextúrou();
							pomoc();
							{@code kwdbreak};

						{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#VK_F VK_F}:
							++typ;
							bezšvová = !bezšvová;
							{@code comm// Na tomto mieste býva obvykle príkaz break. Jeho}
							{@code comm// neprítomnosť tu nie je chybou. Ide o úmyselné}
							{@code comm// prepadnutie sa do ďalšej vetvy, ktorá sa prepadáva}
							{@code comm// ešte hlbšie, takže posledné tri príkazy}
							{@code comm// (vygenerujTextúru – pomoc) sú vykonané vo všetkých}
							{@code comm// troch vetvách.}
							{@code comm// }
							{@code comm// Posledný príkaz v tejto vetve (bezšvová = !bezšvová)}
							{@code comm// iba kompenzuje účinok nasledujúcej vetvy tak, aby}
							{@code comm// bola hodnota príznaku „bešvová“ po vykonaní tejto}
							{@code comm// vetvy nezmenená (pretože stlačenie klávesu F má mať}
							{@code comm// za následok iba zmenu typu generovanej textúry, nie}
							{@code comm// švového režimu).}
							{@code comm// }
							{@code comm// Java by programátora varovala, že v tejto metóde sa}
							{@code comm// nachádza prepadnutie sa medzi vetvami riadiacej}
							{@code comm// štruktúry switch, preto je pred deklaračnou časťou}
							{@code comm// tejto metódy anotácia @SuppressWarnings("fallthrough"),}
							{@code comm// ktorá varovanie potlačí. Túto anotáciu smie}
							{@code comm// programátor použiť len v prípade, že o prepadnutí sa,}
							{@code comm// vie a úmyselne ho chce vo svojej metóde ponechať.}

						{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#VK_H VK_H}:
							bezšvová = !bezšvová;

						{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#VK_G VK_G}:
							vygenerujTextúru();
							vyplňTextúrou();
							pomoc();
							{@code kwdbreak};
					}
				}


				{@code comm// Hlavná metóda.}
				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}... args)
				{
					{@link Svet Svet}.{@link Svet#použiKonfiguráciu(String) použiKonfiguráciu}({@code srg"TestVypĺňaniaTextúrou.cfg"});
					{@code kwdnew} TestVypĺňaniaTextúrou();
				}
			}
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * <image>vyplnanieTexturou.png</image>Ukážka výsledku – úvodné
		 * zobrazenie
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param x x-ová súradnica určujúca novú hodnotu relatívneho
		 *     posunutia obrázkových dlaždicových výplní
		 * @param y y-ová súradnica určujúca novú hodnotu relatívneho
		 *     posunutia obrázkových dlaždicových výplní
		 * 
		 * @see #posunutieVýplne()
		 * @see #mierkaVýplne(double)
		 * @see #mierkaVýplne(double, double)
		 * @see #otočenieVýplne(double)
		 * @see #otočenieVýplne(double, double, double)
		 * @see #stredOtáčaniaVýplne(double, double)
		 * 
		 * @see GRobot#vyplňTvar(Shape, String)
		 * @see GRobot#vyplňTvar(Shape, Image)
		 * @see GRobot#vyplňOblasť(Area, String)
		 * @see GRobot#vyplňOblasť(Area, Image)
		 * @see Plátno#vyplň(String)
		 * @see Plátno#vyplň(Image)
		 * @see Obrázok#vyplň(Shape, String)
		 * @see Obrázok#vyplň(Shape, Image)
		 * @see Obrázok#vyplň(String)
		 * @see Obrázok#vyplň(Image)
		 * @see Oblasť#vyplň(String)
		 * @see Oblasť#vyplň(Image)
		 */
		public static void posunutieVýplne(double x, double y)
		{
			posunutieVýplneX = x;
			posunutieVýplneY = y;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #posunutieVýplne(double, double) posunutieVýplne}. */
		public static void posunutieVyplne(double x, double y)
		{
			posunutieVýplne(x, y);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #posunutieVýplne(double, double) posunutieVýplne(x, y)}.
		 * Rozdielom je, že namiesto dvoch samostatných súradníc prijíma
		 * objekt, ktorého polohu použije namiesto zadania súradníc. Inak
		 * funguje táto metóda úplne rovnako ako spomenutá metóda. Všetky
		 * informácie uvedené v jej opise sú tiež relevantné, preto
		 * odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param poloha objekt určujúci nové relatívne posunutie výplní
		 * 
		 * @see #posunutieVýplne(double, double)
		 */
		public static void posunutieVýplne(Poloha poloha)
		{
			posunutieVýplneX = poloha.polohaX();
			posunutieVýplneY = poloha.polohaY();
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #posunutieVýplne(Poloha) posunutieVýplne}. */
		public static void posunutieVyplne(Poloha poloha)
		{
			posunutieVýplne(poloha);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #posunutieVýplne(double, double) posunutieVýplne(x, y)}.
		 * Rozdielom je, že namiesto dvoch samostatných súradníc prijíma
		 * objekt, ktorého polohu použije namiesto zadania súradníc. Inak
		 * funguje táto metóda úplne rovnako ako spomenutá metóda. Všetky
		 * informácie uvedené v jej opise sú tiež relevantné, preto
		 * odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param tvar objekt určujúci nové relatívne posunutie výplní
		 * 
		 * @see #posunutieVýplne(double, double)
		 */
		public static void posunutieVýplne(Shape tvar)
		{
			Rectangle2D hranice = tvar.getBounds2D();
			posunutieVýplneX = prepočítajSpäťX(hranice.getX()) +
				hranice.getWidth() / 2;
			posunutieVýplneY = prepočítajSpäťY(hranice.getY()) -
				hranice.getHeight() / 2;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #posunutieVýplne(Shape) posunutieVýplne}. */
		public static void posunutieVyplne(Shape tvar)
		{
			posunutieVýplne(tvar);
		}

		/**
		 * Vráti bod s hodnotami mierky obrázkových dlaždicových výplní
		 * v osiach x a y.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Bod Bod} určujúci hodnoty mierky
		 *     obrázkových dlaždicových výplní v osiach x a y
		 * 
		 * @see #mierkaVýplne(double, double)
		 * @see #posunutieVýplne()
		 * @see #otočenieVýplne()
		 * @see #stredOtáčaniaVýplne()
		 */
		public static Bod mierkaVýplne()
		{
			return new Bod(mierkaVýplneX, mierkaVýplneY);
		}

		/** <a class="alias"></a> Alias pre {@link #mierkaVýplne() mierkaVýplne}. */
		public static Bod mierkaVyplne()
		{
			return new Bod(mierkaVýplneX, mierkaVýplneY);
		}

		/**
		 * Nastaví mierku obrázkových dlaždicových výplní (v oboch osiach
		 * naraz). Každé ďalšie spustenie niektorého z príkazov vypĺňania
		 * bude používať novú mierku. Hodnota mierky 1.0 je neutrálna –
		 * znamená, že rozmer textúry nebude zmenený. Hodnoty menšie než
		 * 1.0 (ale väčšie než 0.0 – to jest neceločíselné hodnoty)
		 * znamenajú zmenšenie a hodnoty väčšie než 1.0 znamenajú
		 * zväčšenie.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param mierka hodnota určujúca novú mierku textúry
		 * 
		 * @see #mierkaVýplne()
		 * @see #posunutieVýplne(double, double)
		 * @see #mierkaVýplne(double, double)
		 * @see #otočenieVýplne(double)
		 * @see #otočenieVýplne(double, double, double)
		 * @see #stredOtáčaniaVýplne(double, double)
		 * 
		 * @see GRobot#vyplňTvar(Shape, String)
		 * @see GRobot#vyplňTvar(Shape, Image)
		 * @see GRobot#vyplňOblasť(Area, String)
		 * @see GRobot#vyplňOblasť(Area, Image)
		 * @see Plátno#vyplň(String)
		 * @see Plátno#vyplň(Image)
		 * @see Obrázok#vyplň(Shape, String)
		 * @see Obrázok#vyplň(Shape, Image)
		 * @see Obrázok#vyplň(String)
		 * @see Obrázok#vyplň(Image)
		 * @see Oblasť#vyplň(String)
		 * @see Oblasť#vyplň(Image)
		 */
		public static void mierkaVýplne(double mierka)
		{
			mierkaVýplneX = mierkaVýplneY = mierka;
		}

		/** <a class="alias"></a> Alias pre {@link #mierkaVýplne(double) mierkaVýplne}. */
		public static void mierkaVyplne(double mierka)
		{
			mierkaVýplne(mierka);
		}

		/**
		 * Nastaví mierku obrázkových dlaždicových výplní jednotlivo pre
		 * osi x a y. Každé ďalšie spustenie niektorého z príkazov
		 * vypĺňania bude používať nové mierky. Hodnota mierky 1.0 pre
		 * niektorú z osí je neutrálna – znamená, že rozmer textúry nebude
		 * v smere tejto osi zmenený. Hodnoty menšie než 1.0 (ale väčšie
		 * než 0.0 – to jest neceločíselné hodnoty) znamenajú zmenšenie
		 * v určenom smere a hodnoty väčšie než 1.0 znamenajú zväčšenie.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param mx hodnota určujúca novú mierku v smere osi x
		 * @param my hodnota určujúca novú mierku v smere osi y
		 * 
		 * @see #mierkaVýplne()
		 * @see #posunutieVýplne(double, double)
		 * @see #mierkaVýplne(double)
		 * @see #otočenieVýplne(double)
		 * @see #otočenieVýplne(double, double, double)
		 * @see #stredOtáčaniaVýplne(double, double)
		 * 
		 * @see GRobot#vyplňTvar(Shape, String)
		 * @see GRobot#vyplňTvar(Shape, Image)
		 * @see GRobot#vyplňOblasť(Area, String)
		 * @see GRobot#vyplňOblasť(Area, Image)
		 * @see Plátno#vyplň(String)
		 * @see Plátno#vyplň(Image)
		 * @see Obrázok#vyplň(Shape, String)
		 * @see Obrázok#vyplň(Shape, Image)
		 * @see Obrázok#vyplň(String)
		 * @see Obrázok#vyplň(Image)
		 * @see Oblasť#vyplň(String)
		 * @see Oblasť#vyplň(Image)
		 */
		public static void mierkaVýplne(double mx, double my)
		{
			mierkaVýplneX = mx;
			mierkaVýplneY = my;
		}

		/** <a class="alias"></a> Alias pre {@link #mierkaVýplne(double, double) mierkaVýplne}. */
		public static void mierkaVyplne(double mx, double my)
		{
			mierkaVýplne(mx, my);
		}

		/**
		 * Vráti hodnotu pootočenia obrázkových dlaždicových výplní.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Bod Bod} určujúci mieru pootočenia
		 *     obrázkových dlaždicových výplní
		 * 
		 * @see #otočenieVýplne(double)
		 * @see #otočenieVýplne(double, double, double)
		 * @see #posunutieVýplne()
		 * @see #mierkaVýplne()
		 * @see #stredOtáčaniaVýplne()
		 */
		public static double otočenieVýplne()
		{
			return otočVýplňΑ;
		}

		/** <a class="alias"></a> Alias pre {@link #otočenieVýplne() otočenieVýplne}. */
		public static double otocenieVyplne()
		{
			return otočVýplňΑ;
		}

		/**
		 * Vráti hodnotu pootočenia obrázkových dlaždicových výplní.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Bod Bod} určujúci mieru pootočenia
		 *     obrázkových dlaždicových výplní
		 * 
		 * @see #pootočenieVýplne(double)
		 * @see #pootočenieVýplne(double, double, double)
		 * @see #posunutieVýplne(double, double)
		 * @see #posunutieVýplne()
		 * @see #mierkaVýplne()
		 * @see #stredOtáčaniaVýplne()
		 */
		public static double pootočenieVýplne()
		{
			return otočVýplňΑ;
		}

		/** <a class="alias"></a> Alias pre {@link #pootočenieVýplne() pootočenieVýplne}. */
		public static double pootocenieVyplne()
		{
			return otočVýplňΑ;
		}

		/**
		 * Nastaví nový uhol pootočenia obrázkových dlaždicových výplní.
		 * Každé ďalšie spustenie niektorého z príkazov vypĺňania bude
		 * pracovať s pootočenou textúrou. Predvolené je nulové, to jest
		 * žiadne, pootočenie so stredom otáčania v bode relatívneho
		 * posunutia textúry – pozri príkaz {@link #posunutieVýplne(double,
		 * double) posunutieVýplne(x, y)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param uhol nový uhol pootočenia obrázkových dlaždicových výplní
		 * 
		 * @see #otočenieVýplne()
		 * @see #posunutieVýplne(double, double)
		 * @see #mierkaVýplne(double)
		 * @see #mierkaVýplne(double, double)
		 * @see #otočenieVýplne(double, double, double)
		 * @see #stredOtáčaniaVýplne(double, double)
		 * 
		 * @see GRobot#vyplňTvar(Shape, String)
		 * @see GRobot#vyplňTvar(Shape, Image)
		 * @see GRobot#vyplňOblasť(Area, String)
		 * @see GRobot#vyplňOblasť(Area, Image)
		 * @see Plátno#vyplň(String)
		 * @see Plátno#vyplň(Image)
		 * @see Obrázok#vyplň(Shape, String)
		 * @see Obrázok#vyplň(Shape, Image)
		 * @see Obrázok#vyplň(String)
		 * @see Obrázok#vyplň(Image)
		 * @see Oblasť#vyplň(String)
		 * @see Oblasť#vyplň(Image)
		 */
		public static void otočenieVýplne(double uhol)
		{
			otočVýplňΑ = uhol % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
		}

		/** <a class="alias"></a> Alias pre {@link #otočenieVýplne(double) otočenieVýplne}. */
		public static void otocenieVyplne(double uhol)
		{
			otočenieVýplne(uhol);
		}

		/**
		 * Nastaví nový uhol pootočenia obrázkových dlaždicových výplní.
		 * Každé ďalšie spustenie niektorého z príkazov vypĺňania bude
		 * pracovať s pootočenou textúrou. Predvolené je nulové, to jest
		 * žiadne, pootočenie so stredom otáčania v bode relatívneho
		 * posunutia textúry – pozri príkaz {@link #posunutieVýplne(double,
		 * double) posunutieVýplne(x, y)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param uhol nový uhol pootočenia obrázkových dlaždicových výplní
		 * 
		 * @see #pootočenieVýplne()
		 * @see #posunutieVýplne(double, double)
		 * @see #mierkaVýplne(double)
		 * @see #mierkaVýplne(double, double)
		 * @see #pootočenieVýplne(double, double, double)
		 * @see #stredOtáčaniaVýplne(double, double)
		 * 
		 * @see GRobot#vyplňTvar(Shape, String)
		 * @see GRobot#vyplňTvar(Shape, Image)
		 * @see GRobot#vyplňOblasť(Area, String)
		 * @see GRobot#vyplňOblasť(Area, Image)
		 * @see Plátno#vyplň(String)
		 * @see Plátno#vyplň(Image)
		 * @see Obrázok#vyplň(Shape, String)
		 * @see Obrázok#vyplň(Shape, Image)
		 * @see Obrázok#vyplň(String)
		 * @see Obrázok#vyplň(Image)
		 * @see Oblasť#vyplň(String)
		 * @see Oblasť#vyplň(Image)
		 */
		public static void pootočenieVýplne(double uhol)
		{
			otočVýplňΑ = uhol % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
		}

		/** <a class="alias"></a> Alias pre {@link #pootočenieVýplne(double) pootočenieVýplne}. */
		public static void pootocenieVyplne(double uhol)
		{
			pootočenieVýplne(uhol);
		}

		/**
		 * Nastaví nový uhol pootočenia a zároveň nový relatívny stred
		 * otáčania obrázkových dlaždicových výplní.
		 * Každé ďalšie spustenie niektorého z príkazov vypĺňania bude
		 * pracovať s novými parametrami.
		 * Predvolené je nulové, to jest žiadne, pootočenie so stredom
		 * otáčania [0, 0], ktorý označuje bod relatívneho posunutia textúry
		 * – pozri príkaz {@link #posunutieVýplne(double, double)
		 * posunutieVýplne(x, y)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param uhol nový uhol pootočenia obrázkových dlaždicových výplní
		 * @param sx x-ová súradnica nového relatívneho stredu otáčania
		 *     obrázkových dlaždicových výplní
		 * @param sy y-ová súradnica nového relatívneho stredu otáčania
		 *     obrázkových dlaždicových výplní
		 * 
		 * @see #otočenieVýplne()
		 * @see #posunutieVýplne(double, double)
		 * @see #mierkaVýplne(double)
		 * @see #mierkaVýplne(double, double)
		 * @see #otočenieVýplne(double)
		 * @see #stredOtáčaniaVýplne(double, double)
		 * 
		 * @see GRobot#vyplňTvar(Shape, String)
		 * @see GRobot#vyplňTvar(Shape, Image)
		 * @see GRobot#vyplňOblasť(Area, String)
		 * @see GRobot#vyplňOblasť(Area, Image)
		 * @see Plátno#vyplň(String)
		 * @see Plátno#vyplň(Image)
		 * @see Obrázok#vyplň(Shape, String)
		 * @see Obrázok#vyplň(Shape, Image)
		 * @see Obrázok#vyplň(String)
		 * @see Obrázok#vyplň(Image)
		 * @see Oblasť#vyplň(String)
		 * @see Oblasť#vyplň(Image)
		 */
		public static void otočenieVýplne(double uhol, double sx, double sy)
		{
			otočVýplňΑ = uhol % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			stredOtáčaniaVýplneX = sx;
			stredOtáčaniaVýplneY = sy;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #otočenieVýplne(double, double, double) otočenieVýplne}. */
		public static void otocenieVyplne(double uhol, double sx, double sy)
		{
			otočenieVýplne(uhol, sx, sy);
		}

		/**
		 * Nastaví nový uhol pootočenia a zároveň nový relatívny stred
		 * otáčania obrázkových dlaždicových výplní.
		 * Každé ďalšie spustenie niektorého z príkazov vypĺňania bude
		 * pracovať s novými parametrami.
		 * Predvolené je nulové, to jest žiadne, pootočenie so stredom
		 * otáčania [0, 0], ktorý označuje bod relatívneho posunutia textúry
		 * – pozri príkaz {@link #posunutieVýplne(double, double)
		 * posunutieVýplne(x, y)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param uhol nový uhol pootočenia obrázkových dlaždicových výplní
		 * @param sx x-ová súradnica nového relatívneho stredu otáčania
		 *     obrázkových dlaždicových výplní
		 * @param sy y-ová súradnica nového relatívneho stredu otáčania
		 *     obrázkových dlaždicových výplní
		 * 
		 * @see #pootočenieVýplne()
		 * @see #posunutieVýplne(double, double)
		 * @see #mierkaVýplne(double)
		 * @see #mierkaVýplne(double, double)
		 * @see #pootočenieVýplne(double)
		 * @see #stredOtáčaniaVýplne(double, double)
		 * 
		 * @see GRobot#vyplňTvar(Shape, String)
		 * @see GRobot#vyplňTvar(Shape, Image)
		 * @see GRobot#vyplňOblasť(Area, String)
		 * @see GRobot#vyplňOblasť(Area, Image)
		 * @see Plátno#vyplň(String)
		 * @see Plátno#vyplň(Image)
		 * @see Obrázok#vyplň(Shape, String)
		 * @see Obrázok#vyplň(Shape, Image)
		 * @see Obrázok#vyplň(String)
		 * @see Obrázok#vyplň(Image)
		 * @see Oblasť#vyplň(String)
		 * @see Oblasť#vyplň(Image)
		 */
		public static void pootočenieVýplne(double uhol, double sx, double sy)
		{
			otočVýplňΑ = uhol % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			stredOtáčaniaVýplneX = sx;
			stredOtáčaniaVýplneY = sy;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #pootočenieVýplne(double, double, double) pootočenieVýplne}. */
		public static void pootocenieVyplne(double uhol, double sx, double sy)
		{
			pootočenieVýplne(uhol, sx, sy);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #otočenieVýplne(double) otočenieVýplne(uhol)}. Rozdielom
		 * je, že namiesto číselnej hodnoty smeru prijíma objekt, ktorý
		 * musí byť implementáciou rozhrania {@link Smer Smer}. Inak
		 * funguje táto metóda úplne rovnako ako spomenutá metóda.
		 * Všetky informácie uvedené v jej opise sú tiež relevantné,
		 * preto odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param smer objekt určujúci nový uhol pootočenia výplní
		 * 
		 * @see #otočenieVýplne(double)
		 */
		public static void otočenieVýplne(Smer smer)
		{
			otočVýplňΑ = smer.smer() % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
		}

		/** <a class="alias"></a> Alias pre {@link #otočenieVýplne(Smer) otočenieVýplne}. */
		public static void otocenieVyplne(Smer smer)
		{
			otočenieVýplne(smer);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #pootočenieVýplne(double) pootočenieVýplne(uhol)}.
		 * Rozdielom je, že  namiesto číselnej hodnoty smeru prijíma objekt,
		 * ktorý musí byť implementáciou rozhrania {@link Smer Smer}. Inak
		 * funguje táto metóda úplne rovnako ako spomenutá metóda.
		 * Všetky informácie uvedené v jej opise sú tiež relevantné,
		 * preto odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param smer objekt určujúci nový uhol pootočenia výplní
		 * 
		 * @see #pootočenieVýplne(double)
		 */
		public static void pootočenieVýplne(Smer smer)
		{
			otočVýplňΑ = smer.smer() % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
		}

		/** <a class="alias"></a> Alias pre {@link #pootočenieVýplne(Smer) pootočenieVýplne}. */
		public static void pootocenieVyplne(Smer smer)
		{
			pootočenieVýplne(smer);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #otočenieVýplne(double, double, double)
		 * otočenieVýplne(uhol, sx, sy)}. Rozdielom je, že namiesto číselnej
		 * hodnoty smeru prijíma objekt, ktorý musí byť implementáciou
		 * rozhrania {@link Smer Smer}. Inak funguje táto metóda úplne
		 * rovnako ako spomenutá metóda. Všetky informácie uvedené v jej
		 * opise sú tiež relevantné, preto odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param smer objekt určujúci nový uhol pootočenia výplní
		 * @param sx nová x-ová súradnica relatívneho posunutia stredu
		 *     otáčania výplní
		 * @param sy nová y-ová súradnica relatívneho posunutia stredu
		 *     otáčania výplní
		 * 
		 * @see #otočenieVýplne(double, double, double)
		 */
		public static void otočenieVýplne(Smer smer, double sx, double sy)
		{
			otočVýplňΑ = smer.smer() % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			stredOtáčaniaVýplneX = sx;
			stredOtáčaniaVýplneY = sy;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #otočenieVýplne(Smer, double, double) otočenieVýplne}. */
		public static void otocenieVyplne(Smer smer, double sx, double sy)
		{
			otočenieVýplne(smer, sx, sy);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #otočenieVýplne(double, double, double)
		 * otočenieVýplne(uhol, sx, sy)}. Rozdielom je, že namiesto dvoch
		 * samostatných súradníc určujúcich vysunutie stredu otáčania prijíma
		 * objekt, ktorého polohu použije v relatívnom kontexte namiesto
		 * priameho zadania hodnôt súradníc (čiže absolútne súradnice polohy
		 * objektu použije priamo ako relatívne hodnoty – nie je vykonaný
		 * žiadny prepočet). Inak funguje táto metóda úplne rovnako ako
		 * spomenutá metóda. Všetky informácie uvedené v jej opise sú tiež
		 * relevantné, preto odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param uhol nový uhol pootočenia výplní
		 * @param poloha objekt určujúci nové relatívne posunutie
		 *     stredu otáčania výplní
		 * 
		 * @see #otočenieVýplne(double, double, double)
		 */
		public static void otočenieVýplne(double uhol, Poloha poloha)
		{
			otočVýplňΑ = uhol % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			stredOtáčaniaVýplneX = poloha.polohaX();
			stredOtáčaniaVýplneY = poloha.polohaY();
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #otočenieVýplne(double, Poloha) otočenieVýplne}. */
		public static void otocenieVyplne(double uhol, Poloha poloha)
		{
			otočenieVýplne(uhol, poloha);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #otočenieVýplne(double, double, double)
		 * otočenieVýplne(uhol, sx, sy)}. Rozdielom je, že namiesto číselnej
		 * hodnoty smeru prijíma objekt, ktorý musí byť implementáciou
		 * rozhrania {@link Smer Smer} a namiesto dvoch samostatných súradníc
		 * určujúcich vysunutie stredu otáčania prijíma objekt, ktorého
		 * polohu použije v relatívnom kontexte namiesto priameho zadania
		 * hodnôt súradníc (čiže absolútne súradnice polohy objektu použije
		 * priamo ako relatívne hodnoty – nie je vykonaný žiadny prepočet).
		 * Inak funguje táto metóda úplne rovnako ako spomenutá metóda.
		 * Všetky informácie uvedené v jej opise sú tiež relevantné, preto
		 * odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param smer objekt určujúci nový uhol pootočenia výplní
		 * @param poloha objekt určujúci nové relatívne posunutie
		 *     stredu otáčania výplní
		 * 
		 * @see #otočenieVýplne(double, double, double)
		 */
		public static void otočenieVýplne(Smer smer, Poloha poloha)
		{
			otočVýplňΑ = smer.smer() % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			stredOtáčaniaVýplneX = poloha.polohaX();
			stredOtáčaniaVýplneY = poloha.polohaY();
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #otočenieVýplne(Smer, Poloha) otočenieVýplne}. */
		public static void otocenieVyplne(Smer smer, Poloha poloha)
		{
			otočenieVýplne(smer, poloha);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #otočenieVýplne(double, double, double)
		 * otočenieVýplne(uhol, sx, sy)}. Rozdielom je, že namiesto dvoch
		 * samostatných súradníc určujúcich vysunutie stredu otáčania prijíma
		 * objekt, ktorého polohu použije v relatívnom kontexte namiesto
		 * priameho zadania hodnôt súradníc (čiže absolútne súradnice polohy
		 * objektu použije priamo ako relatívne hodnoty – nie je vykonaný
		 * žiadny prepočet). Inak funguje táto metóda úplne rovnako ako
		 * spomenutá metóda. Všetky informácie uvedené v jej opise sú tiež
		 * relevantné, preto odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param uhol nový uhol pootočenia výplní
		 * @param tvar objekt určujúci nové relatívne posunutie
		 *     stredu otáčania výplní
		 * 
		 * @see #otočenieVýplne(double, double, double)
		 */
		public static void otočenieVýplne(double uhol, Shape tvar)
		{
			otočVýplňΑ = uhol % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			Rectangle2D hranice = tvar.getBounds2D();
			stredOtáčaniaVýplneX = prepočítajSpäťX(hranice.getX()) +
				hranice.getWidth() / 2;
			stredOtáčaniaVýplneY = prepočítajSpäťY(hranice.getY()) -
				hranice.getHeight() / 2;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #otočenieVýplne(double, Shape) otočenieVýplne}. */
		public static void otocenieVyplne(double uhol, Shape tvar)
		{
			otočenieVýplne(uhol, tvar);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #otočenieVýplne(double, double, double)
		 * otočenieVýplne(uhol, sx, sy)}. Rozdielom je, že namiesto číselnej
		 * hodnoty smeru prijíma objekt, ktorý musí byť implementáciou
		 * rozhrania {@link Smer Smer} a namiesto dvoch samostatných súradníc
		 * určujúcich vysunutie stredu otáčania prijíma objekt, ktorého
		 * polohu použije v relatívnom kontexte namiesto priameho zadania
		 * hodnôt súradníc (čiže absolútne súradnice polohy objektu použije
		 * priamo ako relatívne hodnoty – nie je vykonaný žiadny prepočet).
		 * Inak funguje táto metóda úplne rovnako ako spomenutá metóda.
		 * Všetky informácie uvedené v jej opise sú tiež relevantné, preto
		 * odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param smer objekt určujúci nový uhol pootočenia výplní
		 * @param tvar objekt určujúci nové relatívne posunutie
		 *     stredu otáčania výplní
		 * 
		 * @see #otočenieVýplne(double, double, double)
		 */
		public static void otočenieVýplne(Smer smer, Shape tvar)
		{
			otočVýplňΑ = smer.smer() % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			Rectangle2D hranice = tvar.getBounds2D();
			stredOtáčaniaVýplneX = prepočítajSpäťX(hranice.getX()) +
				hranice.getWidth() / 2;
			stredOtáčaniaVýplneY = prepočítajSpäťY(hranice.getY()) -
				hranice.getHeight() / 2;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #otočenieVýplne(Smer, Shape) otočenieVýplne}. */
		public static void otocenieVyplne(Smer smer, Shape tvar)
		{
			otočenieVýplne(smer, tvar);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #pootočenieVýplne(double, double, double)
		 * pootočenieVýplne(uhol, sx, sy)}. Rozdielom je, že namiesto
		 * číselnej hodnoty smeru prijíma objekt, ktorý musí byť
		 * implementáciou rozhrania {@link Smer Smer}. Inak funguje táto
		 * metóda úplne rovnako ako spomenutá metóda. Všetky informácie
		 * uvedené v jej opise sú tiež relevantné, preto odporúčame prečítať
		 * si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param smer objekt určujúci nový uhol pootočenia výplní
		 * @param sx nová x-ová súradnica relatívneho posunutia stredu
		 *     otáčania výplní
		 * @param sy nová y-ová súradnica relatívneho posunutia stredu
		 *     otáčania výplní
		 * 
		 * @see #pootočenieVýplne(double, double, double)
		 */
		public static void pootočenieVýplne(Smer smer, double sx, double sy)
		{
			otočVýplňΑ = smer.smer() % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			stredOtáčaniaVýplneX = sx;
			stredOtáčaniaVýplneY = sy;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #pootočenieVýplne(Smer, double, double) pootočenieVýplne}. */
		public static void pootocenieVyplne(Smer smer, double sx, double sy)
		{
			pootočenieVýplne(smer, sx, sy);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #pootočenieVýplne(double, double, double)
		 * pootočenieVýplne(uhol, sx, sy)}. Rozdielom je, že namiesto dvoch
		 * samostatných súradníc určujúcich vysunutie stredu otáčania prijíma
		 * objekt, ktorého polohu použije v relatívnom kontexte namiesto
		 * priameho zadania hodnôt súradníc (čiže absolútne súradnice polohy
		 * objektu použije priamo ako relatívne hodnoty – nie je vykonaný
		 * žiadny prepočet). Inak funguje táto metóda úplne rovnako ako
		 * spomenutá metóda. Všetky informácie uvedené v jej opise sú tiež
		 * relevantné, preto odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param uhol nový uhol pootočenia výplní
		 * @param poloha objekt určujúci nové relatívne posunutie
		 *     stredu otáčania výplní
		 * 
		 * @see #pootočenieVýplne(double, double, double)
		 */
		public static void pootočenieVýplne(double uhol, Poloha poloha)
		{
			otočVýplňΑ = uhol % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			stredOtáčaniaVýplneX = poloha.polohaX();
			stredOtáčaniaVýplneY = poloha.polohaY();
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #pootočenieVýplne(double, Poloha) pootočenieVýplne}. */
		public static void pootocenieVyplne(double uhol, Poloha poloha)
		{
			pootočenieVýplne(uhol, poloha);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #pootočenieVýplne(double, double, double)
		 * pootočenieVýplne(uhol, sx, sy)}. Rozdielom je, že namiesto
		 * číselnej hodnoty smeru prijíma objekt, ktorý musí byť
		 * implementáciou rozhrania {@link Smer Smer} a namiesto dvoch
		 * samostatných súradníc určujúcich vysunutie stredu otáčania prijíma
		 * objekt, ktorého polohu použije v relatívnom kontexte namiesto
		 * priameho zadania hodnôt súradníc (čiže absolútne súradnice polohy
		 * objektu použije priamo ako relatívne hodnoty – nie je vykonaný
		 * žiadny prepočet). Inak funguje táto metóda úplne rovnako ako
		 * spomenutá metóda. Všetky informácie uvedené v jej opise sú tiež
		 * relevantné, preto odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param smer objekt určujúci nový uhol pootočenia výplní
		 * @param poloha objekt určujúci nové relatívne posunutie
		 *     stredu otáčania výplní
		 * 
		 * @see #pootočenieVýplne(double, double, double)
		 */
		public static void pootočenieVýplne(Smer smer, Poloha poloha)
		{
			otočVýplňΑ = smer.smer() % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			stredOtáčaniaVýplneX = poloha.polohaX();
			stredOtáčaniaVýplneY = poloha.polohaY();
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #pootočenieVýplne(Smer, Poloha) pootočenieVýplne}. */
		public static void pootocenieVyplne(Smer smer, Poloha poloha)
		{
			pootočenieVýplne(smer, poloha);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #pootočenieVýplne(double, double, double)
		 * pootočenieVýplne(uhol, sx, sy)}. Rozdielom je, že namiesto dvoch
		 * samostatných súradníc určujúcich vysunutie stredu otáčania prijíma
		 * objekt, ktorého polohu použije v relatívnom kontexte namiesto
		 * priameho zadania hodnôt súradníc (čiže absolútne súradnice polohy
		 * objektu použije priamo ako relatívne hodnoty – nie je vykonaný
		 * žiadny prepočet). Inak funguje táto metóda úplne rovnako ako
		 * spomenutá metóda. Všetky informácie uvedené v jej opise sú tiež
		 * relevantné, preto odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param uhol nový uhol pootočenia výplní
		 * @param tvar objekt určujúci nové relatívne posunutie
		 *     stredu otáčania výplní
		 * 
		 * @see #pootočenieVýplne(double, double, double)
		 */
		public static void pootočenieVýplne(double uhol, Shape tvar)
		{
			otočVýplňΑ = uhol % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			Rectangle2D hranice = tvar.getBounds2D();
			stredOtáčaniaVýplneX = prepočítajSpäťX(hranice.getX()) +
				hranice.getWidth() / 2;
			stredOtáčaniaVýplneY = prepočítajSpäťY(hranice.getY()) -
				hranice.getHeight() / 2;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #pootočenieVýplne(double, Shape) pootočenieVýplne}. */
		public static void pootocenieVyplne(double uhol, Shape tvar)
		{
			pootočenieVýplne(uhol, tvar);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #pootočenieVýplne(double, double, double)
		 * pootočenieVýplne(uhol, sx, sy)}. Rozdielom je, že namiesto
		 * číselnej hodnoty smeru prijíma objekt, ktorý musí byť
		 * implementáciou rozhrania {@link Smer Smer} a namiesto dvoch
		 * samostatných súradníc určujúcich vysunutie stredu otáčania
		 * prijíma objekt, ktorého polohu použije v relatívnom kontexte
		 * namiesto priameho zadania hodnôt súradníc (čiže absolútne
		 * súradnice polohy objektu použije priamo ako relatívne hodnoty –
		 * nie je vykonaný žiadny prepočet). Inak funguje táto metóda úplne
		 * rovnako ako spomenutá metóda. Všetky informácie uvedené v jej
		 * opise sú tiež relevantné, preto odporúčame prečítať si aj jej
		 * opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param smer objekt určujúci nový uhol pootočenia výplní
		 * @param tvar objekt určujúci nové relatívne posunutie
		 *     stredu otáčania výplní
		 * 
		 * @see #pootočenieVýplne(double, double, double)
		 */
		public static void pootočenieVýplne(Smer smer, Shape tvar)
		{
			otočVýplňΑ = smer.smer() % 360;
			if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			Rectangle2D hranice = tvar.getBounds2D();
			stredOtáčaniaVýplneX = prepočítajSpäťX(hranice.getX()) +
				hranice.getWidth() / 2;
			stredOtáčaniaVýplneY = prepočítajSpäťY(hranice.getY()) -
				hranice.getHeight() / 2;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #pootočenieVýplne(Smer, Shape) pootočenieVýplne}. */
		public static void pootocenieVyplne(Smer smer, Shape tvar)
		{
			pootočenieVýplne(smer, tvar);
		}

		/**
		 * Vráti bod so súradnicami relatívneho posunutia stredu otáčania
		 * obrázkových dlaždicových výplní vztiahnutý k súradniciam posunutia
		 * výplne.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Bod Bod} určujúci súradnice
		 *     relatívneho posunutia stredu otáčania obrázkových
		 *     dlaždicových výplní vztiahnutý k súradniciam posunutia výplne
		 * 
		 * @see #stredOtáčaniaVýplne(double, double)
		 * @see #posunutieVýplne()
		 * @see #mierkaVýplne()
		 * @see #otočenieVýplne()
		 */
		public static Bod stredOtáčaniaVýplne()
		{
			return new Bod(stredOtáčaniaVýplneX, stredOtáčaniaVýplneY);
		}

		/** <a class="alias"></a> Alias pre {@link #stredOtáčaniaVýplne() stredOtáčaniaVýplne}. */
		public static Bod stredOtacaniaVyplne()
		{
			return new Bod(stredOtáčaniaVýplneX, stredOtáčaniaVýplneY);
		}

		/**
		 * Nastaví nový relatívny stred otáčania obrázkových dlaždicových
		 * výplní. Každé ďalšie spustenie niektorého z príkazov vypĺňania
		 * bude pracovať s novými parametrami. Tento parameter má na textúru
		 * vplyv len pri nenulovom {@linkplain #otočenieVýplne(double)
		 * uhle pootočenia} výplní.
		 * Predvolený stred otáčania [0, 0] označuje bod relatívneho
		 * posunutia textúry – pozri príkaz {@link #posunutieVýplne(double,
		 * double) posunutieVýplne(x, y)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param uhol nový uhol pootočenia obrázkových dlaždicových výplní
		 * @param sx x-ová súradnica nového relatívneho stredu otáčania
		 *     obrázkových dlaždicových výplní
		 * @param sy y-ová súradnica nového relatívneho stredu otáčania
		 *     obrázkových dlaždicových výplní
		 * 
		 * @see #stredOtáčaniaVýplne()
		 * @see #posunutieVýplne(double, double)
		 * @see #mierkaVýplne(double)
		 * @see #mierkaVýplne(double, double)
		 * @see #otočenieVýplne(double)
		 * @see #otočenieVýplne(double, double, double)
		 * 
		 * @see GRobot#vyplňTvar(Shape, String)
		 * @see GRobot#vyplňTvar(Shape, Image)
		 * @see GRobot#vyplňOblasť(Area, String)
		 * @see GRobot#vyplňOblasť(Area, Image)
		 * @see Plátno#vyplň(String)
		 * @see Plátno#vyplň(Image)
		 * @see Obrázok#vyplň(Shape, String)
		 * @see Obrázok#vyplň(Shape, Image)
		 * @see Obrázok#vyplň(String)
		 * @see Obrázok#vyplň(Image)
		 * @see Oblasť#vyplň(String)
		 * @see Oblasť#vyplň(Image)
		 */
		public static void stredOtáčaniaVýplne(double sx, double sy)
		{
			stredOtáčaniaVýplneX = sx;
			stredOtáčaniaVýplneY = sy;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #stredOtáčaniaVýplne(double, double) stredOtáčaniaVýplne}. */
		public static void stredOtacaniaVyplne(double sx, double sy)
		{
			stredOtáčaniaVýplne(sx, sy);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #stredOtáčaniaVýplne(double, double)
		 * stredOtáčaniaVýplne(sx, sy)}. Rozdielom je, že namiesto dvoch
		 * samostatných súradníc určujúcich vysunutie stredu otáčania
		 * prijíma objekt, ktorého polohu použije v relatívnom kontexte
		 * namiesto priameho zadania hodnôt súradníc (čiže absolútne
		 * súradnice polohy objektu použije priamo ako relatívne hodnoty –
		 * nie je vykonaný žiadny prepočet). Inak funguje táto metóda úplne
		 * rovnako ako spomenutá metóda. Všetky informácie uvedené v jej
		 * opise sú tiež relevantné, preto odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param poloha objekt určujúci nové relatívne posunutie
		 *     stredu otáčania výplní
		 * 
		 * @see #stredOtáčaniaVýplne(double, double)
		 */
		public static void stredOtáčaniaVýplne(Poloha poloha)
		{
			stredOtáčaniaVýplneX = poloha.polohaX();
			stredOtáčaniaVýplneY = poloha.polohaY();
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #stredOtáčaniaVýplne(Poloha) stredOtáčaniaVýplne}. */
		public static void stredOtacaniaVyplne(Poloha poloha)
		{
			stredOtáčaniaVýplne(poloha);
		}

		/**
		 * Táto metóda funguje podobne ako metóda
		 * {@link #stredOtáčaniaVýplne(double, double)
		 * stredOtáčaniaVýplne(sx, sy)}. Rozdielom je, že namiesto dvoch
		 * samostatných súradníc určujúcich vysunutie stredu otáčania
		 * prijíma objekt, ktorého polohu použije v relatívnom kontexte
		 * namiesto priameho zadania hodnôt súradníc (čiže absolútne
		 * súradnice polohy objektu použije priamo ako relatívne hodnoty –
		 * nie je vykonaný žiadny prepočet). Inak funguje táto metóda úplne
		 * rovnako ako spomenutá metóda. Všetky informácie uvedené v jej
		 * opise sú tiež relevantné, preto odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param tvar objekt určujúci nové relatívne posunutie
		 *     stredu otáčania výplní
		 * 
		 * @see #stredOtáčaniaVýplne(double, double)
		 */
		public static void stredOtáčaniaVýplne(Shape tvar)
		{
			Rectangle2D hranice = tvar.getBounds2D();
			stredOtáčaniaVýplneX = prepočítajSpäťX(hranice.getX()) +
				hranice.getWidth() / 2;
			stredOtáčaniaVýplneY = prepočítajSpäťY(hranice.getY()) -
				hranice.getHeight() / 2;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #stredOtáčaniaVýplne(Shape) stredOtáčaniaVýplne}. */
		public static void stredOtacaniaVyplne(Shape tvar)
		{
			stredOtáčaniaVýplne(tvar);
		}


		/**
		 * Táto metóda číta súradnice myši, ktoré použije na posunutie
		 * počiatku obrázkových výplní. Funguje tak, ako keby sme do metódy
		 * {@link #posunutieVýplne(double, double) posunutieVýplne(x, y)}
		 * zadali súradnice myši namiesto parametrov. Informácie nachádzajúce
		 * sa v opise uvedenej metódy sú relevantné aj v prípade tejto
		 * metódy, preto odporúčame prečítať si ho.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #posunutieVýplne(double, double)
		 */
		public static void posunutieVýplneNaMyš()
		{
			posunutieVýplneX = súradnicaMyšiX;
			posunutieVýplneY = súradnicaMyšiY;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #posunutieVýplneNaMyš() posunutieVýplneNaMyš}. */
		public static void posunutieVyplneNaMys()
		{
			posunutieVýplneNaMyš();
		}


		/**
		 * Táto metóda použije súradnice myši na vypočítanie nového
		 * pootočenia obrázkových výplní. Najprv prevezme súradnice myši,
		 * vypočíta z nich uhol smerom k aktuálnemu stredu otáčania
		 * obrázkových výplní a uhol použije na nastavenie nového pootočenia.
		 * 
		 * <P>Metóda funguje tak, ako keby sme vypočítaný uhol zadali ako
		 * parameter do metódy {@link #otočenieVýplne(double)
		 * otočenieVýplne(uhol)}. Informácie nachádzajúce sa v opise
		 * uvedenej metódy sú relevantné aj pre túto metódu, preto
		 * odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #otočenieVýplne(double)
		 */
		public static void otočenieVýplneNaMyš()
		{
			double Δx = súradnicaMyšiX -
				posunutieVýplneX - stredOtáčaniaVýplneX;
			double Δy = súradnicaMyšiY -
				posunutieVýplneY - stredOtáčaniaVýplneY;

			if (Δx != 0 || Δy != 0)
			{
				otočVýplňΑ = Math.toDegrees(Math.atan2(Δy, Δx));
				if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #otočenieVýplneNaMyš() otočenieVýplneNaMyš}. */
		public static void otocenieVyplneNaMys()
		{
			otočenieVýplneNaMyš();
		}

		/**
		 * Táto metóda použije súradnice myši na vypočítanie nového
		 * pootočenia obrázkových výplní. Najprv prevezme súradnice myši,
		 * vypočíta z nich uhol smerom k aktuálnemu stredu otáčania
		 * obrázkových výplní a uhol použije na nastavenie nového pootočenia.
		 * 
		 * <P>Metóda funguje tak, ako keby sme vypočítaný uhol zadali ako
		 * parameter do metódy {@link #pootočenieVýplne(double)
		 * pootočenieVýplne(uhol)}. Informácie nachádzajúce sa v opise
		 * uvedenej metódy sú relevantné aj pre túto metódu, preto
		 * odporúčame prečítať si aj jej opis.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #pootočenieVýplne(double)
		 */
		public static void pootočenieVýplneNaMyš()
		{
			double Δx = súradnicaMyšiX -
				posunutieVýplneX - stredOtáčaniaVýplneX;
			double Δy = súradnicaMyšiY -
				posunutieVýplneY - stredOtáčaniaVýplneY;

			if (Δx != 0 || Δy != 0)
			{
				otočVýplňΑ = Math.toDegrees(Math.atan2(Δy, Δx));
				if (otočVýplňΑ < 0) otočVýplňΑ += 360;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pootočenieVýplneNaMyš() pootočenieVýplneNaMyš}. */
		public static void pootocenieVyplneNaMys()
		{
			pootočenieVýplneNaMyš();
		}


		/**
		 * Táto metóda číta súradnice myši, ktoré použije na nastavenie
		 * nového relatívneho stredu otáčania obrázkových výplní.
		 * Funguje tak, ako keby sme do parametrov metódy
		 * {@link #stredOtáčaniaVýplne(double, double)
		 * stredOtáčaniaVýplne(sx, sy)} zadali rozdiel súradníc myši
		 * a aktuálnych hodnôt posunutia textúr. Informácie nachádzajúce sa
		 * v opise dotknutej metódy sú relevantné aj v prípade tejto metódy,
		 * preto odporúčame prečítať si ho.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #stredOtáčaniaVýplne(double, double)
		 */
		public static void stredOtáčaniaVýplneNaMyš()
		{
			stredOtáčaniaVýplneX = súradnicaMyšiX - posunutieVýplneX;
			stredOtáčaniaVýplneY = súradnicaMyšiY - posunutieVýplneY;
			prepočítajParametreVýplne();
		}

		/** <a class="alias"></a> Alias pre {@link #stredOtáčaniaVýplneNaMyš() stredOtáčaniaVýplneNaMyš}. */
		public static void stredOtacaniaVyplneNaMys()
		{
			stredOtáčaniaVýplneNaMyš();
		}


		// Kreslenie tvarov

		/**
		 * Táto metóda slúži na kreslenie obrysov zadaného tvaru na podlahu.
		 * Metóda potrebuje na svoje správne fungovanie robota „kresliča“,
		 * ktorého farbu a štýl čiary použije na kreslenie. Ak je do metódy
		 * namiesto konkrétneho kresliča zadaná hodnota {@code valnull}, tak
		 * je na získanie parametrov kreslenia použitý {@linkplain
		 * Svet#hlavnýRobot() hlavný robot}. Spustenie tejto metódy má rovnaký
		 * efekt, ako keby sme volali metódu
		 * {@link GRobot.Plátno#kresli(Shape, GRobot) podlaha.kresli(tvar,
		 * kreslič)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude
		 *      nakreslený aktuálnym štýlom čiary a farbou zadaného robota
		 *      („kresliča“)
		 *  @param kreslič grafický robot, ktorého parametre budú použité
		 *      na kreslenie alebo {@code valnull}
		 * 
		 * @see #kresli(Shape)
		 * @see #vyplň(Shape, GRobot)
		 * @see #vyplň(Shape)
		 */
		public static void kresli(Shape tvar, GRobot kreslič)
		{ podlaha.kresli(tvar, kreslič); }

		/**
		 * Táto metóda slúži na kreslenie vyplnených tvarov na podlahu.
		 * Metóda potrebuje na svoje správne fungovanie robota „kresliča“,
		 * ktorého farbu použije na vyplnenie zadaného tvaru. Ak je do metódy
		 * namiesto konkrétneho kresliča zadaná hodnota {@code valnull}, tak
		 * je na získanie parametrov kreslenia použitý {@linkplain
		 * Svet#hlavnýRobot() hlavný robot}. Spustenie tejto metódy má rovnaký
		 * efekt, ako keby sme volali metódu
		 * {@link GRobot.Plátno#kresli(Shape, GRobot) podlaha.vyplň(tvar,
		 * kreslič)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude vyplnený
		 *      aktuálnou farbou zadaného robota („kresliča“)
		 *  @param kreslič grafický robot, ktorého parametre budú použité
		 *      na kreslenie alebo {@code valnull}
		 * 
		 * @see #kresli(Shape, GRobot)
		 * @see #kresli(Shape)
		 * @see #vyplň(Shape)
		 */
		public static void vyplň(Shape tvar, GRobot kreslič)
		{ podlaha.vyplň(tvar, kreslič); }

		/** <a class="alias"></a> Alias pre {@link #vyplň(Shape, GRobot)}. */
		public static void vypln(Shape tvar, GRobot kreslič)
		{ podlaha.vyplň(tvar, kreslič); }

		/**
		 * Táto metóda slúži na kreslenie obrysov zadaného tvaru na podlahu.
		 * Metóda používa na získanie parametrov kreslenia (štýlu a farby
		 * čiary) {@linkplain Svet#hlavnýRobot() hlavného robota}. Spustenie
		 * tejto metódy má rovnaký efekt, ako keby sme volali metódu
		 * {@link GRobot.Plátno#kresli(Shape) podlaha.kresli(tvar)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude
		 *      nakreslený aktuálnym štýlom čiary a farbou {@linkplain
		 *      Svet#hlavnýRobot() hlavného robota}
		 * 
		 * @see #kresli(Shape, GRobot)
		 * @see #vyplň(Shape, GRobot)
		 * @see #vyplň(Shape)
		 */
		public static void kresli(Shape tvar)
		{ podlaha.kresli(tvar); }

		/**
		 * Táto metóda slúži na kreslenie vyplnených tvarov na podlahu.
		 * Metóda používa na získanie parametrov kreslenia (farby výplne)
		 * {@linkplain Svet#hlavnýRobot() hlavného robota}. Spustenie tejto
		 * metódy má rovnaký efekt, ako keby sme volali metódu
		 * {@link GRobot.Plátno#kresli(Shape) podlaha.vyplň(tvar)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude vyplnený
		 *      farbou {@linkplain Svet#hlavnýRobot() hlavného robota}
		 * 
		 * @see #kresli(Shape, GRobot)
		 * @see #kresli(Shape)
		 * @see #vyplň(Shape, GRobot)
		 */
		public static void vyplň(Shape tvar) { podlaha.vyplň(tvar); }

		/** <a class="alias"></a> Alias pre {@link #vyplň(Shape)}. */
		public static void vypln(Shape tvar) { podlaha.vyplň(tvar); }


		// Priehľadnosť plátien

		/**
		 * Naraz nastaví {@linkplain Plátno#priehľadnosť(double)
		 * priehľadnosť} pre podlahu aj strop.
		 * 
		 *  @param prePodlahu nová úroveň (ne)priehľadnosti pre podlahu
		 *      (0.0 – 1.0)
		 *  @param preStrop nová úroveň priehľadnosti pre strop (0.0 – 1.0)
		 *  @see #upravPriehľadnosť(double, double)
		 *  @see Plátno#priehľadnosť(double)
		 *  @see Plátno#priehľadnosť()
		 *  @see Plátno#upravPriehľadnosť(double)
		 */
		public static void priehľadnosť(double prePodlahu, double preStrop)
		{
			podlaha.priehľadnosť(prePodlahu);
			strop.priehľadnosť(preStrop);
		}

		/** <a class="alias"></a> Alias pre {@link #priehľadnosť(double, double) priehľadnosť}. */
		public static void priehladnost(double prePodlahu, double preStrop)
		{ priehľadnosť(prePodlahu, preStrop); }

		/**
		 * Naraz upraví {@linkplain Plátno#upravPriehľadnosť(double) úroveň
		 * priehľadnosti} pre podlahu aj strop. Parametre sú koeficienty,
		 * ktorými bude násobená aktuálna úroveň priehľadnosti stanoveného
		 * plátna – ak napríklad zadáme {@link Svet Svet}{@code .}{@code
		 * currupravPriehľadnosť}{@code (}{@code num0.5}{@code
		 * , }{@code num2}{@code )}, tak úroveň priehľadnosti podlahy klesne
		 * na polovicu a stropu stúpne dvojnásobne.
		 * 
		 * <P><b>Príklad:</b>
		 * <P>V tomto príklade použijeme úpravu priehľadnosti plátien na
		 * vytvorenie prechodového efektu (<small>pozri zoznam zmien: <a
		 * href="zoznam-zmien.html">poďakovanie</a> uvedené pri
		 * verzii 1.35</small>):
		 * <pre CLASS="example">
			{@code comm// Najskôr zaplníme plátno a strop kresbou:}

			{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num10.0});
			{@link GRobot#skry() skry}();

			{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num2}; ++i)
			{
				{@link GRobot#farba(int, int, int) farba}(({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num0}, {@code num255}),
					({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num0}, {@code num255}),
					({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num0}, {@code num255}));
				{@link GRobot#vyplň() vyplň}();

				{@code kwdfor} ({@code typeint} j = {@code num0}; j &lt; {@code num22}; ++j)
				{
					{@link GRobot#smer(double) smer}({@code num0});
					{@link GRobot#náhodnáPoloha() náhodnáPoloha}();
					{@link GRobot#skoč(double, double) skoč}({@code num0}, &#45;{@code num113.5});

					{@code kwdfor} ({@code typeint} k = {@code num0}; k &lt; {@code num24}; ++k)
					{
						{@link GRobot#farba(int, int, int) farba}(({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num0}, {@code num255}),
							({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num0}, {@code num255}),
							({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num0}, {@code num255}));
						{@link GRobot#doľava(double) doľava}({@code num15});
						{@link GRobot#dopredu(double) dopredu}({@code num30});
					}
				}

				{@link Plátno podlaha}.{@link Plátno#priehľadnosť(double) priehľadnosť}({@code num0.0});
				{@link GRobot#kresliNaStrop() kresliNaStrop}();
			}

			{@code comm// Definujeme obsluhu udalostí (z dôvodu obsluhy časovača):}

			{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
			{
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#tik() tik}()
				{
					{@link Svet Svet}.{@code currupravPriehľadnosť}({@code num1.1}, {@code num0.9});
					{@code kwdif} ({@link Plátno strop}.{@link Plátno#priehľadnosť() priehľadnosť}() &lt;= {@code num0.03})
					{
						{@link Svet Svet}.{@link Svet#pípni() pípni}();
						{@link Svet Svet}.{@link Svet#zastavČasovač() zastavČasovač}();
						{@link Svet Svet}.{@link Svet#priehľadnosť(double, double) priehľadnosť}({@code num1.0}, {@code num0.0});
					}
				}
			};

			{@code comm// A spustíme časovač:}

			{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});
			{@link Svet Svet}.{@link Svet#spustiČasovač(double) spustiČasovač}({@code num0.1});
			{@link Svet Svet}.{@link Svet#pípni() pípni}();
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * <table style="margin-left: auto; margin-right: auto;">
		 * <tr><td
		 * style="vertical-align:top"><image>upravPriehladnost1.png</image>
		 * Prvý (náhodne) generovaný obrázok<br /><small>(plátno na obrázku
		 * je zmenšené)</small></td><td>   </td>
		 * <td
		 * style="vertical-align:top"><image>upravPriehladnost2.png</image>
		 * Fáza prelivu obrázkov pomocou priehľadnosti<br />(zhruba
		 * v polovici procesu)<br /><small>(plátno na obrázku je
		 * zmenšené)</small></td><td>   </td>
		 * <td
		 * style="vertical-align:top"><image>upravPriehladnost3.png</image>
		 * Druhý (náhodne) generovaný obrázok<br /><small>(plátno na obrázku
		 * je zmenšené)</small></td></tr>
		 * </table>
		 * 
		 * <P><small>(<b>Poznámka:</b> Ak by sme chceli vytvoriť plynulý
		 * prechod priehľadnosti medzi dvoma kresbami pokrývajúcimi celé
		 * plátna, tak by bolo lepšie, keby sme postupovali tak, že by sme
		 * na začiatku nastavili obom plátnam úplnú nepriehľadnosť, spodnému
		 * plátnu by sme ponechali nepriehľadnosť nezmenenú a nepriehľadnosť
		 * horného plátna by sme plynule znižovali. Avšak pre nepravidelné
		 * kresby alebo rôzne veľkosti obrázkov by tento postup nefugoval.
		 * Podobne by sme s týmto prístupom neuspeli, keby sme chceli, aby
		 * bolo počas prelivu vidno určité (napríklad vzorkované) pozadie,
		 * ktoré by nebolo súčasťou ani jednej z kresieb.)</small>
		 * 
		 *  @param prePodlahu koeficient zmeny úrovne priehľadnosti podlahy
		 *  @param preStrop koeficient zmeny úrovne priehľadnosti stropu
		 *  @see #priehľadnosť(double, double)
		 *  @see Plátno#upravPriehľadnosť(double)
		 *  @see Plátno#priehľadnosť(double)
		 *  @see Plátno#priehľadnosť()
		 *  @see Plátno#upravPriehľadnosť(double)
		 */
		public static void upravPriehľadnosť(double prePodlahu, double preStrop)
		{
			podlaha.upravPriehľadnosť(prePodlahu);
			strop.upravPriehľadnosť(preStrop);
		}

		/** <a class="alias"></a> Alias pre {@link #upravPriehľadnosť(double, double) upravPriehľadnosť}. */
		public static void upravPriehladnost(double prePodlahu, double preStrop)
		{ upravPriehľadnosť(prePodlahu, preStrop); }


		// Automatické prekresľovanie

		/**
		 * Overí, či je automatické prekresľovanie sveta zapnuté. Vypnutie
		 * automatického prekresľovania zabezpečuje metóda {@link #nekresli()
		 * nekresli}, zapnutie zase metóda {@link #kresli() kresli}.
		 * 
		 * <P><b>Poznámka:</b> Predvolená implementácia automatického
		 * prekresľovania sveta nie je efektívna (ale má svoje príčiny).
		 * Pozrite si komentáre a príklady v opisoch metód
		 * {@link #prekresli() prekresli} a {@link #nebolPrekreslený()
		 * nebolPrekreslený}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} ak je automatické prekresľovanie zapnuté,
		 *     {@code valfalse} ak je vypnuté
		 * @see #nebolPrekreslený()
		 * @see #nekresli()
		 * @see #kresli()
		 * @see #prekresli()
		 * @see #žiadajPrekreslenie()
		 */
		public static boolean kreslenie() { return !nekresli; }

		/**
		 * Zistí stav príznaku zamietnutej požiadavky na automatické
		 * prekreslenie. Ak je hodnota tohto príznaku rovná {@code valtrue},
		 * tak je pravdepodobné, že obsah okna na obrazovke nekorešponduje
		 * so skutočnými obsahmi pozadia a plátien (prípadne ďalších
		 * komponentov).
		 * 
		 * <P>Táto metóda súvisí s vypnutím predvolenej implementácie
		 * automatického prekresľovania, ktoré i tak nie je efektívne.
		 * Nasledujúci príklad ukazuje lepší spôsob implementácie
		 * automatického (resp. pravidelného) prekresľovania. Ide
		 * o pravidelnú kontrolu nevyhnutnoti prekresľovanie sveta
		 * s využitím tejto metódy a prekreslenie v prípade potreby.
		 * (Ide vlastne o implementáciu prekresľovania v jednotkách snímok
		 * za sekundu – frames per second – FPS.)
		 * 
		 * <P>Tento spôsob prekresľovania je v súvislosti s počítačovou
		 * grafikou ideálny, ale nemohol byť implementovaný v rámci
		 * knižnice predvolene, pretože by vyžadoval implicitné zapnutie
		 * časovača so stanovením predvoleného času obnovovania (čomu sa
		 * knižnica chcela vyhnúť). Pri implementácii knižnice bolo cieľom:
		 * 
		 * <P><b>(1)</b> ponechať čo najviac možností slobodnej voľby na
		 * programátorovi (automatické zapnutie časovača by bolo považované
		 * za rozhodnutie nad rámec kompetencií knižnice, pretože časovač
		 * je jedným z obmedzovaných systémových zdrojov – nie je možné
		 * vytvoriť nekonečné množstvo časovačov a časovače ovplyvňujú
		 * činnosť celého systému)
		 * 
		 * <P><b>(2)</b> a zároveň minimalizácia objemu vstupných poznatkov
		 * pre začiatočníkov (začiatočník nemusí vedieť nič o nevyhnutnosti
		 * prekresľovania a o možnostiach jeho implementácie – jednoducho
		 * si sadne za počítač a začne používať príkazy grafického robota).
		 * 
		 * <P>To viedlo k predvolenej implementácii automatického
		 * prekresľovania v súčasnej podobe, čiže po každej zmene plátna.
		 * Voľba tohto prístupu bola pri vzatí do úvahy uvedených cieľov
		 * najlepšou možnosťou. Tento <i>nevýhodný</i> spôsob vykresľovania
		 * <i>sa dá vypnúť</i> a nahradiť iným lepším spôsobom, napríklad
		 * tým, ktorý ukazuje nasledujúci príklad. Vďaka tomu môže učiteľ
		 * študentom ukázať výhody a nevýhody rôznych prístupov a vysvetliť
		 * dôvody ich použitia.
		 * 
		 * <P><b>Dôležité upozornenie!</b> V rámci používania knižnice môžu
		 * nastať určité špeciálne situácie, kedy nie je automaticky
		 * rozpoznaná potreba prekreslenia, napríklad pri použití vlastných
		 * metód obrázka na jeho úpravu, pričom obrázok je nastavený ako
		 * vlastný tvar niektorému z robotov. <b>Nepoužívajte</b> v takom
		 * prípade príkaz {@link Svet#prekresli() Svet.prekresli()}!
		 * Na tento účel je rezervovaný príkaz
		 * <b>{@link Svet#žiadajPrekreslenie() Svet.žiadajPrekreslenie()}</b>.
		 * 
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} TestPrekresľovania {@code kwdextends} {@link GRobot GRobot}
			{
				{@code kwdprivate} TestPrekresľovania()
				{
					{@code valsuper}({@code num300}, {@code num200}); {@code comm// nadradený konštruktor upraví veľkosť plátna}
					{@link Svet Svet}.{@link Svet#nekresli() nekresli}(); {@code comm// vypne predvolený spôsob automatického prekresľovania}

					{@code comm// V nasledujúcej obsluje udalostí (v reakcii tik) bude zabezpečené}
					{@code comm// pravidelné prekresľovanie:}
					{@code kwdnew} {@link ObsluhaUdalostí ObsluhaUdalostí}()
					{
						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#tik() tik}()
						{
							{@code comm// Ak je treba, tak prekresli svet…}
							{@code kwdif} ({@link Svet Svet}.{@code currneboloPrekreslené}()) {@link Svet Svet}.{@link #prekresli() prekresli}();
						}

						{@code comm// …}
						{@code comm// Obsluha prípadných ďalších udalostí…}
						{@code comm// …}
					};

					{@link Svet Svet}.{@link Svet#spustiČasovač() spustiČasovač}();

					{@code comm// Príklad časovo náročnej činnosti (pri zapnutom pôvodnom}
					{@code comm// automatickom prekresľovaní by bola časovo ešte náročnejšia, pretože}
					{@code comm// prekreslenie by nastalo po každom príkaze v tele cyklu – dokončenie}
					{@code comm// vykonávania cyklu by trvalo možno aj niekoľko minút; takto sa celý}
					{@code comm// príklad vykoná za necelú sekundu…):}
					{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num1000000}; ++i)
					{
						{@link GRobot#náhodnáPoloha() náhodnáPoloha}();
						{@link GRobot#bod() bod}();
					}
				}

				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}... args)
				{
					{@code comm// Príkaz „Svet.nekresli()“ môže byť prípadne uvedený aj tu…}
					{@link Svet Svet}.{@link Svet#použiKonfiguráciu(String) použiKonfiguráciu}({@code srg"test-prekresľovania.cfg"});
					{@code kwdnew} TestPrekresľovania();
				}
			}
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * <table style="margin-left: auto; margin-right: auto;"><tr>
		 * <td><image>testPrekreslovania1.png</image></td>
		 * <td><image>testPrekreslovania2.png</image></td>
		 * <td><image>testPrekreslovania3.png</image></td>
		 * <td><image>testPrekreslovania4.png</image></td></tr><tr>
		 * <td colspan="4" style="text-align: center;"><small>Niekoľko
		 * obrázkov zobrazujúcich priebeh zapĺňania plátna bodmi počas
		 * vykonávania tohto príkladu</small></td></tr></table>
		 * 
		 * <P><small>(<b>Poznámka:</b> Pozrite si aj komentáre a príklad
		 * v opise metódy {@link #prekresli() prekresli}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} ak vznikla požiadavka na automatické
		 *     prekreslenie, zapnuté, no bola zamietnutá (napríklad
		 *     v dôsledku vypnutia automatického prekresľovania – pozri aj:
		 *     {@link #nekresli() nekresli}); {@code valfalse} v opačnom
		 *     prípade
		 * @see #kreslenie()
		 * @see #nekresli()
		 * @see #kresli()
		 * @see #prekresli()
		 * @see #žiadajPrekreslenie()
		 */
		public static boolean nebolPrekreslený() { return neboloPrekreslené; }

		/** <a class="alias"></a> Alias pre {@link #nebolPrekreslený() nebolPrekreslený}. */
		public static boolean nebolPrekresleny() { return neboloPrekreslené; }

		/** <a class="alias"></a> Alias pre {@link #nebolPrekreslený() nebolPrekreslený}. */
		public static boolean neboloPrekreslené() { return neboloPrekreslené; }

		/** <a class="alias"></a> Alias pre {@link #nebolPrekreslený() nebolPrekreslený}. */
		public static boolean neboloPrekreslene() { return neboloPrekreslené; }

		/**
		 * Vypne predvolenú implementáciu automatického prekresľovanie
		 * sveta. Tá funguje tak, že prekresľovanie sveta je automaticky
		 * vykonávané po rôznych aktivitách robotov (zmena polohy,
		 * orientácie a podobne), pri zmene niektorých parametrov sveta,
		 * prípadne pri inej relevantnej príležitosti (to jest vždy, keď je
		 * pravdepodobné, že sa niečo na plátnach sveta vizuálne zmenilo).
		 * 
		 * <P>Vypnutie automatického prekresľovania môže značne zvýšiť
		 * grafickú efektívnosť aplikácie, aby sme však po jeho vypnutí
		 * mohli vidieť výsledok kreslenia, musíme vždy (po akejkoľvek zmene,
		 * ktorá by sa mohla prejaviť graficky) použiť metódu {@link
		 * #prekresli() prekresli} (napríklad pravidelne po určitom počte
		 * vykonaných príkazov, alebo v pravidelných časových intervaloch,
		 * prípadne po overení potreby prekreslenia sveta metódou
		 * {@link #nebolPrekreslený() nebolPrekreslený}). Túto predvolenú
		 * implementáciu automatického prekresľovania sveta opätovne
		 * zapneme metódou {@link #kresli() kresli}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Predvolená implementácia automatického
		 * prekresľovania sveta nie je efektívna, i keď má svoje príčiny.
		 * Pozrite si komentáre a príklady v opisoch metód
		 * {@link #prekresli() prekresli} a {@link #nebolPrekreslený()
		 * nebolPrekreslený}.)</small>
		 * 
		 * @see #kreslenie()
		 * @see #nebolPrekreslený()
		 * @see #kresli()
		 * @see #prekresli()
		 * @see #žiadajPrekreslenie()
		 */
		public static void nekresli() { nekresli = true; }

		/**
		 * Zapne automatické prekresľovanie sveta, ktoré bolo vypnuté metódou
		 * {@link #nekresli() nekresli}. Ak nechceme prekresľovanie zapnúť,
		 * ale chceme napríklad vidieť, čo medzičasom nakreslil niektorý
		 * robot, môžeme použiť metódu {@link #prekresli() prekresli}.
		 * 
		 * <P><b>Poznámka:</b> Predvolená implementácia automatického
		 * prekresľovania sveta nie je efektívna (ale má svoje príčiny).
		 * Pozrite si komentáre a príklady v opisoch metód
		 * {@link #prekresli() prekresli} a {@link #nebolPrekreslený()
		 * nebolPrekreslený}.
		 * 
		 * @see #kreslenie()
		 * @see #nebolPrekreslený()
		 * @see #nekresli()
		 * @see #prekresli()
		 * @see #žiadajPrekreslenie()
		 */
		public static void kresli()
		{
			nekresli = false;
			prekresli();
		}

		/**
		 * Jednorazovo prekreslí obsah sveta (bez ohľadu na použitie metódy
		 * {@link #nekresli() nekresli}). Táto metóda spustí rovnaký proces,
		 * aký je vykonávaný pri automatickom prekresľovaní. V prípade, že
		 * je automatické prekresľovanie sveta vypnuté (metódou {@link
		 * #nekresli() nekresli}), nie je prekreslenie vykonané bez vedomia
		 * programátora, okrem prípadu, keď sú splnené nasledujúce podmienky:
		 * <P><b>(1)</b> bola aspoň raz použitá niektorá z metód {@link
		 * #vypíš(Object[]) vypíš}, {@link #vypíšRiadok(Object[])
		 * vypíšRiadok}<br />
		 * a súčasne<br />
		 * <b>(2)</b> zmenila sa veľkosť hlavného okna (buď aktivitou
		 * používateľa, alebo z iných príčin)<br />
		 * a súčasne<br />
		 * <b>(3)</b> nie je aktívna obsluha udalostí (pozri {@link
		 * ObsluhaUdalostí#zmenaVeľkostiOkna()
		 * ObsluhaUdalostí.zmenaVeľkostiOkna()}).
		 * <P>Vypnutie automatického prekresľovania môže značne zvýšiť
		 * grafickú efektívnosť aplikácie.
		 * 
		 * <P><b>Príklad:</b>
		 * <P>V tomto príklade najskôr vypneme kreslenie a začneme kresliť
		 * vymyslenú mapu kruhového sveta… Svet bude mať dvadsať kontinentov.
		 * Po nakreslení každého z nich použijeme metódu {@code
		 * currprekresli} na ukázanie čiastočného (a nakoniec konečného)
		 * výsledku (<small>pozri zoznam zmien: <a
		 * href="zoznam-zmien.html">poďakovanie</a> uvedené pri
		 * verzii 1.35</small>):
		 * <pre CLASS="example">
			{@code comm// V tomto príklade nakreslíme „Novú Zem“:}

			{@link Svet Svet}.{@link Svet#farbaPozadia(java.awt.Color) farbaPozadia}({@link GRobot#modrá modrá});
			{@link Svet Svet}.{@link Svet#nekresli() nekresli}();
			{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num1.5});

			{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num20}; ++i)
			{
				{@code comm// Pevninu rozbijeme na viacero kontinentov (kolízie nebudeme}
				{@code comm// kontrolovať, dovolíme, aby sa prekrývali). Každý kontinent}
				{@code comm// začneme na náhodnej pozícii:}
				{@link GRobot#náhodnáPoloha() náhodnáPoloha}();

				{@code kwdfor} ({@code typeint} j = {@code num0}; j &lt; {@code num25000}; ++j)
				{
					{@code comm// Tieto dva príkazy sa postarajú o kreslenie pevniny}
					{@code comm// (náhodným spôsobom):}
					{@link GRobot#náhodnýSmer() náhodnýSmer}();
					{@link GRobot#dopredu(double) dopredu}({@code num1.5});

					{@code comm// Nasledujúci výpočet a podmienka sa postarajú o vznik}
					{@code comm// červených kruhov na ploche pevniny:}
					{@code typedouble} výpočet = {@link GRobot#vzdialenosť() vzdialenosť}() / {@code num50} &#45; {@link GRobot#vzdialenosť() vzdialenosť}() % {@code num50};

					{@code kwdif} ((výpočet % {@code num2}) &gt;= {@code num1})
						{@link GRobot#farba(java.awt.Color) farba}({@link GRobot#červená červená});
					{@code kwdelse}
						{@link GRobot#farba(java.awt.Color) farba}({@link GRobot#zelená zelená});
				}

				{@link Svet Svet}.{@code currprekresli}();
			}

			{@link Svet Svet}.{@link Svet#kresli() kresli}();
			</pre>
		 * 
		 * <P>Nová Zem sa bude vykresľovať po fázach, výsledok bude náhodný
		 * a môže vyzerať napríklad takto:
		 * <image>novaZem-resized.png</image>
		 * 
		 * <P><b>Poznámka:</b> Táto metóda súvisí s vypnutím predvolenej
		 * implementácie automatického prekresľovania, ktoré i tak nie je
		 * efektívne. Pozrite si aj komentáre a príklad v opise metódy
		 * {@link #nebolPrekreslený() nebolPrekreslený}.
		 * 
		 * @see #kreslenie()
		 * @see #nebolPrekreslený()
		 * @see #nekresli()
		 * @see #kresli()
		 * @see #žiadajPrekreslenie()
		 */
		public static void prekresli()
		{
			if (pracujem)
			{
				žiadamPrekresleniePoPráci = true;
				return;
			}

			if (právePrekresľujem) return;
			právePrekresľujem = true;

			// V súvislosti s týmto miestom vzniklo viacero úvah. Postupne
			// boli zamietnuté. Napríklad, aby tu bol implementovaný
			// mechanizmus, ktorý by zabraňoval príliš častému automatickéhu
			// prekresľovaniu, alebo aby bol mechanizmus automatického
			// prekresľovania s pomocou časovača predvolene implicitne
			// implementovaný. Žiadny spôsob by nebol ideálny alebo
			// dostatočne „efektívny“. Keby sa zabraňovalo „príliš častému
			// automatickému prekresľovaniu“, tak by buď vznikali situácie,
			// kedy by posledné prekreslenie vôbec nenastalo, alebo by sa
			// niekde hromadili správy požadujúce neskoršie prekreslenie.
			// (To by nebolo dobré ani tak, ani tak.) Ak by bol implicitne
			// implementovaný mechanizmus automatického prekresľovania
			// časovačom, tak by to jednak zväzovalo ruky tvorivým
			// programátorom a jednak by to vyžadovalo automatické zapnutie
			// časovača aj pri produktoch, ktoré časovač nepotrebujú vôbec.
			// (Čo tiež nepovažujem za ideálne.)

			try
			{
				if (null != počúvadlo)
					synchronized (zámokUdalostí)
					{
						počúvadlo.prekreslenie();
					}

				// if (null != hlavnýRobot)
				// 	synchronized (zámokUdalostí)
				// 	{
				// 		hlavnýRobot.prekreslenie();
				// 	}

				synchronized (zámokUdalostí)
				{
					for (GRobot počúvajúci : počúvajúciRozhranie)
					{
						počúvajúci.prekreslenie();
					}
				}

				vyrovnávaciaPamäťGrafiky.setColor(farbaPozadia);
				vyrovnávaciaPamäťGrafiky.fillRect(0, 0,
					šírkaPlátna, výškaPlátna);

				podlaha.prekresli(vyrovnávaciaPamäťGrafiky);

				// Zobraz vzájomné spojnice všetkých viditeľných robotov
				for (GRobot tento : zoznamRobotov)
				{
					if (tento.viditeľný)
						tento.kresliSpojnice(vyrovnávaciaPamäťObrázka,
							vyrovnávaciaPamäťGrafiky);
				}

				// Zobraz všetkých viditeľných robotov vo vrstvách
				for (Map.Entry<Integer, Vrstva> záznamVrstvy :
					zoznamVrstiev.entrySet())
				{
					Vrstva vrstva = záznamVrstvy.getValue();
					for (Map.Entry<Integer, GRobot>
						záznamRobota : vrstva.entrySet())
					{
						GRobot tento = záznamRobota.getValue();
						if (tento.viditeľný)
							tento.kresliRobota(vyrovnávaciaPamäťObrázka,
								vyrovnávaciaPamäťGrafiky);
					}
				}

				// Zobraz pôsobiská všetkých robotov
				for (GRobot tento : zoznamRobotov)
				{
					// if (tento.viditeľný)
					// 	tento.kresliRobota(vyrovnávaciaPamäťObrázka,
					// 		vyrovnávaciaPamäťGrafiky);
					if (tento.kresliPôsobisko)
						tento.kresliPôsobisko(vyrovnávaciaPamäťGrafiky);
				}

				strop.prekresli(vyrovnávaciaPamäťGrafiky);

				/*if (vyrovnávaciaPamäťObrázka instanceof Obrázok)
					((Obrázok)vyrovnávaciaPamäťObrázka).
						kresliNa(0, 0, grafika);
				else*/
				if (null == vlnenie)
					grafika.drawImage(vyrovnávaciaPamäťObrázka, 0, 0, null);
				else
					grafika.drawImage(vlnenie.zvlnenýRaster(), 0, 0, null);

				if (null != počúvadlo)
					synchronized (zámokUdalostí)
					{
						počúvadlo.dokreslenie();
					}

				// if (null != hlavnýRobot)
				// 	synchronized (zámokUdalostí)
				// 	{
				// 		hlavnýRobot.dokreslenie();
				// 	}

				synchronized (zámokUdalostí)
				{
					for (GRobot počúvajúci : počúvajúciRozhranie)
					{
						počúvajúci.dokreslenie();
					}
				}

				if (null == oknoCelejObrazovky)
					svet.repaint();
				else
					oknoCelejObrazovky.repaint();
			}
			catch (Exception e) { vypíšChybovéHlásenia(e); } finally
			{
				právePrekresľujem = false;
				neboloPrekreslené = false;
			}
		}

		/**
		 * Nastaví vnútorný príznak (stav) prekreslenia sveta tak, aby metóda
		 * {@link #nebolPrekreslený() nebolPrekreslený} vrátila hodnotu
		 * {@code valtrue}. Táto metóda nedokáže zabezpečiť prekreslenie sveta.
		 * Jej účelom je len nastaviť uvedený príznak. Využitie nájde
		 * v prípadoch, kedy je vypnuté automatické prekresľovanie sveta
		 * a čas (interval) prekresľovania určuje aplikácia. (Pozri aj
		 * upozornenie v opise metódy {@link #nebolPrekreslený()
		 * nebolPrekreslený}.)
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #kreslenie()
		 * @see #nebolPrekreslený()
		 * @see #nekresli()
		 * @see #kresli()
		 * @see #prekresli()
		 */
		public static void žiadajPrekreslenie() { neboloPrekreslené = true; }

		/** <a class="alias"></a> Alias pre {@link #žiadajPrekreslenie() žiadajPrekreslenie}. */
		public static void ziadajPrekreslenie() { neboloPrekreslené = true; }

		// Hlavná ponuka

		/**
		 * Vymaže všetky položky hlavnej ponuky (vrátane predvolených). Metóda
		 * automaticky skryje hlavnú ponuku. Viditeľnosť ponuky je automaticky
		 * obnovená po začatí pridávania položiek.
		 * @see PoložkaPonuky
		 * @see #pridajPoložkuHlavnejPonuky(String)
		 * @see #pridajPoložkuHlavnejPonuky(String, int)
		 * @see #pridajPoložkuPonuky(String)
		 * @see #pridajOddeľovačPonuky()
		 */
		public static void vymažPonuku()
			// @ see # poslednáPoložkaPonuky()
		{
			if (!inicializované) return;

			JMenuBar hlavnáPonuka = svet.getJMenuBar();
			for (;;)
			{
				JMenu položkaHlavnejPonuky =
					hlavnáPonuka.getMenu(aktuálnaPonuka);

				if (null != položkaHlavnejPonuky)
				{
					ponukaVPôvodnomStave = false;
					položkaHlavnejPonuky.removeAll();
				}

				if (aktuálnaPonuka > 0)
				{
					hlavnáPonuka.remove(aktuálnaPonuka);
					--aktuálnaPonuka;
				}
				else break;
			}
			aktuálnaPoložka = 0;
			hlavnáPonuka.setVisible(false);
		}

		/** <a class="alias"></a> Alias pre {@link #vymažPonuku() vymažPonuku}. */
		public static void vymazPonuku() { vymažPonuku(); }

		/**
		 * Rozšíri hlavnú ponuku o ďalšiu položku alebo prepíše aktuálnu
		 * položku hlavnej ponuky. Aktuálna hlavná položka je prepísaná
		 * v prípade, že zatiaľ neobsauje žiadne podpoložky (pozri {@link
		 * #pridajPoložkuPonuky(String) pridajPoložkuPonuky} alebo jej
		 * „klony“).
		 * 
		 *  @param text reťazec textu pridávanej položky
		 *  @see PoložkaPonuky
		 *  @see #vymažPonuku()
		 *  @see #pridajPoložkuHlavnejPonuky(String, int)
		 *  @see #pridajPoložkuPonuky(String)
		 *  @see #pridajOddeľovačPonuky()
		 */
		public static void pridajPoložkuHlavnejPonuky(String text)
		{
			if (!inicializované) return;

			JMenuBar hlavnáPonuka = svet.getJMenuBar();
			JMenu položkaHlavnejPonuky = hlavnáPonuka.getMenu(aktuálnaPonuka);
			hlavnáPonuka.setVisible(true);

			if (0 == položkaHlavnejPonuky.getItemCount())
			{
				položkaHlavnejPonuky.setText(text);
			}
			else
			{
				ponukaVPôvodnomStave = false;
				položkaHlavnejPonuky = new JMenu(text);
				hlavnáPonuka.add(položkaHlavnejPonuky);
				++aktuálnaPonuka; aktuálnaPoložka = 0;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajPoložkuHlavnejPonuky(String) pridajPoložkuHlavnejPonuky}. */
		public static void pridajPolozkuHlavnejPonuky(String text)
		{ pridajPoložkuHlavnejPonuky(text); }

		/**
		 * Rozšíri hlavnú ponuku o ďalšiu položku alebo prepíše aktuálnu
		 * položku hlavnej ponuky. Aktuálna hlavná položka je prepísaná
		 * v prípade, že zatiaľ neobsauje žiadne podpoložky (pozri {@link
		 * #pridajPoložkuPonuky(String, int) pridajPoložkuPonuky} alebo jej
		 * „klony“). Význam parametra {@code mnemonickáSkratka} je rovnaký ako
		 * pri metóde {@link #pridajPoložkuPonuky(String, int)
		 * pridajPoložkuPonuky(text, mnemonickáSkratka)}.
		 * 
		 *  @param text reťazec textu pridávanej položky
		 *  @param mnemonickáSkratka kód mnemonickej skratky (príklad:
		 *    {@code Kláves.VK_A})
		 *  @see PoložkaPonuky
		 *  @see #vymažPonuku()
		 *  @see #pridajPoložkuHlavnejPonuky(String)
		 *  @see #pridajPoložkuPonuky(String, int)
		 *  @see #pridajOddeľovačPonuky()
		 */
		public static void pridajPoložkuHlavnejPonuky(String text, int mnemonickáSkratka)
		{
			if (!inicializované) return;

			JMenuBar hlavnáPonuka = svet.getJMenuBar();
			JMenu položkaHlavnejPonuky = hlavnáPonuka.getMenu(aktuálnaPonuka);
			hlavnáPonuka.setVisible(true);

			if (0 == položkaHlavnejPonuky.getItemCount())
			{
				položkaHlavnejPonuky.setText(text);
				položkaHlavnejPonuky.setMnemonic(mnemonickáSkratka);
			}
			else
			{
				ponukaVPôvodnomStave = false;
				položkaHlavnejPonuky = new JMenu(text);
				položkaHlavnejPonuky.setMnemonic(mnemonickáSkratka);
				hlavnáPonuka.add(položkaHlavnejPonuky);
				++aktuálnaPonuka; aktuálnaPoložka = 0;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajPoložkuHlavnejPonuky(String, int) pridajPoložkuHlavnejPonuky}. */
		public static void pridajPolozkuHlavnejPonuky(String text, int mnemonickáSkratka)
		{ pridajPoložkuHlavnejPonuky(text, mnemonickáSkratka); }

		/**
		 * Pridá do hlavnej ponuky položku so zadaným textom. Zvolenie položky
		 * vyvolá reakciu {@link ObsluhaUdalostí#voľbaPoložkyPonuky()
		 * voľbaPoložkyPonuky} v triede obsluhy udalostí. V tej je možné
		 * položku identifikovať pomocou metódy
		 * <!-- {@link #poslednáPoložkaPonuky() poslednáPoložkaPonuky} alebo-->
		 * {@link ÚdajeUdalostí#položkaPonuky() ÚdajeUdalostí.položkaPonuky}
		 * ktorá vracia objekt typu {@link PoložkaPonuky PoložkaPonuky}.
		 * Ten môžeme porovnať s hodnotou vrátenou z tejto metódy (ktorú si
		 * odložíme do pomocnej premennej) alebo použiť iný spôsob
		 * identifikácie. Napríklad metódu {@link PoložkaPonuky#aktivovaná()
		 * aktivovaná}, ktorá vráti {@code valtrue} v prípade, že bola táto
		 * položka naposledny aktivovaná.
		 * 
		 *  @param text reťazec textu pridávanej položky ponuky
		 *  @return objekt novej položky ponuky ({@link PoložkaPonuky
		 *    PoložkaPonuky}) alebo {@code valnull} ak nastala chyba
		 *  @see PoložkaPonuky
		 *  @see #vymažPonuku()
		 *  @see #pridajPoložkuPonuky(String, int)
		 *  @see #pridajPoložkuPonuky(String, int, int)
		 *  @see #pridajOddeľovačPonuky()
		 *  @see #pridajPoložkuPonukyVymazať()
		 *  @see #pridajPoložkuPonukyPrekresliť()
		 *  @see #pridajPoložkuPonukyKoniec()
		 */
		public static PoložkaPonuky pridajPoložkuPonuky(String text)
			// @ see # poslednáPoložkaPonuky()
		{
			if (!inicializované || null == svet.getJMenuBar().
				getMenu(aktuálnaPonuka)) return null;
			return new PoložkaPonuky(text);
		}

		/** <a class="alias"></a> Alias pre {@link #pridajPoložkuPonuky(String) pridajPoložkuPonuky}. */
		public static PolozkaPonuky pridajPolozkuPonuky(String text)
		{
			if (!inicializované || null == svet.getJMenuBar().
				getMenu(aktuálnaPonuka)) return null;
			return new PolozkaPonuky(text);
		}

		/**
		 * Funguje rovnako ako {@link #pridajPoložkuPonuky(String)} s tým, že
		 * definuje novej položke mnemonickú skratku (skratky, ktoré sú
		 * v položkách ponuky znázorňované podčiarknutým písmenom). Skratku je
		 * možné najjednoduchšie určiť konštantou triedy {@link
		 * KeyEvent KeyEvent}.{@code VK_XXX} (tá je v robotovi na
		 * zjednodušenie prekrytá triedou {@link Kláves Kláves}, takže môžeme
		 * použiť napríklad {@code Kláves.VK_A}, {@code Kláves.VK_B}, {@code
		 * Kláves.VK_C}…).
		 * 
		 *  @param text reťazec textu pridávanej položky ponuky
		 *  @param mnemonickáSkratka kód mnemonickej skratky (príklad:
		 *    {@code Kláves.VK_A})
		 *  @return objekt novej položky ponuky ({@link PoložkaPonuky
		 *    PoložkaPonuky}) alebo {@code valnull} ak nastala chyba
		 *  @see PoložkaPonuky
		 *  @see #vymažPonuku()
		 *  @see #pridajPoložkuPonuky(String)
		 *  @see #pridajPoložkuPonuky(String, int, int)
		 *  @see #pridajOddeľovačPonuky()
		 *  @see #pridajPoložkuPonukyVymazať()
		 *  @see #pridajPoložkuPonukyPrekresliť()
		 *  @see #pridajPoložkuPonukyKoniec()
		 */
		public static PoložkaPonuky pridajPoložkuPonuky(String text, int mnemonickáSkratka)
			// @ see # poslednáPoložkaPonuky()
		{
			if (!inicializované || null == svet.getJMenuBar().
				getMenu(aktuálnaPonuka)) return null;
			return new PoložkaPonuky(text, mnemonickáSkratka);
		}

		/** <a class="alias"></a> Alias pre {@link #pridajPoložkuPonuky(String, int) pridajPoložkuPonuky}. */
		public static PolozkaPonuky pridajPolozkuPonuky(String text, int mnemonickáSkratka)
		{
			if (!inicializované || null == svet.getJMenuBar().
				getMenu(aktuálnaPonuka)) return null;
			return new PolozkaPonuky(text, mnemonickáSkratka);
		}

		/**
		 * Funguje rovnako ako {@link #pridajPoložkuPonuky(String, int)}
		 * s tým, že definuje novej položke okrem mnemonickej aj klávesovú
		 * skratku (skratky, ktoré pri v položkách ponuky znázorňované
		 * v pravej časti textom Ctrl + písmeno). Skratky je možné
		 * najjednoduchšie určiť konštantou triedy {@link KeyEvent
		 * KeyEvent}.{@code VK_XXX} (tá je v robotovi na zjednodušenie
		 * prekrytá triedou {@link Kláves Kláves}, takže môžeme použiť
		 * napríklad {@code Kláves.VK_A}, {@code Kláves.VK_B}, {@code
		 * Kláves.VK_C}…).
		 * 
		 *  @param text reťazec textu pridávanej položky ponuky
		 *  @param mnemonickáSkratka kód mnemonickej skratky (príklad: {@code
		 *    Kláves.VK_A})
		 *  @param klávesováSkratka kód klávesovej skratky (príklad: {@code
		 *    Kláves.VK_B})
		 *  @return objekt novej položky ponuky ({@link PoložkaPonuky
		 *    PoložkaPonuky}) alebo {@code valnull} ak nastala chyba
		 *  @see PoložkaPonuky
		 *  @see #vymažPonuku()
		 *  @see #pridajPoložkuPonuky(String)
		 *  @see #pridajPoložkuPonuky(String, int)
		 *  @see #pridajOddeľovačPonuky()
		 *  @see #pridajPoložkuPonukyVymazať()
		 *  @see #pridajPoložkuPonukyPrekresliť()
		 *  @see #pridajPoložkuPonukyKoniec()
		 */
		public static PoložkaPonuky pridajPoložkuPonuky(String text,
			int mnemonickáSkratka, int klávesováSkratka)
			// @ see # poslednáPoložkaPonuky()
		{
			if (!inicializované || null == svet.getJMenuBar().
				getMenu(aktuálnaPonuka)) return null;
			return new PoložkaPonuky(text, mnemonickáSkratka, klávesováSkratka);
		}

		/** <a class="alias"></a> Alias pre {@link #pridajPoložkuPonuky(String, int, int) pridajPoložkuPonuky}. */
		public static PolozkaPonuky pridajPolozkuPonuky(String text,
			int mnemonickáSkratka, int klávesováSkratka)
		{
			if (!inicializované || null == svet.getJMenuBar().
				getMenu(aktuálnaPonuka)) return null;
			return new PolozkaPonuky(text, mnemonickáSkratka, klávesováSkratka);
		}

		/**
		 * Pridá do hlavnej ponuky oddeľovač. Štandardne je oddeľovač pridaný
		 * za prvé dve predvolené položky ponuky. Toto správanie nie je možné
		 * potlačiť, iba ak by ponuka bola najskôr vymazaná a znova vytvorená
		 * s vlastnou obsluhou nových položiek. Táto metóda slúži na
		 * pridávanie vlastných oddeľovačov do ponuky.
		 *  @see PoložkaPonuky
		 *  @see #vymažPonuku()
		 *  @see #pridajPoložkuHlavnejPonuky(String)
		 *  @see #pridajPoložkuPonuky(String)
		 */
		public static void pridajOddeľovačPonuky()
			// @ see # poslednáPoložkaPonuky()
		{
			if (!inicializované) return;

			JMenu položkaHlavnejPonuky = svet.
				getJMenuBar().getMenu(aktuálnaPonuka);

			if (null != položkaHlavnejPonuky)
			{
				ponukaVPôvodnomStave = false;
				položkaHlavnejPonuky.insertSeparator(aktuálnaPoložka++);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajOddeľovačPonuky() pridajOddeľovačPonuky}. */
		public static void pridajOddelovacPonuky() { pridajOddeľovačPonuky(); }

		/**
		 * Pridá do ponuky položku „Vymazať“. Položka je jednou
		 * z preddefinovaných položiek, ktoré majú vopred definovanú
		 * funkcionalitu. Táto po zvolení vymaže a prekreslí svet.
		 * @see PoložkaPonuky
		 * @see #pridajPoložkuPonuky(String)
		 * @see #pridajPoložkuPonukyPrekresliť()
		 * @see #pridajPoložkuPonukyKoniec()
		 */
		public static void pridajPoložkuPonukyVymazať()
		{
			// if (ponukaVPôvodnomStave) return;

			JMenuBar hlavnáPonuka = svet.getJMenuBar();
			if (inicializované && null != hlavnáPonuka)
			{
				JMenu položkaHlavnejPonuky =
					hlavnáPonuka.getMenu(aktuálnaPonuka);
				if (null != položkaHlavnejPonuky)
				{
					položkaHlavnejPonuky.insert(
						položkaPonukyVymazať(),
						aktuálnaPoložka++);
					if (!hlavnáPonuka.isVisible())
						hlavnáPonuka.setVisible(true);
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajPoložkuPonukyVymazať() pridajPoložkuPonukyVymazať}. */
		public static void pridajPolozkuPonukyVymazat()
		{ pridajPoložkuPonukyVymazať(); }

		/**
		 * Pridá do ponuky položku „Prekresliť“. Položka je jednou
		 * z preddefinovaných položiek, ktoré majú vopred definovanú
		 * funkcionalitu. Táto vynúti prekreslenie sveta.
		 * @see PoložkaPonuky
		 * @see #pridajPoložkuPonuky(String)
		 * @see #pridajPoložkuPonukyVymazať()
		 * @see #pridajPoložkuPonukyKoniec()
		 */
		public static void pridajPoložkuPonukyPrekresliť()
		{
			// if (ponukaVPôvodnomStave) return;

			JMenuBar hlavnáPonuka = svet.getJMenuBar();
			if (inicializované && null != hlavnáPonuka)
			{
				JMenu položkaHlavnejPonuky =
					hlavnáPonuka.getMenu(aktuálnaPonuka);
				if (null != položkaHlavnejPonuky)
				{
					položkaHlavnejPonuky.insert(
						položkaPonukyPrekresliť(),
						aktuálnaPoložka++);
					if (!hlavnáPonuka.isVisible())
						hlavnáPonuka.setVisible(true);
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajPoložkuPonukyPrekresliť() pridajPoložkuPonukyPrekresliť}. */
		public static void pridajPolozkuPonukyPrekreslit()
		{ pridajPoložkuPonukyPrekresliť(); }

		/**
		 * Pridá do ponuky preddefinovanú položku „Koniec“. Toto je
		 * využiteľné keď sme ponuku {@linkplain #vymažPonuku() vymazali}
		 * a chceme do nej pridať túto položku, ktorej funkcionalita je
		 * vopred naprogramovaná.
		 * @see PoložkaPonuky
		 * @see #pridajPoložkuPonuky(String)
		 * @see #pridajPoložkuPonukyVymazať()
		 * @see #pridajPoložkuPonukyPrekresliť()
		 */
		public static void pridajPoložkuPonukyKoniec()
		{
			if (ponukaVPôvodnomStave) return;

			JMenuBar hlavnáPonuka = svet.getJMenuBar();
			if (inicializované && null != hlavnáPonuka)
			{
				JMenu položkaHlavnejPonuky =
					hlavnáPonuka.getMenu(aktuálnaPonuka);
				if (null != položkaHlavnejPonuky)
				{
					položkaHlavnejPonuky.insert(položkaSkončiť,
						aktuálnaPoložka++);
					if (!hlavnáPonuka.isVisible())
						hlavnáPonuka.setVisible(true);
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajPoložkuPonukyKoniec() pridajPoložkuPonukyKoniec}. */
		public static void pridajPolozkuPonukyKoniec()
		{ pridajPoložkuPonukyKoniec(); }


		/**
		 * Poskytne preddefinovanú položku „Vymazať“ na prípadné úpravy.
		 * Ak položka doteraz nebola použitá, bude automaticky pridaná do
		 * hlavnej ponuky. Toto správanie nie je možné ovplyvniť. Ak je
		 * položka v ponuke nežiaduca, je potrebné ju dodatočne odstrániť.
		 * @see PoložkaPonuky
		 * @see #pridajPoložkuPonukyVymazať()
		 */
		public static PoložkaPonuky položkaPonukyVymazať()
		{
			if (null == položkaVymazať)
				položkaVymazať = new PoložkaPonuky("Vymazať",
					KeyEvent.VK_M, KeyEvent.VK_T);
			return položkaVymazať;
		}

		/** <a class="alias"></a> Alias pre {@link #položkaPonukyVymazať() položkaPonukyVymazať}. */
		public static PoložkaPonuky polozkaPonukyVymazat()
		{ return položkaPonukyVymazať(); }

		/**
		 * Poskytne preddefinovanú položku „Prekresliť“ na prípadné úpravy.
		 * Ak položka doteraz nebola použitá, bude automaticky pridaná do
		 * hlavnej ponuky. Toto správanie nie je možné ovplyvniť. Ak je
		 * položka v ponuke nežiaduca, je potrebné ju dodatočne odstrániť.
		 * @see PoložkaPonuky
		 * @see #pridajPoložkuPonukyPrekresliť()
		 */
		public static PoložkaPonuky položkaPonukyPrekresliť()
		{
			if (null == položkaPrekresliť)
				položkaPrekresliť = new PoložkaPonuky("Prekresliť",
					KeyEvent.VK_R, KeyEvent.VK_R);
			return položkaPrekresliť;
		}

		/** <a class="alias"></a> Alias pre {@link #položkaPonukyPrekresliť() položkaPonukyPrekresliť}. */
		public static PoložkaPonuky polozkaPonukyPrekreslit()
		{ return položkaPonukyPrekresliť(); }

		/**
		 * Poskytne preddefinovanú položku „Koniec“ na prípadné úpravy.
		 * @see PoložkaPonuky
		 * @see #pridajPoložkuPonukyKoniec()
		 */
		public static PoložkaPonuky položkaPonukyKoniec()
		{ return položkaSkončiť; }

		/** <a class="alias"></a> Alias pre {@link #položkaPonukyKoniec() položkaPonukyKoniec}. */
		public static PoložkaPonuky polozkaPonukyKoniec()
		{ return položkaPonukyKoniec(); }


		/**
		 * Vráti objekt {@link PoložkaPonuky PoložkaPonuky} s naposledy
		 * zvolenou položkou ponuky. Využiteľné v metóde {@link
		 * ObsluhaUdalostí#voľbaPoložkyPonuky() voľbaPoložkyPonuky}.
		 * 
		 * <P><b>Varovanie!</b> Metóda je považovaná za zastaranú. Použite
		 * radšej metódu {@link ÚdajeUdalostí#položkaPonuky()
		 * ÚdajeUdalostí.položkaPonuky()}.
		 * 
		 *  @return objekt typu {@link PoložkaPonuky PoložkaPonuky} naposledy
		 *      zvolenej položky ponuky
		 *  @see #vymažPonuku()
		 *  @see #pridajPoložkuHlavnejPonuky(String)
		 *  @see #pridajPoložkuPonuky(String)
		 *  @see #pridajOddeľovačPonuky()
		 */
		@Deprecated public static PoložkaPonuky poslednáPoložkaPonuky() { return poslednáPoložkaPonuky; } // @ see # poslednáKontextováPoložka()

		/** <a class="alias"></a> Alias pre {@link #poslednáPoložkaPonuky() poslednáPoložkaPonuky}. */
		@Deprecated public static PolozkaPonuky poslednaPolozkaPonuky() { return (PolozkaPonuky)poslednáPoložkaPonuky; }

		/**
		 * Vráti objekt {@link KontextováPoložka KontextováPoložka}
		 * s naposledy zvolenou kontextovou položkou ponuky. Využiteľné
		 * v metóde {@link ObsluhaUdalostí#voľbaPoložkyPonuky()
		 * voľbaPoložkyPonuky}.
		 * 
		 * <P><b>Varovanie!</b> Metóda je považovaná za zastaranú. Použite
		 * radšej metódu {@link ÚdajeUdalostí#kontextováPoložka()
		 * ÚdajeUdalostí.kontextováPoložka()}.
		 * 
		 *  @return objekt typu {@link KontextováPoložka KontextováPoložka}
		 *      naposledy zvolenej kontextovej položky
		 */
		@Deprecated public static KontextováPoložka poslednáKontextováPoložka() { return poslednáKontextováPoložka; } //  @ see # poslednáPoložkaPonuky()

		/** <a class="alias"></a> Alias pre {@link #poslednáKontextováPoložka() poslednáKontextováPoložka}. */
		@Deprecated public static KontextovaPolozka poslednaKontextovaPolozka() { return (KontextovaPolozka)poslednáKontextováPoložka; }


		// Text na riadky

		/**
		 * Rozdelí dlhý text na riadky s maximálnou zadanou dĺžkou
		 * v znakoch.
		 * <P>(<b>Poznámka:</b> Metóda zmení všetky znaky tabulátorov na
		 * medzery.)
		 * @param text text, ktorý má byť rozdelený na riadky
		 * @param dĺžkaRiadka maximálna dĺžka jednotlivých riadkov udaná
		 *      v znakoch
		 * @return pole reťazcov – jednotlivé riadky pôvodného textu
		 */
		public static String[] textNaRiadky(String text, int dĺžkaRiadka)
		{
			if (text == null || dĺžkaRiadka <= 0 ||
				text.length() <= dĺžkaRiadka)
				return new String[] {text};

			StringBuffer naZmeny = new StringBuffer(text);
			Vector<String> zoznam = new Vector<String>();

			int j;
			while (-1 != (j = naZmeny.indexOf("\t")))
				naZmeny.setCharAt(j, ' ');

			while (naZmeny.length() > 0)
			{
				if (-1 != (j = naZmeny.indexOf("\n")) && j <= dĺžkaRiadka)
				{
					int i = j;
					if (i >= 0) zoznam.add(naZmeny.substring(0, i));
					naZmeny.delete(0, j + 1);
					continue;
				}

				if (naZmeny.length() <= dĺžkaRiadka)
				{
					zoznam.add(naZmeny.toString());
					break;
				}

				int i = dĺžkaRiadka;
				while (i > 0 && naZmeny.charAt(i - 1) != 32) --i;
				if (i == 0) i = dĺžkaRiadka;

				zoznam.add(naZmeny.substring(0, i));
				naZmeny.delete(0, i);
			}

			String riadky[] = new String[zoznam.size()];
			for (int i = 0; i < zoznam.size(); i++) riadky[i] = zoznam.get(i);
			return riadky;
		}

		/**
		 * Rozdelí dlhý text na riadky s maximálnou zadanou dĺžkou
		 * v znakoch.
		 * <P>(<b>Poznámka:</b> Metóda zmení všetky znaky tabulátorov na
		 * medzery.)
		 * @param text text, ktorý má byť rozdelený na riadky
		 * @param dĺžkaRiadka maximálna dĺžka jednotlivých riadkov udaná
		 *      v znakoch
		 * @param zachovajMedzery ak je {@code valfalse}, medzery budú
		 *      redukované na minimum – medzery na koncoch a začiatkoch riadkov
		 *      budú odstránené a viacnásobné medzery medzi slovami budú
		 *      redukované na jedinú medzeru
		 * @return pole reťazcov – jednotlivé riadky pôvodného textu
		 */
		public static String[] textNaRiadky(String text, int dĺžkaRiadka, boolean zachovajMedzery)
		{
			if (zachovajMedzery) return textNaRiadky(text, dĺžkaRiadka);

			if (text == null || dĺžkaRiadka <= 0 ||
				text.length() <= dĺžkaRiadka)
				return new String[] {text};

			StringBuffer naZmeny = new StringBuffer(text);
			Vector<String> zoznam = new Vector<String>();

			int j;
			while (-1 != (j = naZmeny.indexOf("\t")))
				naZmeny.setCharAt(j, ' ');

			// Redukuj medzery
			{
				int i = naZmeny.length();
				while (i > 0 && naZmeny.charAt(i - 1) == 32) --i;
				naZmeny.setLength(i);

				i = 0;
				while (i < naZmeny.length() && naZmeny.charAt(i) == 32) ++i;
				naZmeny.delete(0, i);

				while (-1 != (i = naZmeny.indexOf("  "))) naZmeny.deleteCharAt(i);
			}

			while (naZmeny.length() > 0)
			{
				// Redukuj medzery
				{
					int i = 0;
					while (i < naZmeny.length() && naZmeny.charAt(i) == 32) ++i;
					naZmeny.delete(0, i);
				}

				if (-1 != (j = naZmeny.indexOf("\n")) && j <= dĺžkaRiadka)
				{
					int i = j;

					// Redukuj medzery
					while (i > 0 && naZmeny.charAt(i - 1) == 32) --i;

					if (i >= 0) zoznam.add(naZmeny.substring(0, i));
					naZmeny.delete(0, j + 1);
					continue;
				}

				if (naZmeny.length() <= dĺžkaRiadka)
				{
					zoznam.add(naZmeny.toString());
					break;
				}

				int i = dĺžkaRiadka;
				while (i > 0 && naZmeny.charAt(i - 1) != 32) --i;

				// Redukuj medzery
				while (i > 0 && naZmeny.charAt(i - 1) == 32) --i;

				if (i == 0) i = dĺžkaRiadka;

				zoznam.add(naZmeny.substring(0, i));
				naZmeny.delete(0, i);
			}

			String riadky[] = new String[zoznam.size()];
			for (int i = 0; i < zoznam.size(); i++) riadky[i] = zoznam.get(i);
			return riadky;
		}


		// Formát

		/**
		 * Inštancia triedy {@link DecimalFormat DecimalFormat} slúžiaca na
		 * formátovanie číselných výstupov. Úpravou vlastností tejto inštancie
		 * je možné dosiahnuť zmenu spôsobu formátovania celých a reálnych
		 * čísiel na výstupe (konzolovom alebo pri použití metódy
		 * {@link Svet#F(double, int, int) F}). Niektoré vlastnosti tejto
		 * inštancie sú použité aj na úpravu formátu čísiel zadávaných
		 * vstupnými prvkami (dialógmi alebo vstupným riadkom).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see Svet#oddeľovačPrvkovPoľa(String)
		 * @see Svet#oddeľovačDesatinnejČasti(char)
		 * @see Svet#oddeľovačTisícov(Character)
		 * @see Svet#čítajCeléČíslo(String)
		 * @see Svet#čítajReálneČíslo(String)
		 * @see Svet#upravCeléČíslo(long, String)
		 * @see Svet#upravReálneČíslo(double, String)
		 * @see Svet#prevezmiCeléČíslo()
		 * @see Svet#prevezmiReálneČíslo()
		 * @see Svet#vypíš(Object[])
		 * @see Svet#F(double, int)
		 * @see Svet#F(double, int, int)
		 * @see GRobot#F(double, int)
		 * @see GRobot#F(double, int, int)
		 */
		public final static DecimalFormat formát;

		/** <a class="alias"></a> Alias pre {@link #formát formát}. */
		public final static DecimalFormat format;

		static
		{
			NumberFormat nf = NumberFormat.getInstance(Locale.ENGLISH);

			if (nf instanceof DecimalFormat)
			{
				formát = (DecimalFormat)nf;
				format = formát;

				DecimalFormatSymbols dfs = formát.getDecimalFormatSymbols();

				// formát.setGroupingUsed(false);
				dfs.setGroupingSeparator(' ');
				dfs.setDecimalSeparator(',');
				dfs.setMonetaryDecimalSeparator(',');
				dfs.setMinusSign('−');
				dfs.setCurrencySymbol(" €");
				formát.setDecimalFormatSymbols(dfs);
				formát.setMaximumFractionDigits(20);
			}
			else
			{
				formát = format = null;
			}
		}

		// Odfiltruje (lokalizovaný) reťazec tak, aby bol rozpoznateľný
		// metódami číselných vstupov
		private static String filtrujReťazec(String reťazec)
		{
			DecimalFormatSymbols dfs = formát.getDecimalFormatSymbols();

			char ds = dfs.getDecimalSeparator();
			if (ds != '.') reťazec = reťazec.replace(ds, '.');

			char gs = formát.isGroupingUsed() ?
				dfs.getGroupingSeparator() : ',';
			if (gs != ',' && gs != ' ') reťazec = reťazec.replace(gs, ' ');

			return reťazec.replaceAll("[  ,']+", "");
		}

		// Oddeľovač prvkov poľa používaný počas výpisu poľa príkazmi vypíš
		private static String oddeľovačPrvkovPoľa = "; ";


		/**
		 * Zistí, aký oddeľovač prvkov je aktuálne používaný pri výpisoch polí
		 * príkazmi {@link #vypíš(Object[]) vypíš},
		 * {@link #vypíšRiadok(Object[]) vypíšRiadok}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return oddeľovač prvkov poľa
		 * @see Svet#formát
		 * @see Svet#oddeľovačPrvkovPoľa(String)
		 * @see Svet#oddeľovačDesatinnejČasti(char)
		 * @see Svet#oddeľovačTisícov(Character)
		 * @see Svet#vypíš(Object[])
		 * @see Svet#F(double, int)
		 * @see Svet#F(double, int, int)
		 * @see GRobot#F(double, int)
		 * @see GRobot#F(double, int, int)
		 */
		public static String oddeľovačPrvkovPoľa()
		{ return oddeľovačPrvkovPoľa; }

		/** <a class="alias"></a> Alias pre {@link #oddeľovačPrvkovPoľa() oddeľovačPrvkovPoľa}. */
		public static String oddelovacPrvkovPola()
		{ return oddeľovačPrvkovPoľa; }

		/**
		 * Nastaví hodnotu oddeľovača prvkov poľa, ktorý bude používaný pri
		 * výpisoch polí príkazmi {@link #vypíš(Object[]) vypíš},
		 * {@link #vypíšRiadok(Object[]) vypíšRiadok}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param oddeľovač nový oddeľovač prvkov poľa
		 * @see Svet#formát
		 * @see Svet#oddeľovačPrvkovPoľa()
		 * @see Svet#oddeľovačDesatinnejČasti(char)
		 * @see Svet#oddeľovačTisícov(Character)
		 * @see Svet#vypíš(Object[])
		 * @see Svet#F(double, int)
		 * @see Svet#F(double, int, int)
		 * @see GRobot#F(double, int)
		 * @see GRobot#F(double, int, int)
		 */
		public static void oddeľovačPrvkovPoľa(String oddeľovač)
		{ oddeľovačPrvkovPoľa = oddeľovač; }

		/** <a class="alias"></a> Alias pre {@link #oddeľovačPrvkovPoľa(String) oddeľovačPrvkovPoľa}. */
		public static void oddelovacPrvkovPola(String oddeľovač)
		{ oddeľovačPrvkovPoľa = oddeľovač; }


		/**
		 * Zistí, aký oddeľovač desatinnej časti je aktuálne používaný pri
		 * výpisoch čísiel príkazmi {@link #vypíš(Object[]) vypíš},
		 * {@link #vypíšRiadok(Object[]) vypíšRiadok}. Tento oddeľovač je
		 * braný do úvahy aj pri rozpoznávaní číselných hodnôt rôznymi
		 * metódami vstupu.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return oddeľovač desatinnej časti
		 * @see Svet#formát
		 * @see Svet#oddeľovačPrvkovPoľa(String)
		 * @see Svet#oddeľovačDesatinnejČasti(char)
		 * @see Svet#oddeľovačTisícov(Character)
		 * @see Svet#vypíš(Object[])
		 * @see Svet#F(double, int)
		 * @see Svet#F(double, int, int)
		 * @see GRobot#F(double, int)
		 * @see GRobot#F(double, int, int)
		 */
		public static char oddeľovačDesatinnejČasti()
		{
			DecimalFormatSymbols dfs = formát.getDecimalFormatSymbols();
			return dfs.getDecimalSeparator();
		}

		/** <a class="alias"></a> Alias pre {@link #oddeľovačDesatinnejČasti() oddeľovačDesatinnejČasti}. */
		public static char oddelovacDesatinnejCasti()
		{ return oddeľovačDesatinnejČasti(); }

		/**
		 * Nastaví hodnotu oddeľovača desatinnej časti, ktorý bude používaný
		 * pri výpisoch príkazmi {@link #vypíš(Object[]) vypíš},
		 * {@link #vypíšRiadok(Object[]) vypíšRiadok}. Zadaný oddeľovač bude
		 * vzatý do úvahy aj pri rozpoznávaní číselných hodnôt rôznymi
		 * metódami vstupu.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param oddeľovač nový oddeľovač desatinnej časti
		 * @see Svet#formát
		 * @see Svet#oddeľovačPrvkovPoľa(String)
		 * @see Svet#oddeľovačDesatinnejČasti()
		 * @see Svet#oddeľovačTisícov(Character)
		 * @see Svet#vypíš(Object[])
		 * @see Svet#F(double, int)
		 * @see Svet#F(double, int, int)
		 * @see GRobot#F(double, int)
		 * @see GRobot#F(double, int, int)
		 */
		public static void oddeľovačDesatinnejČasti(char oddeľovač)
		{
			DecimalFormatSymbols dfs = formát.getDecimalFormatSymbols();
			if (dfs.getDecimalSeparator() != oddeľovač)
			{
				dfs.setDecimalSeparator(oddeľovač);
				formát.setDecimalFormatSymbols(dfs);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #oddeľovačDesatinnejČasti(char) oddeľovačDesatinnejČasti}. */
		public static void oddelovacDesatinnejCasti(char oddeľovač)
		{ oddeľovačDesatinnejČasti(oddeľovač); }


		/**
		 * Zistí, aký oddeľovač tisícov je aktuálne používaný pri výpisoch
		 * čísiel príkazmi {@link #vypíš(Object[]) vypíš},
		 * {@link #vypíšRiadok(Object[]) vypíšRiadok}. Tento oddeľovač je
		 * braný do úvahy aj pri rozpoznávaní číselných hodnôt rôznymi
		 * metódami vstupu. Ak oddeľovač tisícov nie je použitý (to znamená,
		 * že celá časť čísla je vždy vypísaná spolu a tisíce nie sú
		 * oddeľované), tak je výsledkom tejto metódy hodnota {@code valnull}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return oddeľovač tisícov alebo {@code valnull}
		 * @see Svet#formát
		 * @see Svet#oddeľovačPrvkovPoľa(String)
		 * @see Svet#oddeľovačDesatinnejČasti(char)
		 * @see Svet#oddeľovačTisícov(Character)
		 * @see Svet#vypíš(Object[])
		 * @see Svet#F(double, int)
		 * @see Svet#F(double, int, int)
		 * @see GRobot#F(double, int)
		 * @see GRobot#F(double, int, int)
		 */
		public static Character oddeľovačTisícov()
		{
			if (formát.isGroupingUsed())
			{
				DecimalFormatSymbols dfs = formát.getDecimalFormatSymbols();
				return dfs.getGroupingSeparator();
			}
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #oddeľovačTisícov() oddeľovačTisícov}. */
		public static Character oddelovacTisicov()
		{ return oddeľovačTisícov(); }

		/**
		 * Nastaví hodnotu oddeľovača tisícov, ktorý bude používaný pri
		 * výpisoch príkazmi {@link #vypíš(Object[]) vypíš},
		 * {@link #vypíšRiadok(Object[]) vypíšRiadok}. Zadaný oddeľovač bude
		 * vzatý do úvahy aj pri rozpoznávaní číselných hodnôt rôznymi
		 * metódami vstupu. Ak je požadované, aby vo výpisoch tisíce neboli
		 * oddeľované, tak je potrebné vložiť hodnotu {@code valnull}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param oddeľovač nový oddeľovač tisícov alebo {@code valnull}
		 * @see Svet#formát
		 * @see Svet#oddeľovačPrvkovPoľa(String)
		 * @see Svet#oddeľovačDesatinnejČasti(char)
		 * @see Svet#oddeľovačTisícov()
		 * @see Svet#vypíš(Object[])
		 * @see Svet#F(double, int)
		 * @see Svet#F(double, int, int)
		 * @see GRobot#F(double, int)
		 * @see GRobot#F(double, int, int)
		 */
		public static void oddeľovačTisícov(Character oddeľovač)
		{
			if (null == oddeľovač) formát.setGroupingUsed(false); else
			{
				formát.setGroupingUsed(true);
				DecimalFormatSymbols dfs = formát.getDecimalFormatSymbols();
				if (dfs.getGroupingSeparator() != oddeľovač)
				{
					dfs.setGroupingSeparator(oddeľovač);
					formát.setDecimalFormatSymbols(dfs);
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #oddeľovačTisícov(Character) oddeľovačTisícov}. */
		public static void oddelovacTisicov(Character oddeľovač)
		{ oddeľovačTisícov(oddeľovač); }


		/**
		 * Táto metóda slúži na jednoduché formátovanie reálnych čísiel.
		 * Prijíma reálne číslo a hodnotu počtu desatinných miest, ktoré majú
		 * byť zobrazené.
		 * Na jednoduchšie používanie je rovnaká metóda definovaná aj v hlavnej
		 * triede: {@link GRobot#F(double, int) F(číslo, desatinné)}.
		 * (V jej opise je uvedený aj príklad použitia a ďalšie fakty.)
		 * Metóda má ešte jednu verziu: {@link Svet#F(double, int, int)
		 * Svet.F(číslo, šírka, desatinné)}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param číslo hodnota, ktorá má byť naformátovaná
		 * @param desatinné počet desatinných miest, ktoré majú byť uvedené
		 *   vo výslednom (naformátovanom) tvare
		 * @see Svet#formát
		 * @see Svet#oddeľovačPrvkovPoľa(String)
		 * @see Svet#oddeľovačDesatinnejČasti(char)
		 * @see Svet#oddeľovačTisícov(Character)
		 * @see Svet#vypíš(Object[])
		 * @see Svet#F(double, int, int)
		 * @see GRobot#F(double, int)
		 * @see GRobot#F(double, int, int)
		 */
		public static String F(double číslo, int desatinné)
		{
			return Svet.F(číslo, 1, desatinné);
			// return String.format(Locale.ENGLISH,
			// 	"%." + desatinné + "f", číslo);
		}

		/**
		 * Táto metóda slúži na jednoduché formátovanie reálnych čísiel.
		 * Prijíma reálne číslo, potom hodnotu určujúcu šírku výsledného
		 * reťazca (počet znakov), na ktorú má byť zarovnaný zľava a nakoniec
		 * počet desatinných miest, ktoré majú byť zobrazené.
		 * Na jednoduchšie používanie je rovnaká metóda definovaná aj v hlavnej
		 * triede: {@link GRobot#F(double, int, int)
		 * F(číslo, šírka, desatinné)}.
		 * (V jej opise je uvedený aj príklad použitia a ďalšie fakty.)
		 * Metóda má ešte jednu verziu: {@link Svet#F(double, int)
		 * Svet.F(číslo, desatinné)}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param číslo hodnota, ktorá má byť naformátovaná
		 * @param šírka najmenší počet znakov výsledného naformátovaného
		 *   reťazca (pri krátkych číslach budú chýbajúce znaky doplnené
		 *   medzerami)
		 * @param desatinné počet desatinných miest, ktoré majú byť uvedené
		 *   vo výslednom (naformátovanom) tvare
		 * @see Svet#formát
		 * @see Svet#oddeľovačPrvkovPoľa(String)
		 * @see Svet#oddeľovačDesatinnejČasti(char)
		 * @see Svet#oddeľovačTisícov(Character)
		 * @see Svet#vypíš(Object[])
		 * @see Svet#F(double, int)
		 * @see GRobot#F(double, int)
		 * @see GRobot#F(double, int, int)
		 */
		public static String F(double číslo, int šírka, int desatinné)
		{
			if (šírka < 1) šírka = 1;

			int min = formát.getMinimumFractionDigits();
			int max = formát.getMaximumFractionDigits();

			formát.setMinimumFractionDigits(desatinné);
			formát.setMaximumFractionDigits(desatinné);

			String formátované = String.format(Locale.ENGLISH,
				"%" + šírka + "s", formát.format(číslo));

			formát.setMinimumFractionDigits(min);
			formát.setMaximumFractionDigits(max);

			return formátované;
			// return String.format(Locale.ENGLISH,
			// 	"%" + šírka + "." + desatinné + "f", číslo);
		}


		// Ikona, kurzory a ukončenie

		/**
		 * <a class="setter"></a> Nastaví oknu aplikácie novú ikonu.
		 * 
		 * <P>Ikona prečítaná zo súboru je prevedená z obrázka, ktorý je
		 * chápaný ako zdroj a ktorý po prečítaní zostane uložený vo
		 * vnútornej pamäti sveta rovnako ako prevedená verzia ikony.
		 * Obidva objekty môžu byť v prípade potreby (napríklad ak sa obsah
		 * súboru na disku zmenil) z vnútornej pamäte odstránené metódou
		 * {@link Svet#uvoľni(String) Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * (resp. ikonami) alebo zvukmi, ktoré prijímajú názov súboru ako
		 * parameter.)
		 * 
		 *  @param súbor názov súboru s obrázkom
		 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public static void ikona(String súbor)
		{ svet.setIconImage(súborNaObrázok(súbor)); }

		/**
		 * Nastaví oknu aplikácie ikonu podľa zadaného obrázka.
		 * 
		 * <!--P><b>Poznámka:</b> Z dôvodu konzistencie je k tejto metóde
		 * definovaný alias {@link #obrazok(Image) obrazok(obrázok)}
		 * (s názvom bez diakritiky), ktorý má korešpondovať s aliasom metódy
		 * {@link #ikona() ikona()}. NEDÁ SA -->
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param obrázok obrázok slúžiaci ako predloha pre ikonu
		 */
		public static void ikona(Image obrázok)
		{ svet.setIconImage(obrázok); }

		// /** <a class="alias"></a> Alias pre {@link #ikona(Image) ikona}. */
		// public static void obrazok(Image obrázok) { ikona(obrázok); }

		/**
		 * Prečíta ikonu okna aplikácie a prevedie ju na obrázok.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * <!--P><b>Poznámka:</b> Názov tejto metódy neobsahuje žiadnu
		 * diakritiku, preto nemohol byť definovaný prislúchajúci alias,
		 * ktorý by vracal objekt typu {@link Obrazok Obrazok} (t. j. triedy
		 * aliasu, ktorej názov tiež neobsahuje diakritiku). Z toho dôvodu je
		 * alias nahradený metódou {@link #obrazok() obrazok} (bez
		 * diakritiky). NEDÁ SA -->
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return obrázok s ikonou
		 */
		public static Obrazok ikona()
		{ return new Obrazok(svet.getIconImage()); }

		// /** <a class="alias"></a> Alias pre {@link #ikona() ikona}. */
		// public static Obrazok obrazok()
		// { return new Obrazok(svet.getIconImage()); }

		/**
		 * Definuje nový kurzor myši použiteľný v hlavnom okne aplikácie.
		 * Tvar kurzora určí aktuálna grafika zadaného obrázka (môže byť
		 * použitý aj objekt typu {@link Obrázok Obrázok}). Súradnice {@code
		 * x} a {@code x} určujú aktívny bod kurzora (<em>hot spot</em>),
		 * t. j. bod, ktorý bude považovaný za „špičku“, či „stred“ kurzora
		 * (záleží od tvaru kurzora). Súradnice [0, 0] sú považované za
		 * stred kurzora. Rozsah súradníc je určený rozmermi obrázka.
		 * Odporúčame zvoliť také rozmery obrázka, ktoré sú štandardné pre
		 * kurzory, napríklad 32 × 32 bodov, inak by mohlo dôjsť
		 * k nežiadanému posunu aktívneho bodu kurzora. Názov kurzora musí
		 * byť jedinečný. Ten treba použiť pri volaní metódy {@link
		 * #zmeňKurzorMyši(String) zmeňKurzorMyši}.
		 * 
		 * <P><b>Príklad:</b>
		 * <table><tr><td>
		 * <pre CLASS="example">
			{@link Obrázok Obrázok} ihla = {@code kwdnew} {@link Obrázok#GRobot.Obrázok(int, int) Obrázok}({@code num32}, {@code num32});

			{@link GRobot#kresliDoObrázka(GRobot.Obrázok) kresliDoObrázka}(ihla);
			{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num2.5});

			{@link GRobot#farba(java.awt.Color) farba}({@link GRobot#tyrkysová tyrkysová});
			{@link GRobot#choďNa(double, double) choďNa}(&#45;{@code num16}, &#45;{@code num16});

			{@link GRobot#domov() domov}();
			{@link GRobot#farba(java.awt.Color) farba}({@link GRobot#modrá modrá});
			{@link GRobot#kruh(double) kruh}({@code num4.5});

			{@link Svet Svet}.{@code currnovýKurzorMyši}(ihla, &#45;{@code num15}, &#45;{@code num15}, {@code srg"ihla"});
			{@link Svet Svet}.{@link #zmeňKurzorMyši(String) zmeňKurzorMyši}({@code srg"ihla"});
			</pre>
		 * </td><td><image>novyKurzorMysi.png</image>Maličký výrez plátna
		 * so zobrazeným novým kurzorom nad ním</td></tr></table>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param predloha obrázok, ktorého grafika bude použitá na
		 *     vytvorenie kurzora
		 * @param x x-ová súradnica aktívneho bodu nového kurzora
		 * @param y y-ová súradnica aktívneho bodu nového kurzora
		 * @param meno meno kurzora, ktoré bude neskôr použité pri volaní
		 *     metódy {@link #zmeňKurzorMyši(String) zmeňKurzorMyši}
		 * 
		 *  @throws GRobotException  ak kurzor so zadaným menom už jestvuje
		 * 
		 * @see #zmeňKurzorMyši(String)
		 * @see #zmeňNovýKurzorMyši(Image, int, int, String)
		 */
		public static void novýKurzorMyši(Image predloha,
			int x, int y, String meno)
		{
			if (null == meno) return;

			if (kurzory.containsKey(meno))
				throw new GRobotException(
					"Kurzor so zadaným menom (" + meno + ") už jestvuje.",
					"cursorAlreadyExists", meno);

			Image relevantný = dajRelevantnýRaster(predloha);

			Dimension veľkosť = Toolkit.getDefaultToolkit().
				getBestCursorSize(
					relevantný.getWidth(null),
					relevantný.getHeight(null));

			x = (veľkosť.width / 2) + x;
			y = (veľkosť.height / 2) - y;

			if (x < 0) x = 0; if (y < 0) y = 0;
			if (x >= veľkosť.width) x = veľkosť.width - 1;
			if (y >= veľkosť.height) y = veľkosť.height - 1;

			kurzory.put(meno, Toolkit.getDefaultToolkit().
				createCustomCursor(relevantný, new Point(x, y), meno));
		}

		/** <a class="alias"></a> Alias pre {@link #novýKurzorMyši(Image, int, int, String) novýKurzorMyši}. */
		public static void novyKurzorMysi(Image predloha, int x, int y, String meno) { novýKurzorMyši(predloha, x, y, meno); }

		/** <a class="alias"></a> Alias pre {@link #novýKurzorMyši(Image, int, int, String) novýKurzorMyši}. */
		public static void novýKurzorMyši(Image predloha, double x, double y, String meno) { novýKurzorMyši(predloha, (int)x, (int)y, meno); }

		/** <a class="alias"></a> Alias pre {@link #novýKurzorMyši(Image, int, int, String) novýKurzorMyši}. */
		public static void novyKurzorMysi(Image predloha, double x, double y, String meno) { novýKurzorMyši(predloha, (int)x, (int)y, meno); }

		/**
		 * Zmení hlavnému oknu tvar kurzora myši buď na vlastný tvar kurzora
		 * vytvorený prostredníctvom metódy {@link
		 * #novýKurzorMyši(Image, int, int, String) novýKurzorMyši}
		 * (prípadne {@link #zmeňNovýKurzorMyši(Image, int, int,
		 * String) zmeňNovýKurzorMyši}), alebo na niektorý zo systémom
		 * preddefinovaných kurzorov. Systémové kurzory majú nasledujúce
		 * preddefinované názvy: {@code srg"predvolený"},
		 * {@code srg"mieridlo"}, {@code srg"text"}, {@code srg"čakaj"},
		 * {@code srg"swZmeniťVeľkosť"}, {@code srg"seZmeniťVeľkosť"},
		 * {@code srg"nwZmeniťVeľkosť"}, {@code srg"neZmeniťVeľkosť"},
		 * {@code srg"nZmeniťVeľkosť"}, {@code srg"sZmeniťVeľkosť"},
		 * {@code srg"wZmeniťVeľkosť"}, {@code srg"eZmeniťVeľkosť"},
		 * {@code srg"ruka"}, {@code srg"presunúť"}. Ak namiesto názvu
		 * kurzora zadáte {@code valnull}, bude použitý prázdny (neviditeľný)
		 * kurzor.
		 * 
		 * <P><small>(<b>Poznámka:</b> Testy ukázali, že táto metóda nemá
		 * vplyv na tvar kurzora v režime {@linkplain #celáObrazovka(int,
		 * boolean) celej obrazovky} v operačnom systéme Windows s viacerými
		 * zobrazovacími zariadeniami. Je možné, že nastavenie tvaru kurzora
		 * nebude fungovať aj v iných situáciách súvisiacich s režimom celej
		 * obrazovky.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param meno názov vlastného kurzora, systémového kurzora alebo
		 *     {@code valnull}
		 * 
		 *  @throws GRobotException  ak kurzor so zadaným menom nejestvuje
		 * 
		 * @see #novýKurzorMyši(Image, int, int, String)
		 * @see #zmeňNovýKurzorMyši(Image, int, int, String)
		 */
		public static void zmeňKurzorMyši(String meno)
		{
			if (null == meno)
			{
				svet.getContentPane().setCursor(prázdnyKurzor);
				// if (null != oknoCelejObrazovky)
				// 	oknoCelejObrazovky.setCursor(prázdnyKurzor);
				return;
			}

			if (kurzory.containsKey(meno))
			{
				svet.getContentPane().
					setCursor(kurzory.get(meno));
				// if (null != oknoCelejObrazovky)
				// 	oknoCelejObrazovky.setCursor(
				// 		svet.getContentPane().getCursor());
				return;
			}

			if (systémovéNázvyKurzorov.containsKey(meno))
			{
				svet.getContentPane().setCursor(Cursor.
					getPredefinedCursor(systémovéNázvyKurzorov.get(meno)));
				// if (null != oknoCelejObrazovky)
				// 	oknoCelejObrazovky.setCursor(
				// 		svet.getContentPane().getCursor());
				return;
			}

			throw new GRobotException(
				"Kurzor so zadaným menom (" + meno + ") nejestvuje.",
				"cursorNotExists", meno);
		}

		/** <a class="alias"></a> Alias pre {@link #zmeňKurzorMyši(String) zmeňKurzorMyši}. */
		public static void zmenKurzorMysi(String meno) { zmeňKurzorMyši(meno); }

		/**
		 * Táto metóda je kombináciou volania metód {@link
		 * #novýKurzorMyši(Image, int, int, String) novýKurzorMyši}
		 * a {@link #zmeňKurzorMyši(String) zmeňKurzorMyši}. Platia pre ňu
		 * rovnaké pravidlá ako pre uvedené dve metódy…
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #novýKurzorMyši(Image, int, int, String)
		 * @see #zmeňKurzorMyši(String)
		 */
		public static void zmeňNovýKurzorMyši(Image predloha,
			int x, int y, String meno)
		{
			novýKurzorMyši(predloha, x, y, meno);
			zmeňKurzorMyši(meno);
		}

		/** <a class="alias"></a> Alias pre {@link #zmeňNovýKurzorMyši(Image, int, int, String) zmeňNovýKurzorMyši}. */
		public static void zmenNovyKurzorMysi(Image predloha, int x, int y, String meno) { zmeňNovýKurzorMyši(predloha, x, y, meno); }

		/** <a class="alias"></a> Alias pre {@link #zmeňNovýKurzorMyši(Image, int, int, String) zmeňNovýKurzorMyši}. */
		public static void zmeňNovýKurzorMyši(Image predloha, double x, double y, String meno) { zmeňNovýKurzorMyši(predloha, (int)x, (int)y, meno); }

		/** <a class="alias"></a> Alias pre {@link #zmeňNovýKurzorMyši(Image, int, int, String) zmeňNovýKurzorMyši}. */
		public static void zmenNovyKurzorMysi(Image predloha, double x, double y, String meno) { zmeňNovýKurzorMyši(predloha, (int)x, (int)y, meno); }

		/**
		 * Skončí aplikáciu.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public static void koniec() { koniec(0); }

		/**
		 * Skončí aplikáciu s návratovým kódom pre opreračný systém.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 *  @param kód celočíselný návratový kód, ktorý je schopný prijať
		 *      operačný systém
		 */
		public static void koniec(int kód)
		{
			final int kódKonca = kód;

			// Keď to nebolo schované v metóde invokeLater, tak v niektorých
			// prípadoch aplikácia „zatvrdla natvrdo“…
			SwingUtilities.invokeLater(() ->
			{
				/* System.out.println("Koniec"); */
				System.exit(kódKonca);
			});

			// Keď tu nebolo toto čakanie, tak sa stávalo, že aplikácia ešte
			// chvíľu po „skončení“ vykonávala svoje príkazy
			try { /*System.out.println("Čakám…");*/ Thread.sleep(500); }
			catch (InterruptedException ie)
			{ /*System.out.println("Chyba: " + ie.getMessage());*/ }
		}


		// Systémové

		/**
		 * Vráti objekt typu {@link BufferedImage BufferedImage} obsahujúci
		 * aktuálnu obrazovú informáciu sveta. Vrátený objekt obsahuje
		 * zobrazenie spájajúce dohromady grafiky {@linkplain Plátno plátien},
		 * {@linkplain GRobot robotov}, {@linkplain GRobot#spojnica(GRobot)
		 * spojníc}, {@linkplain Svet#vypíš(Object...) konzolových textov}
		 * a tak podobne. Tento objekt je pravidelne aktualizovaný,
		 * <!--(pravidelne sú v určenom poradí do obrázka sveta
		 * premietané/zobrazované obsahy {@linkplain Plátno plátien}
		 * <small>(podlahy a stropu vrátane ich konzolových textov)</small>
		 * a grafík jednotlivých {@linkplain GRobot robotov}, ktorí sú
		 * umiestnení medzi nimi a ich prípadných {@linkplain
		 * GRobot#spojnica(GRobot) spojníc})-->takže akékoľvek zmeny v ňom
		 * budú mať krátke trvanie. Vrátený objekt je skôr vhodný na získanie
		 * aktuálnej verzie grafickej informácie sveta.
		 * 
		 * <P>Vrátený objekt (typu {@link BufferedImage BufferedImage}) nemá
		 * prispôsobený súradnicový priestor potrebám knižnice grafického
		 * robota – pracuje v rovnakom súradnicovom systéme ako všetky
		 * grafické objekty Javy – začiatok súradnicovej sústavy je umiestnený
		 * v ľavom hornom rohu obrázka a y-ové súradnice sú v porovnaní
		 * s klasickým kartéziánskym súradnicovým systémom zrkadlovo
		 * prevrátené, to znamená, že y-ová súradnica stúpa smerom nadol.
		 * 
		 * <P>(O súradnicových priestoroch sa podrobnejšie píše napríklad
		 * v opisoch metód {@link GRobot#cesta() GRobot.cesta()}, {@link
		 * SVGPodpora#zapíš(String, String, boolean) SVGpodpora.zapíš(…)},
		 * {@link SVGPodpora#čítaj(String) SVGpodpora.čítaj(meno)} a priebežne
		 * v celej dokumentácii.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return objekt typu {@link BufferedImage BufferedImage}
		 *      obsahujúci aktuálnu obrazovú informáciu sveta
		 *  @see #grafika()
		 */
		public static BufferedImage obrázok() { return obrázok; }

		/** <a class="alias"></a> Alias pre {@link #obrázok() obrázok}. */
		public static BufferedImage obrazok() { return obrázok; }

		/**
		 * Vráti grafický objekt sveta na kreslenie v reakcii {@link
		 * ObsluhaUdalostí#dokreslenie() ObsluhaUdalostí.dokreslenie()}.
		 * Tento objekt pracuje v súradnicovom priestore Javy a všetko, čo
		 * pomocou neho nakreslíte, bude na obrazovke zobrazené len do
		 * najbližšieho prekreslenia. Jeho používanie je vyhradené
		 * viac-menej iba pre skúsených programátorov. Žiadny robot nedokáže
		 * priamo kresliť do tohto objektu, ale niektoré metódy robotov môžu
		 * byť využité, napríklad na generovanie tvarov, ktoré kresliace
		 * metódy tohto objektu dokážu akceptovať.
		 * 
		 * <P>(Objekty generované robotmi sú vygenerované tak, aby boli
		 * použiteľné v súradnicovom priestore Javy, teda aj tohto objektu.
		 * O súradnicových priestoroch sa podrobnejšie píše napríklad
		 * v opisoch metód {@link GRobot#cesta() GRobot.cesta()},
		 * {@link SVGPodpora#zapíš(String, String, boolean)
		 * SVGpodpora.zapíš(…)}, {@link SVGPodpora#čítaj(String)
		 * SVGpodpora.čítaj(meno)} a priebežne v celej dokumentácii.)
		 * 
		 *  @see #obrázok()
		 */
		public static Graphics2D grafika() { return grafika; }

		/**
		 * Po pamäťovo náročných operáciách môže byť vhodné uvoľniť
		 * systémové prostriedky. Metóda sa pokúsi uvoľniť čo najviac
		 * nepoužívaných prostriedkov. Vráti informáciu o objeme uvoľnenej
		 * pamäte.
		 * 
		 *  @return množstvo uvoľnenej pamäte
		 */
		public static long údržba()
		{
			Runtime runtime = Runtime.getRuntime();
			long pred = runtime.freeMemory();
			runtime.gc();
			long po = runtime.freeMemory();
			return po - pred;
		}

		/** <a class="alias"></a> Alias pre {@link #údržba() údržba}. */
		public static long udrzba() { return údržba(); }


		/**
		 * Metóda slúži na odstránenie konkrétneho robota (alebo inštancie
		 * odvodeného typu) z vnútorného zoznamu robotov. Prijíma jeden
		 * argument typu {@link GRobot GRobot} (to znamená, že môže ísť aj
		 * o hocijakú inštanciu odvodeneného údajového typu). Zadaný objekt
		 * bude potom vymazaný z vnútorného zoznamu robotov. Keď
		 * aplikácia zabezpečí aj vynulovanie všetkých ostatných premenných,
		 * v ktorých je stanovená inštancia uložená, objekt by mal byť uvoľnený
		 * z pamäte počítača zberačom odpadkov Javy. <b>Uvoľneného robota už
		 * nie je možné do sveta vrátiť!</b> V prípade, že je uvoľnený
		 * {@linkplain #hlavnýRobot() hlavný robot}, nastúpi na jeho miesto
		 * najbližší jestvujúci robot. Problém by mohol nastať, keby nie je
		 * k dispozícii žiadny ďalší robot, ktorý by ho mohol nahradiť.
		 * 
		 * <P><small>(<b>Poznámka:</b> Názov {@code curruvoľni} má
		 * v knižnici grafického robota deväť rôznych metód:
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni(Oblasť)
		 * uvoľni}{@code (}{@link Oblasť Oblasť}{@code )},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )}
		 * – slúžia na uvoľnenie robota zo zamestnania pre stanovenú
		 * oblasť (čo je geometrická trieda),
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni() uvoľni}{@code ()}
		 * – slúži na uvoľnenie hlavného okna sveta, t. j. umožnenie
		 * zmeny veľkosti okna používateľovi (ide o opak metódy {@link
		 * Svet#upevni() Svet.upevni}) a nakoniec
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.Class)
		 * uvoľni}{@code (}{@link java.lang.Class Class}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot.Obrázok)
		 * uvoľni}{@code (}{@link Obrázok Obrázok}{@code )}
		 * a {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.String)
		 * uvoľni}{@code (}{@link java.lang.String String}{@code )}
		 * – slúžia na uvoľňovanie nepotrebných inštancií robotov
		 * vytvorených alebo prečítaných obrázkov a prečítaných zvukov
		 * z vnútorných zoznamov robotov, obrázkov a zdrojov, čo je jednak
		 * nevyhnutnou podmienkou ich úspešného vymazania z pamäte zberačom
		 * odpadkov Javy a jednak to môže byť niekedy potrebné, ak sa
		 * napríklad obsah súboru zdroja uloženého na disku
		 * zmenil.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param ktorý  objekt, ktorý má byť odstránený
		 * @see #uvoľni(java.lang.Class)
		 */
		public static void uvoľni(GRobot ktorý)
		{
			for (GRobot tento : zoznamRobotov)
			{
				for (int i = 0; i < tento.spojnice.size(); ++i)
				{
					Spojnica s = tento.spojnice.get(i);
					if (s.cieľ == ktorý) tento.spojnice.remove(i--);
				}
			}

			int index1 = zoznamRobotov.indexOf(ktorý),
				index2 = zoznamRobotov.size() - 1;
			Vrstva.vymaž(index1, index2);

			ktorý.meno(null);
			ktorý.uvoľni();
			ktorý.spojnice.clear();
			zoznamRobotov.remove(ktorý);
			záložnýZoznamRobotov.remove(ktorý);

			Vrstva.vlož(index1, --index2);

			if (ktorý == hlavnýRobot)
			{
				hlavnýRobot = null;
				if (zoznamRobotov.size() > 0)
					hlavnýRobot = zoznamRobotov.get(0);
				else if (záložnýZoznamRobotov.size() > 0)
					hlavnýRobot = záložnýZoznamRobotov.get(0);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #uvoľni(GRobot) uvoľni}. */
		public static void uvolni(GRobot ktorý) { uvoľni(ktorý); }

		/**
		 * Metóda slúži na hromadné vymazanie robotov určitého typu
		 * z vnútorného zoznamu robotov. Očakáva určenie údajového typu
		 * prostredníctvom inštancie typu {@link java.lang.Class Class}. Tú
		 * môžeme získať, napríklad takto: {@code GRobot.class}, {@code
		 * Postavička.class}…). Zo zoznamu budú v dôsledku toho vymazané všetky
		 * inštancie určeného typu, ale aj inštancie odvodených tried. Preto
		 * je dobré byť pri hromadnom odstraňovaní obozretný. Ak si nie ste
		 * istí, aký dopad by malo použitie tejto metódy, použite radšej na
		 * uvoľnenie konkrétnych robotov metódu {@link Svet#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )}. <b>Uvoľnených
		 * robotov už nie je možné do sveta vrátiť!</b> V prípade, že nastane
		 * uvoľnenie {@linkplain #hlavnýRobot() hlavného robota}, nastúpi na
		 * jeho miesto najbližší jestvujúci robot. Problém by mohol nastať,
		 * keby nie je k dispozícii žiadny ďalší robot, ktorý by ho mohol
		 * nahradiť.
		 * 
		 * <P><small>(<b>Poznámka:</b> Názov {@code curruvoľni} má
		 * v knižnici grafického robota deväť rôznych metód:
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni(Oblasť)
		 * uvoľni}{@code (}{@link Oblasť Oblasť}{@code )},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )}
		 * – slúžia na uvoľnenie robota zo zamestnania pre stanovenú
		 * oblasť (čo je geometrická trieda),
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni() uvoľni}{@code ()}
		 * – slúži na uvoľnenie hlavného okna sveta, t. j. umožnenie
		 * zmeny veľkosti okna používateľovi (ide o opak metódy {@link
		 * Svet#upevni() Svet.upevni}) a nakoniec
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.Class)
		 * uvoľni}{@code (}{@link java.lang.Class Class}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot.Obrázok)
		 * uvoľni}{@code (}{@link Obrázok Obrázok}{@code )}
		 * a {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.String)
		 * uvoľni}{@code (}{@link java.lang.String String}{@code )}
		 * – slúžia na uvoľňovanie nepotrebných inštancií robotov
		 * vytvorených alebo prečítaných obrázkov a prečítaných zvukov
		 * z vnútorných zoznamov robotov, obrázkov a zdrojov, čo je jednak
		 * nevyhnutnou podmienkou ich úspešného vymazania z pamäte zberačom
		 * odpadkov Javy a jednak to môže byť niekedy potrebné, ak sa
		 * napríklad obsah súboru zdroja uloženého na disku
		 * zmenil.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param typ  objekt typu {@link java.lang.Class Class}
		 * @see #uvoľni(GRobot)
		 */
		@SuppressWarnings("rawtypes")
		public static void uvoľni(Class typ)
		{
			Vrstva.vymaž(0, zoznamRobotov.size() - 1);

			for (int i = 0; i < zoznamRobotov.size(); ++i)
			{
				GRobot ktorý = zoznamRobotov.get(i);
				if (typ.isInstance(ktorý))
				{
					for (GRobot tento : zoznamRobotov)
					{
						for (int j = 0; j < tento.spojnice.size(); ++j)
						{
							Spojnica s = tento.spojnice.get(j);
							if (s.cieľ == ktorý) tento.spojnice.remove(j--);
						}
					}

					ktorý.meno(null);
					ktorý.uvoľni();
					zoznamRobotov.remove(i--);
					záložnýZoznamRobotov.remove(ktorý);
					if (ktorý == hlavnýRobot) hlavnýRobot = null;
				}
			}

			Vrstva.vlož(0, zoznamRobotov.size() - 1);

			if (null == hlavnýRobot)
			{
				if (zoznamRobotov.size() > 0)
					hlavnýRobot = zoznamRobotov.get(0);
				else if (záložnýZoznamRobotov.size() > 0)
					hlavnýRobot = záložnýZoznamRobotov.get(0);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #uvoľni(Class) uvoľni}. */
		@SuppressWarnings("rawtypes")
		public static void uvolni(Class typ) { uvoľni(typ); }


		/**
		 * Táto metóda slúži na odstránenie konkrétneho obrázka z vnútorného
		 * zoznamu obrázkov. Prijíma jeden argument typu {@link Obrázok
		 * Obrázok}, ktorý určuje objekt určený na vymazanie z vnútorného
		 * zoznamu obrázkov. Aplikácia musí zabezpečiť vynulovanie všetkých
		 * premenných, v ktorých je inštancia tohto obrázka uložená, pretože
		 * po vymazaní obrázka z vnútorného zoznamu prestane byť objekt
		 * synchronizovaný so zvyškom knižnice a mohol by sa správať inak než
		 * by sa od neho očakávalo. <b>Uvoľnený obrázok už nie je možné do
		 * sveta vrátiť!</b>
		 * 
		 * <P><small>(<b>Poznámka:</b> Názov {@code curruvoľni} má
		 * v knižnici grafického robota deväť rôznych metód:
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni(Oblasť)
		 * uvoľni}{@code (}{@link Oblasť Oblasť}{@code )},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )}
		 * – slúžia na uvoľnenie robota zo zamestnania pre stanovenú
		 * oblasť (čo je geometrická trieda),
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni() uvoľni}{@code ()}
		 * – slúži na uvoľnenie hlavného okna sveta, t. j. umožnenie
		 * zmeny veľkosti okna používateľovi (ide o opak metódy {@link
		 * Svet#upevni() Svet.upevni}) a nakoniec
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.Class)
		 * uvoľni}{@code (}{@link java.lang.Class Class}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot.Obrázok)
		 * uvoľni}{@code (}{@link Obrázok Obrázok}{@code )}
		 * a {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.String)
		 * uvoľni}{@code (}{@link java.lang.String String}{@code )}
		 * – slúžia na uvoľňovanie nepotrebných inštancií robotov
		 * vytvorených alebo prečítaných obrázkov a prečítaných zvukov
		 * z vnútorných zoznamov robotov, obrázkov a zdrojov, čo je jednak
		 * nevyhnutnou podmienkou ich úspešného vymazania z pamäte zberačom
		 * odpadkov Javy a jednak to môže byť niekedy potrebné, ak sa
		 * napríklad obsah súboru zdroja uloženého na disku
		 * zmenil.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param ktorý  objekt, ktorý má byť odstránený z vnútorného zoznamu
		 */
		public static void uvoľni(Obrázok ktorý)
		{ zoznamObrázkovKnižnice.remove(ktorý); }

		/** <a class="alias"></a> Alias pre {@link #uvoľni(GRobot.Obrázok) uvoľni}. */
		public static void uvolni(Obrázok ktorý) { uvoľni(ktorý); }


		/**
		 * Táto metóda slúži na odstránenie zdrojov (obrázkov a/alebo zvukov)
		 * z vnútorných zoznamov zdrojov sveta. Argument určuje názov súboru,
		 * z ktorého bol objekt zdroja prečítaný. Podľa neho sú vo vnútorných
		 * zoznamoch sveta (označovaných v tejto dokumentácii aj termínom
		 * „vnútorná pamäť sveta“) vyhľadané všetky korešpondujúce záznamy
		 * a sú z nich vymazané. Pri najbližšom čítaní tohto zdroja bude
		 * zdroj opätovne prečítaný z pevného disku (zdrojového súboru)
		 * a nová verzia bude opäť uložená do vnútorného zoznamu zdrojov
		 * sveta.
		 * 
		 * <P><small>(<b>Poznámka:</b> Názov {@code curruvoľni} má
		 * v knižnici grafického robota deväť rôznych metód:
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni(Oblasť)
		 * uvoľni}{@code (}{@link Oblasť Oblasť}{@code )},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )}
		 * – slúžia na uvoľnenie robota zo zamestnania pre stanovenú
		 * oblasť (čo je geometrická trieda),
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni() uvoľni}{@code ()}
		 * – slúži na uvoľnenie hlavného okna sveta, t. j. umožnenie
		 * zmeny veľkosti okna používateľovi (ide o opak metódy {@link
		 * Svet#upevni() Svet.upevni}) a nakoniec
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.Class)
		 * uvoľni}{@code (}{@link java.lang.Class Class}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot.Obrázok)
		 * uvoľni}{@code (}{@link Obrázok Obrázok}{@code )}
		 * a {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.String)
		 * uvoľni}{@code (}{@link java.lang.String String}{@code )}
		 * – slúžia na uvoľňovanie nepotrebných inštancií robotov
		 * vytvorených alebo prečítaných obrázkov a prečítaných zvukov
		 * z vnútorných zoznamov robotov, obrázkov a zdrojov, čo je jednak
		 * nevyhnutnou podmienkou ich úspešného vymazania z pamäte zberačom
		 * odpadkov Javy a jednak to môže byť niekedy potrebné, ak sa
		 * napríklad obsah súboru zdroja uloženého na disku
		 * zmenil.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param názovZdroja názov súboru so zdrojom, ktorý má byť uvoľnený
		 *     z vnútornej pamäte sveta
		 */
		public static void uvoľni(String názovZdroja)
		{
			int indexOf;

			// Vyhľadáme zdroj vo všetkých vnútorných zoznamoch a odstránime
			// ho odtiaľ…

			if (-1 != (indexOf = zoznamSúborovObrázkov.indexOf(názovZdroja)))
			{
				zoznamSúborovObrázkov.remove(indexOf);
				zoznamObrázkov.remove(indexOf);
				zoznamIkon.remove(indexOf);
			}

			// Starší spôsob:
			// if (-1 != (indexOf = zoznamSúborovZvukov.indexOf(názovZdroja)))
			// {
			// 	zoznamSúborovZvukov.remove(indexOf);
			// 	zoznamZvukov.remove(indexOf);
			// }

			ZoznamZvukov zoznamZvukov = zoznamSúborovZvukov.get(názovZdroja);
			if (null != zoznamZvukov)
			{
				for (Zvuk zvuk : zoznamZvukov) zvuk.uvoľni();
				zoznamZvukov.clear();
				zoznamSúborovZvukov.remove(názovZdroja);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #uvoľni(String) uvoľni}. */
		public static void uvolni(String názovZdroja) { uvoľni(názovZdroja); }


		/**
		 * Zapne {@linkplain Svet#použiKonfiguráciu(String) automatickú
		 * konfiguráciu}, pričom umožní zadať počiatočnú polohu a rozmery
		 * okna. Parametre polohy a rozmerov okna opísané nižšie určujú
		 * predvolené hodnoty údajov – neskôr budú nahradené aktuálnymi
		 * hodnotami uloženými v konfigurácii. Súradnice {@code x} a {@code y}
		 * určujú, o koľko bodov je posunutý ľavý horný roh okna od ľavého
		 * horného rohu obrazovky (y-ová súradnica rastie smerom nadol).
		 * Viac informácií je v opise metódy {@link #použiKonfiguráciu(String)
		 * použiKonfiguráciu(názovSúboru)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param názovSúboru  názov konfiguračného súboru ({@code .cfg})
		 * @param x            predvolená (pozri vyššie) x-ová súradnica
		 *                     polohy okna
		 * @param y            predvolená (pozri vyššie) y-ová súradnica
		 *                     polohy okna
		 * @param šírka        predvolená (pozri vyššie) šírka okna
		 * @param výška        predvolená (pozri vyššie) výška okna
		 * 
		 *  @throws GRobotException  ak svet už bol inicializovaný
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see #použiKonfiguráciu(int, int, int, int)
		 * @see #použiKonfiguráciu(String)
		 * @see #použiKonfiguráciu()
		 * @see #registrujRobota(GRobot, String)
		 * @see #čítajKonfiguráciuSveta()
		 */
		public static void použiKonfiguráciu(String názovSúboru,
			int x, int y, int šírka, int výška)
		{
			if (inicializované)
				throw new GRobotException(
				"Konfiguráciu nie je možné použiť. " +
				"Svet už bol inicializovaný!", "configNotApplicable");

			if (!názovSúboru.endsWith(".cfg")) názovSúboru += ".cfg";

			// Súbor je otvorený len raz, pretože je pravdepodobné,
			// že sa z neho bude veľa čítať. Aj tak je pri ukončení
			// a zápise zatvorený a opätovne otvorený.
			try
			{
				konfiguračnýSúbor.otvorNaČítanie(
					názovKonfiguračnéhoSúboru = názovSúboru);

				// Konfigurácia okna
				{
					String mennýPriestor =
						konfiguračnýSúbor.mennýPriestorVlastností;
					konfiguračnýSúbor.mennýPriestorVlastností = "okno";

					počiatočnéX = konfiguračnýSúbor.
						čítajVlastnosť("x", // windowX
							Long.valueOf(x)).intValue();
					počiatočnéY = konfiguračnýSúbor.
						čítajVlastnosť("y", // windowY
							Long.valueOf(y)).intValue();

					počiatočnáŠírka = konfiguračnýSúbor.
						čítajVlastnosť("šírka", // windowWidth
							Long.valueOf(šírka)).intValue();
					počiatočnáVýška = konfiguračnýSúbor.
						čítajVlastnosť("výška", // windowHeight
							Long.valueOf(výška)).intValue();

					konfiguračnýSúbor.mennýPriestorVlastností =
						mennýPriestor;
				}

				prvéSpustenie = false;
			}
			catch (Exception e) { vypíšChybovéHlásenia(e); }

			// try { konfiguračnýSúbor.zavri(); }
			// catch (Exception e) { vypíšChybovéHlásenia(e); }
		}

		/** <a class="alias"></a> Alias pre {@link #použiKonfiguráciu(String, int, int, int, int) použiKonfiguráciu}. */
		public static void pouziKonfiguraciu(String názovSúboru,
			int x, int y, int šírka, int výška)
		{ použiKonfiguráciu(názovSúboru, x, y, šírka, výška); }

		/**
		 * Zapne {@linkplain Svet#použiKonfiguráciu(String) automatickú
		 * konfiguráciu}, pričom umožní zadať počiatočnú polohu a rozmery
		 * okna. Metóda použije predvolené meno konfiguračného súboru {@code
		 * srg"grobot.cfg"}. Parametre polohy a rozmerov okna opísané nižšie
		 * určujú predvolené hodnoty údajov – neskôr budú nahradené aktuálnymi
		 * hodnotami uloženými v konfigurácii. Súradnice {@code x} a {@code y}
		 * určujú, o koľko bodov je posunutý ľavý horný roh okna od ľavého
		 * horného rohu obrazovky (y-ová súradnica rastie smerom nadol).
		 * Viac informácií je v opise metódy {@link #použiKonfiguráciu()
		 * použiKonfiguráciu()}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param x            predvolená (pozri vyššie) x-ová súradnica
		 *                     polohy okna
		 * @param y            predvolená (pozri vyššie) y-ová súradnica
		 *                     polohy okna
		 * @param šírka        predvolená (pozri vyššie) šírka okna
		 * @param výška        predvolená (pozri vyššie) výška okna
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see #použiKonfiguráciu(String, int, int, int, int)
		 * @see #použiKonfiguráciu(String)
		 * @see #použiKonfiguráciu()
		 * @see #registrujRobota(GRobot, String)
		 * @see #čítajKonfiguráciuSveta()
		 */
		public static void použiKonfiguráciu(
			int x, int y, int šírka, int výška)
		{ použiKonfiguráciu(predvolenýNázovKonfiguračnéhoSúboru,
				x, y, šírka, výška); }

		/** <a class="alias"></a> Alias pre {@link #použiKonfiguráciu(int, int, int, int) použiKonfiguráciu}. */
		public static void pouziKonfiguraciu(
			int x, int y, int šírka, int výška)
		{ použiKonfiguráciu(predvolenýNázovKonfiguračnéhoSúboru,
			x, y, šírka, výška); }

		/**
		 * Zapne automatické spracovanie konfiguračného súboru sveta. Metóda
		 * musí byť volaná pred vytvorením {@linkplain Svet#hlavnýRobot()
		 * hlavného robota}, čiže ešte pred začatím inicializácie sveta
		 * (najlepšie v hlavnej metóde).
		 * V súčasnosti konfigurácia sveta zahŕňa polohu a rozmery hlavného
		 * okna a ukladanie vlastností registrovaných robotov. Meno
		 * konfiguračného súboru určuje parameter {@code
		 * názovSúboru}. Súbor nemusí jestvovať, v takom prípade bude
		 * vytvorený automaticky pri ukončení aplikácie.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@code kwdpublic static} {@code typevoid} main({@link String String}[] args)
			{
				{@link Svet Svet}.{@code currpoužiKonfiguráciu}({@code srg"grobot.cfg"});
				{@code comm// new …}
			}
			</pre>
		 * 
		 * <P>(Táto metóda použije predvolené hodnoty polohy [25, 25]
		 * a rozmerov 600 × 500 bodov.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Dovoľujeme si vás upozorniť na to, aby
		 * ste súbor so zadaným názvom nepoužívali na iné účely. Prosím,
		 * venujte pozornosť upozorneniu pri metóde {@link
		 * Súbor#zapíšVlastnosť(String, Object) zapíšVlastnosť}!)</small>
		 * 
		 * @param názovSúboru  názov konfiguračného súboru ({@code .cfg})
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see #použiKonfiguráciu(String, int, int, int, int)
		 * @see #použiKonfiguráciu(int, int, int, int)
		 * @see #použiKonfiguráciu()
		 * @see #registrujRobota(GRobot, String)
		 * @see #čítajKonfiguráciuSveta()
		 */
		public static void použiKonfiguráciu(String názovSúboru)
		{
			použiKonfiguráciu(názovSúboru, počiatočnéX,
				počiatočnéY, počiatočnáŠírka, počiatočnáVýška);
		}

		/** <a class="alias"></a> Alias pre {@link #použiKonfiguráciu(String) použiKonfiguráciu}. */
		public static void pouziKonfiguraciu(String názovSúboru)
		{ použiKonfiguráciu(názovSúboru); }

		/**
		 * Zapne automatické spracovanie konfiguračného súboru sveta. Metóda
		 * musí byť volaná pred vytvorením {@linkplain Svet#hlavnýRobot()
		 * hlavného robota}, čiže ešte pred začatím inicializácie sveta
		 * (najlepšie v hlavnej metóde).
		 * V súčasnosti konfigurácia sveta zahŕňa polohu a rozmery hlavného
		 * okna a ukladanie vlastností registrovaných robotov. Metóda
		 * použije predvolené meno konfiguračného súboru {@code
		 * srg"grobot.cfg"}. Súbor nemusí jestvovať, v takom prípade bude
		 * vytvorený automaticky pri ukončení aplikácie.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@code kwdpublic static} {@code typevoid} main({@link String String}[] args)
			{
				{@link Svet Svet}.{@code currpoužiKonfiguráciu}();
				{@code comm// new …}
			}
			</pre>
		 * 
		 * <P>(Táto metóda použije predvolené hodnoty polohy [25, 25]
		 * a rozmerov 600 × 500 bodov.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Dovoľujeme si vás upozorniť na to, aby
		 * ste súbor {@code srg"grobot.cfg"} nepoužívali na iné účely. Prosím,
		 * venujte pozornosť upozorneniu pri metóde {@link
		 * Súbor#zapíšVlastnosť(String, Object) zapíšVlastnosť}!)</small>
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see #použiKonfiguráciu(String, int, int, int, int)
		 * @see #použiKonfiguráciu(int, int, int, int)
		 * @see #použiKonfiguráciu(String)
		 * @see #registrujRobota(GRobot, String)
		 * @see #čítajKonfiguráciuSveta()
		 */
		public static void použiKonfiguráciu()
		{ použiKonfiguráciu(predvolenýNázovKonfiguračnéhoSúboru); }

		/** <a class="alias"></a> Alias pre {@link #použiKonfiguráciu() použiKonfiguráciu}. */
		public static void pouziKonfiguraciu()
		{ použiKonfiguráciu(predvolenýNázovKonfiguračnéhoSúboru); }

		/**
		 * Účelom tejto metódy je overiť, či pred spustením aplikácie jestvoval
		 * konfiguračný súbor. Ak áno, nejde o prvé spustenie a metóda vráti
		 * hodnotu {@code valfalse}. Ak nie, tak je toto spustenie považované
		 * za prvé a aplikácia si v tejto situácii môže nakonfigurovať niektoré
		 * vlastnosti alebo vykonať určité aktivity (napríklad {@linkplain
		 * #zbaľ() zbaliť okno}) bez obáv, že by táto činnosť zničila údaje
		 * prečítané z konfiguračného súboru.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return {@code valtrue} ak konfigurácia nejestvovala; {@code valfalse}
		 *     v opačnom prípade
		 */
		public static boolean prvéSpustenie() { return prvéSpustenie; }

		/** <a class="alias"></a> Alias pre {@link #prvéSpustenie() prvéSpustenie}. */
		public static boolean prveSpustenie() { return prvéSpustenie; }

		/**
		 * Registruje {@linkplain #hlavnýRobot() hlavného robota}
		 * v {@linkplain #použiKonfiguráciu(String) konfigurácii} sveta.
		 * Rezervované meno pre hlavného robota je {@code robot}.
		 * Pozri aj informácie pri metóde {@link #registrujRobota(GRobot)
		 * registrujRobota(robot)}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param meno meno robota
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see GRobot#uložDoSúboru(Súbor)
		 * @see GRobot#čítajZoSúboru(Súbor)
		 * @see GRobot.Písmo#uložDoSúboru(Súbor)
		 * @see GRobot.Písmo#čítajZoSúboru(Súbor)
		 * @see #registrujRobota(String)
		 * @see #registrujRobota(GRobot)
		 * @see #registrujRobota(GRobot, String)
		 * @see #použiKonfiguráciu()
		 * @see #použiKonfiguráciu(String)
		 * @see #použiKonfiguráciu(String, int, int, int, int)
		 * @see #použiKonfiguráciu(int, int, int, int)
		 * @see #čítajKonfiguráciuSveta()
		 */
		public static void registrujRobota() { registrujRobota(hlavnýRobot); }

		/**
		 * Registruje robota v {@linkplain #použiKonfiguráciu(String)
		 * konfigurácii} podľa jeho (vopred priradeného)
		 * {@linkplain GRobot#meno(String) mena}.
		 * Ak nejestvuje žiadny robot so zadaným menom, tak vznikne výnimka.
		 * Pozri aj informácie pri metóde {@link #registrujRobota(GRobot)
		 * registrujRobota(robot)}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param meno meno robota
		 * 
		 *  @throws GRobotException  ak robot so zadaným menom nejestvuje
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see GRobot#uložDoSúboru(Súbor)
		 * @see GRobot#čítajZoSúboru(Súbor)
		 * @see GRobot.Písmo#uložDoSúboru(Súbor)
		 * @see GRobot.Písmo#čítajZoSúboru(Súbor)
		 * @see #registrujRobota()
		 * @see #registrujRobota(GRobot)
		 * @see #registrujRobota(GRobot, String)
		 * @see #použiKonfiguráciu()
		 * @see #použiKonfiguráciu(String)
		 * @see #použiKonfiguráciu(String, int, int, int, int)
		 * @see #použiKonfiguráciu(int, int, int, int)
		 * @see #čítajKonfiguráciuSveta()
		 */
		public static void registrujRobota(String meno)
		{
			GRobot robot = menáRobotov.get(meno);
			if (null == robot) throw new GRobotException(
				"Robot so zadaným menom (" + meno + ") nejestvuje.",
				"noRobotWithSuchName", meno, new IllegalArgumentException());
			registrujRobota(robot);
		}

		/**
		 * Registruje robota v {@linkplain #použiKonfiguráciu(String)
		 * konfigurácii}. Registrácia je vykonaná podľa jeho
		 * {@linkplain GRobot#meno(String) mena}. To znamená, že údaje
		 * o robotovi (poloha, smer, veľkosť, farba pera a tak ďalej) budú
		 * automaticky ukladané do a čítané z konfiguračného súboru.
		 * Ak robot nie je pomenovaný a nejde o {@linkplain #hlavnýRobot()
		 * hlavného robota}, tak vznikne výnimka.
		 * 
		 * <P>Pred registráciou je vhodné vypnúť {@linkplain Svet#nekresli()
		 * automatické prekresľovanie} a po dokončení registrácie ho opätovne
		 * zapnúť. I tak nemusí byť garantovaná bezproblémová aktualizácia
		 * obrazovky, preto je vhodné vykonať registráciu podľa nasledujúcej
		 * schémy:
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} UkážkaKonfigurácie {@code kwdextends} {@link GRobot GRobot}
			{
				{@code kwdprivate} UkážkaKonfigurácie()
				{
					{@code comm// Inicializácia}
					{@code comm// ...}

					{@link Svet Svet}.{@code currregistrujRobota}({@code valthis});
					<code class="comment">// Prípadne sa dá použiť aj verzia metódy</code>
					<code class="comment">// bez argumentu: Svet.{@link #registrujRobota() registrujRobota}();</code>
				}

				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
				{
					{@link Svet Svet}.{@link #použiKonfiguráciu() použiKonfiguráciu}();
					{@link Svet Svet}.{@link #nekresli() nekresli}();
					{@code kwdnew} UkážkaKonfigurácie();
					{@link Svet Svet}.{@link #kresli() kresli}();
				}
			}
			</pre>
		 * 
		 * <P><b>Poznámka:</b> Čítanie údajov o robotovi je vykonané pri
		 * spustení tohto príkazu a zápis je vykonaný automaticky pri
		 * ukončení aplikácie. V prípade kombinácie registrácie robota
		 * s vlastnou konfiguráciou (pozri príklad {@code TestKonfigurácie}
		 * v triede {@link ObsluhaUdalostí ObsluhaUdalostí}) je vhodné tieto
		 * fakty zvážiť.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param robot robot, ktorý má byť zaregistrovaný
		 * 
		 *  @throws GRobotException  ak zadaný robot nemá definované meno
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see GRobot#uložDoSúboru(Súbor)
		 * @see GRobot#čítajZoSúboru(Súbor)
		 * @see GRobot.Písmo#uložDoSúboru(Súbor)
		 * @see GRobot.Písmo#čítajZoSúboru(Súbor)
		 * @see GRobot#registrujVKonfigurácii()
		 * @see GRobot#registrujVKonfigurácii(String)
		 * @see #registrujRobota()
		 * @see #registrujRobota(String)
		 * @see #registrujRobota(GRobot, String)
		 * @see #použiKonfiguráciu()
		 * @see #použiKonfiguráciu(String)
		 * @see #použiKonfiguráciu(String, int, int, int, int)
		 * @see #použiKonfiguráciu(int, int, int, int)
		 * @see #čítajKonfiguráciuSveta()
		 */
		public static void registrujRobota(GRobot robot)
		{
			if (null == robot) return;

			if (null == robot.menoRobota && robot != hlavnýRobot)
				throw new GRobotException(
					"Zadaný robot nemá meno.", "robotHasNoName");

			robot.jeRegistrovaný = true;

			try
			{
				// konfiguračnýSúbor.otvorNaČítanie(názovKonfiguračnéhoSúboru);
				robot.čítajZoSúboru(konfiguračnýSúbor);
			}
			catch (Exception e) { vypíšChybovéHlásenia(e); }

			// try { konfiguračnýSúbor.zavri(); }
			// catch (Exception e) { vypíšChybovéHlásenia(e); }
		}

		/**
		 * Registruje robota v {@linkplain #použiKonfiguráciu(String)
		 * konfigurácii} podľa zadaného {@linkplain GRobot#meno(String) mena}.
		 * Pozri aj informácie pri metóde {@link #registrujRobota(GRobot)
		 * registrujRobota(robot)}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param meno meno robota
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see GRobot#uložDoSúboru(Súbor)
		 * @see GRobot#čítajZoSúboru(Súbor)
		 * @see #registrujRobota()
		 * @see #registrujRobota(String)
		 * @see #registrujRobota(GRobot)
		 * @see #použiKonfiguráciu()
		 * @see #použiKonfiguráciu(String)
		 * @see #použiKonfiguráciu(String, int, int, int, int)
		 * @see #použiKonfiguráciu(int, int, int, int)
		 */
		public static void registrujRobota(GRobot robot, String meno)
		{
			robot.meno(meno);
			registrujRobota(robot);
		}

		/**
		 * Prečíta {@linkplain #použiKonfiguráciu(String) konfiguráciu} sveta
		 * (a plátien). Konfigurácia sveta ukladá viaceré informácie, napríklad:
		 * {@linkplain #farbaPozadia(java.awt.Color) farbu pozadia}, {@linkplain
		 * GRobot.Písmo#čítajZoSúboru(Súbor) písma} {@linkplain GRobot#podlaha
		 * podlahy} a {@linkplain GRobot#strop stropu}, {@linkplain
		 * #spustiČasovač(double) hodnotu časovača}, {@linkplain
		 * #interaktívnyRežim(boolean) aktiváciu interaktívneho režimu}
		 * a podobne. Spustenie tejto metódy spôsobí automatické uloženie údajov
		 * o svete (a plátnach) do konfigurácie pri (korektnom) ukončení
		 * aplikácie.
		 * 
		 * <P>Vhodné je použiť nasledujúcu schému:
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} UkážkaKonfigurácie {@code kwdextends} {@link GRobot GRobot}
			{
				{@code kwdprivate} UkážkaKonfigurácie()
				{
					{@code comm// Inicializácia}
					{@code comm// ...}

					{@link Svet Svet}.{@link #registrujRobota(GRobot, String) registrujRobota}({@code valthis}, {@code srg"robot"});
					{@link Svet Svet}.{@code currčítajKonfiguráciuSveta}();
				}

				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
				{
					{@link Svet Svet}.{@link #použiKonfiguráciu() použiKonfiguráciu}();
					{@link Svet Svet}.{@link #nekresli() nekresli}();
					{@code kwdnew} UkážkaKonfigurácie();
					{@link Svet Svet}.{@link #kresli() kresli}();
				}
			}
			</pre>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param meno meno robota
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see GRobot#uložDoSúboru(Súbor)
		 * @see GRobot#čítajZoSúboru(Súbor)
		 * @see GRobot.Písmo#uložDoSúboru(Súbor)
		 * @see GRobot.Písmo#čítajZoSúboru(Súbor)
		 * @see #registrujRobota()
		 * @see #registrujRobota(String)
		 * @see #registrujRobota(GRobot)
		 * @see #registrujRobota(GRobot, String)
		 * @see #použiKonfiguráciu()
		 * @see #použiKonfiguráciu(String)
		 * @see #použiKonfiguráciu(String, int, int, int, int)
		 * @see #použiKonfiguráciu(int, int, int, int)
		 */
		public static void čítajKonfiguráciuSveta()
		{
			uložKonfiguráciuSveta = true;

			try
			{
				// konfiguračnýSúbor.otvorNaČítanie(názovKonfiguračnéhoSúboru);

				String mennýPriestor =
					konfiguračnýSúbor.mennýPriestorVlastností;


				konfiguračnýSúbor.mennýPriestorVlastností = "svet";
				String pozadie = konfiguračnýSúbor.čítajVlastnosť(
					"farbaPozadia", null == farbaPozadia ? null :
						Farba.farbaNaReťazec(farbaPozadia));
				farbaPozadia(null == pozadie ? predvolenéPozadie :
					Farba.reťazecNaFarbu(pozadie));
				Svet.interaktívnyRežim = konfiguračnýSúbor.čítajVlastnosť(
					"interaktívny", Svet.interaktívnyRežim);


				konfiguračnýSúbor.mennýPriestorVlastností = "svet.časovač";
				boolean aktívny = konfiguračnýSúbor.čítajVlastnosť(
					"aktívny", časovač.aktívny());
				časovač.čas = konfiguračnýSúbor.čítajVlastnosť(
					"čas", Long.valueOf(časovač.čas)).intValue();
				if (aktívny) časovač.spusti(); else časovač.zastav();


				String text; Bod bod;

				konfiguračnýSúbor.mennýPriestorVlastností = "svet.výplne";
				text = konfiguračnýSúbor.čítajVlastnosť("posunutie",
					Bod.polohaNaReťazec(posunutieVýplneX, posunutieVýplneY));
				bod = (Bod)Bod.reťazecNaPolohu(text);
				posunutieVýplneX = bod.polohaX();
				posunutieVýplneY = bod.polohaY();
				text = konfiguračnýSúbor.čítajVlastnosť("mierka",
					Bod.polohaNaReťazec(mierkaVýplneX, mierkaVýplneY));
				bod = (Bod)Bod.reťazecNaPolohu(text);
				mierkaVýplneX = bod.polohaX();
				mierkaVýplneY = bod.polohaY();
				otočVýplňΑ = konfiguračnýSúbor.čítajVlastnosť("otočenie",
					otočVýplňΑ);
				text = konfiguračnýSúbor.čítajVlastnosť("stredOtáčania",
					Bod.polohaNaReťazec(stredOtáčaniaVýplneX,
						stredOtáčaniaVýplneY));
				bod = (Bod)Bod.reťazecNaPolohu(text);
				stredOtáčaniaVýplneX = bod.polohaX();
				stredOtáčaniaVýplneY = bod.polohaY();
				prepočítajParametreVýplne();


				Farba farba;


				konfiguračnýSúbor.mennýPriestorVlastností = "podlaha";

				farba = podlaha.farbaTextu();
				text = konfiguračnýSúbor.čítajVlastnosť("farbaTextu",
					null == farba ? null : Farba.farbaNaReťazec(farba));
				if (null != text)
				{
					farba = Farba.reťazecNaFarbu(text);
					if (!farba.equals(podlaha.farbaTextu()))
						podlaha.farbaTextu(farba);
				}

				farba = podlaha.farbaPozadiaTextu();
				text = konfiguračnýSúbor.čítajVlastnosť("farbaPozadiaTextu",
					null == farba ? null : Farba.farbaNaReťazec(farba));
				if (null != text)
				{
					farba = Farba.reťazecNaFarbu(text);
					if (null == farba) podlaha.farbaPozadiaTextu((Color)null);
					else if (!farba.equals(podlaha.farbaPozadiaTextu()))
						podlaha.farbaPozadiaTextu(farba);
				}
				else podlaha.farbaPozadiaTextu((Color)null);

				podlaha.písmo(podlaha.vnútornáKonzola.aktuálnePísmo.
					čítajZoSúboru(konfiguračnýSúbor));

				podlaha.interaktívnyRežim = konfiguračnýSúbor.čítajVlastnosť(
					"interaktívny", podlaha.interaktívnyRežim);


				konfiguračnýSúbor.mennýPriestorVlastností = "strop";

				farba = strop.farbaTextu();
				text = konfiguračnýSúbor.čítajVlastnosť("farbaTextu",
					null == farba ? null : Farba.farbaNaReťazec(farba));
				if (null != text)
				{
					farba = Farba.reťazecNaFarbu(text);
					if (!farba.equals(strop.farbaTextu()))
						strop.farbaTextu(farba);
				}

				farba = strop.farbaPozadiaTextu();
				text = konfiguračnýSúbor.čítajVlastnosť("farbaPozadiaTextu",
					null == farba ? null : Farba.farbaNaReťazec(farba));
				if (null != text)
				{
					farba = Farba.reťazecNaFarbu(text);
					if (null == farba) strop.farbaPozadiaTextu((Color)null);
					else if (!farba.equals(strop.farbaPozadiaTextu()))
						strop.farbaPozadiaTextu(farba);
				}
				else strop.farbaPozadiaTextu((Color)null);

				strop.písmo(strop.vnútornáKonzola.aktuálnePísmo.
					čítajZoSúboru(konfiguračnýSúbor));

				strop.interaktívnyRežim = konfiguračnýSúbor.čítajVlastnosť(
					"interaktívny", strop.interaktívnyRežim);


				konfiguračnýSúbor.mennýPriestorVlastností = mennýPriestor;
			}
			catch (Exception e) { vypíšChybovéHlásenia(e); }

			// try { konfiguračnýSúbor.zavri(); }
			// catch (Exception e) { vypíšChybovéHlásenia(e); }
		}

		/** <a class="alias"></a> Alias pre {@link #čítajKonfiguráciuSveta() čítajKonfiguráciuSveta}. */
		public static void citajKonfiguraciuSveta()
		{ čítajKonfiguráciuSveta(); }

		/** <a class="alias"></a> Alias pre {@link #čítajKonfiguráciuSveta() čítajKonfiguráciuSveta}. */
		public static void prečítajKonfiguráciuSveta()
		{ čítajKonfiguráciuSveta(); }

		/** <a class="alias"></a> Alias pre {@link #čítajKonfiguráciuSveta() čítajKonfiguráciuSveta}. */
		public static void precitajKonfiguraciuSveta()
		{ čítajKonfiguráciuSveta(); }

		/** <a class="alias"></a> Alias pre {@link #čítajKonfiguráciuSveta() čítajKonfiguráciuSveta}. */
		@Deprecated public static void načítajKonfiguráciuSveta()
		{ čítajKonfiguráciuSveta(); }

		/** <a class="alias"></a> Alias pre {@link #čítajKonfiguráciuSveta() čítajKonfiguráciuSveta}. */
		@Deprecated public static void nacitajKonfiguraciuSveta()
		{ čítajKonfiguráciuSveta(); }


	// --- Vstupy, výstupy a náhodné čísla


		// Čítanie údajov cez dialógy

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * zadanie údajov.
		 * <P><b>Príklad:</b>
		 * <table><tr><td>
		 * <pre CLASS="example">
			{@link String String} meno = {@link Svet Svet}.{@code currčítajReťazec}({@code srg"Zadaj svoje meno:"});

			{@code kwdif} (meno != {@code valnull})
			{
				{@code kwdif} (meno.{@link String#equals(Object) equals}({@code srg""}))
				<code class="comment">// Prípadne lepšie: if (!meno.{@link String#isEmpty() isEmpty}())</code>
				{
					{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Nezadal si svoje meno…"});
				}
				{@code kwdelse}
				{
					{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Vitaj, "} + meno + {@code srg"!"});
				}
			}
			{@code kwdelse}
			{
				{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Zrušil si zadanie svojho mena…"});
			}
			</pre>
		 * </td><td><table>
		 * <tr><td><image>citajRetazecOK.png</image></td></tr>
		 * <tr><td><image>citajRetazecCancel.png</image></td></tr>
		 * <tr><td style="text-align: center;"><small>Ukážky možného
		 * vzhľadu dialógov zobrazených<br />počas vykonávania tohto
		 * príkladu</small></td></tr>
		 * </table></td></tr></table>
		 * 
		 *  @param výzva text výzvy
		 *  @return objekt {@link java.lang.String String} s textom, ktorý
		 *      zadal používateľ, alebo {@code valnull} ak používateľ dialóg
		 *      zrušil
		 *  @see #čítajReťazec(String, String)
		 *  @see #čítajHeslo(String)
		 *  @see #čítajHeslo(String, String)
		 *  @see #čítajCeléČíslo(String)
		 *  @see #čítajCeléČíslo(String, String)
		 *  @see #čítajReálneČíslo(String)
		 *  @see #čítajReálneČíslo(String, String)
		 *  @see #upravReťazec(String, String)
		 */
		public static String čítajReťazec(String výzva)
		{ return čítajReťazec(výzva, predvolenýTitulokVstupu); }

		/** <a class="alias"></a> Alias pre {@link #čítajReťazec(String) čítajReťazec}. */
		public static String citajRetazec(String výzva)
		{ return čítajReťazec(výzva, predvolenýTitulokVstupu); }

		/** <a class="alias"></a> Alias pre {@link #čítajReťazec(String) čítajReťazec}. */
		public static String zadajReťazec(String výzva)
		{ return čítajReťazec(výzva, predvolenýTitulokVstupu); }

		/** <a class="alias"></a> Alias pre {@link #čítajReťazec(String) čítajReťazec}. */
		public static String zadajRetazec(String výzva)
		{ return čítajReťazec(výzva, predvolenýTitulokVstupu); }

		/** <a class="alias"></a> Alias pre {@link #čítajReťazec(String) čítajReťazec}. */
		@Deprecated public static String načítajReťazec(String výzva)
		{ return čítajReťazec(výzva, predvolenýTitulokVstupu); }

		/** <a class="alias"></a> Alias pre {@link #čítajReťazec(String) čítajReťazec}. */
		@Deprecated public static String nacitajRetazec(String výzva)
		{ return čítajReťazec(výzva, predvolenýTitulokVstupu); }

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * zadanie údajov.
		 * 
		 *  @param výzva text výzvy
		 *  @param titulok text titulku dialógového okna
		 *  @return objekt {@link java.lang.String String} s textom, ktorý
		 *      zadal používateľ, alebo {@code valnull} ak používateľ dialóg
		 *      zrušil
		 *  @see #čítajReťazec(String)
		 *  @see #čítajHeslo(String)
		 *  @see #čítajHeslo(String, String)
		 *  @see #čítajCeléČíslo(String)
		 *  @see #čítajCeléČíslo(String, String)
		 *  @see #čítajReálneČíslo(String)
		 *  @see #čítajReálneČíslo(String, String)
		 *  @see #upravReťazec(String, String, String)
		 */
		public static String čítajReťazec(String výzva, String titulok)
		{
			String reťazec = null;
			Object[] výzvaATextovýRiadok = {výzva, textovýRiadok};
			textovýRiadok.setText("");

			if (JOptionPane.showOptionDialog(svet, výzvaATextovýRiadok,
				titulok, JOptionPane.YES_NO_OPTION, JOptionPane.PLAIN_MESSAGE,
				null, odpovedeZadania, null) == JOptionPane.YES_OPTION)
				reťazec = textovýRiadok.getText();

			return reťazec;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajReťazec(String, String) čítajReťazec}. */
		public static String citajRetazec(String výzva, String titulok)
		{ return čítajReťazec(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajReťazec(String, String) čítajReťazec}. */
		public static String zadajReťazec(String výzva, String titulok)
		{ return čítajReťazec(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajReťazec(String, String) čítajReťazec}. */
		public static String zadajRetazec(String výzva, String titulok)
		{ return čítajReťazec(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajReťazec(String, String) čítajReťazec}. */
		@Deprecated public static String načítajReťazec(String výzva, String titulok)
		{ return čítajReťazec(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajReťazec(String, String) čítajReťazec}. */
		@Deprecated public static String nacitajRetazec(String výzva, String titulok)
		{ return čítajReťazec(výzva, titulok); }

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * zadanie hesla.
		 * 
		 *  @param výzva text výzvy
		 *  @return objekt {@link java.lang.String String} s heslom, ktoré
		 *      zadal používateľ, alebo {@code valnull} ak používateľ dialóg
		 *      zrušil
		 *  @see #čítajReťazec(String)
		 *  @see #čítajReťazec(String, String)
		 *  @see #čítajHeslo(String, String)
		 *  @see #čítajCeléČíslo(String)
		 *  @see #čítajCeléČíslo(String, String)
		 *  @see #čítajReálneČíslo(String)
		 *  @see #čítajReálneČíslo(String, String)
		 */
		public static String čítajHeslo(String výzva)
		{ return čítajHeslo(výzva, predvolenýTitulokHesla); }

		/** <a class="alias"></a> Alias pre {@link #čítajHeslo(String) čítajHeslo}. */
		public static String citajHeslo(String výzva) { return čítajHeslo(výzva); }

		/** <a class="alias"></a> Alias pre {@link #čítajHeslo(String) čítajHeslo}. */
		public static String zadajHeslo(String výzva) { return čítajHeslo(výzva); }

		/** <a class="alias"></a> Alias pre {@link #čítajHeslo(String) čítajHeslo}. */
		@Deprecated public static String načítajHeslo(String výzva) { return čítajHeslo(výzva); }

		/** <a class="alias"></a> Alias pre {@link #čítajHeslo(String) čítajHeslo}. */
		@Deprecated public static String nacitajHeslo(String výzva) { return čítajHeslo(výzva); }

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * zadanie hesla.
		 * 
		 *  @param výzva text výzvy
		 *  @param titulok text titulku dialógového okna
		 *  @return objekt {@link java.lang.String String} s heslom, ktoré
		 *      zadal používateľ, alebo {@code valnull} ak používateľ dialóg
		 *      zrušil
		 *  @see #čítajReťazec(String)
		 *  @see #čítajReťazec(String, String)
		 *  @see #čítajHeslo(String)
		 *  @see #čítajCeléČíslo(String)
		 *  @see #čítajCeléČíslo(String, String)
		 *  @see #čítajReálneČíslo(String)
		 *  @see #čítajReálneČíslo(String, String)
		 */
		public static String čítajHeslo(String výzva, String titulok)
		{
			String heslo = null;
			Object[] výzvaAHeslo = {výzva, riadokSHeslom};
			riadokSHeslom.setText("");

			if (JOptionPane.showOptionDialog(svet, výzvaAHeslo, titulok,
				JOptionPane.YES_NO_OPTION, JOptionPane.PLAIN_MESSAGE, null,
				odpovedeZadania, null) == JOptionPane.YES_OPTION)
				heslo = new String(riadokSHeslom.getPassword());

			return heslo;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajHeslo(String, String) čítajHeslo}. */
		public static String citajHeslo(String výzva, String titulok)
		{ return čítajHeslo(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajHeslo(String, String) čítajHeslo}. */
		public static String zadajHeslo(String výzva, String titulok)
		{ return čítajHeslo(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajHeslo(String, String) čítajHeslo}. */
		@Deprecated public static String načítajHeslo(String výzva, String titulok)
		{ return čítajHeslo(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajHeslo(String, String) čítajHeslo}. */
		@Deprecated public static String nacitajHeslo(String výzva, String titulok)
		{ return čítajHeslo(výzva, titulok); }

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * zadanie údajov (očakávaný je celočíselný údaj). Pozri príklad pri
		 * {@link #čítajCeléČíslo(String, String) čítajCeléČíslo}.
		 * 
		 *  @param výzva text výzvy
		 *  @return objekt {@link Long} s celočíselnou hodnotou, ktorú zadal
		 *      používateľ, alebo {@code valnull} ak používateľ dialóg zrušil
		 *      alebo zadal reťazec, ktorý nebolo možné previesť na celé
		 *      číslo
		 *  @see #čítajReťazec(String)
		 *  @see #čítajReťazec(String, String)
		 *  @see #čítajHeslo(String)
		 *  @see #čítajHeslo(String, String)
		 *  @see #čítajCeléČíslo(String, String)
		 *  @see #čítajReálneČíslo(String)
		 *  @see #čítajReálneČíslo(String, String)
		 *  @see #upravCeléČíslo(long, String)
		 *  @see #formát
		 */
		public static Long čítajCeléČíslo(String výzva)
		{
			Long číslo = null;
			String reťazec = čítajReťazec(výzva);
			try { číslo = Long.valueOf(filtrujReťazec(reťazec)); }
			catch (Exception e) { vypíšChybovéHlásenia(e); return null; }
			return číslo;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajCeléČíslo(String) čítajCeléČíslo}. */
		public static Long citajCeleCislo(String výzva) { return čítajCeléČíslo(výzva); }

		/** <a class="alias"></a> Alias pre {@link #čítajCeléČíslo(String) čítajCeléČíslo}. */
		public static Long zadajCeléČíslo(String výzva) { return čítajCeléČíslo(výzva); }

		/** <a class="alias"></a> Alias pre {@link #čítajCeléČíslo(String) čítajCeléČíslo}. */
		public static Long zadajCeleCislo(String výzva) { return čítajCeléČíslo(výzva); }

		/** <a class="alias"></a> Alias pre {@link #čítajCeléČíslo(String) čítajCeléČíslo}. */
		@Deprecated public static Long načítajCeléČíslo(String výzva) { return čítajCeléČíslo(výzva); }

		/** <a class="alias"></a> Alias pre {@link #čítajCeléČíslo(String) čítajCeléČíslo}. */
		@Deprecated public static Long nacitajCeleCislo(String výzva) { return čítajCeléČíslo(výzva); }

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * zadanie údajov (očakávaný je celočíselný údaj).
		 * <P><b>Príklad:</b>
		 * <table><tr><td>
		 * <pre CLASS="example">
			{@link Long} l = {@link Svet Svet}.{@code currčítajCeléČíslo}({@code srg"Počet:"}, {@code srg"Zadaj celé číslo"});

			{@code kwdif} (l != {@code valnull})
			{
				{@code typeint} i = l.{@link Long#intValue() intValue}();
				{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Zadané: "} + {@link #F(double, int) F}(i, {@code num0}));
			}
			{@code kwdelse}
				{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Vstup bol zrušený alebo nesprávny."});
			</pre>
		 * </td><td><table>
		 * <tr><td><image>citajCeleCisloOK.png</image></td></tr>
		 * <tr><td><image>citajCeleCisloCancel.png</image></td></tr>
		 * <tr><td style="text-align: center;"><small>Ukážky možného
		 * vzhľadu dialógov zobrazených<br />počas vykonávania tohto
		 * príkladu</small></td></tr>
		 * </table></td></tr></table>
		 * 
		 *  @param výzva text výzvy
		 *  @param titulok text titulku dialógového okna
		 *  @return objekt {@link Long} s celočíselnou hodnotou, ktorú zadal
		 *      používateľ, alebo {@code valnull} ak používateľ dialóg zrušil
		 *      alebo zadal reťazec, ktorý nebolo možné previesť na celé
		 *      číslo
		 *  @see #čítajReťazec(String)
		 *  @see #čítajReťazec(String, String)
		 *  @see #čítajHeslo(String)
		 *  @see #čítajHeslo(String, String)
		 *  @see #čítajCeléČíslo(String)
		 *  @see #čítajReálneČíslo(String)
		 *  @see #čítajReálneČíslo(String, String)
		 *  @see #upravCeléČíslo(long, String, String)
		 *  @see #formát
		 */
		public static Long čítajCeléČíslo(String výzva, String titulok)
		{
			Long číslo = null;
			String reťazec = čítajReťazec(výzva, titulok);
			try { číslo = Long.valueOf(filtrujReťazec(reťazec)); }
			catch (Exception e) { vypíšChybovéHlásenia(e); return null; }
			return číslo;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajCeléČíslo(String, String) čítajCeléČíslo}. */
		public static Long citajCeleCislo(String výzva, String titulok)
		{ return čítajCeléČíslo(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajCeléČíslo(String, String) čítajCeléČíslo}. */
		public static Long zadajCeléČíslo(String výzva, String titulok)
		{ return čítajCeléČíslo(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajCeléČíslo(String, String) čítajCeléČíslo}. */
		public static Long zadajCeleCislo(String výzva, String titulok)
		{ return čítajCeléČíslo(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajCeléČíslo(String, String) čítajCeléČíslo}. */
		@Deprecated public static Long načítajCeléČíslo(String výzva, String titulok)
		{ return čítajCeléČíslo(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajCeléČíslo(String, String) čítajCeléČíslo}. */
		@Deprecated public static Long nacitajCeleCislo(String výzva, String titulok)
		{ return čítajCeléČíslo(výzva, titulok); }

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * zadanie údajov (očakávaný je číselný údaj). Pozri príklad pri
		 * {@link #čítajReálneČíslo(String, String) čítajReálneČíslo}.
		 * 
		 *  @param výzva text výzvy
		 *  @return objekt {@link java.lang.Double Double} s celočíselnou
		 *      hodnotou, ktorú zadal používateľ, alebo {@code valnull} ak
		 *      používateľ dialóg zrušil alebo zadal reťazec, ktorý
		 *      nebolo možné previesť na reálne číslo
		 *  @see #čítajReťazec(String)
		 *  @see #čítajReťazec(String, String)
		 *  @see #čítajHeslo(String)
		 *  @see #čítajHeslo(String, String)
		 *  @see #čítajCeléČíslo(String)
		 *  @see #čítajCeléČíslo(String, String)
		 *  @see #čítajReálneČíslo(String, String)
		 *  @see #upravReálneČíslo(double, String)
		 *  @see #formát
		 */
		public static Double čítajReálneČíslo(String výzva)
		{
			Double číslo = null;
			String reťazec = čítajReťazec(výzva);
			try { číslo = Double.valueOf(filtrujReťazec(reťazec)); }
			catch (Exception e) { vypíšChybovéHlásenia(e); return null; }
			return číslo;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajReálneČíslo(String) čítajReálneČíslo}. */
		public static Double citajRealneCislo(String výzva)
		{ return čítajReálneČíslo(výzva); }

		/** <a class="alias"></a> Alias pre {@link #čítajReálneČíslo(String) čítajReálneČíslo}. */
		public static Double zadajReálneČíslo(String výzva)
		{ return čítajReálneČíslo(výzva); }

		/** <a class="alias"></a> Alias pre {@link #čítajReálneČíslo(String) čítajReálneČíslo}. */
		public static Double zadajRealneCislo(String výzva)
		{ return čítajReálneČíslo(výzva); }

		/** <a class="alias"></a> Alias pre {@link #čítajReálneČíslo(String) čítajReálneČíslo}. */
		@Deprecated public static Double načítajReálneČíslo(String výzva)
		{ return čítajReálneČíslo(výzva); }

		/** <a class="alias"></a> Alias pre {@link #čítajReálneČíslo(String) čítajReálneČíslo}. */
		@Deprecated public static Double nacitajRealneCislo(String výzva)
		{ return čítajReálneČíslo(výzva); }

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * zadanie údajov (očakávaný je číselný údaj).
		 * <P><b>Príklad:</b>
		 * <table><tr><td>
		 * <pre CLASS="example">
			{@link java.lang.Double Double} d = {@link Svet Svet}.{@code currčítajReálneČíslo}({@code srg"Počet:"}, {@code srg"Zadaj reálne číslo"});

			{@code kwdif} (d != {@code valnull})
			{
				{@code typedouble} a = d.{@link java.lang.Double#doubleValue() doubleValue}();
				{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Zadané: "} + {@link #F(double, int) F}(a, {@code num2}));
			}
			{@code kwdelse}
				{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Vstup bol zrušený alebo nesprávny."});
			</pre>
		 * </td><td><table>
		 * <tr><td><image>citajRealneCisloOK.png</image></td></tr>
		 * <tr><td><image>citajRealneCisloCancel.png</image></td></tr>
		 * <tr><td style="text-align: center;"><small>Ukážky možného
		 * vzhľadu dialógov zobrazených<br />počas vykonávania tohto
		 * príkladu</small></td></tr>
		 * </table></td></tr></table>
		 * 
		 *  @param výzva text výzvy
		 *  @param titulok text titulku dialógového okna
		 *  @return objekt {@link java.lang.Double Double} s celočíselnou
		 *      hodnotou, ktorú zadal používateľ, alebo {@code valnull} ak
		 *      používateľ dialóg zrušil alebo zadal reťazec, ktorý
		 *      nebolo možné previesť na reálne číslo
		 *  @see #čítajReťazec(String)
		 *  @see #čítajReťazec(String, String)
		 *  @see #čítajHeslo(String)
		 *  @see #čítajHeslo(String, String)
		 *  @see #čítajCeléČíslo(String)
		 *  @see #čítajCeléČíslo(String, String)
		 *  @see #čítajReálneČíslo(String)
		 *  @see #upravReálneČíslo(double, String, String)
		 *  @see #formát
		 */
		public static Double čítajReálneČíslo(String výzva, String titulok)
		{
			Double číslo = null;
			String reťazec = čítajReťazec(výzva, titulok);
			try { číslo = Double.valueOf(filtrujReťazec(reťazec)); }
			catch (Exception e) { vypíšChybovéHlásenia(e); return null; }
			return číslo;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajReálneČíslo(String, String) čítajReálneČíslo}. */
		public static Double citajRealneCislo(String výzva, String titulok)
		{ return čítajReálneČíslo(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajReálneČíslo(String, String) čítajReálneČíslo}. */
		public static Double zadajReálneČíslo(String výzva, String titulok)
		{ return čítajReálneČíslo(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajReálneČíslo(String, String) čítajReálneČíslo}. */
		public static Double zadajRealneCislo(String výzva, String titulok)
		{ return čítajReálneČíslo(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajReálneČíslo(String, String) čítajReálneČíslo}. */
		@Deprecated public static Double načítajReálneČíslo(String výzva, String titulok)
		{ return čítajReálneČíslo(výzva, titulok); }

		/** <a class="alias"></a> Alias pre {@link #čítajReálneČíslo(String, String) čítajReálneČíslo}. */
		@Deprecated public static Double nacitajRealneCislo(String výzva, String titulok)
		{ return čítajReálneČíslo(výzva, titulok); }


		// Úprava údajov cez dialógy

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * úpravu údajov. Funguje podobne ako metóda {@link
		 * #čítajReťazec(String) čítajReťazec}, ibaže vyžaduje zadanie
		 * reťazca určeného na úpravu.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param reťazec reťazec určený na úpravu
		 *  @param výzva text výzvy
		 *  @return objekt {@link java.lang.String String} s textom, ktorý
		 *      používateľ upravil alebo {@code valnull} ak používateľ dialóg
		 *      zrušil
		 *  @see #upravReťazec(String, String, String)
		 *  @see #upravCeléČíslo(long, String)
		 *  @see #upravCeléČíslo(long, String, String)
		 *  @see #upravReálneČíslo(double, String)
		 *  @see #upravReálneČíslo(double, String, String)
		 *  @see #čítajReťazec(String)
		 */
		public static String upravReťazec(String reťazec, String výzva)
		{ return upravReťazec(reťazec, výzva, predvolenýTitulokVstupu); }

		/** <a class="alias"></a> Alias pre {@link #upravReťazec(String, String) upravReťazec}. */
		public static String upravRetazec(String reťazec, String výzva)
		{ return upravReťazec(reťazec, výzva, predvolenýTitulokVstupu); }

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * úpravu údajov. Funguje podobne ako metóda {@link
		 * #čítajReťazec(String, String) čítajReťazec}, ibaže vyžaduje
		 * zadanie reťazca určeného na úpravu.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param reťazec reťazec určený na úpravu
		 *  @param výzva text výzvy
		 *  @param titulok text titulku dialógového okna
		 *  @return objekt {@link java.lang.String String} s textom, ktorý
		 *      používateľ upravil alebo {@code valnull} ak používateľ dialóg
		 *      zrušil
		 *  @see #upravReťazec(String, String)
		 *  @see #upravCeléČíslo(long, String)
		 *  @see #upravCeléČíslo(long, String, String)
		 *  @see #upravReálneČíslo(double, String)
		 *  @see #upravReálneČíslo(double, String, String)
		 *  @see #čítajReťazec(String, String)
		 */
		public static String upravReťazec(String reťazec, String výzva, String titulok)
		{
			Object[] výzvaATextovýRiadok = {výzva, textovýRiadok};
			textovýRiadok.setText(reťazec);

			if (JOptionPane.showOptionDialog(svet, výzvaATextovýRiadok,
				titulok, JOptionPane.YES_NO_OPTION, JOptionPane.PLAIN_MESSAGE,
				null, odpovedeZadania, null) == JOptionPane.YES_OPTION)
				return textovýRiadok.getText();

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #upravReťazec(String, String, String) upravReťazec}. */
		public static String upravRetazec(String reťazec, String výzva, String titulok)
		{ return upravReťazec(reťazec, výzva, titulok); }

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * úpravu údajov (očakávaný je celočíselný údaj). Funguje podobne ako
		 * metóda {@link #čítajCeléČíslo(String) čítajCeléČíslo}, ibaže
		 * vyžaduje zadanie celého čísla určeného na úpravu.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param celéČíslo celé číslo určené na úpravu
		 *  @param výzva text výzvy
		 *  @return objekt {@link Long} s celočíselnou hodnotou, ktorú
		 *      používateľ upravil, alebo {@code valnull} ak používateľ dialóg
		 *      zrušil alebo zadal reťazec, ktorý nebolo možné previesť na
		 *      celé číslo
		 *  @see #upravReťazec(String, String)
		 *  @see #upravReťazec(String, String, String)
		 *  @see #upravCeléČíslo(long, String, String)
		 *  @see #upravReálneČíslo(double, String)
		 *  @see #upravReálneČíslo(double, String, String)
		 *  @see #čítajCeléČíslo(String)
		 *  @see #formát
		 */
		public static Long upravCeléČíslo(long celéČíslo, String výzva)
		{
			Long číslo = null;
			String reťazec = upravReťazec(formát.format(celéČíslo), výzva);
			try { číslo = Long.valueOf(filtrujReťazec(reťazec)); }
			catch (Exception e) { vypíšChybovéHlásenia(e); return null; }
			return číslo;
		}

		/** <a class="alias"></a> Alias pre {@link #upravCeléČíslo(long, String) upravCeléČíslo}. */
		public static Long upravCeleCislo(long celéČíslo, String výzva) { return upravCeléČíslo(celéČíslo, výzva); }

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * úpravu údajov (očakávaný je celočíselný údaj). Funguje podobne ako
		 * metóda {@link #čítajCeléČíslo(String, String) čítajCeléČíslo},
		 * ibaže vyžaduje zadanie celého čísla určeného na úpravu.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param celéČíslo celé číslo určené na úpravu
		 *  @param výzva text výzvy
		 *  @param titulok text titulku dialógového okna
		 *  @return objekt {@link Long} s celočíselnou hodnotou, ktorú
		 *      používateľ upravil, alebo {@code valnull} ak používateľ dialóg
		 *      zrušil alebo zadal reťazec, ktorý nebolo možné previesť na
		 *      celé číslo
		 *  @see #upravReťazec(String, String)
		 *  @see #upravReťazec(String, String, String)
		 *  @see #upravCeléČíslo(long, String)
		 *  @see #upravReálneČíslo(double, String)
		 *  @see #upravReálneČíslo(double, String, String)
		 *  @see #čítajCeléČíslo(String, String)
		 *  @see #formát
		 */
		public static Long upravCeléČíslo(long celéČíslo, String výzva, String titulok)
		{
			Long číslo = null;
			String reťazec = upravReťazec(formát.
				format(celéČíslo), výzva, titulok);
			try { číslo = Long.valueOf(filtrujReťazec(reťazec)); }
			catch (Exception e) { vypíšChybovéHlásenia(e); return null; }
			return číslo;
		}

		/** <a class="alias"></a> Alias pre {@link #upravCeléČíslo(long, String, String) upravCeléČíslo}. */
		public static Long upravCeleCislo(long celéČíslo, String výzva, String titulok)
		{ return upravCeléČíslo(celéČíslo, výzva, titulok); }

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * úpravu údajov (očakávaný je číselný údaj). Funguje podobne ako
		 * metóda {@link #čítajReálneČíslo(String) čítajReálneČíslo},
		 * ibaže vyžaduje zadanie reálneho čísla určeného na úpravu.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param reálneČíslo reálne číslo určené na úpravu
		 *  @param výzva text výzvy
		 *  @return objekt {@link java.lang.Double Double} s celočíselnou
		 *      hodnotou, ktorú používateľ upravil, alebo {@code valnull} ak
		 *      používateľ dialóg zrušil alebo zadal reťazec, ktorý
		 *      nebolo možné previesť na reálne číslo
		 *  @see #upravReťazec(String, String)
		 *  @see #upravReťazec(String, String, String)
		 *  @see #upravCeléČíslo(long, String)
		 *  @see #upravCeléČíslo(long, String, String)
		 *  @see #upravReálneČíslo(double, String, String)
		 *  @see #čítajReálneČíslo(String)
		 *  @see #formát
		 */
		public static Double upravReálneČíslo(double reálneČíslo, String výzva)
		{
			Double číslo = null;
			String reťazec = upravReťazec(formát.format(reálneČíslo), výzva);
			try { číslo = Double.valueOf(filtrujReťazec(reťazec)); }
			catch (Exception e) { vypíšChybovéHlásenia(e); return null; }
			return číslo;
		}

		/** <a class="alias"></a> Alias pre {@link #upravReálneČíslo(double, String) upravReálneČíslo}. */
		public static Double upravRealneCislo(double reálneČíslo, String výzva)
		{ return upravReálneČíslo(reálneČíslo, výzva); }

		/**
		 * Otvorí štandardný dialóg so zadanou výzvou a zadávacím poľom na
		 * úpravu údajov (očakávaný je číselný údaj). Funguje podobne ako
		 * metóda {@link #čítajReálneČíslo(String, String)
		 * čítajReálneČíslo}, ibaže vyžaduje zadanie reálneho čísla
		 * určeného na úpravu.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param reálneČíslo reálne číslo určené na úpravu
		 *  @param výzva text výzvy
		 *  @param titulok text titulku dialógového okna
		 *  @return objekt {@link java.lang.Double Double} s celočíselnou
		 *      hodnotou, ktorú používateľ upravil, alebo {@code valnull} ak
		 *      používateľ dialóg zrušil alebo zadal reťazec, ktorý
		 *      nebolo možné previesť na reálne číslo
		 *  @see #upravReťazec(String, String)
		 *  @see #upravReťazec(String, String, String)
		 *  @see #upravCeléČíslo(long, String)
		 *  @see #upravCeléČíslo(long, String, String)
		 *  @see #upravReálneČíslo(double, String)
		 *  @see #čítajReálneČíslo(String, String)
		 *  @see #formát
		 */
		public static Double upravReálneČíslo(double reálneČíslo, String výzva, String titulok)
		{
			Double číslo = null;
			String reťazec = upravReťazec(formát.
				format(reálneČíslo), výzva, titulok);
			try { číslo = Double.valueOf(filtrujReťazec(reťazec)); }
			catch (Exception e) { vypíšChybovéHlásenia(e); return null; }
			return číslo;
		}

		/** <a class="alias"></a> Alias pre {@link #upravReálneČíslo(double, String, String) upravReálneČíslo}. */
		public static Double upravRealneCislo(double reálneČíslo, String výzva, String titulok)
		{ return upravReálneČíslo(reálneČíslo, výzva, titulok); }


		// Dialógy - správy/otázky

		/**
		 * Zobrazí štandardný dialóg so zadanou textovou správou.
		 *  @param správa  text správy
		 *  @see #správa(String, String)
		 *  @see #otázka(String)
		 *  @see #otázka(String, String)
		 *  @see #otázka(String, Object[])
		 *  @see #otázka(String, String, Object[])
		 *  @see #otázka(String, Object[], int)
		 *  @see #otázka(String, String, Object[], int)
		 */
		public static void správa(String správa)
		{
			JOptionPane.showMessageDialog(svet, správa, "Správa",
				JOptionPane.INFORMATION_MESSAGE);
		}

		/** <a class="alias"></a> Alias pre {@link #správa(String) správa}. */
		public static void sprava(String správa) { správa(správa); }

		/**
		 * Zobrazí štandardný dialóg so zadanou textovou správou.
		 * 
		 *  @param správa   text správy
		 *  @param titulok  text titulku dialógového okna správy
		 * 
		 *  @see #správa(String)
		 *  @see #otázka(String)
		 *  @see #otázka(String, String)
		 *  @see #otázka(String, Object[])
		 *  @see #otázka(String, String, Object[])
		 *  @see #otázka(String, Object[], int)
		 *  @see #otázka(String, String, Object[], int)
		 */
		public static void správa(String správa, String titulok)
		{
			JOptionPane.showMessageDialog(svet, správa, titulok,
				JOptionPane.INFORMATION_MESSAGE);
		}

		/** <a class="alias"></a> Alias pre {@link #správa(String, String) správa}. */
		public static void sprava(String správa, String titulok) { správa(správa, titulok); }


		/**
		 * Zobrazí štandardný dialóg s otázkou na používateľa
		 * (odpoveď používateľ volí stlačením tlačidla).
		 * <P><b>Príklad:</b>
		 * <table><tr><td>
		 * <pre CLASS="example">
			{@code typeint} i = {@link Svet Svet}.{@code currotázka}({@code srg"Dobre?"});
			{@code kwdif} ({@link #ÁNO ÁNO} == i) {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"Odpoveď: áno"});
			{@code kwdif} ({@link #NIE NIE} == i) {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"Odpoveď: nie"});
			{@code kwdif} ({@link #ZAVRETÉ ZAVRETÉ} == i) {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"Nechceš odpovedať…"});
			</pre>
		 * </td><td><table>
		 * <tr><td rowspan="3"><image>otazka1A.png</image></td>
		 * <td><image>otazka2A.png</image></td></tr>
		 * <tr><td><image>otazka3A.png</image></td></tr>
		 * <tr><td><image>otazka4A.png</image></td></tr>
		 * <tr><td colspan="2" style="text-align: center;"><small>Ukážky
		 * možného vzhľadu dialógov a odpovedí<br />zobrazených počas
		 * vykonávania tohto príkladu</small></td></tr>
		 * </table></td></tr></table>
		 * 
		 *  @param otázka    text otázky
		 *  @return  celé číslo označujúce poradové číslo tlačidla zvoleného
		 *      ako odpoveď alebo {@link GRobot#ZAVRETÉ ZAVRETÉ}, keď
		 *      používateľ zavrel dialóg
		 * 
		 *  @see #správa(String)
		 *  @see #správa(String, String)
		 *  @see #otázka(String, String)
		 *  @see #otázka(String, Object[])
		 *  @see #otázka(String, String, Object[])
		 *  @see #otázka(String, Object[], int)
		 *  @see #otázka(String, String, Object[], int)
		 */
		public static int otázka(String otázka)
		{
			return JOptionPane.showOptionDialog(svet, otázka,
				predvolenýTitulokOtázky, JOptionPane.YES_NO_OPTION,
				JOptionPane.QUESTION_MESSAGE, null, odpovedeOtázky,
				odpovedeOtázky[0]);
		}

		/** <a class="alias"></a> Alias pre {@link #otázka(String) otázka}. */
		public static int otazka(String otázka) { return otázka(otázka); }

		/**
		 * Zobrazí štandardný dialóg s otázkou na používateľa
		 * (odpoveď používateľ volí stlačením tlačidla).
		 * <P><b>Príklad:</b>
		 * <table><tr><td>
		 * <pre CLASS="example">
			{@code typeint} i = {@link Svet Svet}.{@code currotázka}({@code srg"Dobre?"}, {@code srg"Otázočka na teba…"});
			{@code kwdif} ({@link #ÁNO ÁNO} == i) {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"Odpoveď: áno"});
			{@code kwdif} ({@link #NIE NIE} == i) {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"Odpoveď: nie"});
			{@code kwdif} ({@link #ZAVRETÉ ZAVRETÉ} == i) {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"Nechceš odpovedať…"});
			</pre>
		 * </td><td><table>
		 * <tr><td rowspan="3"><image>otazka1B.png</image></td>
		 * <td><image>otazka2A.png</image></td></tr>
		 * <tr><td><image>otazka3A.png</image></td></tr>
		 * <tr><td><image>otazka4A.png</image></td></tr>
		 * <tr><td colspan="2" style="text-align: center;"><small>Ukážky
		 * možného vzhľadu dialógov a odpovedí<br />zobrazených počas
		 * vykonávania tohto príkladu</small></td></tr>
		 * </table></td></tr></table>
		 * 
		 *  @param otázka    text otázky
		 *  @param titulok   text titulku okna s otázkou
		 *  @return  celé číslo označujúce poradové číslo tlačidla zvoleného
		 *      ako odpoveď alebo {@link GRobot#ZAVRETÉ ZAVRETÉ}, keď
		 *      používateľ zavrel dialóg
		 * 
		 *  @see #správa(String)
		 *  @see #správa(String, String)
		 *  @see #otázka(String)
		 *  @see #otázka(String, Object[])
		 *  @see #otázka(String, String, Object[])
		 *  @see #otázka(String, Object[], int)
		 *  @see #otázka(String, String, Object[], int)
		 */
		public static int otázka(String otázka, String titulok)
		{
			return JOptionPane.showOptionDialog(svet, otázka, titulok,
				JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE, null,
				odpovedeOtázky, odpovedeOtázky[0]);
		}

		/** <a class="alias"></a> Alias pre {@link #otázka(String, String) otázka}. */
		public static int otazka(String otázka, String titulok) { return otázka(otázka, titulok); }

		/**
		 * Zobrazí štandardný dialóg s otázkou na používateľa
		 * (odpoveď používateľ volí stlačením tlačidla).
		 * <P><b>Príklad:</b>
		 * <table><tr><td>
		 * <pre CLASS="example">
			{@code typeint} i = {@link Svet Svet}.{@code currotázka}({@code srg"Ako?"}, {@code kwdnew} {@link String#String(java.lang.String) String}[]{{@code srg"Zle"}, {@code srg"Dobre"}});
			{@code comm// Spracovanie… Pozri príklad pri:} {@link #otázka(String, String, Object[], int) otázka(otázka, titulok, tlačidlá, predvolenéTlačidlo)}
			</pre>
		 * </td><td><image>otazka1C.png</image>Ukážka
		 * možného vzhľadu dialógu<br />zobrazeného počas
		 * vykonávania tohto príkladu</td></tr></table>
		 * 
		 *  @param otázka    text otázky
		 *  @param tlačidlá  zoznam popisov tlačidiel
		 *  @return  celé číslo označujúce poradové číslo tlačidla zvoleného
		 *      ako odpoveď alebo {@link GRobot#ZAVRETÉ ZAVRETÉ}, keď
		 *      používateľ zavrel dialóg
		 * 
		 *  @see #správa(String)
		 *  @see #správa(String, String)
		 *  @see #otázka(String)
		 *  @see #otázka(String, String)
		 *  @see #otázka(String, String, Object[])
		 *  @see #otázka(String, Object[], int)
		 *  @see #otázka(String, String, Object[], int)
		 */
		public static int otázka(String otázka, Object[] tlačidlá)
		{
			return JOptionPane.showOptionDialog(svet, otázka,
				predvolenýTitulokOtázky, JOptionPane.YES_NO_OPTION,
				JOptionPane.QUESTION_MESSAGE, null, tlačidlá, tlačidlá[0]);
		}

		/** <a class="alias"></a> Alias pre {@link #otázka(String, String, Object[]) otázka}. */
		public static int otazka(String otázka, Object[] tlačidlá) { return otázka(otázka, tlačidlá); }

		/**
		 * Zobrazí štandardný dialóg s otázkou na používateľa
		 * (odpoveď používateľ volí stlačením tlačidla).
		 * <P><b>Príklad:</b>
		 * <table><tr><td>
		 * <pre CLASS="example">
			{@code typeint} i = {@link Svet Svet}.{@code currotázka}({@code srg"Ako?"}, {@code srg"Otázočka na teba…"}, {@code kwdnew} {@link String#String(java.lang.String) String}[]{{@code srg"Zle"}, {@code srg"Dobre"}});
			{@code comm// Spracovanie… Pozri príklad pri:} {@link #otázka(String, String, Object[], int) otázka(otázka, titulok, tlačidlá, predvolenéTlačidlo)}
			</pre>
		 * </td><td><image>otazka1D.png</image>Ukážka
		 * možného vzhľadu dialógu<br />zobrazeného počas
		 * vykonávania tohto príkladu</td></tr></table>
		 * 
		 *  @param otázka    text otázky
		 *  @param titulok   text titulku okna s otázkou
		 *  @param tlačidlá  zoznam popisov tlačidiel
		 *  @return  celé číslo označujúce poradové číslo tlačidla zvoleného
		 *      ako odpoveď alebo {@link GRobot#ZAVRETÉ ZAVRETÉ}, keď
		 *      používateľ zavrel dialóg
		 * 
		 *  @see #správa(String)
		 *  @see #správa(String, String)
		 *  @see #otázka(String)
		 *  @see #otázka(String, String)
		 *  @see #otázka(String, Object[])
		 *  @see #otázka(String, Object[], int)
		 *  @see #otázka(String, String, Object[], int)
		 */
		public static int otázka(String otázka, String titulok, Object[] tlačidlá)
		{
			return JOptionPane.showOptionDialog(svet, otázka, titulok,
				JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE, null,
				tlačidlá, tlačidlá[0]);
		}

		/** <a class="alias"></a> Alias pre {@link #otázka(String, String, Object[]) otázka}. */
		public static int otazka(String otázka, String titulok, Object[] tlačidlá)
		{ return otázka(otázka, titulok, tlačidlá); }

		/**
		 * Zobrazí štandardný dialóg s otázkou na používateľa
		 * (odpoveď používateľ volí stlačením tlačidla).
		 * <P><b>Príklad:</b>
		 * <table><tr><td>
		 * <pre CLASS="example">
			{@code typeint} i = {@link Svet Svet}.{@code currotázka}({@code srg"Ako?"}, {@code kwdnew} {@link String#String(java.lang.String) String}[]{{@code srg"Zle"}, {@code srg"Dobre"}}, {@code num1});
			{@code comm// Spracovanie… Pozri príklad pri:} {@link #otázka(String, String, Object[], int) otázka(otázka, titulok, tlačidlá, predvolenéTlačidlo)}
			</pre>
		 * </td><td><image>otazka1E.png</image>Ukážka
		 * možného vzhľadu dialógu<br />zobrazeného počas
		 * vykonávania tohto príkladu</td></tr></table>
		 * 
		 *  @param otázka    text otázky
		 *  @param tlačidlá  zoznam popisov tlačidiel
		 *  @param predvolenéTlačidlo  poradové číslo predvoleného tlačidla
		 *  @return  celé číslo označujúce poradové číslo tlačidla zvoleného
		 *      ako odpoveď alebo {@link GRobot#ZAVRETÉ ZAVRETÉ}, keď
		 *      používateľ zavrel dialóg
		 * 
		 *  @see #správa(String)
		 *  @see #správa(String, String)
		 *  @see #otázka(String)
		 *  @see #otázka(String, String)
		 *  @see #otázka(String, Object[])
		 *  @see #otázka(String, String, Object[])
		 *  @see #otázka(String, String, Object[], int)
		 */
		public static int otázka(String otázka, Object[] tlačidlá, int predvolenéTlačidlo)
		{
			return JOptionPane.showOptionDialog(svet, otázka,
				predvolenýTitulokOtázky, JOptionPane.YES_NO_OPTION,
				JOptionPane.QUESTION_MESSAGE, null, tlačidlá,
				tlačidlá[predvolenéTlačidlo]);
		}

		/** <a class="alias"></a> Alias pre {@link #otázka(String, Object[], int) otázka}. */
		public static int otazka(String otázka, Object[] tlačidlá, int predvolenéTlačidlo)
		{ return otázka(otázka, tlačidlá, predvolenéTlačidlo); }

		/**
		 * Zobrazí štandardný dialóg s otázkou na používateľa
		 * (odpoveď používateľ volí stlačením tlačidla).
		 * <P><b>Príklad:</b>
		 * <table><tr><td>
		 * <pre CLASS="example">
			{@code typeint} i = {@link Svet Svet}.{@code currotázka}({@code srg"Ako?"}, {@code srg"Otázočka na teba…"}, {@code kwdnew} {@link String#String(java.lang.String) String}[]{{@code srg"Zle"}, {@code srg"Dobre"}}, {@code num1});
			{@code kwdif} (0 == i) {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"Zle, vravíš? Škoda…"});
			{@code kwdif} (1 == i) {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"Dobre, vravíš? Výborne!"});
			{@code kwdif} ({@link #ZAVRETÉ ZAVRETÉ} == i) {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg"Nechceš odpovedať…"});
			</pre>
		 * </td><td><table>
		 * <tr><td><image>otazka1F.png</image></td></tr>
		 * <tr><td><image>otazka2F.png</image></td></tr>
		 * <tr><td><image>otazka3F.png</image></td></tr>
		 * <tr><td><image>otazka4F.png</image></td></tr>
		 * <tr><td style="text-align: center;"><small>Ukážky možného
		 * vzhľadu dialógov a odpovedí<br />zobrazených počas vykonávania
		 * tohto príkladu</small></td></tr>
		 * </table></td></tr></table>
		 * 
		 *  @param otázka    text otázky
		 *  @param titulok   text titulku okna s otázkou
		 *  @param tlačidlá  zoznam popisov tlačidiel
		 *  @param predvolenéTlačidlo  poradové číslo predvoleného tlačidla
		 *  @return  celé číslo označujúce poradové číslo tlačidla zvoleného
		 *      ako odpoveď alebo {@link GRobot#ZAVRETÉ ZAVRETÉ}, keď
		 *      používateľ zavrel dialóg
		 * 
		 *  @see #správa(String)
		 *  @see #správa(String, String)
		 *  @see #otázka(String)
		 *  @see #otázka(String, String)
		 *  @see #otázka(String, Object[])
		 *  @see #otázka(String, String, Object[])
		 *  @see #otázka(String, Object[], int)
		 */
		public static int otázka(String otázka, String titulok, Object[] tlačidlá, int predvolenéTlačidlo)
		{
			return JOptionPane.showOptionDialog(svet, otázka, titulok,
				JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE, null,
				tlačidlá, tlačidlá[predvolenéTlačidlo]);
		}

		/** <a class="alias"></a> Alias pre {@link #otázka(String, String, Object[], int) otázka}. */
		public static int otazka(String otázka, String titulok, Object[] tlačidlá, int predvolenéTlačidlo)
		{ return otázka(otázka, titulok, tlačidlá, predvolenéTlačidlo); }


		/**
		 * Umožňuje overiť aktuálne definované znenie textu tlačidla
		 * konkrétnej odpovede na otázku (pozri napríklad metódu
		 * {@link #otázka(String) otázka}) alebo zadania/zmeny údaju (pozri
		 * napríklad metódu {@link #čítajReťazec(String) čítajReťazec}).
		 * Predvolené znenie textov tlačidiel sa dá zmeniť metódou
		 * {@link #textTlačidla(String, String) textTlačidla(tlačidlo, text)}.
		 * Táto metóda prijíma text, ktorý považuje za univerzálny
		 * identifikátor tlačidla a vráti skutočný text tlačidla.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param tlačidlo musí byť jeden z nasledujúcich predvolených textov:
		 *     {@code srg"áno"}, {@code srg"nie"}, {@code srg"ok"} alebo
		 *     {@code srg"zrušiť"} (na veľkosti písmen nezáleží; knižnica
		 *     prijme aj predvolené texty bez diakritiky, ale v tom prípade
		 *     je potrebné ju vynechať v celom slove)
		 * @return aktuálny text určeného tlačidla alebo {@code valnull} ak je
		 *     hodnota argumentu neplatná
		 */
		public static String textTlačidla(String tlačidlo)
		{
			if (tlačidlo.equalsIgnoreCase("áno") ||
				tlačidlo.equalsIgnoreCase("ano"))
				return (String)odpovedeOtázky[0];
			if (tlačidlo.equalsIgnoreCase("nie"))
				return (String)odpovedeOtázky[1];
			if (tlačidlo.equalsIgnoreCase("ok"))
				return (String)odpovedeZadania[0];
			if (tlačidlo.equalsIgnoreCase("zrušiť") ||
				tlačidlo.equalsIgnoreCase("zrusit"))
				return (String)odpovedeZadania[1];
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #textTlačidla(String) textTlačidla}. */
		public static String textTlacidla(String tlačidlo)
		{ return textTlačidla(tlačidlo); }

		/**
		 * Umožňuje upraviť text tlačidla odpovede na otázku (pozri napríklad
		 * metódu {@link #otázka(String) otázka}) alebo zadania údaju (pozri
		 * napríklad metódu {@link #čítajReťazec(String) čítajReťazec}).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param tlačidlo musí byť jeden z nasledujúcich predvolených textov:
		 *     {@code srg"áno"}, {@code srg"nie"}, {@code srg"ok"} alebo
		 *     {@code srg"zrušiť"} (na veľkosti písmen nezáleží; knižnica
		 *     prijme aj predvolené texty bez diakritiky, ale v tom prípade
		 *     je potrebné ju vynechať v celom slove)
		 * @param text nový text určeného tlačidla (ak je hodnota prvého
		 *     argumentu neplatná, nebude mať volanie tejto metódy žiadny
		 *     efekt)
		 */
		public static void textTlačidla(String tlačidlo, String text)
		{
			if (tlačidlo.equalsIgnoreCase("áno") ||
				tlačidlo.equalsIgnoreCase("ano")) odpovedeOtázky[0] = text;
			else if (tlačidlo.equalsIgnoreCase("nie")) odpovedeOtázky[1] = text;
			else if (tlačidlo.equalsIgnoreCase("ok")) odpovedeZadania[0] = text;
			else if (tlačidlo.equalsIgnoreCase("zrušiť") ||
				tlačidlo.equalsIgnoreCase("zrusit")) odpovedeZadania[1] = text;
		}

		/** <a class="alias"></a> Alias pre {@link #textTlačidla(String, String) textTlačidla}. */
		public static void textTlacidla(String tlačidlo, String text)
		{ textTlačidla(tlačidlo, text); }


		// Úvodná obrazovka

		/**
		 * Zobrazí úvodnú obrazovku so zadaným obrázkom. Úvodná obrazovka
		 * (<em>splash screen</em>) je dekoračný obrázok zobrazovaný počas
		 * inicializácie aplikácie. Má upozorniť používateľa, že aplikácia sa
		 * práve spúšťa a potrebuje čas na svoju úplnú inicializáciu. Volanie
		 * tejto metódy zároveň spôsobí skrytie hlavného okna aplikácie
		 * (sveta), nezabudnite preto po skončení inicializácie použiť metódu
		 * {@link #skryÚvodnúObrazovku() skryÚvodnúObrazovku} na skrytie
		 * úvodnej obrazovky a zobrazenie hlavného okna sveta…
		 * 
		 * <P><small>(<b>Poznámka:</b> Java má vlastný mechanizmus
		 * definovania úvodnej obrazovky ({@link java.awt.SplashScreen}),
		 * avšak takúto úvodnú obrazovku nie je možné vytvoriť programovo,
		 * preto používa knižnica grafického robota svoj vlastný
		 * spôsob.)</small>
		 * 
		 * <P>Obrázok pre túto verziu metódy musíte definovať sami. Nie je
		 * predpísaný spôsob, ale priam sa ponúka využitie triedy {@link
		 * Obrázok Obrázok} a mechanizmu {@linkplain
		 * GRobot#kresliNaObrázok(GRobot.Obrázok) kreslenia na obrázok pomocou
		 * robota}. Treba pri tom zvážiť viacero okolností. Zobrazenie
		 * úvodnej obrazovky je očakávané v čase, keď ešte hlavné okno nie
		 * je zobrazené. V podstate v čase, keď ešte nejestvuje žiadny
		 * robot. Preto, ak chceme používať kreslenie pomocou robota, musíme
		 * jedného na tento účel vytvoriť. Prvý vytvorený robot je zároveň
		 * {@linkplain Svet#hlavnýRobot() hlavný robot} zodpovedný za
		 * vytvorenie a zobrazenie hlavného okna. Preto musíme pred jeho
		 * vytvorením volať metódu {@link Svet Svet}{@code .}{@link
		 * Svet#skry() skry}{@code ()}. Najlepšie je celý kód umiestniť do
		 * hlavnej metódy ({@code main}).
		 * 
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} HlavnáTrieda {@code kwdextends} {@link GRobot GRobot}
			{
				{@code kwdprivate} HlavnáTrieda()
				{
					{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num3.0});
				}

				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
				{
					{@link Svet Svet}.{@link Svet#skry() skry}();

					{@link GRobot GRobot} kreslič = {@code kwdnew} {@link GRobot#GRobot() GRobot}();
					{@link Obrázok Obrázok} obrázok = {@code kwdnew} {@link Obrázok#GRobot.Obrázok(int, int) Obrázok}({@code num300}, {@code num200});
					kreslič.{@link GRobot#kresliNaObrázok(GRobot.Obrázok) kresliNaObrázok}(obrázok);

					{@code comm// Kreslenie}
					obrázok.{@link Obrázok#vyplň(java.awt.Color) vyplň}(svetlošedá);

					{@code comm// Chceli sme orámovať plochu obrázka. Robot pracuje s odlišným}
					{@code comm// súradnicovým priestorom, preto bolo na nájdenie vhodných hodnôt}
					{@code comm// potrebné trochu experimentovať:}
					kreslič.{@link GRobot#skoč(double, double) skoč}(&#45;{@code num0.5}, {@code num0.5});
					kreslič.{@link GRobot#obdĺžnik(double, double) obdĺžnik}({@code num149.5}, {@code num99.5});

					kreslič.{@link GRobot#písmo(Font) písmo}({@code srg"Arial"}, {@code num32});
					kreslič.{@link GRobot#text(String) text}({@code srg"Čakajte…"});

					{@code comm// kreslič.skry(); // ← týmto spôsobom by sme v podstate zamedzili,}
						{@code comm// aby sa inštancia hlavnej triedy stala hlavným robotom (čo}
						{@code comm// by nebolo podľa nášho očakávania) a hlavným robotom by zostal}
						{@code comm// skrytý kreslič; preto urobíme toto:}
					{@link Svet Svet}.{@link Svet#uvoľni(GRobot) uvoľni}(kreslič);

					{@code comm// Zobrazenie}
					{@link Svet Svet}.{@code currzobrazÚvodnúObrazovku}(obrázok);
					{@code kwdnew} HlavnáTrieda();
					{@link Svet Svet}.{@link Svet#skryÚvodnúObrazovku() skryÚvodnúObrazovku}();
				}
			}
			</pre>
		 * 
		 * <P>Vidíme, že tento spôsob prináša určité komplikácie (pozri text
		 * pred príkladom), preto odporúčame obrázok určený na zobrazenie
		 * počas inicializácie uložiť do súboru v niektorom z podporovaných
		 * súborových formátov a použiť ďalšiu verziu metódy
		 * {@code currzobrazÚvodnúObrazovku} prijímajúcu názov súboru:
		 * {@link #zobrazÚvodnúObrazovku(String)
		 * zobrazÚvodnúObrazovku(názovSúboru)}.
		 * 
		 * <P>Vhodný obrázok si môžeme vyrobiť aj sami. Nasledujúci príklad
		 * nahrádza obsah metódy {@code main} predchádzajúceho príkladu.
		 * Využíva obe verzie metódy {@code currzobrazÚvodnúObrazovku}. Ak
		 * súbor s obrázkom jestvuje, zobrazí ho, inak ho najskôr vyrobí
		 * a potom zobrazí jeho vyrobenú verziu uloženú v pamäti:
		 * 
		 * <pre CLASS="example">
			{@code kwdif} ({@link Súbor Súbor}.{@link Súbor#jestvuje(String) jestvuje}({@code srg"môjObrázok.png"}))
				{@link Svet Svet}.{@link Svet#zobrazÚvodnúObrazovku(String) zobrazÚvodnúObrazovku}({@code srg"môjObrázok.png"});
			{@code kwdelse}
			{
				{@link Svet Svet}.{@link Svet#skry() skry}();

				{@link GRobot GRobot} kreslič = {@code kwdnew} {@link GRobot#GRobot() GRobot}();
				{@link Obrázok Obrázok} obrázok = {@code kwdnew} {@link Obrázok#GRobot.Obrázok(int, int) Obrázok}({@code num300}, {@code num200});
				kreslič.{@link GRobot#kresliNaObrázok(GRobot.Obrázok) kresliNaObrázok}(obrázok);

				{@code comm// Kreslenie}
				kreslič.{@link GRobot#farba(int, int, int, int) farba}({@code num199}, {@code num201}, {@code num203}, {@code num9});
				{@code kwdfor} ({@code typedouble} i = {@code num1}; i &gt; {@code num0}; i &#45;= {@code num0.03})
					kreslič.{@link GRobot#vyplňElipsu(double, double) vyplňElipsu}({@code num150.0} * i, {@code num100.0} * i);

				kreslič.{@link GRobot#farba(int, int, int) farba}({@code num99}, {@code num101}, {@code num103});
				kreslič.{@link GRobot#písmo(Font) písmo}({@code srg"Arial"}, {@code num32});
				kreslič.{@link GRobot#text(String) text}({@code srg"Čakajte…"});

				obrázok.{@link Obrázok#ulož(String) ulož}({@code srg"môjObrázok.png"});

				{@code comm// Tento robot bol doteraz hlavným robotom. Aby bolo vykonávanie}
				{@code comm// programu konzistetné v oboch prípadoch – keď obrázok úvodnej}
				{@code comm// obrazovky nejestvuje a keď obrázok už bol vytvorený – odstránime}
				{@code comm// v tejto vetve kresliča z pamäte počítača. Hlavným robotom sa}
				{@code comm// potom stane inštancia triedy HlavnáTrieda – rovnako ako po}
				{@code comm// vykonaní hlavnej vetvy tohto vetvenia.}
				{@code comm// (Poznámka: Nastavenie farby robota na červenú je len}
				{@code comm//  ilustračné – aby bolo vidno, že robot naozaj nejestvuje.)}
				kreslič.{@link GRobot#farba(Color) farba}({@link Farebnosť#červená červená});
				{@link Svet Svet}.{@link Svet#uvoľni(GRobot) uvoľni}(kreslič);

				{@code comm// Zobrazenie}
				{@link Svet Svet}.{@code currzobrazÚvodnúObrazovku}(obrázok);
			}

			{@code kwdnew} HlavnáTrieda();
			{@link Svet Svet}.{@link Svet#skryÚvodnúObrazovku() skryÚvodnúObrazovku}();

			{@code comm// Ak by sme vo vedľajšej vetve vyššie uvedeného vetvenia neodstránili}
			{@code comm// robota kresliča, tak pri prvom spustení (keby ešte nejestvoval}
			{@code comm// obrázok) by sa nasledujúca kružnica nenakreslila a pod robotom}
			{@code comm// inštancie HlavnáTrieda by bolo vidno (aspoň presvitajúc) ďalšieho}
			{@code comm// červeného robota. Kružnica by sa v skutočnosti nakreslila –}
			{@code comm// červenou farbou, ale do inštancie obrázok, do ktorej má kreslič}
			{@code comm// presmerované kreslenie. (Obrázok je v tom čase už uložený, takže}
			{@code comm// v ňom by ste ju nenašli.) Pri každom ďalšom spustení by sa}
			{@code comm// nakreslila kružnica inštanciou triedy HlavnáTrieda (predvolene}
			{@code comm// čiernou farbou). Uvoľnenie kresliča z pamäte túto nekonzistenciu}
			{@code comm// odstraňuje.}
			{@link Svet Svet}.{@link Svet#hlavnýRobot() hlavnýRobot}().{@link GRobot#kružnica(double) kružnica}({@code num50});
			</pre>
		 * 
		 * <P>O niečo zdokonalenú verziu môžete vidieť na nasledujúcom
		 * obrázku:
		 * 
		 * <image>uvodnaObrazovka1.png</image>{@code uvodnaObrazovka1.png}
		 * 
		 * <P>Obrázok je pre demonštráciu polopriehľadný. Zobrazenie
		 * priehľadnosti okna závisí od platformy a verzie Javy.
		 * 
		 * <P><b>Upozornenie:</b> Robota kresliča síce odstránime z pamäti
		 * počítača, svet sa však už zrušiť nedá. Rovnako platí, že svet
		 * je vytvorený i pri vykonaní príkazu
		 * {@link Svet#zobrazÚvodnúObrazovku(String)
		 * zobrazÚvodnúObrazovku(názovSúboru)}. Z týchto dôvodov nie je
		 * možné po použití príkazov na zobrazenie úvodnej obrazovky
		 * použiť v konštruktore hlavnej triedy príkaz {@code valsuper}
		 * na nastavenie rozmerov plátna. Program by sa zrútil so vznikom
		 * výnimky „Svet už jestvuje!“ Dá sa však použiť príkaz
		 * {@link #zmeňRozmeryPlátien(int, int) zmeňRozmeryPlátien}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param obrázok objekt obrázka; môže byť použitý aj objekt
		 *     typu {@link Obrázok Obrázok}
		 *  @see #zobrazÚvodnúObrazovku(String)
		 *  @see #skryÚvodnúObrazovku()
		 */
		public static void zobrazÚvodnúObrazovku(Image obrázok)
		{
			final Image úvodnýObrázok = obrázok;

			if (null == úvodnáObrazovka)
			{
				úvodnáObrazovka = new JWindow()
				{ @Override public void paint(java.awt.Graphics g)
				{ g.drawImage(úvodnýObrázok, 0, 0, null); }};

				úvodnáObrazovka.setBackground(new Color(0, 0, 0, 0));

				// https://docs.oracle.com/javase/tutorial/uiswing/misc/trans_shaped_windows.html
				// com.sun.awt.AWTUtilities.setWindowOpaque(
				//	úvodnáObrazovka, false);

				úvodnáObrazovka.getContentPane().setCursor(
					Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR));
			}

			úvodnáObrazovka.setSize(
				úvodnýObrázok.getWidth(null),
				úvodnýObrázok.getHeight(null));
			úvodnáObrazovka.setLocationRelativeTo(null);
			úvodnáObrazovka.setVisible(true);
			skry();
		}

		/** <a class="alias"></a> Alias pre {@link #zobrazÚvodnúObrazovku(Image) zobrazÚvodnúObrazovku}. */
		public static void zobrazUvodnuObrazovku(Image úvodnýObrázok)
		{ zobrazÚvodnúObrazovku(úvodnýObrázok); }

		/**
		 * Zobrazí úvodnú obrazovku so zadaným obrázkom prečítaným zo súboru.
		 * Úvodná obrazovka (<em>splash screen</em>) je dekoračný obrázok
		 * zobrazovaný počas inicializácie aplikácie. Má upozorniť
		 * používateľa, že aplikácia sa práve spúšťa a potrebuje čas na svoju
		 * úplnú inicializáciu. Volanie tejto metódy zároveň spôsobí skrytie
		 * hlavného okna aplikácie (sveta), nezabudnite preto po skončení
		 * inicializácie použiť metódu {@link #skryÚvodnúObrazovku()
		 * skryÚvodnúObrazovku} na skrytie úvodnej obrazovky a zobrazenie
		 * hlavného okna sveta…
		 * 
		 * <P><small>(<b>Poznámka:</b> Java má vlastný mechanizmus
		 * definovania úvodnej obrazovky ({@link java.awt.SplashScreen}),
		 * avšak takúto úvodnú obrazovku nie je možné vytvoriť programovo,
		 * preto používa knižnica grafického robota svoj vlastný
		 * spôsob.)</small>
		 * 
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} HlavnáTrieda {@code kwdextends} {@link GRobot GRobot}
			{
				{@code kwdprivate} HlavnáTrieda()
				{
					{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});
				}

				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
				{
					{@link Svet Svet}.{@code currzobrazÚvodnúObrazovku}({@code srg"môjObrázok.png"});
					{@code kwdnew} HlavnáTrieda();
					{@link Svet Svet}.{@link Svet#skryÚvodnúObrazovku() skryÚvodnúObrazovku}();
				}
			}
			</pre>
		 * 
		 * <P><b>Upozornenie:</b> Vykonanie tohto príkazu má za následok
		 * inicializáciu sveta. Z toho dôvodu nie je možné po jeho použití
		 * použiť v konštruktore hlavnej triedy príkaz {@code valsuper}
		 * na nastavenie rozmerov plátna. Program by sa zrútil so vznikom
		 * výnimky „Svet už jestvuje!“ Dá sa však použiť príkaz
		 * {@link #zmeňRozmeryPlátien(int, int) zmeňRozmeryPlátien}.
		 * 
		 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param názovSúboru názov súboru s obrázkom (prípona súboru musí
		 *      byť {@code .gif}, {@code .png} alebo {@code .jpg} <small>(resp.
		 *      {@code .jpeg})</small>)
		 *  @see #zobrazÚvodnúObrazovku(Image)
		 *  @see #skryÚvodnúObrazovku()
		 *  @see Svet#priečinokObrázkov(String)
		 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 */
		public static void zobrazÚvodnúObrazovku(String názovSúboru)
		{
			// Na platforme macOS (predtým OS X a Mac OS; na Windows to
			// funguje stále) je táto metóda veľmi citlivá pri práci
			// s transparentnými obrázkami. Nedokážem prísť na to, prečo.
			// Príliš mnoho záhad…
			//
			// „Nekonečným“ experimentovaním som prišiel na to, že nasledujúca
			// šialená kombinácia príkazov nepochopiteľne funguje a to len
			// spolu. Ak je niektorý z nich vynechaný, tak to jednoducho
			// nefunguje a absolútne nerozumiem príčinám:

				Svet.skry();
				inicializujGrafiku();
				zobrazÚvodnúObrazovku(Obrázok.čítaj(názovSúboru));
				// zobrazÚvodnúObrazovku(súborNaObrázok(názovSúboru));

			//
			// Výsledky pátrania:
			// ------------------
			//
			//  1. Keď vynechám volanie „Svet.skry();“, tak to má za následok
			//     len to, že hlavné okno sa pred zobrazením úvodnej obrazovky
			//     na chvíľu zobrazí. Už to dokáže rozhodiť kreslenie úvodnej
			//     obrazovky natoľko, aby zlikvidovala priehľadnosť
			//     v zobrazovanom obrázku.
			//  2. Z metódy „inicializujGrafiku()“ som skopíroval všetko do
			//     tejto metódy a postupne som vymazával jednotlivé príkazy
			//     (samozrejme, že som to tak vo finále nemohol nechať, preto
			//     je tu radšej volanie metódy inicializujGrafiku). Našiel som
			//     nasledujúcu šialenú kombináciu príkazov, ktoré majú priamy
			//     vplyv na to, či táto metóda funguje:
			//
			//         inicializované = true;
			//
			//         panelVstupnéhoRiadka.add(popisVstupnéhoRiadka);
			//         svet.add(panelVstupnéhoRiadka, BorderLayout.SOUTH);
			//
			//         svet.setJMenuBar(vytvorHlavnúPonuku());
			//         svet.pack();
			//         svet.setSize(počiatočnáŠírka, počiatočnáVýška);
			//         svet.setLocation(počiatočnéX, počiatočnéY);
			//
			//     Vymazaním jediného z nich sa funkčnosť tejto metódy stratí
			//     (toľko opätovných kompilácií v takom krátkom časovom úseku
			//     som ešte nerobil – pekne to zahrialo celý stroj).
			//  3. Posledné dva riadky z jadra tejto metódy obsahujúce
			//     volania metódy „zobrazÚvodnúObrazovku“ (jedno z nich je
			//     v komentári) by mali byť vzájomne ekvivaletné… Evidentne
			//     to tak nie je…
			//
			// Človek by si myslel, že keď príde tak ďaleko, tak odhalí koreň
			// toho všetkého, ale rezignoval som. Ktovie aké skryté
			// inicializačné procesy spôsobia, že to celé nakoniec funguje?
			// Veď už len príkazy setSize, setLocation alebo pack by na to
			// nemali mať absolútne žiadny vplyv. Celé to je šialené.
		}

		/** <a class="alias"></a> Alias pre {@link #zobrazÚvodnúObrazovku(String) zobrazÚvodnúObrazovku}. */
		public static void zobrazUvodnuObrazovku(String názovSúboru)
		{ zobrazÚvodnúObrazovku(názovSúboru); }

		/**
		 * Skryje úvodnú obrazovku a zobrazí hlavné okno aplikácie. Viac
		 * informácií nájdete v opisoch metód {@link
		 * #zobrazÚvodnúObrazovku(Image) zobrazÚvodnúObrazovku(obrázok)}
		 * a {@link #zobrazÚvodnúObrazovku(String)
		 * zobrazÚvodnúObrazovku(názovSúboru)}…
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #zobrazÚvodnúObrazovku(Image)
		 * @see #zobrazÚvodnúObrazovku(String)
		 */
		public static void skryÚvodnúObrazovku()
		{
			if (null != úvodnáObrazovka)
				úvodnáObrazovka.setVisible(false);
			zobraz();
		}

		/** <a class="alias"></a> Alias pre {@link #skryÚvodnúObrazovku() skryÚvodnúObrazovku}. */
		public static void skryUvodnuObrazovku() { skryÚvodnúObrazovku(); }



		// Vstupný riadok

		/**
		 * Zobrazí vstupný riadok v spodnej časti okna. Aplikácia pokračuje
		 * v činnosti. Ak bol vstupný riadok zobrazený (t. j. už prebieha
		 * iný vstup), metóda sa predčasne ukončí a vráti {@code valfalse}.
		 * Riadok je možné zrušiť klávesom {@code Escape} alebo potvrdiť
		 * klávesom {@code Enter}. Ak bola použitá metóda {@link
		 * #neskrývajVstupnýRiadok() neskrývajVstupnýRiadok}, kláves
		 * {@code Escape} iba vymaže obsah vstupného riadka, ale neskryje
		 * ho. Po potvrdení vstupu klávesom {@code Enter} aplikácia vyvolá
		 * metódu počúvadla {@link ObsluhaUdalostí#potvrdenieÚdajov()
		 * potvrdenieÚdajov}. V nej môže programátor získať zadané údaje
		 * metódami
		 * {@link Svet#prevezmiReťazec() prevezmiReťazec},
		 * {@link Svet#prevezmiCeléČíslo() prevezmiCeléČíslo} alebo
		 * {@link Svet#prevezmiReálneČíslo() prevezmiReálneČíslo}.
		 * V prípade, že potvrdené údaje nie sú v správnom tvare (platí pre
		 * celé alebo reálne číslo), vrátia metódy {@link
		 * Svet#prevezmiCeléČíslo() prevezmiCeléČíslo} a {@link
		 * Svet#prevezmiReálneČíslo() prevezmiReálneČíslo} hodnotu {@code
		 * valnull}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Táto metóda je použitá v príklade „Hra
		 * na ozvenu“, ktorý sa nachádza v {@linkplain Svet úvode
		 * dokumentácie tejto triedy}…)</small>
		 * 
		 *  @return {@code valtrue} ak bol pred volaním metódy vstupný riadok
		 *      skrytý, {@code valfalse} ak bol vstupný riadok zobrazený (čiže
		 *      ak vstup už prebieha)
		 * 
		 *  @see #začniVstup(String)
		 *  @see #potvrďVstup()
		 *  @see #zrušVstup()
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #vstupnýRiadok()
		 *  @see #prevezmiReťazec()
		 */
		public static boolean začniVstup()
		{
			if (panelVstupnéhoRiadka.isVisible()) return false;
			panelVstupnéhoRiadka.setVisible(true);
			popisVstupnéhoRiadka.setVisible(false);
			vstupnýRiadok.setText("");
			vstupnýRiadok.requestFocus();
			// údajeVstupnéhoRiadka.setLength(0);
			automatickéPrekreslenie();
			return true;
		}

		/** <a class="alias"></a> Alias pre {@link #začniVstup() začniVstup}. */
		public static boolean zacniVstup() { return začniVstup(); }

		/**
		 * Funguje rovnako ako {@link #začniVstup()}, s tým rozdielom, že pred
		 * vstupným riadkom je zobrazená návesť s výzvou.
		 * 
		 *  @param výzva text výzvy zobrazenej vo forme náveste pred vstupným
		 *      riadkom
		 *  @return {@code valtrue} ak bol pred volaním metódy vstupný riadok
		 *      skrytý, {@code valfalse} ak bol vstupný riadok zobrazený (čiže
		 *      ak už vstup prebieha)
		 * 
		 *  @see #začniVstup()
		 *  @see #potvrďVstup()
		 *  @see #zrušVstup()
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #vstupnýRiadok()
		 *  @see #prevezmiReťazec()
		 */
		public static boolean začniVstup(String výzva)
		{
			if (panelVstupnéhoRiadka.isVisible()) return false;
			panelVstupnéhoRiadka.setVisible(true);
			popisVstupnéhoRiadka.setVisible(true);
			popisVstupnéhoRiadka.setText(výzva);
			vstupnýRiadok.setText("");
			vstupnýRiadok.requestFocus();
			automatickéPrekreslenie();
			return true;
		}

		/** <a class="alias"></a> Alias pre {@link #začniVstup(String) začniVstup}. */
		public static boolean zacniVstup(String výzva) { return začniVstup(výzva); }

		/**
		 * Vykoná pre vstupný riadok rovnakú akciu ako pri stlačení klávesu
		 * {@code Enter}.
		 * 
		 *  @see #začniVstup()
		 *  @see #začniVstup(String)
		 *  @see #zrušVstup()
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #vstupnýRiadok()
		 *  @see #prevezmiReťazec()
		 */
		public static void potvrďVstup() { GRobot.potvrďVstup(); }

		/** <a class="alias"></a> Alias pre {@link #potvrďVstup() potvrďVstup}. */
		public static void potvrdVstup() { GRobot.potvrďVstup(); }

		/**
		 * Vykoná pre vstupný riadok rovnakú akciu ako pri stlačení klávesu
		 * {@code Escape}.
		 * 
		 *  @see #začniVstup()
		 *  @see #začniVstup(String)
		 *  @see #potvrďVstup()
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #vstupnýRiadok()
		 *  @see #prevezmiReťazec()
		 */
		public static void zrušVstup() { GRobot.zrušVstup(); }

		/** <a class="alias"></a> Alias pre {@link #zrušVstup() zrušVstup}. */
		public static void zrusVstup() { GRobot.zrušVstup(); }


		/**
		 * Overí, či je zobrazený panel vstupného riadka.
		 * @return {@code valtrue} – áno; {@code valfalse} – nie
		 * 
		 *  @see #neskrývajVstupnýRiadok()
		 *  @see #neskrývajVstupnýRiadok(boolean)
		 *  @see #skrývajVstupnýRiadok()
		 *  @see #skrývajVstupnýRiadok(boolean)
		 *  @see #aktivujVstupnýRiadok()
		 *  @see #začniVstup()
		 *  @see #vstupnýRiadok()
		 *  @see #prevezmiReťazec()
		 */
		public static boolean vstupnýRiadokZobrazený() { return panelVstupnéhoRiadka.isVisible(); }

		/** <a class="alias"></a> Alias pre {@link #vstupnýRiadokZobrazený() vstupnýRiadokZobrazený}. */
		public static boolean vstupnyRiadokZobrazeny() { return panelVstupnéhoRiadka.isVisible(); }

		/**
		 * Prikáže vstupnému riadku, aby sa neskrýval po potvrdení klávesom
		 * {@code Enter}. Ak je v čase spustenia tejto metódy skrytý, je ho
		 * potrebné zobraziť metódou {@link #začniVstup() začniVstup} alebo
		 * použiť alternatívnu metódu {@link
		 * #neskrývajVstupnýRiadok(boolean)}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Táto metóda je použitá v príklade „Hra
		 * na ozvenu“, ktorý sa nachádza v {@linkplain Svet úvode
		 * dokumentácie tejto triedy}…)</small>
		 * 
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #neskrývajVstupnýRiadok(boolean)
		 *  @see #skrývajVstupnýRiadok()
		 *  @see #skrývajVstupnýRiadok(boolean)
		 *  @see #aktivujVstupnýRiadok()
		 *  @see #začniVstup()
		 *  @see #vstupnýRiadok()
		 *  @see #prevezmiReťazec()
		 */
		public static void neskrývajVstupnýRiadok()
		{ vstupnýRiadokStáleViditeľný = true; }

		/** <a class="alias"></a> Alias pre {@link #neskrývajVstupnýRiadok() neskrývajVstupnýRiadok}. */
		public static void neskryvajVstupnyRiadok() { neskrývajVstupnýRiadok(); }

		/**
		 * Prikáže vstupnému riadku, aby sa neskrýval po potvrdení klávesom
		 * {@code Enter}. Táto metóda je alternatívou metódy {@link
		 * #neskrývajVstupnýRiadok() neskrývajVstupnýRiadok}, pričom
		 * poskytuje rozšírenú funkcionalitu opísanú nižšie…
		 * 
		 *  @param začniVstup ak je {@code valtrue}, vykoná sa zároveň metóda
		 *      {@link #začniVstup() začniVstup}; ak je {@code valfalse},
		 *      vstupný riadok zostane v pôvodnom stave
		 *  @return ak je parameter {@code začniVstup} {@code valtrue}, tak
		 *      návratová hodnota je návratovou hodnotou metódy {@link
		 *      #začniVstup() začniVstup}; ak je parameter {@code začniVstup}
		 *      {@code valfalse}, tak návratová hodnota je {@code valtrue} ak
		 *      je vstupný riadok zobrazený a {@code valfalse} v opačnom
		 *      prípade
		 * 
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #neskrývajVstupnýRiadok()
		 *  @see #skrývajVstupnýRiadok()
		 *  @see #skrývajVstupnýRiadok(boolean)
		 *  @see #aktivujVstupnýRiadok()
		 *  @see #začniVstup()
		 *  @see #vstupnýRiadok()
		 *  @see #prevezmiReťazec()
		 */
		public static boolean neskrývajVstupnýRiadok(boolean začniVstup)
		{
			vstupnýRiadokStáleViditeľný = true;
			if (začniVstup) return začniVstup();
			return panelVstupnéhoRiadka.isVisible();
		}

		/** <a class="alias"></a> Alias pre {@link #neskrývajVstupnýRiadok(boolean) neskrývajVstupnýRiadok}. */
		public static boolean neskryvajVstupnyRiadok(boolean začniVstup)
		{ return neskrývajVstupnýRiadok(začniVstup); }

		/**
		 * Umožní vstupnému riadku, aby sa skryl po potvrdení klávesom
		 * {@code Enter} alebo po zrušení vstupu klávesom {@code Escape}.
		 * Toto je predvolené správanie vstupného riadka.
		 * 
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #neskrývajVstupnýRiadok()
		 *  @see #neskrývajVstupnýRiadok(boolean)
		 *  @see #skrývajVstupnýRiadok(boolean)
		 *  @see #aktivujVstupnýRiadok()
		 *  @see #začniVstup()
		 *  @see #vstupnýRiadok()
		 *  @see #prevezmiReťazec()
		 */
		public static void skrývajVstupnýRiadok()
		{
			vstupnýRiadokStáleViditeľný = false;
		}

		/** <a class="alias"></a> Alias pre {@link #skrývajVstupnýRiadok() skrývajVstupnýRiadok}. */
		public static void skryvajVstupnyRiadok() { skrývajVstupnýRiadok(); }

		/**
		 * Umožní vstupnému riadku, aby sa skryl po potvrdení klávesom
		 * {@code Enter} alebo po zrušení vstupu klávesom {@code Escape}.
		 * Toto je predvolené správanie vstupného riadka. Táto metóda je
		 * alternatívou metódy {@link #skrývajVstupnýRiadok()
		 * skrývajVstupnýRiadok}, pričom poskytuje rozšírenú funkcionalitu
		 * opísanú nižšie…
		 * 
		 *  @param zrušVstup ak je {@code valtrue}, vykoná sa zároveň metóda
		 *      {@link #zrušVstup() zrušVstup}; ak je {@code valfalse},
		 *      vstupný riadok zostane v pôvodnom stave
		 * 
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #neskrývajVstupnýRiadok()
		 *  @see #neskrývajVstupnýRiadok(boolean)
		 *  @see #skrývajVstupnýRiadok()
		 *  @see #aktivujVstupnýRiadok()
		 *  @see #začniVstup()
		 *  @see #vstupnýRiadok()
		 *  @see #prevezmiReťazec()
		 */
		public static void skrývajVstupnýRiadok(boolean zrušVstup)
		{
			vstupnýRiadokStáleViditeľný = false;
			if (zrušVstup) zrušVstup();
		}

		/** <a class="alias"></a> Alias pre {@link #skrývajVstupnýRiadok(boolean) skrývajVstupnýRiadok}. */
		public static void skryvajVstupnyRiadok(boolean zrušVstup)
		{ skrývajVstupnýRiadok(zrušVstup); }

		/**
		 * V prípade, že vstupný riadok je stále viditeľný, môžeme do neho
		 * touto metódou presmerovať vstup – v riadku sa aktivuje blikajúci
		 * kurzor.
		 * 
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #neskrývajVstupnýRiadok()
		 *  @see #neskrývajVstupnýRiadok(boolean)
		 *  @see #skrývajVstupnýRiadok()
		 *  @see #skrývajVstupnýRiadok(boolean)
		 *  @see #začniVstup()
		 *  @see #vstupnýRiadok()
		 *  @see #prevezmiReťazec()
		 */
		public static void aktivujVstupnýRiadok()
		{
			vstupnýRiadok.requestFocus();
		}

		/** <a class="alias"></a> Alias pre {@link #aktivujVstupnýRiadok() aktivujVstupnýRiadok}. */
		public static void aktivujVstupnyRiadok() { aktivujVstupnýRiadok(); }


		/**
		 * Vráti komponent vstupného riadka, aby s ním mohlo byť manipulované
		 * na nižšej úrovni (úrovni bližšej k systému).
		 * @return objekt typu {@link JTextField JTextField}
		 *   reprezentujúci vstupný riadok
		 * 
		 * @see #popisVstupnéhoRiadka()
		 * @see #popisVstupnéhoRiadka(String)
		 * @see #textVstupnéhoRiadka()
		 * @see #textVstupnéhoRiadka(String)
		 * @see #pripojTextVstupnéhoRiadka(String)
		 * @see #začniVstup()
		 * @see #vstupnýRiadokZobrazený()
		 * @see #prevezmiReťazec()
		 */
		public static JTextField vstupnýRiadok() { return vstupnýRiadok; }

		/** <a class="alias"></a> Alias pre {@link #vstupnýRiadok() vstupnýRiadok}. */
		public static JTextField vstupnyRiadok() { return vstupnýRiadok; }

		/**
		 * <a class="getter"></a> Získa text popisu vstupného riadka. Ak je popis
		 * vstupného riadka skrytý, metóda vráti hodnotu {@code valnull}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return aktuálny text popisu vstupného riadka alebo {@code valnull}
		 * 
		 * @see #vstupnýRiadok()
		 * @see #popisVstupnéhoRiadka(String)
		 * @see #textVstupnéhoRiadka()
		 * @see #textVstupnéhoRiadka(String)
		 * @see #pripojTextVstupnéhoRiadka(String)
		 * @see #začniVstup()
		 * @see #vstupnýRiadokZobrazený()
		 * @see #prevezmiReťazec()
		 */
		public static String popisVstupnéhoRiadka()
		{
			if (!popisVstupnéhoRiadka.isVisible()) return null;
			return popisVstupnéhoRiadka.getText();
		}

		/** <a class="alias"></a> Alias pre {@link #popisVstupnéhoRiadka() popisVstupnéhoRiadka}. */
		public static String popisVstupnehoRiadka() { return popisVstupnehoRiadka(); }

		/**
		 * <a class="setter"></a> Nastaví text popisu vstupného riadka. Ak bola na
		 * zobrazenie vstupného riadka použitá metóda bez určenia výzvy
		 * ({@link #začniVstup()}), popis bude po volaní tejto metódy
		 * zobrazený. Ak je táto metóda volaná s argumentom {@code valnull},
		 * popis bude skrytý.
		 * @param výzva nový text popisu vstupného riadka
		 * 
		 * @see #vstupnýRiadok()
		 * @see #popisVstupnéhoRiadka()
		 * @see #textVstupnéhoRiadka()
		 * @see #textVstupnéhoRiadka(String)
		 * @see #pripojTextVstupnéhoRiadka(String)
		 * @see #začniVstup()
		 * @see #vstupnýRiadokZobrazený()
		 * @see #prevezmiReťazec()
		 */
		public static void popisVstupnéhoRiadka(String výzva)
		{
			if (null == výzva)
			{
				popisVstupnéhoRiadka.setVisible(false);
			}
			else
			{
				popisVstupnéhoRiadka.setVisible(true);
				popisVstupnéhoRiadka.setText(výzva);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #popisVstupnéhoRiadka(String) popisVstupnéhoRiadka}. */
		public static void popisVstupnehoRiadka(String výzva) { popisVstupnéhoRiadka(výzva); }

		/**
		 * <a class="getter"></a> Získa text aktuálne zadaný do vstupného riadka. Touto
		 * metódou je možné overiť obsah vstupného riadka ešte pred jeho
		 * potvrdením klávesom {@code Enter}.
		 * @return aktuálny text vstupného riadka
		 * 
		 * @see #vstupnýRiadok()
		 * @see #popisVstupnéhoRiadka()
		 * @see #popisVstupnéhoRiadka(String)
		 * @see #textVstupnéhoRiadka(String)
		 * @see #pripojTextVstupnéhoRiadka(String)
		 * @see #začniVstup()
		 * @see #vstupnýRiadokZobrazený()
		 * @see #prevezmiReťazec()
		 */
		public static String textVstupnéhoRiadka() { return vstupnýRiadok.getText(); }

		/** <a class="alias"></a> Alias pre {@link #textVstupnéhoRiadka() textVstupnéhoRiadka}. */
		public static String textVstupnehoRiadka() { return vstupnýRiadok.getText(); }

		/**
		 * <a class="setter"></a> Nastaví text vstupného riadka na zadanú hodnotu. Pozor,
		 * metóda {@link #začniVstup()} vždy pred zobrazením panela so
		 * vstupným riadkom vyčistí vstupný riadok (vymaže jeho obsah).
		 * @param text nový text vstupného riadka
		 * 
		 * @see #vstupnýRiadok()
		 * @see #popisVstupnéhoRiadka()
		 * @see #popisVstupnéhoRiadka(String)
		 * @see #textVstupnéhoRiadka()
		 * @see #pripojTextVstupnéhoRiadka(String)
		 * @see #začniVstup()
		 * @see #vstupnýRiadokZobrazený()
		 * @see #prevezmiReťazec()
		 */
		public static void textVstupnéhoRiadka(String text) { vstupnýRiadok.setText(text); }

		/** <a class="alias"></a> Alias pre {@link #textVstupnéhoRiadka(String) textVstupnéhoRiadka}. */
		public static void textVstupnehoRiadka(String text) { vstupnýRiadok.setText(text); }

		/**
		 * Pripojí zadaný text na koniec vstupného riadka. Volanie metódy má
		 * význam len keď je vstupný riadok {@linkplain #začniVstup()
		 * zobrazený}.
		 *  @param naPripojenie text na pripojenie
		 * 
		 * @see #vstupnýRiadok()
		 * @see #popisVstupnéhoRiadka()
		 * @see #popisVstupnéhoRiadka(String)
		 * @see #textVstupnéhoRiadka()
		 * @see #textVstupnéhoRiadka(String)
		 * @see #začniVstup()
		 * @see #vstupnýRiadokZobrazený()
		 * @see #prevezmiReťazec()
		 */
		public static void pripojTextVstupnéhoRiadka(String naPripojenie)
		{
			String textVstupnéhoRiadka = vstupnýRiadok.getText();
			vstupnýRiadok.setText(textVstupnéhoRiadka + naPripojenie);
		}

		/** <a class="alias"></a> Alias pre {@link #pripojTextVstupnéhoRiadka(String) pripojTextVstupnéhoRiadka}. */
		public static void pripojTextVstupnehoRiadka(String naPripojenie)
		{ pripojTextVstupnéhoRiadka(naPripojenie); }

		/**
		 * Vráti reťazec zadaný do vstupného riadka po potvrdení klávesom
		 * {@code Enter}. Vstup pomocou vstupného riadka sa zahajuje metódou
		 * {@link #začniVstup() začniVstup}.
		 * 
		 *  @return objekt typu {@link java.lang.String String} obsahujúci
		 *      text zadaný používateľom
		 * 
		 *  @see #prevezmiZrušenéÚdaje()
		 *  @see #prevezmiCeléČíslo()
		 *  @see #prevezmiReálneČíslo()
		 *  @see #začniVstup()
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #vstupnýRiadok()
		 */
		public static String prevezmiReťazec() { return údajeVstupnéhoRiadka.toString(); }

		/** <a class="alias"></a> Alias pre {@link #prevezmiReťazec() prevezmiReťazec}. */
		public static String prevezmiRetazec() { return údajeVstupnéhoRiadka.toString(); }

		/**
		 * Vráti reťazec, ktorý obsahoval vstupný riadok tesne pred zrušením
		 * klávesom {@code Esc}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return objekt typu {@link java.lang.String String} obsahujúci
		 *      text vstupného riadka pred zrušením
		 * 
		 *  @see #prevezmiReťazec()
		 *  @see #prevezmiCeléČíslo()
		 *  @see #prevezmiReálneČíslo()
		 *  @see #začniVstup()
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #vstupnýRiadok()
		 */
		public static String prevezmiZrušenéÚdaje() { return zrušenéÚdajeVstupnéhoRiadka.toString(); }

		/** <a class="alias"></a> Alias pre {@link #prevezmiZrušenéÚdaje() prevezmiZrušenéÚdaje}. */
		public static String prevezmiZruseneUdaje() { return zrušenéÚdajeVstupnéhoRiadka.toString(); }

		/**
		 * Vráti celé číslo zadané do vstupného riadka po potvrdení klávesom
		 * {@code Enter}. Metóda vráti {@code valnull} v prípade, že do
		 * vstupného riadka nebolo zadané celé číslo. Vstup pomocou
		 * vstupného riadka sa zahajuje metódou {@link #začniVstup()
		 * začniVstup}.
		 * 
		 *  @return objekt typu {@link Long} obsahujúci zadané celé číslo,
		 *      alebo {@code valnull} v prípade chyby
		 * 
		 *  @see #prevezmiReťazec()
		 *  @see #prevezmiReálneČíslo()
		 *  @see #začniVstup()
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #vstupnýRiadok()
		 *  @see #formát
		 */
		public static Long prevezmiCeléČíslo()
		{
			Long číslo = null;
			try { číslo = Long.valueOf(filtrujReťazec(
				údajeVstupnéhoRiadka.toString())); }
			catch (Exception e) { vypíšChybovéHlásenia(e); return null; }
			return číslo;
		}

		/** <a class="alias"></a> Alias pre {@link #prevezmiCeléČíslo() prevezmiCeléČíslo}. */
		public static Long prevezmiCeleCislo() { return prevezmiCeléČíslo(); }

		/**
		 * Vráti reálne číslo zadané do vstupného riadka po potvrdení
		 * klávesom {@code Enter}. Metóda vráti {@code valnull} v prípade,
		 * že do vstupného riadka nebolo zadané reálne číslo. Vstup pomocou
		 * vstupného riadka sa zahajuje metódou {@link #začniVstup()
		 * začniVstup}.
		 * 
		 *  @return objekt typu {@link java.lang.Double Double} obsahujúci
		 *      zadané reálne číslo alebo {@code valnull} v prípade chyby
		 * 
		 *  @see #prevezmiReťazec()
		 *  @see #prevezmiCeléČíslo()
		 *  @see #začniVstup()
		 *  @see #vstupnýRiadokZobrazený()
		 *  @see #vstupnýRiadok()
		 *  @see #formát
		 */
		public static Double prevezmiReálneČíslo()
		{
			Double číslo = null;
			try { číslo = Double.valueOf(filtrujReťazec(
				údajeVstupnéhoRiadka.toString())); }
			catch (Exception e) { vypíšChybovéHlásenia(e); return null; }
			return číslo;
		}

		/** <a class="alias"></a> Alias pre {@link #prevezmiReálneČíslo() prevezmiReálneČíslo}. */
		public static Double prevezmiRealneCislo()
		{ return prevezmiReálneČíslo(); }


		// Interaktívny režim

			// Príznak aktivácie interaktívneho režimu pre svet
			private static boolean interaktívnyRežim = false;

			// Mapy premenných
			private final static TreeMap<String, Double> premenné =
				new TreeMap<String, Double>();
			private final static TreeMap<String, Color> premennéFarby =
				new TreeMap<String, Color>();
			private final static TreeMap<String, Poloha> premennéPolohy =
				new TreeMap<String, Poloha>();
			private final static TreeMap<String, String> premennéReťazce =
				new TreeMap<String, String>();

			// Trieda operácií
			private final static class Operácie
			{
				public static double sčítanie(double a, double b)
				{ return a + b; }
				public static double odčítanie(double a, double b)
				{ return a - b; }
				public static double násobenie(double a, double b)
				{ return a * b; }
				public static double delenie(double a, double b)
				{ return a / b; }
				public static double zvyšok(double a, double b)
				{ return a % b; }
				public static double odseknutie(double a, double b)
				{ return (long)b; }
				public static double zmenaZnamienka(double a, double b)
				{ return -b; }

				public static double zhoda(double a, double b)
				{ return a == b ? 1.0 : 0.0; }
				public static double nezhoda(double a, double b)
				{ return a != b ? 1.0 : 0.0; }
				public static double negácia(double a, double b)
				{ return 0.0 != b ? 0.0 : 1.0; }
				public static double väčší(double a, double b)
				{ return a > b ? 1.0 : 0.0; }
				public static double menší(double a, double b)
				{ return a < b ? 1.0 : 0.0; }
				public static double väčšíRovný(double a, double b)
				{ return a >= b ? 1.0 : 0.0; }
				public static double menšíRovný(double a, double b)
				{ return a <= b ? 1.0 : 0.0; }

				public static double aSúčasne(double a, double b)
				{ return (0.0 != a && 0.0 != b) ? 1.0 : 0.0; }
				public static double alebo(double a, double b)
				{ return (0.0 != a || 0.0 != b) ? 1.0 : 0.0; }
			}

			// Mapa operácií
			private final static TreeMap<String, Method> operácie =
				new TreeMap<String, Method>()
			{
				private void pridaj(String symbol, String metóda)
				{
					try
					{
						put(symbol, Operácie.class.getMethod(metóda,
							double.class, double.class));
					}
					catch (Exception e)
					{
						vypíšChybovéHlásenia(e);
					}
				}

				{
					pridaj("+", "sčítanie");
					pridaj("-", "odčítanie");
					pridaj("*", "násobenie");
					pridaj("/", "delenie");
					pridaj("%", "zvyšok");
					pridaj("_", "odseknutie");
					pridaj("~", "zmenaZnamienka");
					pridaj("==", "zhoda");
					pridaj("!=", "nezhoda");
					pridaj("!", "negácia");
					pridaj(">", "väčší");
					pridaj("<", "menší");
					pridaj(">=", "väčšíRovný");
					pridaj("<=", "menšíRovný");
					pridaj("&&", "aSúčasne");
					pridaj("||", "alebo");
				}
			};

			// Vyhodnocuje reálnočíselné literály alebo názvy premenných
			private static double vyhodnoťReálnyVýraz(String výraz)
			{
				if (výraz.equalsIgnoreCase("true") ||
					výraz.equalsIgnoreCase("áno") ||
					výraz.equalsIgnoreCase("ano") ||
					výraz.equalsIgnoreCase("pravda")) return 1.0;

				if (výraz.equalsIgnoreCase("false") ||
					výraz.equalsIgnoreCase("nie") ||
					výraz.equalsIgnoreCase("lož") ||
					výraz.equalsIgnoreCase("loz")) return 0.0;

				try { return Double.parseDouble(výraz); }
				catch (Exception e) { }
				Double value = premenné.get(výraz.toLowerCase());
				if (null != value) return value;
				return 0.0;
			}

			// Spracúva logické literály, prípadne reálnu číselnú hodnotu,
			// kedy nula je lož, ostatné hodnoty sú pravda
			private static boolean vyhodnoťLogickýVýraz(String výraz)
			{ return 0.0 != vyhodnoťReálnyVýraz(výraz); }

			// Vyhodnocuje farebné literály alebo názvy farebných premenných
			private static Color vyhodnoťFarbu(String výraz, Color predvolená)
			{
				výraz = výraz.toLowerCase();
				try { return (Color)Farebnosť.class.getField(výraz).
				get(null); } catch (Exception e) { }
				Color value = premennéFarby.get(výraz);
				if (null != value) return value;
				return predvolená;
			}

			// Vyhodnocuje názvy polohových premenných
			private static Poloha vyhodnoťPolohu(String výraz,
				Poloha predvolená)
			{
				výraz = výraz.toLowerCase();
				Poloha value = premennéPolohy.get(výraz);
				if (null != value) return value;
				return predvolená;
			}

			// Vyhodnocuje názvy reťazcových premenných
			private static String vyhodnoťReťazec(String výraz,
				String predvolená)
			{
				výraz = výraz.toLowerCase();
				String value = premennéReťazce.get(výraz);
				if (null != value) return value;
				return predvolená;
			}

			// Premapovanie niektorých metód
			private final static TreeMap<String, String> premapovanieMetód =
				new TreeMap<String, String>()
			{{
				put("náhodnéČíslo", "náhodnéReálneČíslo");
				put("nahodneCislo", "náhodnéReálneČíslo");
				put("náhodnéCeléČíslo", "náhodnéReálneČíslo");
				put("nahodneCeleCislo", "náhodnéReálneČíslo");

				put("upravČíslo", "upravReálneČíslo");
				put("upravCislo", "upravReálneČíslo");
				put("upravCeléČíslo", "upravReálneČíslo");
				put("upravCeleCislo", "upravReálneČíslo");

				put("čítajČíslo", "čítajReálneČíslo");
				put("citajCislo", "čítajReálneČíslo");
				put("čítajCeléČíslo", "čítajReálneČíslo");
				put("citajCeleCislo", "čítajReálneČíslo");

				put("zadajČíslo", "čítajReálneČíslo");
				put("zadajCislo", "čítajReálneČíslo");
				put("zadajCeléČíslo", "čítajReálneČíslo");
				put("zadajCeleCislo", "čítajReálneČíslo");
				put("zadajReálneČíslo", "čítajReálneČíslo");
				put("zadajRealneCislo", "čítajReálneČíslo");

				put("načítajČíslo", "čítajReálneČíslo");
				put("nacitajCislo", "čítajReálneČíslo");
				put("načítajCeléČíslo", "čítajReálneČíslo");
				put("nacitajCeleCislo", "čítajReálneČíslo");
				put("načítajReálneČíslo", "čítajReálneČíslo");
				put("nacitajRealneCislo", "čítajReálneČíslo");

				put("zadajReťazec", "čítajReťazec");
				put("zadajRetazec", "čítajReťazec");
				put("zadajHeslo", "čítajHeslo");

				put("načítajReťazec", "čítajReťazec");
				put("nacitajRetazec", "čítajReťazec");
				put("načítajHeslo", "čítajHeslo");
				put("nacitajHeslo", "čítajHeslo");

				put("vypisRiadokNa", "vypíšRiadokNa");
				put("píšRiadokNa", "vypíšRiadokNa");
				put("pisRiadokNa", "vypíšRiadokNa");
				put("píšRiadok", "vypíšRiadok");
				put("pisRiadok", "vypíšRiadok");
				put("vypisNa", "vypíšNa");
				put("píšNa", "vypíšNa");
				put("pisNa", "vypíšNa");
				put("vypis", "vypíš");
				put("píš", "vypíš");
				put("pis", "vypíš");

				put("vp", "vpravo");
				put("vľ", "vľavo");
				put("vl", "vľavo");
				put("do", "dopredu");
				put("vz", "vzad");

				put("ph", "zdvihniPero");
				put("pd", "položPero");
			}};

			private final static Pattern vykonajPríkazTokenizer =
				Pattern.compile(" *, *| +");

			private final static Pattern vykonajSkriptRiadkovač =
				Pattern.compile("\\r?\\n\\r?");

			private final static Pattern ltrim = Pattern.compile("^\\s+");

			private static Method nájdiMetódu(Class<?> trieda,
				String názovMetódy, Class<?>... typyParametrov)
			{
				try
				{
					Method metóda = trieda.getMethod(názovMetódy,
						typyParametrov);
					// System.out.println("+ " + metóda.getName() +
					// 	": " + metóda.getParameterCount());
					return metóda;
				}
				catch (Exception e)
				{
					// V tomto prípade musia byť chybové
					// hlásenia ignorované – metóda s nimi
					// počíta –> určite nejaké vzniknú
					// vypíšChybovéHlásenia(e, false);
				}

				return null;
			}

			private static Object poslednáNávratováHodnota = null;

			private static Object vykonaj(Method metóda, Object obj, Object...
				args) throws IllegalAccessException, IllegalArgumentException,
				InvocationTargetException
			{
				if (ladenie)
				{
					final StringBuffer volanie = new StringBuffer();
					volanie.setLength(0);
					volanie.append(metóda.getName());
					volanie.append('(');
					boolean prvý = true;
					for (Object arg : args)
					{
						if (arg instanceof Object[])
						{
							Object[] subargs = (Object[])arg;
							for (Object subarg : subargs)
							{
								if (prvý) prvý = false;
								else volanie.append(", ");
								if (subarg instanceof CharSequence)
								{
									volanie.append('"');
									volanie.append(subarg.toString());
									volanie.append('"');
								}
								else
									volanie.append(subarg.toString());
							}
						}
						else
						{
							if (prvý) prvý = false; else volanie.append(", ");
							if (arg instanceof CharSequence)
							{
								volanie.append('"');
								volanie.append(arg.toString());
								volanie.append('"');
							}
							else
								volanie.append(arg.toString());
						}
					}
					volanie.append(')');
					String príkaz = volanie.toString();
					if (null != počúvadlo &&
						počúvadlo.ladenie(-1, príkaz, ZABRÁNIŤ_VYKONANIU))
					{
						throw new GRobotException(
							"Vykonanie príkazu bolo zrušené: " + príkaz,
							"commandCancelled", príkaz);
					}
				}
				poslednáNávratováHodnota = metóda.invoke(obj, args);
				return poslednáNávratováHodnota;
			}

			// Implementácia príkazov interaktívneho režimu
			@SuppressWarnings("fallthrough")
			private static boolean vykonajPríkaz(String príkaz,
				Class<?> trieda, Object inštancia)
			{
				final StringBuffer názovMetódy = new StringBuffer();
				String reťazec, slová[];

				int úvodzovky = príkaz.indexOf('"');
				if (-1 != úvodzovky)
				{
					reťazec = príkaz.substring(úvodzovky + 1);
					príkaz = príkaz.substring(0, úvodzovky);
				}
				else reťazec = null;

				slová = vykonajPríkazTokenizer.split(príkaz.trim());
				// for (String s : slová) System.out.println("Slovo: " + s);

				double argument1 = 0.0, argument2 = 0.0,
					argument3 = 0.0, argument4 = 0.0;
				Color farba = null; Poloha poloha = null;

				Object výsledok = null; Method operácia = null;
				int prvéSlovo = 0; String výsledokDoPremennej = null;
				Double hodnotaPremennej = null;

				if (slová.length > 1 && null == reťazec)
				{
					reťazec = vyhodnoťReťazec(slová[slová.length - 1], null);
					if (null != reťazec)
						slová = Arrays.copyOf(slová, slová.length - 1);
				}

				try {

				if (slová.length > 1 && slová[0].equalsIgnoreCase("nech"))
				{
					prvéSlovo = 2;
					výsledokDoPremennej = slová[1].toLowerCase();

					if (slová.length > 2)
					{
						if (slová[2].equals("=")) ++prvéSlovo; else
						{
							operácia = operácie.get(slová[2].toLowerCase());
							if (null != operácia)
							{
								++prvéSlovo;
								if (prvéSlovo >= slová.length &&
									(slová[2].equals("_") ||
									slová[2].equals("!") ||
									slová[2].equals("~")))
								{
									// Prejsť na okamžité spracovanie
									// unárnych operácií (v bloku finally)
									výsledok = premenné.
										get(výsledokDoPremennej);
									if (null == výsledok) výsledok = 0.0;
									return true;
								}
							}
						}

						if (slová.length > prvéSlovo)
						{
							// Overenie, či sa hodnota nedá vyhodnotiť okamžite
							// Skutočné priradenie je v bloku finally
							try
							{
								// Literál
								hodnotaPremennej =
									Double.parseDouble(slová[prvéSlovo]);
							}
							catch (Exception e)
							{
								// Iná číselná premenná
								hodnotaPremennej = premenné.
									get(slová[prvéSlovo].toLowerCase());
							}

							if (null == hodnotaPremennej)
							{
								// Iná farebná premenná
								výsledok = vyhodnoťFarbu(
									slová[prvéSlovo], null);

								if (null == výsledok)
								{
									// Iná polohová premenná
									výsledok = vyhodnoťPolohu(
										slová[prvéSlovo], null);

									if (null == výsledok)
									{
										// Iná reťazcová premenná
										výsledok = vyhodnoťReťazec(
											slová[prvéSlovo], null);

										if (null != výsledok) return true;
									}
									else return true;
								}
								else return true;
							}
							else
							{
								výsledok = hodnotaPremennej;
								return true;
							}
						}
						else if (null != reťazec)
						{
							výsledok = reťazec;
							return true;
						}
					}
				}

				for (int početArgumentov = 0;
					početArgumentov + prvéSlovo < slová.length;
					++početArgumentov)
				{
					názovMetódy.setLength(0);
					názovMetódy.append(slová[prvéSlovo].toLowerCase());

					for (int i = prvéSlovo + 1; i < slová.length -
						početArgumentov; ++i)
					{
						if (slová[i].length() > 1)
						{
							názovMetódy.append(Character.
								toUpperCase(slová[i].charAt(0)));
							názovMetódy.append(slová[i].
								substring(1).toLowerCase());
						}
						else if (slová[i].length() == 1)
						{
							názovMetódy.append(Character.
								toUpperCase(slová[i].charAt(0)));
						}
					}

					String premapovanie = premapovanieMetód.get(
						názovMetódy.toString());
					if (null != premapovanie)
					{
						názovMetódy.setLength(0);
						názovMetódy.append(premapovanie);
					}

					String názovMetódyS = názovMetódy.toString();

					try {

					// Pozor! Vyšší počet argumentov obracia poradie ich
					// zadania do volanej metódy!
					switch (početArgumentov)
					{
					case 4: argument4 = vyhodnoťReálnyVýraz(
							slová[slová.length - 4]);
					case 3: argument3 = vyhodnoťReálnyVýraz(
							slová[slová.length - 3]);
					case 2: argument2 = vyhodnoťReálnyVýraz(
							slová[slová.length - 2]);
					case 1: argument1 = vyhodnoťReálnyVýraz(
							slová[slová.length - 1]);
					}

					Method metóda = null;


					// Metódy typu vypíšRiadok
					if (názovMetódyS.equals("vypíšRiadok"))
					{
						metóda = nájdiMetódu(Svet.class,
							"vypíšRiadok", Object[].class);
					}
					else if (názovMetódyS.equals("vypíš"))
					{
						metóda = nájdiMetódu(Svet.class,
							"vypíš", Object[].class);
					}

					if (null != metóda)
					{
						if (null == reťazec)
						{
							switch (početArgumentov)
							{
							case 0: vykonaj(metóda, null,
									(Object)new Object[]{}); break;
							case 1:
								{
									farba = vyhodnoťFarbu(
										slová[slová.length - 1], null);
									if (null == farba)
									{
										poloha = vyhodnoťPolohu(
											slová[slová.length - 1], null);
										if (null == poloha)
											vykonaj(metóda, null, (Object)new
												Object[]{argument1});
										else
											vykonaj(metóda, null, (Object)new
												Object[]{Bod.
												polohaNaReťazec(poloha)});
									}
									else
										vykonaj(metóda, null, (Object)new
											Object[]{Farba.
											farbaNaReťazec(farba)});
								}
								break;
							// Pozor! Vyšší počet argumentov obracia poradie
							// ich zadania do volanej metódy!
							case 2: vykonaj(metóda, null, (Object)new
									Object[]{argument2, argument1}); break;
							case 3: vykonaj(metóda, null, (Object)new
									Object[]{argument3, argument2,
									argument1}); break;
							case 4: vykonaj(metóda, null, (Object)new
									Object[]{argument4, argument3,
									argument2, argument1}); break;
							}
						}
						else
						{
							switch (početArgumentov)
							{
							case 0: vykonaj(metóda, null, (Object)new
									Object[]{reťazec}); break;
							case 1:
								{
									farba = vyhodnoťFarbu(
										slová[slová.length - 1], null);
									if (null == farba)
									{
										poloha = vyhodnoťPolohu(
											slová[slová.length - 1], null);
										if (null == poloha)
											vykonaj(metóda, null, (Object)new
												Object[]{reťazec, argument1});
										else
											vykonaj(metóda, null, (Object)new
												Object[]{reťazec, Bod.
												polohaNaReťazec(poloha)});
									}
									else
										vykonaj(metóda, null, (Object)new
											Object[]{reťazec,
											Farba.farbaNaReťazec(farba)});
								}
								break;
							// Pozor! Vyšší počet argumentov obracia poradie
							// ich zadania do volanej metódy!
							case 2: vykonaj(metóda, null, (Object)new
									Object[]{reťazec, argument2, argument1});
									break;
							case 3: vykonaj(metóda, null, (Object)new
									Object[]{reťazec, argument3, argument2,
									argument1}); break;
							case 4: vykonaj(metóda, null, (Object)new
									Object[]{reťazec, argument4, argument3,
									argument2, argument1}); break;
							}
						}

						return true;
					}


					// Metódy typu vypíšRiadokNa
					if (početArgumentov >= 2)
					{
						if (názovMetódyS.equals("vypíšRiadokNa"))
						{
							metóda = nájdiMetódu(Svet.class,
								"vypíšRiadokNa", double.class,
								double.class, Object[].class);
						}
						else if (názovMetódyS.equals("vypíšNa"))
						{
							metóda = nájdiMetódu(Svet.class, "vypíšNa",
								double.class, double.class, Object[].class);
						}

						if (null != metóda)
						{
							if (null == reťazec)
							{
								switch (početArgumentov)
								{
								// Pozor! Vyšší počet argumentov obracia poradie
								// ich zadania do volanej metódy!
								case 2: vykonaj(metóda, null, argument2,
										argument1, (Object)new
										Object[]{}); break;
								case 3: vykonaj(metóda, null, argument3,
										argument2,(Object)new Object[]{
										argument1}); break;
								case 4: vykonaj(metóda, null, argument4,
										argument3, (Object)new Object[]{
										argument2, argument1}); break;
								}
							}
							else
							{
								switch (početArgumentov)
								{
								// Pozor! Vyšší počet argumentov obracia poradie
								// ich zadania do volanej metódy!
								case 2: vykonaj(metóda, null, argument2,
										argument1,(Object)new Object[]{
										reťazec}); break;
								case 3: vykonaj(metóda, null, argument3,
										argument2,(Object)new Object[]{
										reťazec, argument1}); break;
								case 4: vykonaj(metóda, null, argument4,
										argument3, (Object)new Object[]{
										reťazec, argument2, argument1}); break;
								}
							}

							return true;
						}
					}


					// Klasické spracovanie
					if (null == reťazec)
					{
						switch (početArgumentov)
						{
						case 0:
							metóda = nájdiMetódu(trieda, názovMetódyS);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia);
								return true;
							}
							break;

						case 1:
							metóda = nájdiMetódu(trieda, názovMetódyS,
								double.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								Double.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								int.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									(int)argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								boolean.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									0.0 != argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								Color.class);
							if (null != metóda)
							{
								farba = vyhodnoťFarbu(
									slová[slová.length - 1], žiadna);
								výsledok = vykonaj(metóda, inštancia, farba);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								Poloha.class);
							if (null != metóda)
							{
								poloha = vyhodnoťPolohu(
									slová[slová.length - 1], null);

								if (null == poloha)
									výsledok = vykonaj(metóda,
										inštancia, stred);
								else
									výsledok = vykonaj(metóda,
										inštancia, poloha);
								return true;
							}

							break;

						// Pozor! Vyšší počet argumentov obracia poradie
						// ich zadania do volanej metódy!
						case 2:
							metóda = nájdiMetódu(trieda, názovMetódyS,
								double.class, double.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									argument2, argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								int.class, int.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									(int)argument2, (int)argument1);
								return true;
							}
							break;

						case 3:
							metóda = nájdiMetódu(trieda, názovMetódyS,
								double.class, double.class, double.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									argument3, argument2, argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								int.class, int.class, int.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									(int)argument3, (int)argument2,
									(int)argument1);
								return true;
							}
							break;

						case 4:
							metóda = nájdiMetódu(trieda, názovMetódyS,
								double.class, double.class, double.class,
								double.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									argument4, argument3, argument2, argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								int.class, int.class, int.class, int.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									(int)argument4, (int)argument3,
									(int)argument2, (int)argument1);
								return true;
							}
							break;

						default: return false;
						}
					}
					else
					{
						switch (početArgumentov)
						{
						case 0:
							metóda = nájdiMetódu(trieda, názovMetódyS,
								String.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia, reťazec);
								return true;
							}
							break;

						case 1:
							metóda = nájdiMetódu(trieda, názovMetódyS,
								double.class, String.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									argument1, reťazec);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								Double.class, String.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									argument1, reťazec);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								int.class, String.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									(int)argument1, reťazec);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								boolean.class, String.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									0.0 != argument1, reťazec);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								Color.class, String.class);
							if (null != metóda)
							{
								farba = vyhodnoťFarbu(
									slová[slová.length - 1], žiadna);
								výsledok = vykonaj(metóda, inštancia,
									farba, reťazec);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								Poloha.class, String.class);
							if (null != metóda)
							{
								poloha = vyhodnoťPolohu(
									slová[slová.length - 1], null);
								if (null == poloha)
									výsledok = vykonaj(metóda, inštancia,
										stred, reťazec);
								else
									výsledok = vykonaj(metóda, inštancia,
										poloha, reťazec);
								return true;
							}


							metóda = nájdiMetódu(trieda, názovMetódyS,
								String.class, double.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									reťazec, argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								String.class, Double.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									reťazec, argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								String.class, int.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									reťazec, (int)argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								String.class, boolean.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									reťazec, 0.0 != argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								String.class, Color.class);
							if (null != metóda)
							{
								farba = vyhodnoťFarbu(
									slová[slová.length - 1], žiadna);
								výsledok = vykonaj(metóda, inštancia,
									reťazec, farba);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								String.class, Poloha.class);
							if (null != metóda)
							{
								poloha = vyhodnoťPolohu(
									slová[slová.length - 1], null);
								if (null == poloha)
									výsledok = vykonaj(metóda, inštancia,
										reťazec, stred);
								else
									výsledok = vykonaj(metóda, inštancia,
										reťazec, poloha);
								return true;
							}
							break;

						// Pozor! Vyšší počet argumentov obracia poradie
						// ich zadania do volanej metódy!
						case 2:
							metóda = nájdiMetódu(trieda, názovMetódyS,
								double.class, double.class, String.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									argument2, argument1, reťazec);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								int.class, int.class, String.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									(int)argument2, (int)argument1, reťazec);
								return true;
							}
							break;

						case 3:
							metóda = nájdiMetódu(trieda, názovMetódyS,
								double.class, double.class, double.class,
								String.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									argument3, argument2, argument1, reťazec);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								int.class, int.class, int.class, String.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									(int)argument3, (int)argument2,
									(int)argument1, reťazec);
								return true;
							}


							metóda = nájdiMetódu(trieda, názovMetódyS,
								String.class, double.class, double.class,
								double.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia, reťazec,
									argument3, argument2, argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								String.class, int.class, int.class, int.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									reťazec, (int)argument3, (int)argument2,
									(int)argument1);
								return true;
							}
							break;

						case 4:
							metóda = nájdiMetódu(trieda, názovMetódyS,
								double.class, double.class, double.class,
								double.class, String.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia, argument4,
									argument3, argument2, argument1, reťazec);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								int.class, int.class, int.class, int.class,
								String.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia,
									(int)argument4, (int)argument3,
									(int)argument2, (int)argument1, reťazec);
								return true;
							}


							metóda = nájdiMetódu(trieda, názovMetódyS,
								String.class, double.class, double.class,
								double.class, double.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia, reťazec,
									argument4, argument3, argument2, argument1);
								return true;
							}

							metóda = nájdiMetódu(trieda, názovMetódyS,
								String.class, int.class, int.class,
								int.class, int.class);
							if (null != metóda)
							{
								výsledok = vykonaj(metóda, inštancia, reťazec,
									(int)argument4, (int)argument3,
									(int)argument2, (int)argument1);
								return true;
							}
							break;

						default: return false;
						}
					}

					} catch (Exception e) {
						poslednáChyba = CHYBA_VYKONANIA_PRÍKAZU;
						vypíšChybovéHlásenia(e, true);
					}
				} // for

				} // try
				finally
				{
					// System.out.println();
					// System.out.println("Var: " + výsledokDoPremennej);
					// System.out.println("Res: " + výsledok);
					// if (null != výsledok) System.out.println(
					// 	"RTP: " + výsledok.getClass().getName());

					if (null != výsledokDoPremennej && null != výsledok)
					{
						if (výsledok instanceof Color)
						{
							premennéFarby.put(výsledokDoPremennej,
								(Color)výsledok);
							vypíšPremennú(-1, výsledokDoPremennej,
								FAREBNÁ_PREMENNÁ);
						}
						else if (výsledok instanceof Poloha)
						{
							premennéPolohy.put(výsledokDoPremennej,
								(Poloha)výsledok);
							vypíšPremennú(-1, výsledokDoPremennej,
								POLOHOVÁ_PREMENNÁ);
						}
						else if (výsledok instanceof String)
						{
							premennéReťazce.put(výsledokDoPremennej,
								(String)výsledok);
							vypíšPremennú(-1, výsledokDoPremennej,
								REŤAZCOVÁ_PREMENNÁ);
						}
						else if (premennéReťazce.containsKey(
							výsledokDoPremennej))
						{
							if (null != operácia)
								výsledok = premennéReťazce.
									get(výsledokDoPremennej) + výsledok;

							// System.out.println("Res2: " + výsledok);
							// if (null != výsledok) System.out.println(
							// 	"RTP2: " + výsledok.getClass().getName());

							premennéReťazce.put(výsledokDoPremennej,
								(String)výsledok);
							vypíšPremennú(-1, výsledokDoPremennej,
								REŤAZCOVÁ_PREMENNÁ);
						}
						else
						{
							for (;;)
							{
								if (výsledok instanceof Double)
								{
									argument1 = (Double)výsledok;
								}
								else if (výsledok instanceof Long)
								{
									argument1 = ((Long)výsledok).doubleValue();
								}
								else if (výsledok instanceof Integer)
								{
									argument1 =
										((Integer)výsledok).doubleValue();
								}
								else if (výsledok instanceof Boolean)
								{
									argument1 = ((Boolean)výsledok) ?
										1.0 : 0.0;
								}
								else
								{
									argument1 = 0.0;
								}

								if (null != operácia)
								{
									hodnotaPremennej = premenné.
										get(výsledokDoPremennej);
									if (null == hodnotaPremennej)
										hodnotaPremennej = 0.0;
									try {
										výsledok = operácia.invoke(
											null, hodnotaPremennej,
											argument1);
										// chybná operácia je ignorovaná,
										// ale ten prípad by nemal nastať,
										// lebo operácie sú definované
										// v očakávanom tvare (binárnej op.)
									} catch (Exception e) {}
									operácia = null;
									continue;
								}

								break;
							}

							premenné.put(výsledokDoPremennej, argument1);
							vypíšPremennú(-1, výsledokDoPremennej,
								ČÍSELNÁ_PREMENNÁ);
						}
					}
				}

				return false;
			}

			private static int vykonajPríkaz(String príkaz, String inštancia)
			{
				int početÚspechov = 0;

				if (null == inštancia)
				{
					for (GRobot robot : zoznamRobotov)
						if (robot.interaktívnyRežim &&
							robot.vykonajPríkaz(príkaz))
							++početÚspechov;

					if (0 == početÚspechov && interaktívnyRežim &&
						vykonajPríkaz(príkaz)) ++početÚspechov;

					if (0 == početÚspechov && podlaha.interaktívnyRežim &&
						podlaha.vykonajPríkaz(príkaz)) ++početÚspechov;

					if (0 == početÚspechov && strop.interaktívnyRežim &&
						strop.vykonajPríkaz(príkaz)) ++početÚspechov;
				}
				else
				{
					if (inštancia.equals("svet"))
					{
						if (vykonajPríkaz(príkaz)) ++početÚspechov;
					}
					else if (inštancia.equals("podlaha"))
					{
						if (podlaha.vykonajPríkaz(príkaz)) ++početÚspechov;
					}
					else if (inštancia.equals("strop"))
					{
						if (strop.vykonajPríkaz(príkaz)) ++početÚspechov;
					}
					else if (inštancia.equals("robot"))
					{
						if (hlavnýRobot.vykonajPríkaz(príkaz)) ++početÚspechov;
					}
					else
					{
						GRobot robot = menáRobotov.get(inštancia);
						if (null == robot)
						{
							poslednáChyba = CHYBA_NEZNÁME_MENO;
						}
						else
						{
							if (robot.vykonajPríkaz(príkaz))
								++početÚspechov;
						}
					}
				}

				return početÚspechov;
			}

			private static boolean ladenie = false;

			private static void vypíšPremennú(int riadok,
				String názov, int typ)
			{
				if (ladenie && (null == počúvadlo ||
					počúvadlo.ladenie(riadok, názov, typ)))
				{
					názov = názov.toLowerCase();

					Double hodnota1 = (0 == typ || ČÍSELNÁ_PREMENNÁ == typ) ?
						premenné.get(názov) : null;
					Color hodnota2  = (0 == typ || FAREBNÁ_PREMENNÁ == typ) ?
						premennéFarby.get(názov) : null;
					Poloha hodnota3 = (0 == typ || POLOHOVÁ_PREMENNÁ == typ) ?
						premennéPolohy.get(názov) : null;
					String hodnota4 = (0 == typ || REŤAZCOVÁ_PREMENNÁ == typ) ?
						premennéReťazce.get(názov) : null;

					if (null == hodnota1 && null == hodnota2 &&
						null == hodnota3 && null == hodnota4)
						vypíšRiadokLadenia(tmavotyrkysová, "     ",
							názov, "?");

					if (null != hodnota1)
						vypíšRiadokLadenia(tmavotyrkysová, "     ",
							názov, " = ", hodnota1);

					if (null != hodnota2)
						vypíšRiadokLadenia(tmavotyrkysová, "     ",
							názov, " = ", Farba.farbaNaReťazec(hodnota2));

					if (null != hodnota3)
						vypíšRiadokLadenia(tmavotyrkysová, "     ",
							názov, " = ", Bod.polohaNaReťazec(hodnota3));

					if (null != hodnota4)
						vypíšRiadokLadenia(tmavotyrkysová, "     ",
							názov, " = \"", hodnota4);
				}
			}

			private static void vypíšPremenné()
			{
				if (ladenie && (null == počúvadlo ||
					počúvadlo.ladenie(-1, null, VYPÍSAŤ_PREMENNÉ)))
				{
					for (Map.Entry<String, Double>
						premenná : premenné.entrySet())
						vypíšRiadokLadenia(tmavotyrkysová,
							"     ", premenná.getKey(),
							" = ", premenná.getValue());

					for (Map.Entry<String, Color>
						premenná : premennéFarby.entrySet())
						vypíšRiadokLadenia(tmavotyrkysová,
							"     ", premenná.getKey(),
							" = ", Farba.farbaNaReťazec(premenná.getValue()));

					for (Map.Entry<String, Poloha>
						premenná : premennéPolohy.entrySet())
						vypíšRiadokLadenia(tmavotyrkysová,
							"     ", premenná.getKey(),
							" = ", Bod.polohaNaReťazec(premenná.getValue()));

					for (Map.Entry<String, String>
						premenná : premennéReťazce.entrySet())
						vypíšRiadokLadenia(tmavotyrkysová,
							"     ", premenná.getKey(),
							" = \"", premenná.getValue());
				}
			}

			private static int počítadloRiadkovLadenia = 0;

			private static void vypíšRiadokLadenia(Farba f,
				Object... argumenty)
			{
				Color fb = farbaTextu();
				farbaTextu(f);
				vypíšRiadok(argumenty);
				farbaTextu(fb);
				++počítadloRiadkovLadenia;
			}

			private static void vypíšÚdajLadenia(Farba f,
				Object... argumenty)
			{
				Color fb = farbaTextu();
				farbaTextu(f);
				vypíš(argumenty);
				farbaTextu(fb);
			}

			private static String dajMenovku(String riadok)
			{
				riadok = riadok.substring(1);
				riadok = riadok.trim();
				int medzera = riadok.indexOf(' ');
				if (-1 != medzera) riadok = riadok.substring(0, medzera);
				return riadok;
			}

			private static boolean prerušiťLadenie(int čr, String riadok)
			{
				if (null == počúvadlo) return false;

				while (počúvadlo.ladenie(čr, riadok, ČAKAŤ))
					try { Thread.sleep(350); }
					catch (InterruptedException ie) {}

				return počúvadlo.ladenie(čr, riadok, PRERUŠIŤ);
			}


		/**
		 * Zapne alebo vypne režim ladenia knižnice grafického robota.
		 * V režime ladenia sú vypisované rôzne chybové hlásenia na
		 * štandardný výstup (systémový terminál) a informácie o vykonávaní
		 * príkazov {@linkplain #interaktívnyRežim(boolean) interaktívneho
		 * režimu} alebo {@linkplain #vykonajSkript(String[]) skriptu} na
		 * vnútornú knižnice (na strop). Tiež je pravidelne spúšťaná reakcia
		 * obsluhy udalostí {@link ObsluhaUdalostí#ladenie(int, String,
		 * int) ladenie}, ak je definovaná obsluha udalostí.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param zapniLadenie {@code valtrue} alebo {@code valfalse}
		 * 
		 * @see #interaktívnyRežim(boolean)
		 * @see #vykonajPríkaz(String)
		 * @see #vykonajSkript(String[])
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public static void režimLadenia(boolean zapniLadenie)
		{
			vypíšChybovéHlásenia = true;
			ladenie = true;
		}

		/** <a class="alias"></a> Alias pre {@link #režimLadenia(boolean) režimLadenia}. */
		public static void rezimLadenia(boolean zapniLadenie)
		{ režimLadenia(zapniLadenie); }

		/**
		 * Zistí, či je zapnutý režim ladenia knižnice grafického robota.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} alebo {@code valfalse}
		 * 
		 * @see #režimLadenia(boolean)
		 */
		public static boolean režimLadenia()
		{ return vypíšChybovéHlásenia || ladenie; }

		/** <a class="alias"></a> Alias pre {@link #režimLadenia() režimLadenia}. */
		public static boolean rezimLadenia() { return režimLadenia(); }

			// &nbsp;alebo&nbsp;{@code valnull}

		/**
		 * Zistí, či premená {@linkplain Svet#interaktívnyRežim(boolean)
		 * interaktívneho režimu} so zadaným názvom a typom jestvuje (je
		 * definovaná).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param názov názov premennej
		 * @param typ typ premennej – povolené sú: {@link Double Double.class},
		 *     {@link Color Color.class}, {@link Poloha Poloha.class} alebo
		 *     {@link String String.class}
		 * @return ak premenná zadaného údajového typu jestvuje, tak je
		 *     návratovou hodnotou tejto metódy hodnota {@code valtrue};
		 *     ak premenná nejestvuje alebo bol zadaný nepovolený údajový
		 *     typ premennej, tak je návratovou hodnotou tejto metódy
		 *     hodnota {@code valfalse}
		 */
		public static boolean premennáJestvuje(String názov, Class<?> typ)
		{
			názov = názov.toLowerCase();

			if (typ == Double.class)
				return premenné.containsKey(názov);
			else if (typ == Color.class)
				return premennéFarby.containsKey(názov);
			else if (typ == Poloha.class)
				return premennéPolohy.containsKey(názov);
			else if (typ == String.class)
				return premennéReťazce.containsKey(názov);

			return false;
		}

		/** <a class="alias"></a> Alias pre {@link #premennáJestvuje(String, Class) premennáJestvuje}. */
		public static boolean premennaJestvuje(String názov, Class<?> typ)
		{ return premennáJestvuje(názov, typ); }

		/** <a class="alias"></a> Alias pre {@link #premennáJestvuje(String, Class) premennáJestvuje}. */
		public static boolean premennáExistuje(String názov, Class<?> typ)
		{ return premennáJestvuje(názov, typ); }

		/** <a class="alias"></a> Alias pre {@link #premennáJestvuje(String, Class) premennáJestvuje}. */
		public static boolean premennaExistuje(String názov, Class<?> typ)
		{ return premennáJestvuje(názov, typ); }

		/**
		 * Zistí hodnotu premennej {@linkplain Svet#interaktívnyRežim(boolean)
		 * interaktívneho režimu}. (Ak hodnota jestvuje.)
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param názov názov premennej
		 * @param typ typ premennej – povolené sú: {@link Double Double.class},
		 *     {@link Color Color.class}, {@link Poloha Poloha.class} alebo
		 *     {@link String String.class}
		 * @return ak premenná jestvuje a má neprázdnu hodnotu, tak je
		 *     návratovou hodnotou tejto metódy hodnota premennej; ak hodnota
		 *     buď nejestvuje, alebo je prázdna (rovná {@code valnull}), alebo
		 *     bol zadaný nepovolený údajový typ premennej, tak je návratová
		 *     hodnota tejto metódy {@code valnull}
		 */
		public static Object čítajPremennú(String názov, Class<?> typ)
		{
			názov = názov.toLowerCase();

			if (typ == Double.class) return premenné.get(názov);
			else if (typ == Color.class) return premennéFarby.get(názov);
			else if (typ == Poloha.class) return premennéPolohy.get(názov);
			else if (typ == String.class) return premennéReťazce.get(názov);

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajPremennú(String, Class) čítajPremennú}. */
		public static Object citajPremennu(String názov, Class<?> typ)
		{ return čítajPremennú(názov, typ); }

		/**
		 * Nastaví novú hodnotu premennej
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}.
		 * Ak je zadaná hodnota nepovoleného údajového typu, tak nebude
		 * nastavená hodnota žiadnej premennej.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param názov názov premennej
		 * @param hodnota hodnota premennej povoleného údajového typu –
		 *     povolené sú: {@link Double Double},
		 *     {@link Color Color}, {@link Poloha Poloha} alebo
		 *     {@link String String}
		 */
		public static void zapíšPremennú(String názov, Object hodnota)
		{
			názov = názov.toLowerCase();
			if (hodnota instanceof Double)
				premenné.put(názov, (Double)hodnota);
			else if (hodnota instanceof Color)
				premennéFarby.put(názov, (Color)hodnota);
			else if (hodnota instanceof Poloha)
				premennéPolohy.put(názov, (Poloha)hodnota);
			else if (hodnota instanceof String)
				premennéReťazce.put(názov, (String)hodnota);
		}

		/** <a class="alias"></a> Alias pre {@link #zapíšPremennú(String, Object) zapíšPremennú}. */
		public static void zapisPremennu(String názov, Object hodnota)
		{ zapíšPremennú(názov, hodnota); }


		/**
		 * Vykoná skript uložený v poli reťazcov. Táto metóda vyžaduje,
		 * aby aspoň jeden robot a/alebo svet bol/i v {@linkplain
		 * Svet#interaktívnyRežim(boolean) interaktívnom režime},
		 * inak vykonávanie skriptu nebude mať žiadny efekt, resp. sa skončí
		 * chybou hneď po prvom príkaze určenom pre robota alebo svet. Každý
		 * riadok teda smie obsahovať buď príkaz použiteľný s metódou robota
		 * {@link GRobot#vykonajPríkaz(String) vykonajPríkaz} alebo sveta
		 * {@link #vykonajPríkaz(String) vykonajPríkaz}, komentár,
		 * alebo jeden z nasledujúcich príkazov skriptu:
		 * definíciu menovky, podmienený skok, podmienený skok
		 * s dekrementáciou premennej („cyklus“),
		 * podmienený skok s alternatívou alebo podmienený skok
		 * s dekrementáciou premennej („cyklus“) s alternatívou:
		 * 
		 * <P>&nbsp;
		 * <table class="commands">
		 * <tr><td><code>;&nbsp;</code><i>«text»</i></td><td>–</td><td
		 * >komentár – tento riadok bude ignorovaný</td></tr>
		 * <tr><td><code>:</code><i>«názov»</i></td><td>–</td><td>definícia
		 * menovky, ktorá je používaná na podmienené skoky</td></tr>
		 * <tr><td><code>@</code><i
		 * >«názov&nbsp;inštancie»</i></td><td
		 * >–</td><td>definícia {@linkplain #interaktívnaInštancia(String)
		 * aktívnej inštancie}</td></tr>
		 * <tr><td><code>@</code></td><td>–</td><td>zrušenie
		 * {@linkplain #interaktívnaInštancia(String) aktívnej
		 * inštancie}</td></tr>
		 * <tr><td><code>ak&nbsp;</code><i
		 * >«premenná&nbsp;alebo&nbsp;hodnota»</i>&nbsp;<i
		 * >«menovka»</i></td><td>–</td>
		 * <td>podmienený skok – ak je <i>«premenná alebo hodnota»</i>
		 * nenulová, tak vykonávanie skriptu prejde (preskočí) na riadok
		 * označený menovkou</td></tr>
		 * <tr><td><code>ak&nbsp;</code><i
		 * >«premenná&nbsp;alebo&nbsp;hodnota»</i>&nbsp;<i
		 * >«menovka1»</i><code>&nbsp;inak&nbsp;</code><i
		 * >«menovka2»</i></td><td>–</td><td>podmienený
		 * skok s alternatívou – ak je <i>«premenná alebo hodnota»</i>
		 * nenulová, tak vykonávanie skriptu prejde (preskočí) na riadok
		 * označený menovkou <i>«menovka1»</i>, inak na riadok označený
		 * menovkou <i>«menovka2»</i></td></tr>
		 * <tr><td><code>dokedy&nbsp;</code><i
		 * >«premenná»</i>&nbsp;<i>«menovka»</i></td><td>–</td><td>podmienený
		 * skok s dekrementáciou premennej („cyklus“) – najprv sa zníži
		 * hodnota premennej o 1 a ak je výsledok výpočtu záporný, nastaví sa
		 * jej hodnota na nulu; ak je výsledná hodnota premennej kladná, tak
		 * vykonávanie skriptu prejde (preskočí) na riadok označený
		 * menovkou</td></tr>
		 * <tr><td><code>dokedy&nbsp;</code><i>«premenná»</i>&nbsp;<i
		 * >«menovka1»</i><code>&nbsp;inak&nbsp;</code><i
		 * >«menovka2»</i></td><td>–</td><td>podmienený skok s dekrementáciou
		 * premennej („cyklus“) s alternatívou – najprv sa zníži hodnota
		 * premennej o 1 a ak je výsledok výpočtu záporný, nastaví sa jej
		 * hodnota na nulu; ak je výsledná hodnota premennej kladná, tak
		 * vykonávanie skriptu prejde (preskočí) na riadok označený menovkou
		 * <i>«menovka1»</i>, inak na riadok označený menovkou
		 * <i>«menovka2»</i></td></tr>
		 * </table>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param riadky pole reťazcov reprezentujúcich riadky skriptu
		 * @return riadok, na ktorom vznikla chyba (ak chyba nevznikla,
		 * tak je vrátená nula)
		 * @see #interaktívnyRežim(boolean)
		 * @see #režimLadenia(boolean)
		 * @see #vykonajSkript(String)
		 * @see #vykonajSkript(String, boolean)
		 * @see #skriptJeSpustený()
		 * @see #spustiSkript(String[])
		 * @see #spustiSkript(String)
		 * @see #spustiSkript(String, boolean)
		 * @see #kódPoslednejChyby()
		 * @see #textPoslednejChyby()
		 * 
		 *  @throws GRobotException  ak bolo vykonávanie niektorého príkazu
		 *      skriptu zrušené
		 *  @throws IllegalAccessException  ak metóda, s ktorou súviselo
		 *      vykonávanie niektorého príkazu skriptu nie je dostupná
		 *      (verejná)
		 *  @throws IllegalArgumentException  ak niektorý z argumentov
		 *      metódy, s ktorou súviselo vykonávanie niektorého z príkazov
		 *      skriptu nebol požadovaného typu, ani ho na taký typ nebolo
		 *      možné previesť
		 *  @throws InvocationTargetException  ak pri vykonávní metódy,
		 *      s ktorou súviselo vykonávanie niektorého z príkazov skriptu
		 *      vznikla výnimka
		 */
		public static int vykonajSkript(String[] riadky)
		{
			počítadloRiadkovLadenia = 0;
			poslednáChyba = ŽIADNA_CHYBA;
			if (ladenie) vypíšPremenné();

			final TreeMap<String, Integer> menovky =
				new TreeMap<String, Integer>();

			int i = 0, čr = 1;
			for (String riadok : riadky)
			{
				// Orezať všetky medzery zľava
				riadky[i] = riadok = ltrim.matcher(riadok).
					replaceAll("")
					// Pozor! Nesmiem tu previesť na malé písmená!
					// Zničil by sa prípadný reťazec na vypísanie!
					// .toLowerCase()
					;

				if (!riadok.isEmpty() && ':' == riadok.charAt(0))
				{
					riadok = dajMenovku(riadok);

					if (!riadok.isEmpty())
					{
						if (ladenie && (null == počúvadlo ||
							počúvadlo.ladenie(čr, riadok,
							VYPÍSAŤ_MENOVKU))) vypíšRiadokLadenia(
								tmavooranžová, ":", String.format(
									Locale.ENGLISH, "%3d", čr), riadok);
						if (menovky.containsKey(riadok))
						{
							poslednáChyba = CHYBA_DVOJITÁ_MENOVKA;
							return čr; // chyba – dvojitá menovka
						}
						menovky.put(riadok, i);
					}
					// riadky[i] = "";
				}
				++i; ++čr;
			}

			if (počítadloRiadkovLadenia > 0)
				/*ladenie && (!menovky.isEmpty() || !premenné.isEmpty() ||
				!premennéFarby.isEmpty() || !premennéPolohy.isEmpty() ||
				!premennéReťazce.isEmpty())*/
				vypíšRiadok();

			String inštancia = null;

			for (i = 0, čr = 1; i < riadky.length; ++i, ++čr)
			{
				String riadok = riadky[i];

				if (riadok.isEmpty())
				{
					if (ladenie && (null == počúvadlo ||
						počúvadlo.ladenie(čr, riadok, VYPÍSAŤ_RIADOK)))
						vypíšRiadokLadenia(šedá, " ", String.format(
							Locale.ENGLISH, "%3d", čr));

					if (prerušiťLadenie(čr, riadok)) break;

					continue;
				}
				else if (';' == riadok.charAt(0))
				{
					if (ladenie && (null == počúvadlo ||
						počúvadlo.ladenie(čr, riadok, VYPÍSAŤ_RIADOK)))
						vypíšRiadokLadenia(svetlošedá, ";", String.
							format(Locale.ENGLISH, "%3d", čr),
						riadok.substring(1));

					if (prerušiťLadenie(čr, riadok)) break;

					continue;
				}
				else if (':' == riadok.charAt(0))
				{
					if (ladenie && (null == počúvadlo ||
						počúvadlo.ladenie(čr, riadok, VYPÍSAŤ_RIADOK)))
					{
						riadok = dajMenovku(riadok);

						if (riadok.isEmpty())
							vypíšRiadokLadenia(šedá, " ", String.format(
								Locale.ENGLISH, "%3d", čr));
						else
							vypíšRiadokLadenia(tmavošedá, ":",
								String.format(Locale.ENGLISH, "%3d", čr),
								riadok);
					}

					if (prerušiťLadenie(čr, riadok)) break;

					continue;
				}
				else if ('@' == riadok.charAt(0))
				{
					if (ladenie && (null == počúvadlo ||
						počúvadlo.ladenie(čr, riadok, VYPÍSAŤ_RIADOK)))
					{
						vypíšRiadokLadenia(tmavohnedá, "@",
							String.format(Locale.ENGLISH, "%3d", čr),
							riadok.substring(1));
					}

					if (prerušiťLadenie(čr, riadok)) break;

					if (riadok.length() == 1)
						inštancia = null;
					else
						inštancia = riadok.substring(1).toLowerCase();
					continue;
				}
				else if (riadok.regionMatches(true, 0, "ak ", 0, 3) ||
					riadok.regionMatches(true, 0, "dokedy ", 0, 7))
				{
					String[] slová = vykonajPríkazTokenizer.split(riadok);
					// for (String s : slová) System.out.println("Slovo: " + s);

					if (slová.length < 3)
					{
						poslednáChyba = CHYBA_CHÝBAJÚCA_MENOVKA;
						return čr;
					}

					Integer skoč1 = menovky.get(slová[2].toLowerCase());
					if (null == skoč1)
					{
						poslednáChyba = CHYBA_NEZNÁMA_MENOVKA;
						return čr;
					}

					Integer skoč2;
					if (slová.length >= 5)
					{
						if (!slová[3].equalsIgnoreCase("inak"))
						{
							poslednáChyba = CHYBA_NEZNÁME_SLOVO;
							return čr;
						}
						skoč2 = menovky.get(slová[4].toLowerCase());
						if (null == skoč2)
						{
							poslednáChyba = CHYBA_NEZNÁMA_MENOVKA;
							return čr;
						}
					}
					else if (slová.length >= 4)
					{
						skoč2 = menovky.get(slová[3].toLowerCase());
						if (null == skoč2)
						{
							poslednáChyba = CHYBA_NEZNÁMA_MENOVKA;
							return čr;
						}
					}
					else skoč2 = null;

					Boolean podmienka;

					if (slová[0].equalsIgnoreCase("ak"))
					{
						podmienka = vyhodnoťLogickýVýraz(slová[1]);
						boolean vypísať = false;

						if (ladenie)
						{
							vypísať = null == počúvadlo ||
								počúvadlo.ladenie(čr, riadok, VYPÍSAŤ_RIADOK);
							if (vypísať)
								vypíšÚdajLadenia(purpurová, "?",
									String.format(Locale.ENGLISH, "%3d", čr),
									slová[0], slová[1], ": ");

							if (prerušiťLadenie(čr, riadok)) break;
						}

						if (podmienka) čr = (i = skoč1) + 1;
						else if (null != skoč2) čr = (i = skoč2) + 1;

						if (ladenie && vypísať)
						{
							if (podmienka)
								vypíšRiadokLadenia(tmavozelená,
									"pravda, prejsť na", slová[2]);
							else if (null != skoč2)
								vypíšRiadokLadenia(tmavooranžová,
									"lož, prejsť na", (slová.length >= 5 ?
										slová[4] : slová[3]));
							else
								vypíšRiadokLadenia(tmavočervená,
									"lož, neprejsť nikam");

							if (podmienka || null != skoč2)
							{
								riadok = dajMenovku(riadky[i]);
								vypíšRiadokLadenia(tmavošedá, ":",
									String.format(Locale.ENGLISH,
									"%3d", čr), riadok);
							}
						}
						continue;
					}
					else if (slová[0].equalsIgnoreCase("dokedy"))
					{
						slová[1] = slová[1].toLowerCase();
						if (premenné.containsKey(slová[1]))
						{
							// Ak je výsledok výpočtu záporný, nastaví sa
							// hodnota premennej na nulu, aby mohla byť
							// podmienka v nasledujúcom kroku
							// (vyhodnoťLogickýVýraz) vyhodnotená ako
							// nepravdivá.
							premenné.put(slová[1], Math.max(Math.rint(
								premenné.get(slová[1]) - 1), 0.0));
							vypíšPremennú(čr, slová[1], ČÍSELNÁ_PREMENNÁ);
							podmienka = vyhodnoťLogickýVýraz(slová[1]);
							boolean vypísať = false;

							if (ladenie)
							{
								vypísať = null == počúvadlo ||
									počúvadlo.ladenie(čr, riadok,
										VYPÍSAŤ_RIADOK);
								if (vypísať)
									vypíšÚdajLadenia(tmavopurpurová, "@",
										String.format(Locale.ENGLISH, "%3d",
											čr), slová[0], slová[1], ": ");

								if (prerušiťLadenie(čr, riadok)) break;
							}

							if (podmienka) čr = (i = skoč1) + 1;
							else if (null != skoč2) čr = (i = skoč2) + 1;

							if (ladenie && vypísať)
							{
								if (podmienka)
									vypíšRiadokLadenia(tmavozelená,
										"pravda, prejsť na", slová[2]);
								else if (null != skoč2)
									vypíšRiadokLadenia(tmavooranžová,
										"lož, prejsť na", (slová.length >= 5 ?
											slová[4] : slová[3]));
								else
									vypíšRiadokLadenia(tmavočervená,
										"lož, neprejsť nikam");

								if (podmienka || null != skoč2)
								{
									riadok = dajMenovku(riadky[i]);
									vypíšRiadokLadenia(tmavošedá, ":",
										String.format(Locale.ENGLISH,
										"%3d", čr), riadok);
								}
							}
							continue;
						}
					}

					poslednáChyba = CHYBA_NEZNÁMA_ŠTRUKTÚRA;
					return čr;
				}

				if (ladenie)
				{
					if (null == počúvadlo ||
						počúvadlo.ladenie(čr, riadok, VYPÍSAŤ_RIADOK))
						vypíšRiadokLadenia(tmavomodrá, " ", String.format(
							Locale.ENGLISH, "%3d", čr), riadok);

					if (prerušiťLadenie(čr, riadok)) break;
				}

				int početÚspechov = vykonajPríkaz(riadok, inštancia);
				if (0 == početÚspechov)
				{
					if (ŽIADNA_CHYBA == poslednáChyba)
						poslednáChyba = CHYBA_NEZNÁMY_PRÍKAZ;
					return čr;
				}
			}

			return 0;
		}

		/**
		 * Vykoná skript zadaný vo forme reťazca. Riadky musia byť
		 * oddelené znakom nového reťazca <code>\n</code>.
		 * Pravidlá vykonávania sú rovnaké ako pri metóde
		 * {@link #vykonajSkript(String[]) vykonajSkript(riadky)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param skript skript uložený v jednom reťazci
		 * @return riadok, na ktorom vznikla chyba (ak chyba nevznikla,
		 * tak je vrátená nula)
		 * @see #interaktívnyRežim(boolean)
		 * @see #režimLadenia(boolean)
		 * @see #vykonajSkript(String[])
		 * @see #vykonajSkript(String, boolean)
		 * @see #skriptJeSpustený()
		 * @see #spustiSkript(String[])
		 * @see #spustiSkript(String)
		 * @see #spustiSkript(String, boolean)
		 * @see #kódPoslednejChyby()
		 * @see #textPoslednejChyby()
		 * 
		 *  @throws GRobotException  ak bolo vykonávanie niektorého príkazu
		 *      skriptu zrušené
		 *  @throws IllegalAccessException  ak metóda, s ktorou súviselo
		 *      vykonávanie niektorého príkazu skriptu nie je dostupná
		 *      (verejná)
		 *  @throws IllegalArgumentException  ak niektorý z argumentov
		 *      metódy, s ktorou súviselo vykonávanie niektorého z príkazov
		 *      skriptu nebol požadovaného typu, ani ho na taký typ nebolo
		 *      možné previesť
		 *  @throws InvocationTargetException  ak pri vykonávní metódy,
		 *      s ktorou súviselo vykonávanie niektorého z príkazov skriptu
		 *      vznikla výnimka
		 */
		public static int vykonajSkript(String skript)
		{
			String riadky[] = vykonajSkriptRiadkovač.split(skript);
			// for (String s : riadky) System.out.println("Riadok: " + s);

			return vykonajSkript(riadky);
		}

		/**
		 * Vykoná skript zadaný vo forme reťazca alebo vo forme názvu
		 * súboru, z ktorého má byť prečítaný. Ak je druhý parameter rovný
		 * {@code valfalse}, tak je prvý parameter považovaný za skript
		 * a metóda sa správa rovnako ako metóda {@link
		 * #vykonajSkript(String) vykonajSkript(skript)}. Ak je druhý
		 * parameter rovný {@code valtrue}, tak prvý parameter je
		 * považovaný za názov súboru, z ktorého má byť skript prečítaný
		 * a vykonaný. Pravidlá vykonávania sú rovnaké ako pri metóde
		 * {@link #vykonajSkript(String[]) vykonajSkript(riadky)}.
		 * 
		 * <P><b>Príklad skriptu uloženého v súbore:</b>
		 * <P>skoč -72.5, -30<br />
		 * hrúbka čiary 3.2<br />
		 * farba žltá<br />
		 * začni cestu<br />
		 * nech i = 8<br />
		 * &nbsp;<br />
		 * :opakuj<br />
		 * &nbsp; dopredu 60<br />
		 * &nbsp; vpravo 45<br />
		 * dokedy i, opakuj<br />
		 * &nbsp;<br />
		 * vyplň cestu<br />
		 * farba červená<br />
		 * obkresli cestu<br />
		 * &nbsp;<br />
		 * farba čierna<br />
		 * domov<br />
		 * farba textu purpurová<br />
		 * vypíš riadok "Hotovo!
		 * 
		 * <P><b>Program:</b>
		 * <P>Za predpokladu, že predchádzajúci skript uložíme do súboru
		 * s názvom „Skript.GRScript“ môžeme použiť nasledujúci úryvok kódu
		 * na jeho spustenie:
		 * 
		 * <pre CLASS="example">
			{@link GRobot#interaktívnyRežim(boolean) interaktívnyRežim}({@code valtrue});
			{@link Svet Svet}.{@link Svet#interaktívnyRežim(boolean) interaktívnyRežim}({@code valtrue});

			{@code typeint} kód = {@link Svet Svet}.{@link Svet#vykonajSkript(String, boolean) vykonajSkript}({@code srg"Skript.GRScript"}, {@code valtrue});

			{@code kwdif} ({@code num0} &gt; kód)
				{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Chyba pri čítaní súboru ("}, kód, {@code srg")."});
			{@code kwdelse}
				{@code kwdif} ({@code num0} &lt; kód) {@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Chyba na riadku: "}, kód);
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * <P><image>skriptZoSuboru.png</image>Výsledok vykonania skriptu
		 * vyššie uvedeným programom
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param skript názov súboru so skriptom alebo skript uložený
		 * v jednom reťazci
		 * @param zoSúboru ak je {@code valtrue}, tak je prvý parameter
		 * považovaný za názov súboru so skriptom; ak je {@code valfalse},
		 * tak je prvý parameter považovaný za skript (rovnako ako pri
		 * metóde {@link #vykonajSkript(String) vykonajSkript(skript)})
		 * @return riadok, na ktorom vznikla chyba (ak chyba nevznikla,
		 * tak je vrátená nula); ak je návratová hodnota záporná, znamená
		 * to, že vznikla chyba pri čítaní súboru
		 * @see #interaktívnyRežim(boolean)
		 * @see #režimLadenia(boolean)
		 * @see #vykonajSkript(String[])
		 * @see #vykonajSkript(String)
		 * @see #skriptJeSpustený()
		 * @see #spustiSkript(String[])
		 * @see #spustiSkript(String)
		 * @see #spustiSkript(String, boolean)
		 * @see #kódPoslednejChyby()
		 * @see #textPoslednejChyby()
		 *  @throws GRobotException  ak skript so zadaným menom nebol nájdený
		 *      alebo ak bolo vykonávanie niektorého príkazu skriptu zrušené
		 *  @throws IllegalAccessException  ak metóda, s ktorou súviselo
		 *      vykonávanie niektorého príkazu skriptu nie je dostupná
		 *      (verejná)
		 *  @throws IllegalArgumentException  ak niektorý z argumentov
		 *      metódy, s ktorou súviselo vykonávanie niektorého z príkazov
		 *      skriptu nebol požadovaného typu, ani ho na taký typ nebolo
		 *      možné previesť
		 *  @throws InvocationTargetException  ak pri vykonávní metódy,
		 *      s ktorou súviselo vykonávanie niektorého z príkazov skriptu
		 *      vznikla výnimka
		 */
		public static int vykonajSkript(String skript, boolean zoSúboru)
		{
			if (!zoSúboru) return vykonajSkript(skript);

			try
			{
				BufferedReader čítanie;
				Vector<String> riadky = new Vector<String>();

				try
				{
					// Vyhľadá súbor na pevnom disku
					čítanie = new BufferedReader(new InputStreamReader(
						dajVstupnýPrúdSúboru(skript), "UTF-8"));
				}
				catch (FileNotFoundException notFound)
				{
					try
					{
						// Pokúsi sa prečítať skript zo zdroja .jar súboru
						čítanie = new BufferedReader(new InputStreamReader(
							dajVstupnýPrúdZdroja(skript), "UTF-8"));
					}
					catch (NullPointerException isNull)
					{
						throw new GRobotException(
							"Skript „" + skript + "“ nebol nájdený.",
							"scriptNotFound", skript, notFound);
					}
				}

				String riadok = čítanie.readLine();
				if (null != riadok)
				{
					if (!riadok.isEmpty() &&
						riadok.charAt(0) == '\uFEFF')
						riadok = riadok.substring(1);

					do
					{
						riadky.add(riadok);
						riadok = čítanie.readLine();
					}
					while (null != riadok);
				}

				čítanie.close();
				if (riadky.isEmpty()) return 0;

				return vykonajSkript(riadky.toArray(new String[riadky.size()]));
			}
			catch (Exception e)
			{
				vypíšChybovéHlásenia(e);
				return -1;
			}
		}


		private static boolean skriptJeSpustený = false;

		/**
		 * Zistí, či je práve vykonávaný skript, ktorý bol spustený príkazom
		 * {@link #spustiSkript(String[]) spustiSkript}
		 * (alebo niektorou jeho modifikáciou).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} ak je skript spustený
		 * 
		 * @see #spustiSkript(String[])
		 * @see #spustiSkript(String)
		 * @see #spustiSkript(String, boolean)
		 */
		public static boolean skriptJeSpustený() { return skriptJeSpustený; }

		/** <a class="alias"></a> Alias pre {@link #skriptJeSpustený() skriptJeSpustený}. */
		public static boolean skriptJeSpusteny() { return skriptJeSpustený; }


		/**
		 * Funguje podobne ako {@link #vykonajSkript(String[])
		 * vykonajSkript(riadky)}, ale spustí vykonávanie v samostatnom vlákne
		 * Javy, takže môže byť ladené. Keďže pri tomto spôsobe nie je možné
		 * získať návratovú hodnotu priamo, tak je v prípade vzniku chyby
		 * počas vykonávania skriptu spustená reakcia
		 * {@link ObsluhaUdalostí#ladenie(int, String, int) ladenie}, ktorej
		 * je poslané číslo chybového riadka v parametri {@code riadok}, text
		 * chybového hlásenia v parametri {@code príkaz} a {@code správa} má
		 * kód {@link GRobot#UKONČENIE_CHYBOU UKONČENIE_CHYBOU}.
		 * Ak chyba nevznikne, tak je tiež spustená reakcia
		 * {@link ObsluhaUdalostí#ladenie(int, String, int) ladenie}, ale prvé
		 * dva parametre sú prázdne a {@code správa} má kód
		 * {@link GRobot#UKONČENIE_SKRIPTU UKONČENIE_SKRIPTU}. Dokedy nie je
		 * ukončená činnosť jedného skriptu, nie je možné spustiť vykonávanie
		 * ďalšieho, ale v priebehu jeho činnosti je možné (aj keď nie
		 * odporúčané) vykonať iný skript (metódou
		 * {@link #vykonajSkript(String[]) vykonajSkript} alebo jej „klonmi“)
		 * alebo príkaz (metódou {@link #vykonajPríkaz(String) vykonajPríkaz}
		 * alebo jej „klonmi“).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * <P><b>Príklad:</b>
		 * <P>Zabezpečenie spustenia samotného príkazu
		 * {@code currspustiSkript} je jednoduché (v tomto príklade ho nájdete
		 * v metóde {@code spusti}), ale zabezpečenie spracovania rôznych
		 * situácií (udalostí) počas ladenia si vyžaduje náročnejší prístup.
		 * V tomto príklade je v komentároch stručne opísaný účel jednotlivých
		 * častí programu s prípadnými návrhmi na ďalšie vylepšovanie. Tento
		 * príklad v podstate iba naznačuje rôzne aspekty ladenia.
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} TestLadenieSkriptu {@code kwdextends} {@link GRobot GRobot}
			{
				{@code comm// Nasledujúce premenné sú „semafóry“ používané počas procesu ladenia:}
				{@code comm// }
				{@code comm//   – krok:     hodnota tejto premennej riadi krokovanie; hodnota true}
				{@code comm//               znamená posunutie programu o krok ďalej (na ďalší príkaz)}
				{@code comm//   – prerušiť: nastavením hodnoty tejto premennej na true je možné}
				{@code comm//               ladenie programu predčasne ukončiť}
				{@code kwdprivate} {@code typeboolean} krok = {@code valfalse}, prerušiť = {@code valfalse};

				{@code comm// Konštruktor.}
				{@code kwdprivate} TestLadenieSkriptu()
				{
					{@code comm// Definovanie obsluhy udalostí…}
					{@code kwdnew} {@link ObsluhaUdalostí ObsluhaUdalostí}()
					{
						{@code kwd@}Override {@code kwdpublic} {@code typeboolean} {@link ObsluhaUdalostí#ladenie(int, String, int) ladenie}(
							{@code typeint} riadok, String príkaz, {@code typeint} správa)
						{
							{@code comm// Nasledujúce vetvenie zabezpečuje spracovanie rôznych}
							{@code comm// situácií počas ladenia:}
							{@code kwdswitch} (správa)
							{
								{@code kwdcase} {@link GRobot#ČAKAŤ ČAKAŤ}:
									{@code comm// Čakanie počas krokovania:}
									{@code kwdif} (krok)
									{
										krok = {@code valfalse};
										{@code kwdreturn} {@code valfalse};
									}
									{@code kwdreturn} {@code valtrue};

								{@code kwdcase} {@link GRobot#PRERUŠIŤ PRERUŠIŤ}:
									{@code comm// Predčasné ukončenie vykonávania skriptu:}
									{@code kwdif} (prerušiť)
									{
										{@link Svet Svet}.{@link Svet#farbaTextu(Color) farbaTextu}({@link GRobot#tmavooranžová tmavooranžová});
										{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Vykonávanie bolo prerušené."});
										{@code comm// Ďalšie podrobnosti by sme mohli vypísať}
										{@code comm// napríklad pomocou nasledujúceho úryvku kódu:}
										{@code comm//    "na riadku", riadok, ":", GRobot.}{@link GRobot#riadok riadok}{@code comm,}
										{@code comm//    príkaz}
									}
									{@code kwdreturn} prerušiť;

								{@code comm// Výpis definovaných menoviek skriptu odfiltrujeme:}
								{@code kwdcase} {@link GRobot#VYPÍSAŤ_MENOVKU VYPÍSAŤ_MENOVKU}: {@code kwdreturn} {@code valfalse};

								{@code kwdcase} {@link GRobot#UKONČENIE_SKRIPTU UKONČENIE_SKRIPTU}:
									{@code kwdif} (!prerušiť)
									{
										{@code comm// Informáciu o ukončení vypíšeme len v prípade,}
										{@code comm// že program nebol prerušený:}
										{@link Svet Svet}.{@link Svet#farbaTextu(Color) farbaTextu}({@link Farebnosť#tmavotyrkysová tmavotyrkysová});
										{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Vykonávanie bolo dokončené."});
									}
									{@code kwdreturn} {@code valfalse};

								{@code kwdcase} {@link GRobot#UKONČENIE_CHYBOU UKONČENIE_CHYBOU}:
									{@code comm// Vypíšeme len text chyby…}
									{@link Svet Svet}.{@link Svet#farbaTextu(Color) farbaTextu}({@link Farebnosť#červená červená});
									{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}(príkaz);
										{@code comm// Ďalšie podrobnosti by sme mohli vypísať}
										{@code comm// napríklad pomocou nasledujúcich úryvkov kódu:}
										{@code comm//    "Číslo chyby", Svet.}{@link Svet#kódPoslednejChyby() kódPoslednejChyby}{@code comm()}
										{@code comm//    "Riadok chyby ", riadok}
									{@code kwdreturn} {@code valfalse};

								{@code comm// Nefiltrujeme žiadne príkazy,}
								{@code comm// vykonávame všetko bez rozdielu:}
								{@code kwdcase} {@link GRobot#ZABRÁNIŤ_VYKONANIU ZABRÁNIŤ_VYKONANIU}: {@code kwdreturn} {@code valfalse};
							}

							{@code comm// Na všetky ostatné otázky režimu ladenia (}{@link GRobot#VYPÍSAŤ_PREMENNÉ VYPÍSAŤ_PREMENNÉ}{@code comm,}
							{@code comm// }{@link GRobot#VYPÍSAŤ_RIADOK VYPÍSAŤ_RIADOK}{@code comm, }{@link GRobot#VYPÍSAŤ_PRÍKAZ VYPÍSAŤ_PRÍKAZ}{@code comm, }{@link GRobot#VYKONAŤ_PRÍKAZ VYKONAŤ_PRÍKAZ}{@code comm) odpovedáme}
							{@code comm// kladne:}
							{@code kwdreturn} {@code valtrue};
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#klik() klik}()
						{
							{@code comm// Ak bolo stlačené pravé tlačidlo myši, zistíme hodnotu}
							{@code comm// číselnej premennej (toto je tu uvedené na demonštračné}
							{@code comm// účely, dalo by sa to rozpracovať tak, aby si používateľ}
							{@code comm// mohol zvoliť typ premennej).}
							{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidloMyši(int) tlačidloMyši}({@link GRobot#PRAVÉ PRAVÉ}))
							{
								{@link String String} názov = {@link Svet Svet}.{@link Svet#čítajReťazec(String) čítajReťazec}(
									{@code srg"Názov číselnej premennej:"});
								{@code kwdif} ({@code valnull} != názov)
								{
									{@code kwdif} ({@link Svet Svet}.{@link Svet#premennáJestvuje(String, Class) premennáJestvuje}(názov, Double.{@code typeclass}))
									{
										{@link Svet Svet}.{@link Svet#farbaTextu(Color) farbaTextu}({@link Farebnosť#tyrkysová tyrkysová});
										{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"     "}, názov, {@code srg" = "},
											{@link Svet Svet}.{@link Svet#čítajPremennú(String, Class) čítajPremennú}(názov, Double.{@code typeclass}));
									}
									{@code kwdelse}
									{
										{@link Svet Svet}.{@link Svet#farbaTextu(Color) farbaTextu}({@link Farebnosť#červená červená});
										{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"     Premenná "},
											názov, {@code srg"nejestvuje."});
									}
								}
							}
							{@code comm// Inak (t. j. ak boli stlačené ostatné tlačidlá myši):}
							{@code comm//   Ak prebieha vykonávanie skriptu, tak prejdeme na}
							{@code comm//   ďalší krok, inak začneme vykonávanie nového skriptu.}
							{@code kwdelse} {@code kwdif} ({@link Svet Svet}.{@link Svet#skriptJeSpustený() skriptJeSpustený}()) krok = {@code valtrue}; {@code kwdelse} spusti();
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#stlačenieKlávesu() stlačenieKlávesu}()
						{
							{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#kláves(int) kláves}({@link Kláves Kláves}.{@link Kláves#ESCAPE ESCAPE}))
							{
								{@code comm// Klávesom ESC prerušíme ladenie…}
								prerušiť = {@code valtrue};
								krok = {@code valtrue};
							}
							{@code kwdelse} {@code kwdif} ({@link Svet Svet}.{@link Svet#skriptJeSpustený() skriptJeSpustený}() &&
								{@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#kláves(int) kláves}({@link Kláves Kláves}.{@link Kláves#MEDZERA MEDZERA}))
							{
								{@code comm// Klávesom medzera krokujeme…}
								krok = {@code valtrue};
							}
						}
					};

					{@code comm// Musíme zapnúť režim interaktívny režim (zapneme len Svet a robota),}
					{@code comm// režim ladenia a zabezpečíme, aby sa robot automaticky neskryl po}
					{@code comm// prvom výpise na vnútornú konzolu knižnice (pozri poznámku na konci}
					{@code comm// opisu metódy Plátno.}{@link Plátno#vypíš(Object[]) vypíš}{@code comm)}
					{@link Svet Svet}.{@link Svet#režimLadenia(boolean) režimLadenia}({@code valtrue});
					{@link Svet Svet}.{@link Svet#interaktívnyRežim(boolean) interaktívnyRežim}({@code valtrue});
					{@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code valthis});
					{@link GRobot#interaktívnyRežim(boolean) interaktívnyRežim}({@code valtrue});

					spusti();
				}

				{@code comm// Touto metódou sa spúšťa nové ladenie skriptu. Logicky, pokus}
				{@code comm// o spustenie nového ladenia bude vykonaný len v takom prípade,}
				{@code comm// keď nie je v činnosti iné ladenie. (Volanie metódy }{@code currspustiSkript}
				{@code comm// by v opačnom prípade i tak nemalo žiadny efekt.)}
				{@code kwdpublic} {@code typevoid} spusti()
				{
					{@code kwdif} (!{@link Svet Svet}.{@link Svet#skriptJeSpustený() skriptJeSpustený}())
					{
						krok = {@code valfalse};
						prerušiť = {@code valfalse};
						{@link GRobot#domov() domov}();
						{@link Svet Svet}.{@link Svet#vymaž() vymaž}();
						{@link Svet Svet}.{@link Svet#spustiSkript(String, boolean) spustiSkript}({@code srg"Test.GRScript"}, {@code valtrue});
					}
				}

				{@code comm// Hlavná metóda.}
				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
				{
					{@link Svet Svet}.{@link Svet#použiKonfiguráciu() použiKonfiguráciu}();
					{@code kwdnew} TestLadenieSkriptu();
				}
			}
			</pre>
			<!--
				Táto metóda bola pred klikom:

						{@code comm// Bez definovania tejto reakcie by nebolo možné rolovať texty}
						{@code comm// stropu kolieskom myši. (Pozri informácie uvedené v opise metódy}
						{@code comm// Plátno.}{@link Plátno#rolujTexty(int, int) rolujTexty}{@code comm(Δx, Δy); )}
						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#rolovanieKolieskomMyši() rolovanieKolieskomMyši}()
						{
							{@link Plátno strop}.{@link Plátno#rolujTexty() rolujTexty}();
						}

			-->
		 * 
		 * @param riadky pole reťazcov reprezentujúcich riadky skriptu
		 * 
		 * @see #interaktívnyRežim(boolean)
		 * @see #režimLadenia(boolean)
		 * @see #vykonajSkript(String[])
		 * @see #vykonajSkript(String)
		 * @see #vykonajSkript(String, boolean)
		 * @see #skriptJeSpustený()
		 * @see #spustiSkript(String)
		 * @see #spustiSkript(String, boolean)
		 * @see #kódPoslednejChyby()
		 * @see #textPoslednejChyby()
		 * 
		 *  @throws GRobotException  ak bolo vykonávanie niektorého príkazu
		 *      skriptu zrušené
		 *  @throws IllegalAccessException  ak metóda, s ktorou súviselo
		 *      vykonávanie niektorého príkazu skriptu nie je dostupná
		 *      (verejná)
		 *  @throws IllegalArgumentException  ak niektorý z argumentov
		 *      metódy, s ktorou súviselo vykonávanie niektorého z príkazov
		 *      skriptu nebol požadovaného typu, ani ho na taký typ nebolo
		 *      možné previesť
		 *  @throws InvocationTargetException  ak pri vykonávní metódy,
		 *      s ktorou súviselo vykonávanie niektorého z príkazov skriptu
		 *      vznikla výnimka
		 */
		public static void spustiSkript(String[] riadky)
		{
			if (!skriptJeSpustený)
			{
				skriptJeSpustený = true;
				new Thread(() ->
				{
					int chyba = vykonajSkript(riadky);

					if (null != počúvadlo)
					{
						if (0 == chyba)
						{
							poslednáChyba = 0;
							počúvadlo.ladenie(0, null, UKONČENIE_SKRIPTU);
						}
						else
							počúvadlo.ladenie(chyba, textPoslednejChyby(),
								UKONČENIE_CHYBOU);
					}

					skriptJeSpustený = false;
				}).start();
			}
		}

		/**
		 * Funguje podobne ako {@link #vykonajSkript(String)
		 * vykonajSkript(skript)}, ale spustí vykonávanie v samostatnom vlákne
		 * Javy, takže môže byť ladené. Keďže pri tomto spôsobe nie je možné
		 * získať návratovú hodnotu priamo, tak je v prípade vzniku chyby
		 * počas vykonávania skriptu spustená reakcia
		 * {@link ObsluhaUdalostí#ladenie(int, String, int) ladenie}, ktorej
		 * je poslané číslo chybového riadka v parametri {@code riadok}, text
		 * chybového hlásenia v parametri {@code príkaz} a {@code správa} má
		 * kód {@link GRobot#UKONČENIE_CHYBOU UKONČENIE_CHYBOU}.
		 * Ak chyba nevznikne, tak je tiež spustená reakcia
		 * {@link ObsluhaUdalostí#ladenie(int, String, int) ladenie}, ale prvé
		 * dva parametre sú prázdne a {@code správa} má kód
		 * {@link GRobot#UKONČENIE_SKRIPTU UKONČENIE_SKRIPTU}. Dokedy nie je
		 * ukončená činnosť jedného skriptu, nie je možné spustiť vykonávanie
		 * ďalšieho, ale v priebehu jeho činnosti je možné (aj keď nie
		 * odporúčané) vykonať iný skript (metódou
		 * {@link #vykonajSkript(String[]) vykonajSkript} alebo jej „klonmi“)
		 * alebo príkaz (metódou {@link #vykonajPríkaz(String) vykonajPríkaz}
		 * alebo jej „klonmi“).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param skript skript uložený v jednom reťazci
		 * 
		 * @see #interaktívnyRežim(boolean)
		 * @see #režimLadenia(boolean)
		 * @see #vykonajSkript(String[])
		 * @see #vykonajSkript(String)
		 * @see #vykonajSkript(String, boolean)
		 * @see #skriptJeSpustený()
		 * @see #spustiSkript(String[])
		 * @see #spustiSkript(String, boolean)
		 * @see #kódPoslednejChyby()
		 * @see #textPoslednejChyby()
		 * 
		 *  @throws GRobotException  ak bolo vykonávanie niektorého príkazu
		 *      skriptu zrušené
		 *  @throws IllegalAccessException  ak metóda, s ktorou súviselo
		 *      vykonávanie niektorého príkazu skriptu nie je dostupná
		 *      (verejná)
		 *  @throws IllegalArgumentException  ak niektorý z argumentov
		 *      metódy, s ktorou súviselo vykonávanie niektorého z príkazov
		 *      skriptu nebol požadovaného typu, ani ho na taký typ nebolo
		 *      možné previesť
		 *  @throws InvocationTargetException  ak pri vykonávní metódy,
		 *      s ktorou súviselo vykonávanie niektorého z príkazov skriptu
		 *      vznikla výnimka
		 */
		public static void spustiSkript(String skript)
		{
			String riadky[] = vykonajSkriptRiadkovač.split(skript);
			// for (String s : riadky) System.out.println("Riadok: " + s);

			spustiSkript(riadky);
		}

		/**
		 * Funguje podobne ako {@link #vykonajSkript(String, boolean)
		 * vykonajSkript(skript, zoSúboru)}, ale spustí vykonávanie
		 * v samostatnom vlákne Javy, takže môže byť ladené. Keďže pri tomto
		 * spôsobe nie je možné získať návratovú hodnotu priamo, tak je
		 * v prípade vzniku chyby počas vykonávania skriptu spustená reakcia
		 * {@link ObsluhaUdalostí#ladenie(int, String, int) ladenie}, ktorej
		 * je poslané číslo chybového riadka v parametri {@code riadok}, text
		 * chybového hlásenia v parametri {@code príkaz} a {@code správa} má
		 * kód {@link GRobot#UKONČENIE_CHYBOU UKONČENIE_CHYBOU}.
		 * Ak chyba nevznikne, tak je tiež spustená reakcia
		 * {@link ObsluhaUdalostí#ladenie(int, String, int) ladenie}, ale prvé
		 * dva parametre sú prázdne a {@code správa} má kód
		 * {@link GRobot#UKONČENIE_SKRIPTU UKONČENIE_SKRIPTU}. Dokedy nie je
		 * ukončená činnosť jedného skriptu, nie je možné spustiť vykonávanie
		 * ďalšieho, ale v priebehu jeho činnosti je možné (aj keď nie
		 * odporúčané) vykonať iný skript (metódou
		 * {@link #vykonajSkript(String[]) vykonajSkript} alebo jej „klonmi“)
		 * alebo príkaz (metódou {@link #vykonajPríkaz(String) vykonajPríkaz}
		 * alebo jej „klonmi“).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param skript názov súboru so skriptom alebo skript uložený
		 * v jednom reťazci
		 * @param zoSúboru ak je {@code valtrue}, tak je prvý parameter
		 * považovaný za názov súboru so skriptom; ak je {@code valfalse},
		 * tak je prvý parameter považovaný za skript (rovnako ako pri
		 * metóde {@link #spustiSkript(String) spustiSkript(skript)})
		 * 
		 * @see #interaktívnyRežim(boolean)
		 * @see #režimLadenia(boolean)
		 * @see #vykonajSkript(String[])
		 * @see #vykonajSkript(String)
		 * @see #vykonajSkript(String, boolean)
		 * @see #skriptJeSpustený()
		 * @see #spustiSkript(String[])
		 * @see #spustiSkript(String)
		 * @see #kódPoslednejChyby()
		 * @see #textPoslednejChyby()
		 *  @throws GRobotException  ak skript so zadaným menom nebol nájdený
		 *      alebo ak bolo vykonávanie niektorého príkazu skriptu zrušené
		 *  @throws IllegalAccessException  ak metóda, s ktorou súviselo
		 *      vykonávanie niektorého príkazu skriptu nie je dostupná
		 *      (verejná)
		 *  @throws IllegalArgumentException  ak niektorý z argumentov
		 *      metódy, s ktorou súviselo vykonávanie niektorého z príkazov
		 *      skriptu nebol požadovaného typu, ani ho na taký typ nebolo
		 *      možné previesť
		 *  @throws InvocationTargetException  ak pri vykonávní metódy,
		 *      s ktorou súviselo vykonávanie niektorého z príkazov skriptu
		 *      vznikla výnimka
		 */
		public static void spustiSkript(String skript, boolean zoSúboru)
		{
			if (zoSúboru)
			{
				try
				{
					BufferedReader čítanie;
					Vector<String> riadky = new Vector<String>();

					try
					{
						// Vyhľadá súbor na pevnom disku
						čítanie = new BufferedReader(new InputStreamReader(
							dajVstupnýPrúdSúboru(skript), "UTF-8"));
					}
					catch (FileNotFoundException notFound)
					{
						try
						{
							// Pokúsi sa prečítať skript zo zdroja .jar súboru
							čítanie = new BufferedReader(new InputStreamReader(
								dajVstupnýPrúdZdroja(skript), "UTF-8"));
						}
						catch (NullPointerException isNull)
						{
							throw new GRobotException(
								"Skript „" + skript + "“ nebol nájdený.",
								"scriptNotFound", skript, notFound);
						}
					}

					String riadok = čítanie.readLine();
					if (null != riadok)
					{
						if (!riadok.isEmpty() &&
							riadok.charAt(0) == '\uFEFF')
							riadok = riadok.substring(1);

						do
						{
							riadky.add(riadok);
							riadok = čítanie.readLine();
						}
						while (null != riadok);
					}

					čítanie.close();
					if (!riadky.isEmpty())
						spustiSkript(riadky.toArray(new String[riadky.size()]));
				}
				catch (Exception e)
				{
					vypíšChybovéHlásenia(e);
					if (null != počúvadlo)
					{
						poslednáChyba = -1;
						počúvadlo.ladenie(-1, "Chyba pri čítaní skriptu",
							UKONČENIE_CHYBOU);
					}
				}
			}
			else spustiSkript(skript);
		}


		/**
		 * Táto metóda je automaticky používaná {@linkplain
		 * Svet#interaktívnyRežim(boolean) interaktívnym režimom}
		 * a umožňuje používať príkazy, ktoré sú dostupné v tomto režime
		 * za hranicami {@linkplain Svet#interaktívnyRežim(boolean)
		 * interaktívneho režimu} (t. j. bez nevyhnutnosti jeho aktivácie).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param príkaz príkazový riadok spĺňajúci pravidlá uvedené
		 * {@linkplain Svet#interaktívnyRežim(boolean) tu}
		 * @return {@code valtrue} ak bol príkaz nájdený a podarilo
		 * sa ho vykonať
		 * @see GRobot#vykonajPríkaz(String)
		 * @see Plátno#vykonajPríkaz(String)
		 * @see GRobot#interaktívnyRežim(boolean)
		 * @see Svet#interaktívnyRežim(boolean)
		 * @see Plátno#interaktívnyRežim(boolean)
		 * @see Svet#režimLadenia(boolean)
		 *  @throws GRobotException  ak bolo vykonávanie príkazu zrušené
		 *  @throws IllegalAccessException  ak metóda, s ktorou súvisí
		 *      vykonávanie príkazu nie je dostupná (verejná)
		 *  @throws IllegalArgumentException  ak niektorý z argumentov
		 *      metódy, s ktorou súvisí vykonávanie príkazu nie je
		 *      požadovaného typu, ani ho na neho nie je možné previesť
		 *  @throws InvocationTargetException  ak pri vykonávní metódy,
		 *      s ktorou súvisí vykonávanie príkazu vznikla výnimka
		 */
		public static boolean vykonajPríkaz(String príkaz)
		{
			if (vykonajPríkaz(príkaz, Svet.class, null)) return true;
			if (vykonajPríkaz(príkaz, Math.class, null)) return true;
			if (vykonajPríkaz(príkaz, Bod.class, null)) return true;
			return vykonajPríkaz(príkaz, Farba.class, null);
		}

		/** <a class="alias"></a> Alias pre {@link #vykonajPríkaz(String) vykonajPríkaz}. */
		public static boolean vykonajPrikaz(String príkaz)
		{ return vykonajPríkaz(príkaz); }

		/**
		 * Zapne alebo vypne interaktívny režim pre svet. Interaktívny režim
		 * bol do knižnice pridaný vo verzii 1.47. Vo verzii 1.49 boli jeho
		 * možnosti značne rozšírené.
		 * 
		 * <P>Tento režim umožňuje pracovať so zvoleným robotom/robotmi,
		 * svetom a/alebo plátnom tak, že mnohé príkazy môžu byť spracúvané
		 * priamo počas činnosti programu a to buď zadaním do zobrazeného
		 * príkazového riadka, alebo
		 * {@linkplain #vykonajSkript(String[]) spustením skriptu}.
		 * 
		 * Príkazy interaktívneho režimu môžu byť vykonávané aj bez jeho
		 * aktivácie a to volaním prislúchajúcej metódy –
		 * 
		 * {@link GRobot#vykonajPríkaz(String) robot.vykonajPríkaz(príkaz)}
		 * {@link Svet#vykonajPríkaz(String) Svet.vykonajPríkaz(príkaz)},
		 * {@link Plátno#vykonajPríkaz(String) podlaha.vykonajPríkaz(príkaz)},
		 * alebo
		 * {@link Plátno#vykonajPríkaz(String) strop.vykonajPríkaz(príkaz)}.
		 * 
		 * <P>Vykonávanie príkazov interaktívneho režimu nie je z pohľadu
		 * spracovania príliš efektívne, ale je názorné. Začínajúci
		 * študent/programátor môže ľahko vidieť, ktorý zo základných
		 * príkazov má aký efekt. Po zapnutí interaktívneho príkazového
		 * režimu pre niektorého z robotov, svet a/alebo plátno je automaticky
		 * zobrazený vstupný riadok, ktorý od tejto chvíle očakáva príkazy
		 * zadané v špecifickom tvare opísanom nižšie.
		 * 
		 * <P>Po potvrdení vstupu alebo {@linkplain #vykonajSkript(String[])
		 * spustení skriptu} sú prehľadávané všetky inštancie robota
		 * (alebo jeho potomkov), ktoré majú tento režim aktivovaný, v rámci
		 * toho je prehľadaná trieda {@link Súbor Súbor} rovnakého robota,
		 * potom je prehľadná trieda {@link Svet Svet} spolu s triedou Javy
		 * {@link java.lang.Math Math} a statickou časťou tried
		 * {@link Bod Bod} a {@link Farba Farba}. Nakoniec sú prehľadané
		 * inštancie {@linkplain Plátno plátien} podlaha a strop. (Hľadajú sa
		 * príkazy, ktoré zodpovedajú schéme opísanej nižšie.)
		 * 
		 * <P>To znamená, že príkazy sú prioritne posielané inštanciám robotov
		 * (ktoré sú v interaktívnom režime) a až potom ostatným inštanciám
		 * ({@link Svet Svet}, {@link java.lang.Math Math}…). Prvý pozitívny
		 * výsledok v dávke spracovania príkazového riadka ukončuje ďalšie
		 * spracovanie. To znamená, že ak zareaguje aspoň jeden robot (môžu
		 * zareagovať aj všetky), tak sa spracovanie príkazu končí.
		 * Iba v prípade, že na zadaný príkaz nezareagoval žiadny robot, je
		 * príkaz poslaný svetu a ten v prípade svojho neúspechu dodatočne
		 * prehľadá ďalšie triedy ({@link java.lang.Math Math}…).
		 * Ak nezareaguje ani jedna súčasť prehľadávaná svetom, tak sú na
		 * rade plátna. Ak majú interaktívny režim aktivované obe plátna,
		 * im je príkaz poslaný obom, ak iba jedno, tak iba jednému z nich.
		 * 
		 * <P>Ak je aktívna obsluha udalostí, tak je v prípade pozitívneho
		 * výsledku spracovania príkazu potvrdeného v príkazovom riadku
		 * spustená reakcia
		 * 
		 * {@link ObsluhaUdalostí#spracovaniePríkazu() spracovaniePríkazu}.
		 * 
		 * V prípade negatívneho výsledku (t. j. ak potvrdený príkaz nebol
		 * rozpoznaný žiadnou z prehľadávaných súčastí) sú spustené reakcie
		 * na klasické potvrdenie vstupu
		 * 
		 * ({@link ObsluhaUdalostí#potvrdenieÚdajov() potvrdenieÚdajov},
		 * {@link ObsluhaUdalostí#potvrdenieVstupu() potvrdenieVstupu}).
		 * 
		 * <P>Po deaktivovaní interaktívneho príkazového režimu všetkých
		 * dotknutých entít (robotov a/alebo sveta), je vstupný riadok
		 * automaticky skrytý a to bez ohľadu na to, či bol pred aktiváciou
		 * režimu zobrazený alebo nie.
		 * 
		 * <P>Príkazy interaktívneho režimu <b>nie sú</b> zadávané
		 * v syntakticky identickom tvare ako pri volaní metódy Javy.
		 * Zápis príkazu musí byť ekvivalentný takej metóde robota (resp.
		 * sveta alebo metódy <code>Math</code>), ktorá spĺňa jednu
		 * z nasledujúcich podmienok:
		 * 
		 * <ul>
		 * <li>neprijíma žiadny parameter,</li>
		 * <li>prijíma jeden až štyri číselné parametre (typ {@code typedouble}
		 * alebo {@code typeint}),</li>
		 * <li>prijíma jeden booleovský parameter (typ
		 * {@code typeboolean}),</li>
		 * <li>prijíma jeden parameter určujúci farbu v textovom tvare:
		 * červená, zelená, modrá… (tu sú dovolené len preddefinované farby,
		 * ale číselnými kombináciami parametrov je možné namiešať ľubovoľnú
		 * farbu),</li>
		 * <li>všetky vyššie uvedené možnosti s pridaným jedným reťazcovým
		 * parametrom na prvé alebo posledné miesto.</li>
		 * </ul>
		 * 
		 * <P><small><b>Poznámka:</b> Počet argumentov konkrétneho príkazu
		 * musí byť rovnaký ako počet parametrov metódy, ktorej volanie má
		 * reprezentovať. To, že počet číselných argumentov sa môže pohybovať
		 * v rozsahu nula až štyri znamená, že interaktívny režim vyhľadáva
		 * iba také metódy, ktoré majú uvedený počet argumentov</small>
		 * 
		 * <P>Jednotlivé slová príkazov interaktívneho režimu musia byť
		 * oddelené medzerou, na veľkosti písmen nezáleží a diakritika musí
		 * byť buď úplne uvedená, alebo úplne vynechaná. Argumenty musia byť
		 * od príkazu aj od seba navzájom oddelené medzerou alebo čiarkou.
		 * Ich údajový typ musí byť v súlade s vyššie uvedeným. Reťazcový
		 * argument musí byť vždy uvedený ako posledný (aj keď ide
		 * o ekvivalent metódy, ktorá ho má v skutočnosti na začiatku)
		 * a musí sa začínať strojopisnými úvodzovkami {@code "}.
		 * 
		 * <P>Interaktívny režim umožňuje pracovať s vnútornými premennými.
		 * Premenná vzniká pri prvom vložení hodnoty, na to slúži príkaz
		 * {@code nech}, za ktorým musí nasledovať názov premennej. Za názvom
		 * premennej môže byť uvedený operátor a ak nejde o unárny operátor,
		 * tak ďalej musí byť uvedená buď hodnota, alebo príkaz spĺňajúci
		 * podmienky uvedené vyššie. Binárne operácie fungujú tak, že uvedená
		 * hodnota alebo výsledok príkazu sú spracované s aktuálnou hodnotou
		 * premennej – to znamená, že ak ide o sčítanie, tak je hodnota
		 * pripočítaná k hodnote premennej, ak ide o logický súčet, tak
		 * výsledok v premennej bude nula v prípade, že je hodnota premennej
		 * aj výrazu napravo boli nenulové a jedna v opačnom prípade atď.
		 * Návratová hodnota príkazu (originálnej metódy knižnice)
		 * musí byť číslo (prípadne logická hodnota), farba, poloha alebo
		 * reťazec. Ak sa pracuje s číslami, tak operátor môže byť jeden
		 * z nasledujúcej tabuľky:
		 * 
		 * <P>&nbsp;
		 * 
		 * <table>
		 * <tr><td rowspan="17">&nbsp;</td>
		 * <td><code>=</code></td><td>–</td><td>priradenie</td></tr>
		 * <tr><td><code>+</code></td><td>–</td><td>sčítanie</td></tr>
		 * <tr><td><code>-</code></td><td>–</td><td>odčítanie</td></tr>
		 * <tr><td><code>*</code></td><td>–</td><td>násobenie</td></tr>
		 * <tr><td><code>/</code></td><td>–</td><td>delenie</td></tr>
		 * <tr><td><code>%</code></td><td>–</td><td>zvyšok po delení</td></tr>
		 * <tr><td><code>_</code></td><td>–</td><td>odseknutie – odstránenie desatinnej časti</td></tr>
		 * <tr><td><code>~</code></td><td>–</td><td>zmena znamienka (z kladného na záporné alebo naopak)</td></tr>
		 * <tr><td><code>==</code></td><td>–</td><td>zhoda</td></tr>
		 * <tr><td><code>!=</code></td><td>–</td><td>nezhoda</td></tr>
		 * <tr><td><code>!</code></td><td>–</td><td>logická negácia</td></tr>
		 * <tr><td><code>&amp;&amp;</code></td><td>–</td><td>logické a súčasne</td></tr>
		 * <tr><td><code>||</code></td><td>–</td><td>logické alebo</td></tr>
		 * <tr><td><code>&gt;</code></td><td>–</td><td>väčší než</td></tr>
		 * <tr><td><code>&lt;</code></td><td>–</td><td>menší než</td></tr>
		 * <tr><td><code>&gt;=</code></td><td>–</td><td>väčší alebo rovný než</td></tr>
		 * <tr><td><code>&lt;=</code></td><td>–</td><td>menší alebo rovný než</td></tr>
		 * </table>
		 * 
		 * <P><b>Napríklad:</b>
		 * <P>    nech a = 10.0<br />
		 *     nech a + 2.0<br />
		 *     nech f = farba<br />
		 * 
		 * <P>Príkazy sveta {@link Svet#vypíš(Object[]) vypíš} a {@link
		 * Svet#vypíšRiadok(Object[]) vypíšRiadok} sú sprístupnené nad rámec
		 * vyššie uvedených podmienok (nespĺňali by podmienky, pretože
		 * prijímajú variabilný počet argumentov). Sú dostupné vždy a vždy
		 * posielajú svoj výpis prostredníctvom sveta (t. j. na vnútornú
		 * konzolu stropu). No ich správanie je mierne pozmenené.
		 * Reťazcový argument je vždy vypísaný ako prvý a po ňom nasledujú
		 * ďalšie argumenty (jeden až štyri číselné alebo farba).
		 * V prípade potreby je možné želaný výsledok dosiahnuť viacnásobným
		 * zadaním príkazu {@code vypíš} a {@code vypíš riadok}.
		 * 
		 * <P>Ak sa riadok skriptu začína znakom {@code @}, tak je neprázdny
		 * zvyšok riadka považovaný za názov {@linkplain
		 * #interaktívnaInštancia(String) interaktívnej inštancie}. Ak je
		 * zvyšok riadka prázdny, tak je {@linkplain
		 * #interaktívnaInštancia(String) interaktívna inštancia} zrušená.
		 * 
		 * <P>Niekoľko ďalších príkazov bolo transformovaných tak, aby lepšie
		 * zapadali do fungovania interaktívneho režimu, napríklad:
		 * zadaj číslo, uprav číslo, náhodné číslo, zadaj reťazec…
		 * 
		 * <P><b>Príklady príkazov uložených v skripte (pozri príkazy
		 * {@link #vykonajSkript(String[]) vykonajSkript(riadky)},
		 * {@link #spustiSkript(String[]) spustiSkript(riadky)}
		 * a im príbuzné; okrem opakovania sú všetky príkazy nasledujúceho
		 * skriptu použiteľné aj v príkazovom riadku interaktívneho
		 * režimu):</b>
		 * <P>nech dĺžka = uprav číslo 100, "Zadaj stranu<br />
		 * nech koľko = uprav číslo 72, "Zadaj počet opakovaní<br />
		 * <br />
		 * skoč dĺžka, -50<br />
		 * farba zelená<br />
		 * <br />
		 * nech i = koľko<br />
		 * :opakuj1<br />
		 *   dopredu dĺžka<br />
		 *   vpravo 145<br />
		 * dokedy i, opakuj1<br />
		 * <br />
		 * nech dĺžka * 3<br />
		 * nech dĺžka ~<br />
		 * skoč dĺžka, 0<br />
		 * nech dĺžka ~<br />
		 * nech dĺžka / 3<br />
		 * <br />
		 * zdvihni pero<br />
		 * začni cestu<br />
		 * <br />
		 * nech i = 5<br />
		 * :opakuj2<br />
		 *   dopredu dĺžka<br />
		 *   vpravo 72<br />
		 * dokedy i, opakuj2<br />
		 * <br />
		 * farba žltá<br />
		 * vyplň cestu<br />
		 * farba čierna<br />
		 * hrúbka čiary 3.2<br />
		 * kresli cestu<br />
		 * <br />
		 * vypíš dĺžka, "Toto je výsledok kreslenia s dĺžkou <br />
		 * vypíš koľko, " a počtom opakovaní <br />
		 * vypíš riadok ":<br />
		 * <br />
		 * nech veľkosť = uprav číslo 30, "Zadaj veľkosť<br />
		 * veľkosť veľkosť<br />
		 * nech text = "Veľkosť: <br />
		 * nech text + veľkosť<br />
		 * <br />
		 * domov<br />
		 * dozadu veľkosť<br />
		 * dozadu 10<br />
		 * text text<br />
		 * zobraz<br />
		 * domov<br />
		 * 
		 * <hr />
		 * 
		 * <P>Po potvrdení predvolených údajov (100, 72 a 30) bude výsledok
		 * takýto:
		 * <image>interaktivnyRezim.png</image>Výsledok vykonania skriptu
		 * 
		 * <P>&nbsp;<P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param zapni ak je {@code valtrue}, režim bude pre svet
		 * zapnutý, inak bude vypnutý
		 * @see GRobot#interaktívnyRežim(boolean)
		 * @see Plátno#interaktívnyRežim(boolean)
		 * @see GRobot#vykonajPríkaz(String)
		 * @see #vykonajPríkaz(String)
		 * @see Plátno#vykonajPríkaz(String)
		 * @see #vykonajSkript(String[])
		 * @see #vykonajSkript(String)
		 * @see #vykonajSkript(String, boolean)
		 * @see #interaktívnaInštancia()
		 * @see #zrušInteraktívnuInštanciu()
		 * @see #režimLadenia(boolean)
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 * @see #kódPoslednejChyby()
		 * @see #textPoslednejChyby()
		 */
		public static void interaktívnyRežim(boolean zapni)
		{
			if (zapni)
			{
				if (!interaktívnyRežim)
				{
					interaktívnyRežim = true;
					if (0 == početVInteraktívnomRežime)
						Svet.neskrývajVstupnýRiadok(true);
					++početVInteraktívnomRežime;
				}
			}
			else
			{
				if (interaktívnyRežim)
				{
					interaktívnyRežim = false;
					--početVInteraktívnomRežime;
					if (0 == početVInteraktívnomRežime)
						Svet.skrývajVstupnýRiadok(true);
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #interaktívnyRežim(boolean) interaktívnyRežim}. */
		public static void interaktivnyRezim(boolean zapni)
		{ interaktívnyRežim(zapni); }

		/**
		 * Zistí stav interaktívneho režimu pre svet.
		 * Pozri: {@link Svet#interaktívnyRežim(boolean)
		 * Svet.interaktívnyRežim(zapni)}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return stav režimu pre svet
		 */
		public static boolean interaktívnyRežim() { return interaktívnyRežim; }

		/** <a class="alias"></a> Alias pre {@link #interaktívnyRežim() interaktívnyRežim}. */
		public static boolean interaktivnyRezim() { return interaktívnyRežim; }

		/**
		 * <a class="setter"></a> Nastaví alebo zruší aktívnu inštanciu
		 * pre {@linkplain Svet#interaktívnyRežim(boolean) interaktívny režim}.
		 * Keď je aktívna inštancia, tak príkazy odoslané v príkazovom riadku
		 * budú spracované len korektne rozpoznanou inštanciou. <b>Pozor!</b>
		 * Táto inštancia ovplyvňuje len príkazy zadávané cez príkazový
		 * riadok. Neovplyvňuje príkazy vykonávané ako {@linkplain
		 * #vykonajSkript(String[]) skript}. Aktívnu inštanciu
		 * {@linkplain #vykonajSkript(String[]) skriptu}
		 * je možné ovplyvňovať len priamo v {@linkplain
		 * #vykonajSkript(String[]) skripte} riadkami so syntaxou:
		 * {@code @}<i>«názov inštancie»</i> (nastavenie inštancie) a {@code @}
		 * (zrušenie inštancie). Rovnaký príkaz je použiteľný aj v príkazovom
		 * riadku {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho
		 * režimu} a táto metóda poskytuje nástroj na nastavenie aktívnej
		 * inštancie programátorom.
		 * 
		 * <P>Medzi predvolené názvy inštancií patria: {@code svet},
		 * {@code podlaha}, {@code strop} a {@code robot}. Ďalšou inštanciou
		 * môže byť ľubovoľný {@linkplain GRobot#meno(String) pomenovaný
		 * robot}. Na zrušenie aktívnej inštancie treba zadať namiesto
		 * parametra {@code inštancia} {@code valnull} alebo zavolať metódu
		 * {@link #zrušInteraktívnuInštanciu() zrušInteraktívnuInštanciu}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param inštancia nová aktívna inštancia {@linkplain
		 *     Svet#interaktívnyRežim(boolean) interaktívneho režimu} alebo
		 *     {@code valnull}
		 * @see #interaktívnaInštancia()
		 * @see #zrušInteraktívnuInštanciu()
		 * @see #interaktívnyRežim(boolean)
		 * @see #režimLadenia(boolean)
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public static void interaktívnaInštancia(String inštancia)
		{ interaktívnaInštancia = inštancia.toLowerCase(); }

		/** <a class="alias"></a> Alias pre {@link #interaktívnaInštancia(String) interaktívnaInštancia}. */
		public static void interaktivnaInstancia(String inštancia)
		{ interaktívnaInštancia = inštancia.toLowerCase(); }

		/**
		 * <a class="getter"></a> Vráti aktívnu inštanciu {@linkplain
		 * Svet#interaktívnyRežim(boolean) interaktívneho režimu} alebo
		 * {@code valnull}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return aktívna inštancia {@linkplain
		 *     Svet#interaktívnyRežim(boolean) interaktívneho režimu} alebo
		 *     {@code valnull}
		 * @see #interaktívnaInštancia(String)
		 */
		public static String interaktívnaInštancia()
		{ return interaktívnaInštancia; }

		/** <a class="alias"></a> Alias pre {@link #interaktívnaInštancia() interaktívnaInštancia}. */
		public static String interaktivnaInstancia()
		{ return interaktívnaInštancia; }

		/**
		 * Zruší interaktívnu inštanciu.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #interaktívnaInštancia(String)
		 */
		public static void zrušInteraktívnuInštanciu()
		{ interaktívnaInštancia = null; }

		/** <a class="alias"></a> Alias pre {@link #zrušInteraktívnuInštanciu() zrušInteraktívnuInštanciu}. */
		public static void zrusInteraktivnuInstanciu()
		{ interaktívnaInštancia = null; }

		/**
		 * Získa kód poslednej chyby, ktorá nastala počas vykonávania príkazov
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}
		 * alebo {@linkplain Svet#vykonajSkript(String[]) skriptu}. Môže ísť
		 * o jeden z nasledujúcich kódov:
		 * <ul>
		 *  <li>{@link GRobot#ŽIADNA_CHYBA ŽIADNA_CHYBA},</li>
		 *  <li>{@link GRobot#CHYBA_VYKONANIA_PRÍKAZU CHYBA_VYKONANIA_PRÍKAZU},</li>
		 *  <li>{@link GRobot#CHYBA_DVOJITÁ_MENOVKA CHYBA_DVOJITÁ_MENOVKA},</li>
		 *  <li>{@link GRobot#CHYBA_CHÝBAJÚCA_MENOVKA CHYBA_CHÝBAJÚCA_MENOVKA},</li>
		 *  <li>{@link GRobot#CHYBA_NEZNÁMA_MENOVKA CHYBA_NEZNÁMA_MENOVKA},</li>
		 *  <li>{@link GRobot#CHYBA_NEZNÁME_SLOVO CHYBA_NEZNÁME_SLOVO},</li>
		 *  <li>{@link GRobot#CHYBA_NEZNÁMA_ŠTRUKTÚRA CHYBA_NEZNÁMA_ŠTRUKTÚRA},</li>
		 *  <li>{@link GRobot#CHYBA_NEZNÁME_MENO CHYBA_NEZNÁME_MENO},</li>
		 *  <li>{@link GRobot#CHYBA_NEZNÁMY_PRÍKAZ CHYBA_NEZNÁMY_PRÍKAZ}.</li>
		 * </ul>
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return kód chyby – na získanie podrobností klikni na meno chyby
		 * v zozname vyššie
		 * @see #textPoslednejChyby()
		 */
		public static int kódPoslednejChyby() { return poslednáChyba; }

		/** <a class="alias"></a> Alias pre {@link #kódPoslednejChyby() kódPoslednejChyby}. */
		public static int kodPoslednejChyby() { return poslednáChyba; }

		/**
		 * Vráti vysvetľujúci text ku kódu poslednej chyby, ktorá nastala
		 * počas vykonávania príkazov
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}
		 * alebo
		 * {@linkplain Svet#vykonajSkript(String[]) skriptu}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return text ku kódu chyby
		 * @see #kódPoslednejChyby()
		 */
		public static String textPoslednejChyby()
		{
			switch (poslednáChyba)
			{
				case ŽIADNA_CHYBA: return "Nenastala žiadna chyba. " +
					"(Prípadne mohla nastať neznáma chyba.)";

				case CHYBA_VYKONANIA_PRÍKAZU: return "Nastala chyba počas " +
					"vykonávania posledného príkazu. (Mohlo ísť napríklad " +
					"o zadanie nesprávneho argumentu a pod.)";

				case CHYBA_DVOJITÁ_MENOVKA: return "V skripte sa vyskytla " +
					"dvojnásobná definícia menovky. (Vykonávaie skriptu " +
					"nemôže pokračovať, pretože skript by pri vykonávaní " +
					"riadiacich príkazov „ak“ alebo „dokedy“ (s ich " +
					"prípadnou alternatívou „inak“) nevedel identifikovať, " +
					"ktorým riadkom má jeho vykonávanie pokračovať.)";

				case CHYBA_CHÝBAJÚCA_MENOVKA: return "Za riadiacim " +
					"príkazom „ak“ alebo „dokedy“ (s prípadnou " +
					"alternatívou „inak“) chýba zadanie menovky.";

				case CHYBA_NEZNÁMA_MENOVKA: return "Menovka za riadiacim " +
					"príkazom „ak“ alebo „dokedy“ (prípadne za " +
					"alternatívou „inak“) je neznáma. (Nebola definovaná " +
					"v rámci celého skriptu.)";

				case CHYBA_NEZNÁME_SLOVO: return "Za menovkou riadiaceho " +
					"príkazu „ak“ alebo „dokedy“ sa vyskylo nezáme slovo. " +
					"Za zadaním prvej menovky môže nasledovať ďalšia " +
					"menovka a to buď bezprostredne, alebo za slovom " +
					"určujúcim alternatívu – „inak“. Ostané slová sú " +
					"považované za neznáme.";

				case CHYBA_NEZNÁMA_ŠTRUKTÚRA: return "Pokus o korektné " +
					"rozpoznanie riadiaceho príkazu „ak“ alebo „dokedy“ " +
					"zlyhal.";

				case CHYBA_NEZNÁME_MENO: return "Naposledny aktivovaná " +
					"inštancia už alebo ešte nejestvuje. (Zadané meno " +
					"inštancie je neznáme.)";

				case CHYBA_NEZNÁMY_PRÍKAZ: return "Zadaný príkaz nebol " +
					"rozpoznaný.";
			}

			return "Nastala nezáma chyba.";
		}

		/**
		 * Získa návratovú hodnotu naposledy vykonaného príkazu
		 * {@linkplain Svet#interaktívnyRežim(boolean) interaktívneho režimu}
		 * alebo {@linkplain Svet#vykonajSkript(String[]) skriptu}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return návratová hodnota naposledy vykonaného príkazu
		 */
		public static Object poslednáNávratováHodnota()
		{ return poslednáNávratováHodnota; };

		/** <a class="alias"></a> Alias pre {@link #poslednáNávratováHodnota() poslednáNávratováHodnota}. */
		public static Object poslednaNavratovaHodnota()
		{ return poslednáNávratováHodnota; };


		// Vnútorná konzola

		/**
		 * <a class="getter"></a> Zistí stav/hodnotu vlastnosti zalamovania
		 * textov vnútornej konzoly stropu. Má rovnaký efekt ako keby sme
		 * volali metódu
		 * {@link GRobot.Plátno#zalamujeTexty() strop.zalamujeTexty()}.
		 * 
		 *  @return {@code valtrue} ak sú texty stropu presahujúce pravý okraj
		 *      okna automaticky zalamované; {@code valfalse} v opačnom
		 *      prípade
		 */
		public static boolean zalamujeTexty()
		{ return strop.zalamujeTexty(); }

		/**
		 * <a class="setter"></a> Nastaví vlastnosť zalamovania textov
		 * vnútornej konzoly stropu podľa zadaného parametra. Má rovnaký efekt
		 * ako keby sme volali metódu
		 * {@link GRobot.Plátno#zalamujTexty(boolean)
		 * strop.zalamujTexty(zalamuj)}.
		 * 
		 *  @param zalamuj {@code valtrue} ak chceme, aby boli texty stropu
		 *      presahujúce pravý okraj okna automaticky zalomené; {@code
		 *      valfalse} v opačnom prípade
		 */
		public static void zalamujTexty(boolean zalamuj)
		{ strop.zalamujTexty(zalamuj); }

		/**
		 * Zapne zalamovanie textov vnútornej konzoly stropu. Má rovnaký efekt
		 * ako keby sme volali metódu {@link GRobot.Plátno#zalamujTexty()
		 * strop.zalamujTexty()}.
		 */
		public static void zalamujTexty() { strop.zalamujTexty(true); }

		/**
		 * Vypne zalamovanie textov vnútornej konzoly stropu. Má rovnaký
		 * efekt ako keby sme volali metódu {@link
		 * GRobot.Plátno#nezalamujTexty() strop.nezalamujTexty()}.
		 */
		public static void nezalamujTexty() { strop.zalamujTexty(false); }


		/**
		 * Vypíše sériu argumentov v tvare textu na strope ako aktívne slová.
		 * Má rovnaký efekt ako keby sme volali metódu {@link
		 * GRobot.Plátno#vypíšAktívneSlovo(String, Object[])
		 * strop.vypíšAktívneSlovo(String, Object...)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param identifikátor identifikátor aktívneho slova, pomocou
		 *      ktorého bude toto slovo odlišované od ostatných aktívnych slov
		 *  @param argumenty zoznam argumentov rôzneho údajového typu
		 *      oddelený čiarkami
		 */
		public static void vypíšAktívneSlovo(
			String identifikátor, Object... argumenty)
		{ strop.vypíšAktívneSlovo(identifikátor, argumenty); }

		/** <a class="alias"></a> Alias pre {@link #vypíšAktívneSlovo(String, Object[]) vypíšAktívneSlovo}. */
		public static void vypisAktivneSlovo(
			String identifikátor, Object... argumenty)
		{ strop.vypíšAktívneSlovo(identifikátor, argumenty); }

		/** <a class="alias"></a> Alias pre {@link #vypíšAktívneSlovo(String, Object[]) vypíšAktívneSlovo}. */
		public static void vypíšAktívneSlová(
			String identifikátor, Object... argumenty)
		{ strop.vypíšAktívneSlovo(identifikátor, argumenty); }

		/** <a class="alias"></a> Alias pre {@link #vypíšAktívneSlovo(String, Object[]) vypíšAktívneSlovo}. */
		public static void vypisAktivneSlova(
			String identifikátor, Object... argumenty)
		{ strop.vypíšAktívneSlovo(identifikátor, argumenty); }

		/**
		 * Overí, či sa bod identifikovaný zadanými súradnicami nachádza
		 * v oblasti niektorého z aktívnych slov. Funguje rovnako ako keby
		 * sme volali metódu {@link GRobot.Plátno#bodVAktívnomSlove(double,
		 * double) strop.bodVAktívnomSlove(double, double)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @return identifikátor aktívneho slova, v ktorom sa nachádza bod
		 *      so zadanými súradnicami alebo {@code valnull}
		 */
		public static String bodVAktívnomSlove(double x, double y)
		{ return strop.bodVAktívnomSlove(x, y); }

		/** <a class="alias"></a> Alias pre {@link #bodVAktívnomSlove(double, double) bodVAktívnomSlove}. */
		public static String bodVAktivnomSlove(double x, double y)
		{ return strop.bodVAktívnomSlove(x, y); }

		/**
		 * Funguje rovnako ako metóda {@link #bodVAktívnomSlove(double,
		 * double) bodVAktívnomSlove}, ale namiesto súradníc bodu je zadaný
		 * objekt, ktorý je implementáciou rozhrania {@link Poloha Poloha}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param poloha poloha vyšetrovaného bodu zadaná prostredníctvom
		 *      objektu implementujúceho rozhranie {@link Poloha Poloha}.
		 *  @return identifikátor aktívneho slova, v ktorom sa nachádza bod
		 *      so zadanými súradnicami alebo {@code valnull}
		 */
		public static String bodVAktívnomSlove(Poloha poloha)
		{ return strop.bodVAktívnomSlove(poloha.polohaX(), poloha.polohaY()); }

		/** <a class="alias"></a> Alias pre {@link #bodVAktívnomSlove(Poloha) bodVAktívnomSlove}. */
		public static String bodVAktivnomSlove(Poloha poloha)
		{ return strop.bodVAktívnomSlove(poloha.polohaX(), poloha.polohaY()); }

		/**
		 * Overí, či sa súradnice kurzora myši nachádzajú v oblasti niektorého
		 * z aktívnych slov. Funguje rovnako ako keby sme volali metódu
		 * {@link GRobot.Plátno#myšVAktívnomSlove() strop.myšVAktívnomSlove()}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return identifikátor aktívneho slova, v ktorom sa nachádza
		 *      kurzor myši alebo {@code valnull}
		 */
		public static String myšVAktívnomSlove()
		{ return strop.bodVAktívnomSlove(súradnicaMyšiX, súradnicaMyšiY); }

		/** <a class="alias"></a> Alias pre {@link #myšVAktívnomSlove() myšVAktívnomSlove}. */
		public static String mysVAktivnomSlove()
		{ return strop.bodVAktívnomSlove(súradnicaMyšiX, súradnicaMyšiY); }


		/**
		 * Vypíše sériu argumentov v tvare textu na strope. Má rovnaký efekt
		 * ako keby sme volali metódu {@link GRobot.Plátno#vypíš(Object[])
		 * strop.vypíš(Object...)}.
		 * 
		 *  @param argumenty zoznam argumentov rôzneho údajového typu
		 *      oddelený čiarkami
		 * 
		 *  @see GRobot.Plátno#vypíš(Object[])
		 *  @see #formát
		 */
		public static void vypíš(Object... argumenty) { strop.vypíš(argumenty); }

		/** <a class="alias"></a> Alias pre {@link #vypíš(Object[]) vypíš}. */
		public static void vypis(Object... argumenty) { strop.vypíš(argumenty); }

		/**
		 * Vypíše sériu argumentov v tvare textu na strope a posunie sa na
		 * ďalší riadok. Má rovnaký efekt ako keby sme volali metódu {@link
		 * GRobot.Plátno#vypíšRiadok(Object[])
		 * strop.vypíšRiadok(Object...)}.
		 * 
		 *  @param argumenty zoznam argumentov rôzneho údajového typu
		 *      oddelený čiarkami
		 * 
		 *  @see #vypíš(Object[])
		 */
		public static void vypíšRiadok(Object... argumenty) { strop.vypíšRiadok(argumenty); }

		/** <a class="alias"></a> Alias pre {@link #vypíšRiadok(Object[]) vypíšRiadok}. */
		public static void vypisRiadok(Object... argumenty) { strop.vypíšRiadok(argumenty); }

		/**
		 * Vypíše sériu argumentov na zadaných súradniciach v tvare textu na
		 * strope. Má rovnaký efekt ako keby sme volali metódu {@link
		 * GRobot.Plátno#vypíšNa(double, double, Object[])
		 * strop.vypíšNa(double, double, Object...)}.
		 * 
		 *  @param argumenty zoznam argumentov rôzneho údajového typu oddelený
		 *      čiarkami
		 */
		public static void vypíšNa(double x, double y, Object... argumenty) { strop.vypíšNa(x, y, argumenty); }

		/** <a class="alias"></a> Alias pre {@link #vypíšNa(double, double, Object[]) vypíšNa}. */
		public static void vypisNa(double x, double y, Object... argumenty) { strop.vypíšNa(x, y, argumenty); }

		/**
		 * Vypíše sériu argumentov na zadaných súradniciach v tvare textu na
		 * strope a posunie sa na ďalší riadok. Má rovnaký efekt ako keby sme
		 * volali metódu {@link GRobot.Plátno#vypíšRiadokNa(double, double,
		 * Object[]) strop.vypíšRiadokNa(double, double, Object...)}.
		 * 
		 *  @param argumenty zoznam argumentov rôzneho údajového typu oddelený
		 *      čiarkami
		 */
		public static void vypíšRiadokNa(double x, double y, Object... argumenty) { strop.vypíšRiadokNa(x, y, argumenty); }

		/** <a class="alias"></a> Alias pre {@link #vypíšRiadokNa(double, double, Object[]) vypíšRiadokNa}. */
		public static void vypisRiadokNa(double x, double y, Object... argumenty) { strop.vypíšRiadokNa(x, y, argumenty); }

		/**
		 * Vypíše sériu argumentov na zadaných súradniciach v tvare textu na
		 * strope. Má rovnaký efekt ako keby sme volali metódu {@link
		 * GRobot.Plátno#píšNa(double, double, Object[])
		 * strop.píšNa(double, double, Object...)}.
		 * 
		 *  @param argumenty zoznam argumentov rôzneho údajového typu oddelený
		 *      čiarkami
		 */
		public static void píšNa(double x, double y, Object... argumenty) { strop.píšNa(x, y, argumenty); }

		/** <a class="alias"></a> Alias pre {@link #píšNa(double, double, Object[]) píšNa}. */
		public static void pisNa(double x, double y, Object... argumenty) { strop.píšNa(x, y, argumenty); }

		/**
		 * Vypíše sériu argumentov na zadaných súradniciach v tvare textu na
		 * strope a posunie sa na ďalší riadok. Má rovnaký efekt ako keby sme
		 * volali metódu {@link GRobot.Plátno#píšRiadokNa(double, double,
		 * Object[]) strop.píšRiadokNa(double, double, Object...)}.
		 * 
		 *  @param argumenty zoznam argumentov rôzneho údajového typu oddelený
		 * čiarkami
		 */
		public static void píšRiadokNa(double x, double y, Object... argumenty) { strop.píšRiadokNa(x, y, argumenty); }

		/** <a class="alias"></a> Alias pre {@link #píšRiadokNa(double, double, Object[]) píšRiadokNa}. */
		public static void pisRiadokNa(double x, double y, Object... argumenty) { strop.píšRiadokNa(x, y, argumenty); }

		// Náhodné čísla

		/**
		 * Generovanie náhodného celého čísla v celom rozsahu {@code typelong}.
		 * (Pozri: {@link Long Long}{@code .}{@link Long#MIN_VALUE MIN_VALUE}
		 * a {@link Long Long}{@code .}{@link Long#MAX_VALUE MAX_VALUE}.)
		 * 
		 *  @return     vygenerované náhodné celé číslo
		 */
		public static long náhodnéCeléČíslo() { return generátor.nextLong(); }

		/** <a class="alias"></a> Alias pre {@link #náhodnéCeléČíslo() náhodnéCeléČíslo}. */
		public static long nahodneCeleCislo() { return generátor.nextLong(); }

		/**
		 * Generovanie náhodného celého čísla v rozsahu od nula
		 * po zadanú hodnotu parametra (vrátane).
		 * 
		 *  @param hodnota  druhá hranica generovania náhodných čísel
		 *  @return          vygenerované náhodné celé číslo
		 */
		public static long náhodnéCeléČíslo(long hodnota)
		{
			if (0 == hodnota) return 0;
			if (hodnota > 0)
				return Math.abs(generátor.nextLong() % (hodnota + 1));
			return -Math.abs(generátor.nextLong() % (hodnota - 1));
		}

		/** <a class="alias"></a> Alias pre {@link #náhodnéCeléČíslo(long) náhodnéCeléČíslo}. */
		public static long nahodneCeleCislo(long hodnota) { return náhodnéCeléČíslo(hodnota); }

		/**
		 * Generovanie náhodného celého čísla v zadanom rozsahu.
		 * 
		 *  @param min spodná hranica generovania náhodných čísel
		 *  @param max horná hranica generovania náhodných čísel
		 *  @return     vygenerované náhodné celé číslo
		 */
		public static long náhodnéCeléČíslo(long min, long max)
		{
			if (min > max)
				return max + (Math.abs(generátor.nextLong()) % (1 + min - max));
			return min + (Math.abs(generátor.nextLong()) % (1 + max - min));
		}

		/** <a class="alias"></a> Alias pre {@link #náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}. */
		public static long nahodneCeleCislo(long min, long max) { return náhodnéCeléČíslo(min, max); }

		/**
		 * Generovanie náhodného reálneho čísla v rozsahu od nula
		 * po jeden.
		 * 
		 *  @return     vygenerované náhodné reálne číslo
		 */
		public static double náhodnéReálneČíslo() { return generátor.nextDouble(); }

		/** <a class="alias"></a> Alias pre {@link #náhodnéReálneČíslo() náhodnéReálneČíslo}. */
		public static double nahodneRealneCislo() { return generátor.nextDouble(); }

		/**
		 * Generovanie náhodného reálneho čísla v rozsahu od nula
		 * po zadanú hodnotu parametra.
		 * 
		 *  @param hodnota horná hranica generovania náhodných čísel
		 *  @return         vygenerované náhodné reálne číslo
		 */
		public static double náhodnéReálneČíslo(double hodnota)
		{ return generátor.nextDouble() * hodnota; }

		/** <a class="alias"></a> Alias pre {@link #náhodnéReálneČíslo(double) náhodnéReálneČíslo}. */
		public static double nahodneRealneCislo(double hodnota)
		{ return generátor.nextDouble() * hodnota; }

		/**
		 * Generovanie náhodného reálneho čísla v zadanom rozsahu.
		 * 
		 *  @param min spodná hranica generovania náhodných čísel
		 *  @param max horná hranica generovania náhodných čísel
		 *  @return     vygenerované náhodné reálne číslo
		 */
		public static double náhodnéReálneČíslo(double min, double max)
		{
			if (min > max)
				return max + (generátor.nextDouble() * (min - max));
			return min + (generátor.nextDouble() * (max - min));
		}

		/** <a class="alias"></a> Alias pre {@link #náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}. */
		public static double nahodneRealneCislo(double min, double max)
		{ return náhodnéReálneČíslo(min, max); }


		// Schránka

		/**
		 * Vloží do schránky všetky texty vypísané na vnútorných konzolách
		 * podlahy a stropu.
		 * 
		 *  @return {@code valtrue} ak bola operácia úspešná
		 *  @see Schránka#text(String)
		 */
		public static boolean textyDoSchránky()
		{
			final StringBuffer texty = new StringBuffer();
			texty.setLength(0);
			podlaha.vnútornáKonzola.prevezmiTexty(texty);
			strop.vnútornáKonzola.prevezmiTexty(texty);
			return Schránka.text(texty.toString());
		}

		/** <a class="alias"></a> Alias pre {@link #textyDoSchránky() textyDoSchránky}. */
		public static boolean textyDoSchranky() { return textyDoSchránky(); }

		/** <a class="alias"></a> Alias pre {@link #textyDoSchránky() textyDoSchránky}. */
		public static boolean textDoSchránky() { return textyDoSchránky(); }

		/** <a class="alias"></a> Alias pre {@link #textyDoSchránky() textyDoSchránky}. */
		public static boolean textDoSchranky() { return textyDoSchránky(); }

		/**
		 * Vloží obrázok (grafiku) sveta do schránky. Grafika sveta je
		 * zlúčením grafík podlahy, robotov, stropu a textov vypísaných na
		 * vnútorné konzoly oboch plátien.
		 * 
		 * <P><b>Upozornenie:</b> Obrázok je uchovaný v schránke len počas
		 * činnosti aplikácie robota. Po zatvorení okna sveta, je obrázok zo
		 * schránky odstránený.
		 * 
		 *  @return {@code valtrue} ak bola operácia úspešná
		 *  @see Schránka#obrázok(Image)
		 */
		public static boolean obrázokDoSchránky()
		{ return Schránka.obrázok(vyrovnávaciaPamäťObrázka); }

		/** <a class="alias"></a> Alias pre {@link #obrázokDoSchránky() obrázokDoSchránky}. */
		public static boolean obrazokDoSchranky() { return obrázokDoSchránky(); }

		/** <a class="alias"></a> Alias pre {@link #obrázokDoSchránky() obrázokDoSchránky}. */
		public static boolean grafikaDoSchránky() { return obrázokDoSchránky(); }

		/** <a class="alias"></a> Alias pre {@link #obrázokDoSchránky() obrázokDoSchránky}. */
		public static boolean grafikaDoSchranky() { return obrázokDoSchránky(); }


	// --- Obrázky


		// Výška/šírka (obrazka)

		/**
		 * <a class="getter"></a> Zistí šírku zadaného obrázka.
		 * 
		 * <P>Táto metóda spôsobí prečítanie obrázka zo súboru a jeho
		 * uchovanie vo vnútornej pamäti sveta. Obrázok tam zostáva,
		 * pretože je chápaný ako zdroj. Môže však byť v prípade potreby
		 * (napríklad ak sa obsah súboru na disku zmenil) z vnútornej pamäte
		 * odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre všetky
		 * metódy pracujúce s obrázkami alebo zvukmi, ktoré prijímajú názov
		 * súboru ako parameter.)
		 * 
		 *  @param súbor názov súboru s obrázkom
		 *  @return šírka zadaného obrázka
		 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public static int šírkaObrázka(String súbor) { return súborNaObrázok(súbor).getWidth(null); }

		/** <a class="alias"></a> Alias pre {@link #šírkaObrázka(String) šírkaObrázka}. */
		public static int sirkaObrazka(String súbor) { return súborNaObrázok(súbor).getWidth(null); }

		/**
		 * <a class="getter"></a> Zistí výšku zadaného obrázka.
		 * 
		 * <P>Táto metóda spôsobí prečítanie obrázka zo súboru a jeho
		 * uchovanie vo vnútornej pamäti sveta. Obrázok tam zostáva,
		 * pretože je chápaný ako zdroj. Môže však byť v prípade potreby
		 * (napríklad ak sa obsah súboru na disku zmenil) z vnútornej pamäte
		 * odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre všetky
		 * metódy pracujúce s obrázkami alebo zvukmi, ktoré prijímajú názov
		 * súboru ako parameter.)
		 * 
		 *  @param súbor názov súboru s obrázkom
		 *  @return výška zadaného obrázka
		 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public static int výškaObrázka(String súbor) { return súborNaObrázok(súbor).getHeight(null); }

		/** <a class="alias"></a> Alias pre {@link #výškaObrázka(String) výškaObrázka}. */
		public static int vyskaObrazka(String súbor) { return súborNaObrázok(súbor).getHeight(null); }


		// Čítanie

		/**
		 * Ak sú všetky obrázky uložené v spoločnom priečinku, môžeme pre
		 * nich touto metódou nastaviť zdrojový priečinok čítania.
		 * Priečinok by sa mal nachádzať v hlavnom priečinku projektu alebo by
		 * k nemu mala viesť systémovo nezávislá relatívna cesta. Zadaním
		 * prázdneho reťazca alebo hodnoty {@code valnull} používanie
		 * priečinka zrušíme.
		 * 
		 *  @param priečinok  názov priečinka, relatívna cesta, prípadne
		 *      prázdny reťazec alebo {@code valnull}
		 * 
		 * @see Svet#priečinokObrázkov()
		 * @see GRobot#obrázok(String)
		 * @see GRobot#obrázok(String, double)
		 * @see GRobot#obrázok(String, double, double)
		 * @see GRobot#obrázok(String, double, double, double)
		 * @see GRobot#obrázok(String, int)
		 * @see GRobot#obrázok(String, int, double)
		 * @see GRobot#obrázok(String, int, double, double)
		 * @see GRobot#obrázok(String, int, double, double, double)
		 * @see GRobot#vyplňOblasť(Area, String)
		 * @see GRobot#vlastnýTvar(String)
		 * @see GRobot#vlastnýTvar(String, boolean)
		 * @see Svet#obrázok(String)
		 * @see Svet#vyplň(String)
		 * @see Svet#ikona(String)
		 * @see Svet#zobrazUvodnuObrazovku(String)
		 * @see Svet#šírkaObrázka(String)
		 * @see Svet#výškaObrázka(String)
		 * @see Svet#čítajObrázky(Object[])
		 * @see Svet#čítajObrázky(String[])
		 * @see Svet#čítajObrázok(String)
		 * @see Plátno#obrázok(String)
		 * @see Plátno#obrázok(double, double, String)
		 * @see Plátno#obrázok(Poloha, String)
		 * @see Plátno#vyplň(String)
		 * @see Obrázok#čítaj(String)
		 * @see Obrázok#vyplň(Shape, String)
		 * @see Obrázok#kresli(String)
		 * @see Obrázok#kresli(double, double, String)
		 * @see Obrázok#kresli(Poloha, String)
		 * @see Obrázok#vyplň(String)
		 * @see Oblasť#vyplň(String)
		 * @see Oblasť#vyplň(GRobot, String)
		 * @see PoložkaPonuky#ikona(String)
		 * @see KontextováPoložka#ikona(String)
		 */
		public static void priečinokObrázkov(String priečinok)
		{ priečinokObrázkov = upravLomky(priečinok, true); }

		/** <a class="alias"></a> Alias pre {@link #priečinokObrázkov(String) priečinokObrázkov}. */
		public static void priecinokObrazkov(String priečinok)
		{ priečinokObrázkov = upravLomky(priečinok, true); }

		/**
		 * Vráti reťazec s aktuálnym priečinkom, z ktorého sú obrázky
		 * prečítané. Reťazec je obohatený o oddeľovací znak priečinkov {@link
		 * File#separatorChar java.io.File.separatorChar} ({@code /} alebo
		 * {@code \} – záleží na type operačného systému), ktorý automaticky
		 * pridáva metóda {@link #priečinokObrázkov(String)
		 * priečinokObrázkov(priečinok)}. Taktiež všetky oddeľovacie znaky
		 * priečinkov v relatívnej ceste sú nahradené podľa typu operačného
		 * systému.
		 * 
		 *  @return aktuálny priečinok, z ktorého sú obrázky prečítané
		 * 
		 * @see Svet#priečinokObrázkov(String)
		 * @see GRobot#obrázok(String)
		 * @see GRobot#obrázok(String, double)
		 * @see GRobot#obrázok(String, double, double)
		 * @see GRobot#obrázok(String, double, double, double)
		 * @see GRobot#obrázok(String, int)
		 * @see GRobot#obrázok(String, int, double)
		 * @see GRobot#obrázok(String, int, double, double)
		 * @see GRobot#obrázok(String, int, double, double, double)
		 * @see GRobot#vyplňOblasť(Area, String)
		 * @see GRobot#vlastnýTvar(String)
		 * @see GRobot#vlastnýTvar(String, boolean)
		 * @see Svet#obrázok(String)
		 * @see Svet#vyplň(String)
		 * @see Svet#ikona(String)
		 * @see Svet#zobrazUvodnuObrazovku(String)
		 * @see Svet#šírkaObrázka(String)
		 * @see Svet#výškaObrázka(String)
		 * @see Svet#čítajObrázky(Object[])
		 * @see Svet#čítajObrázky(String[])
		 * @see Svet#čítajObrázok(String)
		 * @see Plátno#obrázok(String)
		 * @see Plátno#obrázok(double, double, String)
		 * @see Plátno#obrázok(Poloha, String)
		 * @see Plátno#vyplň(String)
		 * @see Obrázok#čítaj(String)
		 * @see Obrázok#vyplň(Shape, String)
		 * @see Obrázok#kresli(String)
		 * @see Obrázok#kresli(double, double, String)
		 * @see Obrázok#kresli(Poloha, String)
		 * @see Obrázok#vyplň(String)
		 * @see Oblasť#vyplň(String)
		 * @see Oblasť#vyplň(GRobot, String)
		 * @see PoložkaPonuky#ikona(String)
		 * @see KontextováPoložka#ikona(String)
		 */
		public static String priečinokObrázkov() { return priečinokObrázkov; }

		/** <a class="alias"></a> Alias pre {@link #priečinokObrázkov() priečinokObrázkov}. */
		public static String priecinokObrazkov() { return priečinokObrázkov; }

		/**
		 * Táto metóda slúži na čítanie zadaných obrázkov do vnútornej pamäte
		 * sveta (napríklad pri štarte aplikácie). Svet ukladá do vnútornej
		 * pamäte každý obrázok, s ktorým sa pracovalo (ak tam už nie je).
		 * Z nej môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}.
		 * Táto metóda číta súbory s obrázkami vopred a tým môže prispieť
		 * k plynulejšej činnosti aplikácie po štarte (čas štartu sa
		 * predĺži, ale keďže súbory už nemusia byť čítané počas jej
		 * činnosti, pracuje plynulejšie).
		 * 
		 *  @param súbory  ľubovoľný počet reťazcov označujúcich súbory
		 *  @throws GRobotException  ak niektorý súbor nebol nájdený;
		 *      spracovanie sa v okamihu vzniku výnimky neskončí a vrhnutá je
		 *      len posledná vzniknutá výnimka, to znamená, že všetky
		 *      predchádzajúce výnimky sú ignorované
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public static void čítajObrázky(Object... súbory)
		{
			GRobotException gre = null;
			for (Object súbor : súbory)
				try { súborNaObrázok(súbor.toString()); }
				catch (GRobotException e) { gre = e; }
			if (null != gre) throw gre;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajObrázky(Object[]) čítajObrázky}. */
		public static void citajObrazky(Object... súbory)
		{ čítajObrázky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázky(Object[]) čítajObrázky}. */
		public static void prečítajObrázky(Object... súbory)
		{ čítajObrázky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázky(Object[]) čítajObrázky}. */
		public static void precitajObrazky(Object... súbory)
		{ čítajObrázky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázky(Object[]) čítajObrázky}. */
		@Deprecated public static void načítajObrázky(Object... súbory)
		{ čítajObrázky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázky(Object[]) čítajObrázky}. */
		@Deprecated public static void nacitajObrazky(Object... súbory)
		{ čítajObrázky(súbory); }

		/**
		 * Táto metóda slúži na čítanie zadaných obrázkov do vnútornej pamäte
		 * sveta (napríklad pri štarte aplikácie). Svet ukladá do vnútornej
		 * pamäte ukladá každý obrázok, s ktorým sa pracovalo (ak tam už nie
		 * je). Z nej môže byť v prípade potreby (napríklad ak sa obsah súboru
		 * na disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}.
		 * Táto metóda číta súbory s obrázkami vopred a tým môže prispieť
		 * k plynulejšej činnosti aplikácie po štarte (čas štartu sa
		 * predĺži, ale keďže súbory už nemusia byť čítané počas jej
		 * činnosti, pracuje plynulejšie).
		 * 
		 *  @param súbory  pole reťazcov označujúcich súbory
		 *  @throws GRobotException  ak niektorý súbor nebol nájdený;
		 *      spracovanie sa v okamihu vzniku výnimky neskončí a vrhnutá je
		 *      len posledná vzniknutá výnimka, to znamená, že všetky
		 *      predchádzajúce výnimky sú ignorované
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public static void čítajObrázky(String[] súbory)
		{
			GRobotException gre = null;
			for (String súbor : súbory)
				try { súborNaObrázok(súbor); }
				catch (GRobotException e) { gre = e; }
			if (null != gre) throw gre;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajObrázky(String[]) čítajObrázky}. */
		public static void citajObrazky(String[] súbory)
		{ čítajObrázky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázky(String[]) čítajObrázky}. */
		public static void prečítajObrázky(String[] súbory)
		{ čítajObrázky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázky(String[]) čítajObrázky}. */
		public static void precitajObrazky(String[] súbory)
		{ čítajObrázky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázky(String[]) čítajObrázky}. */
		@Deprecated public static void načítajObrázky(String[] súbory)
		{ čítajObrázky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázky(String[]) čítajObrázky}. */
		@Deprecated public static void nacitajObrazky(String[] súbory)
		{ čítajObrázky(súbory); }

		/**
		 * Prečíta do vnútornej pamäte sveta zadaný obrázok zo súboru a vráti
		 * ho v objekte typu {@link Image Image}. Obrázok nie je zobrazený.
		 * Podobnú úlohu plní metóda {@link #čítajObrázky(Object[])
		 * Svet.čítajObrázky(Object... súbory)}, ale pomocou nej nie je
		 * možné získať objekt typu {@link Image Image} na ďalšie
		 * spracovanie. Obrázok môže byť v prípade potreby (napríklad ak sa
		 * obsah súboru na disku zmenil) z vnútornej pamäte odstránený
		 * metódou {@link Svet#uvoľni(String) Svet.uvoľni(názovZdroja)}.
		 * 
		 *  @param súbor názov súboru s obrázkom
		 *  @return obrázok v objekte typu {@link Image Image}
		 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *  @see Obrázok#čítaj(String)
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public static Image čítajObrázok(String súbor) { return súborNaObrázok(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázok(String) čítajObrázok}. */
		public static Image citajObrazok(String súbor) { return súborNaObrázok(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázok(String) čítajObrázok}. */
		public static Image prečítajObrázok(String súbor) { return súborNaObrázok(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázok(String) čítajObrázok}. */
		public static Image precitajObrazok(String súbor) { return súborNaObrázok(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázok(String) čítajObrázok}. */
		@Deprecated public static Image načítajObrázok(String súbor) { return súborNaObrázok(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítajObrázok(String) čítajObrázok}. */
		@Deprecated public static Image nacitajObrazok(String súbor) { return súborNaObrázok(súbor); }


		// Kreslenie

		/**
		 * Nakreslí v strede podlahy zadaný obrázok. Má rovnaký efekt ako keby
		 * sme volali metódu {@link GRobot.Plátno#obrázok(String)
		 * podlaha.obrázok(String)}. Napríklad:
		 * <pre CLASS="example">
			{@link Svet Svet}.{@code currobrázok}({@code srg"obrázok.png"});
			</pre>
		 * 
		 *  @param súbor  názov súboru s obrázkom, ktorý má byť vykreslený
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public static void obrázok(String súbor) { podlaha.obrázok(súbor); }

		/** <a class="alias"></a> Alias pre {@link #obrázok(String) obrázok}. */
		public static void obrazok(String súbor) { podlaha.obrázok(súbor); }


		/**
		 * Nakreslí na zadaných súradniciach na podlahe obrázok. Má rovnaký
		 * efekt ako keby sme volali metódu {@link
		 * GRobot.Plátno#obrázok(double, double, String)
		 * podlaha.obrázok(x, y, súbor)}.
		 * 
		 *  @param x x-ová súradnica polohy obrázka
		 *  @param y y-ová súradnica polohy obrázka
		 *  @param súbor  názov súboru s obrázkom, ktorý má byť vykreslený
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public static void obrázok(double x, double y, String súbor) { podlaha.obrázok(x, y, súbor); }

		/** <a class="alias"></a> Alias pre {@link #obrázok(double, double, String) obrázok}. */
		public static void obrazok(double x, double y, String súbor) { podlaha.obrázok(x, y, súbor); }

		/**
		 * Nakreslí na súradniciach zadaného objektu na podlahe obrázok.
		 * Má rovnaký efekt ako keby sme volali metódu
		 * {@link GRobot.Plátno#obrázok(Poloha, String)
		 * podlaha.obrázok(objekt, súbor)}.
		 * 
		 *  @param objekt objekt určujúci polohu kreslenia obrázka
		 *  @param súbor  názov súboru s obrázkom, ktorý má byť vykreslený
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public static void obrázok(Poloha objekt, String súbor) { podlaha.obrázok(objekt.polohaX(), objekt.polohaY(), súbor); }

		/** <a class="alias"></a> Alias pre {@link #obrázok(Poloha, String) obrázok}. */
		public static void obrazok(Poloha objekt, String súbor) { podlaha.obrázok(objekt.polohaX(), objekt.polohaY(), súbor); }


		/**
		 * Nakreslí v strede podlahy zadaný obrázok. Má rovnaký efekt ako keby
		 * sme volali metódu {@link GRobot.Plátno#obrázok(Image)
		 * podlaha.obrázok(obrázok)}.
		 * 
		 *  @param obrázok  obrázok, ktorý má byť vykreslený
		 */
		public static void obrázok(Image obrázok)
		{ podlaha.obrázok(obrázok); }

		/** <a class="alias"></a> Alias pre {@link #obrázok(Image) obrázok}. */
		public static void obrazok(Image obrázok)
		{ podlaha.obrázok(obrázok); }

		/**
		 * Nakreslí na zadaných súradniciach na podlahe obrázok. Má rovnaký
		 * efekt ako keby sme volali metódu {@link GRobot.Plátno#obrázok(double,
		 * double, Image) podlaha.obrázok(x, y, obrázok)}.
		 * 
		 *  @param x x-ová súradnica polohy obrázka
		 *  @param y y-ová súradnica polohy obrázka
		 *  @param obrázok  obrázok, ktorý má byť vykreslený
		 */
		public static void obrázok(double x, double y, Image obrázok)
		{ podlaha.obrázok(x, y, obrázok); }

		/** <a class="alias"></a> Alias pre {@link #obrázok(double, double, Image) obrázok}. */
		public static void obrazok(double x, double y, Image obrázok)
		{ podlaha.obrázok(x, y, obrázok); }

		/**
		 * Nakreslí na súradniciach zadaného objektu na podlahe obrázok.
		 * Má rovnaký efekt ako keby sme volali metódu
		 * {@link GRobot.Plátno#obrázok(Poloha, Image)
		 * podlaha.obrázok(objekt, obrázok)}.
		 * 
		 *  @param objekt objekt určujúci polohu kreslenia obrázka
		 *  @param obrázok  obrázok, ktorý má byť vykreslený
		 */
		public static void obrázok(Poloha objekt, Image obrázok)
		{ podlaha.obrázok(objekt.polohaX(), objekt.polohaY(), obrázok); }

		/** <a class="alias"></a> Alias pre {@link #obrázok(Poloha, Image) obrázok}. */
		public static void obrazok(Poloha objekt, Image obrázok)
		{ podlaha.obrázok(objekt.polohaX(), objekt.polohaY(), obrázok); }


		// Ukladanie

		/**
		 * Uloží aktuálne zobrazený obsah sveta do súboru s obrázkom. Prípona
		 * súboru musí byť {@code .gif}, {@code .png} alebo {@code .jpg}
		 * (resp. {@code .jpeg}). Ak súbor jestvuje, tak vznikne výnimka
		 * oznamujúca, že súbor so zadaným menom už jestvuje. Ak chcete súbor
		 * prepísať, použite metódu {@link #uložObrázok(String, boolean)}
		 * s druhým parametrom rovným {@code valtrue}.
		 * 
		 *  @param súbor     názov súboru s požadovanou príponou
		 *  @throws GRobotException  ak súbor jestvuje alebo nebol zadaný
		 *      názov súboru s platnou príponou
		 */
		public static void uložObrázok(String súbor) { uložObrázok(súbor, false); }

		/** <a class="alias"></a> Alias pre {@link #uložObrázok(String) uložObrázok}. */
		public static void ulozObrazok(String súbor) { uložObrázok(súbor, false); }

		/**
		 * Uloží aktuálny obsah sveta do súboru s obrázkom. Prípona súboru
		 * musí byť {@code .gif}, {@code .png} alebo {@code .jpg} (resp.
		 * {@code .jpeg}).
		 * 
		 *  @param súbor     názov súboru s požadovanou príponou
		 *  @param prepísať  ak je {@code valtrue}, prípadný jestvujúci
		 *      súbor bude prepísaný, inak sa správa rovnako ako metóda
		 *      {@link #uložObrázok(String)}
		 *  @throws GRobotException  ak súbor jestvuje a parameter prepísať
		 *      je {@code valfalse} alebo ak bol zadaný názov súboru
		 *      s neplatnou príponou
		 */
		public static void uložObrázok(String súbor, boolean prepísať)
		{
			File uložiťDo = new File(súbor);

			if (!prepísať && uložiťDo.exists())
				throw new GRobotException("Obrázok „" + súbor +
					"“ už jestvuje.", "imageAlreadyExists", súbor);

			String prípona = súbor.substring(súbor.
				lastIndexOf('.') + 1).toLowerCase();

			if (prípona.equals("png"))
			{
				// Súbory png:
				try { ImageIO.write(obrázok, prípona, uložiťDo); }
				catch (IOException e) { vypíšChybovéHlásenia(e, true); }
			}
			else if (prípona.equals("jpg") || prípona.equals("jpeg"))
			{
				// Pre jpeg musíme zmeniť farebný model z ARGB na RGB
				// Pozri: http://archives.java.sun.com/cgi-bin/wa?A2=ind0404&L=java2d-interest&D=0&P=2727

				WritableRaster raster = obrázok.getRaster();
				WritableRaster novýRaster = raster.createWritableChild(
					0, 0, šírkaPlátna, výškaPlátna,
					0, 0, new int[] {0, 1, 2});

				DirectColorModel farebnýModel = (DirectColorModel)
					obrázok.getColorModel();

				DirectColorModel novýFarebnýModel =
					new DirectColorModel(farebnýModel.getPixelSize(),
					farebnýModel.getRedMask(),
					farebnýModel.getGreenMask(),
					farebnýModel.getBlueMask());

				BufferedImage rgbBuffer = new BufferedImage(
					novýFarebnýModel, novýRaster, false, null);

				try { ImageIO.write(rgbBuffer, prípona, uložiťDo); }
				catch (IOException e) { vypíšChybovéHlásenia(e, true); }
			}
			else
			{
				throw new GRobotException("Neplatný formát obrázka: " +
					prípona.toUpperCase(), "invalidImageFormat", prípona);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #uložObrázok(String, boolean) uložObrázok}. */
		public static void ulozObrazok(String súbor, boolean prepísať) { uložObrázok(súbor, prepísať); }


	// --- Farba a písmo


		// Farba textu

		/**
		 * Zistí aktuálnu farbu výpisu nových textov stropu. Má rovnaký efekt
		 * ako keby sme volali metódu {@link GRobot.Plátno#farbaTextu()
		 * strop.farbaTextu()}.
		 * 
		 *  @return aktuálna farba textov stropu (objekt typu {@link Farba
		 *      Farba})
		 */
		public static Farba farbaTextu() { return strop.farbaTextu(); }

		/**
		 * Nastav farbu textov stropu. Má rovnaký efekt ako keby sme volali
		 * metódu {@link GRobot.Plátno#farbaTextu(java.awt.Color)
		 * strop.farbaTextu(java.awt.Color)}.
		 * 
		 *  @param nováFarba objekt určujúci novú farbu pera
		 */
		public static void farbaTextu(Color nováFarba)
		{ strop.farbaTextu(nováFarba); }

		/**
		 * Nastav farbu textov stropu. Má rovnaký efekt ako keby sme volali
		 * metódu {@link GRobot.Plátno#farbaTextu(Farebnosť)
		 * strop.farbaTextu(java.awt.Color)}.
		 * 
		 *  @param objekt objekt určujúci novú farbu pera
		 */
		public static void farbaTextu(Farebnosť objekt)
		{ strop.farbaTextu(objekt); }

		/* *
		 * Toto je „klon“ metódy {@link GRobot.Plátno#farbaTextu(Object)
		 * strop.farbaTextu(farba)}. Má rovnaký efekt ako keby sme volali
		 * metódu {@link GRobot.Plátno#farbaTextu(Object)
		 * strop.farbaTextu(Object)}.
		 * /
		public static void farbaTextu(Object nováFarba)
		{ strop.farbaTextu(nováFarba); }
		*/

		/**
		 * Nastav farbu textov stropu. Má rovnaký efekt ako keby sme volali
		 * metódu {@link GRobot.Plátno#farbaTextu(int, int, int)
		 * strop.farbaTextu(int, int, int)}.
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} – nová farba textov
		 */
		public static Farba farbaTextu(int r, int g, int b) { return strop.farbaTextu(r, g, b); }

		/**
		 * Nastav farbu textov stropu. Má rovnaký efekt ako keby sme volali
		 * metódu {@link GRobot.Plátno#farbaTextu(int, int, int, int)
		 * strop.farbaTextu(int, int, int, int)}.
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo v rozsahu
		 *      0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná farba)
		 *  @return objekt typu {@link Farba Farba} – nová farba textov
		 */
		public static Farba farbaTextu(int r, int g, int b, int a) { return strop.farbaTextu(r, g, b, a); }

		/**
		 * Zmení farbu textov stropu na predvolenú. Má rovnaký efekt ako keby
		 * sme volali metódu {@link GRobot.Plátno#predvolenáFarbaTextu()
		 * strop.predvolenáFarbaTextu()}.
		 */
		public static void predvolenáFarbaTextu() { strop.predvolenáFarbaTextu(); }

		/** <a class="alias"></a> Alias pre {@link #predvolenáFarbaTextu() predvolenáFarbaTextu}. */
		public static void predvolenaFarbaTextu() { strop.predvolenáFarbaTextu(); }


		// Farba pozadia textov

		/**
		 * Zistí aktuálnu farbu pozadia výpisu nových textov stropu. Má
		 * rovnaký efekt ako keby sme volali metódu
		 * {@link GRobot.Plátno#farbaPozadiaTextu() strop.farbaPozadiaTextu()}.
		 * 
		 *  @return aktuálna farba pozadia textov na strope (objekt typu
		 *      {@link Farba Farba})
		 */
		public static Farba farbaPozadiaTextu()
		{ return strop.farbaPozadiaTextu(); }

		/**
		 * Nastav farbu pozadia textov stropu. Má rovnaký efekt ako keby sme
		 * volali metódu {@link GRobot.Plátno#farbaPozadiaTextu(java.awt.Color)
		 * strop.farbaPozadiaTextu(java.awt.Color)}.
		 * 
		 *  @param nováFarba objekt určujúci novú farbu pozadia textov
		 */
		public static void farbaPozadiaTextu(Color nováFarba)
		{ strop.farbaPozadiaTextu(nováFarba); }

		/**
		 * Nastav farbu pozadia textov stropu. Má rovnaký efekt ako keby sme
		 * volali metódu {@link GRobot.Plátno#farbaPozadiaTextu(Farebnosť)
		 * strop.farbaPozadiaTextu(java.awt.Color)}.
		 * 
		 *  @param objekt objekt určujúci novú farbu pozadia textov
		 */
		public static void farbaPozadiaTextu(Farebnosť objekt)
		{ strop.farbaPozadiaTextu(objekt); }

		/**
		 * Nastav farbu pozadia textov stropu. Má rovnaký efekt ako keby sme
		 * volali metódu {@link GRobot.Plátno#farbaPozadiaTextu(int, int, int)
		 * strop.farbaPozadiaTextu(int, int, int)}.
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} – nová farba pozadia textov
		 */
		public static Farba farbaPozadiaTextu(int r, int g, int b)
		{ return strop.farbaPozadiaTextu(r, g, b); }

		/**
		 * Nastav farbu pozadia textov stropu. Má rovnaký efekt ako keby sme
		 * volali metódu {@link GRobot.Plátno#farbaPozadiaTextu(int, int, int,
		 * int) strop.farbaPozadiaTextu(int, int, int, int)}.
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo v rozsahu
		 *      0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná farba)
		 *  @return objekt typu {@link Farba Farba} – nová farba pozadia textov
		 */
		public static Farba farbaPozadiaTextu(int r, int g, int b, int a)
		{ return strop.farbaPozadiaTextu(r, g, b, a); }

		/**
		 * Zmení farbu pozadia textov stropu na predvolenú. (Predvolenou
		 * farbou pozadia textov nie je žiadna farba – je to objekt farby
		 * s hodnotou {@code valnull}.) Volanie tejto metódy má rovnaký efekt
		 * ako keby sme volali metódu
		 * {@link GRobot.Plátno#predvolenáFarbaPozadiaTextu()
		 * strop.predvolenáFarbaPozadiaTextu()}.
		 */
		public static void predvolenáFarbaPozadiaTextu()
		{ strop.predvolenáFarbaPozadiaTextu(); }

		/** <a class="alias"></a> Alias pre {@link #predvolenáFarbaPozadiaTextu() predvolenáFarbaPozadiaTextu}. */
		public static void predvolenaFarbaPozadiaTextu()
		{ strop.predvolenáFarbaPozadiaTextu(); }


		// Farba pozadia

		/**
		 * <a class="getter"></a> Čítaj farbu pozadia sveta.
		 * Ide o farbu podkladu, ktorá je použitá v prípade, že podlaha ani
		 * strop neboli vyplnené žiadnou konkrétnou farbou (pozri {@link
		 * GRobot.Plátno#vymaž() vymaž}, {@link
		 * GRobot.Plátno#vyplň(java.awt.Color) vyplň}).
		 * 
		 *  @return aktuálna farba pozadia sveta (objekt typu {@link Farba
		 *      Farba})
		 */
		public static Farba farbaPozadia() { return farbaPozadia; }

		/**
		 * <a class="setter"></a> Nastav farbu pozadia sveta.
		 * Ide o farbu podkladu, ktorá je použitá v prípade, že podlaha ani
		 * strop neboli vyplnené žiadnou konkrétnou farbou (pozri {@link
		 * GRobot.Plátno#vymaž() vymaž}, {@link
		 * GRobot.Plátno#vyplň(java.awt.Color) vyplň}).
		 * 
		 * <P><b>Poznámka:</b> Farbu pozadia môže prekryť {@linkplain
		 * Plátno#vyplň(java.awt.Color) výplň plátna}, ale keď je obsah
		 * plátien prázdny ({@linkplain #vymažGrafiku() vymazaný}), je svet
		 * grafických robotov vyplnený farbou pozadia.
		 * 
		 *  @param nováFarba objekt určujúci novú farbu pozadia;
		 *      jestvuje paleta predvolených farieb (pozri: {@link
		 *      #biela}, {@link #červená}, {@link #čierna}…)
		 *  @see #vymaž()
		 */
		public static void farbaPozadia(Color nováFarba)
		{
			if (nováFarba instanceof Farba)
				farbaPozadia = (Farba)nováFarba;
			else
				farbaPozadia = new Farba(nováFarba);

			automatickéPrekreslenie();
		}

		/**
		 * Nastaví farbu pozadia sveta podľa farby zadaného objektu.
		 * Farba pozadia je použitá v prípade, že podlaha ani strop neboli
		 * vyplnené žiadnou konkrétnou farbou (pozri {@link
		 * GRobot.Plátno#vymaž() vymaž}, {@link
		 * GRobot.Plátno#vyplň(java.awt.Color) vyplň}).
		 * 
		 * <P><b>Poznámka:</b> Farbu pozadia môže prekryť {@linkplain
		 * Plátno#vyplň(java.awt.Color) výplň plátna}, ale keď je obsah
		 * plátien prázdny ({@linkplain #vymažGrafiku() vymazaný}), je svet
		 * grafických robotov vyplnený farbou pozadia.
		 * 
		 *  @param objekt objekt určujúci novú farbu pozadia
		 *  @see #vymaž()
		 */
		public static void farbaPozadia(Farebnosť objekt)
		{ farbaPozadia(objekt.farba()); }

		/* *
		 * Toto je „klon“ metódy {@link #farbaPozadia(GRobot.Farba)}. Farba
		 * pozadia je nastavená len v prípade, že v premennej typu {@link
		 * Object} (zadanej ako parameter) je uložená inštancia triedy {@link
		 * Farba Farba} alebo {@link Color Color}.
		 * /
		public static void farbaPozadia(Object nováFarba)
		{
			if (nováFarba instanceof Color)
				nováFarba = new Farba((Color)nováFarba);
			if (nováFarba instanceof Farba) farbaPozadia((Farba)nováFarba);
		}
		*/

		/**
		 * Nastav farbu pozadia sveta.
		 * Ide o farbu podkladu, ktorá je použitá v prípade, že podlaha ani
		 * strop neboli vyplnené žiadnou konkrétnou farbou (pozri {@link
		 * GRobot.Plátno#vymaž() vymaž}, {@link
		 * GRobot.Plátno#vyplň(java.awt.Color) vyplň}).
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} – nová farba pozadia
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public static Farba farbaPozadia(int r, int g, int b)
		{
			farbaPozadia = new Farba(r, g, b);
			automatickéPrekreslenie();
			return farbaPozadia;
		}

		/**
		 * Nastav farbu a (ne)priehľadnosť pozadia sveta.
		 * Ide o farbu podkladu, ktorá je použitá v prípade, že podlaha ani
		 * strop neboli vyplnené žiadnou konkrétnou farbou (pozri {@link
		 * GRobot.Plátno#vymaž() vymaž}, {@link
		 * GRobot.Plátno#vyplň(java.awt.Color) vyplň}).
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo
		 *       v rozsahu 0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná
		 *       farba)
		 *  @return objekt typu {@link Farba Farba} – nová farba pozadia
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public static Farba farbaPozadia(int r, int g, int b, int a)
		{
			farbaPozadia = new Farba(r, g, b, a);
			automatickéPrekreslenie();
			return farbaPozadia;
		}

		/**
		 * Nastav predvolenú farbu pozadia.
		 * Ide o farbu podkladu, ktorá je použitá v prípade, že podlaha ani
		 * strop neboli vyplnené žiadnou konkrétnou farbou (pozri {@link
		 * GRobot.Plátno#vymaž() vymaž}, {@link
		 * GRobot.Plátno#vyplň(java.awt.Color) vyplň}).
		 */
		public static void predvolenáFarbaPozadia()
		{ farbaPozadia(predvolenéPozadie); }

		/** <a class="alias"></a> Alias pre {@link #predvolenáFarbaPozadia() predvolenáFarbaPozadia}. */
		public static void predvolenaFarbaPozadia()
		{ farbaPozadia(predvolenéPozadie); }


		// Farba bodu

		/**
		 * Zistí farbu bodu (jedného pixela) na zadaných súradniciach.
		 * Ak sa zadané súradnice nachádzajú mimo plochy sveta, je vrátená
		 * inštancia farebnosti {@link GRobot#žiadna žiadna}. So získanou
		 * farbou môžeme ďalej pracovať – napríklad ju upravovať alebo
		 * zisťovať jej vlastnosti (farebné zložky…). Testovať, či má bod
		 * konkrétnu farbu, môžeme napríklad pomocou metódy
		 * {@link #farbaBodu(double, double, java.awt.Color)
		 * farbaBodu(x, y, farba)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @return farba bodu (objekt typu {@link Farba Farba}) na zadanej
		 *      pozícii alebo inštancia {@link GRobot#žiadna žiadna}, ak sú
		 *      zadané súradnice mimo rozmerov sveta
		 */
		public static Farba farbaBodu(double x, double y)
		{
			int x0 = (int)prepočítajX(x);
			int y0 = (int)prepočítajY(y);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return žiadna;

			/*
			int farba = obrázok.getRGB(x0, y0);

			// int alpha = (farba >> 24) & 0xff;
			int red   = (farba >> 16) & 0xff;
			int green = (farba >>  8) & 0xff;
			int blue  =  farba        & 0xff;

			return new Farba(red, green, blue); //, alpha);
			*/
			return new Farba(obrázok.getRGB(x0, y0));
		}

		// /**
		//  * Zistí farbu bodu (jedného pixela) na polohe zadaného bodu.
		//  * Ak sa súradnice bodu nachádzajú mimo plochy sveta, je vrátená
		//  * {@link GRobot#žiadna žiadna} farba. So získanou farbou môžeme ďalej
		//  * pracovať – napríklad ju upravovať alebo zisťovať jej vlastnosti
		//  * (farebné zložky…).
		//  * 
		//  *  @param bod súradnice vyšetrovaného bodu
		//  *  @return farba bodu (objekt typu {@link Farba Farba}) na zadanej
		//  *      pozícii alebo inštancia {@link GRobot#žiadna žiadna}, ak sú
		//  *      zadané súradnice mimo rozmerov sveta
		//  */
		// public static Farba farbaBodu(Point2D bod)
		// {
		// 	int x0 = (int)prepočítajX(bod.getX());
		// 	int y0 = (int)prepočítajY(bod.getY());
		// 	if (x0 < 0 || x0 >= šírkaPlátna ||
		// 		y0 < 0 || y0 >= výškaPlátna) return žiadna;
		// 
		// 	return new Farba(obrázok.getRGB(x0, y0));
		// }

		/**
		 * Zistí farbu bodu (jedného pixela) na pozícii zadaného objektu.
		 * Ak sa objekt nachádza mimo plochy sveta, je vrátená inštancia
		 * farebnosti {@link GRobot#žiadna žiadna} farba. So získanou farbou
		 * môžeme ďalej pracovať – napríklad ju upravovať alebo zisťovať jej
		 * vlastnosti (farebné zložky…). Testovať, či má bod konkrétnu farbu,
		 * môžeme napríklad pomocou metódy
		 * {@link #farbaBodu(Poloha, java.awt.Color)
		 * farbaBodu(objekt, farba)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt, na ktorého pozícii má byť zistená farba bodu
		 *  @return farba bodu (objekt typu {@link Farba Farba}) na pozícii
		 *      zadaného objektu alebo inštancia {@link GRobot#žiadna žiadna},
		 *      ak sa súradnice zadaného objektu nachádzajú mimo rozmerov sveta
		 */
		public static Farba farbaBodu(Poloha objekt)
		{
			// return farbaBodu(objekt.polohaX(), objekt.polohaY());
			int x0 = (int)prepočítajX(objekt.polohaX());
			int y0 = (int)prepočítajY(objekt.polohaY());
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return žiadna;

			return new Farba(obrázok.getRGB(x0, y0));
		}

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na zadaných súradniciach
		 * zhoduje so zadanou farbou. Ak sú zadané súradnice mimo plochy
		 * sveta, je vrátená hodnota {@code valfalse}. Testovať farbu pomocou
		 * tejto metódy môžeme napríklad takto:
		 * <pre CLASS="example">
			{@code kwdif} ({@link Svet Svet}.{@code currfarbaBodu}({@code num3.0}, {@code num5.0}, {@link GRobot#modrá modrá})) …
			</pre>
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @param farba farba, ktorú chceme porovnať s farbou bodu na zadanej
		 *      pozícii
		 *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		 *      sveta a farba bodu na zadaných súradniciach sa zhoduje so
		 *      zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public static boolean farbaBodu(double x, double y, Color farba)
		{
			int x0 = (int)prepočítajX(x);
			int y0 = (int)prepočítajY(y);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			return (farba.getRGB() & 0x00ffffff) ==
				(obrázok.getRGB(x0, y0) & 0x00ffffff);
		}

		// /**
		//  * Zistí, či sa farba bodu (jedného pixela) na súradniciach zadaného
		//  * bodu zhoduje so zadanou farbou. Ak sú súradnice zadaného bodu mimo
		//  * plochy sveta, je vrátená hodnota {@code valfalse}.
		//  * 
		//  *  @param bod  súradnice vyšetrovaného bodu
		//  *  @param farba farba, ktorú chceme porovnať s farbou bodu na zadanej
		//  *      pozícii
		//  *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		//  *      sveta a farba bodu na zadaných súradniciach sa zhoduje so
		//  *      zadanou farbou, inak {@code valfalse}
		//  */
		// public static boolean farbaBodu(Point2D bod, Color farba)
		// {
		// 	int x0 = (int)prepočítajX(bod.getX());
		// 	int y0 = (int)prepočítajY(bod.getY());
		// 	if (x0 < 0 || x0 >= šírkaPlátna ||
		// 		y0 < 0 || y0 >= výškaPlátna) return false;
		// 
		// 	return (farba.getRGB() & 0x00ffffff) ==
		// 		(obrázok.getRGB(x0, y0) & 0x00ffffff);
		// }

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach zadaného
		 * objektu zhoduje so zadanou farbou. Ak sú súradnice zadaného objektu
		 * mimo plochy sveta, je vrátená hodnota {@code valfalse}. Testovať
		 * farbu pomocou tejto metódy môžeme napríklad takto:
		 * <pre CLASS="example">
			{@code kwdif} ({@link Svet Svet}.{@code currfarbaBodu}({@code valthis}, {@link GRobot#modrá modrá})) …
			</pre>
		 * 
		 *  @param objekt objekt, na ktorého pozícii chceme overiť farbu bodu
		 *  @param farba farba, ktorú chceme porovnať s farbou bodu na pozícii
		 *      určeného objektu
		 *  @return {@code valtrue} ak sa súradnice objektu nachádzajú v rámci
		 *      rozmerov sveta a farba bodu na jeho mieste sa zhoduje so
		 *      zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public static boolean farbaBodu(Poloha objekt, Color farba)
		{
			// return farbaBodu(objekt.polohaX(), objekt.polohaY(), farba);
			int x0 = (int)prepočítajX(objekt.polohaX());
			int y0 = (int)prepočítajY(objekt.polohaY());
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			return (farba.getRGB() & 0x00ffffff) ==
				(obrázok.getRGB(x0, y0) & 0x00ffffff);
		}


		/**
		 * Zistí, či sa farba bodu (jedného pixela) na zadaných súradniciach
		 * zhoduje s farbou zadaného objektu. Ak sú zadané súradnice mimo
		 * plochy sveta, je vrátená hodnota {@code valfalse}.
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @param objekt objekt, ktorého farbu chceme porovnať s farbou bodu
		 *      na zadanej pozícii
		 *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		 *      sveta a farba bodu na zadaných súradniciach sa zhoduje
		 *      s farbou zadaného objektu (musia sa zhodovať všetky farebné
		 *      zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public static boolean farbaBodu(double x, double y, Farebnosť objekt)
		{
			int x0 = (int)prepočítajX(x);
			int y0 = (int)prepočítajY(y);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			return (objekt.farba().getRGB() & 0x00ffffff) ==
				(obrázok.getRGB(x0, y0) & 0x00ffffff);
		}

		// /**
		//  * Zistí, či sa farba bodu (jedného pixela) na súradniciach zadaného
		//  * bodu zhoduje s farbou zadaného objektu. Ak sú súradnice zadaného
		//  * bodu mimo  plochy sveta, je vrátená hodnota {@code valfalse}.
		//  * 
		//  *  @param bod  súradnice vyšetrovaného bodu
		//  *  @param objekt objekt, ktorého farbu chceme porovnať s farbou bodu
		//  *      na zadanej pozícii
		//  *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		//  *      sveta a farba bodu na zadaných súradniciach sa zhoduje
		//  *      s farbou zadaného objektu, inak {@code valfalse}
		//  */
		// public static boolean farbaBodu(Point2D bod, Farebnosť objekt)
		// {
		// 	int x0 = (int)prepočítajX(bod.getX());
		// 	int y0 = (int)prepočítajY(bod.getY());
		// 	if (x0 < 0 || x0 >= šírkaPlátna ||
		// 		y0 < 0 || y0 >= výškaPlátna) return false;
		// 
		// 	return (objekt.farba().getRGB() & 0x00ffffff) ==
		// 		(obrázok.getRGB(x0, y0) & 0x00ffffff);
		// }

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na zadaných súradniciach
		 * zhoduje s farbou zadaného objektu. Ak sú súradnice zadaného objektu
		 * mimo plochy sveta, je vrátená hodnota {@code valfalse}.
		 * 
		 *  @param objekt objekt, na ktorého pozícii chceme overiť farbu bodu
		 *  @param farebnosť objekt, ktorého farbu chceme porovnať s farbou
		 *      bodu na pozícii predchádzajúceho objektu
		 *  @return {@code valtrue} ak sa súradnice objektu nachádzajú v rámci
		 *      rozmerov sveta a farba bodu na jeho mieste sa zhoduje s farbou
		 *      druhého zadaného objektu (musia sa zhodovať všetky farebné
		 *      zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public static boolean farbaBodu(Poloha objekt, Farebnosť farebnosť)
		{
			// return farbaBodu(objekt.polohaX(), objekt.polohaY(), farebnosť);
			int x0 = (int)prepočítajX(objekt.polohaX());
			int y0 = (int)prepočítajY(objekt.polohaY());
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			return (farebnosť.farba().getRGB() & 0x00ffffff) ==
				(obrázok.getRGB(x0, y0) & 0x00ffffff);
		}


		/**
		 * Zistí, či sa farba bodu (jedného pixela) na zadaných súradniciach
		 * zhoduje s farbou zadanou prostredníctvom farebných zložiek.
		 * (Úroveň priehľadnosti je nastavená na hodnotu {@code num255},
		 * čiže na úplne nepriehľadnú farbu.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		 *      sveta a farba bodu na zadaných súradniciach sa zhoduje
		 *      so zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public static boolean farbaBodu(double x, double y, int r, int g, int b)
		{
			int x0 = (int)prepočítajX(x);
			int y0 = (int)prepočítajY(y);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			r &= 0xff; g &= 0xff; b &= 0xff;
			return (0xff000000 | (r << 16) | (g << 8) | b) ==
				(obrázok.getRGB(x0, y0) & 0xffffffff);
		}

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na zadaných súradniciach
		 * zhoduje s farbou zadanou prostredníctvom farebných zložiek a úrovne
		 * priehľadnosti.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param a úroveň priehľadnosti farby, ktorú chceme porovnať
		 *      s farbou bodu na zadanej pozícii
		 *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		 *      sveta a farba bodu na zadaných súradniciach sa zhoduje
		 *      so zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public static boolean farbaBodu(double x, double y, int r, int g, int b, int a)
		{
			int x0 = (int)prepočítajX(x);
			int y0 = (int)prepočítajY(y);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			r &= 0xff; g &= 0xff; b &= 0xff; a &= 0xff;
			return ((a << 24) | (r << 16) | (g << 8) | b) ==
				(obrázok.getRGB(x0, y0) & 0xffffffff);
		}


		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach zadaného
		 * objektu zhoduje s farbou zadanou prostredníctvom farebných zložiek.
		 * (Úroveň priehľadnosti je nastavená na hodnotu {@code num255},
		 * čiže na úplne nepriehľadnú farbu.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt, ktorého poloha určuje súradnice vyšetrovaného
		 *      bodu
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @return {@code valtrue} ak je poloha objektu v rámci rozmerov
		 *      sveta a farba bodu na jeho súradniciach sa zhoduje so
		 *      zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public static boolean farbaBodu(Poloha objekt, int r, int g, int b)
		{
			int x0 = (int)((šírkaPlátna / 2.0) + objekt.polohaX());
			int y0 = (int)((výškaPlátna / 2.0) - objekt.polohaY());
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			r &= 0xff; g &= 0xff; b &= 0xff;
			return (0xff000000 | (r << 16) | (g << 8) | b) ==
				(obrázok.getRGB(x0, y0) & 0xffffffff);
		}

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach zadaného
		 * objektu zhoduje s farbou zadanou prostredníctvom farebných zložiek
		 * a úrovne priehľadnosti.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt, ktorého poloha určuje súradnice vyšetrovaného
		 *      bodu
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param a úroveň priehľadnosti farby, ktorú chceme porovnať
		 *      s farbou bodu na pozícii objektu
		 *  @return {@code valtrue} ak je poloha objektu v rámci rozmerov
		 *      sveta a farba bodu na jeho súradniciach sa zhoduje so
		 *      zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public static boolean farbaBodu(Poloha objekt, int r, int g, int b, int a)
		{
			int x0 = (int)((šírkaPlátna / 2.0) + objekt.polohaX());
			int y0 = (int)((výškaPlátna / 2.0) - objekt.polohaY());
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			r &= 0xff; g &= 0xff; b &= 0xff; a &= 0xff;
			return ((a << 24) | (r << 16) | (g << 8) | b) ==
				(obrázok.getRGB(x0, y0) & 0xffffffff);
		}


		/**
		 * Zistí farbu bodu (jedného pixela) na súradniciach myši. So získanou
		 * farbou môžeme ďalej pracovať – napríklad ju upravovať alebo
		 * zisťovať jej vlastnosti (farebné zložky…). Testovať, či má bod
		 * konkrétnu farbu, môžeme napríklad pomocou metódy {@link
		 * #farbaNaMyši(java.awt.Color) farbaNaMyši(farba)}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou mimo
		 * plochy sveta, metóda by vrátila inštanciu farby {@link
		 * GRobot#žiadna žiadna}.)</small>
		 * 
		 * <P><b>Príklad:</b>
		 * <P>Tento príklad demonštruje fungovanie metódy {@code
		 * currfarbaNaMyši}. Zistenú farbu zobrazí v elegantnom
		 * indikátore umiestnenom v ľavom hornom rohu (<small>pozri
		 * zoznam zmien: <a href="zoznam-zmien.html">poďakovanie</a>
		 * uvedené pri verzii 1.35</small>):
		 * <pre CLASS="example">
			{@code comm// Zaplňme kresbu množstvom farebných štvorcov}

			{@link Svet Svet}.{@link Svet#nekresli() nekresli}();

			{@code kwdfor} ({@code typeint} j = {@code num0}; j &lt; {@code num1000}; ++j)
			{
				{@code typedouble} rozmer = {@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num20}, {@code num30});

				{@link GRobot#farba(int, int, int) farba}(({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num0}, {@code num255}),
					({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num0}, {@code num255}),
					({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num0}, {@code num255}));

				{@link GRobot#náhodnáPoloha() náhodnáPoloha}();
				{@link GRobot#náhodnýSmer() náhodnýSmer}();
				{@link GRobot#vyplňŠtvorec(double) vyplňŠtvorec}(rozmer);
			}

			{@link Svet Svet}.{@link Svet#kresli() kresli}();

			{@code comm// Definujme všetko potrebné (obsluhu udalostí, vlastný tvar) na to,}
			{@code comm// aby robot počas pohybu myšou nad plátnom v elegantnom kruhovom}
			{@code comm// indikátore ukazoval aktuálnu farbu nad kurzorom myši…}

			{@link GRobot#skočNa(double, double) skočNa}({@link Svet Svet}.{@link Svet#ľavýOkraj() ľavýOkraj}() + {@code num35}, {@link Svet Svet}.{@link Svet#hornýOkraj() hornýOkraj}() &#45; {@code num35});

			{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
			{
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#pohybMyši() pohybMyši}()
				{
					{@link GRobot#farba(java.awt.Color) farba}({@link Svet Svet}.{@code currfarbaNaMyši}());
				}
			};

			{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}({@code kwdnew} {@link KreslenieTvaru KreslenieTvaru}()
			{
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link KreslenieTvaru#kresli(GRobot) kresli}({@link GRobot GRobot} r)
				{
					{@link Farba Farba} mojaFarba = r.{@link GRobot#farba() farba}();
					{@link GRobot#farba(java.awt.Color) farba}({@link GRobot#čierna čierna});
					{@link GRobot#kruh(double) kruh}({@code num30});
					{@link GRobot#farba(java.awt.Color) farba}({@link GRobot#biela biela});
					{@link GRobot#kruh(double) kruh}({@code num25});
					{@link GRobot#farba(java.awt.Color) farba}(mojaFarba);
					{@link GRobot#kruh(double) kruh}({@code num20});
				}
			});
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * <P><image>farbaNaMysi.png</image>Plátno je zaplnené farebnými
		 * štvorcami a farba pod kurzorom myši<br />je indikovaná v kruhovom
		 * indikátore v ľavom hornom rohu<br /><small>(plátno na obrázku je
		 * zmenšené)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return farba bodu (objekt typu {@link Farba Farba}) na pozícii
		 *      myši
		 */
		public static Farba farbaNaMyši()
		{
			int x0 = (int)prepočítajX(súradnicaMyšiX);
			int y0 = (int)prepočítajY(súradnicaMyšiY);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return žiadna;

			/*
			int farba = obrázok.getRGB(x0, y0);

			// int alpha = (farba >> 24) & 0xff;
			int red   = (farba >> 16) & 0xff;
			int green = (farba >>  8) & 0xff;
			int blue  =  farba        & 0xff;

			return new Farba(red, green, blue); //, alpha);
			*/
			return new Farba(obrázok.getRGB(x0, y0));
		}

		/** <a class="alias"></a> Alias pre {@link #farbaNaMyši() farbaNaMyši}. */
		public static Farba farbaNaMysi() { return farbaNaMyši(); }

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach myši
		 * zhoduje so zadanou farbou. Testovať farbu pomocou tejto
		 * metódy môžeme napríklad takto:
		 * <pre CLASS="example">
			{@code kwdif} ({@link Svet Svet}.{@code currfarbaNaMyši}({@link GRobot#modrá modrá})) …
			</pre>
		 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou mimo
		 * plochy sveta, metóda by vrátila hodnotu {@code valfalse}.)</small>
		 * 
		 *  @param farba farba, ktorú chceme porovnať s farbou bodu na
		 *      súradniciach myši
		 *  @return {@code valtrue} ak je farba bodu na súradniciach myši
		 *      zhodná so zadanou farbou (musia sa zhodovať všetky farebné
		 *      zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public static boolean farbaNaMyši(Color farba)
		{
			int x0 = (int)prepočítajX(súradnicaMyšiX);
			int y0 = (int)prepočítajY(súradnicaMyšiY);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			return (farba.getRGB() & 0x00ffffff) ==
				(obrázok.getRGB(x0, y0) & 0x00ffffff);
		}

		/** <a class="alias"></a> Alias pre {@link #farbaNaMyši(java.awt.Color) farbaNaMyši}. */
		public static boolean farbaNaMysi(Color farba) { return farbaNaMyši(farba); }

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach myši
		 * zhoduje so zadanou farbou. Testovať farbu pomocou tejto
		 * metódy môžeme napríklad takto:
		 * <pre CLASS="example">
			{@code kwdif} ({@link Svet Svet}.{@code currfarbaNaMyši}({@link GRobot#modrá modrá})) …
			</pre>
		 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou mimo
		 * plochy sveta, metóda by vrátila hodnotu {@code valfalse}.)</small>
		 * 
		 *  @param objekt objekt, ktorého farbu chceme porovnať s farbou bodu
		 *      na súradniciach myši
		 *  @return {@code valtrue} ak je farba bodu na súradniciach myši
		 *      zhodná so zadanou farbou (musia sa zhodovať všetky
		 *      farebné zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public static boolean farbaNaMyši(Farebnosť objekt)
		{
			int x0 = (int)prepočítajX(súradnicaMyšiX);
			int y0 = (int)prepočítajY(súradnicaMyšiY);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			return (objekt.farba().getRGB() & 0x00ffffff) ==
				(obrázok.getRGB(x0, y0) & 0x00ffffff);
		}

		/** <a class="alias"></a> Alias pre {@link #farbaNaMyši(Farebnosť) farbaNaMyši}. */
		public static boolean farbaNaMysi(Farebnosť objekt) { return farbaNaMyši(objekt); }

		/**
		 * Zistí, či je farba bodu (jedného pixela) na súradniciach myši
		 * zhodná s farbou zadanou prostredníctvom farebných zložiek.
		 * (Úroveň priehľadnosti je nastavená na hodnotu {@code num255},
		 * čiže na úplne nepriehľadnú farbu.)
		 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou
		 * mimo aktívneho kresliaceho plátna robota, metóda by vrátila
		 * hodnotu {@code valfalse}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na súradniciach myši
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na súradniciach myši
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na súradniciach myši
		 *  @return {@code valtrue} ak je farba bodu na súradniciach myši
		 *      zhodná so zadanou farbou (musia sa zhodovať všetky tri
		 *      farebné zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public static boolean farbaNaMyši(int r, int g, int b)
		{
			int x0 = (int)prepočítajX(súradnicaMyšiX);
			int y0 = (int)prepočítajY(súradnicaMyšiY);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			r &= 0xff; g &= 0xff; b &= 0xff;
			return (0xff000000 | (r << 16) | (g << 8) | b) ==
				(obrázok.getRGB(x0, y0) & 0xffffffff);
		}

		/** <a class="alias"></a> Alias pre {@link #farbaNaMyši(int, int, int) farbaNaMyši}. */
		public static boolean farbaNaMysi(int r, int g, int b) { return farbaNaMyši(r, g, b); }

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach myši
		 * zhoduje s farbou zadanou prostredníctvom farebných zložiek
		 * a úrovne priehľadnosti.
		 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou mimo
		 * plochy sveta, metóda by vrátila hodnotu {@code valfalse}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na súradniciach myši
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na súradniciach myši
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na súradniciach myši
		 *  @param a úroveň priehľadnosti farby, ktorú chceme porovnať
		 *      s farbou bodu na súradniciach myši
		 *  @return {@code valtrue} ak je farba bodu na súradniciach myši
		 *      zhodná so zadanou farbou (musia sa zhodovať všetky tri
		 *      farebné zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public static boolean farbaNaMyši(int r, int g, int b, int a)
		{
			int x0 = (int)prepočítajX(súradnicaMyšiX);
			int y0 = (int)prepočítajY(súradnicaMyšiY);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			r &= 0xff; g &= 0xff; b &= 0xff; a &= 0xff;
			return ((a << 24) | (r << 16) | (g << 8) | b) ==
				(obrázok.getRGB(x0, y0) & 0xffffffff);
		}

		/** <a class="alias"></a> Alias pre {@link #farbaNaMyši(int, int, int, int) farbaNaMyši}. */
		public static boolean farbaNaMysi(int r, int g, int b, int a) { return farbaNaMyši(r, g, b, a); }


		// Písmo

		/**
		 * Čítaj aktuálny typ písma textov stropu. Má rovnaký efekt ako keby
		 * sme volali metódu {@link GRobot.Plátno#písmo() strop.písmo()}.
		 */
		public static Písmo písmo() { return strop.písmo(); }

		/** <a class="alias"></a> Alias pre {@link #písmo() písmo}. */
		public static Pismo pismo() { return strop.pismo(); }

		/**
		 * Nastav nový typ písma textov stropu. Má rovnaký efekt ako keby
		 * sme volali metódu {@link GRobot.Plátno#písmo(Font)
		 * strop.písmo(Font)}. Písmo používajú metódy {@link
		 * #vypíš(Object[]) vypíš} a {@link #vypíšRiadok(Object[])
		 * vypíšRiadok}.
		 * 
		 *  @param novéPísmo objekt typu {@link Písmo} alebo {@link Font}
		 *      určujúci nový typ písma
		 */
		public static void písmo(Font novéPísmo)
		{
			// Inštancia písma je zároveň zálohovaná do inštancie svet, takže
			// naposledy nastavené písmo je možné kedykoľvek prečítať metódou
			// svet.getFont();
			strop.písmo(novéPísmo);
			svet.setFont(novéPísmo);
		}

		/** <a class="alias"></a> Alias pre {@link #písmo(Font) písmo}. */
		public static void pismo(Font novéPísmo)
		{
			// Inštancia písma je zároveň zálohovaná do inštancie svet, takže
			// naposledy nastavené písmo je možné kedykoľvek prečítať metódou
			// svet.getFont();
			strop.písmo(novéPísmo);
			svet.setFont(novéPísmo);
		}

		/* *
		 * Toto je „klon“ metódy {@link GRobot.Plátno#písmo(Object)
		 * Plátno.písmo(písmo)}. Má rovnaký efekt ako keby
		 * sme volali metódu {@link GRobot.Plátno#písmo(Object)
		 * strop.písmo(Object)}.
		 * /
		public static void písmo(Object novéPísmo) { strop.písmo(novéPísmo); }

		/** <a class="alias"></a> Alias pre {@link #písmo(Object) písmo}. * /
		public static void pismo(Object novéPísmo) { strop.písmo(novéPísmo); }*/

		/**
		 * Nastav nový typ písma textov stropu. Má rovnaký efekt ako keby sme
		 * volali metódu {@link GRobot.Plátno#písmo(String, double)
		 * strop.písmo(String, double)}.
		 * 
		 *  @param názov názov písma; môže byť všeobecný názov logického písma
		 *      (Dialog, DialogInput, Monospaced, Serif, SansSerif…) alebo
		 *      názov konkrétneho písma (Times New Roman, Arial…)
		 *  @param veľkosť veľkosť písma v bodoch (hodnota je zaokrúhlená
		 *      na typ {@code typefloat})
		 *  @return objekt typu {@link Písmo} určujúci nový typ písma
		 */
		public static Písmo písmo(String názov, double veľkosť)
		{
			// Inštancia písma je zároveň zálohovaná do inštancie svet, takže
			// naposledy nastavené písmo je možné kedykoľvek prečítať metódou
			// svet.getFont();
			Písmo novéPísmo = strop.písmo(názov, veľkosť);
			svet.setFont(novéPísmo);
			return novéPísmo;
		}

		/** <a class="alias"></a> Alias pre {@link #písmo(String, double) písmo}. */
		public static Pismo pismo(String názov, double veľkosť)
		{
			// Inštancia písma je zároveň zálohovaná do inštancie svet, takže
			// naposledy nastavené písmo je možné kedykoľvek prečítať metódou
			// svet.getFont();
			Pismo novéPísmo = strop.pismo(názov, veľkosť);
			svet.setFont(novéPísmo);
			return novéPísmo;
		}

		/**
		 * Nastav predvolený typ písma textov stropu. Má rovnaký efekt ako keby
		 * sme volali metódu {@link GRobot.Plátno#predvolenéPísmo()
		 * strop.predvolenéPísmo()}.
		 */
		public static void predvolenéPísmo()
		{
			// Inštancia písma je zároveň zálohovaná do inštancie svet, takže
			// naposledy nastavené písmo je možné kedykoľvek prečítať metódou
			// svet.getFont();
			strop.predvolenéPísmo();
			svet.setFont(strop.písmo());
		}

		/** <a class="alias"></a> Alias pre {@link #predvolenéPísmo() predvolenéPísmo}. */
		public static void predvolenePismo()
		{
			// Inštancia písma je zároveň zálohovaná do inštancie svet, takže
			// naposledy nastavené písmo je možné kedykoľvek prečítať metódou
			// svet.getFont();
			strop.predvolenéPísmo();
			svet.setFont(strop.pismo());
		}


	// --- Zvuky


		// Čítanie

		/**
		 * Ak sú všetky zvuky uložené v spoločnom priečinku, môžeme pre nich
		 * touto metódou nastaviť zdrojový priečinok čítania.
		 * Priečinok by sa mal nachádzať v hlavnom priečinku projektu alebo by
		 * k nemu mala viesť systémovo nezávislá relatívna cesta. Zadaním
		 * prázdneho reťazca alebo hodnoty {@code valnull} používanie
		 * priečinka zrušíme.
		 * 
		 *  @param priečinok  názov priečinka, relatívna cesta, prípadne
		 *      prázdny reťazec alebo {@code valnull}
		 * 
		 *  @see #priečinokZvukov()
		 *  @see #čítajZvuky(Object[])
		 *  @see #čítajZvuky(String[])
		 *  @see #čítajZvuk(String)
		 *  @see #zvuk(String)
		 *  @see #zvukNaPozadí(String)
		 *  @see #zastavZvuky(Object[])
		 *  @see #hlasitosťPreZvuky(double, Object[])
		 *  @see #váhaPreZvuky(double, Object[])
		 *  @see #zastavZvuky(String[])
		 *  @see #hlasitosťPreZvuky(double, String[])
		 *  @see #váhaPreZvuky(double, String[])
		 *  @see Zvuk
		 */
		public static void priečinokZvukov(String priečinok)
		{ priečinokZvukov = upravLomky(priečinok, true); }

		/** <a class="alias"></a> Alias pre {@link #priečinokZvukov(String) priečinokZvukov}. */
		public static void priecinokZvukov(String priečinok)
		{ priečinokZvukov = upravLomky(priečinok, true); }

		/**
		 * Vráti reťazec s aktuálnym priečinkom, z ktorého sú zvuky čítané.
		 * Reťazec je obohatený o oddeľovací znak priečinkov {@link
		 * File#separatorChar java.io.File.separatorChar} ({@code /} alebo
		 * {@code \} – záleží na type operačného systému), ktorý automaticky
		 * pridáva metóda {@link #priečinokZvukov(String)
		 * priečinokZvukov(priečinok)}. Taktiež všetky oddeľovacie znaky
		 * priečinkov v relatívnej ceste sú nahradené podľa typu operačného
		 * systému.
		 * 
		 *  @return aktuálny priečinok, z ktorého sú zvuky čítané
		 * 
		 *  @see #priečinokZvukov(String)
		 *  @see #čítajZvuky(Object[])
		 *  @see #čítajZvuky(String[])
		 *  @see #čítajZvuk(String)
		 *  @see #zvuk(String)
		 *  @see #zvukNaPozadí(String)
		 *  @see #zastavZvuky(Object[])
		 *  @see #hlasitosťPreZvuky(double, Object[])
		 *  @see #váhaPreZvuky(double, Object[])
		 *  @see #zastavZvuky(String[])
		 *  @see #hlasitosťPreZvuky(double, String[])
		 *  @see #váhaPreZvuky(double, String[])
		 *  @see Zvuk
		 */
		public static String priečinokZvukov() { return priečinokZvukov; }

		/** <a class="alias"></a> Alias pre {@link #priečinokZvukov() priečinokZvukov}. */
		public static String priecinokZvukov() { return priečinokZvukov; }

		/**
		 * Táto metóda slúži na čítanie zadaných zvukových súborov do
		 * vnútornej pamäte sveta (napríklad pri štarte aplikácie). Svet
		 * ukladá do vnútornej pamäte každý prehrávaný zvuk (ak tam už nie
		 * je). Z nej môže byť v prípade potreby (napríklad ak sa obsah súboru
		 * na disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. Táto metóda číta zvukové súbory vopred
		 * a tým môže prispieť k plynulejšej činnosti aplikácie po štarte (čas
		 * štartu sa predĺži, ale keďže súbory už nemusia byť čítané počas jej
		 * činnosti, pracuje plynulejšie).
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 funguje táto metóda
		 * a všetky také, ktoré pracujú so zvukmi identifikovanými podľa
		 * názvu súboru tak, že podľa potreby vytvára(jú) nové unikátne
		 * inštancie identifikovaných zvukov. Podrobnejšie vysvetlenie je
		 * v opise metódy {@link Svet#čítajZvuk(String)
		 * čítajZvuk(súbor)}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súbory  ľubovoľný počet reťazcov označujúcich súbory
		 *  @throws GRobotException  ak niektorý súbor nebol nájdený;
		 *      spracovanie sa v okamihu vzniku výnimky neskončí a vrhnutá je
		 *      len posledná vzniknutá výnimka, to znamená, že všetky
		 *      predchádzajúce výnimky sú ignorované
		 * 
		 *  @see #priečinokZvukov(String)
		 *  @see #čítajZvuky(String[])
		 *  @see #čítajZvuk(String)
		 *  @see Svet#zvuk(String)
		 *  @see Svet#zvukNaPozadí(String)
		 *  @see Zvuk
		 */
		public static void čítajZvuky(Object... súbory)
		{
			GRobotException gre = null;
			for (Object súbor : súbory)
				try { súborNaZvuk(súbor.toString()); }
				catch (GRobotException e) { gre = e; }
			if (null != gre) throw gre;
		}


		/** <a class="alias"></a> Alias pre {@link #čítajZvuky(Object[]) čítajZvuky}. */
		public static void citajZvuky(Object... súbory)
		{ čítajZvuky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuky(Object[]) čítajZvuky}. */
		public static void prečítajZvuky(Object... súbory)
		{ čítajZvuky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuky(Object[]) čítajZvuky}. */
		public static void precitajZvuky(Object... súbory)
		{ čítajZvuky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuky(Object[]) čítajZvuky}. */
		@Deprecated public static void načítajZvuky(Object... súbory)
		{ čítajZvuky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuky(Object[]) čítajZvuky}. */
		@Deprecated public static void nacitajZvuky(Object... súbory)
		{ čítajZvuky(súbory); }

		/**
		 * Táto metóda slúži na čítanie zadaných zvukových súborov do
		 * vnútornej pamäte sveta (napríklad pri štarte aplikácie). Svet
		 * ukladá do vnútornej pamäte každý prehrávaný zvuk (ak tam už nie
		 * je). Z nej môže byť v prípade potreby (napríklad ak sa obsah súboru
		 * na disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. Táto metóda číta zvukové súbory vopred
		 * a tým môže prispieť k plynulejšej činnosti aplikácie po štarte (čas
		 * štartu sa predĺži, ale keďže súbory už nemusia byť čítané počas jej
		 * činnosti, pracuje plynulejšie).
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 funguje táto metóda
		 * a všetky také, ktoré pracujú so zvukmi identifikovanými podľa
		 * názvu súboru tak, že podľa potreby vytvára(jú) nové unikátne
		 * inštancie identifikovaných zvukov. Podrobnejšie vysvetlenie je
		 * v opise metódy {@link Svet#čítajZvuk(String)
		 * čítajZvuk(súbor)}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súbory  pole reťazcov označujúcich súbory
		 *  @throws GRobotException  ak niektorý súbor nebol nájdený;
		 *      spracovanie sa v okamihu vzniku výnimky neskončí a vrhnutá je
		 *      len posledná vzniknutá výnimka, to znamená, že všetky
		 *      predchádzajúce výnimky sú ignorované
		 * 
		 *  @see #priečinokZvukov(String)
		 *  @see #čítajZvuky(Object[])
		 *  @see #čítajZvuk(String)
		 *  @see Svet#zvuk(String)
		 *  @see Svet#zvukNaPozadí(String)
		 *  @see Zvuk
		 */
		public static void čítajZvuky(String[] súbory)
		{
			GRobotException gre = null;
			for (String súbor : súbory)
				try { súborNaZvuk(súbor); }
				catch (GRobotException e) { gre = e; }
			if (null != gre) throw gre;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajZvuky(String[]) čítajZvuky}. */
		public static void citajZvuky(String[] súbory)
		{ čítajZvuky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuky(String[]) čítajZvuky}. */
		public static void prečítajZvuky(String[] súbory)
		{ čítajZvuky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuky(String[]) čítajZvuky}. */
		public static void precitajZvuky(String[] súbory)
		{ čítajZvuky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuky(String[]) čítajZvuky}. */
		@Deprecated public static void načítajZvuky(String[] súbory)
		{ čítajZvuky(súbory); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuky(String[]) čítajZvuky}. */
		@Deprecated public static void nacitajZvuky(String[] súbory)
		{ čítajZvuky(súbory); }

		/**
		 * Prečíta do vnútornej pamäte sveta zadaný zvuk zo súboru a vráti ho
		 * v objekte typu {@link Zvuk}. Zvuk nie je prehraný. Podobnú úlohu
		 * plní metóda {@link #čítajZvuky(Object[])
		 * Svet.čítajZvuky(Object... súbory)} (pozri pre viac informácií),
		 * ale pomocou nej nie je možné získať objekt typu {@link Zvuk} na
		 * prípadné ďalšie spracovanie. Zvuk môže byť v prípade potreby
		 * (napríklad ak sa obsah súboru na disku zmenil) z vnútornej pamäte
		 * odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}.
		 * 
		 * <P>Od verzie 1.75 funguje metóda tak, že podľa potreby vytvára
		 * nové unikátne inštancie zvuku identifikovaného názvom súboru.
		 * Nová inštancia vznikne vždy, ak sa vo vnútornej pamäti sveta
		 * nenájde taká inštancia určeného zvuku, ktorá práve nie je
		 * prehrávaná (čiže hľadá sa zvuk, ktorý je ticho). Takto fungujú
		 * všetky metódy pracujúce so zvukom. Ak by sa toto nedialo, tak by
		 * vznikalo nežiaduce správanie – vždy pri pokuse prehrať ten istý
		 * zvuk počas jeho prehrávania, by sa tento reštartoval. (Nebolo by
		 * možné prehrať sériu rovnakých zvukov, ktoré sa časovo prekrývajú.
		 * To by pôsobilo neprirodzene – každé reštartovanie zvuku by bolo
		 * počuteľné tak, ako keby sa zo zvuku zrazu časť „odsekla“.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súbor názov súboru so zvukom
		 *  @return zvuk v objekte typu {@link Zvuk}
		 *  @throws GRobotException  ak súbor so zvukom nebol nájdený
		 * 
		 *  @see #priečinokZvukov(String)
		 *  @see #čítajZvuky(Object[])
		 *  @see #čítajZvuky(String[])
		 *  @see Svet#zvuk(String)
		 *  @see Svet#zvukNaPozadí(String)
		 *  @see Zvuk
		 */
		public static Zvuk čítajZvuk(String súbor) { return súborNaZvuk(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuk(String) čítajZvuk}. */
		public static Zvuk citajZvuk(String súbor) { return súborNaZvuk(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuk(String) čítajZvuk}. */
		public static Zvuk prečítajZvuk(String súbor) { return súborNaZvuk(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuk(String) čítajZvuk}. */
		public static Zvuk precitajZvuk(String súbor) { return súborNaZvuk(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuk(String) čítajZvuk}. */
		@Deprecated public static Zvuk načítajZvuk(String súbor) { return súborNaZvuk(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuk(String) čítajZvuk}. */
		@Deprecated public static Zvuk nacitajZvuk(String súbor) { return súborNaZvuk(súbor); }

		/**
		 * Prečíta do vnútornej pamäte sveta zadaný zvuk zo súboru a vráti ho
		 * v objekte typu {@link Zvuk}. Zvuk nie je prehraný. Ak je parameter
		 * {@code unikátny} rovný {@code valfalse}, tak táto metóda funguje
		 * rovnako ako metóda {@link #čítajZvuk(String) čítajZvuk(súbor)}.
		 * 
		 * <P>V prípade, že je parameter {@code unikátny} rovný
		 * {@code valtrue}, tak táto metóda <b>vždy</b> vráti unikátny objekt
		 * zvuku. Táto možnosť bola v knižnici ponechaná z dôvodu uchovania
		 * spätnej kompatibility.
		 * <!--s ktorým je možné pracovať individuálne (na rozdiel od zvukov,
		 * ktoré poskytuje metóda
		 * {@link #čítajZvuk(String) čítajZvuk(súbor)}). To je vhodné
		 * v prípade, že potrebujeme niektorý zvuk prehrávať paralelne
		 * viac ráz. Bez tejto možnosti by sa prehrávaný zvuk vždy pri
		 * výzve na prehratie reštartoval. Dôležité však je v tejto súvislosti
		 * vedieť to, že zo všetkých unikátnych inštancií vytvorených zo
		 * zadaného zvukového súboru (touto metódou alebo metódou
		 * {@link #čítajZvuk(String) čítajZvuk(súbor)}), dokáže iba <b>prvá</b>
		 * vytvorená reagovať na hromadné výzvy metódami:
		 * {@link #váhaPreZvuky(double, String[]) váhaPreZvuky},
		 * {@link #hlasitosťPreZvuky(double, String[]) hlasitosťPreZvuky},
		 * {@link #zastavZvuky(String[]) zastavZvuky}
		 * a {@link #zvukNaPozadí(String súbor) zvukNaPozadí}. Ostatné treba
		 * obsluhovať individuálne. (Súvisí to so spôsobom uloženia zvukov
		 * vo vnútornej pamäti sveta.)-->
		 * 
		 * <P>Všetky kópie zvuku môžu byť v prípade potreby (napríklad ak sa
		 * obsah súboru na disku zmenil) z vnútornej pamäte odstránené
		 * metódou {@link Svet#uvoľni(String) Svet.uvoľni(názovZdroja)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súbor názov súboru so zvukom
		 *  @param unikátny určuje, či objekt vrátený touto metódou musí
		 *      byť unikátny
		 *  @return zvuk v objekte typu {@link Zvuk}
		 *  @throws GRobotException  ak súbor so zvukom nebol nájdený
		 * 
		 *  @see #priečinokZvukov(String)
		 *  @see #čítajZvuky(Object[])
		 *  @see #čítajZvuky(String[])
		 *  @see Svet#zvuk(String)
		 *  @see Svet#zvukNaPozadí(String)
		 *  @see Zvuk
		 */
		public static Zvuk čítajZvuk(String súbor, boolean unikátny)
		{ return súborNaZvuk(súbor, unikátny); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuk(String, boolean) čítajZvuk}. */
		public static Zvuk citajZvuk(String súbor, boolean unikátny)
		{ return súborNaZvuk(súbor, unikátny); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuk(String, boolean) čítajZvuk}. */
		public static Zvuk prečítajZvuk(String súbor, boolean unikátny)
		{ return súborNaZvuk(súbor, unikátny); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuk(String, boolean) čítajZvuk}. */
		public static Zvuk precitajZvuk(String súbor, boolean unikátny)
		{ return súborNaZvuk(súbor, unikátny); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuk(String, boolean) čítajZvuk}. */
		@Deprecated public static Zvuk načítajZvuk(String súbor, boolean unikátny)
		{ return súborNaZvuk(súbor, unikátny); }

		/** <a class="alias"></a> Alias pre {@link #čítajZvuk(String, boolean) čítajZvuk}. */
		@Deprecated public static Zvuk nacitajZvuk(String súbor, boolean unikátny)
		{ return súborNaZvuk(súbor, unikátny); }


		// Prehrávanie

		/**
		 * Prehrá zvukový súbor (formát {@code .wav} alebo {@code .au}).
		 * Napríklad:
		 * <pre CLASS="example">
			{@link Svet Svet}.{@code currzvuk}({@code srg"zvuk.wav"});
			</pre>
		 * 
		 * <P><a href="resources/zvuk.wav" target="_blank">zvuk.wav</a> –
		 * zvuk na prevzatie.
		 * 
		 * <P>Zvuk prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 funguje táto metóda
		 * a všetky také, ktoré pracujú so zvukmi identifikovanými podľa
		 * názvu súboru tak, že podľa potreby vytvára(jú) nové unikátne
		 * inštancie identifikovaného zvuku. Podrobnejšie vysvetlenie je
		 * v opise metódy {@link Svet#čítajZvuk(String)
		 * čítajZvuk(súbor)}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súbor     názov zvukového súboru, ktorý má byť prehraný
		 *  @throws GRobotException  ak súbor so zvukom nebol nájdený
		 * 
		 *  @see #priečinokZvukov(String)
		 *  @see #zvukNaPozadí(String)
		 *  @see Zvuk
		 */
		public static void zvuk(String súbor) { súborNaZvuk(súbor).prehraj(); }

		/**
		 * Začne alebo ukončí prehrávanie zvuku zo súboru na pozadí (formát
		 * {@code .wav} alebo {@code .au}). Ak chceme prehrávanie zvuku
		 * zastaviť, zadáme do argumentu metódy {@code valnull}.
		 * 
		 * <P>Zvuk prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 funguje táto metóda
		 * a všetky také, ktoré pracujú so zvukmi identifikovanými podľa
		 * názvu súboru tak, že podľa potreby vytvára(jú) nové unikátne
		 * inštancie identifikovaného zvuku. Podrobnejšie vysvetlenie je
		 * v opise metódy {@link Svet#čítajZvuk(String)
		 * čítajZvuk(súbor)}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súbor     názov zvukového súboru, ktorý má byť prehrávaný,
		 *      alebo {@code valnull} na zastavenie prehrávania
		 *  @throws GRobotException  ak súbor so zvukom nebol nájdený
		 * 
		 *  @see #priečinokZvukov(String)
		 *  @see #zvuk(String)
		 *  @see Zvuk
		 */
		public static void zvukNaPozadí(String súbor)
		{
			if (null == súbor)
			{
				if (null != zvukNaPozadí)
				{
					zvukNaPozadí.zastav();
					zvukNaPozadí = null;
				}
			}
			else
			{
				if (null != zvukNaPozadí) zvukNaPozadí.zastav();
				zvukNaPozadí = súborNaZvuk(súbor);
				zvukNaPozadí.prehrávaťDookola();
			}
		}

		/** <a class="alias"></a> Alias pre {@link #zvukNaPozadí(String) zvukNaPozadí}. */
		public static void zvukNaPozadi(String súbor) { zvukNaPozadí(súbor); }

		/**
		 * Zistí, či je aktívne prehrávanie zvuku na pozadí, ktoré bolo
		 * spustené metódou {@link #zvukNaPozadí(String) zvukNaPozadí}.
		 *  @return {@code valtrue} – áno; {@code valfalse} – nie
		 */
		public static boolean hráZvukNaPozadí() { return null != zvukNaPozadí; }

		/** <a class="alias"></a> Alias pre {@link #hráZvukNaPozadí() hráZvukNaPozadí}. */
		public static boolean hraZvukNaPozadi() { return null != zvukNaPozadí; }


		// Hromadná úprava vlastností

		/**
		 * Zastaví všetky uvedené zvuky. Zoznam je treba uviesť v tvare
		 * objektov, ktorých prevody na textové reťazce budú označovať
		 * názvy súborov (prípadne zdrojov), z ktorých zvuky boli alebo majú
		 * byť prečítané. (Najlepšie použiť priamo reťazce.)
		 * 
		 * <P>Pozor, táto metóda zároveň spôsobí prečítanie všetkých
		 * dotknutých zvukov do vnútornej pamäte (ak tam už nie sú).
		 * Z nej môžu byť v prípade potreby (napríklad ak sa obsah súboru
		 * na disku zmenil) odstránené metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * alebo zvukmi, ktoré prijímajú názov súboru ako parameter.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 funguje táto metóda
		 * a všetky také, ktoré pracujú so zvukmi identifikovanými podľa
		 * názvu súboru tak, že podľa potreby vytvára(jú) nové unikátne
		 * inštancie identifikovaných zvukov. Podrobnejšie vysvetlenie je
		 * v opise metódy {@link Svet#čítajZvuk(String)
		 * čítajZvuk(súbor)}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súbory  ľubovoľný počet reťazcov označujúcich súbory
		 *  @throws GRobotException  ak niektorý súbor nebol nájdený;
		 *      spracovanie sa v okamihu vzniku výnimky neskončí a vrhnutá je
		 *      len posledná vzniknutá výnimka, to znamená, že všetky
		 *      predchádzajúce výnimky sú ignorované
		 * 
		 *  @see #priečinokZvukov(String)
		 *  @see #zastavZvuky(String[])
		 *  @see Zvuk
		 */
		public static void zastavZvuky(Object... súbory)
		{
			GRobotException gre = null;
			for (Object súbor : súbory)
				try
				{
					// Starší spôsob:
					// súborNaZvuk(súbor.toString()).zastav();
					ZoznamZvukov zoznamZvukov =
						zoznamZvukovSúboru(súbor.toString());
					for (Zvuk zvuk : zoznamZvukov)
						zvuk.zastav();
				}
				catch (GRobotException e) { gre = e; }
			if (null != gre) throw gre;
		}

		/**
		 * Nastaví hromadne hlasitosť pre všetky uvedené zvuky. Zoznam je
		 * treba uviesť v tvare objektov, ktorých prevody na textové reťazce
		 * budú označovať názvy súborov (prípadne zdrojov), z ktorých zvuky
		 * boli alebo majú byť prečítané. (Najlepšie použiť priamo reťazce.)
		 * 
		 * <P>Pozor, táto metóda zároveň spôsobí prečítanie všetkých
		 * dotknutých zvukov do vnútornej pamäte (ak tam už nie sú).
		 * Z nej môžu byť v prípade potreby (napríklad ak sa obsah súboru
		 * na disku zmenil) odstránené metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * alebo zvukmi, ktoré prijímajú názov súboru ako parameter.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 funguje táto metóda
		 * a všetky také, ktoré pracujú so zvukmi identifikovanými podľa
		 * názvu súboru tak, že podľa potreby vytvára(jú) nové unikátne
		 * inštancie identifikovaných zvukov. Podrobnejšie vysvetlenie je
		 * v opise metódy {@link Svet#čítajZvuk(String)
		 * čítajZvuk(súbor)}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param miera  miera hlasitosti v percentách – 0% zodpovedá hodnote
		 *      {@code num0.0}, 100% hodnote {@code num1.0}
		 *  @param súbory  ľubovoľný počet reťazcov označujúcich súbory
		 *  @throws GRobotException  ak niektorý súbor nebol nájdený;
		 *      spracovanie sa v okamihu vzniku výnimky neskončí a vrhnutá je
		 *      len posledná vzniknutá výnimka, to znamená, že všetky
		 *      predchádzajúce výnimky sú ignorované
		 * 
		 *  @see Zvuk#hlasitosť(double)
		 *  @see #priečinokZvukov(String)
		 *  @see #hlasitosťPreZvuky(double, String[])
		 *  @see Zvuk
		 */
		public static void hlasitosťPreZvuky(double miera, Object... súbory)
		{
			GRobotException gre = null;
			for (Object súbor : súbory)
				try
				{
					// Starší spôsob:
					// súborNaZvuk(súbor.toString()).hlasitosť(miera);
					ZoznamZvukov zoznamZvukov =
						zoznamZvukovSúboru(súbor.toString());
					for (Zvuk zvuk : zoznamZvukov)
						zvuk.hlasitosť(miera);
				}
				catch (GRobotException e) { gre = e; }
			if (null != gre) throw gre;
		}

		/** <a class="alias"></a> Alias pre {@link #hlasitosťPreZvuky(double, Object[]) hlasitosťPreZvuky} */
		public static void hlasitostPreZvuky(double miera, Object... súbory)
		{ hlasitosťPreZvuky(miera, súbory); }

		/**
		 * Nastaví hromadne váhu pre všetky uvedené zvuky. Zoznam je
		 * treba uviesť v tvare objektov, ktorých prevody na textové reťazce
		 * budú označovať názvy súborov (prípadne zdrojov), z ktorých zvuky
		 * boli alebo majú byť prečítané. (Najlepšie použiť priamo reťazce.)
		 * 
		 * <P>Pozor, táto metóda zároveň spôsobí prečítanie všetkých
		 * dotknutých zvukov do vnútornej pamäte (ak tam už nie sú).
		 * Z nej môžu byť v prípade potreby (napríklad ak sa obsah súboru
		 * na disku zmenil) odstránené metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * alebo zvukmi, ktoré prijímajú názov súboru ako parameter.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 funguje táto metóda
		 * a všetky také, ktoré pracujú so zvukmi identifikovanými podľa
		 * názvu súboru tak, že podľa potreby vytvára(jú) nové unikátne
		 * inštancie identifikovaných zvukov. Podrobnejšie vysvetlenie je
		 * v opise metódy {@link Svet#čítajZvuk(String)
		 * čítajZvuk(súbor)}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param miera  miera stereo vyváženia – reálne číslo od
		 *      {@code -}{@code num1.0} (ľavý kanál) po
		 *      {@code +}{@code num1.0} (pravý kanál)
		 *  @param súbory  ľubovoľný počet reťazcov označujúcich súbory
		 *  @throws GRobotException  ak niektorý súbor nebol nájdený;
		 *      spracovanie sa v okamihu vzniku výnimky neskončí a vrhnutá je
		 *      len posledná vzniknutá výnimka, to znamená, že všetky
		 *      predchádzajúce výnimky sú ignorované
		 * 
		 *  @see Zvuk#váha(double)
		 *  @see #priečinokZvukov(String)
		 *  @see #váhaPreZvuky(double, String[])
		 *  @see Zvuk
		 */
		public static void váhaPreZvuky(double miera, Object... súbory)
		{
			GRobotException gre = null;
			for (Object súbor : súbory)
				try
				{
					// Starší spôsob:
					// súborNaZvuk(súbor.toString()).váha(miera);
					ZoznamZvukov zoznamZvukov =
						zoznamZvukovSúboru(súbor.toString());
					for (Zvuk zvuk : zoznamZvukov)
						zvuk.váha(miera);
				}
				catch (GRobotException e) { gre = e; }
			if (null != gre) throw gre;
		}

		/** <a class="alias"></a> Alias pre {@link #váhaPreZvuky(double, Object[]) váhaPreZvuky} */
		public static void vahaPreZvuky(double miera, Object... súbory)
		{ váhaPreZvuky(miera, súbory); }

		/**
		 * Zastaví všetky uvedené zvuky. Zoznam je tvorený poľom textových
		 * reťazcov označujúcich súbory, z ktorých boli zvuky prečítané.
		 * 
		 * <P>Pozor, táto metóda zároveň spôsobí prečítanie všetkých
		 * dotknutých zvukov do vnútornej pamäte (ak tam už nie sú).
		 * Z nej môžu byť v prípade potreby (napríklad ak sa obsah súboru
		 * na disku zmenil) odstránené metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * alebo zvukmi, ktoré prijímajú názov súboru ako parameter.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 funguje táto metóda
		 * a všetky také, ktoré pracujú so zvukmi identifikovanými podľa
		 * názvu súboru tak, že podľa potreby vytvára(jú) nové unikátne
		 * inštancie identifikovaných zvukov. Podrobnejšie vysvetlenie je
		 * v opise metódy {@link Svet#čítajZvuk(String)
		 * čítajZvuk(súbor)}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súbory  pole reťazcov označujúcich súbory
		 *  @throws GRobotException  ak niektorý súbor nebol nájdený;
		 *      spracovanie sa v okamihu vzniku výnimky neskončí a vrhnutá je
		 *      len posledná vzniknutá výnimka, to znamená, že všetky
		 *      predchádzajúce výnimky sú ignorované
		 * 
		 *  @see #priečinokZvukov(String)
		 *  @see #zastavZvuky(Object[])
		 *  @see Zvuk
		 */
		public static void zastavZvuky(String[] súbory)
		{
			GRobotException gre = null;
			for (String súbor : súbory)
				try
				{
					// Starší spôsob:
					// súborNaZvuk(súbor).zastav();
					ZoznamZvukov zoznamZvukov =
						zoznamZvukovSúboru(súbor);
					for (Zvuk zvuk : zoznamZvukov)
						zvuk.zastav();
				}
				catch (GRobotException e) { gre = e; }
			if (null != gre) throw gre;
		}

		/**
		 * Nastaví hromadne hlasitosť pre všetky uvedené zvuky. Zoznam je
		 * tvorený poľom textových reťazcov označujúcich súbory, z ktorých
		 * boli zvuky prečítané.
		 * 
		 * <P>Pozor, táto metóda zároveň spôsobí prečítanie všetkých
		 * dotknutých zvukov do vnútornej pamäte (ak tam už nie sú).
		 * Z nej môžu byť v prípade potreby (napríklad ak sa obsah súboru
		 * na disku zmenil) odstránené metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * alebo zvukmi, ktoré prijímajú názov súboru ako parameter.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 funguje táto metóda
		 * a všetky také, ktoré pracujú so zvukmi identifikovanými podľa
		 * názvu súboru tak, že podľa potreby vytvára(jú) nové unikátne
		 * inštancie identifikovaných zvukov. Podrobnejšie vysvetlenie je
		 * v opise metódy {@link Svet#čítajZvuk(String)
		 * čítajZvuk(súbor)}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param miera  miera hlasitosti v percentách – 0% zodpovedá hodnote
		 *      {@code num0.0}, 100% hodnote {@code num1.0}
		 *  @param súbory  pole reťazcov označujúcich súbory
		 *  @throws GRobotException  ak niektorý súbor nebol nájdený;
		 *      spracovanie sa v okamihu vzniku výnimky neskončí a vrhnutá je
		 *      len posledná vzniknutá výnimka, to znamená, že všetky
		 *      predchádzajúce výnimky sú ignorované
		 * 
		 *  @see Zvuk#hlasitosť(double)
		 *  @see #priečinokZvukov(String)
		 *  @see #hlasitosťPreZvuky(double, Object[])
		 *  @see Zvuk
		 */
		public static void hlasitosťPreZvuky(double miera, String[] súbory)
		{
			GRobotException gre = null;
			for (String súbor : súbory)
				try
				{
					// Starší spôsob:
					// súborNaZvuk(súbor).hlasitosť(miera);
					ZoznamZvukov zoznamZvukov =
						zoznamZvukovSúboru(súbor);
					for (Zvuk zvuk : zoznamZvukov)
						zvuk.hlasitosť(miera);
				}
				catch (GRobotException e) { gre = e; }
			if (null != gre) throw gre;
		}

		/** <a class="alias"></a> Alias pre {@link #hlasitosťPreZvuky(double, String[]) hlasitosťPreZvuky} */
		public static void hlasitostPreZvuky(double miera, String[] súbory)
		{ hlasitosťPreZvuky(miera, súbory); }

		/**
		 * Nastaví hromadne váhu pre všetky uvedené zvuky. Zoznam je
		 * tvorený poľom textových reťazcov označujúcich súbory, z ktorých
		 * boli zvuky prečítané.
		 * 
		 * <P>Pozor, táto metóda zároveň spôsobí prečítanie všetkých
		 * dotknutých zvukov do vnútornej pamäte (ak tam už nie sú).
		 * Z nej môžu byť v prípade potreby (napríklad ak sa obsah súboru
		 * na disku zmenil) odstránené metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * alebo zvukmi, ktoré prijímajú názov súboru ako parameter.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 funguje táto metóda
		 * a všetky také, ktoré pracujú so zvukmi identifikovanými podľa
		 * názvu súboru tak, že podľa potreby vytvára(jú) nové unikátne
		 * inštancie identifikovaných zvukov. Podrobnejšie vysvetlenie je
		 * v opise metódy {@link Svet#čítajZvuk(String)
		 * čítajZvuk(súbor)}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param miera  miera stereo vyváženia – reálne číslo od
		 *      {@code -}{@code num1.0} (ľavý kanál) po
		 *      {@code +}{@code num1.0} (pravý kanál)
		 *  @param súbory  pole reťazcov označujúcich súbory
		 *  @throws GRobotException  ak niektorý súbor nebol nájdený;
		 *      spracovanie sa v okamihu vzniku výnimky neskončí a vrhnutá je
		 *      len posledná vzniknutá výnimka, to znamená, že všetky
		 *      predchádzajúce výnimky sú ignorované
		 * 
		 *  @see Zvuk#váha(double)
		 *  @see #priečinokZvukov(String)
		 *  @see #váhaPreZvuky(double, Object[])
		 *  @see Zvuk
		 */
		public static void váhaPreZvuky(double miera, String[] súbory)
		{
			GRobotException gre = null;
			for (String súbor : súbory)
				try
				{
					// Starší spôsob: 
					// súborNaZvuk(súbor).váha(miera);
					ZoznamZvukov zoznamZvukov =
						zoznamZvukovSúboru(súbor);
					for (Zvuk zvuk : zoznamZvukov)
						zvuk.váha(miera);
				}
				catch (GRobotException e) { gre = e; }
			if (null != gre) throw gre;
		}

		/** <a class="alias"></a> Alias pre {@link #váhaPreZvuky(double, String[]) váhaPreZvuky} */
		public static void vahaPreZvuky(double miera, String[] súbory)
		{ váhaPreZvuky(miera, súbory); }


		// Pípnutie

		/**
		 * Aplikácia vydá štandardný zvuk operačného systému. (To je
		 * využiteľné napríklad pri jednoduchom overení, či sa podarilo
		 * spustiť nejakú časť programu…)
		 */
		public static void pípni() { Toolkit.getDefaultToolkit().beep(); }

		/** <a class="alias"></a> Alias pre {@link #pípni() pípni}. */
		public static void pipni() { Toolkit.getDefaultToolkit().beep(); }


	// --- Časovač a časomiera


		// Práca s časovačom

		/**
		 * Spustí časovač so zadaným časovým intervalom v sekundách. Časovač
		 * volá v zadanom intervale metódu {@link ObsluhaUdalostí
		 * ObsluhaUdalostí}.{@link ObsluhaUdalostí#tik() tik()}, v ktorej
		 * je možné získať objekt s informáciami o poslednej udalosti
		 * časovača metódou {@link ÚdajeUdalostí ÚdajeUdalostí}.{@link
		 * ÚdajeUdalostí#tik() tik()}. Pri viacnásobnom volaní tejto metódy
		 * je predchádzajúci časovač vždy zastavený. Časovač môže byť spustený
		 * niektorými metódami automaticky. Pozri napríklad: {@link
		 * GRobot#rýchlosť(double) rýchlosť}, {@link
		 * GRobot#uhlováRýchlosť(double) uhlováRýchlosť}…
		 * 
		 * @param čas časový interval v sekundách; desatinná časť je
		 *      zaokrúhlená na milisekundy
		 * @see #spustiČasovač()
		 * @see #odložČasovač(double)
		 * @see #časovačAktívny()
		 * @see #intervalČasovača()
		 * @see #zastavČasovač()
		 */
		public static void spustiČasovač(double čas) { časovač.spusti((int)(čas * 1000)); }

		/** <a class="alias"></a> Alias pre {@link #spustiČasovač(double) spustiČasovač}. */
		public static void spustiCasovac(double čas) { časovač.spusti((int)(čas * 1000)); }

		/**
		 * Spustí časovač s naposledy zadaným časovým intervalom
		 * (v sekundách) alebo s predvoleným intervalom 40 milisekúnd (ak
		 * nebol v činnosti). (Štyridsať milisekúnd zodpovedá snímkovacej
		 * frekvencii 25 snímok za sekundu.) Časovač spúšťa v zadanom
		 * časovom intervale metódu {@link ObsluhaUdalostí
		 * ObsluhaUdalostí}.{@link ObsluhaUdalostí#tik() tik()}, v ktorej je
		 * možné získať objekt s informáciami o poslednej udalosti časovača
		 * metódou {@link ÚdajeUdalostí ÚdajeUdalostí}.{@link
		 * ÚdajeUdalostí#tik() tik()}. Ak časovač nie je v činnosti, je
		 * viacnásobné volanie tejto metódy (na rozdiel od {@link
		 * #spustiČasovač(double) spustiČasovač(čas)}) ignorované. Časovač
		 * môže byť spustený niektorými metódami automaticky. Pozri
		 * napríklad: {@link GRobot#rýchlosť(double) rýchlosť}, {@link
		 * GRobot#uhlováRýchlosť(double) uhlováRýchlosť}…
		 * 
		 * @see #spustiČasovač(double)
		 * @see #odložČasovač(double)
		 * @see #časovačAktívny()
		 * @see #intervalČasovača()
		 * @see #zastavČasovač()
		 */
		public static void spustiČasovač()
		{
			if (null == časovač.časovač) časovač.spusti();
			else if (!časovač.časovač.isRunning()) časovač.časovač.start();
		}

		/** <a class="alias"></a> Alias pre {@link #spustiČasovač(double) spustiČasovač}. */
		public static void spustiCasovac() { spustiČasovač(); }

		/**
		 * Odloží časovač o zadaný časový interval v sekundách. Ak časovač nebol
		 * doteraz spustený, funguje rovnako ako metóda {@link
		 * #spustiČasovač(double) spustiČasovač}, inak iba odloží najbližšie
		 * spustenie časovača o zadaný časový údaj.
		 * 
		 * @param čas časový interval v sekundách; desatinná časť je zaokrúhlená
		 *      na milisekundy
		 * @see #spustiČasovač(double)
		 * @see #časovačAktívny()
		 * @see #intervalČasovača()
		 * @see #zastavČasovač()
		 */
		public static void odložČasovač(double čas) { časovač.odlož((int)(čas * 1000)); }

		/** <a class="alias"></a> Alias pre {@link #odložČasovač(double) odložČasovač}. */
		public static void odlozCasovac(double čas) { časovač.odlož((int)(čas * 1000)); }

		/**
		 * Zistí, či je časovač aktívny.
		 *  @return {@code valtrue}/&#8203;{@code valfalse} – podľa toho, či je
		 *      časovač aktívny alebo nie
		 * @see #spustiČasovač(double)
		 * @see #spustiČasovač()
		 * @see #odložČasovač(double)
		 * @see #intervalČasovača()
		 * @see #zastavČasovač()
		 */
		public static boolean časovačAktívny() { return časovač.aktívny(); }

		/** <a class="alias"></a> Alias pre {@link #časovačAktívny() časovačAktívny}. */
		public static boolean casovacAktivny() { return časovač.aktívny(); }

		/**
		 * Vráti časový interval časovača v sekundách.
		 *  @return časový interval v sekundách; desatinná časť je
		 *      zaokrúhlená na milisekundy
		 * @see #spustiČasovač(double)
		 * @see #spustiČasovač()
		 * @see #odložČasovač(double)
		 * @see #časovačAktívny()
		 * @see #zastavČasovač()
		 */
		public static double intervalČasovača()
		{
			return (double)časovač.interval() / 1000.0;
		}

		/** <a class="alias"></a> Alias pre {@link #intervalČasovača() intervalČasovača}. */
		public static double intervalCasovaca() { return intervalČasovača(); }

		/**
		 * Zastaví časovač, ktorý bol spustený metódou {@link
		 * #spustiČasovač(double) spustiČasovač}.
		 * @see #spustiČasovač(double)
		 * @see #spustiČasovač()
		 * @see #odložČasovač(double)
		 * @see #časovačAktívny()
		 * @see #intervalČasovača()
		 */
		public static void zastavČasovač() { časovač.zastav(); }

		/** <a class="alias"></a> Alias pre {@link #zastavČasovač() zastavČasovač}. */
		public static void zastavCasovac() { časovač.zastav(); }


		// Čakanie

		/**
		 * Pozdrží vykonávanie programu na zadaný počet sekúnd.
		 * 
		 *  @param početSekúnd  počet sekúnd, na ktorý sa má vykonávanie
		 *      programu zastaviť
		 */
		public static void čakaj(double početSekúnd)
		{
			try { Thread.sleep((long)(početSekúnd * 1000)); }
			catch (InterruptedException ie) {}
			// vypíšChybovéHlásenia(e, false); }
		}

		/** <a class="alias"></a> Alias pre {@link #čakaj(double) čakaj}. */
		public static void cakaj(double početSekúnd) { čakaj(početSekúnd); }


		// Časomiera

		// Atribút stopiek, čiže časomiery…
		private static long stopky = 0;

		/**
		 * Táto metóda „spustí“ časomieru. V skutočnosti metóda pracuje tak,
		 * že do vnútorného atribútu uloží aktuálny systémový čas
		 * v milisekundách, ktorý sa neskôr použije (metódou {@link
		 * #zastavČasomieru() zastavČasomieru}) na vypočítanie trvania
		 * merania (v sekundách). Príklad použitia je v opise metódy {@link
		 * #zastavČasomieru() zastavČasomieru}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #zastavČasomieru()
		 */
		public static void spustiČasomieru()
		{ stopky = System.currentTimeMillis(); }

		/** <a class="alias"></a> Alias pre {@link #spustiČasomieru() spustiČasomieru}. */
		public static void spustiCasomieru()
		{ stopky = System.currentTimeMillis(); }

		/**
		 * Táto metóda „zastaví“ časomieru a vráti výsledok merania
		 * v sekundách. V skutočnosti metóda pracuje tak, že odčíta od
		 * aktuálneho systémového času v milisekundách čas, ktorý bol
		 * zapamätaný pri spustení merania metódou {@link #spustiČasomieru()
		 * spustiČasomieru} a výsledok prepočíta na reálne číslo vyjadrujúce
		 * čas v sekundách (s presnosťou na tri desatinné miesta).
		 * 
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@link Svet Svet}.{@link #spustiČasomieru() spustiČasomieru}();

			{@code comm// Časovo náročná operácia, ktorej trvanie chceme odmerať…}

			{@code typedouble} čas = {@link Svet Svet}.{@code currzastavČasomieru}(); {@code comm// Výsledok merania je uložený v premennej „čas“}

			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Výsledný čas: "}, čas, {@code srg"s"});
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * <P>Výsledkom môže byť napríklad takýto výpis:
		 * <pre CLASS="example">
			{@code Výsledný čas: 6,475 s}
			</pre>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return nameraný čas v sekundách
		 * @see #spustiČasomieru()
		 */
		public static double zastavČasomieru()
		{
			stopky = System.currentTimeMillis() - stopky;
			return stopky / 1000.0;
		}

		/** <a class="alias"></a> Alias pre {@link #zastavČasomieru() zastavČasomieru}. */
		public static double zastavCasomieru()
		{
			stopky = System.currentTimeMillis() - stopky;
			return stopky / 1000.0;
		}


	// --- Interpolácie a ďalšia geometria

		/**
		 * Pomocou lineárnej interpolácie je možné získať ľubovoľnú
		 * „priamočiaru“ hodnotu ležiacu medzi hodnotami {@code a}
		 *  a {@code b} a to s pomocou parametra {@code t}. Parameter
		 * {@code t} by mal nadobúdať hodnoty medzi {@code num0.0}
		 * a {@code num1.0}. Keď je lineárna interpolácia použitá
		 * napríklad so začiatočnými a koncovými súradnicami bodu
		 * (dva výpočty: jeden pre {@code x1} až {@code x2} a druhý
		 * pre {@code y1} až {@code y2} – s rovnakými hodnotami
		 * parametera {@code t}, ktoré by mali ležať v rozmedzí
		 * hodnôt {@code num0.0} až {@code num1.0}), tak výsledkom
		 * výpočtov lineárnej interpolácie budú body ležiace
		 * na úsečke medzi určenými súradnicami bodov.
		 * 
		 * <P><image>linearnaInterpolacia.png</image>Body vypočítané pomocou
		 * lineárnej interpolácie ležiace na nakreslenej úsečke
		 * 
		 * <P><b>Príklad:</b>
		 * <P>Nasledujúci príklad nakreslí body ležiace na úsečke vypočítané
		 * pomocou lineárnej interpolácie.
		 * <pre CLASS="example">
			{@code kwdfinal} {@link Bod Bod}[] body = {@code kwdnew} {@link Bod Bod}[{@code num2}];
			body[{@code num0}] = {@code kwdnew} {@link Bod#GRobot.Bod(double, double) Bod}(&#45;{@code num160}, &#45;{@code num80});
			body[{@code num1}] = {@code kwdnew} {@link Bod#GRobot.Bod(double, double) Bod}({@code num130}, {@code num60});

			{@code kwdfor} ({@code typedouble} t = {@code num0.0}; t &lt;= {@code num1.0}; t += {@code num0.1})
			{
				{@code typedouble} x = {@link Svet Svet}.{@code currlineárnaInterpolácia}(
					body[{@code num0}].{@link GRobot#polohaX() polohaX}(), body[{@code num1}].{@link GRobot#polohaX() polohaX}(), t);
				{@code typedouble} y = {@link Svet Svet}.{@code currlineárnaInterpolácia}(
					body[{@code num0}].{@link GRobot#polohaY() polohaY}(), body[{@code num1}].{@link GRobot#polohaY() polohaY}(), t);

				{@link GRobot#skočNa(double, double) skočNa}(x, y);
				{@link GRobot#kružnica(double) kružnica}({@code num6});
			}
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * <P><image>vysledokLinearnejInterpolacie.png</image>Výsledok
		 * príkladu lineárnej interpolácie
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param a prvá hodnota určujúca lineárnu interpoláciu
		 * @param b druhá hodnota určujúca lineárnu interpoláciu
		 * @param t  parameter interpolácie – mal by ležať v rozmedzí hodnôt
		 *     {@code num0.0} až {@code num1.0}
		 * @return výsledok interpolácie
		 * @see #kubickáInterpolácia(double, double, double, double, double)
		 */

		public final static double lineárnaInterpolácia(
			double a, double b, double t) { return a + t * (b - a); }

		/** <a class="alias"></a> Alias pre {@link #lineárnaInterpolácia(double, double, double) lineárnaInterpolácia}. */
		public final static double linearnaInterpolacia(
			double a, double b, double t) { return a + t * (b - a); }

		/**
		 * Kubická interpolácia je počítaná zo štyroch hodnôt. Význam
		 * parametrov sa lepšie vysvetľuje na príklade kreslenia krivky
		 * pomocou tohto druhu interpolácie. Interpolujme dvojice súradníc
		 * štyroch kľúčových bodov ({@code [x0, y0]} až {@code [x3, y3]}).
		 * V takom prípade prvá a posledná dvojica súradníc určujú „smer“
		 * kubickej krivky a prostredné dve určujú počiatočný a koncový
		 * bod krivky. Výsledkom takejto interpolácie sú body ležiace na
		 * kubickej krivke.
		 * 
		 * <P><image>kubickaInterpolacia.png</image>Body vypočítané pomocou
		 * kubickej interpolácie zo štyroch označených kľúčových bodov –
		 * vypočítané body ležia na kubickej krivke
		 * 
		 * <P><b>Príklad:</b>
		 * <P>Nasledujúci príklad ukazuje interaktívny test kubickej
		 * interpolácie (po preložení a spustení príkladu je klikaním
		 * a posúvaním bodov možné ovplyvňovať kresbu).
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} TestInterpolácie {@code kwdextends} {@link GRobot GRobot}
			{
				{@code comm// Aktívny bod (predvolene je to prvý bod – s indexom nula).}
				{@code kwdprivate} {@code typeint} bod = {@code num0};

				{@code comm// Definícia štvorice kľúčových bodov.}
				{@code kwdprivate} {@link Bod Bod}[] body = {@code kwdnew} {@link Bod Bod}[{@code num4}];
				{
					body[{@code num0}] = {@code kwdnew} {@link Bod#GRobot.Bod(double, double) Bod}(&#45;{@code num100}, &#45;{@code num70});
					body[{@code num1}] = {@code kwdnew} {@link Bod#GRobot.Bod(double, double) Bod}(&#45;{@code num100}, {@code num40});
					body[{@code num2}] = {@code kwdnew} {@link Bod#GRobot.Bod(double, double) Bod}({@code num100}, {@code num40});
					body[{@code num3}] = {@code kwdnew} {@link Bod#GRobot.Bod(double, double) Bod}({@code num100}, &#45;{@code num70});
				}

				{@code comm// Konštruktor.}
				{@code kwdprivate} TestInterpolácie()
				{
					{@link GRobot#zdvihniPero() zdvihniPero}();
					{@link GRobot#skry() skry}();
					{@link Svet Svet}.{@link Svet#nekresli() nekresli}();
					prekresli();
				}

				{@code comm// Prekresľovanie kresby.}
				{@code kwdprivate} {@code typevoid} prekresli()
				{
					{@link Svet Svet}.{@link Svet#vymaž() vymaž}();

					{@link GRobot#farba(java.awt.Color) farba}({@link Farebnosť#čierna čierna});

					{@code kwdfor} ({@code typedouble} t = {@code num0.0}; t &lt;= {@code num1.0}; t += {@code num0.1})
					{
						{@code typedouble} x = {@link Svet Svet}.{@code currkubickáInterpolácia}(body[{@code num0}].{@link Bod#polohaX() polohaX}(),
							body[{@code num1}].{@link Bod#polohaX() polohaX}(), body[{@code num2}].{@link Bod#polohaX() polohaX}(), body[{@code num3}].{@link Bod#polohaX() polohaX}(), t);
						{@code typedouble} y = {@link Svet Svet}.{@code currkubickáInterpolácia}(body[{@code num0}].{@link Bod#polohaY() polohaY}(),
							body[{@code num1}].{@link Bod#polohaY() polohaY}(), body[{@code num2}].{@link Bod#polohaY() polohaY}(), body[{@code num3}].{@link Bod#polohaY() polohaY}(), t);

						{@link GRobot#skočNa(double, double) skočNa}(x, y);
						{@link GRobot#kružnica(double) kružnica}({@code num6});
					}

					{@link GRobot#farba(java.awt.Color) farba}({@link Farebnosť#červená červená});

					{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num4}; ++i)
					{
						{@link GRobot#skočNa(double, double) skočNa}(body[i]);
						{@link GRobot#kružnica(double) kružnica}({@code num3});
					}

					{@link Svet Svet}.{@link Svet#prekresli() prekresli}();
				}

				{@code comm// Vyhľadanie a aktivácia bodu, na ktorý bolo kliknuté}
				{@code comm// (ak nebolo kliknuté na žiadny konkrétny bod, zostane}
				{@code comm// aktívny posledný aktivovaný bod).}
				{@code comm// Aktívny bod je zároveň presunutý na myš.}
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#stlačenieTlačidlaMyši() stlačenieTlačidlaMyši}()
				{
					{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num4}; ++i)
					{
						{@link GRobot#skočNa(double, double) skočNa}(body[i]);
						{@code kwdif} ({@link GRobot#myšVKruhu(double) myšVKruhu}({@code num10})) bod = i;
					}

					body[bod] = {@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#polohaMyši() polohaMyši}();
					prekresli();
				}

				{@code comm// Presúvanie aktívneho bodu na súradnice myši.}
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#ťahanieMyšou() ťahanieMyšou}()
				{
					body[bod] = {@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#polohaMyši() polohaMyši}();
					prekresli();
				}

				{@code comm// Hlavná metóda.}
				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
				{
					{@code kwdnew} TestInterpolácie();
				}
			}
			</pre>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param v0 prvá hodnota určujúca kubickú interpoláciu
		 * @param v1 druhá hodnota určujúca kubickú interpoláciu
		 * @param v2 tretia hodnota určujúca kubickú interpoláciu
		 * @param v3 štvrtá hodnota určujúca kubickú interpoláciu
		 * @param t  parameter interpolácie – mal by ležať v rozmedzí hodnôt
		 *     {@code num0.0} až {@code num1.0}
		 * @see #lineárnaInterpolácia(double, double, double)
		 */
		public final static double kubickáInterpolácia(
			double v0, double v1, double v2, double v3, double t)
		{
			double o = v0 - v1;
			double p = v3 - v2 - o;
			double q = o - p;
			double r = v2 - v0;
			double s = v1;
			return ((p * t + q) * t + r) * t + s;
		}

		/** <a class="alias"></a> Alias pre {@link #kubickáInterpolácia(double, double, double, double, double) kubickáInterpolácia}. */
		public final static double kubickaInterpolacia(
			double v0, double v1, double v2, double v3, double t)
		{ return kubickáInterpolácia(v0, v1, v2, v3, t); }


		/**
		 * Vráti výpočet x-ovej súradnice zadaného bodu pootočeného okolo
		 * stredu súradnicovej sústavy o zadaný uhol.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param x x-ová súradnica pôvodného bodu
		 * @param y y-ová súradnica pôvodného bodu
		 * @param uhol uhol pootočenia
		 * @see #rotovanéY(double, double, double)
		 */
		public static double rotovanéX(double x, double y, double uhol)
		{
			if (0 == uhol) return x;
			double α = Math.toRadians(uhol);
			return (x * Math.cos(α)) - (y * Math.sin(α));
		}

		/** <a class="alias"></a> Alias pre {@link #rotovanéX(double, double, double) rotovanéX}. */
		public static double rotovaneX(double x, double y, double uhol)
		{ return rotovanéX(x, y, uhol); }

		/**
		 * Vráti výpočet y-ovej súradnice zadaného bodu pootočeného okolo
		 * stredu súradnicovej sústavy o zadaný uhol.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param x x-ová súradnica pôvodného bodu
		 * @param y y-ová súradnica pôvodného bodu
		 * @param uhol uhol pootočenia
		 * @see #rotovanéX(double, double, double)
		 */
		public static double rotovanéY(double x, double y, double uhol)
		{
			if (0 == uhol) return y;
			double α = Math.toRadians(uhol);
			return (x * Math.sin(α)) + (y * Math.cos(α));
		}

		/** <a class="alias"></a> Alias pre {@link #rotovanéX(double, double, double) rotovanéX}. */
		public static double rotovaneY(double x, double y, double uhol)
		{ return rotovanéY(x, y, uhol); }


	// --- Celá obrazovka

		/**
		 * Zistí počet obrazovkových zariadení, ktoré sú dostupné na tomto
		 * počítači. Toto je vhodné overiť pred pokusom o prepnutie sveta do
		 * režimu celej obrazovky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return počet zariadení
		 * 
		 * @see #šírkaZariadenia()
		 * @see #šírkaZariadenia(int)
		 * @see #výškaZariadenia()
		 * @see #výškaZariadenia(int)
		 * @see #celáObrazovka()
		 * @see #celáObrazovka(int)
		 * @see #celáObrazovka(boolean)
		 * @see #celáObrazovka(int, boolean)
		 */
		public static int početZariadení()
		{
			return GraphicsEnvironment.getLocalGraphicsEnvironment().
				getScreenDevices().length;
		}

		/** <a class="alias"></a> Alias pre {@link #početZariadení() početZariadení}. */
		public static int pocetZariadení() { return početZariadení(); }


		/**
		 * Zistí šírku dostupného obrazovkového zariadenia.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return šírka obrazovkového zariadenia v pixeloch; hodnota
		 * {@code -}{@code num1} znamená chybu
		 * 
		 * @see #početZariadení()
		 * @see #šírkaZariadenia(int)
		 * @see #výškaZariadenia()
		 * @see #výškaZariadenia(int)
		 * @see #celáObrazovka()
		 * @see #celáObrazovka(int)
		 * @see #celáObrazovka(boolean)
		 * @see #celáObrazovka(int, boolean)
		 */
		public static int šírkaZariadenia() { return šírkaZariadenia(0); }

		/** <a class="alias"></a> Alias pre {@link #šírkaZariadenia() šírkaZariadenia}. */
		public static int sirkaZariadenia() { return šírkaZariadenia(0); }

		/**
		 * Zistí šírku dostupného obrazovkového zariadenia.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param zariadenie poradové číslo zariadenia, ktorého šírka má byť
		 * zistená
		 * @return šírka obrazovkového zariadenia v pixeloch; hodnota
		 * {@code -}{@code num1} znamená chybu
		 * 
		 * @see #početZariadení()
		 * @see #šírkaZariadenia()
		 * @see #výškaZariadenia()
		 * @see #výškaZariadenia(int)
		 * @see #celáObrazovka()
		 * @see #celáObrazovka(int)
		 * @see #celáObrazovka(boolean)
		 * @see #celáObrazovka(int, boolean)
		 */
		public static int šírkaZariadenia(int zariadenie)
		{
			GraphicsDevice[] zariadenia = GraphicsEnvironment.
				getLocalGraphicsEnvironment().getScreenDevices();
			if (zariadenie >= zariadenia.length) return -1;
			return zariadenia[zariadenie].getDisplayMode().getWidth();
		}

		/** <a class="alias"></a> Alias pre {@link #šírkaZariadenia(int) šírkaZariadenia}. */
		public static int sirkaZariadenia(int zariadenie) { return šírkaZariadenia(zariadenie); }

		/**
		 * Zistí výšku dostupného obrazovkového zariadenia.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return výška obrazovkového zariadenia v pixeloch; hodnota
		 * {@code -}{@code num1} znamená chybu
		 * 
		 * @see #početZariadení()
		 * @see #šírkaZariadenia()
		 * @see #šírkaZariadenia(int)
		 * @see #výškaZariadenia(int)
		 * @see #celáObrazovka()
		 * @see #celáObrazovka(int)
		 * @see #celáObrazovka(boolean)
		 * @see #celáObrazovka(int, boolean)
		 */
		public static int výškaZariadenia() { return výškaZariadenia(0); }

		/** <a class="alias"></a> Alias pre {@link #výškaZariadenia() výškaZariadenia}. */
		public static int vyskaZariadenia() { return výškaZariadenia(0); }

		/**
		 * Zistí výšku dostupného obrazovkového zariadenia.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param zariadenie poradové číslo zariadenia, ktorého výška má byť
		 * zistená
		 * @return výška obrazovkového zariadenia v pixeloch; hodnota
		 * {@code -}{@code num1} znamená chybu
		 * 
		 * @see #početZariadení()
		 * @see #šírkaZariadenia()
		 * @see #šírkaZariadenia(int)
		 * @see #výškaZariadenia()
		 * @see #celáObrazovka()
		 * @see #celáObrazovka(int)
		 * @see #celáObrazovka(boolean)
		 * @see #celáObrazovka(int, boolean)
		 */
		public static int výškaZariadenia(int zariadenie)
		{
			GraphicsDevice[] zariadenia = GraphicsEnvironment.
				getLocalGraphicsEnvironment().getScreenDevices();
			if (zariadenie >= zariadenia.length) return -1;
			return zariadenia[zariadenie].getDisplayMode().getHeight();
		}

		/** <a class="alias"></a> Alias pre {@link #výškaZariadenia(int) výškaZariadenia}. */
		public static int vyskaZariadenia(int zariadenie) { return výškaZariadenia(zariadenie); }


		/**
		 * Pokúsi sa prepnúť svet do režimu celej obrazovky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return informuje o úspešnosti operácie – hodnota {@code valtrue}
		 * znamená úspech a {@code valfalse} neúspech
		 * 
		 * @see #početZariadení()
		 * @see #šírkaZariadenia()
		 * @see #šírkaZariadenia(int)
		 * @see #výškaZariadenia()
		 * @see #výškaZariadenia(int)
		 * @see #celáObrazovka(int)
		 * @see #celáObrazovka(boolean)
		 * @see #celáObrazovka(int, boolean)
		 */
		public static boolean celáObrazovka() { return celáObrazovka(0, true); }

		/** <a class="alias"></a> Alias pre {@link #celáObrazovka() celáObrazovka}. */
		public static boolean celaObrazovka() { return celáObrazovka(0, true); }


		/**
		 * Pokúsi sa prepnúť svet do režimu celej obrazovky.
		 * <P>(Príklad použitia tejto metódy je pri opise metódy
		 * {@link #celáObrazovka(int, boolean)}.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param zariadenie poradové číslo zariadenia, ktoré má byť použité
		 * v režime celej obrazovky
		 * @return informuje o úspešnosti operácie – hodnota {@code valtrue}
		 * znamená úspech a {@code valfalse} neúspech
		 * 
		 * @see #početZariadení()
		 * @see #šírkaZariadenia()
		 * @see #šírkaZariadenia(int)
		 * @see #výškaZariadenia()
		 * @see #výškaZariadenia(int)
		 * @see #celáObrazovka()
		 * @see #celáObrazovka(boolean)
		 * @see #celáObrazovka(int, boolean)
		 */
		public static boolean celáObrazovka(int zariadenie)
		{ return celáObrazovka(zariadenie, true); }

		/** <a class="alias"></a> Alias pre {@link #celáObrazovka(int) celáObrazovka}. */
		public static boolean celaObrazovka(int zariadenie)
		{ return celáObrazovka(zariadenie, true); }


		/**
		 * Pokúsi sa prepnúť svet do režimu celej obrazovky alebo späť.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param celáObrazovka ak je {@code valtrue}, tak má byť režim celej
		 * obrazovky zapnutý, ak je {@code valfalse}, tak má byť režim celej
		 * obrazovky vypnutý
		 * @return informuje o úspešnosti operácie – hodnota {@code valtrue}
		 * znamená úspech a {@code valfalse} neúspech
		 * 
		 * @see #početZariadení()
		 * @see #šírkaZariadenia()
		 * @see #šírkaZariadenia(int)
		 * @see #výškaZariadenia()
		 * @see #výškaZariadenia(int)
		 * @see #celáObrazovka()
		 * @see #celáObrazovka(int)
		 * @see #celáObrazovka(int, boolean)
		 */
		public static boolean celáObrazovka(boolean celáObrazovka)
		{ return celáObrazovka(0, celáObrazovka); }

		/** <a class="alias"></a> Alias pre {@link #celáObrazovka(boolean) celáObrazovka}. */
		public static boolean celaObrazovka(boolean celáObrazovka)
		{ return celáObrazovka(0, celáObrazovka); }


		/**
		 * Pokúsi sa prepnúť svet do režimu celej obrazovky alebo späť.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * <P><small>(<b>Poznámky:</b> V režime celej obrazovky nie je
		 * dostupná ponuka, pretože testovanie ukázalo, že v režime celej
		 * obrazovky spôsobujú všetky „ponukovo orientované“ prvky
		 * používateľského rozhrania (hlavná ponuka, rozbaľovací zoznam…)
		 * problémy. Nemali by ste ich preto v režime celej obrazovky
		 * používať.
		 * 
		 * Počas prechodu do režimu celej obrazovky sa však automaticky
		 * aktivuje klávesová skratka <code>Ctrl + W</code>, resp.
		 * <code>⌘ + W</code> (<small>Command + W</small>), ktorá bola
		 * pôvodne naviazaná na položku ponuky a ktorá znamená koniec
		 * aplikácie.
		 * 
		 * — Počas testovania sme tiež zistili, že prinajmenšom na platforme
		 * Windows je počas prechodu do režimu celej obrazovky (prinajmenšom
		 * na sekundárnom zariadení) automaticky skrytý kurzor myši, pri
		 * prechode späť do „normálneho“ režimu je viditeľnosť kurzora
		 * automaticky obnovená. Príčina tohto správania pre nás zostala
		 * neznáma a nepodarilo sa ho nijakým spôsobom zmeniť. V prípade
		 * potreby je možné použiť na zobrazenie polohy kurzora niektorého
		 * robota, ktorý bude sledovať polohu myši.)</small>
		 * 
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} TestCelejObrazovky {@code kwdextends} {@link GRobot GRobot}
			{
				{@code comm// Ktoré zariadenie má byť použité v režime celej obrazovky?}
				{@code comm// Nula je predvolené. V hlavnej metóde je úprava tejto hodnoty…}
				{@code kwdprivate} {@code kwdstatic} {@code typeint} zariadenie = {@code num0};

				{@code kwdprivate} TestCelejObrazovky()
				{
					{@code comm// Nastavenie rozmerov plátna podľa rozmerov zariadenia.}
					{@code valsuper}({@link Svet Svet}.{@link Svet#šírkaZariadenia(int) šírkaZariadenia}(zariadenie),
						{@link Svet Svet}.{@link Svet#výškaZariadenia(int) výškaZariadenia}(zariadenie));

					{@link Svet Svet}.{@link Svet#upevni() upevni}();
					{@link Svet Svet}.{@link Svet#celáObrazovka(int) celáObrazovka}(zariadenie);
				}

				{@code comm// Obsluha klávesnice (na ukončenie aplikácie).}
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#uvoľnenieKlávesu() uvoľnenieKlávesu}()
				{
					{@code comm// Kláves ESC spôsobí vypnutie aplikácie.}
					{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#kláves(int) kláves}({@link Kláves Kláves}.{@link Kláves#ESCAPE ESCAPE}))
						{@link Svet Svet}.{@link Svet#koniec() koniec}();
				}

				{@code comm// Hlavná metóda.}
				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
				{
					{@code comm// Je pravdepodobné, že druhé zariadenie je spätný projektor, preto}
					{@code comm// je tu tento test… Toto správanie odporúčame upraviť podľa potrieb.}
					{@code kwdif} ({@link Svet Svet}.{@link Svet#početZariadení() početZariadení}() &gt; {@code num1}) ++zariadenie;
					{@code kwdnew} TestCelejObrazovky();
				}
			}
			</pre>
		 * 
		 * @param zariadenie poradové číslo zariadenia, ktoré má byť použité
		 * v režime celej obrazovky
		 * @param celáObrazovka ak je {@code valtrue}, tak má byť režim celej
		 * obrazovky zapnutý, ak je {@code valfalse}, tak má byť režim celej
		 * obrazovky vypnutý
		 * @return informuje o úspešnosti operácie – hodnota {@code valtrue}
		 * znamená úspech a {@code valfalse} neúspech
		 * 
		 * @see #početZariadení()
		 * @see #šírkaZariadenia()
		 * @see #šírkaZariadenia(int)
		 * @see #výškaZariadenia()
		 * @see #výškaZariadenia(int)
		 * @see #celáObrazovka()
		 * @see #celáObrazovka(int)
		 * @see #celáObrazovka(boolean)
		 */
		public static boolean celáObrazovka(
			int zariadenie, boolean celáObrazovka)
		{
			/*

				{@code comm// Na niektorých platformách spôsobuje zobrazenie ponuky alebo}
				{@code comm// manipulácia s tlačidlami v režime celej obrazovky problémy…}
				{@link Svet Svet}.{@link Svet#vymažPonuku() vymažPonuku}();

			*/
			GraphicsDevice[] zariadenia = GraphicsEnvironment.
				getLocalGraphicsEnvironment().getScreenDevices();
			// System.out.println("Počet zariadení: " + zariadenia.length);
			if (zariadenie >= zariadenia.length || null == svet) return false;

			JMenuBar hlavnáPonuka = svet.getJMenuBar();
			ComponentEvent componentEvent;

			if (celáObrazovka && null == oknoCelejObrazovky &&
				null == zariadenia[zariadenie].getFullScreenWindow())
			{
				// System.out.println("isFullScreenSupported: " +
				// 	zariadenia[zariadenie].isFullScreenSupported());
				if (zariadenia[zariadenie].isFullScreenSupported())
				{
					svet.removeComponentListener(udalostiOkna);
					svet.removeWindowFocusListener(udalostiOkna);
					svet.remove(hlavnýPanel);
					svet.remove(panelVstupnéhoRiadka);

					oknoCelejObrazovky = new JFrame();
					oknoCelejObrazovky.setResizable(false);
					oknoCelejObrazovky.setUndecorated(true);
					oknoCelejObrazovky.add(hlavnýPanel, BorderLayout.CENTER);
					oknoCelejObrazovky.add(panelVstupnéhoRiadka,
						BorderLayout.SOUTH);
					oknoCelejObrazovky.addComponentListener(udalostiOkna);
					oknoCelejObrazovky.addWindowFocusListener(udalostiOkna);

					// oknoCelejObrazovky.setCursor(Cursor.getPredefinedCursor(Cursor.DEFAULT_CURSOR));
					// hlavnýPanel.setCursor(Cursor.getPredefinedCursor(Cursor.DEFAULT_CURSOR));
					// oknoCelejObrazovky.setCursor(svet.getContentPane().getCursor());

					/*---*
					hlavnýPanel.getInputMap().put(KeyStroke.
						getKeyStroke('W', Toolkit.getDefaultToolkit().
							getMenuShortcutKeyMask())
						/**-/, "koniecSveta"
						);
					hlavnýPanel.getActionMap().put("koniecSveta"
						/**-/, koniecSveta
						);

					vstupnýRiadok.getInputMap().put(KeyStroke.
						getKeyStroke('W', Toolkit.getDefaultToolkit().
							getMenuShortcutKeyMask())
						/**-/, "koniecSveta"
						);
					vstupnýRiadok.getActionMap().put("koniecSveta"
						/**-/, koniecSveta
						);
					/*---*/

					KeyboardFocusManager.getCurrentKeyboardFocusManager().
						addKeyEventDispatcher(koniecSveta);


					zariadenia[zariadenie].setFullScreenWindow(oknoCelejObrazovky);
					oknoCelejObrazovky.setVisible(true);
					svet.setVisible(false);

					componentEvent = new ComponentEvent(oknoCelejObrazovky,
						ComponentEvent.COMPONENT_MOVED);
					udalostiOkna.componentMoved(componentEvent);

					componentEvent = new ComponentEvent(oknoCelejObrazovky,
						ComponentEvent.COMPONENT_RESIZED);
					udalostiOkna.componentResized(componentEvent);

					return true;
				}
			}
			else if (!celáObrazovka && null != oknoCelejObrazovky &&
				oknoCelejObrazovky == zariadenia[zariadenie].
				getFullScreenWindow())
			{
				if (zariadenia[zariadenie].isFullScreenSupported())
				{
					zariadenia[zariadenie].setFullScreenWindow(null);
					oknoCelejObrazovky.setVisible(false);

					/*---*
					hlavnýPanel.getInputMap().remove(KeyStroke.
						getKeyStroke('W', Toolkit.getDefaultToolkit().
							getMenuShortcutKeyMask())
						// , "koniecSveta"
						);
					hlavnýPanel.getActionMap().remove("koniecSveta"
						// , koniecSveta
						);

					vstupnýRiadok.getInputMap().remove(KeyStroke.
						getKeyStroke('W', Toolkit.getDefaultToolkit().
							getMenuShortcutKeyMask())
						// , "koniecSveta"
						);
					vstupnýRiadok.getActionMap().remove("koniecSveta"
						// , koniecSveta
						);
					/*---*/

					KeyboardFocusManager.getCurrentKeyboardFocusManager().
						removeKeyEventDispatcher(koniecSveta);


					oknoCelejObrazovky.remove(hlavnýPanel);
					oknoCelejObrazovky.remove(panelVstupnéhoRiadka);
					oknoCelejObrazovky.removeComponentListener(udalostiOkna);
					oknoCelejObrazovky.removeWindowFocusListener(udalostiOkna);
					oknoCelejObrazovky = null;

					svet.add(hlavnýPanel, BorderLayout.CENTER);
					svet.add(panelVstupnéhoRiadka, BorderLayout.SOUTH);
					svet.addComponentListener(udalostiOkna);
					svet.addWindowFocusListener(udalostiOkna);
					svet.setVisible(true);

					componentEvent = new ComponentEvent(svet,
						ComponentEvent.COMPONENT_MOVED);
					udalostiOkna.componentMoved(componentEvent);

					componentEvent = new ComponentEvent(svet,
						ComponentEvent.COMPONENT_RESIZED);
					udalostiOkna.componentResized(componentEvent);

					return true;
				}
			}

			return false;
		}

		/** <a class="alias"></a> Alias pre {@link #celáObrazovka(int, boolean) celáObrazovka}. */
		public static boolean celaObrazovka(
			int zariadenie, boolean celáObrazovka)
		{ return celáObrazovka(zariadenie, celáObrazovka); }


		// Rôzne súkromné atribúty slúžiace potrebám režimu celej obrazovky.
		private static JFrame oknoCelejObrazovky = null;
		// private static boolean zobrazPonukuPoCelejObrazovke = false;
		// private static AbstractAction koniecSveta = new AbstractAction()
		// { public void actionPerformed(ActionEvent e) { System.exit(0); }};
		private static KeyEventDispatcher koniecSveta = new KeyEventDispatcher()
		{
			public boolean dispatchKeyEvent(KeyEvent e)
			{
				if (e.getKeyCode() == KeyEvent.VK_W &&
					e.getModifiers() == Toolkit.getDefaultToolkit().
						getMenuShortcutKeyMask())
				{
					System.exit(0);
					return true;
				}

				return false;
			}
		};

		private static class KlávesováSkratka extends AbstractAction
		{
			public final String príkaz;
			// public final KeyStroke keyStroke;

			public KlávesováSkratka(String príkaz, KeyStroke keyStroke)
			{
				super(príkaz);
				this.príkaz = príkaz;
				// this.keyStroke = keyStroke;
				putValue(ACCELERATOR_KEY, keyStroke);
			}

			@Override public void actionPerformed(ActionEvent e)
			{
				// Podobné ako: poslednáUdalosťKlávesnice
				poslednáUdalosťSkratky = e;
				poslednýPríkazSkratky = príkaz;

				if (null != počúvadlo)
					synchronized (zámokUdalostí)
					{
						// Podobné ako: zadanieZnaku()
						počúvadlo.klávesováSkratka();
						počúvadlo.klavesovaSkratka();
					}

				// if (null != hlavnýRobot)
				// 	synchronized (zámokUdalostí)
				// 	{
				// 		// Podobné ako: zadanieZnaku()
				// 		hlavnýRobot.klávesováSkratka();
				// 		hlavnýRobot.klavesovaSkratka();
				// 	}

				synchronized (zámokUdalostí)
				{
					for (GRobot počúvajúci : počúvajúciRozhranie)
					{
						// Podobné ako: zadanieZnaku()
						počúvajúci.klávesováSkratka();
						počúvajúci.klavesovaSkratka();
					}
				}
			}
		}

		// Zoznam klávesových skratiek podľa akcií
		private final static TreeMap<String, KlávesováSkratka>
			klávesovéSkratky = new TreeMap<String, KlávesováSkratka>();

		/**
		 * Definuje novú klávesovú skratku s modifikátorom pre ponuky, ktorá
		 * bude previazaná so zadaným príkazom. Klávesové skratky sú spracúvané
		 * udalosťou {@link ObsluhaUdalostí#klávesováSkratka
		 * ObsluhaUdalostí.klávesováSkratka}, ktorá používa metódu
		 * {@link ÚdajeUdalostí#príkazSkratky() ÚdajeUdalostí.príkazSkratky()}
		 * na identifikáciu príkazu.
		 * <P>Táto klávesová skratka je definovaná s predvoleným modifikátorom
		 * používaným pre klávesové skratky {@linkplain PoložkaPonuky položiek
		 * ponuky}. Ten je závislý od operačného systému, napríklad vo Windows
		 * je to kláves {@code Ctrl}, v macOS (predtým OS X a Mac OS) je to
		 * kláves {@code ⌘} (<small>Command</small>). Ak chcete definovať
		 * klávesovú skratku bez modifikátora, použite metódu
		 * {@link #pridajKlávesovúSkratku(String, int, int)
		 * pridajKlávesovúSkratku(príkaz, kódKlávesu, modifikátor)}
		 * s hodnotou modifikátora {@code num0}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param príkaz      príkaz, ktorý bude previazaný s touto klávesovou
		 *     skratkou
		 * @param kódKlávesu  kód klávesu, ktorý má byť použitý ako klávesová
		 *     skratka (v kombinácii s modifikátorom pre ponuky); môže to byť
		 *     ľubovoľný kód klávesu z triedy {@link Kláves Kláves}
		 *     ({@link Kláves#HORE Kláves.HORE}, {@link KeyEvent#VK_X
		 *     Kláves.VK_X}…)
		 * 
		 * @see #pridajKlávesovúSkratku(String, int, int)
		 * @see #pridajKlávesovúSkratku(String, int, int, boolean)
		 * @see #pridajKlávesovúSkratkuVstupnéhoRiadka(String, int, int)
		 * @see #odoberKlávesovúSkratku(String)
		 * @see #skratkaPríkazu(String)
		 * @see #reťazecSkratkyPríkazu(String)
		 */
		public static void pridajKlávesovúSkratku(String príkaz, int kódKlávesu)
		{
			pridajKlávesovúSkratku(príkaz, kódKlávesu,
				Toolkit.getDefaultToolkit().getMenuShortcutKeyMask());
		}

		/** <a class="alias"></a> Alias pre {@link #pridajKlávesovúSkratku(String, int) pridajKlávesovúSkratku}. */
		public static void pridajKlavesovuSkratku(String príkaz, int kódKlávesu)
		{ pridajKlávesovúSkratku(príkaz, kódKlávesu); }

		/**
		 * Definuje novú klávesovú skratku, ktorá bude previazaná so zadaným
		 * príkazom. Klávesové skratky sú spracúvané udalosťou {@link
		 * ObsluhaUdalostí#klávesováSkratka ObsluhaUdalostí.klávesováSkratka},
		 * ktorá používa metódu {@link ÚdajeUdalostí#príkazSkratky()
		 * ÚdajeUdalostí.príkazSkratky()} na identifikáciu príkazu.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param príkaz      príkaz, ktorý bude previazaný s touto klávesovou
		 *     skratkou
		 * @param kódKlávesu  kód klávesu, ktorý má byť použitý ako klávesová
		 *     skratka; môže to byť ľubovoľný kód klávesu z triedy
		 *     {@link Kláves Kláves} ({@link Kláves#HORE Kláves.HORE},
		 *     {@link KeyEvent#VK_X Kláves.VK_X}…)
		 * @param modifikátor klávesový modifikátor tejto skratky (napríklad
		 *     kláves Ctrl – {@link java.awt.event.InputEvent#CTRL_MASK
		 *     Kláves.CTRL_MASK},
		 *     Shift – {@link java.awt.event.InputEvent#SHIFT_MASK
		 *     Kláves.SHIFT_MASK},
		 *     Alt – {@link java.awt.event.InputEvent#ALT_MASK
		 *     Kláves.ALT_MASK}…); klávesový modifikátor ponúk, ktorý je
		 *     závislý od operačného systému definuje rezervovaný
		 *     identifikátor {@link Kláves#SKRATKA_PONUKY
		 *     Kláves.SKRATKA_PONUKY}; klávesovú skratku bez modifikátora je
		 *     možné definovať zadaním hodnoty {@code num0}
		 * 
		 * @see #pridajKlávesovúSkratku(String, int)
		 * @see #pridajKlávesovúSkratku(String, int, int, boolean)
		 * @see #pridajKlávesovúSkratkuVstupnéhoRiadka(String, int, int)
		 * @see #odoberKlávesovúSkratku(String)
		 * @see #skratkaPríkazu(String)
		 * @see #reťazecSkratkyPríkazu(String)
		 */
		public static void pridajKlávesovúSkratku(String príkaz, int kódKlávesu,
			int modifikátor)
		{ pridajKlávesovúSkratku(príkaz, kódKlávesu, modifikátor, true); }

		/** <a class="alias"></a> Alias pre {@link #pridajKlávesovúSkratku(String, int, int) pridajKlávesovúSkratku}. */
		public static void pridajKlavesovuSkratku(String príkaz, int kódKlávesu,
			int modifikátor)
		{ pridajKlávesovúSkratku(príkaz, kódKlávesu, modifikátor); }

		/**
		 * Definuje novú klávesovú skratku, ktorá bude previazaná so zadaným
		 * príkazom. Klávesové skratky sú spracúvané udalosťou {@link
		 * ObsluhaUdalostí#klávesováSkratka ObsluhaUdalostí.klávesováSkratka},
		 * ktorá používa metódu {@link ÚdajeUdalostí#príkazSkratky()
		 * ÚdajeUdalostí.príkazSkratky()} na identifikáciu príkazu.
		 * <P>Niektoré klávesové skratky by mohli spôsobiť obmedzenie
		 * funkčnosti {@link #vstupnýRiadok() vstupného riadka}, preto táto
		 * verzia metódy umožňuje nepriradiť túto skratku vstupnému riadku.
		 * Naopak, v niektorých prípadoch je žiadúce definovať klávesovú
		 * skratku len pre vstupný riadok. Na tieto prípady je rezervovaný
		 * samostatná metóda
		 * {@link #pridajKlávesovúSkratkuVstupnéhoRiadka(String, int, int)
		 * pridajKlávesovúSkratkuVstupnéhoRiadka}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param príkaz      príkaz, ktorý bude previazaný s touto klávesovou
		 *     skratkou
		 * @param kódKlávesu  kód klávesu, ktorý má byť použitý ako klávesová
		 *     skratka; môže to byť ľubovoľný kód klávesu z triedy
		 *     {@link Kláves Kláves} ({@link Kláves#HORE Kláves.HORE},
		 *     {@link KeyEvent#VK_X Kláves.VK_X}…)
		 * @param modifikátor klávesový modifikátor tejto skratky (napríklad
		 *     kláves Ctrl – {@link java.awt.event.InputEvent#CTRL_MASK
		 *     Kláves.CTRL_MASK},
		 *     Shift – {@link java.awt.event.InputEvent#SHIFT_MASK
		 *     Kláves.SHIFT_MASK},
		 *     Alt – {@link java.awt.event.InputEvent#ALT_MASK
		 *     Kláves.ALT_MASK}…); klávesový modifikátor ponúk, ktorý je
		 *     závislý od operačného systému definuje rezervovaný
		 *     identifikátor {@link Kláves#SKRATKA_PONUKY
		 *     Kláves.SKRATKA_PONUKY}; klávesovú skratku bez modifikátora je
		 *     možné definovať zadaním hodnoty {@code num0}
		 * @param ajVstupnýRiadok ak si neželáme, aby táto skratka fungovala
		 *     aj vo vstupnom riadku, zadáme {@code valfalse}
		 * 
		 * @see #pridajKlávesovúSkratku(String, int)
		 * @see #pridajKlávesovúSkratku(String, int, int)
		 * @see #pridajKlávesovúSkratkuVstupnéhoRiadka(String, int, int)
		 * @see #odoberKlávesovúSkratku(String)
		 * @see #skratkaPríkazu(String)
		 * @see #reťazecSkratkyPríkazu(String)
		 */
		public static void pridajKlávesovúSkratku(String príkaz, int kódKlávesu,
			int modifikátor, boolean ajVstupnýRiadok)
		{
			if (klávesovéSkratky.containsKey(príkaz))
				odoberKlávesovúSkratku(príkaz);

			KeyStroke keyStroke = KeyStroke.getKeyStroke(kódKlávesu,
				modifikátor);
			KlávesováSkratka klávesováSkratka = new KlávesováSkratka(
				príkaz, keyStroke);

			klávesovéSkratky.put(príkaz, klávesováSkratka);

			hlavnýPanel.getInputMap(JPanel.WHEN_IN_FOCUSED_WINDOW).
				put(keyStroke, príkaz);
			hlavnýPanel.getActionMap().put(príkaz, klávesováSkratka);

			if (ajVstupnýRiadok)
			{
				vstupnýRiadok.getInputMap().put(keyStroke, príkaz);
				vstupnýRiadok.getActionMap().put(príkaz, klávesováSkratka);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajKlávesovúSkratku(String, int, int, boolean) pridajKlávesovúSkratku}. */
		public static void pridajKlavesovuSkratku(String príkaz, int kódKlávesu,
			int modifikátor, boolean ajVstupnýRiadok)
		{ pridajKlávesovúSkratku(príkaz, kódKlávesu, modifikátor, ajVstupnýRiadok); }

		/**
		 * Definuje novú klávesovú skratku pre vstupný riadok, ktorá bude
		 * previazaná so zadaným príkazom. Klávesové skratky sú spracúvané
		 * udalosťou {@link ObsluhaUdalostí#klávesováSkratka
		 * ObsluhaUdalostí.klávesováSkratka}, ktorá používa metódu
		 * {@link ÚdajeUdalostí#príkazSkratky() ÚdajeUdalostí.príkazSkratky()}
		 * na identifikáciu príkazu.
		 * <P>Toto je doplnková metóda, ktorá umožňuje definovať skupinu
		 * klávesových skratiek, ktoré budú použiteľné len vo vstupnom riadku.
		 * Na definovanie klávesových skratiek hlavného okna slúži množina
		 * metód {@link #pridajKlávesovúSkratku(String, int)
		 * pridajKlávesovúSkratku}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param príkaz      príkaz, ktorý bude previazaný s touto klávesovou
		 *     skratkou
		 * @param kódKlávesu  kód klávesu, ktorý má byť použitý ako klávesová
		 *     skratka; môže to byť ľubovoľný kód klávesu z triedy
		 *     {@link Kláves Kláves} ({@link Kláves#HORE Kláves.HORE},
		 *     {@link KeyEvent#VK_X Kláves.VK_X}…)
		 * @param modifikátor klávesový modifikátor tejto skratky (napríklad
		 *     kláves Ctrl – {@link java.awt.event.InputEvent#CTRL_MASK
		 *     Kláves.CTRL_MASK},
		 *     Shift – {@link java.awt.event.InputEvent#SHIFT_MASK
		 *     Kláves.SHIFT_MASK},
		 *     Alt – {@link java.awt.event.InputEvent#ALT_MASK
		 *     Kláves.ALT_MASK}…); klávesový modifikátor ponúk, ktorý je
		 *     závislý od operačného systému definuje rezervovaný
		 *     identifikátor {@link Kláves#SKRATKA_PONUKY
		 *     Kláves.SKRATKA_PONUKY}; klávesovú skratku bez modifikátora je
		 *     možné definovať zadaním hodnoty {@code num0}
		 * 
		 * @see #pridajKlávesovúSkratku(String, int)
		 * @see #pridajKlávesovúSkratku(String, int, int)
		 * @see #pridajKlávesovúSkratku(String, int, int, boolean)
		 * @see #odoberKlávesovúSkratku(String)
		 * @see #skratkaPríkazu(String)
		 * @see #reťazecSkratkyPríkazu(String)
		 */
		public static void pridajKlávesovúSkratkuVstupnéhoRiadka(
			String príkaz, int kódKlávesu, int modifikátor)
		{
			if (klávesovéSkratky.containsKey(príkaz))
				odoberKlávesovúSkratku(príkaz);

			KeyStroke keyStroke = KeyStroke.getKeyStroke(kódKlávesu,
				modifikátor);
			KlávesováSkratka klávesováSkratka = new KlávesováSkratka(
				príkaz, keyStroke);

			klávesovéSkratky.put(príkaz, klávesováSkratka);

			vstupnýRiadok.getInputMap().put(keyStroke, príkaz);
			vstupnýRiadok.getActionMap().put(príkaz, klávesováSkratka);
		}

		/** <a class="alias"></a> Alias pre {@link #pridajKlávesovúSkratkuVstupnéhoRiadka(String, int, int) pridajKlávesovúSkratkuVstupnéhoRiadka}. */
		public static void pridajKlavesovuSkratkuVstupnehoRiadka(
			String príkaz, int kódKlávesu, int modifikátor)
		{ pridajKlávesovúSkratkuVstupnéhoRiadka(príkaz, kódKlávesu,
			modifikátor); }

		/**
		 * Odoberie definovanú klávesovú skratku, ktorá je previazaná so
		 * zadaným príkazom. Príkaz odoberie skratky zo zoznamu skratiek
		 * hlavného okna aj vstupného riadka.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param príkaz      príkaz, ktorý je previazaný s niektorou
		 *     klávesovou skratkou
		 * 
		 * @see #pridajKlávesovúSkratku(String, int)
		 * @see #pridajKlávesovúSkratku(String, int, int)
		 * @see #pridajKlávesovúSkratku(String, int, int, boolean)
		 * @see #pridajKlávesovúSkratkuVstupnéhoRiadka(String, int, int)
		 * @see #skratkaPríkazu(String)
		 * @see #reťazecSkratkyPríkazu(String)
		 */
		public static void odoberKlávesovúSkratku(String príkaz)
		{
			if (klávesovéSkratky.containsKey(príkaz))
			{
				KeyStroke keyStroke = (KeyStroke)
					klávesovéSkratky.get(príkaz).//keyStroke;
					getValue(AbstractAction.ACCELERATOR_KEY);

				hlavnýPanel.getInputMap(JPanel.WHEN_IN_FOCUSED_WINDOW).
					remove(keyStroke);
				hlavnýPanel.getActionMap().remove(príkaz);

				vstupnýRiadok.getInputMap().remove(keyStroke);
				vstupnýRiadok.getActionMap().remove(príkaz);

				klávesovéSkratky.remove(príkaz);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #odoberKlávesovúSkratku(String) odoberKlávesovúSkratku}. */
		public static void odoberKlavesovuSkratku(String príkaz)
		{ odoberKlávesovúSkratku(príkaz); }


		/**
		 * Táto metóda zistí, aká klávesová skratka je priradená zadanému
		 * príkazu. Ak taká skratka nejestvuje, metóda vráti {@code valnull}.
		 * <P>Metóda nedokáže rozlíšiť, či je skratka platná pre hlavné
		 * okno a/alebo vstupný riadok, preto ak rozlišujete medzi skratkami
		 * definovanými pre vstupný riadok a hlavné okno, tak odporúčame pre
		 * nich zvoliť unikátne názvy.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param príkaz príkaz, ktorý by mal byť previazaný s niektorou
		 *     klávesovou skratkou
		 * @return objekt typu {@link KeyStroke KeyStroke} alebo {@code valnull}
		 * @see #pridajKlávesovúSkratku(String, int)
		 * @see #pridajKlávesovúSkratku(String, int, int)
		 * @see #pridajKlávesovúSkratku(String, int, int, boolean)
		 * @see #pridajKlávesovúSkratkuVstupnéhoRiadka(String, int, int)
		 * @see #odoberKlávesovúSkratku(String)
		 * @see #reťazecSkratkyPríkazu(String)
		 */
		public static KeyStroke skratkaPríkazu(String príkaz)
		{
			if (klávesovéSkratky.containsKey(príkaz))
				return (KeyStroke)klávesovéSkratky.get(príkaz).
					getValue(AbstractAction.ACCELERATOR_KEY);
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #skratkaPríkazu(String) skratkaPríkazu}. */
		public static KeyStroke skratkaPrikazu(String príkaz)
		{ return skratkaPríkazu(príkaz); }

		/**
		 * Táto metóda prevedie definíciu klávesovej skratku, ktorá je
		 * priradená zadanému príkazu do textovej podoby. Ak taká skratka
		 * nejestvuje, tak metóda vráti hodnotu {@code valnull}.
		 * <P>Metóda nedokáže rozlíšiť, či je skratka platná pre hlavné
		 * okno a/alebo vstupný riadok, preto ak rozlišujete medzi skratkami
		 * definovanými pre vstupný riadok a hlavné okno, tak odporúčame pre
		 * nich zvoliť unikátne názvy.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param príkaz príkaz, ktorý by mal byť previazaný s niektorou
		 *     klávesovou skratkou
		 * @return text klávesovej skratky alebo {@code valnull}
		 * @see #pridajKlávesovúSkratku(String, int)
		 * @see #pridajKlávesovúSkratku(String, int, int)
		 * @see #pridajKlávesovúSkratku(String, int, int, boolean)
		 * @see #pridajKlávesovúSkratkuVstupnéhoRiadka(String, int, int)
		 * @see #odoberKlávesovúSkratku(String)
		 * @see #skratkaPríkazu(String)
		 */
		public static String reťazecSkratkyPríkazu(String príkaz)
		{
			KeyStroke keyStroke = skratkaPríkazu(príkaz);
			if (null == keyStroke) return null;
			if (0 == keyStroke.getModifiers())
				return KeyEvent.getKeyText(keyStroke.getKeyCode());
			return KeyEvent.getKeyModifiersText(keyStroke.getModifiers()) +
				"+" + KeyEvent.getKeyText(keyStroke.getKeyCode());
		}

		/** <a class="alias"></a> Alias pre {@link #reťazecSkratkyPríkazu(String) reťazecSkratkyPríkazu}. */
		public static String retazecSkratkyPrikazu(String príkaz)
		{ return reťazecSkratkyPríkazu(príkaz); }


	// --- Vlnenie

		// Inštancia vlnenia sveta
		private static Vlnenie vlnenie = null;

		/**
		 * Overí, či má svet definovanú inštanciu vlnenia.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} ak je inštancia vlnenia definovaná;
		 *     {@code valfalse} v opačnom prípade
		 * 
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public static boolean máVlnenie() { return null != vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #máVlnenie() máVlnenie}. */
		public static boolean maVlnenie() { return null != vlnenie; }

		/**
		 * Vráti {@linkplain Vlnenie inštanciu vlnenia} sveta, aby s ňou
		 * bolo možné ďalej pracovať. Ak svet nemá definované vlnenie, tak
		 * metóda definuje nové neaktívne vlnenie s predvolenou úrovňou
		 * útlmu {@code num26}. <small>(Overiť to, či je definovaná
		 * inštancia vlnenia, je možné s pomocou metódy {@link #máVlnenie()
		 * máVlnenie}.)</small> Naopak, metóda {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie} vráti inštanciu vlnenia len v takom prípade,
		 * že jestvuje. <small>(V opačnom prípade vráti metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} hodnotu
		 * {@code valnull}.)</small>
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje v prostredí grafického
		 * robota.)</small>
		 * 
		 * <P><b>Upozornenie:</b> Ak svet grafického robota nemá aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak vlnenie nebude
		 * fungovať ani po jeho aktivácii. Táto metóda <b>nespúšťa</b>
		 * časovač (ani vlnenie) automaticky! Účelom automatického
		 * vytvorenia inštancie vlnenia touto metódou v prípade jej
		 * neprítomnosti je len zabránenie vzniku chýb. Táto metóda nemá
		 * nahradiť metódu {@link #pridajVlnenie() pridajVlnenie}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return metóda zaručuje vrátenie inštancie {@link Vlnenie Vlnenie}
		 *     definovanej pre svet aj v takom prípade, že pred jej
		 *     volaním nebola inštancia definovaná
		 * 
		 * @see #máVlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public static Vlnenie vlnenie()
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(vyrovnávaciaPamäťObrázka, 26);
				vlnenia.add(vlnenie);
			}
			return vlnenie;
		}

		/**
		 * Táto metóda vráti inštanciu vlnenia len v prípade, že jestvuje.
		 * V opačnom prípade vráti hodnotu {@code valnull}, čo môže viesť
		 * ku vzniku výnimky, ak sa programátor pokúsi použiť vrátenú
		 * hodnotu bez overenia. Naopak, vrátenie inštancie
		 * {@linkplain Vlnenie vlnenia} aj v prípade, že ešte nebolo
		 * definované zaručuje metóda {@link #vlnenie() vlnenie}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return ak je definovaná inštancia {@linkplain Vlnenie vlnenia},
		 *     tak ju metóda vráti; v opačnom prípade vráti hodnotu
		 *     {@code valnull}
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public static Vlnenie jestvujúceVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public static Vlnenie jestvujuceVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public static Vlnenie existujúceVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public static Vlnenie existujuceVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public static Vlnenie definovanéVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public static Vlnenie definovaneVlnenie() { return vlnenie; }

		/**
		 * Pridá alebo zresetuje vlnenie sveta. Ak svet nemá definované
		 * alebo aktívne vlnenie, tak volanie tejto metódy vytvorí a/alebo
		 * aktivuje novú inštanciu vlnenia s predvolenou úrovňou útlmu
		 * {@code num26}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje v prostredí grafického
		 * robota.)</small>
		 * 
		 * <P>Ak by svet grafického robota nemal aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak by vlnenie nemohlo
		 * fungovať, preto je časovač touto metódou spúšťaný automaticky.
		 * 
		 * <P>Inštanciu vlnenia je možné získať a pracovať s ňou pomocou
		 * metódy {@link #vlnenie() vlnenie} alebo {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie}. <small>(Pozor, ak vlnenie nie je definované,
		 * tak metóda {@link #vlnenie() vlnenie} definuje nové neaktívne
		 * vlnenie s predvolenou úrovňou útlmu {@code num26}. Overiť to, či
		 * je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}. Metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v prípade, že jestvuje. V opačnom prípade vráti hodnotu
		 * {@code valnull}, čo môže viesť ku vzniku výnimky, ak sa
		 * programátor pokúsi použiť vrátenú hodnotu bez overenia.)</small>
		 * 
		 * <P>Ak už je definovaná inštancia vlnenia, tak ju volanie tejto
		 * metódy zresetuje upokojením hladiny a nastavením predvolenej
		 * úrovne útlmu {@code num26}.
		 * (Aktivácia je vykonaná v každom prípade.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public static void pridajVlnenie()
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(vyrovnávaciaPamäťObrázka, 26);
				vlnenia.add(vlnenie);
				Svet.spustiČasovač();
			}
			else
			{
				vlnenie.upokojHladinu();
				vlnenie.útlm(26);
			}
			vlnenie.aktivuj();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajVlnenie() pridajVlnenie}. */
		// public static void zacniVlnenie() { pridajVlnenie(); }

		/**
		 * Pridá alebo zresetuje vlnenie sveta. Ak svet nemá definované
		 * alebo aktívne vlnenie, tak volanie tejto metódy vytvorí a/alebo
		 * aktivuje novú inštanciu vlnenia s predvolenou úrovňou útlmu
		 * {@code num26}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje v prostredí grafického
		 * robota.)</small>
		 * 
		 * <P><b>Pozor!</b> Ak svet grafického robota nemá aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak vlnenie nebude
		 * fungovať. Táto metóda dovoľuje určiť, či má alebo nemá byť
		 * časovač spustený automaticky. Umožňuje to parameter
		 * {@code ajČasovač}.
		 * 
		 * <P>Inštanciu vlnenia je možné získať a pracovať s ňou pomocou
		 * metódy {@link #vlnenie() vlnenie} alebo {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie}. <small>(Pozor, ak vlnenie nie je definované,
		 * tak metóda {@link #vlnenie() vlnenie} definuje nové neaktívne
		 * vlnenie s predvolenou úrovňou útlmu {@code num26}. Overiť to, či
		 * je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}. Metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v prípade, že jestvuje. V opačnom prípade vráti hodnotu
		 * {@code valnull}, čo môže viesť ku vzniku výnimky, ak sa
		 * programátor pokúsi použiť vrátenú hodnotu bez overenia.)</small>
		 * 
		 * <P>Ak už je definovaná inštancia vlnenia, tak ju volanie tejto
		 * metódy zresetuje upokojením hladiny a nastavením predvolenej
		 * úrovne útlmu {@code num26}.
		 * (Aktivácia je vykonaná v každom prípade.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param ajČasovač ak je hodnota tohto parametra rovná
		 *     {@code valtrue}, tak je v prípade jeho nečinnosti
		 *     automaticky {@linkplain Svet#spustiČasovač()
		 *     spustený časovač}
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public static void pridajVlnenie(boolean ajČasovač)
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(vyrovnávaciaPamäťObrázka, 26);
				vlnenia.add(vlnenie);
				if (ajČasovač) Svet.spustiČasovač();
			}
			else
			{
				vlnenie.upokojHladinu();
				vlnenie.útlm(26);
			}
			vlnenie.aktivuj();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajVlnenie(boolean) pridajVlnenie}. */
		// public static void zacniVlnenie(boolean ajČasovač) { pridajVlnenie(ajČasovač); }

		/**
		 * Pridá alebo zresetuje vlnenie sveta. Ak svet nemá definované
		 * alebo aktívne vlnenie, tak volanie tejto metódy vytvorí a/alebo
		 * aktivuje novú inštanciu vlnenia so zadanou úrovňou útlmu (pozri
		 * aj {@link Vlnenie#útlm(int) Vlnenie.útlm(útlm)}).
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje v prostredí grafického
		 * robota.)</small>
		 * 
		 * <P>Ak by svet grafického robota nemal aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak by vlnenie nemohlo
		 * fungovať, preto je časovač touto metódou spúšťaný automaticky.
		 * 
		 * <P>Inštanciu vlnenia je možné získať a pracovať s ňou pomocou
		 * metódy {@link #vlnenie() vlnenie} alebo {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie}. <small>(Pozor, ak vlnenie nie je definované,
		 * tak metóda {@link #vlnenie() vlnenie} definuje nové neaktívne
		 * vlnenie s predvolenou úrovňou útlmu {@code num26}. Overiť to, či
		 * je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}. Metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v prípade, že jestvuje. V opačnom prípade vráti hodnotu
		 * {@code valnull}, čo môže viesť ku vzniku výnimky, ak sa
		 * programátor pokúsi použiť vrátenú hodnotu bez overenia.)</small>
		 * 
		 * <P>Ak už je definovaná inštancia vlnenia, tak ju volanie tejto
		 * metódy zresetuje upokojením hladiny a nastavením zadanej úrovne
		 * útlmu.
		 * (Aktivácia je vykonaná v každom prípade.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param útlm požadovaná úroveň útlmu vlnenia; odporúčané sú
		 *     hodnoty v rozmedzí 0 – 30; pozri aj {@link Vlnenie#útlm(int)
		 *     Vlnenie.útlm(útlm)}
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 * @see Vlnenie#útlm(int)
		 */
		public static void pridajVlnenie(int útlm)
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(vyrovnávaciaPamäťObrázka, útlm);
				vlnenia.add(vlnenie);
				Svet.spustiČasovač();
			}
			else
			{
				vlnenie.upokojHladinu();
				vlnenie.útlm(útlm);
			}
			vlnenie.aktivuj();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajVlnenie(int) pridajVlnenie}. */
		// public static void zacniVlnenie(int útlm) { pridajVlnenie(útlm); }

		/**
		 * Pridá alebo zresetuje vlnenie sveta. Ak svet nemá definované
		 * alebo aktívne vlnenie, tak volanie tejto metódy vytvorí a/alebo
		 * aktivuje novú inštanciu vlnenia so zadanou úrovňou útlmu (pozri
		 * aj {@link Vlnenie#útlm(int) Vlnenie.útlm(útlm)})
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje v prostredí grafického
		 * robota.)</small>
		 * 
		 * <P><b>Pozor!</b> Ak svet grafického robota nemá aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak vlnenie nebude
		 * fungovať. Táto metóda dovoľuje určiť, či má alebo nemá byť
		 * časovač spustený automaticky. Umožňuje to parameter
		 * {@code ajČasovač}.
		 * 
		 * <P>Inštanciu vlnenia je možné získať a pracovať s ňou pomocou
		 * metódy {@link #vlnenie() vlnenie} alebo {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie}. <small>(Pozor, ak vlnenie nie je definované,
		 * tak metóda {@link #vlnenie() vlnenie} definuje nové neaktívne
		 * vlnenie s predvolenou úrovňou útlmu {@code num26}. Overiť to, či
		 * je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}. Metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v prípade, že jestvuje. V opačnom prípade vráti hodnotu
		 * {@code valnull}, čo môže viesť ku vzniku výnimky, ak sa
		 * programátor pokúsi použiť vrátenú hodnotu bez overenia.)</small>
		 * 
		 * <P>Ak už je definovaná inštancia vlnenia, tak ju volanie tejto
		 * metódy zresetuje upokojením hladiny a nastavením zadanej úrovne
		 * útlmu.
		 * (Aktivácia je vykonaná v každom prípade.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param útlm požadovaná úroveň útlmu vlnenia; odporúčané sú
		 *     hodnoty v rozmedzí 0 – 30; pozri aj {@link Vlnenie#útlm(int)
		 *     Vlnenie.útlm(útlm)}
		 * @param ajČasovač ak je hodnota tohto parametra rovná
		 *     {@code valtrue}, tak je v prípade jeho nečinnosti
		 *     automaticky {@linkplain Svet#spustiČasovač()
		 *     spustený časovač}
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #odstráňVlnenie()
		 * @see Vlnenie#útlm(int)
		 */
		public static void pridajVlnenie(int útlm, boolean ajČasovač)
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(vyrovnávaciaPamäťObrázka, útlm);
				vlnenia.add(vlnenie);
				if (ajČasovač) Svet.spustiČasovač();
			}
			else
			{
				vlnenie.upokojHladinu();
				vlnenie.útlm(útlm);
			}
			vlnenie.aktivuj();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajVlnenie(int, boolean) pridajVlnenie}. */
		// public static void zacniVlnenie(int útlm, boolean ajČasovač) { pridajVlnenie(útlm, ajČasovač); }

		/**
		 * Ukončí vlnenie sveta a úplne odstráni inštanciu vlnenia, ktorá
		 * bola pre neho definovaná z prostredia knižnice grafického robota.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 */
		public static void odstráňVlnenie()
		{
			if (null != vlnenie)
			{
				vlnenia.remove(vlnenie);
				vlnenie = null;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #odstráňVlnenie() odstráňVlnenie}. */
		public static void odstranVlnenie() { odstráňVlnenie(); }
	}

	/**
	 * Rámec hlavného okna aplikácie. Má využitie pri programovaní vlastného
	 * používateľského rozhrania aplikácie, úprave hlavnej ponuky, ikony
	 * a podobne… (Poznámka: Na prístup k statickým prvkom triedy
	 * {@link Svet Svet} by ste mali používať syntax:
	 * <code>Svet.</code><i>«prvok triedy»</i>)
	 */
	public final static Svet svet = new Svet();


	// ----------------------- //
	//  *** Trieda Plátno ***  //
	// ----------------------- //

	/*
		Organizácia metód

			rozmery
			okraje
			záloha a obnovenie
			kreslenie tvarov
			farba bodu
			farba textu
			písmo (konzoly)
			priehľadnosť
			grafika a obrázok plátna
			vnútorná konzola
			kreslenie obrázka
			uloženie obrázka
			vymazanie
			výplň
			rozmazanie
			rolovanie a pretáčanie
			schránka
			vlnenie

	*/

	/**
	 * Trieda implementujúca rôzne akcie s {@linkplain GRobot#podlaha
	 * podlahou} a {@linkplain GRobot#strop stropom}.
	 * 
	 * <P>Kresliace roboty fungujú vo svete s dvoma kresliacimi plátnami,
	 * ktoré sa podľa ich polohy voči robotom nazývajú {@link GRobot#podlaha
	 * podlaha} a {@link GRobot#strop strop}. Plátna sú priehľadné plochy
	 * umiestnené jedna pod a druhá nad úrovňou robotov. Majú svoj rozmer
	 * a dovoľujú vykonávanie aj takých úkonov, ktoré nesúvisia so žiadnym
	 * konkrétnym grafickým robotom (napríklad {@linkplain #rozmaž()
	 * rozmazanie}, {@linkplain #vyplň(java.awt.Color) výplň}, {@linkplain
	 * #uložObrázok(String) ukladanie svojho obsahu do súboru} a podobne).
	 * V prípade, že sú obe plátna prázdne, je plocha {@linkplain Svet
	 * sveta} vyplnená {@linkplain Svet#farbaPozadia(java.awt.Color) farbou
	 * pozadia}. Každý robot smie {@linkplain GRobot#kresliNaPodlahu()
	 * kresliť na podlahu} alebo {@linkplain GRobot#kresliNaStrop() strop}
	 * podľa výberu. Kresby, ktoré vytvoria sú potom vidno nad podkladom,
	 * pričom kresba na podlahe je zobrazená pod robotmi a kresba na strope
	 * nad robotmi.
	 * 
	 * <P>Kresba každého plátna je uložená mimo zobrazovaný priestor
	 * {@linkplain Svet sveta}, preto všetko, čo sa nachádza na plátne
	 * nakreslené, nemusí byť automaticky viditeľné. Pri pohybe robota však
	 * dochádza k automatickému prekresľovaniu, ktoré je v prípade potreby
	 * možné {@linkplain Svet#nekresli() vypnúť}. Môžeme tým významne zvýšiť
	 * grafický výkon aplikácie, najmä ak manipulujeme viacerými robotmi
	 * naraz alebo vykonávame naraz viacero kresliacich operácií, z ktorých
	 * potrebujeme vidieť iba výsledok, nie jednotlivé čiastkové kroky.
	 * 
	 * <P>Nasledujúci príklad naprogramuje grafického robota tak, aby
	 * reagoval na kurzorové šípky pohybom a aby kláves medzerník prepínal
	 * medzi kreslením na strop tyrkysovou farbou a kreslením na podlahu
	 * hnedou farbou:
	 * 
	 * <pre CLASS="example">
		{@link GRobot#hrúbkaPera(double) hrúbkaPera}({@code num5.5});
		{@link GRobot#farba(java.awt.Color) farba}({@link GRobot#hnedá hnedá});

		{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
		{
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#stlačenieKlávesu() stlačenieKlávesu}()
			{
				{@code kwdswitch} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#kláves() kláves}())
				{

					{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#MEDZERNÍK MEDZERNÍK}:

						{@code kwdif} ({@link GRobot#kreslímNaPodlahu() kreslímNaPodlahu}())
						{
							{@link GRobot#kresliNaStrop() kresliNaStrop}();
							{@link GRobot#farba(java.awt.Color) farba}({@link GRobot#tyrkysová tyrkysová});
						}
						{@code kwdelse}
						{
							{@link GRobot#kresliNaPodlahu() kresliNaPodlahu}();
							{@link GRobot#farba(java.awt.Color) farba}({@link GRobot#hnedá hnedá});
						}

						{@code kwdbreak};

					{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#HORE HORE}:   {@link GRobot#dopredu(double) dopredu}({@code num10}); {@code kwdbreak};
					{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#VPRAVO VPRAVO}: {@link GRobot#vpravo(double) vpravo}({@code num10}); {@code kwdbreak};
					{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#VĽAVO VĽAVO}:  {@link GRobot#vľavo(double) vľavo}({@code num10}); {@code kwdbreak};
					{@code kwdcase} {@link Kláves Kláves}.{@link Kláves#DOLE DOLE}:   {@link GRobot#dozadu(double) dozadu}({@code num10}); {@code kwdbreak};
				}
			}
		};
		</pre>
	 * 
	 * <p><b>Výsledok:</b>
	 * <P><image>kreslenieStropPodlaha.png</image>Čiary nakreslené
	 * kurzorovými šípkami počas činnosti<br />programu tohto príkladu;
	 * všimnite si, že hnedá čiara<br />nie je nikdy nakreslená nad
	 * tyrkysovou; je to preto, že<br />je kreslená na podlahu a tyrkysová
	 * je kreslená na strop<br /><small>(veľkosť plátna
	 * na obrázku je zmenšená)</small>
	 */
	public static class Plátno implements Priehľadnosť
	{
		// Plátno reprezentované obrázkom a grafikou
		private BufferedImage vyrovnávaciaPamäťObrázkaPlátna;
		private Graphics2D vyrovnávaciaPamäťGrafikyPlátna;

		// Vnútorné pole na umožnenie zálohovanie plátna (podlahy
		// alebo stropu) a operácií s ním
		private int[] originálPlátna;

		// Vnútorné pole na zálohovanie plátna (podlahy alebo stropu)
		private int[] zálohaPlátna;

		// Vnútorné pole na operácie s plátnom (podlahou alebo stropom)
		private int[] operáciePlátna;

		// Priehľadnosť plátna
		private float priehľadnosť = 1.0f;

		// Interaktívny režim
		private boolean interaktívnyRežim = false;

		// Vnútorná konzola
		private final VnútornáKonzola vnútornáKonzola;


		// Nie je možné vytvárať vlastné inštancie plátna
		private Plátno()
		{
			vnútornáKonzola = new VnútornáKonzola();

			if (null != vlnenie) odstráňVlnenie();
			vyrovnávaciaPamäťObrázkaPlátna =
				new BufferedImage(šírkaPlátna, výškaPlátna,
					BufferedImage.TYPE_INT_ARGB);
			vyrovnávaciaPamäťGrafikyPlátna =
				vyrovnávaciaPamäťObrázkaPlátna.createGraphics();
			originálPlátna = zálohaPlátna = operáciePlátna = null;
		}

		// Vytvorenie nového plátna (pre konštruktory hlavného robota)
		private void vytvorNovéPlátno(int šírkaPlátna, int výškaPlátna)
		{
			if (null != vlnenie) odstráňVlnenie();
			vyrovnávaciaPamäťObrázkaPlátna = new BufferedImage(šírkaPlátna,
				výškaPlátna, BufferedImage.TYPE_INT_ARGB);
			vyrovnávaciaPamäťGrafikyPlátna =
				vyrovnávaciaPamäťObrázkaPlátna.createGraphics();
			originálPlátna = zálohaPlátna = operáciePlátna = null;
		}

		// Prekreslenie plátna
		private void prekresli(Graphics2D grafika)
		{
			if (priehľadnosť > 0)
			{
				if (priehľadnosť < 1)
				{
					Composite záloha = grafika.getComposite();
					grafika.setComposite(
						AlphaComposite.getInstance(
							AlphaComposite.SRC_OVER, priehľadnosť));

					if (null == vlnenie)
						grafika.drawImage(
							vyrovnávaciaPamäťObrázkaPlátna, 0, 0, null);
					else
						grafika.drawImage(
							vlnenie.zvlnenýRaster(), 0, 0, null);

					grafika.setComposite(záloha);
				}
				else
				{
					if (null == vlnenie)
						grafika.drawImage(
							vyrovnávaciaPamäťObrázkaPlátna, 0, 0, null);
					else
						grafika.drawImage(
							vlnenie.zvlnenýRaster(), 0, 0, null);
				}
			}

			if (konzolaPoužitá) vnútornáKonzola.prekresli(grafika);
		}


	// Rozmery

		/**
		 * <a class="getter"></a> Zistí najmenšiu x-ovú súradnicu plátna.
		 * Podlaha a strop majú určitú veľkosť, ktorá je o niečo väčšia ako
		 * predvolená veľkosť okna aplikácie.
		 * 
		 *  @return najmenšia x-ová súradnica plátna
		 *  @see #najväčšieX()
		 *  @see #najmenšieY()
		 *  @see #najväčšieY()
		 */
		public static double najmenšieX() { return -šírkaPlátna / 2; }

		/** <a class="alias"></a> Alias pre {@link #najmenšieX() najmenšieX}. */
		public static double najmensieX() { return -šírkaPlátna / 2; }

		/**
		 * <a class="getter"></a> Zistí najmenšiu y-ovú súradnicu plátna.
		 * Podlaha a strop majú určitú veľkosť, ktorá je o niečo väčšia ako
		 * predvolená veľkosť okna aplikácie.
		 * 
		 *  @return najmenšia y-ová súradnica plátna
		 *  @see #najmenšieX()
		 *  @see #najväčšieX()
		 *  @see #najväčšieY()
		 */
		public static double najmenšieY() { return -(výškaPlátna - 1) / 2; }

		/** <a class="alias"></a> Alias pre {@link #najmenšieY() najmenšieY}. */
		public static double najmensieY() { return -(výškaPlátna - 1) / 2; }

		/**
		 * <a class="getter"></a> Zistí najväčšiu x-ovú súradnicu plátna.
		 * Podlaha a strop majú určitú veľkosť, ktorá je o niečo väčšia ako
		 * predvolená veľkosť okna aplikácie.
		 * 
		 *  @return najväčšia x-ová súradnica plátna
		 *  @see #najmenšieX()
		 *  @see #najmenšieY()
		 *  @see #najväčšieY()
		 */
		public static double najväčšieX() { return (šírkaPlátna - 1) / 2; }

		/** <a class="alias"></a> Alias pre {@link #najväčšieX() najväčšieX}. */
		public static double najvacsieX() { return (šírkaPlátna - 1) / 2; }

		/**
		 * <a class="getter"></a> Zistí najväčšiu y-ovú súradnicu plátna.
		 * Podlaha a strop majú určitú veľkosť, ktorá je o niečo väčšia ako
		 * predvolená veľkosť okna aplikácie.
		 * 
		 *  @return najväčšia y-ová súradnica plátna
		 *  @see #najmenšieX()
		 *  @see #najväčšieX()
		 *  @see #najmenšieY()
		 */
		public static double najväčšieY() { return výškaPlátna / 2; }

		/** <a class="alias"></a> Alias pre {@link #najväčšieY() najväčšieY}. */
		public static double najvacsieY() { return výškaPlátna / 2; }


		/**
		 * Zistí šírku plátna (podlahy alebo stropu).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return šírka plátna (podlahy alebo stropu)
		 */
		public static int šírka() { return šírkaPlátna; }

		/** <a class="alias"></a> Alias pre {@link #šírka() šírka}. */
		public static int sirka() { return šírkaPlátna; }

		/**
		 * Zistí výšku plátna (podlahy alebo stropu).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return sýška plátna (podlahy alebo stropu)
		 */
		public static int výška() { return výškaPlátna; }

		/** <a class="alias"></a> Alias pre {@link #šírka() šírka}. */
		public static int vyska() { return výškaPlátna; }

		/**
		 * Zistí viditeľnú šírku plátna (podlahy alebo stropu).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return viditeľná šírka plátna (podlahy alebo stropu)
		 */
		public static int viditeľnáŠírka() { return hlavnýPanel.getWidth(); }

		/** <a class="alias"></a> Alias pre {@link #viditeľnáŠírka() viditeľnáŠírka}. */
		public static int viditelnaSirka() { return hlavnýPanel.getWidth(); }

		/**
		 * Zistí viditeľnú výšku plátna (podlahy alebo stropu).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return viditeľná výška plátna (podlahy alebo stropu)
		 */
		public static int viditeľnáVýška() { return hlavnýPanel.getHeight(); }

		/** <a class="alias"></a> Alias pre {@link #viditeľnáVýška() viditeľnáVýška}. */
		public static int viditelnaVyska() { return hlavnýPanel.getHeight(); }


	// Okraje

		/**
		 * <a class="getter"></a> Zistí najmenšiu aktuálne viditeľnú x-ovú
		 * súradnicu na plátne (podlahe alebo strope).
		 * 
		 *  @return najmenšia viditeľná x-ová súradnica na plátne
		 *  @see #pravýOkraj()
		 *  @see #spodnýOkraj()
		 *  @see #vrchnýOkraj()
		 */
		public static double ľavýOkraj()
		{
			int súradnica = -hlavnýPanel.getWidth() / 2;

			if (súradnica < (-šírkaPlátna / 2))
				return -šírkaPlátna / 2;

			return súradnica;
		}

		/** <a class="alias"></a> Alias pre {@link #ľavýOkraj() ľavýOkraj}. */
		public static double lavyOkraj() { return ľavýOkraj(); }

		/**
		 * <a class="getter"></a> Zistí najmenšiu aktuálne viditeľnú y-ovú
		 * súradnicu na plátne (podlahe alebo strope).
		 * 
		 *  @return najmenšia viditeľná y-ová súradnica na plátne
		 *  @see #ľavýOkraj()
		 *  @see #pravýOkraj()
		 *  @see #vrchnýOkraj()
		 */
		public static double spodnýOkraj()
		{
			int súradnica = -(hlavnýPanel.getHeight() - 1) / 2;

			if (súradnica < (-(výškaPlátna - 1) / 2))
				return -(výškaPlátna - 1) / 2;

			return súradnica;
		}

		/** <a class="alias"></a> Alias pre {@link #spodnýOkraj() spodnýOkraj}. */
		public static double spodnyOkraj() { return spodnýOkraj(); }

		/** <a class="alias"></a> Alias pre {@link #spodnýOkraj() spodnýOkraj}. */
		public static double dolnýOkraj() { return spodnýOkraj(); }

		/** <a class="alias"></a> Alias pre {@link #dolnýOkraj() dolnýOkraj}. */
		public static double dolnyOkraj() { return spodnýOkraj(); }

		/**
		 * <a class="getter"></a> Zistí najväčšiu aktuálne viditeľnú x-ovú súradnicu na
		 * plátne (podlahe alebo strope).
		 * 
		 *  @return najväčšia viditeľná x-ová súradnica na plátne
		 *  @see #ľavýOkraj()
		 *  @see #spodnýOkraj()
		 *  @see #vrchnýOkraj()
		 */
		public static double pravýOkraj()
		{
			int súradnica = (hlavnýPanel.getWidth() - 1) / 2;

			if (súradnica > ((šírkaPlátna - 1) / 2))
				return (šírkaPlátna - 1) / 2;

			return súradnica;
		}

		/** <a class="alias"></a> Alias pre {@link #pravýOkraj() pravýOkraj}. */
		public static double pravyOkraj() { return pravýOkraj(); }

		/**
		 * <a class="getter"></a> Zistí najväčšiu aktuálne viditeľnú y-ovú súradnicu na
		 * plátne (podlahe alebo strope).
		 * 
		 *  @return najväčšia viditeľná y-ová súradnica na plátne
		 *  @see #ľavýOkraj()
		 *  @see #pravýOkraj()
		 *  @see #spodnýOkraj()
		 */
		public static double vrchnýOkraj()
		{
			int súradnica = hlavnýPanel.getHeight() / 2;

			if (súradnica > (výškaPlátna / 2))
				return výškaPlátna / 2;

			return súradnica;
		}

		/** <a class="alias"></a> Alias pre {@link #vrchnýOkraj() vrchnýOkraj}. */
		public static double vrchnyOkraj() { return vrchnýOkraj(); }

		/** <a class="alias"></a> Alias pre {@link #vrchnýOkraj() vrchnýOkraj}. */
		public static double hornýOkraj() { return vrchnýOkraj(); }

		/** <a class="alias"></a> Alias pre {@link #hornýOkraj() hornýOkraj}. */
		public static double hornyOkraj() { return vrchnýOkraj(); }


	// Záloha a obnovenie

		/**
		 * Zálohuje kresbu na plátne (podlahe alebo strope), aby mohla byť
		 * v prípade potreby obnovená metódou {@link #obnovGrafiku()
		 * obnovGrafiku}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt obsahujúci zálohu kresby na plátne
		 * @see #zálohujGrafiku(GRobot)
		 * @see #obnovGrafiku()
		 * @see #obnovGrafiku(Object)
		 * @see #pridajGrafiku(GRobot)
		 * @see #zálohujTexty()
		 * @see #zálohujTexty(GRobot)
		 * @see #obnovTexty()
		 * @see #obnovTexty(Object)
		 * @see #pridajTexty(Object)
		 */
		public Object zálohujGrafiku()
		{
			if (null == originálPlátna)
				originálPlátna = ((DataBufferInt)
					vyrovnávaciaPamäťObrázkaPlátna.getRaster().
						getDataBuffer()).getData();

			// if (null == zálohaPlátna) --old-way--
				zálohaPlátna = new int[originálPlátna.length];

			System.arraycopy(originálPlátna, 0,
				zálohaPlátna, 0, originálPlátna.length);

			return zálohaPlátna;
		}

		/** <a class="alias"></a> Alias pre {@link #zálohujGrafiku() zálohujGrafiku}. */
		public Object zalohujGrafiku() { return zálohujGrafiku(); }

		// /** <a class="alias"></a> Alias pre {@link #zálohujGrafiku() zálohujGrafiku}. */
		// public void zálohujKresbu() { zálohujGrafiku(); }

		// /** <a class="alias"></a> Alias pre {@link #zálohujGrafiku() zálohujGrafiku}. */
		// public void zalohujKresbu() { zálohujGrafiku(); }

		/** <a class="alias"></a> Alias pre {@link #zálohujGrafiku() zálohujGrafiku}. */
		@Deprecated public Object zálohuj() { return zálohujGrafiku(); }

		/** <a class="alias"></a> Alias pre {@link #zálohujGrafiku() zálohujGrafiku}. */
		@Deprecated public Object zalohuj() { return zálohujGrafiku(); }

		/**
		 * Zálohuje kresbu plátna (podlahy alebo stropu) do pamäte zadaného
		 * robota. Obsah môže byť v prípade potreby obnovený metódou {@link
		 * #obnovGrafiku(Object) obnovGrafiku(Object)} alebo pridaný
		 * k aktuálnemu obsahu kresby na plátne metódou {@link
		 * #pridajGrafiku(GRobot) pridajGrafiku(GRobot)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param ktorý ktorý robot si má zapamätať kresbu na plátne
		 * @see #zálohujGrafiku()
		 * @see #obnovGrafiku()
		 * @see #obnovGrafiku(Object)
		 * @see #pridajGrafiku(GRobot)
		 * @see #zálohujTexty()
		 * @see #zálohujTexty(GRobot)
		 * @see #obnovTexty()
		 * @see #obnovTexty(Object)
		 * @see #pridajTexty(Object)
		 */
		public void zálohujGrafiku(GRobot ktorý)
		{
			if (null == originálPlátna)
				originálPlátna = ((DataBufferInt)
					vyrovnávaciaPamäťObrázkaPlátna.
						getRaster().getDataBuffer()).getData();

			if (null == ktorý.zálohaPlátna ||
				ktorý.zálohaPlátna.length != originálPlátna.length)
			{
				ktorý.obrázokZálohyPlátna = new BufferedImage(šírkaPlátna,
					výškaPlátna, BufferedImage.TYPE_INT_ARGB);
				ktorý.zálohaPlátna = ((DataBufferInt)ktorý.obrázokZálohyPlátna.
					getRaster().getDataBuffer()).getData();
			}

			System.arraycopy(originálPlátna, 0,
				ktorý.zálohaPlátna, 0, originálPlátna.length);
			// return vyrovnávaciaPamäťObrázkaPlátna.getData();
		}

		/** <a class="alias"></a> Alias pre {@link #zálohujGrafiku(GRobot) zálohujGrafiku}. */
		public void zalohujGrafiku(GRobot ktorý) { zálohujGrafiku(ktorý); }

		// /** <a class="alias"></a> Alias pre {@link #zálohujGrafiku(GRobot) zálohujGrafiku}. */
		// public void zálohujKresbu(GRobot ktorý) { zálohujGrafiku(ktorý); }

		// /** <a class="alias"></a> Alias pre {@link #zálohujGrafiku(GRobot) zálohujGrafiku}. */
		// public void zalohujKresbu(GRobot ktorý) { zálohujGrafiku(ktorý); }

		/** <a class="alias"></a> Alias pre {@link #zálohujGrafiku(GRobot) zálohujGrafiku}. */
		public void zapamätajGrafiku(GRobot ktorý) { zálohujGrafiku(ktorý); }

		/** <a class="alias"></a> Alias pre {@link #zálohujGrafiku(GRobot) zálohujGrafiku}. */
		public void zapamatajGrafiku(GRobot ktorý) { zálohujGrafiku(ktorý); }

		/** <a class="alias"></a> Alias pre {@link #zálohujGrafiku(GRobot) zálohujGrafiku}. */
		@Deprecated public void zálohuj(GRobot ktorý) { zálohujGrafiku(ktorý); }

		/** <a class="alias"></a> Alias pre {@link #zálohujGrafiku(GRobot) zálohujGrafiku}. */
		@Deprecated public void zalohuj(GRobot ktorý) { zálohujGrafiku(ktorý); }

		/** <a class="alias"></a> Alias pre {@link #zálohujGrafiku(GRobot) zálohujGrafiku}. */
		@Deprecated public void zapamätaj(GRobot ktorý) { zálohujGrafiku(ktorý); }

		/** <a class="alias"></a> Alias pre {@link #zálohujGrafiku(GRobot) zálohujGrafiku}. */
		@Deprecated public void zapamataj(GRobot ktorý) { zálohujGrafiku(ktorý); }

		/**
		 * Obnoví kresbu plátna (podlahy alebo stropu), ktorá bol zálohovaná
		 * metódou {@link #zálohujGrafiku() zálohujGrafiku}. Ak kresba predtým
		 * nebola zálohovaná, volanie tejto metódy nebude mať žiadny efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #zálohujGrafiku()
		 * @see #zálohujGrafiku(GRobot)
		 * @see #obnovGrafiku(Object)
		 * @see #pridajGrafiku(GRobot)
		 * @see #zálohujTexty()
		 * @see #zálohujTexty(GRobot)
		 * @see #obnovTexty()
		 * @see #obnovTexty(Object)
		 * @see #pridajTexty(Object)
		 */
		public void obnovGrafiku()
		{
			if (null == zálohaPlátna || null == originálPlátna) return;
			System.arraycopy(zálohaPlátna, 0,
				originálPlátna, 0, originálPlátna.length);
			automatickéPrekreslenie();
		}

		// /** <a class="alias"></a> Alias pre {@link #obnovGrafiku() obnovGrafiku}. */
		// public void obnovKresbu() { obnovGrafiku(); }

		/** <a class="alias"></a> Alias pre {@link #obnovGrafiku() obnovGrafiku}. */
		@Deprecated public void obnov() { obnovGrafiku(); }

		/**
		 * Obnoví kresbu plátna (podlahy alebo stropu), ktorá bola
		 * zálohovaná buď metódou {@link #zálohujGrafiku() zálohujGrafiku()},
		 * alebo metódou {@link #zálohujGrafiku(GRobot) zálohujGrafiku(GRobot)}.
		 * Ak zadaný objekt neobsahuje zálohu, tak volanie tejto metódy nebude
		 * mať žiadny efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param záloha záloha plátna vytvorená buď metódou {@link
		 *   #zálohujGrafiku() zálohujGrafiku()}, alebo metódou {@link
		 *   #zálohujGrafiku(GRobot) zálohujGrafiku(GRobot)} (čiže buď objekt,
		 *   ktorý bol výstupom metódy {@link #zálohujGrafiku()
		 *   zálohujGrafiku()}, alebo robot, ktorý bol použitý na zálohovanie
		 *   metódou {@link #zálohujGrafiku(GRobot) zálohujGrafiku(GRobot)})
		 * 
		 * @see #zálohujGrafiku()
		 * @see #zálohujGrafiku(GRobot)
		 * @see #obnovGrafiku()
		 * @see #pridajGrafiku(GRobot)
		 * @see #zálohujTexty()
		 * @see #zálohujTexty(GRobot)
		 * @see #obnovTexty()
		 * @see #obnovTexty(Object)
		 * @see #pridajTexty(Object)
		 */
		public void obnovGrafiku(Object záloha)
		{
			if (null != záloha && null != originálPlátna)
			{
				int[] obnova = null;

				if (záloha instanceof int[])
					obnova = (int[])záloha;
				else if (záloha instanceof GRobot &&
					null != ((GRobot)záloha).zálohaPlátna)
					obnova = ((GRobot)záloha).zálohaPlátna;

				if (null != obnova && obnova.length == originálPlátna.length)
				{
					System.arraycopy(obnova, 0,
						originálPlátna, 0, originálPlátna.length);
					automatickéPrekreslenie();
				}
			}
		}

		// /** <a class="alias"></a> Alias pre {@link #obnovGrafiku(Object) obnovGrafiku}. */
		// public void obnovKresbu(Object záloha) { obnovGrafiku(záloha); }

		/** <a class="alias"></a> Alias pre {@link #obnovGrafiku(Object) obnovGrafiku}. */
		@Deprecated public void obnov(Object záloha) { obnovGrafiku(záloha); }

		/**
		 * Nakreslí obsah zadanej zálohy plátna vytvorenej metódou
		 * {@link #zálohujGrafiku(GRobot) zálohujGrafiku(GRobot)}) cez
		 * jestvujúcu kresbu na plátne (podlahe alebo strope). Táto metóda
		 * s využitím priehľadnosti dokreslí kresbu zo zálohy ku kresbe, ktorá
		 * sa na plátne práve nachádza.
		 * 
		 * <P>Testy ukázali, že proces dokreslenia je približne rovnako rýchly
		 * ako proces {@linkplain #obnovGrafiku(Object) obnovenia} zo zálohy.
		 * 
		 * <P>(Poznámka: Pri použití metódy {@link #obnovGrafiku(Object)
		 * obnovGrafiku(Object)} je kresba plátna úplne nahradená obsahom zálohy
		 * a na rozdiel od tejto metódy sú pri nej použiteľné aj objekty
		 * vytvárané metódou {@link #zálohujGrafiku() zálohujGrafiku()}, ktorých
		 * štruktúra je jednoduchšia.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param ktorý robot, ktorý obsahuje zálohu plátna vytvorenú
		 *  metódou {@link #zálohujGrafiku(GRobot) zálohujGrafiku(GRobot)}
		 * @see #zálohujGrafiku()
		 * @see #zálohujGrafiku(GRobot)
		 * @see #obnovGrafiku()
		 * @see #obnovGrafiku(Object)
		 * @see #zálohujTexty()
		 * @see #zálohujTexty(GRobot)
		 * @see #obnovTexty()
		 * @see #obnovTexty(Object)
		 * @see #pridajTexty(Object)
		 */
		public void pridajGrafiku(GRobot ktorý)
		{
			if (null == ktorý.obrázokZálohyPlátna) return;
			vyrovnávaciaPamäťGrafikyPlátna.drawImage(
				ktorý.obrázokZálohyPlátna, 0, 0, null);
			automatickéPrekreslenie();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajGrafiku(GRobot) pridajGrafiku}. */
		// public void pridajKresbu(GRobot ktorý) { pridajGrafiku(ktorý); }

		/** <a class="alias"></a> Alias pre {@link #pridajGrafiku(GRobot) pridajGrafiku}. */
		@Deprecated public void kresli(GRobot ktorý) { pridajGrafiku(ktorý); }


		/**
		 * Táto metóda vytvorí zálohu textového obsahu vnútornej konzoly tohto
		 * plátna, uloží si ju do vnútornej pamäte a zároveň vráti vo forme
		 * objektu. Vrátený objekt je použiteľný len s metódou
		 * {@link #obnovTexty(Object) obnovTexty}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return záloha, ktorá je použiteľná s metódou
		 *     {@link #obnovTexty(Object) obnovTexty}
		 * @see #zálohujGrafiku()
		 * @see #zálohujGrafiku(GRobot)
		 * @see #obnovGrafiku()
		 * @see #obnovGrafiku(Object)
		 * @see #pridajGrafiku(GRobot)
		 * @see #zálohujTexty(GRobot)
		 * @see #obnovTexty()
		 * @see #obnovTexty(Object)
		 * @see #pridajTexty(Object)
		 */
		public Object zálohujTexty()
		{
			vnútornáKonzola.záloha = new ZálohaKonzoly();
			vnútornáKonzola.záloha.záloha.addAll(vnútornáKonzola.riadky);
			return vnútornáKonzola.záloha;
		}

		/** <a class="alias"></a> Alias pre {@link #zálohujTexty() zálohujTexty}. */
		public Object zalohujTexty() { return zálohujTexty(); }

		/** <a class="alias"></a> Alias pre {@link #zálohujTexty() zálohujTexty}. */
		public Object zapamätajTexty() { return zálohujTexty(); }

		/** <a class="alias"></a> Alias pre {@link #zálohujTexty() zálohujTexty}. */
		public Object zapamatajTexty() { return zálohujTexty(); }


		/**
		 * Táto metóda vytvorí zálohu textového obsahu vnútornej konzoly tohto
		 * plátna s použitím vnútornej pamäte zadaného robota. Obsah môže byť
		 * v prípade potreby obnovený metódou {@link #obnovTexty(Object)
		 * obnovTexty(Object)} alebo pridaný k aktuálnym textom na plátne
		 * metódou {@link #pridajTexty(Object) pridajTexty(Object)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param ktorý robot, do ktorého bude uložená záloha textov
		 * @see #zálohujGrafiku()
		 * @see #zálohujGrafiku(GRobot)
		 * @see #obnovGrafiku()
		 * @see #obnovGrafiku(Object)
		 * @see #pridajGrafiku(GRobot)
		 * @see #zálohujTexty()
		 * @see #obnovTexty()
		 * @see #obnovTexty(Object)
		 * @see #pridajTexty(Object)
		 */
		public void zálohujTexty(GRobot ktorý)
		{
			if (null == ktorý) return;
			if (null == ktorý.zálohaKonzoly)
				ktorý.zálohaKonzoly = new ZálohaKonzoly();
			else
				ktorý.zálohaKonzoly.záloha.clear();
			ktorý.zálohaKonzoly.záloha.addAll(vnútornáKonzola.riadky);
		}

		/** <a class="alias"></a> Alias pre {@link #zálohujTexty(GRobot) zálohujTexty}. */
		public void zalohujTexty(GRobot ktorý) { zálohujTexty(ktorý); }

		/** <a class="alias"></a> Alias pre {@link #zálohujTexty(GRobot) zálohujTexty}. */
		public void zapamätajTexty(GRobot ktorý) { zálohujTexty(ktorý); }

		/** <a class="alias"></a> Alias pre {@link #zálohujTexty(GRobot) zálohujTexty}. */
		public void zapamatajTexty(GRobot ktorý) { zálohujTexty(ktorý); }


		/**
		 * Táto metóda obnoví stav textového obsahu vnútornej konzoly, ktorý
		 * bol uložený metódou {@link #zálohujTexty() zálohujTexty}. Ak záloha
		 * predtým nebola vytvorená, tak volanie tejto metódy nebude mať
		 * žiadny efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #zálohujGrafiku()
		 * @see #zálohujGrafiku(GRobot)
		 * @see #obnovGrafiku()
		 * @see #obnovGrafiku(Object)
		 * @see #pridajGrafiku(GRobot)
		 * @see #zálohujTexty()
		 * @see #zálohujTexty(GRobot)
		 * @see #obnovTexty(Object)
		 * @see #pridajTexty(Object)
		 */
		public void obnovTexty()
		{
			if (null != vnútornáKonzola.záloha)
			{
				vnútornáKonzola.riadky.clear();
				vnútornáKonzola.riadky.addAll(vnútornáKonzola.záloha.záloha);
				automatickéPrekreslenie();
			}
		}

		/**
		 * Táto metóda obnoví stav textového obsahu vnútornej konzoly tohto
		 * plátna podľa objektu, ktorý bol vytvorený buď metódou
		 * {@link #zálohujTexty() zálohujTexty()}, alebo metódou
		 * {@link #zálohujTexty(GRobot) zálohujTexty(GRobot)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param záloha objekt, ktorý obsahuje zálohu textov konzoly
		 * @see #zálohujGrafiku()
		 * @see #zálohujGrafiku(GRobot)
		 * @see #obnovGrafiku()
		 * @see #obnovGrafiku(Object)
		 * @see #pridajGrafiku(GRobot)
		 * @see #zálohujTexty()
		 * @see #zálohujTexty(GRobot)
		 * @see #obnovTexty()
		 * @see #pridajTexty(Object)
		 */
		public void obnovTexty(Object záloha)
		{
			if (null == záloha) return;

			ZálohaKonzoly obnova = null;

			if (záloha instanceof ZálohaKonzoly)
				obnova = (ZálohaKonzoly)záloha;
			else if (záloha instanceof GRobot &&
				null != ((GRobot)záloha).zálohaKonzoly)
				obnova = ((GRobot)záloha).zálohaKonzoly;

			if (null != obnova)
			{
				vnútornáKonzola.riadky.clear();
				vnútornáKonzola.riadky.addAll(obnova.záloha);
				automatickéPrekreslenie();
			}
		}

		/**
		 * Táto metóda pridá textový obsah zadanej zálohy konzoly, ktorá
		 * bola vytvorená buď metódou {@link #zálohujTexty() zálohujTexty()},
		 * alebo metódou {@link #zálohujTexty(GRobot) zálohujTexty(GRobot)}
		 * k aktuálnemu obsahu vnútornej konzoly tohto plátna.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param záloha objekt, ktorý obsahuje zálohu textov konzoly
		 * @see #zálohujGrafiku()
		 * @see #zálohujGrafiku(GRobot)
		 * @see #obnovGrafiku()
		 * @see #obnovGrafiku(Object)
		 * @see #pridajGrafiku(GRobot)
		 * @see #zálohujTexty()
		 * @see #zálohujTexty(GRobot)
		 * @see #obnovTexty()
		 * @see #obnovTexty(Object)
		 */
		public void pridajTexty(Object záloha)
		{
			if (null == záloha) return;

			ZálohaKonzoly obnova = null;

			if (záloha instanceof ZálohaKonzoly)
				obnova = (ZálohaKonzoly)záloha;
			else if (záloha instanceof GRobot &&
				null != ((GRobot)záloha).zálohaKonzoly)
				obnova = ((GRobot)záloha).zálohaKonzoly;

			if (null != obnova)
			{
				vnútornáKonzola.riadky.addAll(obnova.záloha);
				automatickéPrekreslenie();
			}
		}


	// Kreslenie tvarov

		/**
		 * Táto metóda slúži na kreslenie obrysov zadaného tvaru na plátno.
		 * Metóda potrebuje na svoje správne fungovanie robota „kresliča“,
		 * ktorého farbu a štýl čiary použije na kreslenie. Ak je do metódy
		 * namiesto konkrétneho kresliča zadaná hodnota {@code valnull}, tak
		 * je na získanie parametrov kreslenia použitý {@linkplain
		 * Svet#hlavnýRobot() hlavný robot}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude
		 *      nakreslený aktuálnym štýlom čiary a farbou zadaného robota
		 *      („kresliča“)
		 *  @param kreslič grafický robot, ktorého parametre budú použité
		 *      na kreslenie alebo {@code valnull}
		 * 
		 * @see #kresli(Shape)
		 * @see #vyplň(Shape, GRobot)
		 * @see #vyplň(Shape)
		 */
		public void kresli(Shape tvar, GRobot kreslič)
		{
			if (null == kreslič)
				kreslič = hlavnýRobot;

			if (null == kreslič) return;

			vyrovnávaciaPamäťGrafikyPlátna.setColor(kreslič.farbaRobota);
			vyrovnávaciaPamäťGrafikyPlátna.setStroke(kreslič.čiara);
			vyrovnávaciaPamäťGrafikyPlátna.draw(tvar);

			automatickéPrekreslenie();
		}

		/**
		 * Táto metóda slúži na kreslenie vyplnených tvarov na plátno.
		 * Metóda potrebuje na svoje správne fungovanie robota „kresliča“,
		 * ktorého farbu použije na vyplnenie zadaného tvaru. Ak je do metódy
		 * namiesto konkrétneho kresliča zadaná hodnota {@code valnull}, tak
		 * je na získanie parametrov kreslenia použitý {@linkplain
		 * Svet#hlavnýRobot() hlavný robot}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude vyplnený
		 *      aktuálnou farbou zadaného robota („kresliča“)
		 *  @param kreslič grafický robot, ktorého parametre budú použité
		 *      na kreslenie alebo {@code valnull}
		 * 
		 * @see #kresli(Shape, GRobot)
		 * @see #kresli(Shape)
		 * @see #vyplň(Shape)
		 */
		public void vyplň(Shape tvar, GRobot kreslič)
		{
			if (null == kreslič)
				kreslič = hlavnýRobot;

			if (null == kreslič) return;

			vyrovnávaciaPamäťGrafikyPlátna.setColor(kreslič.farbaRobota);
			vyrovnávaciaPamäťGrafikyPlátna.fill(tvar);

			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(Shape, GRobot)}. */
		public void vypln(Shape tvar, GRobot kreslič) { vyplň(tvar, kreslič); }

		/**
		 * Táto metóda slúži na kreslenie obrysov zadaného tvaru na plátno.
		 * Metóda používa na získanie parametrov kreslenia (štýlu a farby
		 * čiary) {@linkplain Svet#hlavnýRobot() hlavného robota}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude
		 *      nakreslený aktuálnym štýlom čiary a farbou {@linkplain
		 *      Svet#hlavnýRobot() hlavného robota}
		 * 
		 * @see #kresli(Shape, GRobot)
		 * @see #vyplň(Shape, GRobot)
		 * @see #vyplň(Shape)
		 */
		public void kresli(Shape tvar)
		{
			if (null == hlavnýRobot) return;

			vyrovnávaciaPamäťGrafikyPlátna.setColor(hlavnýRobot.farbaRobota);
			vyrovnávaciaPamäťGrafikyPlátna.setStroke(hlavnýRobot.čiara);
			vyrovnávaciaPamäťGrafikyPlátna.draw(tvar);

			automatickéPrekreslenie();
		}

		/**
		 * Táto metóda slúži na kreslenie vyplnených tvarov na plátno.
		 * Metóda používa na získanie parametrov kreslenia (farby výplne)
		 * {@linkplain Svet#hlavnýRobot() hlavného robota}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude vyplnený
		 *      farbou {@linkplain Svet#hlavnýRobot() hlavného robota}
		 * 
		 * @see #kresli(Shape, GRobot)
		 * @see #kresli(Shape)
		 * @see #vyplň(Shape, GRobot)
		 */
		public void vyplň(Shape tvar)
		{
			if (null == hlavnýRobot) return;

			vyrovnávaciaPamäťGrafikyPlátna.setColor(hlavnýRobot.farbaRobota);
			vyrovnávaciaPamäťGrafikyPlátna.fill(tvar);

			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(Shape)}. */
		public void vypln(Shape tvar) { vyplň(tvar); }


	// Farba bodu

		/**
		 * Zistí farbu bodu (jedného pixela) na zadaných súradniciach.
		 * Ak sa zadané súradnice nachádzajú mimo plochy plátna, je vrátená
		 * inštancia farebnosti {@link GRobot#žiadna žiadna}. So získanou
		 * farbou môžeme ďalej pracovať – napríklad ju upravovať alebo
		 * zisťovať jej vlastnosti (farebné zložky…). Testovať, či má bod
		 * konkrétnu farbu, môžeme napríklad pomocou metódy
		 * {@link #farbaBodu(double, double,
		 * java.awt.Color) farbaBodu(x, y, farba)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @return farba bodu (objekt typu {@link Farba Farba}) na zadanej
		 *      pozícii alebo inštancia {@link GRobot#žiadna žiadna}, ak sú
		 *      zadané súradnice mimo rozmerov plátna
		 */
		public Farba farbaBodu(double x, double y)
		{
			int x0 = (int)prepočítajX(x);
			int y0 = (int)prepočítajY(y);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return žiadna;

			/*
			int farba = vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0);

			int alpha = (farba >> 24) & 0xff;
			int red   = (farba >> 16) & 0xff;
			int green = (farba >>  8) & 0xff;
			int blue  =  farba        & 0xff;

			return new Farba(red, green, blue, alpha);
			*/
			return new Farba(vyrovnávaciaPamäťObrázkaPlátna.
				getRGB(x0, y0), true);
		}

		// /**
		//  * Zistí farbu bodu (jedného pixela) na súradniciach zadaného bodu.
		//  * Ak sa súradnice zadaného bodu nachádzajú mimo plochy plátna, je
		//  * vrátená {@link GRobot#žiadna žiadna} farba. So získanou farbou
		//  * môžeme ďalej pracovať – napríklad ju upravovať alebo zisťovať jej
		//  * vlastnosti (farebné zložky…). Testovať, či má bod konkrétnu farbu,
		//  * môžeme napríklad pomocou metódy {@link #farbaBodu(Point2D,
		//  * java.awt.Color) farbaBodu(bod, farba)}.
		//  * 
		//  *  @param bod  súradnice vyšetrovaného bodu
		//  *  @return farba bodu (objekt typu {@link Farba Farba}) na zadanej
		//  *      pozícii alebo inštancia {@link GRobot#žiadna žiadna}, ak sú
		//  *      súradnice zadaného bodu mimo rozmerov plátna
		//  */
		// public Farba farbaBodu(Point2D bod)
		// {
		// 	int x0 = (int)prepočítajX(bod.getX());
		// 	int y0 = (int)prepočítajY(bod.getY());
		// 	if (x0 < 0 || x0 >= šírkaPlátna ||
		// 		y0 < 0 || y0 >= výškaPlátna) return žiadna;
		// 
		// 	return new Farba(vyrovnávaciaPamäťObrázkaPlátna.
		// 		getRGB(x0, y0), true);
		// }

		/**
		 * Zistí farbu bodu (jedného pixela) plátna na pozícii zadaného
		 * objektu. Ak sa objekt nachádza mimo plochy plátna, je vrátená
		 * inštancia farebnosti {@link GRobot#žiadna žiadna}. So získanou
		 * farbou môžeme ďalej pracovať – napríklad ju upravovať alebo
		 * zisťovať jej vlastnosti (farebné zložky…). Testovať, či má bod
		 * konkrétnu farbu, môžeme napríklad pomocou metódy
		 * {@link #farbaBodu(Poloha, java.awt.Color)
		 * farbaBodu(objekt, farba)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt, na ktorého pozícii má byť zistená farba bodu
		 *  @return farba bodu (objekt typu {@link Farba Farba}) na pozícii
		 *      zadaného objektu alebo inštancia {@link GRobot#žiadna žiadna},
		 *      ak sa zadaný objekt nachádza mimo rozmerov plátna
		 */
		public Farba farbaBodu(Poloha objekt)
		{
			// return farbaBodu(objekt.polohaX(), objekt.polohaY());
			int x0 = (int)prepočítajX(objekt.polohaX());
			int y0 = (int)prepočítajY(objekt.polohaY());
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return žiadna;

			return new Farba(vyrovnávaciaPamäťObrázkaPlátna.
				getRGB(x0, y0), true);
		}

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na zadaných súradniciach
		 * zhoduje so zadanou farbou. Ak sú zadané súradnice mimo plochy
		 * plátna, je vrátená hodnota {@code valfalse}. Testovať farbu
		 * pomocou tejto metódy môžeme napríklad takto:
		 * <pre CLASS="example">
			{@code kwdif} ({@code currfarbaBodu}({@code num3.0}, {@code num5.0}, {@link GRobot#modrá modrá})) …
			</pre>
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @param farba farba, ktorú chceme porovnať s farbou bodu na
		 *      zadanej pozícii
		 *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		 *      plátna a farba bodu na zadaných súradniciach sa zhoduje so
		 *      zadanou farbou (musia sa zhodovať všetky farebné
		 *      zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(double x, double y, Color farba)
		{
			int x0 = (int)prepočítajX(x);
			int y0 = (int)prepočítajY(y);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			return (farba.getRGB() & 0xffffffff) ==
				(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		}

		// /**
		//  * Zistí, či sa farba bodu (jedného pixela) na súradniciach zadaného
		//  * bodu zhoduje so zadanou farbou. Ak sú súradnice bodu mimo plochy
		//  * plátna, je vrátená hodnota {@code valfalse}.
		//  * 
		//  *  @param bod  súradnice vyšetrovaného bodu
		//  *  @param farba farba, ktorú chceme porovnať s farbou bodu na zadanej
		//  *      pozícii
		//  *  @return {@code valtrue} ak sú súradnice zadaného bodu v rámci
		//  *      rozmerov plátna a farba bodu na zadaných súradniciach sa
		//  *      zhoduje so zadanou farbou, inak {@code valfalse}
		//  */
		// public boolean farbaBodu(Point2D bod, Color farba)
		// {
		// 	int x0 = (int)prepočítajX(bod.getX());
		// 	int y0 = (int)prepočítajY(bod.getY());
		// 	if (x0 < 0 || x0 >= šírkaPlátna ||
		// 		y0 < 0 || y0 >= výškaPlátna) return false;
		// 
		// 	return (farba.getRGB() & 0xffffffff) ==
		// 		(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		// }

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach zadaného
		 * objektu zhoduje so zadanou farbou. Ak sú zadané súradnice mimo plochy
		 * plátna, je vrátená hodnota {@code valfalse}. Testovať farbu
		 * pomocou tejto metódy môžeme napríklad takto:
		 * <pre CLASS="example">
			{@code kwdif} ({@code currfarbaBodu}({@code valthis}, {@link GRobot#modrá modrá})) …
			</pre>
		 * 
		 *  @param objekt objekt, na ktorého pozícii chceme overiť farbu bodu
		 *  @param farba farba, ktorú chceme porovnať s farbou bodu na
		 *      pozícii určeného objektu
		 *  @return {@code valtrue} ak sa objekt nachádza v rámci rozmerov
		 *      plátna a farba bodu na jeho mieste sa zhoduje so zadanou
		 *      farbou (musia sa zhodovať všetky farebné
		 *      zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(Poloha objekt, Color farba)
		{
			// return farbaBodu(objekt.polohaX(), objekt.polohaY(), farba);
			int x0 = (int)prepočítajX(objekt.polohaX());
			int y0 = (int)prepočítajY(objekt.polohaY());
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			return (farba.getRGB() & 0xffffffff) ==
				(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		}


		/**
		 * Zistí, či sa farba bodu (jedného pixela) na zadaných súradniciach
		 * zhoduje s farbou zadaného objektu. Ak sú zadané súradnice mimo
		 * plochy plátna, je vrátená hodnota {@code valfalse}.
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @param objekt objekt, ktorého farbu chceme porovnať s farbou bodu
		 *      na zadanej pozícii
		 *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		 *      plátna a farba bodu na zadaných súradniciach sa zhoduje
		 *      s farbou zadaného objektu farbou (musia sa zhodovať všetky
		 *      farebné zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(double x, double y, Farebnosť objekt)
		{
			int x0 = (int)prepočítajX(x);
			int y0 = (int)prepočítajY(y);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			return (objekt.farba().getRGB() & 0xffffffff) ==
				(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		}

		// /**
		//  * Zistí, či sa farba bodu (jedného pixela) na súradniciach zadaného
		//  * bodu zhoduje s farbou zadaného objektu. Ak sú súradnice bodu mimo
		//  * plochy plátna, je vrátená hodnota {@code valfalse}.
		//  * 
		//  *  @param bod  súradnice vyšetrovaného bodu
		//  *  @param objekt objekt, ktorého farbu chceme porovnať s farbou bodu
		//  *      na zadanej pozícii
		//  *  @return {@code valtrue} ak sú súradnice zadaného bodu v rámci
		//  *      rozmerov plátna a farba bodu na zadaných súradniciach sa
		//  *      zhoduje s farbou zadaného objektu, inak {@code valfalse}
		//  */
		// public boolean farbaBodu(Point2D bod, Farebnosť objekt)
		// {
		// 	int x0 = (int)prepočítajX(bod.getX());
		// 	int y0 = (int)prepočítajY(bod.getY());
		// 	if (x0 < 0 || x0 >= šírkaPlátna ||
		// 		y0 < 0 || y0 >= výškaPlátna) return false;
		// 
		// 	return (objekt.farba().getRGB() & 0xffffffff) ==
		// 		(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		// }

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach zadaného
		 * objektu zhoduje s farbou zadaného objektu. Ak sú zadané súradnice
		 * mimo plochy plátna, je vrátená hodnota {@code valfalse}.
		 * 
		 *  @param objekt objekt, na ktorého pozícii chceme overiť farbu bodu
		 *  @param farebnosť objekt, ktorého farbu chceme porovnať s farbou
		 *      bodu na pozícii určenej predchádzajúcim objektom
		 *  @return {@code valtrue} ak sa objekt nachádza v rámci rozmerov
		 *      plátna a farba bodu na jeho mieste sa zhoduje s farbou
		 *      zadaného objektu farbou (musia sa zhodovať všetky farebné
		 *      zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(Poloha objekt, Farebnosť farebnosť)
		{
			// return farbaBodu(objekt.polohaX(), objekt.polohaY(), farebnosť);
			int x0 = (int)prepočítajX(objekt.polohaX());
			int y0 = (int)prepočítajY(objekt.polohaY());
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			return (farebnosť.farba().getRGB() & 0xffffffff) ==
				(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		}


		/**
		 * Zistí, či sa farba bodu (jedného pixela) na zadaných súradniciach
		 * zhoduje s farbou zadanou prostredníctvom farebných zložiek.
		 * (Úroveň priehľadnosti je nastavená na hodnotu {@code num255},
		 * čiže na úplne nepriehľadnú farbu.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		 *      plátna a farba bodu na zadaných súradniciach sa zhoduje
		 *      so zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(double x, double y, int r, int g, int b)
		{
			int x0 = (int)prepočítajX(x);
			int y0 = (int)prepočítajY(y);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			r &= 0xff; g &= 0xff; b &= 0xff;
			return (0xff000000 | (r << 16) | (g << 8) | b) ==
				(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		}

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na zadaných súradniciach
		 * zhoduje s farbou zadanou prostredníctvom farebných zložiek a úrovne
		 * priehľadnosti.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param a úroveň priehľadnosti farby, ktorú chceme porovnať
		 *      s farbou bodu na zadanej pozícii
		 *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		 *      plátna a farba bodu na zadaných súradniciach sa zhoduje
		 *      so zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(double x, double y, int r, int g, int b, int a)
		{
			int x0 = (int)prepočítajX(x);
			int y0 = (int)prepočítajY(y);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			r &= 0xff; g &= 0xff; b &= 0xff; a &= 0xff;
			return ((a << 24) | (r << 16) | (g << 8) | b) ==
				(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		}


		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach zadaného
		 * objektu zhoduje s farbou zadanou prostredníctvom farebných zložiek.
		 * (Úroveň priehľadnosti je nastavená na hodnotu {@code num255},
		 * čiže na úplne nepriehľadnú farbu.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt, ktorého poloha určuje súradnice vyšetrovaného
		 *      bodu
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @return {@code valtrue} ak je poloha objektu v rámci rozmerov
		 *      plátna a farba bodu na jeho súradniciach sa zhoduje so
		 *      zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(Poloha objekt, int r, int g, int b)
		{
			int x0 = (int)((šírkaPlátna / 2.0) + objekt.polohaX());
			int y0 = (int)((výškaPlátna / 2.0) - objekt.polohaY());
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			r &= 0xff; g &= 0xff; b &= 0xff;
			return (0xff000000 | (r << 16) | (g << 8) | b) ==
				(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		}

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach zadaného
		 * objektu zhoduje s farbou zadanou prostredníctvom farebných zložiek
		 * a úrovne priehľadnosti.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt, ktorého poloha určuje súradnice vyšetrovaného
		 *      bodu
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param a úroveň priehľadnosti farby, ktorú chceme porovnať
		 *      s farbou bodu na pozícii objektu
		 *  @return {@code valtrue} ak je poloha objektu v rámci rozmerov
		 *      plátna a farba bodu na jeho súradniciach sa zhoduje so
		 *      zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(Poloha objekt, int r, int g, int b, int a)
		{
			int x0 = (int)((šírkaPlátna / 2.0) + objekt.polohaX());
			int y0 = (int)((výškaPlátna / 2.0) - objekt.polohaY());
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			r &= 0xff; g &= 0xff; b &= 0xff; a &= 0xff;
			return ((a << 24) | (r << 16) | (g << 8) | b) ==
				(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		}


		/**
		 * Zistí farbu bodu (jedného pixela) na súradniciach myši. So
		 * získanou farbou môžeme ďalej pracovať – napríklad ju upravovať
		 * alebo zisťovať jej vlastnosti (farebné zložky…). Testovať, či má
		 * bod konkrétnu farbu, môžeme napríklad pomocou metódy {@link
		 * #farbaNaMyši(java.awt.Color) farbaNaMyši(farba)}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou
		 * mimo plochy plátna, metóda by vrátila inštanciu farby {@link
		 * GRobot#žiadna žiadna}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return farba bodu (objekt typu {@link Farba Farba}) na pozícii
		 *      myši
		 */
		public Farba farbaNaMyši()
		{
			int x0 = (int)prepočítajX(súradnicaMyšiX);
			int y0 = (int)prepočítajY(súradnicaMyšiY);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return žiadna;

			/*
			int farba = vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0);

			int alpha = (farba >> 24) & 0xff;
			int red   = (farba >> 16) & 0xff;
			int green = (farba >>  8) & 0xff;
			int blue  =  farba        & 0xff;

			return new Farba(red, green, blue, alpha);
			*/
			return new Farba(vyrovnávaciaPamäťObrázkaPlátna.
				getRGB(x0, y0), true);
		}

		/** <a class="alias"></a> Alias pre {@link #farbaNaMyši() farbaNaMyši}. */
		public Farba farbaNaMysi() { return farbaNaMyši(); }

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach myši
		 * zhoduje so zadanou farbou. Testovať farbu pomocou tejto
		 * metódy môžeme napríklad takto:
		 * <pre CLASS="example">
			{@code kwdif} ({@code currfarbaNaMyši}({@link GRobot#modrá modrá})) …
			</pre>
		 * 
		 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou
		 * mimo plochy plátna, metóda by vrátila hodnotu {@code
		 * valfalse}.)</small>
		 * 
		 *  @param farba farba, ktorú chceme porovnať s farbou bodu na
		 *      súradniciach myši
		 *  @return {@code valtrue} ak je farba bodu na súradniciach myši
		 *      zhodná so zadanou farbou (musia sa zhodovať všetky
		 *      farebné zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaNaMyši(Color farba)
		{
			int x0 = (int)prepočítajX(súradnicaMyšiX);
			int y0 = (int)prepočítajY(súradnicaMyšiY);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			return (farba.getRGB() & 0xffffffff) ==
				(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		}

		/** <a class="alias"></a> Alias pre {@link #farbaNaMyši(java.awt.Color) farbaNaMyši}. */
		public boolean farbaNaMysi(Color farba) { return farbaNaMyši(farba); }

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach myši
		 * zhoduje s farbou zadaného objektu.
		 * 
		 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou
		 * mimo plochy plátna, metóda by vrátila hodnotu {@code
		 * valfalse}.)</small>
		 * 
		 *  @param objekt objekt, ktorého farbu chceme porovnať s farbou bodu
		 *      na súradniciach myši
		 *  @return {@code valtrue} ak je farba bodu na súradniciach myši
		 *      zhodná s farbou zadaného objektu farbou (musia sa zhodovať
		 *      všetky farebné zložky aj úroveň priehľadnosti),
		 *      inak {@code valfalse}
		 */
		public boolean farbaNaMyši(Farebnosť objekt)
		{
			int x0 = (int)prepočítajX(súradnicaMyšiX);
			int y0 = (int)prepočítajY(súradnicaMyšiY);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			return (objekt.farba().getRGB() & 0xffffffff) ==
				(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		}

		/** <a class="alias"></a> Alias pre {@link #farbaNaMyši(Farebnosť) farbaNaMyši}. */
		public boolean farbaNaMysi(Farebnosť objekt) { return farbaNaMyši(objekt); }

		/**
		 * Zistí, či je farba bodu (jedného pixela) na súradniciach myši
		 * zhodná s farbou zadanou prostredníctvom farebných zložiek.
		 * (Úroveň priehľadnosti je nastavená na hodnotu {@code num255},
		 * čiže na úplne nepriehľadnú farbu.)
		 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou
		 * mimo aktívneho kresliaceho plátna robota, metóda by vrátila
		 * hodnotu {@code valfalse}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na súradniciach myši
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na súradniciach myši
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na súradniciach myši
		 *  @return {@code valtrue} ak je farba bodu na súradniciach myši
		 *      zhodná so zadanou farbou (musia sa zhodovať všetky tri
		 *      farebné zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaNaMyši(int r, int g, int b)
		{
			int x0 = (int)prepočítajX(súradnicaMyšiX);
			int y0 = (int)prepočítajY(súradnicaMyšiY);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			r &= 0xff; g &= 0xff; b &= 0xff;
			return (0xff000000 | (r << 16) | (g << 8) | b) ==
				(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		}

		/** <a class="alias"></a> Alias pre {@link #farbaNaMyši(int, int, int) farbaNaMyši}. */
		public boolean farbaNaMysi(int r, int g, int b) { return farbaNaMyši(r, g, b); }

		/**
		 * Zistí, či sa farba bodu (jedného pixela) na súradniciach myši
		 * zhoduje s farbou zadanou prostredníctvom farebných zložiek
		 * a úrovne priehľadnosti.
		 * <P><small>(<b>Poznámka:</b> Ak by súradnice myši boli náhodou mimo
		 * plochy plátna, metóda by vrátila hodnotu {@code valfalse}.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na súradniciach myši
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na súradniciach myši
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na súradniciach myši
		 *  @param a úroveň priehľadnosti farby, ktorú chceme porovnať
		 *      s farbou bodu na súradniciach myši
		 *  @return {@code valtrue} ak je farba bodu na súradniciach myši
		 *      zhodná so zadanou farbou (musia sa zhodovať všetky tri
		 *      farebné zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaNaMyši(int r, int g, int b, int a)
		{
			int x0 = (int)prepočítajX(súradnicaMyšiX);
			int y0 = (int)prepočítajY(súradnicaMyšiY);
			if (x0 < 0 || x0 >= šírkaPlátna ||
				y0 < 0 || y0 >= výškaPlátna) return false;

			r &= 0xff; g &= 0xff; b &= 0xff; a &= 0xff;
			return ((a << 24) | (r << 16) | (g << 8) | b) ==
				(vyrovnávaciaPamäťObrázkaPlátna.getRGB(x0, y0) & 0xffffffff);
		}

		/** <a class="alias"></a> Alias pre {@link #farbaNaMyši(int, int, int, int) farbaNaMyši}. */
		public boolean farbaNaMysi(int r, int g, int b, int a) { return farbaNaMyši(r, g, b, a); }


	// Farba textu

		/**
		 * <a class="getter"></a> Zistí aktuálnu farbu výpisu nových textov
		 * plánta (podlahy alebo stropu).
		 * 
		 *  @return aktuálna farba textov plátna (objekt typu {@link Farba
		 *      Farba})
		 */
		public Farba farbaTextu() { return vnútornáKonzola.farba(); }

		/**
		 * <a class="setter"></a> Nastav farbu textov plátna (podlahy alebo
		 * stropu).
		 * Nastaví farbu a priehľadnosť textov podlahy alebo stropu podľa
		 * zadaného objektu.
		 * 
		 *  @param nováFarba objekt typu {@link Color Color} (alebo
		 *      odvodeného napr. {@link Farba Farba}) s novou farbou textov
		 *      plátna; jestvuje paleta predvolených farieb (pozri napr.:
		 *      {@link #biela}, {@link #červená}, {@link #čierna}…)
		 */
		public void farbaTextu(Color nováFarba)
		{
			if (nováFarba instanceof Farba)
				vnútornáKonzola.zmenaFarby = (Farba)nováFarba;
			else
				vnútornáKonzola.zmenaFarby = new Farba(nováFarba);
		}

		/**
		 * Nastav farbu textov plátna (podlahy alebo stropu) podľa farby
		 * zadaného objektu. Nastaví farbu a priehľadnosť textov podlahy alebo
		 * stropu podľa zadaného objektu.
		 * 
		 *  @param objekt objekt určujúci novú farbu textov plátna
		 */
		public void farbaTextu(Farebnosť objekt)
		{ farbaTextu(objekt.farba()); }

		/* *
		 * Toto je „klon“ metódy {@link #farbaTextu(java.awt.Color)}. Farba je
		 * nastavená len v prípade, že v premennej typu {@link Object}
		 * (zadanej ako parameter) je uložená inštancia triedy {@link Farba
		 * Farba} alebo {@link Color Color}.
		 * /
		public void farbaTextu(Object nováFarba)
		{
			if (nováFarba instanceof Color)
				nováFarba = new Farba((Color)nováFarba);
			if (nováFarba instanceof Farba) farbaTextu((Farba)nováFarba);
		}
		*/

		/**
		 * Nastav farbu textov plátna (podlahy alebo stropu). Nastaví farbu
		 * textov podlahy alebo stropu podľa zadaných farebných zložiek.
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} – nová farba textov
		 *  @see #farbaTextu(java.awt.Color)
		 */
		public Farba farbaTextu(int r, int g, int b)
		{ return vnútornáKonzola.zmenaFarby = new Farba(r, g, b); }

		/**
		 * Nastav farbu textov plátna (podlahy alebo stropu). Nastaví farbu
		 * a (ne)priehľadnosť textov podlahy alebo stropu podľa zadaných
		 * farebných zložiek a úrovne priehľadnosti.
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo
		 *      v rozsahu
		 *      0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná farba)
		 *  @return objekt typu {@link Farba Farba} – nová farba textov
		 *  @see #farbaTextu(java.awt.Color)
		 */
		public Farba farbaTextu(int r, int g, int b, int a)
		{ return vnútornáKonzola.zmenaFarby = new Farba(r, g, b, a); }

		/**
		 * Zmení farbu textov plátna (podlahy alebo stropu) na predvolenú.
		 */
		public void predvolenáFarbaTextu()
		{ vnútornáKonzola.zmenaFarby = predvolenáFarbaKonzoly; }

		/** <a class="alias"></a> Alias pre {@link #predvolenáFarbaTextu() predvolenáFarbaTextu}. */
		public void predvolenaFarbaTextu()
		{ vnútornáKonzola.zmenaFarby = predvolenáFarbaKonzoly; }


	// Farba pozadia textu

		/**
		 * <a class="getter"></a> Zistí aktuálnu farbu pozadia výpisu
		 * nových textov plánta (podlahy alebo stropu).
		 * 
		 *  @return aktuálna farba pozadia textov plátna
		 *      (objekt typu {@link Farba Farba})
		 */
		public Farba farbaPozadiaTextu()
		{ return vnútornáKonzola.farbaPozadia(); }

		/**
		 * <a class="setter"></a> Nastav farbu pozadia textov plátna
		 * (podlahy alebo stropu). Nastaví farbu a priehľadnosť pozadia
		 * textov podlahy alebo stropu podľa zadaného objektu. Ak je zadaná
		 * typová hodnota {@code (}{@link Farba Farba}{@code )}{@code valnull},
		 * tak je farba pozadia zrušená.
		 * 
		 *  @param nováFarba objekt typu {@link Color Color} (alebo
		 *      odvodeného napr. {@link Farba Farba}) s novou farbou pozadia
		 *      textov plátna; jestvuje paleta predvolených farieb (pozri
		 *      vyššie: {@link #biela}, {@link #červená}, {@link #čierna}…)
		 */
		public void farbaPozadiaTextu(Color nováFarba)
		{
			if (null == nováFarba)
			{
				vnútornáKonzola.zmenaFarbyPozadia = null;
				vnútornáKonzola.zrušeniePozadia = true;
			}
			else if (nováFarba instanceof Farba)
			{
				vnútornáKonzola.zmenaFarbyPozadia = (Farba)nováFarba;
				vnútornáKonzola.zrušeniePozadia = false;
			}
			else
			{
				vnútornáKonzola.zmenaFarbyPozadia = new Farba(nováFarba);
				vnútornáKonzola.zrušeniePozadia = false;
			}
		}

		/**
		 * Nastav farbu pozadia textov plátna (podlahy alebo stropu) podľa
		 * farby zadaného objektu. Nastaví farbu a priehľadnosť pozadia textov
		 * podlahy alebo stropu podľa zadaného objektu. Ak je zadaná typová
		 * hodnota {@code (}{@link Farebnosť Farebnosť}{@code )}{@code valnull},
		 * tak je farba pozadia zrušená.
		 * 
		 *  @param objekt objekt určujúci novú farbu pozadia textov plátna
		 */
		public void farbaPozadiaTextu(Farebnosť objekt)
		{
			if (null == objekt) farbaPozadiaTextu((Color)null);
			else farbaPozadiaTextu(objekt.farba());
		}

		/**
		 * Nastav farbu pozadia textov plátna (podlahy alebo stropu). Nastaví
		 * farbu pozadia textov podlahy alebo stropu podľa zadaných farebných
		 * zložiek.
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} – nová farba pozadia
		 *  @see #farbaPozadiaTextu(java.awt.Color)
		 */
		public Farba farbaPozadiaTextu(int r, int g, int b)
		{
			vnútornáKonzola.zrušeniePozadia = false;
			return vnútornáKonzola.zmenaFarbyPozadia = new Farba(r, g, b);
		}

		/**
		 * Nastav farbu pozadia textov plátna (podlahy alebo stropu). Nastaví
		 * farbu a (ne)priehľadnosť pozadia textov podlahy alebo stropu podľa
		 * zadaných farebných zložiek a úrovne priehľadnosti.
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo
		 *      v rozsahu
		 *      0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná farba)
		 *  @return objekt typu {@link Farba Farba} – nová farba pozadia
		 *  @see #farbaPozadiaTextu(java.awt.Color)
		 */
		public Farba farbaPozadiaTextu(int r, int g, int b, int a)
		{
			vnútornáKonzola.zrušeniePozadia = false;
			return vnútornáKonzola.zmenaFarbyPozadia = new Farba(r, g, b, a);
		}

		/**
		 * Zmení farbu pozadia textov plátna (podlahy alebo stropu) na
		 * predvolenú. Predvolenou farbou pozadia textov plátna je „prázdna“
		 * farba, čiže žiadna farba. Je to objekt typu farba s hodnotou
		 * {@code valnull}.
		 */
		public void predvolenáFarbaPozadiaTextu()
		{
			vnútornáKonzola.zrušeniePozadia = true;
			vnútornáKonzola.zmenaFarbyPozadia = null;
		}

		/** <a class="alias"></a> Alias pre {@link #predvolenáFarbaPozadiaTextu() predvolenáFarbaPozadiaTextu}. */
		public void predvolenaFarbaPozadiaTextu()
		{ predvolenáFarbaPozadiaTextu(); }


	// Písmo (konzoly)

		/**
		 * <a class="getter"></a> Čítaj aktuálny typ písma textov plátna
		 * (podlahy alebo stropu). Písmo používajú metódy
		 * {@link #vypíš(Object[]) vypíš}
		 * a {@link #vypíšRiadok(Object[]) vypíšRiadok}.
		 * 
		 *  @return objekt typu {@link Písmo} – aktuálne písmo
		 *  @see #vypíš(Object[]) vypíš(Object...)
		 *  @see #vypíšRiadok(Object[]) vypíšRiadok(Object...)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadiaTextu(java.awt.Color)
		 *  @see #predvolenéPísmo()
		 *  @see #vymaž()
		 *  @see #vymažTexty()
		 */
		public Písmo písmo() { return vnútornáKonzola.aktuálnePísmo; }

		/** <a class="alias"></a> Alias pre {@link #písmo() písmo}. */
		public Pismo pismo() { return new Pismo(vnútornáKonzola.aktuálnePísmo); }

		/**
		 * <a class="setter"></a> Nastav nový typ písma textov plátna (podlahy
		 * alebo stropu). Písmo používajú metódy {@link #vypíš(Object[]) vypíš}
		 * a {@link #vypíšRiadok(Object[]) vypíšRiadok}.
		 * 
		 *  @param novéPísmo objekt typu {@link Písmo} alebo {@link Font}
		 *      určujúci nový typ písma
		 *  @see #vypíš(Object[]) vypíš(Object...)
		 *  @see #vypíšRiadok(Object[]) vypíšRiadok(Object...)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadiaTextu(java.awt.Color)
		 *  @see #predvolenéPísmo()
		 *  @see #vymaž()
		 *  @see #vymažTexty()
		 */
		public void písmo(Font novéPísmo)
		{
			if (novéPísmo instanceof Písmo)
				vnútornáKonzola.aktuálnePísmo = (Písmo)novéPísmo;
			else
				vnútornáKonzola.aktuálnePísmo = new Písmo(novéPísmo);
			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #písmo(Font) písmo}. */
		public void pismo(Font novéPísmo) { písmo(novéPísmo); }

		/* *
		 * Toto je „klon“ metódy {@link #písmo(GRobot.Písmo)}. Písmo bude
		 * aplikované len v prípade, že parameter je objekt triedy
		 * {@link Písmo}.
		 * /
		public void písmo(Object novéPísmo)
		{
			if (novéPísmo instanceof Písmo) písmo((Písmo)novéPísmo);
		}

		/** <a class="alias"></a> Alias pre {@link #písmo(Object) písmo}. * /
		public void pismo(Object novéPísmo) { písmo(novéPísmo); }
		*/

		/**
		 * Nastav nový typ písma textov plátna (podlahy alebo stropu). Písmo
		 * používajú metódy {@link #vypíš(Object[]) vypíš} a {@link
		 * #vypíšRiadok(Object[]) vypíšRiadok}.
		 * 
		 *  @param názov názov písma; môže byť všeobecný názov logického
		 *      písma (Dialog, DialogInput, Monospaced, Serif, SansSerif…)
		 *      alebo názov konkrétneho písma (Times New Roman, Arial…)
		 *  @param veľkosť veľkosť písma v bodoch (hodnota je zaokrúhlená
		 *      na typ {@code typefloat})
		 *  @return objekt typu {@link Písmo} určujúci nový typ písma
		 *  @see #vypíš(Object[]) vypíš(Object...)
		 *  @see #vypíšRiadok(Object[]) vypíšRiadok(Object...)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadiaTextu(java.awt.Color)
		 *  @see #písmo(Font)
		 *  @see #predvolenéPísmo()
		 *  @see #vymaž()
		 *  @see #vymažTexty()
		 */
		public Písmo písmo(String názov, double veľkosť)
		{
			vnútornáKonzola.aktuálnePísmo =
				new Písmo(názov, Písmo.PLAIN, veľkosť);
			automatickéPrekreslenie();
			return vnútornáKonzola.aktuálnePísmo;
		}

		/** <a class="alias"></a> Alias pre {@link #písmo(String, double) písmo}. */
		public Pismo pismo(String názov, double veľkosť)
		{ return new Pismo(písmo(názov, veľkosť)); }

		/**
		 * Nastaví predvolený typ písma textov plátna (podlahy alebo stropu).
		 * Tento typ písma používajú metódy {@link #vypíš(Object[]) vypíš}
		 * a {@link #vypíšRiadok(Object[]) vypíšRiadok}.
		 * 
		 *  @see #vypíš(Object[]) vypíš(Object...)
		 *  @see #vypíšRiadok(Object[]) vypíšRiadok(Object...)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadiaTextu(java.awt.Color)
		 *  @see #písmo(Font)
		 *  @see #vymaž()
		 *  @see #vymažTexty()
		 */
		public void predvolenéPísmo() { písmo(predvolenéPísmoKonzoly); }

		/** <a class="alias"></a> Alias pre {@link #predvolenéPísmo() predvolenéPísmo}. */
		public void predvolenePismo() { písmo(predvolenéPísmoKonzoly); }


	// Odsadenie sprava/zľava…

		/**
		 * <a class="getter"></a> Zistí (dočasnú) hodnotu požiadavky na zmenu
		 * odsadenia prvého riadka odseku konzolového textu plátna (podlahy
		 * alebo stropu). Odsek je jeden dlhý zalamovaný riadok konzoly.
		 * Hodnota požiadavky na zmeny odsadenia je platná vždy do najbližšieho
		 * použitia príkazov určených na vypísanie textu na vnútornú konzolu
		 * (napríklad {@link #vypíš(Object[]) vypíš} alebo
		 * {@link #vypíšRiadok(Object[]) vypíšRiadok}).
		 * V okamihu ich použitia sa hodnota aplikuje a spotrebuje. Ak nie je
		 * aktívna žiadna požiadavka na zmenu odsadenia, tak táto metóda vráti
		 * hodnotu {@code valnull}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return aktuálna hodnota požiadavky na zmenu odsadenia prvého
		 *      riadka textov plátna zľava alebo {@code valnull}
		 * 
		 *  @see #odsadeniePrvéhoRiadka(Integer)
		 *  @see #zmeňOdsadenieZľava()
		 *  @see #zmeňOdsadenieZľava(Integer)
		 *  @see #zmeňOdsadenieSprava()
		 *  @see #zmeňOdsadenieSprava(Integer)
		 *  @see #zamrazOdsadenie()
		 *  @see #zamrazOdsadenie(boolean)
		 */
		public Integer odsadeniePrvéhoRiadka()
		{ return vnútornáKonzola.odsadeniePrvéhoRiadka; }

		/** <a class="alias"></a> Alias pre {@link #odsadeniePrvéhoRiadka() odsadeniePrvéhoRiadka}. */
		public Integer odsadeniePrvehoRiadka()
		{ return vnútornáKonzola.odsadeniePrvéhoRiadka; }

		/**
		 * <a class="setter"></a> Nastaví novú (dočasnú) hodnotu požiadavky
		 * na zmenu odsadenia prvého riadka (v zmysle riadka odseku)
		 * konzolových textov plátna (podlahy alebo stropu). Platí to isté ako
		 * je uvedené v opise metódy
		 * {@link #odsadeniePrvéhoRiadka() odsadeniePrvéhoRiadka()}. Ak je
		 * potrebné požiadavku zrušiť, stačí zadať do parametra
		 * {@code novéOdsadenie} hodnotu {@code valnull}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param novéOdsadenie nová požiadavka na zmenu odsadenia
		 *      textov konzoly zľava
		 * 
		 *  @see #odsadeniePrvéhoRiadka()
		 *  @see #zmeňOdsadenieZľava()
		 *  @see #zmeňOdsadenieZľava(Integer)
		 *  @see #zmeňOdsadenieSprava()
		 *  @see #zmeňOdsadenieSprava(Integer)
		 *  @see #zamrazOdsadenie()
		 *  @see #zamrazOdsadenie(boolean)
		 */
		public void odsadeniePrvéhoRiadka(Integer novéOdsadenie)
		{ vnútornáKonzola.odsadeniePrvéhoRiadka = novéOdsadenie; }

		/** <a class="alias"></a> Alias pre {@link #odsadeniePrvéhoRiadka(Integer) odsadeniePrvéhoRiadka}. */
		public void odsadeniePrvehoRiadka(Integer novéOdsadenie)
		{ vnútornáKonzola.odsadeniePrvéhoRiadka = novéOdsadenie; }

		/**
		 * <a class="getter"></a> Zistí (dočasnú) hodnotu požiadavky na zmenu
		 * odsadenia konzolových textov plátna (podlahy alebo stropu) zľava.
		 * Hodnota požiadavky na zmeny odsadenia je platná vždy do najbližšieho
		 * použitia príkazov určených na vypísanie textu na vnútornú konzolu
		 * (napríklad {@link #vypíš(Object[]) vypíš} alebo
		 * {@link #vypíšRiadok(Object[]) vypíšRiadok}).
		 * V okamihu ich použitia sa hodnota aplikuje a spotrebuje. Ak nie je
		 * aktívna žiadna požiadavka na zmenu odsadenia, tak táto metóda vráti
		 * hodnotu {@code valnull}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return aktuálna hodnota požiadavky na zmenu odsadenia textov
		 *      plátna zľava alebo {@code valnull}
		 * 
		 *  @see #odsadeniePrvéhoRiadka()
		 *  @see #odsadeniePrvéhoRiadka(Integer)
		 *  @see #zmeňOdsadenieZľava(Integer)
		 *  @see #zmeňOdsadenieSprava()
		 *  @see #zmeňOdsadenieSprava(Integer)
		 *  @see #zamrazOdsadenie()
		 *  @see #zamrazOdsadenie(boolean)
		 */
		public Integer zmeňOdsadenieZľava()
		{ return vnútornáKonzola.zmenaOdsadeniaZľava; }

		/** <a class="alias"></a> Alias pre {@link #zmeňOdsadenieZľava() zmeňOdsadenieZľava}. */
		public Integer zmenOdsadenieZlava()
		{ return vnútornáKonzola.zmenaOdsadeniaZľava; }

		/**
		 * <a class="setter"></a> Nastaví novú (dočasnú) hodnotu požiadavky
		 * na zmenu odsadenia konzolových textov plátna (podlahy alebo stropu)
		 * zľava. Platí to isté ako je uvedené v opise metódy
		 * {@link #zmeňOdsadenieZľava() zmeňOdsadenieZľava()}. Ak je
		 * potrebné požiadavku zrušiť, stačí zadať do parametra
		 * {@code novéOdsadenie} hodnotu {@code valnull}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param novéOdsadenie nová požiadavka na zmenu odsadenia
		 *      textov konzoly zľava
		 * 
		 *  @see #odsadeniePrvéhoRiadka()
		 *  @see #odsadeniePrvéhoRiadka(Integer)
		 *  @see #zmeňOdsadenieZľava()
		 *  @see #zmeňOdsadenieSprava()
		 *  @see #zmeňOdsadenieSprava(Integer)
		 *  @see #zamrazOdsadenie()
		 *  @see #zamrazOdsadenie(boolean)
		 */
		public void zmeňOdsadenieZľava(Integer novéOdsadenie)
		{ vnútornáKonzola.zmenaOdsadeniaZľava = novéOdsadenie; }

		/** <a class="alias"></a> Alias pre {@link #zmeňOdsadenieZľava(Integer) zmeňOdsadenieZľava}. */
		public void zmenOdsadenieZlava(Integer novéOdsadenie)
		{ vnútornáKonzola.zmenaOdsadeniaZľava = novéOdsadenie; }

		/**
		 * <a class="getter"></a> Zistí (dočasnú) hodnotu požiadavky na zmenu
		 * odsadenia konzolových textov plátna (podlahy alebo stropu) sprava.
		 * Hodnota požiadavky na zmeny odsadenia je platná vždy do najbližšieho
		 * použitia príkazov určených na vypísanie textu na vnútornú konzolu
		 * (napríklad {@link #vypíš(Object[]) vypíš} alebo
		 * {@link #vypíšRiadok(Object[]) vypíšRiadok}).
		 * V okamihu ich použitia sa hodnota aplikuje a spotrebuje. Ak nie je
		 * aktívna žiadna požiadavka na zmenu odsadenia, tak táto metóda vráti
		 * hodnotu {@code valnull}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return aktuálna hodnota požiadavky na zmenu odsadenia textov
		 *      plátna sprava alebo {@code valnull}
		 * 
		 *  @see #odsadeniePrvéhoRiadka()
		 *  @see #odsadeniePrvéhoRiadka(Integer)
		 *  @see #zmeňOdsadenieZľava()
		 *  @see #zmeňOdsadenieZľava(Integer)
		 *  @see #zmeňOdsadenieSprava(Integer)
		 *  @see #zamrazOdsadenie()
		 *  @see #zamrazOdsadenie(boolean)
		 */
		public Integer zmeňOdsadenieSprava()
		{ return vnútornáKonzola.zmenaOdsadeniaSprava; }

		/** <a class="alias"></a> Alias pre {@link #zmeňOdsadenieSprava() zmeňOdsadenieSprava}. */
		public Integer zmenOdsadenieSprava()
		{ return vnútornáKonzola.zmenaOdsadeniaSprava; }

		/**
		 * <a class="setter"></a> Nastaví novú (dočasnú) hodnotu požiadavky
		 * na zmenu odsadenia konzolových textov plátna (podlahy alebo stropu)
		 * sprava. Platí to isté ako je uvedené v opise metódy
		 * {@link #zmeňOdsadenieSprava() zmeňOdsadenieSprava()}. Ak je
		 * potrebné požiadavku zrušiť, stačí zadať do parametra
		 * {@code novéOdsadenie} hodnotu {@code valnull}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param novéOdsadenie nová požiadavka na zmenu odsadenia
		 *      textov konzoly sprava
		 * 
		 *  @see #odsadeniePrvéhoRiadka()
		 *  @see #odsadeniePrvéhoRiadka(Integer)
		 *  @see #zmeňOdsadenieZľava()
		 *  @see #zmeňOdsadenieZľava(Integer)
		 *  @see #zmeňOdsadenieSprava()
		 *  @see #zamrazOdsadenie()
		 *  @see #zamrazOdsadenie(boolean)
		 */
		public void zmeňOdsadenieSprava(Integer novéOdsadenie)
		{ vnútornáKonzola.zmenaOdsadeniaSprava = novéOdsadenie; }

		/** <a class="alias"></a> Alias pre {@link #zmeňOdsadenieSprava(Integer) zmeňOdsadenieSprava}. */
		public void zmenOdsadenieSprava(Integer novéOdsadenie)
		{ vnútornáKonzola.zmenaOdsadeniaSprava = novéOdsadenie; }

		/**
		 * <a class="getter"></a> Zistí či bola zadaná požiadavka na
		 * nastavenie („zamrazenie“) ľavého odsadenia konzolových textov
		 * plátna (podlahy alebo stropu) na aktuálnej pozícii. Táto
		 * požiadavka sa pri najbližšom použití príkazov určených na
		 * vypísanie textu na vnútornú konzolu (napríklad
		 * {@link #vypíš(Object[]) vypíš} alebo {@link #vypíšRiadok(Object[])
		 * vypíšRiadok}) zapamätá a zresetuje. Použije sa v čase
		 * vykresľovania textov nad plátnom. Nastavenie sa použije tak, ako
		 * keby sme v čase vykresľovania textov zavolali metódu
		 * {@link #zmeňOdsadenieZľava(Integer) zmeňOdsadenieZľava(Integer)}
		 * s hodnotou aktuálnej horizontálnej pozície miesta výpisu na
		 * konzole (x-ovú súradnicu, pričom túto hodnotu vopred nie je možné
		 * zistiť, pretože je dynamicky sa meniaca a v čase vykreslenia
		 * textov môže byť prakticky ľubovoľná).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return {@code valtrue} ak je tento druh požiadavky aktívny, inak
		 *      {@code valfalse}
		 * 
		 *  @see #odsadeniePrvéhoRiadka()
		 *  @see #odsadeniePrvéhoRiadka(Integer)
		 *  @see #zmeňOdsadenieZľava()
		 *  @see #zmeňOdsadenieZľava(Integer)
		 *  @see #zmeňOdsadenieSprava()
		 *  @see #zmeňOdsadenieSprava(Integer)
		 *  @see #zamrazOdsadenie(boolean)
		 */
		public boolean zamrazOdsadenie()
		{ return vnútornáKonzola.zamrazOdsadenie; }

		/** <a class="alias"></a> Alias pre {@link #zamrazOdsadenie() zamrazOdsadenie}. */
		public boolean zmrazOdsadenie()
		{ return vnútornáKonzola.zamrazOdsadenie; }

		/**
		 * <a class="setter"></a> Nastaví špeciálnu požiadavku na
		 * nastavenie („zamrazenie“) ľavého odsadenia konzolových textov
		 * plátna (podlahy alebo stropu) na aktuálnej pozícii textu. Platí
		 * to isté ako je uvedené v opise metódy {@link #zamrazOdsadenie()
		 * zamrazOdsadenie()}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param zamraziť {@code valtrue} ak má byť táto požiadavka
		 *      aktivovaná, inak {@code valfalse}
		 * 
		 *  @see #odsadeniePrvéhoRiadka()
		 *  @see #odsadeniePrvéhoRiadka(Integer)
		 *  @see #zmeňOdsadenieZľava()
		 *  @see #zmeňOdsadenieZľava(Integer)
		 *  @see #zmeňOdsadenieSprava()
		 *  @see #zmeňOdsadenieSprava(Integer)
		 *  @see #zamrazOdsadenie()
		 */
		public void zamrazOdsadenie(boolean zamraziť)
		{ vnútornáKonzola.zamrazOdsadenie = zamraziť; }

		/** <a class="alias"></a> Alias pre {@link #zamrazOdsadenie(boolean) zamrazOdsadenie}. */
		public void zmrazOdsadenie(boolean zamraziť)
		{ vnútornáKonzola.zamrazOdsadenie = zamraziť; }


	// Priehľadnosť

		/**
		 * <a class="getter"></a> Zistí aktuálnu úroveň (ne)priehľadnosti
		 * tohto plátna.
		 * 
		 *  @return aktuálna úroveň priehľadnosti tohto plátna
		 *  @see #priehľadnosť(double)
		 *  @see #upravPriehľadnosť(double)
		 *  @see Svet#priehľadnosť(double, double)
		 *  @see Svet#upravPriehľadnosť(double, double)
		 */
		public double priehľadnosť() { return priehľadnosť; }

		/** <a class="alias"></a> Alias pre {@link #priehľadnosť() priehľadnosť}. */
		public double priehladnost() { return priehľadnosť; }

		/**
		 * <a class="setter"></a> Nastaví novú úroveň (ne)priehľadnosti
		 * tohto plátna, pričom jednotlivé body plátna môžu mať svoju vlastnú
		 * úroveň priehľadnosti. Úroveň 0.0 znamená, že obsah plátna nebude
		 * zobrazený. Úroveň 1.0 znamená, že jednotlivé body plátna budú
		 * zobrazené s ich vlastnou úrovňou priehľadnosti – nepriehľadné body
		 * budú plne viditeľné. Úroveň priehľadnosti plátna nemá vplyv na
		 * {@linkplain #uložObrázok(String) uloženie obsahu plátna}, iba na
		 * jeho zobrazenie a {@linkplain Svet#uložObrázok(String) uloženie
		 * obsahu sveta} (grafického obsahu).
		 * 
		 *  @param priehľadnosť nová úroveň priehľadnosti (0.0 – 1.0)
		 *  @see #priehľadnosť()
		 *  @see #upravPriehľadnosť(double)
		 *  @see Svet#priehľadnosť(double, double)
		 *  @see Svet#upravPriehľadnosť(double, double)
		 */
		public void priehľadnosť(double priehľadnosť)
		{
			this.priehľadnosť = (float)priehľadnosť;
			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #priehľadnosť(double) priehľadnosť}. */
		public void priehladnost(double priehľadnosť)
		{ priehľadnosť(priehľadnosť); }

		/**
		 * Skopíruje úroveň (ne)priehľadnosti zo zadaného objektu.
		 * 
		 *  @param objekt objekt určujúci novú úroveň priehľadnosti
		 *  @see #priehľadnosť()
		 *  @see #upravPriehľadnosť(double)
		 *  @see Svet#priehľadnosť(double, double)
		 *  @see Svet#upravPriehľadnosť(double, double)
		 */
		public void priehľadnosť(Priehľadnosť objekt)
		{
			this.priehľadnosť = (float)objekt.priehľadnosť();
			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #priehľadnosť(Priehľadnosť) priehľadnosť}. */
		public void priehladnost(Priehľadnosť objekt)
		{ priehľadnosť(objekt); }

		/**
		 * Upraví úroveň (ne)priehľadnosti plátna. Pre viac informácií
		 * o priehľadnosti pozri {@link #priehľadnosť(double) priehľadnosť}.
		 * 
		 *  @param zmena hodnota, ktorou bude násobená aktuálna hodnota
		 *      priehľadnosti; príklady: 0.5 – priehľadnosť bude znížená
		 *      o polovicu, 2.0 – úroveň priehľadnosti bude zdvojnásobená
		 *  @see #priehľadnosť(double)
		 *  @see #priehľadnosť()
		 *  @see Svet#priehľadnosť(double, double)
		 *  @see Svet#upravPriehľadnosť(double, double)
		 */
		public void upravPriehľadnosť(double zmena)
		{
			if (0 == priehľadnosť) priehľadnosť = 0.1f;
			else priehľadnosť *= (float)zmena;
			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #upravPriehľadnosť(double) upravPriehľadnosť}. */
		public void upravPriehladnost(double zmena)
		{ upravPriehľadnosť(zmena); }


	// Grafika a obrázok plátna

		/**
		 * Vráti objekt typu {@link BufferedImage BufferedImage} obsahujúci
		 * aktuálny obrázok tohto plátna. Niekedy by mohlo byť potrebné
		 * pracovať priamo s obrázkom plátna. Na priamy prístup k nemu slúži
		 * táto metóda.
		 * Vrátený objekt typu {@link BufferedImage BufferedImage} nemá
		 * prispôsobený súradnicový priestor potrebám sveta robota – pracuje
		 * v rovnakom súradnicovom systéme ako všetky grafické objekty Javy –
		 * začiatok súradnicového systému sa nachádza vľavo hore a y-ové
		 * súradnice sú zrkadlovo prevrátené, to znamená, že y-ová súradnica
		 * stúpa smerom nadol.
		 * (O súradnicových priestoroch sa podrobnejšie píše napríklad
		 * v opisoch metód {@link GRobot#cesta() GRobot.cesta()}, {@link
		 * SVGPodpora#zapíš(String, String, boolean) SVGpodpora.zapíš(…)},
		 * {@link SVGPodpora#čítaj(String) SVGpodpora.čítaj(meno)} a priebežne
		 * v celej dokumentácii.)
		 * 
		 *  @return objekt typu {@link BufferedImage BufferedImage} – obrázok
		 *      plátna
		 *  @see #grafika()
		 */
		public BufferedImage obrázok() { return vyrovnávaciaPamäťObrázkaPlátna; }

		/** <a class="alias"></a> Alias pre {@link #obrázok() obrázok}. */
		public BufferedImage obrazok() { return vyrovnávaciaPamäťObrázkaPlátna; }

		/**
		 * Vráti objekt typu {@link Graphics2D Graphics2D} použiteľný na
		 * rozmanité kreslenie na plátno (napríklad v reakciách {@link
		 * ObsluhaUdalostí#vymazanie() vymazanie} alebo {@link
		 * ObsluhaUdalostí#prekreslenie() prekreslenie}). Robot má dostatok
		 * nástrojov (metód) na kreslenie. Ak potrebujete priamy prístup ku
		 * grafickému objektu plátna (napríklad ak by ste chceli využívať
		 * metódy triedy {@link Graphics2D Graphics2D}), použite na prístup
		 * k nemu túto metódu. Grafický objekt pracuje so súradnicovým
		 * priestorom Javy, podobne ako je to spomenuté pri {@linkplain
		 * #obrázok() obrázku plátna}.
		 * 
		 *  @return objekt typu {@link Graphics2D Graphics2D} – grafika plátna
		 *  @see #obrázok()
		 */
		public Graphics2D grafika() { return vyrovnávaciaPamäťGrafikyPlátna; }

		/**
		 * Zruší oblasť na obmedzenie kreslenia na toto plátno.
		 * 
		 *  @see GRobot#kresliVšade()
		 *  @see #kresliDo(Shape)
		 *  @see #nekresliDo(Shape)
		 */
		public void kresliVšade()
		{
			vyrovnávaciaPamäťGrafikyPlátna.setClip(null);
		}

		/** <a class="alias"></a> Alias pre {@link #kresliVšade() kresliVšade}. */
		public void kresliVsade() { kresliVšade(); }

		/**
		 * Obmedzí kreslenie na toto plátno na plochu zadaného útvaru
		 * ({@link Shape Shape}).
		 * 
		 * <P>Robot disponuje množinou metód na kreslenie tvarov ({@link
		 * GRobot#kružnica(double) kružnica}, {@link GRobot#elipsa(double,
		 * double) elipsa}, {@link GRobot#štvorec(double) štvorec}…), ktoré
		 * zároveň generujú tvary. Na ich použitie s touto metódou je dobré
		 * predtým kreslenie tvarov {@linkplain GRobot#nekresliTvary()
		 * zakázať} a neskôr opäť {@linkplain GRobot#kresliTvary() povoliť}.
		 * Metóda {@link GRobot#text(String) text} dokonca zákaz kreslenia
		 * tvarov požaduje, aby mohla vygenerovať tvar (bez zákazu má
		 * návratovú hodnotu {@code valnull}). Tvar je možné vytvoriť aj
		 * z {@linkplain GRobot#cesta() cesty}…
		 * 
		 * <P>Obmedzenie zužuje aktuálny priestor kreslenia, to znamená, že
		 * sa priebežne vytvára oblasť, ktorá je prienikom všetkých
		 * obmedzení. Ak chceme vytvoriť obmedzenie tvaru, ktorý je
		 * možné vytvoriť inou množinovou operáciou, môžeme na obmedzenie
		 * kreslenia použiť aj {@link Oblasť Oblasť} (zadanú namiesto
		 * parametra {@code tvar}). Obmedzenia sú platné pre všetkých
		 * robotov a zrušíme ich volaním metódy {@link #kresliVšade()
		 * kresliVšade}.
		 * 
		 * <P><p>Poznámka:</p> Pri takomto orezávaní nie je na všetkých
		 * platformách a/alebo implementáciách virtuálneho stroja Javy
		 * dostupná funkcia anti-aliasingu, čo zjednodušene povedané
		 * znamená, že okraje orezanej kresby budú „zúbkaté“. Ak sa chcete
		 * tejto nedokonalosti vyhnúť, použite radšej funkciu
		 * {@linkplain Plátno#použiMasku masky}. Tá dovoľuje ovplyvňovať
		 * úroveň priehľadnosti s jemnosťou na jednotlivé body rastra.
		 * 
		 *  @param tvar  tvar ({@link Shape Shape}) alebo {@link Oblasť
		 *      Oblasť}
		 *  @see GRobot#kresliDo(Shape)
		 *  @see #kresliVšade()
		 *  @see #nekresliDo(Shape)
		 */
		public void kresliDo(Shape tvar)
		{
			if (null != tvar) vyrovnávaciaPamäťGrafikyPlátna.clip(tvar);
		}

		// <stroke>Pomocná súkromná metóda na vytvorenie
		// negatívneho orezania oblasti</stroke>

		/**
		 * Vytvára obmedzenie kreslenia na toto plátno.
		 * Funguje rovnako ako metóda {@link #kresliDo(Shape)
		 * kresliDo}, ibaže obrátene – kreslenie je možné všade, okrem
		 * zadaného tvaru alebo {@linkplain Oblasť oblasti}.
		 * 
		 * <P>Rovnako ako pri metóde {@link #kresliDo(Shape) kresliDo}, sa
		 * aj toto obmedzenie kombinuje s aktuálnymi obmedzeniami kreslenia
		 * a je platné pre všetkých robotov. Všetky ombedzenia zrušíme
		 * volaním metódy {@link #kresliVšade() kresliVšade}.
		 * 
		 * <P><p>Poznámka:</p> Pri takomto orezávaní nie je na všetkých
		 * platformách a/alebo implementáciách virtuálneho stroja Javy
		 * dostupná funkcia anti-aliasingu, čo zjednodušene povedané
		 * znamená, že okraje orezanej kresby budú „zúbkaté“. Ak sa chcete
		 * tejto nedokonalosti vyhnúť, použite radšej funkciu
		 * {@linkplain Plátno#použiMasku masky}. Tá dovoľuje ovplyvňovať
		 * úroveň priehľadnosti s jemnosťou na jednotlivé body rastra.
		 * 
		 *  @param tvar  tvar ({@link Shape Shape}) alebo {@link Oblasť
		 *      Oblasť}
		 *  @see GRobot#nekresliDo(Shape)
		 *  @see #kresliDo(Shape)
		 *  @see #kresliVšade()
		 */
		public void nekresliDo(Shape tvar)
		{
			if (null != tvar)
			{
				Shape clip = vyrovnávaciaPamäťGrafikyPlátna.getClip();
				if (null == clip) clip = new Rectangle.
					Double(0, 0, šírkaPlátna, výškaPlátna);
				Area oblasťA = new Area(clip);
				Area oblasťB = new Area(tvar);
				oblasťA.subtract(oblasťB);
				vyrovnávaciaPamäťGrafikyPlátna.setClip(oblasťA);
			}
		}


	// Vnútorná konzola

		/**
		 * Príznak automatického rolovania textov vnútornej konzoly s pomocou
		 * kolieska myši. Predvolená hodnota tohto príznaku je {@code valtrue}.
		 * Rovnomenná metóda ({@link #rolujTexty() rolujTexty}) slúži na
		 * okamžité vykonanie rolovania textov vnútornej konzoly podľa
		 * posledných hodnôt miery rolovania kolieskom myši a v prípade
		 * ponechania hodnoty {@code valtrue} v tomto príznaku je uvedená
		 * metóda volaná automaticky.
		 * @see #rolujTexty()
		 */
		public boolean rolujTexty = true;

		/**
		 * <a class="getter"></a> Zistí stav/hodnotu vlastnosti zalamovania
		 * textov vnútornej konzoly tohto plátna. Vlastnosť ovplyvňuje
		 * správanie metód {@link #vypíš(Object[]) vypíš} a {@link
		 * #vypíšRiadok(Object[]) vypíšRiadok}. Predvolene je (aspoň
		 * v súvislosti s plátnom ako takým) táto vlastnosť vypnutá.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return {@code valtrue} ak sú texty presahujúce pravý okraj okna
		 *      automaticky zalamované; {@code valfalse} v opačnom prípade
		 */
		public boolean zalamujeTexty() { return vnútornáKonzola.zalamujTexty; }

		/**
		 * <a class="setter"></a> Nastaví vlastnosť zalamovania textov
		 * vnútornej konzoly tohto plátna podľa zadaného parametra. Vlastnosť
		 * ovplyvňuje správanie metód {@link #vypíš(Object[]) vypíš} a {@link
		 * #vypíšRiadok(Object[]) vypíšRiadok}. Predvolene je (aspoň
		 * v súvislosti s plátnom ako takým) táto vlastnosť vypnutá.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param zalamuj {@code valtrue} ak chceme, aby boli texty
		 *      presahujúce pravý okraj okna automaticky zalomené; {@code
		 *      valfalse} v opačnom prípade
		 */
		public void zalamujTexty(boolean zalamuj)
		{
			vnútornáKonzola.zalamujTexty = zalamuj;
			automatickéPrekreslenie();
		}

		/**
		 * Zapne zalamovanie textov vnútornej konzoly tohto plátna. Má
		 * rovnaký efekt ako keby sme volali metódu {@link
		 * #zalamujTexty(boolean)  zalamujTexty(true)}.
		 */
		public void zalamujTexty() { zalamujTexty(true); }

		/**
		 * Vypne zalamovanie textov vnútornej konzoly tohto plátna. Má
		 * rovnaký efekt ako keby sme volali metódu {@link
		 * #zalamujTexty(boolean) zalamujTexty(false)}.
		 */
		public void nezalamujTexty() { zalamujTexty(false); }


		/**
		 * <!-- V prípade, že už nastalo kreslenie, z -->Zistí výšku riadka
		 * vnútornej konzoly pri použití aktuálneho typu písma. Ak metóda
		 * z nejakého dôvodu nedokáže získať použiteľný kontext grafiky, tak
		 * vráti nulu – {@code num0}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return výška riadka pri použití aktuálneho písma
		 */
		public int výškaRiadka()
		{
			if (null != vnútornáKonzola.grafika)
			{
				vnútornáKonzola.grafika.setFont(vnútornáKonzola.aktuálnePísmo);
				return vnútornáKonzola.grafika.getFontMetrics().
					getHeight();
			}
			else if (null != vyrovnávaciaPamäťGrafikyPlátna)
			{
				vyrovnávaciaPamäťGrafikyPlátna.setFont(vnútornáKonzola.aktuálnePísmo);
				return vyrovnávaciaPamäťGrafikyPlátna.getFontMetrics().
					getHeight();
			}
			else if (null != GRobot.grafika)
			{
				GRobot.grafika.setFont(vnútornáKonzola.aktuálnePísmo);
				return GRobot.grafika.getFontMetrics().getHeight();
			}
			return 0;
		}

		/** <a class="alias"></a> Alias pre {@link #výškaRiadka() výškaRiadka}. */
		public int vyskaRiadka() { return výškaRiadka(); }

		/**
		 * <!-- V prípade, že už nastalo kreslenie, z -->Zistí šírku zadaného
		 * reťazca v bodoch pri použití aktuálneho typu písma vnútornej
		 * konzoly. Ak metóda z nejakého dôvodu nedokáže získať použiteľný
		 * kontext grafiky, tak vráti nulu<!-- Ak kreslenie ešte nenastalo
		 * (pričom nemuselo ísť nevyhnutne o výpis textov – dôležité je, či
		 * knižnica dokáže získať grafický kontext), tak metóda vráti nulu
		 * --> – {@code num0}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param reťazec reťazec, ktorého šírka má byť vrátená
		 * @return šírka zadaného reťazca v bodoch pri použití aktuálneho
		 *     písma konzoly
		 */
		public int šírkaReťazca(String reťazec)
		{
			if (null != vnútornáKonzola.grafika)
			{
				vnútornáKonzola.grafika.setFont(vnútornáKonzola.aktuálnePísmo);
				return vnútornáKonzola.grafika.getFontMetrics().
					stringWidth(reťazec);
			}
			else if (null != vyrovnávaciaPamäťGrafikyPlátna)
			{
				vyrovnávaciaPamäťGrafikyPlátna.setFont(vnútornáKonzola.aktuálnePísmo);
				return vyrovnávaciaPamäťGrafikyPlátna.getFontMetrics().
					stringWidth(reťazec);
			}
			else if (null != GRobot.grafika)
			{
				GRobot.grafika.setFont(vnútornáKonzola.aktuálnePísmo);
				return GRobot.grafika.getFontMetrics().stringWidth(reťazec);
			}
			return 0;
		}

		/** <a class="alias"></a> Alias pre {@link #šírkaReťazca(String) šírkaReťazca}. */
		public int sirkaRetazca(String reťazec)
		{ return šírkaReťazca(reťazec); }

		/**
		 * Zistí šírku medzery vnútornej konzoly pri použití aktuálneho typu
		 * písma. Ak metóda z nejakého dôvodu nedokáže získať použiteľný
		 * kontext grafiky, tak vráti nulu – {@code num0}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return šírka medzery pri použití aktuálneho písma
		 */
		public int šírkaMedzery()
		{
			if (null != vnútornáKonzola.grafika)
			{
				vnútornáKonzola.grafika.setFont(vnútornáKonzola.aktuálnePísmo);
				return vnútornáKonzola.grafika.getFontMetrics().
					stringWidth(" ");
			}
			else if (null != vyrovnávaciaPamäťGrafikyPlátna)
			{
				vyrovnávaciaPamäťGrafikyPlátna.setFont(vnútornáKonzola.aktuálnePísmo);
				return vyrovnávaciaPamäťGrafikyPlátna.getFontMetrics().
					stringWidth(" ");
			}
			else if (null != GRobot.grafika)
			{
				GRobot.grafika.setFont(vnútornáKonzola.aktuálnePísmo);
				return GRobot.grafika.getFontMetrics().stringWidth(" ");
			}
			return 0;
		}

		/** <a class="alias"></a> Alias pre {@link #šírkaMedzery() šírkaMedzery}. */
		public int sirkaMedzery() { return šírkaMedzery(); }

		/**
		 * Zistí najväčšiu šírku znaku vnútornej konzoly pri použití
		 * aktuálneho typu písma. Ak metóda z nejakého dôvodu nedokáže získať
		 * použiteľný kontext grafiky, tak vráti nulu – {@code num0}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return najväčšia šírka znaku pri použití aktuálneho písma
		 */
		public int najväčšiaŠírkaZnaku()
		{
			if (null != vnútornáKonzola.grafika)
			{
				vnútornáKonzola.grafika.setFont(vnútornáKonzola.aktuálnePísmo);
				return vnútornáKonzola.grafika.getFontMetrics().getMaxAdvance();
			}
			else if (null != vyrovnávaciaPamäťGrafikyPlátna)
			{
				vyrovnávaciaPamäťGrafikyPlátna.setFont(vnútornáKonzola.aktuálnePísmo);
				return vyrovnávaciaPamäťGrafikyPlátna.getFontMetrics().
					getMaxAdvance();
			}
			else if (null != GRobot.grafika)
			{
				GRobot.grafika.setFont(vnútornáKonzola.aktuálnePísmo);
				return GRobot.grafika.getFontMetrics().getMaxAdvance();
			}
			return 0;
		}

		/** <a class="alias"></a> Alias pre {@link #najväčšiaŠírkaZnaku() najväčšiaŠírkaZnaku}. */
		public int najvacsiaSirkaZnaku() { return najväčšiaŠírkaZnaku(); }


		/**
		 * Vypíše sériu argumentov v tvare textu na plátne (podlahe alebo
		 * strope) ako aktívne slová identifikované zadaným identifikátorom.
		 * Ak je zoznam argumentov prázdny, vypíše sa namiesto nich zadaný
		 * identifikátor. (To znamená, že nie je povolené ani odporúčané
		 * vypísať „prázdne aktívne slovo“.) V rôznych aspektoch výpisu textov
		 * na vnútornú konzolu funguje táto metóda podobne ako metóda
		 * {@link #vypíš(Object[]) vypíš} – platia pre ňu v podstate rovnaké
		 * pravidlá. Rozdiel je v tom, že výpis vykonaný touto metódou bude
		 * považovaný za takzvané aktívne slovo (resp. slová). Farbu
		 * textu v oblasti aktívneho slova je možné ovplyvňovať prostrednícvom
		 * reakcie {@link ObsluhaUdalostí#farbaAktívnehoSlova(String)
		 * farbaAktívnehoSlova}. To, či sa určitý bod nachádza v niektorej
		 * z oblastí aktívnych slov je možné overiť napríklad metódou
		 * {@link #bodVAktívnomSlove(double, double) bodVAktívnomSlove}
		 * (s variantom na overenie polohy myši v niektorom slove: {@link
		 * #myšVAktívnomSlove() myšVAktívnomSlove}).
		 * Pomocou aktívnych slov je možné naprogramovať podobné správanie
		 * aké majú hypertextové odkazy webových stránok.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param identifikátor identifikátor aktívneho slova, pomocou
		 *      ktorého bude toto slovo odlišované od ostatných aktívnych slov
		 *  @param argumenty zoznam argumentov rôzneho údajového typu
		 *      oddelený čiarkami (ako pri metóde {@link #vypíš(Object[])
		 *      vypíš})
		 * 
		 *  @see #vypíš(Object[]) vypíš(Object...)
		 *  @see #bodVAktívnomSlove(double, double)
		 *  @see #myšVAktívnomSlove()
		 *  @see ObsluhaUdalostí#farbaAktívnehoSlova(String)
		 */
		public void vypíšAktívneSlovo(
			String identifikátor, Object... argumenty)
		{
			vnútornáKonzola.identifikátorAktívnehoSlova = identifikátor;

			if (0 == argumenty.length)
				vypíš(identifikátor);
			else
				vypíš(argumenty);

			vnútornáKonzola.identifikátorAktívnehoSlova = null;
		}

		/** <a class="alias"></a> Alias pre {@link #vypíšAktívneSlovo(String, Object[]) vypíšAktívneSlovo}. */
		public void vypisAktivneSlovo(String identifikátor, Object... argumenty)
		{ vypíšAktívneSlovo(identifikátor, argumenty); }

		/** <a class="alias"></a> Alias pre {@link #vypíšAktívneSlovo(String, Object[]) vypíšAktívneSlovo}. */
		public void vypíšAktívneSlová(String identifikátor, Object... argumenty)
		{ vypíšAktívneSlovo(identifikátor, argumenty); }

		/** <a class="alias"></a> Alias pre {@link #vypíšAktívneSlovo(String, Object[]) vypíšAktívneSlovo}. */
		public void vypisAktivneSlova(String identifikátor, Object... argumenty)
		{ vypíšAktívneSlovo(identifikátor, argumenty); }

		/**
		 * Overí, či sa bod identifikovaný zadanými súradnicami nachádza
		 * v oblasti niektorého z aktívnych slov. (Pozri metódu {@link
		 * #vypíšAktívneSlovo(String, Object[]) vypíšAktívneSlovo}.) Ak je
		 * na zadaných súradniciach nájdené aktívne slovo, tak je návratovou
		 * hodnotou tejto metódy jeho identifikátor, inak je vrátená
		 * hodnota {@code valnull}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @return identifikátor aktívneho slova, v ktorom sa nachádza bod
		 *      so zadanými súradnicami alebo {@code valnull}
		 */
		public String bodVAktívnomSlove(double x, double y)
		{
			double nx = prepočítajX(x);
			double ny = prepočítajY(y);

			for (AktívneSlovo aktívneSlovo : vnútornáKonzola.aktívneSlová)
			{
				if (null != aktívneSlovo.hranice &&
					aktívneSlovo.hranice.contains(nx, ny))
					return aktívneSlovo.identifikátor;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #bodVAktívnomSlove(double, double) bodVAktívnomSlove}. */
		public String bodVAktivnomSlove(double x, double y) { return bodVAktívnomSlove(x, y); }

		/**
		 * Funguje rovnako ako metóda {@link #bodVAktívnomSlove(double,
		 * double) bodVAktívnomSlove}, ale namiesto súradníc bodu je zadaný
		 * objekt, ktorý je implementáciou rozhrania {@link Poloha Poloha}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param poloha poloha vyšetrovaného bodu zadaná prostredníctvom
		 *      objektu implementujúceho rozhranie {@link Poloha Poloha}.
		 *  @return identifikátor aktívneho slova, v ktorom sa nachádza bod
		 *      so zadanými súradnicami alebo {@code valnull}
		 */
		public String bodVAktívnomSlove(Poloha poloha) { return bodVAktívnomSlove(poloha.polohaX(), poloha.polohaY()); }

		/** <a class="alias"></a> Alias pre {@link #bodVAktívnomSlove(Poloha) bodVAktívnomSlove}. */
		public String bodVAktivnomSlove(Poloha poloha) { return bodVAktívnomSlove(poloha.polohaX(), poloha.polohaY()); }

		/**
		 * Overí, či sa súradnice kurzora myši nachádzajú v oblasti niektorého
		 * z aktívnych slov. (Pozri metódu {@link #vypíšAktívneSlovo(String,
		 * Object[]) vypíšAktívneSlovo}.) Ak je na súradniciach myši nájdené
		 * aktívne slovo, tak je návratovou hodnotou tejto metódy jeho
		 * identifikátor, inak je vrátená hodnota {@code valnull}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return identifikátor aktívneho slova, v ktorom sa nachádza
		 *      kurzor myši alebo {@code valnull}
		 */
		public String myšVAktívnomSlove()
		{ return bodVAktívnomSlove(súradnicaMyšiX, súradnicaMyšiY); }

		/** <a class="alias"></a> Alias pre {@link #myšVAktívnomSlove() myšVAktívnomSlove}. */
		public String mysVAktivnomSlove()
		{ return bodVAktívnomSlove(súradnicaMyšiX, súradnicaMyšiY); }


		/**
		 * Vypíše sériu argumentov v tvare textu na plátne (podlahe alebo
		 * strope). Texty sú vypísané aktuálnou {@linkplain
		 * #farbaTextu(java.awt.Color) farbou textov} plátna (predvolene
		 * tmavomodrá) a aktuálnym {@linkplain #písmo(Font) písmom}
		 * plátna. Ak je nastavená {@linkplain
		 * #farbaPozadiaTextu(java.awt.Color) farba pozadia textov}, tak je
		 * podklad písma zafarbený na túto farbu. Predvolene nie je nastavená
		 * žiadna farba pozadia textov. Texty plátna (ako takého) nie sú
		 * automaticky zalamované, to znamená, že ak je text na riadku príliš
		 * dlhý, presiahne pravý okraj plátna. Toto správanie je možné zmeniť
		 * metódou {@link #zalamujTexty(boolean) zalamujTexty}. Avšak počas
		 * inicializácie {@linkplain Svet#hlavnýRobot() hlavného robota} je
		 * automaticky zapnuté zalamovanie textov stropu, takže pri bežnom
		 * používaní knižnice grafického robota (čiže ak nie je používaná
		 * konzola podlahy, ale len stropu) netreba s uvedenou vlastnosťou
		 * manipulovať.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * <P>Ak oddeľujeme sériu argumentov čiarkami, metóda automaticky
		 * dopĺňa medzi jednotlivé argumenty medzery podľa zaužívaných
		 * pravidiel typografie. To znamená, že metóda rešpektuje znaky pred
		 * ktoré sa medzera nepridáva (ako {@code srg,}  
		 * {@code srg:}   {@code srg?}   {@code srg.}   {@code srg)}
		 * a podobne) a za ktoré sa nepridáva (znaky ako {@code srg(}  
		 * {@code srg„}   {@code srg"} a podobne). Toto správanie
		 * platí len v rámci jedného volania metódy (argumenty musia byť
		 * oddelené čiarkami). Dve (alebo viaceré) samostatné volania metódy
		 * idúce za sebou:
		 * <pre CLASS="example">
			{@link Plátno podlaha}.{@code currvypíš}({@code srg"Tu, za dvojbodkou:"});
			{@link Plátno podlaha}.{@code currvypíš}({@code srg"sa medzera neobjaví…"});
			</pre>
		 * žiadne automatické medzery nepridávajú.
		 * 
		 * <P>Výstup:
		 * 
		 * <pre CLASS="example">Tu, za dvojbodkou:sa medzera neobjaví…
			</pre>
		 * 
		 * <P>Nasledujúce výpisy sú (takmer) ekvivalentné:
		 * 
		 * <pre CLASS="example">
			{@code typeint} a = {@code num10};  {@code comm// pre potreby ukážky}
			{@link Plátno podlaha}.{@code currvypíš}({@code srg"Hodnota:"}, a, {@link GRobot#riadok riadok});
			{@link Plátno podlaha}.{@link #vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Hodnota:"}, a);
			{@link Plátno podlaha}.{@link #vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Hodnota: "} + a);
			</pre>
		 * 
		 * <P>Výstup:
		 * 
		 * <pre CLASS="example">
			Hodnota: 10
			Hodnota: 10
			Hodnota: 10
			</pre>
		 * 
		 * <P>V prípade, že chceme úplne zabrániť automatickému pridávaniu
		 * medzier (neodporúčame), použijeme namiesto oddeľovania argumentov
		 * čiarkami operátor zlučovania reťazcov {@code +} (posledný riadok
		 * vo vyššie uvedenom príklade). Avšak použitie tohto operátora
		 * spôsobí, že číselné hodnoty budú formátované s použitím systémových
		 * pravidiel. Zmeniť to je možné formátovaním číselnej hodnoty
		 * inštanciou {@link Svet#formát Svet.formát}:
		 * {@link Svet Svet}{@code .}{@link Svet#formát formát}{@code .}{@link
		 * NumberFormat#format(double) format}{@code (}{@code num10.3}{@code
		 * ) + …}
		 * 
		 * <P>Ak sú číselné hodnoty zadávané ako samostatné argumenty (t. j.
		 * sú oddelené čiarkami), tak sú naformátované automaticky. Znak
		 * použitý na oddelenie desatinných miest naformátovaných čísiel je
		 * možné zmeniť volaním metódy {@link
		 * Svet#oddeľovačDesatinnejČasti(char) oddeľovačDesatinnejČasti}.
		 * Použitie znaku na oddelenie tisícov je možné upraviť (vypnúť,
		 * zmeniť) volaním metódy {@link Svet#oddeľovačTisícov(Character)
		 * oddeľovačTisícov}. Ak je argumentom tejto metódy ({@code currvypíš})
		 * jednorozmerné pole číselného (alebo logického) údajového typu, tak
		 * metóda vypíše jeho obsah, pričom na oddelenie prvkov použije
		 * oddeľovač, ktorý je možné upraviť volaním metódy {@link
		 * Svet#oddeľovačPrvkovPoľa(String) oddeľovačPrvkovPoľa}.
		 * 
		 * <P><b>Poznámka:</b>
		 * Prvý výpis (prvé spustenie ľubovoľného príkazu výpisu na konzolu)
		 * vždy automaticky skryje {@linkplain Svet#hlavnýRobot() hlavného
		 * robota}. Dôvodom je úsilie o automatické odlíšenie konzolovo
		 * orientovaných úloh od graficky orientovaných úloh. (Je malá šanca,
		 * že bude úloha orientovaná tak, aby vyžadovala ponechanie
		 * zobrazeného {@linkplain Svet#hlavnýRobot() hlavného robota}
		 * a zároveň pracovala s konzolovými výpismi.) Toto správanie je
		 * v prípade potreby možné zmeniť – automatickému skrytiu
		 * {@linkplain Svet#hlavnýRobot() hlavného robota} sa dá zamedziť
		 * jeho „poslatím“ do úplne prvého výpisu vnútornej konzoly –
		 * napríklad {@link Plátno podlaha}{@code .}{@code
		 * currvypíš}{@code (}{@link Svet Svet}{@code .}{@link
		 * Svet#hlavnýRobot() hlavnýRobot}{@code ());} (samozrejme, že
		 * v konštruktore {@linkplain Svet#hlavnýRobot() hlavného robota}
		 * môžeme namiesto príkazu {@link Svet#hlavnýRobot() hlavnýRobot}
		 * s výhodou použiť hodnotu {@code valthis}).
		 * 
		 *  @param argumenty zoznam argumentov rôzneho údajového typu
		 *      oddelený čiarkami
		 *  @see #vypíšAktívneSlovo(String, Object[])
		 *        vypíšAktívneSlovo(String, Object...)
		 *  @see #vypíšRiadok(Object[]) vypíšRiadok(Object...)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #predvolenáFarbaTextu()
		 *  @see #farbaPozadiaTextu(java.awt.Color)
		 *  @see #predvolenáFarbaPozadiaTextu()
		 *  @see #písmo(Font)
		 *  @see #predvolenéPísmo()
		 *  @see #vymaž()
		 *  @see #vymažTexty()
		 *  @see GRobot#text(String)
		 *  @see Svet#formát
		 *  @see Svet#F(double, int)
		 *  @see Svet#oddeľovačDesatinnejČasti(char)
		 *  @see Svet#oddeľovačTisícov(Character)
		 *  @see Svet#oddeľovačPrvkovPoľa(String)
		 */
		public void vypíš(Object... argumenty)
		{
			vnútornáKonzola.vypíš(argumenty);
			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #vypíš(Object[]) vypíš}. */
		public void vypis(Object... argumenty) { vypíš(argumenty); }

		/**
		 * Vypíše sériu argumentov v tvare textu na podlahe alebo strope
		 * a presunie sa na ďalší riadok. Pre ďalšie informácie pozri {@link
		 * #vypíš(Object[]) vypíš(Object...)}, ktorej správanie je okrem
		 * prechodu na nový riadok zhodné.
		 * 
		 *  @param argumenty zoznam argumentov rôzneho údajového typu
		 *      oddelený čiarkami
		 *  @see #vypíš(Object[]) vypíš(Object...)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #predvolenáFarbaTextu()
		 *  @see #farbaPozadiaTextu(java.awt.Color)
		 *  @see #predvolenáFarbaPozadiaTextu()
		 *  @see #písmo(Font)
		 *  @see #predvolenéPísmo()
		 *  @see #vymaž()
		 *  @see #vymažTexty()
		 *  @see GRobot#text(String)
		 *  @see Svet#formát
		 */
		public void vypíšRiadok(Object... argumenty)
		{
			vypíš(argumenty);
			vnútornáKonzola.novýRiadok();
			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #vypíšRiadok(Object[]) vypíšRiadok}. */
		public void vypisRiadok(Object... argumenty) { vypíšRiadok(argumenty); }

		/**
		 * Vypíše sériu argumentov v tvare textu na zadaných súradniciach
		 * podlahy alebo stropu. Funguje podobne ako metóda {@link
		 * #vypíš(Object[]) vypíš}, ibaže pred výpisom nastaví súradnice
		 * polohy výpisu.
		 * 
		 * <P><b>Poznámka:</b>
		 * Po použití tejto metódy nie je (až do najbližšieho
		 * {@link #vymažTexty() vymazania}) možné vykonávať
		 * {@link #rolujTexty(int, int) rolovanie textov konzoly}.
		 * 
		 *  @param x x-ová súradnica polohy výpisu
		 *  @param y y-ová súradnica polohy výpisu
		 *  @param argumenty zoznam argumentov rôzneho údajového typu oddelený
		 *      čiarkami
		 */
		public void vypíšNa(double x, double y, Object... argumenty)
		{
			vnútornáKonzola.zmenaSúradníc = new Point2D.Double(
				prepočítajX(x), prepočítajY(y));
			vypíš(argumenty);
		}

		/** <a class="alias"></a> Alias pre {@link #vypíšNa(double, double, Object[]) vypíšNa}. */
		public void vypisNa(double x, double y, Object... argumenty) { vypíšNa(x, y, argumenty); }

		/**
		 * Vypíše sériu argumentov v tvare textu na zadaných súradniciach
		 * podlahy alebo stropu a presunie sa na ďalší riadok. Funguje podobne
		 * ako metóda {@link #vypíšRiadok(Object[]) vypíšRiadok}, ibaže pred
		 * výpisom nastaví súradnice polohy výpisu.
		 * 
		 * <P><b>Poznámka:</b>
		 * Po použití tejto metódy nie je (až do najbližšieho
		 * {@link #vymažTexty() vymazania}) možné vykonávať
		 * {@link #rolujTexty(int, int) rolovanie textov konzoly}.
		 * 
		 *  @param x x-ová súradnica polohy výpisu
		 *  @param y y-ová súradnica polohy výpisu
		 *  @param argumenty zoznam argumentov rôzneho údajového typu
		 *      oddelený čiarkami
		 */
		public void vypíšRiadokNa(double x, double y, Object... argumenty)
		{
			vnútornáKonzola.zmenaSúradníc = new Point2D.Double(
				prepočítajX(x), prepočítajY(y));
			vypíšRiadok(argumenty);
		}

		/** <a class="alias"></a> Alias pre {@link #vypíšRiadokNa(double, double, Object[]) vypíšRiadokNa}. */
		public void vypisRiadokNa(double x, double y, Object... argumenty) { vypíšRiadokNa(x, y, argumenty); }

		/**
		 * Vypíše sériu argumentov v tvare textu na zadaných súradniciach
		 * podlahy alebo stropu. Funguje podobne ako metóda {@link
		 * #vypíš(Object[]) vypíš}, ibaže pred výpisom nastaví súradnice
		 * polohy výpisu.
		 * 
		 * <P><b>Poznámka:</b>
		 * Po použití tejto metódy nie je (až do najbližšieho
		 * {@link #vymažTexty() vymazania}) možné vykonávať
		 * {@link #rolujTexty(int, int) rolovanie textov konzoly}.
		 * 
		 *  @param x x-ová súradnica polohy výpisu
		 *  @param y y-ová súradnica polohy výpisu
		 *  @param argumenty zoznam argumentov rôzneho údajového typu
		 *      oddelený čiarkami
		 */
		public void píšNa(double x, double y, Object... argumenty)
		{
			vnútornáKonzola.zmenaSúradníc = new Point2D.Double(
				prepočítajX(x), prepočítajY(y));
			vypíš(argumenty);
		}

		/** <a class="alias"></a> Alias pre {@link #píšNa(double, double, Object[]) píšNa}. */
		public void pisNa(double x, double y, Object... argumenty) { píšNa(x, y, argumenty); }

		/**
		 * Vypíše sériu argumentov v tvare textu na zadaných súradniciach
		 * podlahy alebo stropu a presunie sa na ďalší riadok. Funguje podobne
		 * ako metóda {@link #vypíšRiadok(Object[]) vypíšRiadok}, ibaže pred
		 * výpisom nastaví súradnice polohy výpisu.
		 * 
		 * <P><b>Poznámka:</b>
		 * Po použití tejto metódy nie je (až do najbližšieho
		 * {@link #vymažTexty() vymazania}) možné vykonávať
		 * {@link #rolujTexty(int, int) rolovanie textov konzoly}.
		 * 
		 *  @param x x-ová súradnica polohy výpisu
		 *  @param y y-ová súradnica polohy výpisu
		 *  @param argumenty zoznam argumentov rôzneho údajového typu
		 *      oddelený čiarkami
		 */
		public void píšRiadokNa(double x, double y, Object... argumenty)
		{
			vnútornáKonzola.zmenaSúradníc = new Point2D.Double(
				prepočítajX(x), prepočítajY(y));
			vypíšRiadok(argumenty);
		}

		/** <a class="alias"></a> Alias pre {@link #píšRiadokNa(double, double, Object[]) píšRiadokNa}. */
		public void pisRiadokNa(double x, double y, Object... argumenty) { píšRiadokNa(x, y, argumenty); }


	// Kreslenie obrázka

		/**
		 * Nakreslí v strede plátna (podlahy alebo stropu) zadaný obrázok.
		 * Napríklad:
		 * <pre CLASS="example">
			{@link GRobot#podlaha podlaha}.{@code currobrázok}({@code srg"parkety.png"});
			{@link GRobot#strop strop}.{@code currobrázok}({@code srg"vzor.png"});
			</pre>
		 * 
		 * <P><b>Zdroje:</b>
		 * <table style="margin-left: auto; margin-right: auto;"><tr>
		 * <td><image>parkety.png</image><a href="resources/parkety.png"
		 * target="_blank">parkety.png</a> – obrázok parkiet na prevzatie<td>
		 * <td><image>vzor.png</image><a href="resources/vzor.png"
		 * target="_blank">vzor.png</a> – obrázok vzoru na prevzatie<td>
		 * </tr></table>
		 * 
		 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 *  @param súbor  názov súboru s obrázkom, ktorý má byť vykreslený
		 *  @throws GRobotException  ak je súbor poškodený alebo nebol
		 *     nájdený
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public void obrázok(String súbor)
		{
			Image obrázok = súborNaObrázok(súbor);

			double prepočítanéX = prepočítajX(0);
			double prepočítanéY = prepočítajY(0);

			int šírkaObrázka = obrázok.getWidth(null);
			int výškaObrázka = obrázok.getHeight(null);
			if (šírkaObrázka < 0 || výškaObrázka < 0)
				throw new GRobotException("Obrázok „" + súbor +
					"“ je poškodený!", "imageFileBroken", súbor);

			vyrovnávaciaPamäťGrafikyPlátna.drawImage(obrázok,
				(int)(prepočítanéX - (šírkaObrázka / 2.0)),
				(int)(prepočítanéY - (výškaObrázka / 2.0)), null);

			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #obrázok(String) obrázok}. */
		public void obrazok(String súbor) { obrázok(súbor); }


		/**
		 * Nakreslí na zadaných súradniciach na plátne (podlahe alebo
		 * strope) obrázok, pričom na zadaných súradniciach sa bude nachádzať
		 * ľavý horný roh obrázka. Táto metóda slúži na nakreslenie obrázka
		 * s čo najmenšou vnútornou komplikovanosťou (v súvislosti so
		 * spôsobom kreslenia). Napríklad kreslenie obrázkov so stredom na
		 * zadanej pozícii by vyžadovalo dodatočný výpočet. Ak chcete
		 * kresliť obrázky vystredené na zadanej pozícii, tak použite na
		 * nakreslenie niektorého robota. (To je najjednoduchší spôsob.)
		 * 
		 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 *  @param x x-ová súradnica polohy obrázka
		 *  @param y y-ová súradnica polohy obrázka
		 *  @param súbor  názov súboru s obrázkom, ktorý má byť vykreslený
		 *  @throws GRobotException  ak je súbor poškodený alebo nebol
		 *      nájdený
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public void obrázok(double x, double y, String súbor)
		{
			Image obrázok = súborNaObrázok(súbor);

			double prepočítanéX = prepočítajX(x);
			double prepočítanéY = prepočítajY(y);

			int šírkaObrázka = obrázok.getWidth(null);
			int výškaObrázka = obrázok.getHeight(null);
			if (šírkaObrázka < 0 || výškaObrázka < 0)
				throw new GRobotException("Obrázok „" + súbor +
					"“ je poškodený!", "imageFileBroken", súbor);

			vyrovnávaciaPamäťGrafikyPlátna.drawImage(obrázok,
				(int)prepočítanéX, (int)prepočítanéY, null);

			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #obrázok(double, double, String) obrázok}. */
		public void obrazok(double x, double y, String súbor) { obrázok(x, y, súbor); }


		/**
		 * Nakreslí na súradniciach zadaného objektu na plátne (podlahe alebo
		 * strope) obrázok, pričom na zadaných súradniciach sa bude nachádzať
		 * ľavý horný roh obrázka. Táto metóda slúži na nakreslenie obrázka
		 * s čo najmenšou vnútornou komplikovanosťou (v súvislosti so
		 * spôsobom kreslenia). Napríklad kreslenie obrázkov so stredom na
		 * zadanej pozícii by vyžadovalo dodatočný výpočet. Ak chcete
		 * kresliť obrázky vystredené na zadanej pozícii, tak použite na
		 * nakreslenie niektorého robota. (To je najjednoduchší spôsob.)
		 * 
		 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 *  @param objekt objekt určujúci polohu kreslenia obrázka
		 *  @param súbor  názov súboru s obrázkom, ktorý má byť vykreslený
		 *  @throws GRobotException  ak je súbor poškodený alebo nebol
		 *      nájdený
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public void obrázok(Poloha objekt, String súbor)
		{
			Image obrázok = súborNaObrázok(súbor);

			double prepočítanéX = prepočítajX(objekt.polohaX());
			double prepočítanéY = prepočítajY(objekt.polohaY());

			int šírkaObrázka = obrázok.getWidth(null);
			int výškaObrázka = obrázok.getHeight(null);
			if (šírkaObrázka < 0 || výškaObrázka < 0)
				throw new GRobotException("Obrázok „" + súbor +
					"“ je poškodený!", "imageFileBroken", súbor);

			vyrovnávaciaPamäťGrafikyPlátna.drawImage(obrázok,
				(int)prepočítanéX, (int)prepočítanéY, null);

			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #obrázok(Poloha, String) obrázok}. */
		public void obrazok(Poloha objekt, String súbor) { obrázok(objekt, súbor); }


		/**
		 * Nakreslí v strede plátna (podlahy alebo stropu) zadaný obrázok.
		 * 
		 *  @param obrázok  obrázok, ktorý má byť vykreslený
		 *  @throws GRobotException  ak je obrázok poškodený
		 */
		public void obrázok(Image obrázok)
		{
			Image relevantný = dajRelevantnýRaster(obrázok);

			double prepočítanéX = prepočítajX(0);
			double prepočítanéY = prepočítajY(0);

			int šírkaObrázka = relevantný.getWidth(null);
			int výškaObrázka = relevantný.getHeight(null);
			if (šírkaObrázka < 0 || výškaObrázka < 0)
				throw new GRobotException("Obrázok je poškodený!",
					"imageBroken");

			if (relevantný instanceof Obrázok)
				((Obrázok)relevantný).
					kresliNaStred((int)prepočítanéX, (int)prepočítanéY,
						vyrovnávaciaPamäťGrafikyPlátna);
			else
				vyrovnávaciaPamäťGrafikyPlátna.drawImage(relevantný,
					(int)(prepočítanéX - (šírkaObrázka / 2.0)),
					(int)(prepočítanéY - (výškaObrázka / 2.0)), null);

			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #obrázok(Image) obrázok}. */
		public void obrazok(Image obrázok) { obrázok(obrázok); }


		/**
		 * Nakreslí na zadaných súradniciach na plátne (podlahe alebo
		 * strope) obrázok, pričom na zadaných súradniciach sa bude nachádzať
		 * ľavý horný roh obrázka. Táto metóda slúži na nakreslenie obrázka
		 * s čo najmenšou vnútornou komplikovanosťou (v súvislosti so
		 * spôsobom kreslenia). Napríklad kreslenie obrázkov so stredom na
		 * zadanej pozícii by vyžadovalo dodatočný výpočet. Ak chcete
		 * kresliť obrázky vystredené na zadanej pozícii, tak použite na
		 * nakreslenie niektorého robota. (To je najjednoduchší spôsob.)
		 * 
		 *  @param x x-ová súradnica polohy obrázka
		 *  @param y y-ová súradnica polohy obrázka
		 *  @param obrázok  obrázok, ktorý má byť vykreslený
		 *  @throws GRobotException  ak je obrázok poškodený
		 */
		public void obrázok(double x, double y, Image obrázok)
		{
			Image relevantný = dajRelevantnýRaster(obrázok);

			double prepočítanéX = prepočítajX(x);
			double prepočítanéY = prepočítajY(y);

			int šírkaObrázka = relevantný.getWidth(null);
			int výškaObrázka = relevantný.getHeight(null);
			if (šírkaObrázka < 0 || výškaObrázka < 0)
				throw new GRobotException("Obrázok je poškodený!",
					"imageBroken");

			if (relevantný instanceof Obrázok)
				((Obrázok)relevantný).
					kresliNa((int)prepočítanéX, (int)prepočítanéY,
						vyrovnávaciaPamäťGrafikyPlátna);
			else
				vyrovnávaciaPamäťGrafikyPlátna.drawImage(relevantný,
				(int)prepočítanéX, (int)prepočítanéY, null);

			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #obrázok(double, double, Image) obrázok}. */
		public void obrazok(double x, double y, Image obrázok) { obrázok(x, y, obrázok); }


		/**
		 * Nakreslí na súradniciach zadaného objektu na plátne (podlahe alebo
		 * strope) obrázok, pričom na zadaných súradniciach sa bude nachádzať
		 * ľavý horný roh obrázka. Táto metóda slúži na nakreslenie obrázka
		 * s čo najmenšou vnútornou komplikovanosťou (v súvislosti so
		 * spôsobom kreslenia). Napríklad kreslenie obrázkov so stredom na
		 * zadanej pozícii by vyžadovalo dodatočný výpočet. Ak chcete
		 * kresliť obrázky vystredené na zadanej pozícii, tak použite na
		 * nakreslenie niektorého robota. (To je najjednoduchší spôsob.)
		 * 
		 *  @param objekt objekt určujúci polohu kreslenia obrázka
		 *  @param obrázok  obrázok, ktorý má byť vykreslený
		 *  @throws GRobotException  ak je obrázok poškodený
		 */
		public void obrázok(Poloha objekt, Image obrázok)
		{
			Image relevantný = dajRelevantnýRaster(obrázok);

			double prepočítanéX = prepočítajX(objekt.polohaX());
			double prepočítanéY = prepočítajY(objekt.polohaY());

			int šírkaObrázka = relevantný.getWidth(null);
			int výškaObrázka = relevantný.getHeight(null);
			if (šírkaObrázka < 0 || výškaObrázka < 0)
				throw new GRobotException("Obrázok je poškodený!",
					"imageBroken");

			if (relevantný instanceof Obrázok)
				((Obrázok)relevantný).
					kresliNa((int)prepočítanéX, (int)prepočítanéY,
						vyrovnávaciaPamäťGrafikyPlátna);
			else
				vyrovnávaciaPamäťGrafikyPlátna.drawImage(relevantný,
				(int)prepočítanéX, (int)prepočítanéY, null);

			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #obrázok(Poloha, Image) obrázok}. */
		public void obrazok(Poloha objekt, Image obrázok) { obrázok(objekt, obrázok); }


	// Uloženie obrázka

		/**
		 * Uloží aktuálnu kresbu na plátne (podlahe alebo strope) do súboru
		 * s obrázkom. Prípona súboru musí byť {@code .gif}, {@code .png}
		 * alebo {@code .jpg} (resp. {@code .jpeg}). Ak súbor jestvuje, tak
		 * vznikne výnimka oznamujúca, že súbor so zadaným menom už jestvuje.
		 * Ak chcete súbor prepísať, použite metódu {@link
		 * #uložObrázok(String, boolean)} s druhým parametrom rovným {@code
		 * valtrue}.
		 * 
		 *  @param súbor     názov súboru s požadovanou príponou
		 *  @throws GRobotException  ak súbor jestvuje alebo bol zadaný
		 *      názov súboru s neplatnou príponou
		 */
		public void uložObrázok(String súbor)
		{
			uložObrázok(súbor, false);
		}

		/** <a class="alias"></a> Alias pre {@link #uložObrázok(String) uložObrázok}. */
		public void ulozObrazok(String súbor) { uložObrázok(súbor); }

		/**
		 * Uloží aktuálnu kresbu na plátne (podlahe alebo strope) do súboru
		 * s obrázkom. Prípona súboru musí byť {@code .gif}, {@code .png}
		 * alebo {@code .jpg} (resp. {@code .jpeg}).
		 * 
		 *  @param súbor     názov súboru s požadovanou príponou
		 *  @param prepísať  ak je {@code valtrue}, prípadný jestvujúci
		 *      súbor bude prepísaný, inak sa správa rovnako ako metóda
		 *      {@link #uložObrázok(String)}
		 *  @throws GRobotException  ak súbor jestvuje a parameter prepísať
		 *      je {@code valfalse} alebo ak bol zadaný názov súboru
		 *      s neplatnou príponou
		 */
		public void uložObrázok(String súbor, boolean prepísať)
		{
			File uložiťDo = new File(súbor);

			if (!prepísať && uložiťDo.exists())
				throw new GRobotException("Obrázok „" + súbor +
					"“ už jestvuje.", "imageAlreadyExists", súbor);

			String prípona = súbor.substring(súbor.lastIndexOf('.') + 1);

			if (prípona.toLowerCase().equals("png"))
			{
				// Súbory png:
				try { ImageIO.write((null == vlnenie) ?
				vyrovnávaciaPamäťObrázkaPlátna : vlnenie.zvlnenýRaster(),
				prípona, uložiťDo); } catch (IOException e)
				{ vypíšChybovéHlásenia(e, true); }
			}
			else if (prípona.toLowerCase().equals("jpg") ||
				prípona.toLowerCase().equals("jpeg"))
			{
				// Pre jpeg musíme zmeniť farebný model z ARGB na RGB
				// Pozri: http://archives.java.sun.com/cgi-bin/wa?A2=ind0404&L=
				// 	java2d-interest&D=0&P=2727

				WritableRaster raster = (null == vlnenie) ?
					(vyrovnávaciaPamäťObrázkaPlátna.getRaster()) :
					(vlnenie.zvlnenýRaster().getRaster());
				WritableRaster novýRaster = raster.createWritableChild(
					0, 0, šírkaPlátna, výškaPlátna,
					0, 0, new int[] {0, 1, 2});

				DirectColorModel farebnýModel;
				if (null == vlnenie)
					farebnýModel = (DirectColorModel)
						vyrovnávaciaPamäťObrázkaPlátna.getColorModel();
				else
					farebnýModel = (DirectColorModel)
						vlnenie.zvlnenýRaster().getColorModel();

				DirectColorModel novýFarebnýModel =
					new DirectColorModel(farebnýModel.getPixelSize(),
					farebnýModel.getRedMask(),
					farebnýModel.getGreenMask(),
					farebnýModel.getBlueMask());

				BufferedImage rgbBuffer = new BufferedImage(
					novýFarebnýModel, novýRaster, false, null);

				try { ImageIO.write(rgbBuffer, prípona, uložiťDo); }
				catch (IOException e) { vypíšChybovéHlásenia(e, true); }
			}
			else
			{
				throw new GRobotException("Neplatný formát obrázka: " +
					prípona, "invalidImageFormat", prípona);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #uložObrázok(String, boolean) uložObrázok}. */
		public void ulozObrazok(String súbor, boolean prepísať) { uložObrázok(súbor, prepísať); }


	// Vymazanie

		/**
		 * Vymaže obsah plátna (podlahy alebo stropu), aby bola viditeľná
		 * len farba pozadia sveta. Metóda zároveň vymaže všetky texty
		 * podlahy, resp. stropu napísané pomocou metód {@link
		 * #vypíš(Object[]) vypíš}, {@link #vypíšRiadok(Object[])
		 * vypíšRiadok}. Vymazanie grafiky má za následok vznik udalosti
		 * {@link ObsluhaUdalostí#vymazanie() vymazanie}, v rámci ktorej je
		 * možné získať práve vymazané plátno metódou {@link ÚdajeUdalostí
		 * ÚdajeUdalostí}{@code .}{@link ÚdajeUdalostí#vymazanéPlátno()
		 * vymazanéPlátno}{@code ()}.
		 * <P><b>Poznámka:</b> Metóda berie do úvahy použitie metód {@link
		 * Svet#nekresli() nekresli} a {@link Svet#kresli() kresli}. Čiže ak
		 * je automatické prekresľovanie vypnuté, treba po tejto metóde
		 * zavolať metódu {@link Svet#prekresli() prekresli}, aby sa efekt
		 * prejavil.
		 * 
		 *  @see #farba(java.awt.Color)
		 *  @see #vypíš(Object[]) vypíš(Object...)
		 *  @see #vypíšRiadok(Object[]) vypíšRiadok(Object...)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadiaTextu(java.awt.Color)
		 *  @see #písmo(Font)
		 *  @see #predvolenéPísmo()
		 *  @see #vymažTexty()
		 *  @see #vymažGrafiku()
		 */
		public void vymaž()
		{
			vnútornáKonzola.vymaž();

			if (null == originálPlátna) originálPlátna = ((DataBufferInt)
				vyrovnávaciaPamäťObrázkaPlátna.getRaster().
					getDataBuffer()).getData();
			Arrays.fill(originálPlátna, 0);
			if (právePrekresľujem) return;

			if (null != počúvadlo)
				synchronized (zámokUdalostí)
				{
					poslednéVymazanéPlátno = this;
					počúvadlo.vymazanie();
				}

			// if (null != hlavnýRobot)
			// 	synchronized (zámokUdalostí)
			// 	{
			// 		poslednéVymazanéPlátno = this;
			// 		hlavnýRobot.vymazanie();
			// 	}

			synchronized (zámokUdalostí)
			{
				for (GRobot počúvajúci : počúvajúciRozhranie)
				{
					poslednéVymazanéPlátno = this;
					počúvajúci.vymazanie();
				}
			}

			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #vymaž() vymaž}. */
		public void vymaz() { vymaž(); }

		/**
		 * Metóda vymaže všetky texty podlahy alebo stropu napísané pomocou
		 * metód {@link #vypíš(Object[]) vypíš}, {@link
		 * #vypíšRiadok(Object[]) vypíšRiadok} (ktoré sa líšia od textov
		 * „nakreslených“ robotmi metódou {@link #text(String)} – tie zostanú
		 * v tomto prípade zachované). Táto metóda nevyvolá vznik udalosti
		 * vymazania plátna, takže reakcia {@link ObsluhaUdalostí#vymazanie()
		 * vymazanie} nie je spustená. (Uvedená udalosť sa dotýka {@linkplain
		 * #vymažGrafiku() mazania grafiky}…)
		 * <P><b>Poznámka:</b> Metóda berie do úvahy použitie metód {@link
		 * Svet#nekresli() nekresli} a {@link Svet#kresli() kresli}. Čiže ak
		 * je automatické prekresľovanie vypnuté, treba po tejto metóde
		 * zavolať metódu {@link Svet#prekresli() prekresli}, aby sa efekt
		 * vizuálne prejavil.
		 * 
		 *  @see #vymaž()
		 *  @see #vymažGrafiku()
		 *  @see #vypíš(Object[]) vypíš(Object...)
		 *  @see #vypíšRiadok(Object[]) vypíšRiadok(Object...)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadiaTextu(java.awt.Color)
		 *  @see #písmo(Font)
		 *  @see #predvolenéPísmo()
		 */
		public void vymažTexty()
		{
			vnútornáKonzola.vymaž();
			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #vymažTexty() vymažTexty}. */
		public void vymazTexty() { vymažTexty(); }

		/**
		 * Vymaže obsah plátna (podlahy alebo stropu), aby bola viditeľná
		 * len farba pozadia sveta a texty<sup>[1]</sup>, ktoré boli
		 * napísané pomocou metód {@link #vypíš(Object[]) vypíš} alebo
		 * {@link #vypíšRiadok(Object[]) vypíšRiadok}. Vymazanie grafiky má
		 * za následok vznik udalosti {@link ObsluhaUdalostí#vymazanie()
		 * vymazanie}, v rámci ktorej je možné získať práve vymazané plátno
		 * metódou {@link ÚdajeUdalostí ÚdajeUdalostí}{@code .}{@link
		 * ÚdajeUdalostí#vymazanéPlátno() vymazanéPlátno}{@code ()}.
		 * 
		 * <P><small>[1] – pretože tieto texty nie sú, na rozdiel od textov
		 * {@linkplain #text(String) „nakreslených“ robotmi}, vnímané ako
		 * grafika</small>
		 * 
		 * <P><b>Poznámka:</b> Metóda berie do úvahy použitie metód {@link
		 * Svet#nekresli() nekresli} a {@link Svet#kresli() kresli}. Čiže ak
		 * je automatické prekresľovanie vypnuté, treba po tejto metóde
		 * zavolať metódu {@link Svet#prekresli() prekresli}, aby sa efekt
		 * prejavil.
		 * 
		 * <P>Keď je obsah plátien vymazaný, obsah „miestnosti“ – sveta
		 * grafických robotov – je vyplnený {@linkplain
		 * Svet#farbaPozadia(java.awt.Color) farbou pozadia}.
		 * 
		 *  @see #vymaž()
		 *  @see #vymažTexty()
		 *  @see #farba(java.awt.Color)
		 */
		public void vymažGrafiku()
		{
			if (null == originálPlátna) originálPlátna = ((DataBufferInt)
				vyrovnávaciaPamäťObrázkaPlátna.getRaster().
					getDataBuffer()).getData();
			Arrays.fill(originálPlátna, 0);
			if (právePrekresľujem) return;

			if (null != počúvadlo)
				synchronized (zámokUdalostí)
				{
					poslednéVymazanéPlátno = this;
					počúvadlo.vymazanie();
				}

			// if (null != hlavnýRobot)
			// 	synchronized (zámokUdalostí)
			// 	{
			// 		poslednéVymazanéPlátno = this;
			// 		hlavnýRobot.vymazanie();
			// 	}

			synchronized (zámokUdalostí)
			{
				for (GRobot počúvajúci : počúvajúciRozhranie)
				{
					poslednéVymazanéPlátno = this;
					počúvajúci.vymazanie();
				}
			}

			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #vymažGrafiku() vymažGrafiku}. */
		public void vymazGrafiku() { vymažGrafiku(); }


	// Výplň

		/**
		 * Vyplní podlahu alebo strop zadanou farbou, ktorá prekryje aj
		 * {@linkplain Svet#farbaPozadia(java.awt.Color) farbu pozadia} sveta.
		 * 
		 * <P><b>Poznámka:</b> Metóda berie do úvahy použitie metód {@link
		 * Svet#nekresli() nekresli} a {@link Svet#kresli() kresli}. Čiže ak
		 * je automatické prekresľovanie vypnuté, treba po tejto metóde
		 * zavolať metódu {@link Svet#prekresli() prekresli}, aby sa efekt
		 * prejavil.
		 * 
		 * <P>Výplň plátna prekrýva farbu pozadia. Keď je obsah plátien
		 * {@linkplain #vymažGrafiku() vymazaný}, obsah „miestnosti“ – sveta
		 * grafických robotov – je vyplnený {@linkplain
		 * Svet#farbaPozadia(java.awt.Color) farbou pozadia}.
		 * 
		 *  @param farba objekt určujúci farbu na výplň plátna
		 *  @see #vymaž()
		 */
		public void vyplň(Color farba)
		{
			vyrovnávaciaPamäťGrafikyPlátna.setColor(farba);
			vyrovnávaciaPamäťGrafikyPlátna.fillRect(0, 0,
				šírkaPlátna, výškaPlátna);
			if (právePrekresľujem) return;
			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(java.awt.Color) vyplň}. */
		public void vypln(Color farba) { vyplň(farba); }

		/**
		 * Vyplní podlahu alebo strop farbou zadaného objektu, ktorá prekryje
		 * aj {@linkplain Svet#farbaPozadia(java.awt.Color) farbu pozadia}
		 * sveta.
		 * 
		 * <P><b>Poznámka:</b> Metóda berie do úvahy použitie metód {@link
		 * Svet#nekresli() nekresli} a {@link Svet#kresli() kresli}. Čiže ak
		 * je automatické prekresľovanie vypnuté, treba po tejto metóde
		 * zavolať metódu {@link Svet#prekresli() prekresli}, aby sa efekt
		 * prejavil.
		 * 
		 * <P>Výplň plátna prekrýva farbu pozadia. Keď je obsah plátien
		 * {@linkplain #vymažGrafiku() vymazaný}, obsah „miestnosti“ – sveta
		 * grafických robotov – je vyplnený {@linkplain
		 * Svet#farbaPozadia(java.awt.Color) farbou pozadia}.
		 * 
		 *  @param objekt objekt určujúci farbu na výplň plátna
		 *  @see #vymaž()
		 */
		public void vyplň(Farebnosť objekt) { vyplň(objekt.farba()); }

		/** <a class="alias"></a> Alias pre {@link #vyplň(Farebnosť) vyplň}. */
		public void vypln(Farebnosť objekt) { vyplň(objekt); }

		/* *
		 * Toto je „klon“ metódy {@link #vyplň(java.awt.Color)}. Podlaha alebo
		 * strop sú vyplnené len v prípade, že je v premennej typu {@link
		 * Object} (zadanej ako parameter) uložená inštancia triedy {@link
		 * Farba Farba} alebo {@link Color Color}.
		 * /
		public void vyplň(Object farba)
		{
			if (farba instanceof Color) farba = new Farba((Color)farba);
			if (farba instanceof Farba) vyplň((Farba)farba);
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(Object) vyplň}. * /
		public void vypln(Object farba) { vyplň(farba); }
		*/

		/**
		 * Vyplní podlahu alebo strop farbou zadanou prostredníctvom farebných
		 * zložiek. Pre ďalšie informácie pozri metódu {@link
		 * #vyplň(java.awt.Color)}. Správanie tejto metódy je odvodené od nej.
		 * 
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      zložiek
		 *  @see #vyplň(java.awt.Color)
		 */
		public Farba vyplň(int r, int g, int b)
		{
			Farba nováFarba = new Farba(r, g, b);
			vyplň(nováFarba);
			return nováFarba;
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(int, int, int) vyplň}. */
		public Farba vypln(int r, int g, int b) { return vyplň(r, g, b); }

		/**
		 * Vyplní podlahu alebo strop farbou zadanou prostredníctvom farebných
		 * zložiek a úrovne (ne)priehľadnosti. Pre ďalšie informácie pozri
		 * metódu {@link #vyplň(java.awt.Color)}. Správanie tejto metódy je
		 * odvodené od nej.
		 * 
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti farby; celé číslo v rozsahu
		 *      0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná farba)
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      parametrov
		 *  @see #vyplň(java.awt.Color)
		 */
		public Farba vyplň(int r, int g, int b, int a)
		{
			Farba nováFarba = new Farba(r, g, b, a);
			vyplň(nováFarba);
			return nováFarba;
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(int, int, int, int) vyplň}. */
		public Farba vypln(int r, int g, int b, int a) { return vyplň(r, g, b, a); }

		/**
		 * Vyplní podlahu alebo strop zadanou textúrou. Textúra je súbor
		 * s obrázkom, ktorý bude použitý na dlaždicové vyplnenie plochy
		 * plátna (podlahy alebo stropu).
		 * 
		 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je možné
		 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
		 * súvislosti sa mierne zmenilo aj predvolené správanie
		 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
		 * dlaždicami sa presunul do stredu plátna, prípadne
		 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
		 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
		 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
		 * upravujúce ďalšie parametre obrázkových výplní.)</small>
		 * 
		 *  @param súbor názov súboru s obrázkom textúry
		 *  @see #vyplň(java.awt.Color)
		 *  @see Plátno#obrázok(String)
		 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 */
		public void vyplň(String súbor)
		{
			BufferedImage obrázok = súborNaObrázok(súbor);

			vyrovnávaciaPamäťGrafikyPlátna.setPaint(
				new TexturePaint(obrázok, new Rectangle2D.Double(
					posuňVýplňX, posuňVýplňY,
					obrázok.getWidth()  * mierkaVýplneX,
					obrázok.getHeight() * mierkaVýplneY)));

			if (0 == otočVýplňΑ)
				vyrovnávaciaPamäťGrafikyPlátna.fillRect(0, 0,
					šírkaPlátna, výškaPlátna);
			else
			{
				double β = Math.toRadians(otočVýplňΑ);
				vyrovnávaciaPamäťGrafikyPlátna.rotate(-β,
					otočVýplňX, otočVýplňY);

				Shape s = AffineTransform.getRotateInstance(β,
					otočVýplňX, otočVýplňY).createTransformedShape(
						new Rectangle(0, 0, šírkaPlátna, výškaPlátna));

				// vyrovnávaciaPamäťGrafikyPlátna.fillRect(0, 0,
				// 	šírkaPlátna, výškaPlátna);
				vyrovnávaciaPamäťGrafikyPlátna.fill(s);

				vyrovnávaciaPamäťGrafikyPlátna.rotate(β,
					otočVýplňX, otočVýplňY);
			}

			if (právePrekresľujem) return;

			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(String) vyplň}. */
		public void vypln(String súbor) { vyplň(súbor); }

		/**
		 * Vyplní podlahu alebo strop zadanou textúrou. Textúra je
		 * {@linkplain Obrázok obrázok} (objekt typu {@link Image
		 * Image} alebo odvodený), ktorý bude použitý na dlaždicové
		 * vyplnenie plochy plátna (podlahy alebo stropu).
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je možné
		 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
		 * súvislosti sa mierne zmenilo aj predvolené správanie
		 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
		 * dlaždicami sa presunul do stredu plátna, prípadne
		 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
		 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
		 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
		 * upravujúce ďalšie parametre obrázkových výplní.)</small>
		 * 
		 *  @param výplň obrázok s textúrou
		 *  @see #vyplň(java.awt.Color)
		 */
		public void vyplň(Image výplň)
		{
			BufferedImage obrázok = preveďNaBufferedImage(výplň);
			BufferedImage relevantný = dajRelevantnýRaster(obrázok);

			float priehľadnosť = (obrázok instanceof Obrázok) ?
				((Obrázok)obrázok).priehľadnosť : 1.0f;

			if (priehľadnosť > 0)
			{
				vyrovnávaciaPamäťGrafikyPlátna.setPaint(
					new TexturePaint(relevantný, new Rectangle2D.Double(
						posuňVýplňX, posuňVýplňY,
						relevantný.getWidth(null)  * mierkaVýplneX,
						relevantný.getHeight(null) * mierkaVýplneY)));

				Shape s = new Rectangle(0, 0, šírkaPlátna, výškaPlátna);
				double β = 0.0;

				if (0 != otočVýplňΑ)
				{
					β = Math.toRadians(otočVýplňΑ);
					vyrovnávaciaPamäťGrafikyPlátna.rotate(-β,
						otočVýplňX, otočVýplňY);

					s = AffineTransform.getRotateInstance(β,
						otočVýplňX, otočVýplňY).
						createTransformedShape(s);
				}

				if (priehľadnosť < 1)
				{
					Composite záloha =
						vyrovnávaciaPamäťGrafikyPlátna.getComposite();
					vyrovnávaciaPamäťGrafikyPlátna.setComposite(
						AlphaComposite.getInstance(
							AlphaComposite.SRC_OVER, priehľadnosť));
					// vyrovnávaciaPamäťGrafikyPlátna.fillRect(0, 0,
					// 	šírkaPlátna, výškaPlátna);
					vyrovnávaciaPamäťGrafikyPlátna.fill(s);
					vyrovnávaciaPamäťGrafikyPlátna.setComposite(záloha);
				}
				else
					// vyrovnávaciaPamäťGrafikyPlátna.fillRect(0, 0,
					// 	šírkaPlátna, výškaPlátna);
					vyrovnávaciaPamäťGrafikyPlátna.fill(s);


				if (0 != otočVýplňΑ)
				{
					vyrovnávaciaPamäťGrafikyPlátna.rotate(β,
						otočVýplňX, otočVýplňY);
				}

				if (!právePrekresľujem)
					automatickéPrekreslenie();
			}
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(Image) vyplň}. */
		public void vypln(Image výplň) { vyplň(výplň); }

		/**
		 * Vyleje do zadaného bodu na plátno farbu, ktorá sa odtiaľ rozšíri po
		 * okraje tej časti kresby, v ktorej sa zadaný bod nachádza.
		 * 
		 * <P>Toto je doplnková metóda umožňujúca vypĺňanie prázdnych častí
		 * kresieb na plátne. Jej efekt nemusí byť dokonalý. Farba sa
		 * napríklad nemusí dostať do úzkych častí kresby. Naopak,
		 * v niektorých situáciách môže farba mierne presiaknuť popod tenký
		 * okraj vypĺňanej časti kresby. Ak sa pokúsime vyplniť už vyplnenú
		 * časť kresby, farba dobre nezatečie k jej okrajom. Najlepšie
		 * výsledky sa dajú dosiahnuť pri vyplnení prázdnych častí kresby
		 * s dostatočne hrubým okrajom, ktorá neobsahuje žiadne úzke ťažko
		 * priechodné miesta.
		 * 
		 * <P><b>Poznámka:</b> Pripomíname, že aj táto metóda (ako všetky
		 * ostatné) berie do úvahy použitie metód {@link Svet#nekresli()
		 * nekresli} a {@link Svet#kresli() kresli}. Čiže ak je automatické
		 * prekresľovanie vypnuté, treba po tejto metóde zavolať metódu {@link
		 * Svet#prekresli() prekresli}, aby sa efekt prejavil.
		 * 
		 * <P><b>Tip:</b> Pozrite si aj opis metódy {@link GRobot#vylejFarbu()
		 * GRobot.vylejFarbu()}. Je v ňom pripojený aj príklad jej použitia.
		 * 
		 *  @param x  x-ová súradnica počiatočného bodu
		 *  @param y  y-ová súradnica počiatočného bodu
		 *  @param farba objekt určujúci farbu výplne
		 */
		public void vylejFarbu(double x, double y, Color farba)
		{
			VykonajVObrázku.vylejFarbu(
				vyrovnávaciaPamäťObrázkaPlátna,
				x, y, farba);
			if (právePrekresľujem) return;
			automatickéPrekreslenie();
		}

		/**
		 * Vyleje do zadaného bodu na plátno farbu, ktorá sa odtiaľ rozšíri po
		 * okraje tej časti kresby, v ktorej sa zadaný bod nachádza.
		 * 
		 * <P>Toto je doplnková metóda umožňujúca vypĺňanie prázdnych častí
		 * kresieb na plátne. Jej efekt nemusí byť dokonalý. Farba sa
		 * napríklad nemusí dostať do úzkych častí kresby. Naopak,
		 * v niektorých situáciách môže farba mierne presiaknuť popod tenký
		 * okraj vypĺňanej časti kresby. Ak sa pokúsime vyplniť už vyplnenú
		 * časť kresby, farba dobre nezatečie k jej okrajom. Najlepšie
		 * výsledky sa dajú dosiahnuť pri vyplnení prázdnych častí kresby
		 * s dostatočne hrubým okrajom, ktorá neobsahuje žiadne úzke ťažko
		 * priechodné miesta.
		 * 
		 * <P><b>Poznámka:</b> Pripomíname, že aj táto metóda (ako všetky
		 * ostatné) berie do úvahy použitie metód {@link Svet#nekresli()
		 * nekresli} a {@link Svet#kresli() kresli}. Čiže ak je automatické
		 * prekresľovanie vypnuté, treba po tejto metóde zavolať metódu {@link
		 * Svet#prekresli() prekresli}, aby sa efekt prejavil.
		 * 
		 * <P><b>Tip:</b> Pozrite si aj opis metódy {@link GRobot#vylejFarbu()
		 * GRobot.vylejFarbu()}. Je v ňom pripojený aj príklad jej použitia.
		 * 
		 *  @param x  x-ová súradnica počiatočného bodu
		 *  @param y  y-ová súradnica počiatočného bodu
		 *  @param objekt objekt určujúci farbu výplne
		 */
		public void vylejFarbu(double x, double y, Farebnosť objekt)
		{ vylejFarbu(x, y, objekt.farba()); }

		/* *
		 * Toto je „klon“ metódy {@link #vylejFarbu(double, double,
		 * java.awt.Color)}. Proces vyplnenia sa uskutoční len v prípade, že je
		 * v premennej typu {@link Object} (zadanej ako parameter) uložená
		 * inštancia triedy {@link Farba Farba} alebo {@link Color Color}.
		 * /
		public void vylejFarbu(double x, double y, Object farba)
		{
			if (farba instanceof Color) farba = new Farba((Color)farba);
			if (farba instanceof Farba) vylejFarbu(x, y, (Farba)farba);
		}
		*/

		/**
		 * Vyleje do zadaného bodu na plátno farbu zadanú prostredníctvom
		 * farebných zložiek, ktorá sa určeného bodu rozšíri po okraje
		 * okolitej kresby. Pre ďalšie informácie pozri metódu {@link
		 * #vylejFarbu(double, double, java.awt.Color)}. Správanie tejto
		 * metódy je odvodené od nej.
		 * 
		 *  @param x x-ová súradnica počiatočného bodu
		 *  @param y y-ová súradnica počiatočného bodu
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      zložiek
		 *  @see #vylejFarbu(double, double, java.awt.Color)
		 */
		public Farba vylejFarbu(double x, double y, int r, int g, int b)
		{
			Farba nováFarba = new Farba(r, g, b);
			vylejFarbu(x, y, nováFarba);
			return nováFarba;
		}

		/**
		 * Vyleje do zadaného bodu na plátno farbu zadanú prostredníctvom
		 * farebných zložiek a úrovne (ne)priehľadnosti, pričom farba sa
		 * zo stanoveného bodu rozšíri k okrajom okolitej kresby. Pre ďalšie
		 * informácie pozri metódu {@link #vylejFarbu(double, double,
		 * java.awt.Color)}. Správanie tejto metódy je odvodené od nej.
		 * 
		 *  @param x x-ová súradnica počiatočného bodu
		 *  @param y y-ová súradnica počiatočného bodu
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti farby; celé číslo v rozsahu
		 *      0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná farba)
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      parametrov
		 *  @see #vylejFarbu(double, double, java.awt.Color)
		 */
		public Farba vylejFarbu(double x, double y, int r, int g, int b, int a)
		{
			Farba nováFarba = new Farba(r, g, b, a);
			vylejFarbu(x, y, nováFarba);
			return nováFarba;
		}

		/**
		 * Vyleje do zadaného bodu na plátno farbu, ktorá sa odtiaľ rozšíri po
		 * okraje tej časti kresby, v ktorej sa zadaný bod nachádza. Pre
		 * ďalšie informácie pozri metódu {@link #vylejFarbu(double, double,
		 * java.awt.Color)}. Správanie tejto metódy je odvodené od nej.
		 * 
		 *  @param bod  súradnice počiatočného bodu
		 *  @param farba objekt určujúci farbu výplne
		 */
		public void vylejFarbu(Poloha bod, Color farba)
		{
			VykonajVObrázku.vylejFarbu(
				vyrovnávaciaPamäťObrázkaPlátna,
				bod.polohaX(), bod.polohaY(), farba);
			if (právePrekresľujem) return;
			automatickéPrekreslenie();
		}

		/**
		 * Vyleje do zadaného bodu na plátno farbu, ktorá sa odtiaľ rozšíri po
		 * okraje tej časti kresby, v ktorej sa zadaný bod nachádza. Pre
		 * ďalšie informácie pozri metódu {@link #vylejFarbu(double, double,
		 * java.awt.Color)}. Správanie tejto metódy je odvodené od nej.
		 * 
		 *  @param bod  súradnice počiatočného bodu
		 *  @param objekt objekt určujúci farbu výplne
		 */
		public void vylejFarbu(Poloha bod, Farebnosť objekt)
		{ vylejFarbu(bod, objekt.farba()); }

		/* *
		 * Toto je „klon“ metódy {@link #vylejFarbu(double, double,
		 * java.awt.Color)}. Proces vyplnenia sa uskutoční len v prípade, že je
		 * v premennej typu {@link Object} (zadanej ako parameter) uložená
		 * inštancia triedy {@link Farba Farba} alebo {@link Color Color}.
		 * /
		public void vylejFarbu(Poloha bod, Object farba)
		{
			if (farba instanceof Color) farba = new Farba((Color)farba);
			if (farba instanceof Farba) vylejFarbu(bod, (Farba)farba);
		}
		*/

		/**
		 * Vyleje do zadaného bodu na plátno farbu zadanú prostredníctvom
		 * farebných zložiek, ktorá sa určeného bodu rozšíri po okraje
		 * okolitej kresby. Pre ďalšie informácie pozri metódu {@link
		 * #vylejFarbu(double, double, java.awt.Color)}. Správanie tejto
		 * metódy je odvodené od nej.
		 * 
		 *  @param bod  súradnice počiatočného bodu
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      zložiek
		 *  @see #vylejFarbu(Poloha, java.awt.Color)
		 */
		public Farba vylejFarbu(Poloha bod, int r, int g, int b)
		{
			Farba nováFarba = new Farba(r, g, b);
			vylejFarbu(bod, nováFarba);
			return nováFarba;
		}

		/**
		 * Vyleje do zadaného bodu na plátno farbu zadanú prostredníctvom
		 * farebných zložiek a úrovne (ne)priehľadnosti, pričom farba sa
		 * zo stanoveného bodu rozšíri k okrajom okolitej kresby. Pre ďalšie
		 * informácie pozri metódu {@link #vylejFarbu(double, double,
		 * java.awt.Color)}. Správanie tejto metódy je odvodené od nej.
		 * 
		 *  @param bod  súradnice počiatočného bodu
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti farby; celé číslo v rozsahu
		 *      0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná farba)
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      parametrov
		 *  @see #vylejFarbu(Poloha, java.awt.Color)
		 */
		public Farba vylejFarbu(Poloha bod, int r, int g, int b, int a)
		{
			Farba nováFarba = new Farba(r, g, b, a);
			vylejFarbu(bod, nováFarba);
			return nováFarba;
		}

		/**
		 * Zadaný robot vyleje na svojej pozícii na plátno svoju aktuálnu
		 * {@linkplain GRobot#farba() farbu}, ktorá sa odtiaľ rozšíri po
		 * okraje okolitej kresby. Pre ďalšie informácie pozri metódu {@link
		 * #vylejFarbu(double, double, java.awt.Color)}. Správanie tejto
		 * metódy je odvodené od nej.
		 * 
		 *  @param ktorý robot, ktorého poloha a farba sú použité na výplň
		 */
		public void vylejFarbu(GRobot ktorý)
		{ vylejFarbu(ktorý.aktuálneX, ktorý.aktuálneY, ktorý.farbaRobota); }


	// Maska

		/**
		 * Použije na toto plátno masku vyrobenú zo zadaného obrázka.
		 * Obrázok masky musí mať rovnaké rozmery ako plátno, inak operácia
		 * zlyhá. Maska je vyrobená z kombinácie intenzity farieb
		 * a priehľadnosti jednotlivých bodov zadaného obrázka. Čím je bod
		 * masky tmavší, tým bude viditeľnejší, čím svetlejší, tým menej
		 * viditeľný. Jas je korigovaný aj zložkami priehľadnosti obidvoch
		 * bodov, teda bodu, ktorý bol pôvodne na plátne aj bodu na obrázku
		 * masky. Ak je súčin zložiek priehľadnosti rovný nule, tak bude
		 * výsledný neviditeľný. Viditeľnosť bodov v ostatných prípadoch
		 * záleží od výsledku výpočtov algoritmu. Napríklad úplne čierne
		 * úplne nepriehľadné body masky neovplyvnia priehľadnosť bodov
		 * na plátne.
		 * 
		 *  @param maska obrázok, ktorý bude použitý ako maska
		 *  @return {@code valtrue} ak bola operácia úspešná
		 */
		public boolean použiMasku(BufferedImage maska)
		{ return VykonajVObrázku.použiMasku(
		vyrovnávaciaPamäťObrázkaPlátna, maska); }

		/** <a class="alias"></a> Alias pre {@link #použiMasku(BufferedImage) použiMasku}. */
		public boolean pouziMasku(BufferedImage maska)
		{ return VykonajVObrázku.použiMasku(
		vyrovnávaciaPamäťObrázkaPlátna, maska); }


		/**
		 * Vyrobí z obsahu tohto plátna do zadaného obrázka masku
		 * priehľadnosti. Zadaný obrázok musí mať rovnaké rozmery ako plátno,
		 * inak operácia zlyhá. Vyrobená maska bude obsahovať čierne body
		 * s rôznou úrovňou priehľadnosti podľa priehľadnosti bodov na plátne.
		 * Pôvodný obsah zadaného obrázka (argumentu {@code nováMaska}) bude
		 * nahradený.
		 * 
		 *  @param nováMaska obrázok, do ktorého bude nová maska vyrobená
		 *     (pôvodný obsah obrázka bude nahradený maskou)
		 *  @return {@code valtrue} ak bola operácia úspešná
		 */
		public boolean vyrobMasku(BufferedImage nováMaska)
		{ return null != VykonajVObrázku.vyrobMasku(
		vyrovnávaciaPamäťObrázkaPlátna, nováMaska); }

		/**
		 * Vyrobí z obsahu tohto plátna masku priehľadnosti. Metóda vytvorí
		 * masku do nového obrázka (typu {@link BufferedImage BufferedImage}),
		 * ktorý sama automaticky vytvorí a vráti ho ako svoju návratovú
		 * hodnotu. Nová maska bude obsahovať čierne body s rôznou úrovňou
		 * priehľadnosti vychádzajúc z priehľadnosti bodov na plátne.
		 * 
		 *  @return nový obrázok obsahujúci vyrobenú masku
		 */
		public BufferedImage vyrobMasku()
		{ return VykonajVObrázku.vyrobMasku(
		vyrovnávaciaPamäťObrázkaPlátna, null); }


	// Rozmazanie a filter

		/*
		// Rozmazávanie prostriedkami Javy bolo spočiatku zamietnuté…
		// Nepáčilo sa mi, že okraje nechal babke Blažkovej a vytvorenie
		// väčšieho dočasného plátna sa mi tiež nepozdávalo…

			private final static float[] maticaRozmazania = {
				0.10f, 0.10f, 0.10f,
				0.10f, 0.20f, 0.10f,
				0.10f, 0.10f, 0.10f};

			private final static ConvolveOp rozmazanie = new ConvolveOp(
				new Kernel(3, 3, maticaRozmazania));

			// vyrovnávaciaPamäťObrázkaPlátna =
			// 	rozmazanie.filter(vyrovnávaciaPamäťObrázkaPlátna, null);

		// Nakoniec sa vlastný algoritmus na rozmazanie ukázal byť príliš
		// neefektívny a aj keby sa možno dal zachrániť určitými
		// optimalizáciami, vrátil som sa späť ku ConvolveOp…

		// Vlastný algoritmus rozmazania i s pôvodným opisom metódy „rozmaž“
		// je archivovaný v komentári tela metódy Plátno.rozmaž(int, int,
		// int, int, int). Pri väčších rozsahoch rozmazaniach vznikal „efekt
		// rušenia“, ktorý bol spôsobený štvorcovým rozmazaním. V súčasnosti
		// používame kruhové lineárne…
		*/

		/**
		 * Rozmaže grafiku tohto plátna. Pre priehľadné (neviditeľné) body je
		 * pri procese rozmazania použitá zadaná farba pozadia. Opakovanie
		 * a rozsah majú z vizuálneho hľadiska podobný dopad na výsledný efekt
		 * rozmazania, ale matice lineárneho kruhového rozmazania sú
		 * vygenerované len do úrovne rozsahu 5 (vrátane). Pri zadaní vyššej
		 * hodnoty rozsahu získame rovnaký efekt ako keby sme zadali hodnotu
		 * 5. Ak chceme dosiahnuť vyššiu mieru rozmazania, musíme zvýšiť počet
		 * opakovaní procesu rozmazania (argument opakovanie). Čím vyššie sú
		 * hodnoty opakovania a rozsahu, tým vyššie sú nároky metódy na
		 * výpočtový výkon.
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param rozsah rozsah rozmazania; reálny efekt dosiahneme len
		 *      v rámci hodnôt 1 – 5, vyššie čísla sú zaokrúhlené na 5, nižšie
		 *      nespôsobia žiadne rozmazanie
		 *  @param pozadie farba použitá pri procese rozmazania pre priehľadné
		 *      body
		 */
		public void rozmaž(int opakovanie, int rozsah, Color pozadie)
		{
			VykonajVObrázku.rozmaž(vyrovnávaciaPamäťObrázkaPlátna,
				vyrovnávaciaPamäťGrafikyPlátna, opakovanie, rozsah, pozadie);
			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, int, java.awt.Color) rozmaž}. */
		public void rozmaz(int opakovanie, int rozsah, Color pozadie)
		{ rozmaž(opakovanie, rozsah, pozadie); }

		/**
		 * Rozmaže grafiku tohto plátna. Dosiahneme rovnaký efekt, ako keby
		 * sme volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (opakovanie, }{@code num1}{@code , pozadie);}
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param pozadie farba použitá pre neviditeľné body
		 */
		public void rozmaž(int opakovanie, Color pozadie)
		{ rozmaž(opakovanie, 1, pozadie); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, java.awt.Color) rozmaž}. */
		public void rozmaz(int opakovanie, Color pozadie)
		{ rozmaž(opakovanie, 1, pozadie); }

		/**
		 * Rozmaže grafiku tohto plátna. Dosiahneme rovnaký efekt, ako keby
		 * sme volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (}{@code num1}{@code , }{@code num1}{@code
		 * , pozadie);}
		 * 
		 *  @param pozadie farba použitá pre neviditeľné body
		 */
		public void rozmaž(Color pozadie) { rozmaž(1, 1, pozadie); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(java.awt.Color) rozmaž}. */
		public void rozmaz(Color pozadie) { rozmaž(1, 1, pozadie); }


		/**
		 * Rozmaže grafiku tohto plátna. Pre priehľadné (neviditeľné) body je
		 * pri procese rozmazania použitá zadaná farba pozadia. Opakovanie
		 * a rozsah majú z vizuálneho hľadiska podobný dopad na výsledný efekt
		 * rozmazania, ale matice lineárneho kruhového rozmazania sú
		 * vygenerované len do úrovne rozsahu 5 (vrátane). Pri zadaní vyššej
		 * hodnoty rozsahu získame rovnaký efekt ako keby sme zadali hodnotu
		 * 5. Ak chceme dosiahnuť vyššiu mieru rozmazania, musíme zvýšiť počet
		 * opakovaní procesu rozmazania (argument opakovanie). Čím vyššie sú
		 * hodnoty opakovania a rozsahu, tým vyššie sú nároky metódy na
		 * výpočtový výkon.
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param rozsah rozsah rozmazania; reálny efekt dosiahneme len
		 *      v rámci hodnôt 1 – 5, vyššie čísla sú zaokrúhlené na 5, nižšie
		 *      nespôsobia žiadne rozmazanie
		 *  @param pozadie farba použitá pri procese rozmazania pre priehľadné
		 *      body
		 */
		public void rozmaž(int opakovanie, int rozsah, Farebnosť pozadie)
		{
			VykonajVObrázku.rozmaž(vyrovnávaciaPamäťObrázkaPlátna,
				vyrovnávaciaPamäťGrafikyPlátna, opakovanie, rozsah,
				pozadie.farba());
			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, int, java.awt.Color) rozmaž}. */
		public void rozmaz(int opakovanie, int rozsah, Farebnosť pozadie)
		{ rozmaž(opakovanie, rozsah, pozadie); }

		/**
		 * Rozmaže grafiku tohto plátna. Dosiahneme rovnaký efekt, ako keby
		 * sme volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (opakovanie, }{@code num1}{@code , pozadie);}
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param pozadie farba použitá pre neviditeľné body
		 */
		public void rozmaž(int opakovanie, Farebnosť pozadie)
		{ rozmaž(opakovanie, 1, pozadie.farba()); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, Farebnosť) rozmaž}. */
		public void rozmaz(int opakovanie, Farebnosť pozadie)
		{ rozmaž(opakovanie, 1, pozadie.farba()); }

		/**
		 * Rozmaže grafiku tohto plátna. Dosiahneme rovnaký efekt, ako keby
		 * sme volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (}{@code num1}{@code , }{@code num1}{@code
		 * , pozadie);}
		 * 
		 *  @param pozadie farba použitá pre neviditeľné body
		 */
		public void rozmaž(Farebnosť pozadie) { rozmaž(1, 1, pozadie.farba()); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(Farebnosť) rozmaž}. */
		public void rozmaz(Farebnosť pozadie) { rozmaž(1, 1, pozadie.farba()); }


		/**
		 * Rozmaže grafiku tohto plátna. Dosiahneme rovnaký efekt, ako keby
		 * sme volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (opakovanie, rozsah, }{@link Svet Svet}.{@link
		 * Svet#farbaPozadia() farbaPozadia}{@code ());}
		 * 
		 * To znamená, že pre priehľadné (neviditeľné) body je pri procese
		 * rozmazania použitá aktuálna farba pozadia sveta (pozri: {@link
		 * Svet#farbaPozadia(java.awt.Color) Svet.farbaPozadia(farba)}).
		 * 
		 * <P><b>Príklad:</b>
		 * <P>V tomto príklade použijeme rozmazanie na napodobnenie obláčikov
		 * na oblohe (<small>pozri zoznam zmien: <a
		 * href="zoznam-zmien.html">poďakovanie</a> uvedené pri
		 * verzii 1.35</small>):
		 * <pre CLASS="example">
			{@code comm// Nakreslíme niekoľko skupín čiastočne priehľadných bielych}
			{@code comm// elíps na tyrkysovom pozadí:}

			{@link Svet Svet}.{@link Svet#farbaPozadia(java.awt.Color) farbaPozadia}({@link GRobot#tyrkysová tyrkysová});

			{@link GRobot#farba(int, int, int, int) farba}({@code num250}, {@code num250}, {@code num250}, {@code num150});
			{@link GRobot#zdvihniPero() zdvihniPero}();
			{@link GRobot#skry() skry}();

			{@code kwdfor} ({@code typeint} j = {@code num0}; j &lt; {@code num16}; ++j)
			{
				{@link GRobot#skočNa(double, double) skočNa}({@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}(
						{@link Svet Svet}.{@link Svet#ľavýOkraj() ľavýOkraj}(), {@link Svet Svet}.{@link Svet#pravýOkraj() pravýOkraj}()),
					{@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}(
						{@link Svet Svet}.{@link Svet#dolnýOkraj() dolnýOkraj}(), {@link Svet Svet}.{@link Svet#hornýOkraj() hornýOkraj}()));

				{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num32}; ++i)
				{
					{@link GRobot#smer(double) smer}({@code num90});
					{@link GRobot#vyplňElipsu(double, double) vyplňElipsu}({@code num10}, {@code num5});
					{@link GRobot#náhodnýSmer() náhodnýSmer}();
					{@link GRobot#dopredu(double) dopredu}({@code num12});
				}
			}

			{@code comm// Rozmazaním dosiahneme zaujímavý efekt…}
			{@link Plátno podlaha}.{@code currrozmaž}({@code num12}, {@code num3});
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * 
		 * <table style="margin-left: auto; margin-right: auto;"><tr>
		 * <td><image>rozmazaneOblaciky-0.png</image></td>
		 * <td><image>rozmazaneOblaciky-1.png</image></td>
		 * <td><image>rozmazaneOblaciky-2.png</image></td>
		 * <td><image>rozmazaneOblaciky-3.png</image></td>
		 * </tr><tr>
		 * <td><image>rozmazaneOblaciky-4.png</image></td>
		 * <td><image>rozmazaneOblaciky-5.png</image></td>
		 * <td><image>rozmazaneOblaciky-6.png</image></td>
		 * <td><image>rozmazaneOblaciky-7.png</image></td>
		 * </tr><tr><td colspan="4" style="text-align: center;"><small>Niekoľko
		 * ukážok výstupu príkladu – výsledok každého spustenia je unikátny
		 * <small>(plátno ukážok je úmyselne
		 * zmenšené)</small></small></td></tr></table>
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param rozsah rozsah rozmazania
		 */
		public void rozmaž(int opakovanie, int rozsah)
		{ rozmaž(opakovanie, rozsah, farbaPozadia); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, int) rozmaž}. */
		public void rozmaz(int opakovanie, int rozsah)
		{ rozmaž(opakovanie, rozsah, farbaPozadia); }

		/**
		 * Rozmaže grafiku tohto plátna. Dosiahneme rovnaký efekt, ako keby
		 * sme volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (opakovanie, }{@code num1}{@code , }{@link Svet
		 * Svet}.{@link Svet#farbaPozadia() farbaPozadia}{@code ());}
		 * 
		 * To znamená, že pre priehľadné (neviditeľné) body je pri procese
		 * rozmazania použitá aktuálna farba pozadia sveta (pozri: {@link
		 * Svet#farbaPozadia(java.awt.Color) Svet.farbaPozadia(farba)}).
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 */
		public void rozmaž(int opakovanie)
		{ rozmaž(opakovanie, 1, farbaPozadia); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int) rozmaž}. */
		public void rozmaz(int opakovanie)
		{ rozmaž(opakovanie, 1, farbaPozadia); }

		/**
		 * Rozmaže grafiku tohto plátna. Dosiahneme rovnaký efekt, ako keby
		 * sme volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (opakovanie, rozsah, }{@link Svet Svet}.{@link
		 * Svet#farbaPozadia() farbaPozadia}{@code ());}
		 * 
		 * To znamená, že pre priehľadné (neviditeľné) body je pri procese
		 * rozmazania použitá aktuálna farba pozadia sveta (pozri: {@link
		 * Svet#farbaPozadia(java.awt.Color) Svet.farbaPozadia(farba)}).
		 */
		public void rozmaž() { rozmaž(1, 1, farbaPozadia); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž() rozmaž}. */
		public void rozmaz() { rozmaž(1, 1, farbaPozadia); }


		/**
		 * Rozmaže grafiku tohto plátna. Dosiahneme rovnaký efekt, ako keby
		 * sme volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (opakovanie, rozsah, }{@code kwdnew}{@code  }{@link
		 * Farba Farba}{@code (bgr, bgg, bgb));}
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param rozsah rozsah rozmazania
		 *  @param bgr červený komponent pozadia
		 *  @param bgg zelený komponent pozadia
		 *  @param bgb modrý komponent pozadia
		 */
		public void rozmaž(int opakovanie, int rozsah,
			int bgr, int bgg, int bgb)
		{
			rozmaž(opakovanie, rozsah, new Farba(bgr, bgg, bgb));
			/*
			// Pôvodný spôsob rozmazávania a pôvodný opis metódy

				 * Rozmaže grafiku tohto plátna. Pre priehľadné (neviditeľné)
				 * body sú pri procese výpočtu rozmazania použité zadané
				 * farebné komponenty {@code bgr}, {@code bgg}, {@code bgb}.
				 * Opakovanie a rozsah majú podobný dopad na výsledný efekt
				 * rozmazania, ale viacnásobné opakovanie je o niečo rýchlejšie
				 * ako výpočet s väčším rozsahom. Väčší rozsah sa usiluje
				 * zahrnúť do procesu výpočtu čo najširšie okolie rozmazávaných
				 * bodov, čím môže navyše spôsobiť grafický efekt mierneho
				 * rušenia popri rozmazaní…
				 * 
				 *  @param opakovanie počet opakovaní rozmazania; pri vyšších
				 *      hodnotách opakovania narastajú nároky na výkon
				 *  @param rozsah rozsah rozmazania; odporúčame nízke hodnoty
				 *      (1 – 4); pri vyšších hodnotách nadmerne narastajú
				 *      nároky na výkon
				 *  @param bgr červený komponent pozadia
				 *  @param bgg zelený komponent pozadia
				 *  @param bgb modrý komponent pozadia

			if (rozsah < 1 || opakovanie < 1) return;

			if (null == originálPlátna)
				originálPlátna = ((DataBufferInt)
					vyrovnávaciaPamäťObrázkaPlátna.getRaster().
						getDataBuffer()).getData();

			if (null == operáciePlátna)
				operáciePlátna = new int[originálPlátna.length];


			int šírka = vyrovnávaciaPamäťObrázkaPlátna.getWidth();
			int výška = vyrovnávaciaPamäťObrázkaPlátna.getHeight();

			// Použité skratky:
			//  xč, yč – súradnice čítaného bodu
			//  sč – súradnica čítaného bodu prepočítaná na polohu v poli
			//    (xč + yč * šírka)
			//  xz, yz – súradnice zapisovaného bodu
			//  sz – súradnica zapisovaného bodu prepočítaná na polohu v poli
			//  h – aktuálna prečítaná hodnota bodu (farby)
			//  vr, vg, vb, va – prepočítavané hodnoty zložiek výsledku
			//    (červená, zelená, modrá a alfa)
			//  p – počet hodnôt vo výsledku

			for (int i = 0; i < opakovanie; ++i)
			{
				for (int sz = 0, yz = 0; yz < výška; ++yz)
				{
					for (int xz = 0; xz < šírka; ++xz, ++sz)
					{
						int vr = 0;
						int vg = 0;
						int vb = 0;
						int va = 0;
						int p = 0;

						for (int yč = yz - rozsah; yč <= yz + rozsah; ++yč)
						{
							if (yč < 0 || yč >= výška) continue;

							for (int xč = xz - rozsah, sč = xč + yč * šírka;
								xč <= xz + rozsah; ++xč, ++sč)
							{
								if (xč < 0 || xč >= šírka) continue;

								int h = originálPlátna[sč];

								if (h >> 24 == 0)
								{
									vb += bgb;
									vg += bgg;
									vr += bgr;
								}
								else
								{
									vb += h & 0xff; h >>= 8;
									vg += h & 0xff; h >>= 8;
									vr += h & 0xff; h >>= 8;
									va += h & 0xff; h >>= 8;
								}

								++p;
							}
						}

						if (p > 0)
						{
							vr /= p;
							vg /= p;
							vb /= p;
							va /= p;
						}

						operáciePlátna[sz] =
							(((((va << 8) | vr) << 8) | vg) << 8) | vb;
					}
				}

				System.arraycopy(operáciePlátna, 0,
					originálPlátna, 0, originálPlátna.length);
			}

			automatickéPrekreslenie();
			*/
		}

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, int, int, int, int) rozmaž}. */
		public void rozmaz(int opakovanie, int rozsah, int bgr, int bgg, int bgb)
		{ rozmaž(opakovanie, rozsah, new Farba(bgr, bgg, bgb)); }

		/**
		 * Rozmaže grafiku tohto plátna. Dosiahneme rovnaký efekt, ako keby
		 * sme volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (opakovanie, }{@code num1}{@code , }{@code
		 * kwdnew}{@code  }{@link Farba Farba}{@code (bgr, bgg, bgb));}
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param bgr červený komponent pozadia
		 *  @param bgg zelený komponent pozadia
		 *  @param bgb modrý komponent pozadia
		 */
		public void rozmaž(int opakovanie, int bgr, int bgg, int bgb)
		{ rozmaž(opakovanie, 1, new Farba(bgr, bgg, bgb)); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, int, int, int) rozmaž}. */
		public void rozmaz(int opakovanie, int bgr, int bgg, int bgb)
		{ rozmaž(opakovanie, 1, new Farba(bgr, bgg, bgb)); }

		/**
		 * Rozmaže grafiku tohto plátna. Dosiahneme rovnaký efekt, ako keby
		 * sme volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (}{@code num1}{@code , }{@code num1}{@code , }{@code
		 * kwdnew}{@code  }{@link Farba Farba}{@code (bgr, bgg,
		 * bgb));}
		 * 
		 *  @param bgr červený komponent pozadia
		 *  @param bgg zelený komponent pozadia
		 *  @param bgb modrý komponent pozadia
		 */
		public void rozmaž(int bgr, int bgg, int bgb)
		{ rozmaž(1, 1, new Farba(bgr, bgg, bgb)); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, int, int) rozmaž}. */
		public void rozmaz(int bgr, int bgg, int bgb)
		{ rozmaž(1, 1, new Farba(bgr, bgg, bgb)); }


		/**
		 * Použije na plátno filter vyrobený zo zložky jasu kresby
		 * zadaného/predloženého obrázka. Zložka priehľadnosti bodov na
		 * obrázku, ktorý poslúži ako predloha pre filter nie je braná do
		 * úvahy. Hodnoty farebných zložiek úplne priehľadných (neviditeľných)
		 * bodov sú nepredvídateľné, preto by mal byť obrázok predlohy filtra
		 * úplne pokrytý nepriehľadnou kresbou. Svetlé/biele body na obrázku
		 * predlohy spôsobia vymazanie bodov na plátne (nastavenie hodnôt
		 * všetkých ich farebných zložiek a priehľadnosti na nulu).
		 * Tmavé/čierne body na predloženom
		 * obrázku nespôsobia na plátne žiadnu zmenu priehľadnosti.
		 * (Ostatné odtiene šedej a farebné body vo filtri spôsobia nastavenie
		 * úrovne priehľadnosti bodov plátna na hodnotu jasu vypočítanú
		 * z priemeru farebných zložiek bodov filtra.)
		 * Obrázok s predlohou musí mať rovnaký rozmer ako plátno, inak
		 * operácia zlyhá.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param kresba obrázok, ktorý bude použitý ako predloha pre filter
		 *  @return {@code valtrue} ak bola operácia úspešná
		 */
		public boolean vymažKresbu(Image kresba)
		{
			return VykonajVObrázku.vymažKresbu(
				vyrovnávaciaPamäťObrázkaPlátna,
				preveďNaBufferedImage(kresba));
		}

		/** <a class="alias"></a> Alias pre {@link #vymažKresbu(Image) vymažKresbu}. */
		public boolean vymazKresbu(Image kresba) { return vymažKresbu(kresba); }


	// Rolovanie a pretáčanie

		/**
		 * Posunie obsah plátna o zadaný počet bodov v horizontálnom a/alebo
		 * vertikálnom smere. Tá časť plátna, ktorá opustí jeho rozmery, bude
		 * stratená, pričom na protiľahlej strane vznikne prázdna oblasť.
		 * Metóda má využitie napríklad pri posune hracej plochy, pričom
		 * musíme zabezpečiť, aby boli vzniknuté prázdne časti plochy
		 * dokreslené. Ak chceme obsah plátna pretočiť dookola (t. j. bez
		 * straty obsahu), musíme použiť metódu {@link #pretoč(double,
		 * double) pretoč}.
		 * 
		 *  @param Δx posun v horizontálnom (vodorovnom) smere
		 *  @param Δy posun vo vertikálnom (zvislom) smere
		 */
		public void roluj(double Δx, double Δy)
		{
			VykonajVObrázku.roluj(vyrovnávaciaPamäťObrázkaPlátna,
				(int)Δx, (int)Δy);
			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #roluj(double, double) roluj}. */
		public void rolujGrafiku(double Δx, double Δy) { roluj(Δx, Δy); }

		/**
		 * Pretočí obsah plátna o zadaný počet bodov v horizontálnom a/alebo
		 * vertikálnom smere. Tá časť plátna, ktorá by mala pri pretočení
		 * opustiť jeho rozmery, sa objaví na protiľahlej strane. Pretáčaním
		 * plátna v ľubovoľnom smere nikdy nestratíme grafickú informáciu
		 * a spätným posunom dostaneme pôvodný stav. Ak z rôznych dôvodov
		 * potrebujeme, aby sa pri pretáčaní tie časti, ktoré opustia
		 * rozmery plátna stratili a aby vzniknuté prázdne časti zostali
		 * skutočne prázdne (pripravené na ďalšie kreslenie), musíme použiť
		 * metódu {@link #roluj(double, double) roluj}.
		 * 
		 *  @param Δx posun v horizontálnom (vodorovnom) smere
		 *  @param Δy posun vo vertikálnom (zvislom) smere
		 */
		public void pretoč(double Δx, double Δy)
		{
			VykonajVObrázku.pretoč(vyrovnávaciaPamäťObrázkaPlátna,
				(int)Δx, (int)Δy);
			automatickéPrekreslenie();
		}

		/** <a class="alias"></a> Alias pre {@link #pretoč(double, double) pretoč}. */
		public void pretoc(double Δx, double Δy) { pretoč(Δx, Δy); }

		/**
		 * Posunie texty vnútornej konzoly o zadaný počet bodov v smere
		 * osí x a y. Použitie metódy má alebo naopak nemá za určitých
		 * okolností zmysel. Okolnosti sú zhrnuté v nasledujúcich bodoch:
		 * 
		 * <ul>
		 * <li>Ak objem textu vnútornej konzoly rozmerovo prekročí rozmery
		 * zobrazenej časti plátna, stáva sa rolovateľným.</li>
		 * <li>Po použití polohovania textu (napríklad metódou {@link
		 * #píšNa(double, double, Object[]) píšNa(x, y, …)}) je rolovanie
		 * až do najbližšieho {@linkplain #vymažTexty() vymazania textov}
		 * konzoly vypnuté.</li>
		 * <li>Rolovanie v smere osi x je možné len v prípade, že je vypnuté
		 * {@linkplain #nezalamujTexty() zalamovanie textov} konzoly.</li>
		 * <li>Automatické rolovanie kolieskom myši je možné vypnúť
		 * nastavením hodnoty {@code valfalse} (rovnomenného) príznaku
		 * {@link #rolujTexty rolujTexty}.</li>
		 * <!-- li>Dokedy programátor nedefinuje vlastnú {@linkplain
		 * ObsluhaUdalostí obsluhu udalostí} prebieha rolovanie textov stropu
		 * (len stropu, nie podlahy) kolieskom myši automaticky. Po definícii
		 * {@linkplain ObsluhaUdalostí obsluhy udalostí} sa o rolovanie musí
		 * postarať programátor metódou {@link #rolujTexty() rolujTexty()}
		 * (pozri nižšie).</li>
		 * <li>Umožnenie rolovania textov obidvoch plátien pomocou kolieska
		 * myši je možné len prostredníctvom definovania vlastnej
		 * {@linkplain ObsluhaUdalostí obsluhy udalostí} a použitia metódy
		 * {@link #rolujTexty() rolujTexty()} v reakcii {@link
		 * ObsluhaUdalostí#rolovanieKolieskomMyši rolovanieKolieskomMyši}
		 * (t. j. <code>podlaha.rolujTexty();</code> alebo
		 * <code>strop.rolujTexty();</code>).</li -->
		 * <li>Aktuálna úroveň posunutia textov je automaticky korigovaná až
		 * počas aktualizácie (zobrazenia) textov na obrazovke tak, aby sa
		 * texty príliš neposunuli voči okrajom plátna smerom dovnútra.</li>
		 * </ul>
		 * 
		 * <P>Všetky relevantné z uvedených informácií sú platné aj pre
		 * ostatné metódy pracujúce s posunom textov vnútornej konzoly…
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param Δx zmena posutia v smere x; kladná hodnota posúva texty
		 *   smerom doľava (smerom od pravého okraja odkrývajúc text
		 *   vpravo), záporná naopak (výsledná hodnota posunutia textov môže
		 *   byť prispôsobená počas prekresľovania)
		 * @param Δy zmena posutia v smere y; kladná hodnota posúva texty
		 *   smerom dole (smerom od horného okraja nadol odkrývajúc text
		 *   napísaný vyššie), záporná naopak (výsledná hodnota posunutia
		 *   textov môže byť prispôsobená počas prekresľovania)
		 * 
		 * @see #rolujTexty()
		 * @see #posunutieTextovX(int)
		 * @see #posunutieTextovY(int)
		 * @see #posunutieTextovX()
		 * @see #posunutieTextovY()
		 * @see #posunutieTextov(int, int)
		 * @see #posunutieTextov()
		 */
		public void rolujTexty(int Δx, int Δy)
		{
			vnútornáKonzola.posunutieTextovX += Δx;
			vnútornáKonzola.posunutieTextovY += Δy;
			automatickéPrekreslenie();
		}

		/**
		 * Posunie texty vnútornej konzoly podľa poslednej udalosti
		 * {@linkplain ÚdajeUdalostí#kolieskoMyši kolieska myši}. Použitie
		 * metódy má alebo naopak nemá za určitých okolností zmysel –
		 * podrobnosti sú uvedené v opise metódy
		 * {@link #rolujTexty(int, int) rolujTexty(Δx, Δy)}.
		 * 
		 * <P>Ak je hodnota rovnomenného príznaku
		 * {@link #rolujTexty rolujTexty} rovná {@code valtrue} (čo je
		 * predvolená hodnota tohto príznaku), tak je táto metóda automaticky
		 * spustenná pri vzniku udalostí rolovania kolieskom myši.
		 * 
		 * <P><!--Túto metódu ({@code currrolujTexty} bez paramerov) je vhodné
		 * použiť v reakcii {@link ObsluhaUdalostí#rolovanieKolieskomMyši()
		 * rolovanieKolieskomMyši} na obnovenie rolovania textov stropu
		 * alebo zapnutie rolovanie textov podlahy. -->Aby bolo rolovanie
		 * svižnejšie, je jeden krok rolovania násobený osemnásobkom objemu
		 * rolovania (stanoveného systémom; zistiteľného volaním: {@link
		 * ÚdajeUdalostí#kolieskoMyši() kolieskoMyši()}{@code .}{@link
		 * MouseWheelEvent#getScrollAmount() getScrollAmount()}).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see ObsluhaUdalostí#rolovanieKolieskomMyši()
		 * @see #rolujTexty(int, int)
		 * @see #posunutieTextovX(int)
		 * @see #posunutieTextovY(int)
		 * @see #posunutieTextovX()
		 * @see #posunutieTextovY()
		 * @see #posunutieTextov(int, int)
		 * @see #posunutieTextov()
		 * @see #rolujTexty
		 */
		public void rolujTexty()
		{
			vnútornáKonzola.posunutieTextovX += 8 * rolovanieKolieskomMyšiX *
				poslednáUdalosťRolovania.getScrollAmount();
			vnútornáKonzola.posunutieTextovY += 8 * rolovanieKolieskomMyšiY *
				poslednáUdalosťRolovania.getScrollAmount();
			// System.out.println("[" + rolovanieKolieskomMyšiX +
			// 	", " + rolovanieKolieskomMyšiY + "]");
			automatickéPrekreslenie();
		}

		/**
		 * Nastaví posunutie textov v smere osi x.
		 * Použitie metódy má alebo naopak nemá za určitých okolností zmysel –
		 * podrobnosti sú uvedené v opise metódy
		 * {@link #rolujTexty(int, int) rolujTexty(Δx, Δy)}.
		 * @param nováHodnota nová hodnota posunutia textov v smere x
		 *   (pozri aj informácie pri parametroch metódy {@link
		 *   #rolujTexty(int, int) rolujTexty(Δx, Δy)})
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #rolujTexty(int, int)
		 * @see #rolujTexty()
		 * @see #posunutieTextovY(int)
		 * @see #posunutieTextovX()
		 * @see #posunutieTextovY()
		 * @see #posunutieTextov(int, int)
		 * @see #posunutieTextov()
		 */
		public void posunutieTextovX(int nováHodnota)
		{
			vnútornáKonzola.posunutieTextovX = nováHodnota;
			automatickéPrekreslenie();
		}

		/**
		 * Nastaví posunutie textov v smere osi y.
		 * Použitie metódy má alebo naopak nemá za určitých okolností zmysel –
		 * podrobnosti sú uvedené v opise metódy
		 * {@link #rolujTexty(int, int) rolujTexty(Δx, Δy)}.
		 * @param nováHodnota nová hodnota posunutia textov v smere y
		 *   (pozri aj informácie pri parametroch metódy {@link
		 *   #rolujTexty(int, int) rolujTexty(Δx, Δy)})
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #rolujTexty(int, int)
		 * @see #rolujTexty()
		 * @see #posunutieTextovX(int)
		 * @see #posunutieTextovX()
		 * @see #posunutieTextovY()
		 * @see #posunutieTextov(int, int)
		 * @see #posunutieTextov()
		 */
		public void posunutieTextovY(int nováHodnota)
		{
			vnútornáKonzola.posunutieTextovY = nováHodnota;
			automatickéPrekreslenie();
		}

		/**
		 * Vráti aktuálnu hodnotu posunutia textov v smere osi x.
		 * Použitie metódy má alebo naopak nemá za určitých okolností zmysel –
		 * podrobnosti sú uvedené v opise metódy
		 * {@link #rolujTexty(int, int) rolujTexty(Δx, Δy)}.
		 * @return aktuálna hodnota posunutia textov v smere x
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #rolujTexty(int, int)
		 * @see #rolujTexty()
		 * @see #posunutieTextovX(int)
		 * @see #posunutieTextovY(int)
		 * @see #posunutieTextovY()
		 * @see #posunutieTextov(int, int)
		 * @see #posunutieTextov()
		 */
		public int posunutieTextovX()
		{ return vnútornáKonzola.posunutieTextovX; }

		/**
		 * Vráti aktuálnu hodnotu posunutia textov v smere osi y.
		 * Použitie metódy má alebo naopak nemá za určitých okolností zmysel –
		 * podrobnosti sú uvedené v opise metódy
		 * {@link #rolujTexty(int, int) rolujTexty(Δx, Δy)}.
		 * @return aktuálna hodnota posunutia textov v smere y
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #rolujTexty(int, int)
		 * @see #rolujTexty()
		 * @see #posunutieTextovX(int)
		 * @see #posunutieTextovY(int)
		 * @see #posunutieTextovX()
		 * @see #posunutieTextov(int, int)
		 * @see #posunutieTextov()
		 */
		public int posunutieTextovY()
		{ return vnútornáKonzola.posunutieTextovY; }

		/**
		 * Nastaví posunutie textov v smere osí x a y.
		 * Použitie metódy má alebo naopak nemá za určitých okolností zmysel –
		 * podrobnosti sú uvedené v opise metódy
		 * {@link #rolujTexty(int, int) rolujTexty(Δx, Δy)}.
		 * @param x nová hodnota posunutia textov v smere x
		 *   (pozri aj informácie pri parametroch metódy {@link
		 *   #rolujTexty(int, int) rolujTexty(Δx, Δy)})
		 * @param y nová hodnota posunutia textov v smere y
		 *   (pozri aj informácie pri parametroch metódy {@link
		 *   #rolujTexty(int, int) rolujTexty(Δx, Δy)})
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #rolujTexty(int, int)
		 * @see #rolujTexty()
		 * @see #posunutieTextovX(int)
		 * @see #posunutieTextovY(int)
		 * @see #posunutieTextovX()
		 * @see #posunutieTextovY()
		 * @see #posunutieTextov()
		 */
		public void posunutieTextov(int x, int y)
		{
			vnútornáKonzola.posunutieTextovX = x;
			vnútornáKonzola.posunutieTextovY = y;
			automatickéPrekreslenie();
		}

		/**
		 * Vráti aktuálnu hodnotu posunutia textov v smere osí x a y.
		 * Použitie metódy má alebo naopak nemá za určitých okolností zmysel –
		 * podrobnosti sú uvedené v opise metódy
		 * {@link #rolujTexty(int, int) rolujTexty(Δx, Δy)}.
		 * @return objekt typu {@link Point Point} obsahujúci aktuálne
		 *   hodnoty posunutia textov v smere x a y
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #rolujTexty(int, int)
		 * @see #rolujTexty()
		 * @see #posunutieTextovX(int)
		 * @see #posunutieTextovY(int)
		 * @see #posunutieTextovX()
		 * @see #posunutieTextovY()
		 * @see #posunutieTextov(int, int)
		 */
		public Bod posunutieTextov()
		{
			return new Bod(vnútornáKonzola.posunutieTextovX,
				vnútornáKonzola.posunutieTextovY);
		}

		/**
		 * Táto metóda zistí poslednú hodnotu výšky textu (v bodoch) uloženého
		 * vo vnútornej konzole. Z toho vyplýva, že na hodnotu má vplyv
		 * viacero faktorov: veľkosť písma vnútornej konzoly, zalamovanie
		 * riadkov ako aj samotný objem textu uložený vo vnútornej konzole.
		 * Hodnota nemusí byť aktuálna, ale môže byť prinajmenšom rámcovo
		 * použitá pri určení možnosti rolovania v smere osi y.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return posledná výška textu vnútornej konzoly v bodoch
		 */
		public int poslednáVýškaTextu()
		{ return vnútornáKonzola.poslednáVýškaTextu; }

		/** <a class="alias"></a> Alias pre {@link #poslednáVýškaTextu() poslednáVýškaTextu}. */
		public int poslednaVyskaTextu()
		{ return vnútornáKonzola.poslednáVýškaTextu; }


	// Schránka

		/**
		 * Vloží do schránky všetky texty vypísané do vnútornej konzoly tohto
		 * plátna.
		 * 
		 *  @return {@code valtrue} ak bola operácia úspešná
		 *  @see Schránka#text(String)
		 */
		public boolean textyDoSchránky()
		{
			final StringBuffer texty = new StringBuffer();
			texty.setLength(0); vnútornáKonzola.prevezmiTexty(texty);
			return Schránka.text(texty.toString());
		}

		/** <a class="alias"></a> Alias pre {@link #textyDoSchránky() textyDoSchránky}. */
		public boolean textyDoSchranky() { return textyDoSchránky(); }

		/** <a class="alias"></a> Alias pre {@link #textyDoSchránky() textyDoSchránky}. */
		public boolean textDoSchránky() { return textyDoSchránky(); }

		/** <a class="alias"></a> Alias pre {@link #textyDoSchránky() textyDoSchránky}. */
		public boolean textDoSchranky() { return textyDoSchránky(); }

		/**
		 * Vloží obrázok (grafiku) plátna do schránky.
		 * 
		 * <P><b>Upozornenie:</b> Obrázok je uchovaný v schránke len počas
		 * činnosti aplikácie robota. Po zatvorení okna sveta, je obrázok zo
		 * schránky odstránený.
		 * 
		 * <P><b>Poznámka:</b> Zvlnenú verziu obrázka plátna je možné vložiť
		 * do schránky pomocou metódy {@link Schránka#obrázok(Image)
		 * Schránka.obrázok(obrázok)} a inštancie zvlneného obrázka, ktorá
		 * sa dá získať volaním metódy {@link Vlnenie#zvlnenýRaster()
		 * Vlnenie.zvlnenýRaster()}.
		 * 
		 *  @return {@code valtrue} ak bola operácia úspešná
		 *  @see Schránka#obrázok(Image)
		 */
		public boolean obrázokDoSchránky()
		{ return Schránka.obrázok(vyrovnávaciaPamäťObrázkaPlátna); }

		/** <a class="alias"></a> Alias pre {@link #obrázokDoSchránky() obrázokDoSchránky}. */
		public boolean obrazokDoSchranky() { return obrázokDoSchránky(); }

		/** <a class="alias"></a> Alias pre {@link #obrázokDoSchránky() obrázokDoSchránky}. */
		public boolean grafikaDoSchránky() { return obrázokDoSchránky(); }

		/** <a class="alias"></a> Alias pre {@link #obrázokDoSchránky() obrázokDoSchránky}. */
		public boolean grafikaDoSchranky() { return obrázokDoSchránky(); }


	// Interaktívny režim

		/**
		 * Táto metóda je automaticky používaná {@linkplain
		 * Svet#interaktívnyRežim(boolean) interaktívnym režimom},
		 * ale umožňuje používať príkazy dostupné v interaktívnom
		 * režime aj za hranicami tohto režimu.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param príkaz príkazový riadok spĺňajúci {@linkplain
		 * Svet#interaktívnyRežim(boolean) pravidlá uvedené tu}
		 * @return {@code valtrue} ak bol príkaz nájdený a podarilo
		 * sa ho vykonať
		 * @see GRobot#vykonajPríkaz(String)
		 * @see Svet#vykonajPríkaz(String)
		 * @see GRobot#interaktívnyRežim(boolean)
		 * @see Svet#interaktívnyRežim(boolean)
		 * @see Plátno#interaktívnyRežim(boolean)
		 * @see Svet#režimLadenia(boolean)
		 *  @throws GRobotException  ak bolo vykonávanie príkazu zrušené
		 *  @throws IllegalAccessException  ak metóda, s ktorou súvisí
		 *      vykonávanie príkazu nie je dostupná (verejná)
		 *  @throws IllegalArgumentException  ak niektorý z argumentov
		 *      metódy, s ktorou súvisí vykonávanie príkazu nie je
		 *      požadovaného typu, ani ho na neho nie je možné previesť
		 *  @throws InvocationTargetException  ak pri vykonávní metódy,
		 *      s ktorou súvisí vykonávanie príkazu vznikla výnimka
		 */
		public boolean vykonajPríkaz(String príkaz)
		{
			Class<? extends Plátno> tátoTrieda = this.getClass();
			// Táto metóda síce volá súkromnú metódu sveta, ale zadaný
			// príkaz je vykonaný pre túto triedu a inštanciu:
			if (Svet.vykonajPríkaz(príkaz, tátoTrieda, this)) return true;
			return Svet.vykonajPríkaz(príkaz, tátoTrieda, null);
		}

		/** <a class="alias"></a> Alias pre {@link #vykonajPríkaz(String) vykonajPríkaz}. */
		public boolean vykonajPrikaz(String príkaz)
		{ return vykonajPríkaz(príkaz); }

		/**
		 * Zapne alebo vypne interaktívny režim pre toto plátno.
		 * Pozri: {@link Svet#interaktívnyRežim(boolean)
		 * Svet.interaktívnyRežim(zapni)}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param zapni ak je {@code valtrue}, režim bude pre toto plátno
		 * zapnutý, inak bude vypnutý
		 * @see GRobot#interaktívnyRežim(boolean)
		 * @see Svet#interaktívnyRežim(boolean)
		 * @see Svet#režimLadenia(boolean)
		 * @see ObsluhaUdalostí#ladenie(int, String, int)
		 */
		public void interaktívnyRežim(boolean zapni)
		{
			if (zapni)
			{
				if (!interaktívnyRežim)
				{
					interaktívnyRežim = true;
					if (0 == početVInteraktívnomRežime)
						Svet.neskrývajVstupnýRiadok(true);
					++početVInteraktívnomRežime;
				}
			}
			else
			{
				if (interaktívnyRežim)
				{
					interaktívnyRežim = false;
					--početVInteraktívnomRežime;
					if (0 == početVInteraktívnomRežime)
						Svet.skrývajVstupnýRiadok(true);
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #interaktívnyRežim(boolean) interaktívnyRežim}. */
		public void interaktivnyRezim(boolean zapni)
		{ interaktívnyRežim(zapni); }

		/**
		 * Zistí stav interaktívneho režimu pre toto plátno.
		 * Pozri: {@link Svet#interaktívnyRežim(boolean)
		 * Svet.interaktívnyRežim(zapni)}.
		 * @return stav režimu pre tohto robota
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public boolean interaktívnyRežim() { return interaktívnyRežim; }

		/** <a class="alias"></a> Alias pre {@link #interaktívnyRežim() interaktívnyRežim}. */
		public boolean interaktivnyRezim() { return interaktívnyRežim; }


	// Vlnenie

		// Inštancia vlnenia tohto plátna
		private Vlnenie vlnenie = null;

		/**
		 * Overí, či je definovaná inštancia vlnenia pre toto plátno.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} ak je inštancia vlnenia definovaná;
		 *     {@code valfalse} v opačnom prípade
		 * 
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public boolean máVlnenie() { return null != vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #máVlnenie() máVlnenie}. */
		public boolean maVlnenie() { return null != vlnenie; }

		/**
		 * Vráti {@linkplain Vlnenie inštanciu vlnenia} pre toto plátno,
		 * aby bolo možné s vlnením ďalej pracovať. Ak vlnenie nie je pre
		 * toto plátno definované, tak metóda definuje nové neaktívne vlnenie
		 * s predvolenou úrovňou útlmu {@code num26}. <small>(Overiť to,
		 * či je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}.)</small> Naopak, metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v takom prípade, že jestvuje. <small>(V opačnom
		 * prípade vráti metóda {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie} hodnotu {@code valnull}.)</small>
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje vo svete grafického robota.)</small>
		 * 
		 * <P><b>Upozornenie:</b> Ak svet grafického robota nemá aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak vlnenie nebude
		 * fungovať ani po jeho aktivácii. Táto metóda <b>nespúšťa</b>
		 * časovač (ani vlnenie) automaticky! Účelom automatického
		 * vytvorenia inštancie vlnenia touto metódou v prípade jej
		 * neprítomnosti je len zabránenie vzniku chýb. Táto metóda nemá
		 * nahradiť metódu {@link #pridajVlnenie() pridajVlnenie}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return metóda zaručuje vrátenie inštancie {@link Vlnenie Vlnenie}
		 *     definovanej pre toto plátno aj v takom prípade, že pred jej
		 *     volaním nebola inštancia definovaná
		 * 
		 * @see #máVlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public Vlnenie vlnenie()
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(vyrovnávaciaPamäťObrázkaPlátna, 26);
				vlnenia.add(vlnenie);
			}
			return vlnenie;
		}

		/**
		 * Táto metóda vráti inštanciu vlnenia len v prípade, že jestvuje.
		 * V opačnom prípade vráti hodnotu {@code valnull}, čo môže viesť
		 * ku vzniku výnimky, ak sa programátor pokúsi použiť vrátenú
		 * hodnotu bez overenia. Naopak, vrátenie inštancie
		 * {@linkplain Vlnenie vlnenia} aj v prípade, že ešte nebolo
		 * definované zaručuje metóda {@link #vlnenie() vlnenie}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return ak je definovaná inštancia {@linkplain Vlnenie vlnenia},
		 *     tak ju metóda vráti; v opačnom prípade vráti hodnotu
		 *     {@code valnull}
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public Vlnenie jestvujúceVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public Vlnenie jestvujuceVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public Vlnenie existujúceVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public Vlnenie existujuceVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public Vlnenie definovanéVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public Vlnenie definovaneVlnenie() { return vlnenie; }

		/**
		 * Pridá alebo zresetuje vlnenie tohto plátna. Ak nie je definované
		 * alebo aktívne vlnenie pre toto plátno, tak volanie tejto metódy
		 * vytvorí a/alebo aktivuje novú inštanciu vlnenia s predvolenou
		 * úrovňou útlmu {@code num26}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje vo svete grafického robota.)</small>
		 * 
		 * <P>Ak by svet grafického robota nemal aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak by vlnenie nemohlo
		 * fungovať, preto je časovač touto metódou spúšťaný automaticky.
		 * 
		 * <P>Inštanciu vlnenia je možné získať a pracovať s ňou pomocou
		 * metódy {@link #vlnenie() vlnenie} alebo {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie}. <small>(Pozor, ak vlnenie nie je definované,
		 * tak metóda {@link #vlnenie() vlnenie} definuje nové neaktívne
		 * vlnenie s predvolenou úrovňou útlmu {@code num26}. Overiť to, či
		 * je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}. Metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v prípade, že jestvuje. V opačnom prípade vráti hodnotu
		 * {@code valnull}, čo môže viesť ku vzniku výnimky, ak sa
		 * programátor pokúsi použiť vrátenú hodnotu bez overenia.)</small>
		 * 
		 * <P>Ak už je definovaná inštancia vlnenia, tak ju volanie tejto
		 * metódy zresetuje upokojením hladiny a nastavením predvolenej
		 * úrovne útlmu {@code num26}.
		 * (Aktivácia je vykonaná v každom prípade.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public void pridajVlnenie()
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(vyrovnávaciaPamäťObrázkaPlátna, 26);
				vlnenia.add(vlnenie);
				Svet.spustiČasovač();
			}
			else
			{
				vlnenie.upokojHladinu();
				vlnenie.útlm(26);
			}
			vlnenie.aktivuj();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajVlnenie() pridajVlnenie}. */
		// public void zacniVlnenie() { pridajVlnenie(); }

		/**
		 * Pridá alebo zresetuje vlnenie tohto plátna. Ak nie je definované
		 * alebo aktívne vlnenie pre toto plátno, tak volanie tejto metódy
		 * vytvorí a/alebo aktivuje novú inštanciu vlnenia s predvolenou
		 * úrovňou útlmu {@code num26}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje vo svete grafického robota.)</small>
		 * 
		 * <P><b>Pozor!</b> Ak svet grafického robota nemá aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak vlnenie nebude
		 * fungovať. Táto metóda dovoľuje určiť, či má alebo nemá byť
		 * časovač spustený automaticky. Umožňuje to parameter
		 * {@code ajČasovač}.
		 * 
		 * <P>Inštanciu vlnenia je možné získať a pracovať s ňou pomocou
		 * metódy {@link #vlnenie() vlnenie} alebo {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie}. <small>(Pozor, ak vlnenie nie je definované,
		 * tak metóda {@link #vlnenie() vlnenie} definuje nové neaktívne
		 * vlnenie s predvolenou úrovňou útlmu {@code num26}. Overiť to, či
		 * je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}. Metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v prípade, že jestvuje. V opačnom prípade vráti hodnotu
		 * {@code valnull}, čo môže viesť ku vzniku výnimky, ak sa
		 * programátor pokúsi použiť vrátenú hodnotu bez overenia.)</small>
		 * 
		 * <P>Ak už je definovaná inštancia vlnenia, tak ju volanie tejto
		 * metódy zresetuje upokojením hladiny a nastavením predvolenej
		 * úrovne útlmu {@code num26}.
		 * (Aktivácia je vykonaná v každom prípade.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param ajČasovač ak je hodnota tohto parametra rovná
		 *     {@code valtrue}, tak je v prípade jeho nečinnosti
		 *     automaticky {@linkplain Svet#spustiČasovač()
		 *     spustený časovač}
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public void pridajVlnenie(boolean ajČasovač)
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(vyrovnávaciaPamäťObrázkaPlátna, 26);
				vlnenia.add(vlnenie);
				if (ajČasovač) Svet.spustiČasovač();
			}
			else
			{
				vlnenie.upokojHladinu();
				vlnenie.útlm(26);
			}
			vlnenie.aktivuj();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajVlnenie(boolean) pridajVlnenie}. */
		// public void zacniVlnenie(boolean ajČasovač) { pridajVlnenie(ajČasovač); }

		/**
		 * Pridá alebo zresetuje vlnenie tohto plátna. Ak nie je definované
		 * alebo aktívne vlnenie pre toto plátno, tak volanie tejto metódy
		 * vytvorí a/alebo aktivuje novú inštanciu vlnenia so zadanou úrovňou
		 * útlmu (pozri aj {@link Vlnenie#útlm(int) Vlnenie.útlm(útlm)}).
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje vo svete grafického robota.)</small>
		 * 
		 * <P>Ak by svet grafického robota nemal aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak by vlnenie nemohlo
		 * fungovať, preto je časovač touto metódou spúšťaný automaticky.
		 * 
		 * <P>Inštanciu vlnenia je možné získať a pracovať s ňou pomocou
		 * metódy {@link #vlnenie() vlnenie} alebo {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie}. <small>(Pozor, ak vlnenie nie je definované,
		 * tak metóda {@link #vlnenie() vlnenie} definuje nové neaktívne
		 * vlnenie s predvolenou úrovňou útlmu {@code num26}. Overiť to, či
		 * je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}. Metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v prípade, že jestvuje. V opačnom prípade vráti hodnotu
		 * {@code valnull}, čo môže viesť ku vzniku výnimky, ak sa
		 * programátor pokúsi použiť vrátenú hodnotu bez overenia.)</small>
		 * 
		 * <P>Ak už je definovaná inštancia vlnenia, tak ju volanie tejto
		 * metódy zresetuje upokojením hladiny a nastavením zadanej úrovne
		 * útlmu.
		 * (Aktivácia je vykonaná v každom prípade.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param útlm požadovaná úroveň útlmu vlnenia; odporúčané sú
		 *     hodnoty v rozmedzí 0 – 30; pozri aj {@link Vlnenie#útlm(int)
		 *     Vlnenie.útlm(útlm)}
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 * @see Vlnenie#útlm(int)
		 */
		public void pridajVlnenie(int útlm)
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(vyrovnávaciaPamäťObrázkaPlátna, útlm);
				vlnenia.add(vlnenie);
				Svet.spustiČasovač();
			}
			else
			{
				vlnenie.upokojHladinu();
				vlnenie.útlm(útlm);
			}
			vlnenie.aktivuj();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajVlnenie(int) pridajVlnenie}. */
		// public void zacniVlnenie(int útlm) { pridajVlnenie(útlm); }

		/**
		 * Pridá alebo zresetuje vlnenie tohto plátna. Ak nie je definované
		 * alebo aktívne vlnenie pre toto plátno, tak volanie tejto metódy
		 * vytvorí a/alebo aktivuje novú inštanciu vlnenia so zadanou úrovňou
		 * útlmu (pozri aj {@link Vlnenie#útlm(int) Vlnenie.útlm(útlm)})
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje vo svete grafického robota.)</small>
		 * 
		 * <P><b>Pozor!</b> Ak svet grafického robota nemá aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak vlnenie nebude
		 * fungovať. Táto metóda dovoľuje určiť, či má alebo nemá byť
		 * časovač spustený automaticky. Umožňuje to parameter
		 * {@code ajČasovač}.
		 * 
		 * <P>Inštanciu vlnenia je možné získať a pracovať s ňou pomocou
		 * metódy {@link #vlnenie() vlnenie} alebo {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie}. <small>(Pozor, ak vlnenie nie je definované,
		 * tak metóda {@link #vlnenie() vlnenie} definuje nové neaktívne
		 * vlnenie s predvolenou úrovňou útlmu {@code num26}. Overiť to, či
		 * je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}. Metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v prípade, že jestvuje. V opačnom prípade vráti hodnotu
		 * {@code valnull}, čo môže viesť ku vzniku výnimky, ak sa
		 * programátor pokúsi použiť vrátenú hodnotu bez overenia.)</small>
		 * 
		 * <P>Ak už je definovaná inštancia vlnenia, tak ju volanie tejto
		 * metódy zresetuje upokojením hladiny a nastavením zadanej úrovne
		 * útlmu.
		 * (Aktivácia je vykonaná v každom prípade.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param útlm požadovaná úroveň útlmu vlnenia; odporúčané sú
		 *     hodnoty v rozmedzí 0 – 30; pozri aj {@link Vlnenie#útlm(int)
		 *     Vlnenie.útlm(útlm)}
		 * @param ajČasovač ak je hodnota tohto parametra rovná
		 *     {@code valtrue}, tak je v prípade jeho nečinnosti
		 *     automaticky {@linkplain Svet#spustiČasovač()
		 *     spustený časovač}
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #odstráňVlnenie()
		 * @see Vlnenie#útlm(int)
		 */
		public void pridajVlnenie(int útlm, boolean ajČasovač)
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(vyrovnávaciaPamäťObrázkaPlátna, útlm);
				vlnenia.add(vlnenie);
				if (ajČasovač) Svet.spustiČasovač();
			}
			else
			{
				vlnenie.upokojHladinu();
				vlnenie.útlm(útlm);
			}
			vlnenie.aktivuj();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajVlnenie(int, boolean) pridajVlnenie}. */
		// public void zacniVlnenie(int útlm, boolean ajČasovač) { pridajVlnenie(útlm, ajČasovač); }

		/**
		 * Ukončí vlnenie a úplne odstráni inštanciu vlnenia tohto plátna
		 * zo sveta knižnice grafického robota.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 */
		public void odstráňVlnenie()
		{
			if (null != vlnenie)
			{
				vlnenia.remove(vlnenie);
				vlnenie = null;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #odstráňVlnenie() odstráňVlnenie}. */
		public void odstranVlnenie() { odstráňVlnenie(); }
	}

	/** <a class="alias"></a> Alias pre {@link Plátno Plátno}. */
	public static class Platno extends Plátno implements Priehladnost { private Platno() {} }

	/**
	 * Reprezentácia podlahy tohto sveta. Umožňuje vykonávať s podlahou rôzne
	 * akcie, napríklad zálohovanie do a obnovu zo záložnej pamäte, čo sa dá
	 * využiť na rýchle kreslenie podkladu a podobne.
	 */
	public final static Plátno podlaha = new Plátno();

	/**
	 * Reprezentácia stropu tohto sveta. Umožňuje vykonávať s stropom rôzne
	 * akcie, napríklad zálohovanie do a obnovu zo záložnej pamäte, čo sa dá
	 * využiť napríklad na rýchle nakreslenie podkladu pre objekty
	 * permanentne prítomné v popredí a podobne.
	 */
	public final static Plátno strop = new Plátno();


	// ---------------------- //
	//  *** Trieda Súbor ***  //
	// ---------------------- //

	/*
		Organizácia metód

			zoznamy súborov a priečinkov
			rôzne statické
				existencia súboru (priečinka)
				overenie, či ide o súbor alebo priečinok
				kopírovanie, presun, mazanie súborov
			dialógy
			otvorenie a zatvorenie súboru
			menné priestory vlastností
			čítanie vlastností
			zápis vlastností
			čítanie údajov
			zápis údajov
			ďalšie vlastnosti
	*/

	/**
	 * Trieda na prácu so súbormi. Definuje metódy na otváranie,
	 * zatváranie, zápis a čítanie textových súborov a metódy na prácu
	 * s takzvanými „vlastnosťami“ (pozri nižšie).
	 * <P><b>Príklad:</b>
	 * <P>V tomto príklade je ukázaný jednoduchý spôsob zápisu niekoľkých
	 * riadkov textu do súboru a vzápätí vypísania obsahu súboru na obrazovku.
	 * <pre CLASS="example">
		{@code kwdtry}
		{
			{@code comm// Otvoriť súbor na zápis a zapísať niekoľko riadkov}
			{@code currsúbor}.{@link #otvorNaZápis(String) otvorNaZápis}({@code srg"pokus.txt"});
			{@code currsúbor}.{@link #zapíšRiadok(String) zapíšRiadok}({@code srg"Toto"});
			{@code currsúbor}.{@link #zapíšRiadok(String) zapíšRiadok}({@code srg"Je"});
			{@code currsúbor}.{@link #zapíšRiadok(String) zapíšRiadok}({@code srg"Pokusný"});
			{@code currsúbor}.{@link #zapíšRiadok(String) zapíšRiadok}({@code srg"Zápis"});
			{@code currsúbor}.{@link #zapíšRiadok(String) zapíšRiadok}({@code srg"Do"});
			{@code currsúbor}.{@link #zapíšRiadok(String) zapíšRiadok}({@code srg"Súboru"});
			{@code currsúbor}.{@link #zavri() zavri}();    {@code comm// Každý súbor musí byť po použití zatvorený}

			{@code comm// Vzápätí otvoriť súbor na čítanie a vypísať ho po riadkoch}
			{@code currsúbor}.{@link #otvorNaČítanie(String) otvorNaČítanie}({@code srg"pokus.txt"});
			{@link String String} riadok;
			{@code kwdwhile} ({@code valnull} != (riadok = {@code currsúbor}.{@link #čítajRiadok() čítajRiadok}()))
				{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"„"}, riadok, {@code srg"“"});
		}
		{@code kwdcatch} ({@link IOException IOException} e)   {@code comm// vyžaduje import java.io.IOException;}
		{@code comm// alternatívne je možné použiť namiesto IOException všeobecný}
		{@code comm// typ Exception, ktorý nevyžaduje žiadny import}
		{
			{@code comm// Keby sme chceli text chyby vypísať na štandardný výstup,}
			{@code comm// použili by sme:}
			{@code comm//   System.out.println(e.getMessage());}

			{@code comm// Keby sme chceli vypísať úplný výpis chybovej stopy na štandardný}
			{@code comm// chybový výstup, použili by sme:}
			{@code comm//   e.printStackTrace();}

			{@code comm// Použijeme vnútornú konzolu robota na výpis textu chyby červenou}
			{@code comm// farbou:}
			{@link Farba Farba} záloha = {@link Svet Svet}.{@link Svet#farbaTextu() farbaTextu}();
			{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}({@link GRobot#červená červená});
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}(e.{@link IOException#getMessage() getMessage}());
			{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}(záloha);
		}

		{@code comm// Keby nastala chyba v predchádzajúcom bloku, súbor by nemusel byť korektne}
		{@code comm// zavretý, preto ho zatvárame v samostatnom bloku try-catch}
		{@code kwdtry}
		{
			{@code currsúbor}.{@link #zavri() zavri}();
		}
		{@code kwdcatch} ({@link IOException IOException} e)
		{
			{@code comm// Chyby vypíše červenou farbou…}
			{@link Farba Farba} záloha = {@link Svet Svet}.{@link Svet#farbaTextu() farbaTextu}();
			{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}({@link GRobot#červená červená});
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}(e.{@link IOException#getMessage() getMessage}());
			{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}(záloha);
		}
		</pre>

	 * <P>Ak sa všetko vykoná korektne, súbor bude obsahovať nasledujúce
	 * riadky:
	 * <pre CLASS="example">
		Toto
		Je
		Pokusný
		Zápis
		Do
		Súboru
		</pre>
	 * <P>Na obrazovke budú jednotlivé riadky vypísané v úvodzovkách („“).

	 * <P> 

	 * <P><b>Príklad:</b>
	 * <P>V tomto príklade je ukázaný jednoduchý spôsob čítania série celých
	 * čísiel zo súboru.
	 * <P>Predpokladajme, že v priečinku s projektom BlueJa jestvuje textový
	 * súbor {@code _čísla.txt} s nasledujúcim obsahom (medzery sú úmyselne
	 * podfarbené tyrkysovou farbou):
	 * <pre CLASS="example">
		<span style="background: cyan;">   </span>8<span style="background: cyan;"> </span>23<span style="background: cyan;">  </span>3<span style="background: cyan;"> </span>4<span style="background: cyan;"> </span>32<span style="background: cyan;">  </span>0<span style="background: cyan;">  </span>-14<span style="background: cyan;">  </span>
		<span style="background: cyan;">   </span>
		<span style="background: cyan;"> </span>21<span style="background: cyan;">  </span>-2<span style="background: cyan;">  </span>+8<span style="background: cyan;"> </span>14<span style="background: cyan;"> </span>

		64<span style="background: cyan;">  </span>-0<span style="background: cyan;">  </span>-24<span style="background: cyan;">  </span>

		</pre>

	 * <P>Nasledujúci úryvok kódu bude zo súboru čítať a vypisovať na
	 * obrazovku celé čísla dovtedy, kým sa tam nejaké vyskytujú:
	 * <pre CLASS="example">
		{@code kwdtry}
		{
			{@code currsúbor}.{@link #otvorNaČítanie(String) otvorNaČítanie}({@code srg"_čísla.txt"});
			Long číslo; {@code typeboolean} prvé = {@code valtrue};
			{@code kwdwhile} ({@code valnull} != (číslo = {@code currsúbor}.{@link #čítajCeléČíslo() čítajCeléČíslo}()))
			{
				{@code kwdif} (prvé) prvé = {@code valfalse}; {@code kwdelse} {@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code srg", "});
				{@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}(číslo);
			}

			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"."});
		}
		{@code kwdcatch} ({@link IOException IOException} e)   {@code comm// vyžaduje import java.io.IOException;}
		{@code comm// alternatívne je možné použiť namiesto IOException všeobecný}
		{@code comm// typ Exception, ktorý nevyžaduje žiadny import}
		{
			{@code comm// Nasledujúci príkaz vypíše zápis o prípadnej chybe na štandardný}
			{@code comm// chybový výstup (System.err). Zápis by sa objavil v okne}
			{@code comm// terminálu BlueJa.}
			e.{@link IOException#printStackTrace() printStackTrace}();
		}
		</pre>

	 * <P>Výsledný výpis bude vyzerať takto:
	 * <pre CLASS="example">
		8, 23, 3, 4, 32, 0, &#45;14, 21, &#45;2, 8, 14, 64, 0, &#45;24.
		</pre>

	 * <P> 
	 * 
	 * <P>Okrem klasických metód na čítanie a zápis, obsahuje trieda {@code
	 * currSúbor} aj metódy na zápis a čítanie vlastností, ktoré
	 * sú do textového súboru ukladané v tvare {@code názov=hodnota}.
	 * <P>Neodporúčame kombinovať použitie klasických metód na čítanie
	 * a zápis s metódami na čítanie a zápis vlastností. Rozdiel medzi oboma
	 * prístupmi je, že „klasické“ údaje musia byť čítané zo súboru
	 * v rovnakom poradí ako boli zapísané a vlastnosti môžu byť čítané
	 * a zapisované v ľubovoľnom poradí. Vlastnosti tiež ošetrujú výskyt
	 * takzvaných escape sekvencií vo svojich hodnotách. Na lepšie
	 * pochopenie práce s vlastnosťami poslúži nasledujúci príklad:
	 * <pre CLASS="example">
		{@code kwdtry}
		{
			{@code comm// Pokúsi sa otvoriť súbor na čítanie (ak nejestvuje, nastane}
			{@code comm// výnimka a program skončí, preto je potrebné vopred vytvoriť}
			{@code comm// prázdny súbor s názvom vlastnosti.txt – v operačnom systéme}
			{@code comm// zvonka BlueJa alebo pripísať pred tento program úryvok kódu}
			{@code comm// zverejnený nižšie – čítajte ďalej…)}
			{@code currsúbor}.{@link #otvorNaČítanie(String) otvorNaČítanie}({@code srg"vlastnosti.txt"});

			{@code comm// Definícia premenných obsahujúca čítanie vlastností zo súboru}
			{@code typedouble}[] pole = {@code kwdnew} {@code typedouble}[]{{@code num2.2}, {@code num4.4}, {@code num2.8}, {@code num14.0}, {@code num18}};
			{@link java.lang.Double Double} číslo = {@code currsúbor}.{@link #čítajVlastnosť(String, Double) čítajVlastnosť}({@code srg"číslo"}, {@code kwdnew} {@link java.lang.Double#Double(double) Double}({@code num0}));
			{@link String String} reťazec = {@code currsúbor}.{@link #čítajVlastnosť(String, String) čítajVlastnosť}({@code srg"reťazec"}, {@code kwdnew} {@link String#String(java.lang.String) String}({@code srg"pokus"}));
			pole = {@code currsúbor}.{@link #čítajVlastnosť(String, double[]) čítajVlastnosť}({@code srg"pole"}, pole);

			{@code comm// Zavretie súboru}
			{@code currsúbor}.{@link #zavri() zavri}();

			{@code comm// Výpis hodnôt premenných}
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"číslo: "}, číslo);
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"reťazec: "}, reťazec);
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"pole: "}, pole);

			{@code comm// Zmena hodnoty prvku poľa (na demonštráciu)}
			pole[{@code num3}] *= {@code num2};

			{@code comm// Otvorenie súboru na zápis a zápis vlastností do súboru}
			{@code comm// (namiesto obsahu premennej číslo zapíšeme konštantnú hodnotu}
			{@code comm// 4 a v prvku pole[3] bude dvojnásobok pôvodnej hodnoty,}
			{@code comm// všetky ostatné údaje zostanú v pôvodnom tvare)}
			{@code currsúbor}.{@link #otvorNaZápis(String) otvorNaZápis}({@code srg"vlastnosti.txt"});
			{@code currsúbor}.{@link #zapíšVlastnosť(String, Object) zapíšVlastnosť}({@code srg"číslo"}, {@code num4});
			{@code currsúbor}.{@link #zapíšVlastnosť(String, Object) zapíšVlastnosť}({@code srg"reťazec"}, reťazec);
			{@code currsúbor}.{@link #zapíšVlastnosť(String, Object) zapíšVlastnosť}({@code srg"pole"}, pole);
		}
		{@code kwdcatch} ({@link IOException IOException} e)   {@code comm// vyžaduje import java.io.IOException;}
		{@code comm// alternatívne je možné použiť namiesto IOException všeobecný}
		{@code comm// typ Exception, ktorý nevyžaduje žiadny import, ale potom by}
		{@code comm// bolo treba vymazať blok catch (IllegalArgumentException…}
		{
			{@code comm// Chyby vypíše červenou farbou…}
			{@link Farba Farba} záloha = {@link Svet Svet}.{@link Svet#farbaTextu() farbaTextu}();
			{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}({@link GRobot#červená červená});
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}(e.{@link IOException#getMessage() getMessage}());
			{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}(záloha);
		}
		{@code kwdcatch} ({@link IllegalArgumentException IllegalArgumentException} e)
		{
			{@link Farba Farba} záloha = {@link Svet Svet}.{@link Svet#farbaTextu() farbaTextu}();
			{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}({@link GRobot#červená červená});
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}(e.{@link IllegalArgumentException#getMessage() getMessage}());
			{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}(záloha);
		}
		{@code kwdfinally}
		{
			{@code kwdtry}
			{
				{@code comm// Zavretie súboru}
				{@code currsúbor}.{@link Súbor#zavri() zavri}();
			}
			{@code kwdcatch} ({@link IOException IOException} e)
			{
				{@link Farba Farba} záloha = {@link Svet Svet}.{@link Svet#farbaTextu() farbaTextu}();
				{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}({@link GRobot#červená červená});
				{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}(e.{@link IOException#getMessage() getMessage}());
				{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}(záloha);
			}
		}
		</pre>

	 * <P>Ak sa všetko vykoná korektne (pozorne si prečítajte aj komentáre
	 * v príklade), na obrazovke bude výpis:
	 * <pre CLASS="example">
		číslo: 0.0
		reťazec: pokus
		pole: 2.2 4.4 2.8 14.0 18.0
		</pre>

	 * <P>V súbore však budú údaje zapísané s drobnými rozdielmi:
	 * <pre CLASS="example">
		číslo=4
		reťazec=pokus
		pole=2.2 4.4 2.8 28.0 18.0 
		</pre>

	 * <P>Po každom ďalšom spustení programu bude hodnota štvrtého prvku poľa
	 * dvojnásobná.
	 * 
	 * <P>Ak nechcete ručne vytvárať prázdny súbor {@code vlastnosti.txt}
	 * zvonka BlueJa, tak pripíšte na začiatok programu nasledujúci úryvok
	 * kódu, ktorý vykoná kontrolu, či súbor jestvuje a v prípade, že
	 * nejestvuje ho vytvorí (na vytvorenie súboru ho stačí otvoriť na zápis
	 * a zavrieť).
	 * 
	 * <pre CLASS="example">
		{@code kwdtry}
		{
			{@code kwdif} (!{@link Súbor Súbor}.{@link Súbor#jestvuje(String) jestvuje}({@code srg"vlastnosti.txt"}))
			{
				{@code currsúbor}.{@link #otvorNaZápis(String) otvorNaZápis}({@code srg"vlastnosti.txt"});
				{@code currsúbor}.{@link Súbor#zavri() zavri}();
			}
		}
		{@code kwdcatch} ({@link IOException IOException} | {@link IllegalArgumentException IllegalArgumentException} e)
		{
			{@link Farba Farba} záloha = {@link Svet Svet}.{@link Svet#farbaTextu() farbaTextu}();
			{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}({@link GRobot#červená červená});
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}(e.{@link IOException#getMessage() getMessage}());
			{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}(záloha);
		}
		</pre>

	 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu pri
	 * metóde {@link #zapíšVlastnosť(String, Object) zapíšVlastnosť}!)</small>
	 */
	public static class Súbor
	{
		// private Súbor() {} // zrušenie tohto komentára by znamenalo zákazanie vytvárania vlastných inštancií triedy Súbor; programátor by sa musel uspokojiť s tým, že každý robot môže otvoriť jeden súbor…

		// Atribúty triedy (všetko súkromné)

		// inštancie na prácu so súborom na zápis a čítanie
		private BufferedWriter zápis = null;
		private BufferedReader čítanie = null;

		// premenná príznaku prvého riadka na ignorovanie prvého znaku
		// v UTF-8 súbore, ktorý signalizuje endianitu
		private boolean prvýRiadok = false;

		// Ukázalo sa, že tento príznak je nevyhnutný – indikuje koniec súboru
		private boolean koniecSúboru = false;

		// Ukázalo sa, že aj tento príznak je nevyhnutný – koordinuje metódy:
		// koniecSúboru, čítanieRiadka, čítajRiadok…
		private boolean overĎalšíRiadok = true;

		// inštancia textu, ktorý je využitý pri spracovaní čítania čísel
		private final StringBuffer prečítanýRiadok = new StringBuffer();


		/**
		 * Táto trieda reprezentuje záznam v rámci množiny vlastností (pozri
		 * triedu {@link Vlastnosti}). Záznam môže uchovávať informáciu
		 * o konkrétnej konfiguračnej položke, to jest vlastnosti, o riadku
		 * komentára alebo o prázdnom riadku zapísanom do alebo prečítanom
		 * z konfiguračného súboru.
		 */
		private class Vlastnosť
		{
			// Názov, haš kód, hodnota a stav pripravenosti na zápis:
			public final String názov;
			public final int haš;
			public String hodnota;
			public boolean naZápis;


			/** Základný konštruktor. */
			public Vlastnosť(String názov)
			{
				this.názov = názov;
				this.hodnota = null;
				this.naZápis = false;
				this.haš = názov.hashCode();
			}

			/** Konštruktor s hodnotou. */
			public Vlastnosť(String názov, String hodnota)
			{
				this.názov = názov;
				this.hodnota = hodnota;
				this.naZápis = false;
				this.haš = názov.hashCode();
			}

			/** Konštruktor s hodnotou a príznakom pripravenosti na zápis. */
			public Vlastnosť(String názov, String hodnota, boolean zapíšMa)
			{
				this.názov = názov;
				this.hodnota = hodnota;
				this.naZápis = zapíšMa;
				this.haš = názov.hashCode();
			}

			/** Vráti haš kód. */
			@Override public int hashCode()
			{
				return haš;
			}

			/**
			 * Overí zhodu dvoch objektov, ak sú kompatibilné. Zhoda môže byť
			 * vyhodnotená voči inej vlastnosti alebo názvu vlastnosti, čo môže
			 * byť ľubovoľná sekvencia znakov (CharSequence, napríklad reťazec
			 * String).
			 */
			@Override public boolean equals(Object obj)
			{
				if (null == obj) return null == názov;

				if (obj instanceof Vlastnosť)
				{
					Vlastnosť oth = (Vlastnosť)obj;
					if (null == názov && null == oth.názov) return true;
					if (null == názov || null == oth.názov) return false;
					return názov.equals(oth.názov);
				}

				if (obj instanceof CharSequence)
				{
					CharSequence chs = (CharSequence)obj;
					if (null == názov && null == chs) return true;
					if (null == názov || null == chs) return false;
					return názov.equals(chs.toString());
				}

				return false;
			}
		}

		/**
		 * Trieda záznamov o vlastnostiach – ukladá informácie o množine
		 * vlastností, ktoré sú čítané z alebo zapisované do konfiguračného
		 * súboru. Pozri tiež triedu {@link Vlastnosť}.
		 */
		@SuppressWarnings("serial")
		private class Vlastnosti extends Vector<Vlastnosť>
		{
			/** Pridá nový základný záznam o vlastnosti. */
			public void pridaj(String názov)
			{
				add(new Vlastnosť(názov));
			}

			/** Pridá nový záznam o vlastnosti s hodnotou. */
			public void pridaj(String názov, String hodnota)
			{
				add(new Vlastnosť(názov, hodnota));
			}

			/**
			 * Pridá nový záznam o vlastnosti s hodnotou a predvoleným stavom
			 * pripravenosti na zápis.
			 */
			public void pridaj(String názov, String hodnota, boolean zapíšMa)
			{
				add(new Vlastnosť(názov, hodnota, zapíšMa));
			}

			/**
			 * Nastaví hodnotu určenej vlastnosti na {@code valnull}, kde
			 * {@code názov} je názov vlastnosti.
			 */
			public void píš(String názov)
			{
				int indexOf = indexOf(názov);
				if (-1 == indexOf) add(new Vlastnosť(názov));
				else get(indexOf).hodnota = null;
			}

			/**
			 * Zapíše novú hodnotu určenej vlastnosti, kde {@code názov} je
			 * názov vlastnosti a {@code hodnota} je jej nová hodnota.
			 */
			public void píš(String názov, String hodnota)
			{
				int indexOf = indexOf(názov);
				if (-1 == indexOf) add(new Vlastnosť(názov, hodnota));
				else get(indexOf).hodnota = hodnota;
			}

			/**
			 * Zapíše novú hodnotu a stav pripravenosti na zápis určenej
			 * vlastnosti, kde {@code názov} je názov vlastnosti,
			 * {@code hodnota} je jej nová hodnota, a {@code zapíšMa} je nový
			 * stav pripravenosti na zápis.
			 */
			public void píš(String názov, String hodnota, boolean zapíšMa)
			{
				int indexOf = indexOf(názov);
				if (-1 == indexOf) add(new Vlastnosť(názov, hodnota, zapíšMa));
				else
				{
					Vlastnosť vlastnosť = get(indexOf);
					vlastnosť.hodnota = hodnota;
					vlastnosť.naZápis = zapíšMa;
				}
			}

			/**
			 * Zapíše stav pripravenosti na zápis určenej vlastnosti, kde
			 * {@code názov} je názov vlastnosti a {@code zapíšMa} je nový
			 * stav pripravenosti na zápis.
			 */
			public void píš(String názov, boolean zapíšMa)
			{
				int indexOf = indexOf(názov);
				if (-1 == indexOf) add(new Vlastnosť(názov, null, zapíšMa));
				else get(indexOf).naZápis = zapíšMa;
			}


			/**
			 * Vloží nový základný záznam o vlastnosti na určenú pozíciu
			 * v rámci tejto množiny vlastností.
			 */
			public void vlož(int index, String názov)
			{
				insertElementAt(new Vlastnosť(názov), index);
			}

			/**
			 * Vloží nový záznam o vlastnosti s hodnotou na určenú pozíciu
			 * v rámci tejto množiny vlastností.
			 */
			public void vlož(int index, String názov, String hodnota)
			{
				insertElementAt(new Vlastnosť(názov, hodnota), index);
			}

			/**
			 * Vloží nový záznam o vlastnosti s hodnotou a predvoleným stavom
			 * pripravenosti na zápis na určenú pozíciu v rámci tejto množiny
			 * vlastností.
			 */
			public void vlož(int index, String názov, String hodnota,
				boolean zapíšMa)
			{
				insertElementAt(new Vlastnosť(názov, hodnota, zapíšMa), index);
			}


			/**
			 * Nájde index určeného objektu v rámci tejto množiny vlastností,
			 * ak je určený objekt kompatibilný so záznamom vlastnosti (môže to
			 * byť iná vlastnosť alebo názov vlastnosti – string).
			 */
			@Override public int indexOf(Object o)
			{
				for (int i = 0; i < size(); ++i)
					if (o == null ? get(i) == null : get(i).equals(o)) return i;
				return -1;
			}

			/**
			 * Nájde index určeného objektu v rámci tejto množiny vlastností
			 * začnúc hľadanie na stanovenej pozícii, ak je určený objekt
			 * kompatibilný so záznamom vlastnosti (môže to byť iná vlastnosť
			 * alebo názov vlastnosti – reťazec).
			 */
			@Override public int indexOf(Object o, int index)
			{
				for (int i = index; i < size(); ++i)
					if (o == null ? get(i) == null : get(i).equals(o)) return i;
				return -1;
			}
		}


		// Atribúty vlastností:

		private final Vlastnosti vlastnosti = new Vlastnosti();
		private boolean zachovajNepoužitéVlastnosti = true;
		private boolean vlastnostiPrečítané = false;
		private String mennýPriestorVlastností = null;
		private int naposledyZapísanáVlastnosť = -1;

		// Statické súkromné metódy

		private static void overPlatnosťPriečinka(File priečinok)
			throws FileNotFoundException
		{
			if (null == priečinok)
				throw new GRobotException(
					"Názov priečinka nesmie by prázdny.",
					"pathEmpty");

			if (!priečinok.exists())
				throw new FileNotFoundException("Cesta „" +
					priečinok + "“ nejestvuje.");

			if (!priečinok.isDirectory())
				throw new GRobotException("Zadaná cesta (" +
					priečinok + ") nesmeruje na priečinok.", "pathInvalid",
					priečinok.toString());

			if (!priečinok.canRead())
				throw new GRobotException("Cestu „" + priečinok +
					"“ nie je možné čítať.", "pathUnreadable",
					priečinok.toString());
		}

		// Súkromné pomocné metódy na zápis a čítanie vlastností

		private void zapisujVlastnosti() throws IOException
		{
			for (Vlastnosť vlastnosť : vlastnosti)
			{
				if (zachovajNepoužitéVlastnosti || vlastnosť.naZápis)
				{
					if (vlastnosť.názov.equals("")) zapíšRiadok(); else
					{
						if (null == vlastnosť.hodnota)
							zapíšRiadok(vlastnosť.názov);
						else if (
							-1 != vlastnosť.hodnota.indexOf('\n') ||
							-1 != vlastnosť.hodnota.indexOf('\r') ||
							-1 != vlastnosť.hodnota.indexOf('\\'))
						{
							int indexOf = 0;
							StringBuffer upravenáHodnota =
								new StringBuffer(vlastnosť.hodnota);

							while (-1 != (indexOf = upravenáHodnota.
								indexOf("\\", indexOf)))
							{
								upravenáHodnota.replace(indexOf,
									indexOf + 1, "\\\\");
								// 4debug: hodnota = new String(upravenáHodnota);
								indexOf += 2;
							}

							indexOf = 0;
							while (-1 != (indexOf = upravenáHodnota.
								indexOf("\n", indexOf)))
								upravenáHodnota.replace(indexOf,
									indexOf + 1, "\\n");

							indexOf = 0;
							while (-1 != (indexOf = upravenáHodnota.
								indexOf("\r", indexOf)))
								upravenáHodnota.replace(indexOf,
									indexOf + 1, "\\r");

							if (vlastnosť.názov.startsWith(";"))
								zapíšRiadok(";" + upravenáHodnota);
							else
								zapíšRiadok(vlastnosť.názov + "=" +
									upravenáHodnota);
						}
						else
						{
							if (vlastnosť.názov.startsWith(";"))
								zapíšRiadok(";" + vlastnosť.hodnota);
							else
								zapíšRiadok(vlastnosť.názov + "=" +
									vlastnosť.hodnota);
						}
					}
				}
			}
		}

		private void overPlatnosťNázvu(String názov)
		{
			if (názov.equals(""))
				throw new GRobotException(
					"Názov vlastnosti nesmie byť prázdny.",
					"propertyNameEmpty");

			if (názov.startsWith(";"))
				throw new GRobotException(
					"Názov vlastnosti sa nesmie začínať znakom komentára.",
					"propertyStartsWithSemicolon", názov);

			if (-1 != názov.indexOf('.'))
				throw new GRobotException(
					"Názov vlastnosti nesmie obsahovať bodku.",
					"propertyContainsDot", názov);

			if (-1 != názov.indexOf('='))
				throw new GRobotException(
					"Názov vlastnosti nesmie obsahovať znak rovná sa.",
					"propertyContainsEquals", názov);
		}

		private final static String nullString = "null";

		private Long prevezmiCeléČíslo(StringBuffer reťazec)
		{
			if (0 == reťazec.length()) return null;
			Long číslo = null;
			int indexOf = reťazec.indexOf(" ");

			while (0 == indexOf)
			{
				reťazec.deleteCharAt(0);
				if (0 == reťazec.length()) return null;
				indexOf = reťazec.indexOf(" ");
			}

			if (indexOf == -1)
			{
				try
				{
					if (!reťazec.toString().equalsIgnoreCase(nullString))
						číslo = Long.valueOf(reťazec.toString());
					reťazec.setLength(0);
				}
				catch (Exception e) { vypíšChybovéHlásenia(e, false); }
			}
			else
			{
				try
				{
					if (!reťazec.substring(0,
						indexOf).equalsIgnoreCase(nullString))
						číslo = Long.valueOf(reťazec.substring(0, indexOf));
					reťazec.delete(0, indexOf + 1);
				}
				catch (Exception e) { vypíšChybovéHlásenia(e); }
			}

			return číslo;
		}

		private Double prevezmiReálneČíslo(StringBuffer reťazec)
		{
			if (0 == reťazec.length()) return null;
			Double číslo = null;
			int indexOf = reťazec.indexOf(" ");

			while (0 == indexOf)
			{
				reťazec.deleteCharAt(0);
				if (0 == reťazec.length()) return null;
				indexOf = reťazec.indexOf(" ");
			}

			if (indexOf == -1)
			{
				try
				{
					if (!reťazec.toString().equalsIgnoreCase(nullString))
						číslo = Double.valueOf(reťazec.toString());
					reťazec.setLength(0);
				}
				catch (Exception e) { vypíšChybovéHlásenia(e, false); }
			}
			else
			{
				try
				{
					if (!reťazec.substring(0, indexOf).equalsIgnoreCase
						(nullString)) číslo = Double.valueOf
							(reťazec.substring(0, indexOf));
					reťazec.delete(0, indexOf + 1);
				}
				catch (Exception e) { vypíšChybovéHlásenia(e); }
			}

			return číslo;
		}

		private Boolean prevezmiBoolean(StringBuffer reťazec)
		{
			if (0 == reťazec.length()) return null;
			Boolean hodnota = null;
			int indexOf = reťazec.indexOf(" ");

			while (0 == indexOf)
			{
				reťazec.deleteCharAt(0);
				if (0 == reťazec.length()) return null;
				indexOf = reťazec.indexOf(" ");
			}

			if (indexOf == -1)
			{
				if (!reťazec.toString().equalsIgnoreCase(nullString))
					hodnota = Boolean.valueOf(reťazec.toString());
				reťazec.setLength(0);
			}
			else
			{
				if (!reťazec.substring(0, indexOf).equalsIgnoreCase(nullString))
					hodnota = Boolean.valueOf(reťazec.substring(0, indexOf));
				reťazec.delete(0, indexOf + 1);
			}

			return hodnota;
		}

		private void čítajVlastnosti() throws IOException
		{
			if (vlastnostiPrečítané) return;

			if (null == čítanie)
				throw new GRobotException(
					"Nie je otvorený súbor na čítanie.",
					"noFileForReadingOpen");

			String reťazec, názov, hodnota;
			while (null != (reťazec = čítajRiadok()))
			{
				if (reťazec.equals(""))
				{
					vlastnosti.pridaj("");
					continue;
				}

				int indexOf;
				if (reťazec.startsWith(";"))
				{
					hodnota = reťazec.substring(1);

					if (-1 != hodnota.indexOf('\\'))
					{
						StringBuffer upravenáHodnota =
							new StringBuffer(hodnota);

						for (indexOf = 0; -1 != (indexOf =
							upravenáHodnota.indexOf("\\", indexOf)); ++indexOf)
						{
							upravenáHodnota.deleteCharAt(indexOf);
							if (indexOf < upravenáHodnota.length())
							switch (upravenáHodnota.charAt(indexOf))
							{
								case 'n': upravenáHodnota.
									setCharAt(indexOf, '\n'); break;
								case 'r': upravenáHodnota.
									setCharAt(indexOf, '\r'); break;
								case 't': upravenáHodnota.
									setCharAt(indexOf, '\t'); break;
								case 'b': upravenáHodnota.
									setCharAt(indexOf, '\b'); break;
								case 'f': upravenáHodnota.
									setCharAt(indexOf, '\f'); break;
							}
						}

						hodnota = new String(upravenáHodnota);
					}

					vlastnosti.pridaj(";", hodnota);
					continue;
				}

				indexOf = reťazec.indexOf("=");
				if (-1 == indexOf)
				{
					názov = new String(reťazec);
					hodnota = null;
				}
				else
				{
					názov = reťazec.substring(0, indexOf);
					hodnota = reťazec.substring(1 + indexOf);
				}

				názov = názov.trim();
				if (názov.equals(""))
					throw new GRobotException(
						"V konfiguračnom súbore sa nachádza" +
						" vlastnosť bez názvu.", "propertyNameEmpty");

				if (názov.startsWith(";"))	// ak je komentár odmedzerovaný
					throw new GRobotException(
						"V konfiguračnom súbore sa nachádza vlastnosť " +
						"začínajúca sa znakom komentára.",
						"propertyStartsWithSemicolon",
						názov);

				if (-1 != vlastnosti.indexOf(názov))
					throw new GRobotException(
						"V konfiguračnom súbore sa nachádza zdvojená " +
						"vlastnosť: " + názov, "propertyDuplicate", názov);

				if (null != hodnota && -1 != hodnota.indexOf('\\'))
				{
					StringBuffer upravenáHodnota = new StringBuffer(hodnota);

					for (indexOf = 0; -1 != (indexOf =
						upravenáHodnota.indexOf("\\", indexOf)); ++indexOf)
					{
						upravenáHodnota.deleteCharAt(indexOf);
						if (indexOf < upravenáHodnota.length())
						switch (upravenáHodnota.charAt(indexOf))
						{
							case 'n': upravenáHodnota.
								setCharAt(indexOf, '\n'); break;
							case 'r': upravenáHodnota.
								setCharAt(indexOf, '\r'); break;
							case 't': upravenáHodnota.
								setCharAt(indexOf, '\t'); break;
							case 'b': upravenáHodnota.
								setCharAt(indexOf, '\b'); break;
							case 'f': upravenáHodnota.
								setCharAt(indexOf, '\f'); break;
						}
					}

					hodnota = new String(upravenáHodnota);
				}

				vlastnosti.pridaj(názov, hodnota);
			}

			vlastnostiPrečítané = true;
		}


		// Súkromné metódy pomáhajúce pri zápise a čítaní údajov

		private void čítanieRiadka() throws IOException
		{
			if (koniecSúboru) return;

			prečítanýRiadok.setLength(0);
			String riadok = čítanie.readLine();
			overĎalšíRiadok = false;

			if (null == riadok) koniecSúboru = true;
			else if (prvýRiadok)
			{
				if (!riadok.isEmpty())
				{
					// Korekcia značky endianity kódovania UTF-8
					// (všetky údaje sú čítané prostredníctvom tejto metódy
					// a žiadne údaje nie sú čítané mimo nej, takže záplata
					// je na správnom mieste)

					if (riadok.charAt(0) == '\uFEFF')
						prečítanýRiadok.append(riadok.substring(1));
					else
						prečítanýRiadok.append(riadok);
				}

				prvýRiadok = false;
			}
			else prečítanýRiadok.append(riadok);
		}

		private boolean preskočiťMedzery() throws IOException
		{
			int dĺžka, poloha;
			if (prvýRiadok) čítanieRiadka();

			do
			{
				do
				{
					if (koniecSúboru) return true;
					dĺžka = prečítanýRiadok.length();
					if (0 == dĺžka) čítanieRiadka();
				}
				while (0 == dĺžka);

				poloha = 0;

				while (poloha < dĺžka && ' ' == prečítanýRiadok.charAt(poloha))
					++poloha;

				prečítanýRiadok.delete(0, poloha);
				overĎalšíRiadok = true;
			}
			while (poloha >= dĺžka);

			return false;
		}


	// Zoznamy súborov a priečinkov

		/**
		 * Vytvorí zoznam súborov umiestnených v zadanom priečinku.
		 * @param cesta cesta a názov priečinka, z obsahu ktorého má byť
		 *  vytvorený zoznam
		 * @return pole typu {@link java.lang.String String} so zoznamom
		 *  súborov
		 * @throws GRobotException ak zadaná cesta nebola nájdená alebo
		 *  je neplatná; ak zadaná cesta nespĺňa niektoré pravidlo platnej
		 *  cesty
		 */
		public static String[] zoznamSúborov(String cesta)
		{
			File priečinok = new File(cesta);
			try
			{
				overPlatnosťPriečinka(priečinok);
			}
			catch (FileNotFoundException notFound)
			{
				String výslednýZoznam[] =
					zoznamZJarSúboru(null, cesta, true, false);
				if (null == výslednýZoznam)
				{
					if (null == cesta || !cesta.isEmpty())
						throw new GRobotException("Cesta „" + cesta +
							"“ nebola nájdená.", "pathNotFound", cesta,
							notFound);
					priečinok = new File(".");
				}
				else return výslednýZoznam;
			}

			File zoznamPoložiek[] = priečinok.listFiles();
			Vector<String> zoznam = new Vector<String>();

			for (int i = 0; i < zoznamPoložiek.length; i++)
				if (zoznamPoložiek[i].isFile())
					zoznam.add(zoznamPoložiek[i].getName());

			if (0 == zoznam.size()) return null;

			String výslednýZoznam[] = new String[zoznam.size()];
			for (int i = 0; i < zoznam.size(); i++)
				výslednýZoznam[i] = zoznam.get(i);

			return výslednýZoznam;
		}

		/** <a class="alias"></a> Alias pre {@link #zoznamSúborov(String) zoznamSúborov}. */
		public static String[] zoznamSuborov(String cesta)
			// throws FileNotFoundException, IllegalArgumentException
		{ return zoznamSúborov(cesta); }

		/**
		 * Vytvorí zoznam priečinkov umiestnených na zadanej ceste.
		 * @param cesta cesta na ktorej sa majú hľadať priečinky
		 * @return pole typu {@link java.lang.String String} so zoznamom
		 *  priečinkov
		 * @throws GRobotException ak zadaná cesta nebola nájdená alebo
		 *  je neplatná; ak zadaná cesta nespĺňa niektoré pravidlo platnej
		 *  cesty
		 */
		public static String[] zoznamPriečinkov(String cesta)
		{
			File priečinok = new File(cesta);
			try
			{
				overPlatnosťPriečinka(priečinok);
			}
			catch (FileNotFoundException notFound)
			{
				String výslednýZoznam[] =
					zoznamZJarSúboru(null, cesta, false, true);
				if (null == výslednýZoznam)
				{
					if (null == cesta || !cesta.isEmpty())
						throw new GRobotException("Cesta „" + cesta +
							"“ nebola nájdená.", "pathNotFound", cesta,
							notFound);
					priečinok = new File(".");
				}
				else return výslednýZoznam;
			}

			File zoznamPoložiek[] = priečinok.listFiles();
			Vector<String> zoznam = new Vector<String>();

			for (int i = 0; i < zoznamPoložiek.length; i++)
				if (zoznamPoložiek[i].isDirectory())
					zoznam.add(zoznamPoložiek[i].getName());

			if (0 == zoznam.size()) return null;

			String výslednýZoznam[] = new String[zoznam.size()];
			for (int i = 0; i < zoznam.size(); i++)
				výslednýZoznam[i] = zoznam.get(i);

			return výslednýZoznam;
		}

		/** <a class="alias"></a> Alias pre {@link #zoznamPriečinkov(String) zoznamPriečinkov}. */
		public static String[] zoznamPriecinkov(String cesta)
			// throws FileNotFoundException, IllegalArgumentException
		{ return zoznamPriečinkov(cesta); }

		/**
		 * Vytvorí zoznam súborov a priečinkov umiestnených v zadanom
		 * priečinku.
		 * @param cesta cesta a názov priečinka, z obsahu ktorého má byť
		 *  vytvorený zoznam
		 * @return pole typu {@link java.lang.String String} so zoznamom
		 *  súborov a priečinkov
		 * @throws GRobotException ak zadaná cesta nebola nájdená alebo
		 *  je neplatná; ak zadaná cesta nespĺňa niektoré pravidlo platnej
		 *  cesty
		 */
		public static String[] zoznamSúborovAPriečinkov(String cesta)
		{
			File priečinok = new File(cesta);
			try
			{
				overPlatnosťPriečinka(priečinok);
			}
			catch (FileNotFoundException notFound)
			{
				String výslednýZoznam[] =
					zoznamZJarSúboru(null, cesta, true, true);
				if (null == výslednýZoznam)
				{
					if (null == cesta || !cesta.isEmpty())
						throw new GRobotException("Cesta „" + cesta +
							"“ nebola nájdená.", "pathNotFound", cesta,
							notFound);
					priečinok = new File(".");
				}
				else return výslednýZoznam;
			}

			File zoznamPoložiek[] = priečinok.listFiles();
			Vector<String> zoznam = new Vector<String>();

			for (int i = 0; i < zoznamPoložiek.length; i++)
				if (zoznamPoložiek[i].isFile() ||
					zoznamPoložiek[i].isDirectory())
					zoznam.add(zoznamPoložiek[i].getName());

			if (0 == zoznam.size()) return null;

			String výslednýZoznam[] = new String[zoznam.size()];
			for (int i = 0; i < zoznam.size(); i++)
				výslednýZoznam[i] = zoznam.get(i);

			return výslednýZoznam;
		}

		/** <a class="alias"></a> Alias pre {@link #zoznamSúborovAPriečinkov(String) zoznamSúborovAPriečinkov}. */
		public static String[] zoznamSuborovAPriecinkov(String cesta)
			// throws FileNotFoundException, IllegalArgumentException
		{ return zoznamSúborovAPriečinkov(cesta); }

		/**
		 * Vytvorí zoznam všetkých položiek umiestnených na zadanej ceste.
		 * Je možné, že zoznam bude zhodný so zoznamom vytvoreným pomocou
		 * metódy {@link #zoznamSúborovAPriečinkov(String)
		 * zoznamSúborovAPriečinkov}.
		 * @param cesta cesta a názov priečinka, z obsahu ktorého má byť
		 *  vytvorený zoznam
		 * @return pole typu {@link java.lang.String String} so zoznamom
		 *  položiek
		 * @throws GRobotException ak zadaná cesta nebola nájdená alebo
		 *  je neplatná; ak zadaná cesta nespĺňa niektoré pravidlo platnej
		 *  cesty
		 */
		public static String[] zoznam(String cesta)
		{
			File priečinok = new File(cesta);
			try
			{
				overPlatnosťPriečinka(priečinok);
			}
			catch (FileNotFoundException notFound)
			{
				String výslednýZoznam[] =
					zoznamZJarSúboru(null, cesta, true, true);
				if (null == výslednýZoznam)
				{
					if (null == cesta || !cesta.isEmpty())
						throw new GRobotException("Cesta „" + cesta +
							"“ nebola nájdená.", "pathNotFound", cesta,
							notFound);
					priečinok = new File(".");
				}
				else return výslednýZoznam;
			}

			File zoznamPoložiek[] = priečinok.listFiles();
			Vector<String> zoznam = new Vector<String>();

			for (int i = 0; i < zoznamPoložiek.length; i++)
				zoznam.add(zoznamPoložiek[i].getName());

			if (0 == zoznam.size()) return null;

			String výslednýZoznam[] = new String[zoznam.size()];
			for (int i = 0; i < zoznam.size(); i++)
				výslednýZoznam[i] = zoznam.get(i);

			return výslednýZoznam;
		}


	// Rôzne statické

		// Existencia súboru (priečinka)

		/**
		 * Overí, či súbor alebo priečinok so zadaným názvom jestvuje.
		 * Metóda overuje len jestvovanie reálnych súborov na pevnom disku
		 * a len v rámci aktuálneho umiestnenia – neprehľadáva cestu
		 * <code>classpath</code> ani balíček {@code .jar}. V prípade
		 * potreby môžete použiť metódu {@link #kdeJeSúbor(String)
		 * kdeJeSúbor}, ktorá uvedené umiestnenia prehľadáva, a ktorá
		 * v prípade nenájdenia súboru vráti hodnotu {@code valnull}.
		 * @param názov názov súboru alebo priečinka
		 * @return {@code valtrue} – áno; {@code valfalse} – nie
		 */
		public static boolean existuje(String názov)
		{ return new File(názov).exists(); }

		/**
		 * Overí, či súbor alebo priečinok so zadaným názvom jestvuje.
		 * Metóda overuje len jestvovanie reálnych súborov na pevnom disku
		 * a len v rámci aktuálneho umiestnenia – neprehľadáva cestu
		 * <code>classpath</code> ani balíček {@code .jar}. V prípade
		 * potreby môžete použiť metódu {@link #kdeJeSúbor(String)
		 * kdeJeSúbor}, ktorá uvedené umiestnenia prehľadáva, a ktorá
		 * v prípade nenájdenia súboru vráti hodnotu {@code valnull}.
		 * @param názov názov súboru alebo priečinka
		 * @return {@code valtrue} – áno; {@code valfalse} – nie
		 */
		public static boolean jestvuje(String názov)
		{ return new File(názov).exists(); }

		// Vytvorenie priečinka

		/**
		 * Vytvorí nový priečinok so zadaným názvom buď v aktuálnom
		 * priečinku, alebo na zadanej ceste (pripojenej pred názvom).
		 * Ak je parameter ajRodičov rovný {@code valtrue}, tak sa metóda
		 * pokúsi vytvoriť aj rodičovské priečinky, ktoré nejestvujú.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param názov      názov súboru alebo priečinka
		 *  @param ajRodičov  určuje, či sa má metóda pokúsiť vytvoriť aj
		 *                    prípadných rodičov
		 *  @return {@code valtrue} vtedy a len vtedy, ak bol priečinok
		 *      (vrátane prípadných rodičovských priečinkov) úspešne vytvorený
		 *      úspešne, inak {@code valfalse}
		 */
		public static boolean vytvorPriečinok(String názov, boolean ajRodičov)
		{ return ajRodičov ? new File(názov).mkdirs() : new File(názov).mkdir(); }

		/** <a class="alias"></a> Alias pre {@link #vytvorPriečinok(String, boolean) vytvorPriečinok}. */
		public static boolean vytvorPriecinok(String názov, boolean ajRodičov)
		{ return vytvorPriečinok(názov, ajRodičov); }

		/** <a class="alias"></a> Alias pre {@link #vytvorPriečinok(String, boolean) vytvorPriečinok}. */
		public static boolean novýPriečinok(String názov, boolean ajRodičov)
		{ return vytvorPriečinok(názov, ajRodičov); }

		/** <a class="alias"></a> Alias pre {@link #vytvorPriečinok(String, boolean) vytvorPriečinok}. */
		public static boolean novyPriecinok(String názov, boolean ajRodičov)
		{ return vytvorPriečinok(názov, ajRodičov); }

		/**
		 * Vytvorí nový priečinok so zadaným názvom buď v aktuálnom
		 * priečinku, alebo na zadanej ceste (pripojenej pred názvom).
		 * 
		 *  @param názov  názov súboru alebo priečinka
		 *  @return {@code valtrue} vtedy a len vtedy, ak bol priečinok
		 *      úspešne vytvorený úspešne, inak {@code valfalse}
		 */
		public static boolean vytvorPriečinok(String názov)
		{ return new File(názov).mkdir(); }

		/** <a class="alias"></a> Alias pre {@link #vytvorPriečinok(String) vytvorPriečinok}. */
		public static boolean vytvorPriecinok(String názov)
		{ return new File(názov).mkdir(); }

		/** <a class="alias"></a> Alias pre {@link #vytvorPriečinok(String) vytvorPriečinok}. */
		public static boolean novýPriečinok(String názov)
		{ return new File(názov).mkdir(); }

		/** <a class="alias"></a> Alias pre {@link #vytvorPriečinok(String) vytvorPriečinok}. */
		public static boolean novyPriecinok(String názov)
		{ return new File(názov).mkdir(); }

		// Overenie, či ide o súbor alebo priečinok

		/**
		 * Overí, či zadaný názov určuje obyčajný súbor. Obyčajný súbor
		 * znamená nie priečinok, ani iná špeciálna položka v rámci
		 * súborového systému.
		 * 
		 *  @param názov názov súboru alebo priečinka
		 *  @return {@code valtrue} v prípade, že súbor so zadaným názvom
		 *      jestvuje a ide o normálny súbor, inak {@code valfalse}
		 */
		public static boolean jeSúbor(String názov)
		{ return new File(názov).isFile(); }

		/** <a class="alias"></a> Alias pre {@link #jeSúbor(String) jeSúbor}. */
		public static boolean jeSubor(String názov)
		{ return new File(názov).isFile(); }

		/**
		 * Overí, či zadaný názov označuje priečinok.
		 * 
		 *  @param názov názov súboru alebo priečinka
		 *  @return {@code valtrue} v prípade, že položka so zadaným názvom
		 *      jestvuje a je to priečinok, inak {@code valfalse}
		 */
		public static boolean jePriečinok(String názov)
		{ return new File(názov).isDirectory(); }

		/** <a class="alias"></a> Alias pre {@link #jePriečinok(String) jePriečinok}. */
		public static boolean jePriecinok(String názov)
		{ return new File(názov).isDirectory(); }

		// Porovnanie, kopírovanie, pripájanie, presun, mazanie súborov

		/**
		 * Porovná obsah dvoch súborov. Oba názvy musia označovať súbory, inak
		 * vznikne výnimka. Ak obidva súbory nejestvujú, je to vyhodnotené ako
		 * zhoda. Ak nejestvuje iba jeden zo súborov, vznikne výnimka, preto
		 * musí byť príkaz uzavretý do bloku {@code try-catch} (pozri napríklad
		 * príklad v opise metódy {@link #kopíruj(String, String, boolean)
		 * kopíruj}). Ak obidva súbory jestvujú, tak sú porovnané a v prípade
		 * ich zhody je návratová hodnota rovná {@code valtrue}, inak je rovná
		 * {@code valfalse}.
		 * 
		 * <P>Od verzie 1.75 je k dispozícii nová reakcia v rámci obsluhy
		 * udalostí – {@link ObsluhaUdalostí#sekvencia(int, String, String,
		 * long, long) sekvencia} (s prislúchajúcim
		 * {@linkplain GRobot#sekvencia(int, String, String, long, long)
		 * variantom pre jednotlivých robotov}). Počas procesu porovnávania
		 * je uvedená reakcia spúšťaná (samozrejme aj so všetkými jej
		 * variantmi) s kódom spracovania
		 * {@link #POROVNANIE_SÚBOROV POROVNANIE_SÚBOROV}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param názov1 názov (a cesta) prvého súboru
		 *  @param názov2 názov (a cesta) druhého súboru
		 *  @return {@code valtrue} v prípade, že sú súbory zhodné,
		 *      inak {@code valfalse}
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  jeden zo zadaných objektov nie je súbor
		 *      alebo nejestvuje len jeden zo súborov (pričom druhý áno)
		 */
		public static boolean porovnaj(String názov1, String názov2)
			throws IOException
		{
			/*NO!
			 *  @exception FileNotFoundException  táto výnimka by nemala
			 *      vzniknúť – prítomnosť súborov je overená ešte pred pokusom
			 *      o ich otvorenie, teoreticky je však technicky možné, že by
			 *      bol niektorý zo súborov vymazaný až po overení jeho
			 *      jestvovania, tesne pred pokusom o jeho otvorenie; vtedy má
			 *      šancu vzniknúť táto výnimka
			*/
			File súbor1 = nájdiSúbor(názov1);
			File súbor2 = nájdiSúbor(názov2);

			InputStream čítanie1 = null;
			InputStream čítanie2 = null;

			boolean obidvaSúSúbory = true;

			if (null != súbor1)
			{
				if (!súbor1.isFile())
					throw new GRobotException(
						"Prvý súbor „" + názov1 + "“ nie je súbor.",
						"firstObjectNotFile", názov1);

				čítanie1 = new FileInputStream(súbor1);
			}
			else
			{
				try
				{
					// Pokúsi sa prečítať súbor z .jar súboru (ako zdroj)
					čítanie1 = dajVstupnýPrúdZdroja(názov1);
					obidvaSúSúbory = false;
				}
				catch (Exception e)
				{
					čítanie1 = null;
				}
			}

			if (null != súbor2)
			{
				if (!súbor2.isFile())
					throw new GRobotException(
						"Druhý súbor „" + názov2 + "“ nie je súbor.",
						"secondObjectNotFile", názov2);

				čítanie2 = new FileInputStream(súbor2);
			}
			else
			{
				try
				{
					// Pokúsi sa prečítať súbor z .jar súboru (ako zdroj)
					čítanie2 = dajVstupnýPrúdZdroja(názov2);
					obidvaSúSúbory = false;
				}
				catch (Exception e)
				{
					čítanie2 = null;
				}
			}

			if (null == čítanie1)
			{
				if (null == čítanie2)
				{
					// Ak obidva súbory nejestvujú, znamená to zhodu
					return true;
				}

				throw new GRobotException(
					"Prvý súbor „" + názov1 + "“ nejestvuje.",
					"firstFileNotExists", názov1, new FileNotFoundException());
			}

			if (null == čítanie2)
			{
				throw new GRobotException(
					"Druhý súbor „" + názov2 + "“ nejestvuje.",
					"secondFileNotExists", názov2, new FileNotFoundException());
			}

			if (obidvaSúSúbory)
			{
				if (súbor1.length() != súbor2.length())
				{
					čítanie1.close();
					čítanie2.close();
					return false;
				}

				if (súbor1.getCanonicalFile().equals(súbor2.getCanonicalFile()))
				{
					čítanie1.close();
					čítanie2.close();
					return true;
				}
			}

			byte[] zásobník1 = new byte[32768];
			byte[] zásobník2 = new byte[32768];
			boolean rovnakýObsah = true;

			int dĺžka1 = čítanie1.read(zásobník1);
			int dĺžka2 = čítanie2.read(zásobník2);
			int ukaz1 = 0, ukaz2 = 0;
			long fáza = dĺžka1, celkovo = -1;

			try
			{
				if (null != súbor1)
					celkovo = súbor1.length();
				else
					celkovo = dajVeľkosťZdroja(názov1);
			}
			catch (Exception e)
			{
				// Ignorujeme… (poznať veľkosť nie je až také dôležité)
			}

			if (null != počúvadlo)
				synchronized (zámokUdalostí)
				{
					počúvadlo.sekvencia(POROVNANIE_SÚBOROV,
						názov1, názov2, fáza, celkovo);
				}

			synchronized (zámokUdalostí)
			{
				for (GRobot počúvajúci : počúvajúciSúbory)
				{
					počúvajúci.sekvencia(POROVNANIE_SÚBOROV,
						názov1, názov2, fáza, celkovo);
				}
			}

			// Ide o to, že zásobníky sa môžu plniť nerovnako veľkými časťami
			// údajov. Napriek tomu môžu byť súbory rovnaké!
			if (dĺžka1 > 0 || dĺžka2 > 0)
			{
				while (ukaz1 < dĺžka1 && ukaz2 < dĺžka2)
				{
					if (zásobník1[ukaz1] != zásobník2[ukaz2])
					{
						rovnakýObsah = false;
						break;
					}

					++ukaz1; ++ukaz2;

					if (ukaz1 >= dĺžka1)
					{
						dĺžka1 = čítanie1.read(zásobník1);
						ukaz1 = 0;

						fáza += dĺžka1;

						if (null != počúvadlo)
							synchronized (zámokUdalostí)
							{
								počúvadlo.sekvencia(POROVNANIE_SÚBOROV,
									názov1, názov2, fáza, celkovo);
							}

						synchronized (zámokUdalostí)
						{
							for (GRobot počúvajúci : počúvajúciSúbory)
							{
								počúvajúci.sekvencia(POROVNANIE_SÚBOROV,
									názov1, názov2, fáza, celkovo);
							}
						}
					}

					if (ukaz2 >= dĺžka2)
					{
						dĺžka2 = čítanie2.read(zásobník2);
						ukaz2 = 0;
					}
				}

				if (rovnakýObsah && (dĺžka1 > 0 || dĺžka2 > 0))
					rovnakýObsah = false;
			}

			čítanie1.close();
			čítanie2.close();
			return rovnakýObsah;
		}

		/**
		 * Skopíruje zdrojový súbor do cieľového súboru. Oba názvy musia
		 * označovať súbory, inak vznikne výnimka. Zdrojový súbor musí
		 * jestvovať a ak nie je argument {@code prepísať} rovný {@code
		 * valtrue}, cieľový súbor nesmie jestvovať. Počas procesu
		 * kopírovania môže vzniknúť výnimka, preto musí byť príkaz uzavretý
		 * do bloku {@code try-catch}:
		 * 
		 * <pre CLASS="example">
			{@link String String} zdroj = {@code srg"citajma.txt"};
			{@link String String} cieľ = {@code srg"zaloha_citajma.txt"};

			{@code kwdtry}
			{
				{@link Súbor Súbor}.{@code currkopíruj}(zdroj, cieľ, {@code valtrue});
				{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Súbor „"} + zdroj + {@code srg"“ úspešne skopírovaný do „"} + cieľ + {@code srg"“…"});
			}
			{@code kwdcatch} ({@link Exception Exception} e)
			{
				{@link Svet Svet}.{@link Svet#správa(String) správa}(e.{@link Exception#getMessage() getMessage}());
			}
			</pre>
		 * 
		 * <P>Od verzie 1.75 je k dispozícii nová reakcia v rámci obsluhy
		 * udalostí – {@link ObsluhaUdalostí#sekvencia(int, String, String,
		 * long, long) sekvencia} (s prislúchajúcim
		 * {@linkplain GRobot#sekvencia(int, String, String, long, long)
		 * variantom pre jednotlivých robotov}). Počas procesu kopírovania
		 * je uvedená reakcia spúšťaná (samozrejme aj so všetkými jej
		 * variantmi) s kódom spracovania
		 * {@link #KOPÍROVANIE_SÚBOROV KOPÍROVANIE_SÚBOROV}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param zdroj názov (a cesta) zdrojového súboru
		 *  @param cieľ názov (a cesta) cieľového súboru
		 *  @param prepísať  ak je {@code valtrue}, cieľový súbor bude
		 *      prepísaný (ak jestvuje)
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak argument prepísať je {@code valfalse}
		 *      a cieľový súbor jestvuje; ak cieľový súbor nemôže byť
		 *      prepísaný, lebo nie je súborom; ak zdrojový súbor nie je
		 *      súborom; ak zdrojový súbor nejestvuje
		 */
		public static void kopíruj(String zdroj, String cieľ, boolean prepísať)
			throws /*FileNotFoundException,*/ IOException
		{
			// Táto metóda bola mnoho ráz opravovaná. Na prvý pohľad má robíť
			// primitívny úkon – skopírovať všetky bajty z jedného miesta na
			// druhé. Je to vec, ktorú snáď riešilo milión programátorov
			// milión ráz. Problém pri tvorbe tejto metódy bol, že má byť
			// schopná automaticky rozpoznať, či zdroj (zadaný ako reťazec)
			// je jestvujúci súbor na pevnom disku alebo zdroj (chápaný ako
			// objekt) prítomný v JAR balíčku, v ktorom je práve umiestnená
			// preložená kópia knižnice (napr. v nejakom projekte). Aj keď už
			// bolo všetko otestované a fungovalo, do metódy boli vnesené
			// ďalšie chyby počas rozširovania možností knižnice. Napríklad
			// vznikla reakcia sekvencia, všetko bolo pripravené, metóda
			// otestovaná, ale na testovanie v JAR balíčku sa akosi zabudlo
			// a chyba sa prejavila až po dlhšom čase, ked po prenesení
			// knižnice do JAR balíčka zarazu určitý projekt nefungoval –
			// hľadanie chyby však nebolo jednoduché a konečné zistenie, že
			// chyba je v skutočnosti v tejto metóde bolo prekvapujúce…

			/* @exception FileNotFoundException */
			File súborZdroja = nájdiSúbor(zdroj);
			File súborCieľa = new File(cieľ);

			if (!prepísať && súborCieľa.exists())
				throw new GRobotException(
					"Cieľový súbor „" + cieľ + "“ už jestvuje.",
					"targetFileExists", cieľ);
			if (súborCieľa.exists() && !súborCieľa.isFile())
				throw new GRobotException(
					"Cieľový súbor „" + cieľ + "“ nie je súbor.",
					"targetObjectNotFile", cieľ);

			InputStream čítanie;

			if (null != súborZdroja)
			{
				if (!súborZdroja.isFile())
					throw new GRobotException(
						"Zdrojový súbor „" + zdroj + "“ nie je súbor.",
						"sourceObjectNotFile", zdroj);

				čítanie = new FileInputStream(súborZdroja);
			}
			else
			{
				try
				{
					// Pokúsi sa prečítať súbor z .jar súboru (ako zdroj)
					čítanie = dajVstupnýPrúdZdroja(zdroj);
				}
				catch (Exception e)
				{
					čítanie = null;
				}
			}

			if (null == čítanie)
			{
				throw new GRobotException(
					"Zdrojový súbor „" + zdroj + "“ nejestvuje.",
					"sourceFileNotExists", zdroj, new FileNotFoundException());
			}


			// Keby sme chceli súbor pripojiť:
			// FileOutputStream zápis = new FileOutputStream(súborCieľa, true);

			// Lenže chceme súbor prepísať:
			FileOutputStream zápis = new FileOutputStream(súborCieľa);

			byte[] zásobník = new byte[32768];
			int dĺžka;
			long fáza = 0, celkovo = -1;

			try
			{
				if (null != súborZdroja)
					celkovo = súborZdroja.length();
				else
					celkovo = dajVeľkosťZdroja(zdroj);
			}
			catch (Exception e)
			{
				// Ignorujeme… (poznať veľkosť nie je až také dôležité)
			}

			while ((dĺžka = čítanie.read(zásobník)) > 0)
			{
				zápis.write(zásobník, 0, dĺžka);
				fáza += dĺžka;

				if (null != počúvadlo)
					synchronized (zámokUdalostí)
					{
						počúvadlo.sekvencia(KOPÍROVANIE_SÚBOROV,
							zdroj, cieľ, fáza, celkovo);
					}

				synchronized (zámokUdalostí)
				{
					for (GRobot počúvajúci : počúvajúciSúbory)
					{
						počúvajúci.sekvencia(KOPÍROVANIE_SÚBOROV,
							zdroj, cieľ, fáza, celkovo);
					}
				}
			}

			čítanie.close();
			zápis.close();

			if (null != súborZdroja && súborZdroja.exists())
				súborCieľa.setLastModified(súborZdroja.lastModified());
			else
			{
				URL url = nájdiZdroj(zdroj);
				long čas = url.openConnection().getLastModified();
				if (0 != čas) súborCieľa.setLastModified(čas);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #kopíruj(String, String, boolean) kopíruj}. */
		public static void kopiruj(String zdroj, String cieľ,
			boolean prepísať) throws /*FileNotFoundException,*/ IOException
		{ kopíruj(zdroj, cieľ, prepísať); }

		/**
		 * Skopíruje zdrojový súbor do cieľového súboru. Oba názvy musia
		 * označovať súbory, inak vznikne výnimka. Zdrojový súbor musí
		 * jestvovať a cieľový súbor nesmie jestvovať. Počas procesu
		 * kopírovania môže vzniknúť výnimka, preto musí byť príkaz
		 * uzavretý do bloku {@code try-catch} (pozri príklad pri {@link
		 * #kopíruj(String, String, boolean) kopíruj(zdroj, cieľ,
		 * prepísať}).
		 * 
		 *  @param zdroj názov (a cesta) zdrojového súboru
		 *  @param cieľ názov (a cesta) cieľového súboru
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 */
		public static void kopíruj(String zdroj, String cieľ)
			throws /*FileNotFoundException,*/ IOException
		{ kopíruj(zdroj, cieľ, false); }

		/** <a class="alias"></a> Alias pre {@link #kopíruj(String, String) kopíruj}. */
		public static void kopiruj(String zdroj, String cieľ)
			throws /*FileNotFoundException,*/ IOException
		{ kopíruj(zdroj, cieľ, false); }

		/**
		 * Pripojí zdrojový súbor k cieľovému súboru. Oba názvy musia
		 * označovať súbory a oba musia jestvovať, inak vznikne výnimka.
		 * Počas procesu pripájania môže vzniknúť výnimka, preto musí byť
		 * príkaz uzavretý do bloku {@code try-catch} (podobne ako ostatné
		 * príkazy tejto triedy)…
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param zdroj názov (a cesta) zdrojového súboru
		 *  @param cieľ názov (a cesta) cieľového súboru
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak cieľový súbor nemôže byť použitý,
		 *      lebo nie je súborom; ak zdrojový súbor nie je súborom; alebo
		 *      ak zdrojový súbor nejestvuje
		 */
		public static void pripoj(String zdroj, String cieľ) throws IOException
		{
			File súborZdroja = nájdiSúbor(zdroj);
			File súborCieľa = new File(cieľ);

			if (súborCieľa.exists() && !súborCieľa.isFile())
				throw new GRobotException(
					"Cieľový súbor „" + cieľ + "“ nie je súbor.",
					"targetObjectNotFile", cieľ);

			InputStream čítanie;

			if (null != súborZdroja)
			{
				if (!súborZdroja.isFile())
					throw new GRobotException(
						"Zdrojový súbor „" + zdroj + "“ nie je súbor.",
						"sourceObjectNotFile", zdroj);

				čítanie = new FileInputStream(súborZdroja);
			}
			else
			{
				try
				{
					// Pokúsi sa prečítať súbor z .jar súboru (ako zdroj)
					čítanie = dajVstupnýPrúdZdroja(zdroj);
				}
				catch (Exception e)
				{
					čítanie = null;
				}
			}

			if (null == čítanie)
			{
				throw new GRobotException(
					"Zdrojový súbor „" + zdroj + "“ nejestvuje.",
					"sourceFileNotExists", zdroj, new FileNotFoundException());
			}


			// Keby sme chceli súbor prepísať:
			// FileOutputStream zápis = new FileOutputStream(súborCieľa);

			// Lenže chceme súbor pripojiť:
			FileOutputStream zápis = new FileOutputStream(súborCieľa, true);

			byte[] zásobník = new byte[32768];
			int dĺžka;

			while ((dĺžka = čítanie.read(zásobník)) > 0)
			{
				zápis.write(zásobník, 0, dĺžka);
			}

			čítanie.close();
			zápis.close();

			// if (súborZdroja.exists())
			//	súborCieľa.setLastModified(súborZdroja.lastModified());
		}

		/**
		 * Premenuje (presunie) zdrojový súbor alebo priečinok na cieľový
		 * súbor alebo priečinok (do cieľovej cesty). Počas vykonania tejto
		 * operácie musí byť braných do úvahy veľa platformovo závislých
		 * aspektov. Premenovanie (presun) môže zlyhať z mnohých dôvodov:
		 * presun medzi rôznymi súborovými systémami, pokus o presun
		 * netriviálnej položky, pokus o premenovanie na názov jestvujúceho
		 * súboru… Vždy by ste mali overiť návratovú hodnotu tejto metódy,
		 * aby ste si mohli byť istí, že operácia prebehla úspešne.
		 * 
		 *  @param zdroj názov (a cesta) zdrojového súboru alebo priečinka
		 *  @param cieľ názov (a cesta) cieľového súboru alebo priečinka
		 *  @return {@code valtrue} vtedy a len vtedy, ak operácia
		 *      premenovania prebehla úspešne, inak {@code valfalse}
		 */
		public static boolean premenuj(String zdroj, String cieľ)
		{ return new File(zdroj).renameTo(new File(cieľ)); }

		/**
		 * Presunie zdrojový súbor alebo priečinok do cieľovej cesty. Počas
		 * vykonania tejto operácie musí byť braných do úvahy veľa
		 * platformovo závislých aspektov. Presun môže zlyhať z mnohých
		 * dôvodov: presun medzi rôznymi súborovými systémami, pokus
		 * o presun netriviálnej položky, pokus o nahradenie jestvujúcej
		 * položky pri presune… Vždy by ste mali overiť návratovú hodnotu
		 * tejto metódy, aby ste si mohli byť istí, že operácia prebehla
		 * úspešne.
		 * 
		 *  @param zdroj názov (a cesta) zdrojového súboru alebo priečinka
		 *  @param cieľovýPriečinok cesta do cieľového priečinka
		 *  @return {@code valtrue} vtedy a len vtedy, ak operácia presunu
		 *      prebehla úspešne, inak {@code valfalse}
		 */
		public static boolean presuň(String zdroj, String cieľovýPriečinok)
		{
			File zdrojováPoložka = new File(zdroj);
			File cieľováPoložka = new File(cieľovýPriečinok);

			return zdrojováPoložka.renameTo(
				new File(cieľováPoložka, zdrojováPoložka.getName()));
		}

		/** <a class="alias"></a> Alias pre {@link #presuň(String, String) presuň}. */
		public static boolean presun(String zdroj, String cieľovýPriečinok)
		{ return presuň(zdroj, cieľovýPriečinok); }

		/**
		 * Vymaže súbor alebo priečinok so zadaným názvom. Ak názov
		 * označuje priečinok, tak určený priečinok musí byť prázdny, inak
		 * nebude môcť byť vymazaný.
		 * 
		 *  @param názov  názov súboru alebo priečinka
		 *  @return {@code valtrue} vtedy a len vtedy, ak operácia vymazania
		 *      prebehla úspešne, inak {@code valfalse}
		 */
		public static boolean vymaž(String názov)
		{ return new File(názov).delete(); }

		/** <a class="alias"></a> Alias pre {@link #vymaž(String) vymaž}. */
		public static boolean vymaz(String názov)
		{ return new File(názov).delete(); }

		// Ďalšie vlastnosti

		/**
		 * Zistí dátum a čas poslednej úpravy zadaného súboru alebo
		 * priečinka.
		 * 
		 * @param názov  názov súboru alebo priečinka
		 * @return celočíselná hodnota reprezentujúca čas poslednej
		 *     úpravy súboru; meraná je v milisekundách od 1. januára
		 *     1970, 00:00:00; ak súbor nejestvuje, návratová hodnota
		 *     je 0
		 */
		public static long naposledyUpravený(String názov)
		{
			return new File(názov).lastModified();
		}

		/** <a class="alias"></a> Alias pre {@link #naposledyUpravený(String) naposledyUpravený}. */
		public long naposledyUpraveny(String názov) { return naposledyUpravený(názov); }

	// Menné priestory vlastností

		/**
		 * <a class="getter"></a> Zistí aktuálne používaný menný priestor
		 * na čítanie a zápis vlastností. Pre viac informácií o účele menného
		 * priestoru pozri {@link #mennýPriestorVlastností(String)
		 * mennýPriestorVlastností(String)}.
		 * 
		 *  @return vráti aktuálne používaný menný priestor v objekte typu
		 *      {@link java.lang.String String} alebo {@code valnull} ak nie
		 *      je používaný žiadny menný priestor
		 */
		public String mennýPriestorVlastností()
		{ return mennýPriestorVlastností; }

		/** <a class="alias"></a> Alias pre {@link #mennýPriestorVlastností() mennýPriestorVlastností}. */
		public String mennyPriestorVlastnosti()
		{ return mennýPriestorVlastností; }

		/**
		 * <a class="setter"></a> Stanoví nový menný priestor na čítanie
		 * a zápis vlastností.
		 * Menný priestor slúži na oddelenie určitej skupiny vlastností od
		 * ostatných vlastností alebo skupín vlastností. Vďaka nemu je
		 * napríklad možné zapisovať vlastnosti s rovnakým názvom pre rôzne
		 * inštancie objektov.
		 * Menný priestor nesmie byť prázdny, nesmie sa začínať alebo končiť
		 * bodkou a nesmie obsahovať znak rovná sa. Ak chceme zrušiť
		 * používanie menného priestoru, treba volať túto metódu s argumentom
		 * {@code valnull}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * 
		 * @param novýMennýPriestor názov nového menného priestoru alebo
		 *  {@code valnull} na zrušenie používania menného priestoru
		 *  @throws GRobotException  ak názov menného priestoru nespĺňa
		 *      niektorú požiadavku
		 */
		public void mennýPriestorVlastností(String novýMennýPriestor)
		{
			if (null == novýMennýPriestor)
			{
				mennýPriestorVlastností = null;
				return;
			}

			if (novýMennýPriestor.equals(""))
				throw new GRobotException(
					"Menný priestor nesmie byť prázdny.", "namespaceEmpty");

			if (novýMennýPriestor.endsWith("."))
				throw new GRobotException(
					"Menný priestor sa nesmie končiť bodkou.",
					"namespaceEndsWithDot", novýMennýPriestor);

			if (novýMennýPriestor.startsWith(";"))
				throw new GRobotException(
					"Menný priestor sa nesmie začínať znakom komentára.",
					"namespaceStartsWithSemicolon", novýMennýPriestor);

			if (novýMennýPriestor.startsWith("."))
				throw new GRobotException(
					"Menný priestor sa nesmie začínať bodkou.",
					"namespaceStartsWithDot", novýMennýPriestor);

			if (-1 != novýMennýPriestor.indexOf('='))
				throw new GRobotException(
					"Menný priestor nesmie obsahovať znak rovná sa.",
					"namespaceContainsEquals", novýMennýPriestor);

			mennýPriestorVlastností = novýMennýPriestor;
		}

		/** <a class="alias"></a> Alias pre {@link #mennýPriestorVlastností(String) mennýPriestorVlastností}. */
		public void mennyPriestorVlastnosti(String novýMennýPriestor)
		{ mennýPriestorVlastností(novýMennýPriestor); }


	// Dialógy

		// Ak je predvolená cesta dialógov rovná null, tak nie je ovplyvňovaná
		// cesta, ktorú predvolí systém.
		private static String predvolenáCestaDialógov = null;

		/**
		 * Zistí, aká je aktuálna predvolená cesta (systémových pomocných)
		 * dialógov na {@linkplain #dialógOtvoriť(String) otvorenie}
		 * a {@linkplain #dialógUložiť(String) uloženie} súborov. Ak je
		 * návratová hodnota rovná {@code valnull} (alebo prázdny reťazec),
		 * tak to znamená, že dialógy nemajú žiadnu predvolenú cestu a budú
		 * otvorené na umiestnení, ktoré určí operačný systém.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return aktuálna predvolená cesta dialógov na
		 *     {@linkplain #dialógOtvoriť(String) otvorenie}
		 *     a {@linkplain #dialógUložiť(String) uloženie} súborov
		 */
		public static String predvolenáCestaDialógov()
		{
			return predvolenáCestaDialógov;
		}

		/** <a class="alias"></a> Alias pre {@link #predvolenáCestaDialógov() predvolenáCestaDialógov}. */
		public static String predvolenaCestaDialogov()
		{
			return predvolenáCestaDialógov;
		}

		/**
		 * Nastaví novú predvolenú cestu (systémových pomocných)
		 * dialógov na {@linkplain #dialógOtvoriť(String) otvorenie}
		 * a {@linkplain #dialógUložiť(String) uloženie} súborov. Ak je
		 * zadaná hodnota rovná {@code valnull} (alebo prázdny reťazec),
		 * tak to znamená, že dialógy nemajú žiadnu predvolenú cestu a budú
		 * otvorené na umiestnení, ktoré určí operačný systém.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param cesta nová predvolená cesta dialógov na
		 *     {@linkplain #dialógOtvoriť(String) otvorenie}
		 *     a {@linkplain #dialógUložiť(String) uloženie} súborov
		 */
		public static void predvolenáCestaDialógov(String cesta)
		{
			predvolenáCestaDialógov = cesta;
		}

		/** <a class="alias"></a> Alias pre {@link #predvolenáCestaDialógov(String) predvolenáCestaDialógov}. */
		public static void predvolenaCestaDialogov(String cesta)
		{
			predvolenáCestaDialógov = cesta;
		}

		/**
		 * Otvorí používateľský dialóg na otvorenie súboru, ktorý vráti reťazec
		 * s úplnou cestou a názvom súboru zvoleného v dialógu používateľom.
		 * Ak používateľ dialóg zruší, návratová hodnota je {@code valnull}.
		 * Programátor zadáva titulok dialógu, s ktorým bude dialóg otvorený
		 * používateľovi.
		 * @param titulok titulok dialógu
		 * @return úplná cesta a názov súboru alebo {@code valnull}
		 */
		public static String dialógOtvoriť(String titulok)
		{
			FileDialog dialóg = new FileDialog(svet, titulok,
				FileDialog.LOAD);
			dialóg.setDirectory(predvolenáCestaDialógov);
			dialóg.setVisible(true);
			if (null != dialóg.getFile())
				return dialóg.getDirectory() + File.separator +
					dialóg.getFile();
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #dialógOtvoriť(String) dialógOtvoriť}. */
		public static String dialogOtvorit(String titulok) { return dialógOtvoriť(titulok); }

		private final static Pattern príponaFiltraDialóguSúborov =
			Pattern.compile("\\*\\.([^;,|)…]+)");

		/**
		 * Otvorí používateľský dialóg na otvorenie súboru, ktorý vráti reťazec
		 * s úplnou cestou a názvom súboru zvoleného v dialógu používateľom.
		 * Ak používateľ dialóg zruší, návratová hodnota je {@code valnull}.
		 * Programátor zadáva titulok dialógu, predvolený názov súboru,
		 * s ktorými bude dialóg otvorený používateľovi a prípadne aj jeden
		 * alebo viacero filtrov obsahujúcich šablóny masiek, ktoré určia
		 * súbory, ktoré sú v dialógu buď viditeľné (v OS Windows), alebo
		 * dovolené zvoliť (v macOS, predtým OS X a Mac OS – v tomto systéme
		 * sú vždy viditeľné všetky bežne zobrazované súbory, ale tie, ktoré
		 * nevyhovujú kritériám filtra sú „šedé“ – používateľovi nie je
		 * umožnené ich zvoliť).
		 * Filtre sú zadávané vo forme reťazca, ktorý bude k dispozícii na
		 * výber v dialógu, a ktorý musí obsahovať aspoň jeden reťazec v tvare
		 * <code>*.</code><i>«prípona»«oddeľovač»</i>, pričom platnými
		 * oddeľovačmi sú bodkočiarka ({@code ;}), čiarka ({@code ,}), zvislá
		 * čiara ({@code |}), koncová zátvorka ({@code )}) a elipsa
		 * ({@code …}), inak bude filter ignorovaný. Príkladom platného filtra
		 * môže byť: {@code srg"Obrázky vo formátoch GIF, PNG a JPEG (*.gif,
		 * *.png, *.jpeg…)"}
		 * 
		 * <P><small>(<b>Poznámky:</b> Filtre sú dostupné iba pri tejto verzii
		 * metódy z dôvodu rozlíšiteľnosti dvoch verzií metódy. Ide
		 * o principiálne obmedzenie jazyka Java. Ak si neželáte zadať
		 * predvolený názov súboru, použite hodnotu {@code valnull}. Z dôvodu
		 * použitia filtrov otvára táto verzia metódy principiálne iný typ
		 * dialógu ako jej staršia verzia.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param titulok titulok dialógu
		 * @param predvolenýNázovSúboru predvolený názov súboru poskytovaný
		 *     dialógom, ktorý je v niektorých operačných systémoch
		 *     (konkrétne macOS – predtým OS X a Mac OS) žiaľ aj tak
		 *     ignorovaný (pri dialógu slúžiacom na voľbu súboru na uloženie
		 *     to neplatí)
		 * @param filtre jeden alebo viac nepovinných reťazcov filtrov
		 *     (obsahujúcich masky) určujúcich, ktoré súbory majú byť v dialógu
		 *     zobrazené (v OS Windows) alebo dovolené vybrať (v macOS –
		 *     predtým OS X a Mac OS)
		 * @return úplná cesta a názov súboru alebo {@code valnull}
		 */
		public static String dialógOtvoriť(String titulok,
			String predvolenýNázovSúboru, String... filtre)
		{
			JFileChooser dialóg = new JFileChooser(predvolenáCestaDialógov);
			dialóg.setDialogTitle(titulok);
			if (null == predvolenýNázovSúboru)
				dialóg.setSelectedFile(null);
			else
				dialóg.setSelectedFile(new File(predvolenýNázovSúboru));

			boolean prvý = true;
			for (String filter : filtre)
			{
				Vector<String> zoznamPrípon = new Vector<String>();
				Matcher match = príponaFiltraDialóguSúborov.matcher(filter);
				while (match.find()) zoznamPrípon.add(match.group(1));

				if (!zoznamPrípon.isEmpty())
				{
					FileNameExtensionFilter filterPrípon =
						new FileNameExtensionFilter(
							filter, zoznamPrípon.toArray(
								new String[zoznamPrípon.size()]));

					if (prvý)
					{
						dialóg.setFileFilter(filterPrípon);
						prvý = false;
					}
					else
						dialóg.addChoosableFileFilter(filterPrípon);
				}
			}

			if (dialóg.showOpenDialog(svet) == JFileChooser.APPROVE_OPTION) try
			{
				return dialóg.getSelectedFile().getCanonicalPath();
			}
			catch (IOException e) { /* Ignorované… („sorry“) */ }

			/*
			FileDialog dialóg = new FileDialog(svet, titulok,
				FileDialog.LOAD);
			dialóg.setDirectory(predvolenáCestaDialógov);
			dialóg.setFile(predvolenýNázovSúboru);

			// Filtre – začiatok
			// 
			// (Poznámka: Dalo by sa to implementovať aj efektívnejšie cez
			// Pattern, StringBuffer a vlastnú implementáciu rozhrania
			// FilenameFilter, ale myslím si, že takto to stačí…)
			// 
			// (Poznámka 2: Dobre som urobil, aj tak to bolo na nič.)
			// 
			String filtruj = "";
			for (String filter : filtre)
			{
				filter = filter.replaceAll(
					"([\\.\\+\\^\\$\\(\\)\\[\\]\\{\\}\\\\])", "\\\\$1").
						replace('?', '.').replace("*", ".*");

				if (!filter.isEmpty())
				{
					if (filtruj.isEmpty()) filtruj = filter;
					else filtruj += "|" + filter;
				}
			}
			final String konštantaFiltra = filtruj;
			if (!filtruj.isEmpty())
				dialóg.setFilenameFilter((dir, name) ->
					{
						boolean b = name.matches(konštantaFiltra);
						System.out.println(name + ": " + b);
						return b;
					}
					);
			// Filtre – koniec

			dialóg.setVisible(true);
			if (null != dialóg.getFile())
				return dialóg.getDirectory() + File.separator +
					dialóg.getFile();
			*/

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #dialógOtvoriť(String, String, String...) dialógOtvoriť}. */
		public static String dialogOtvorit(String titulok,
			String predvolenýNázovSúboru, String... filtre)
		{
			return dialógOtvoriť(titulok, predvolenýNázovSúboru, filtre);
		}

		/**
		 * Otvorí používateľský dialóg na uloženie súboru, ktorý vráti reťazec
		 * s úplnou cestou a názvom súboru zvoleného v dialógu používateľom.
		 * Ak používateľ dialóg zruší, návratová hodnota je {@code valnull}.
		 * Programátor zadáva titulok dialógu, s ktorým bude dialóg otvorený
		 * používateľovi.
		 * @param titulok titulok dialógu
		 * @return úplná cesta a názov súboru alebo {@code valnull}
		 */
		public static String dialógUložiť(String titulok)
		{
			FileDialog dialóg = new FileDialog(svet, titulok,
				FileDialog.SAVE);
			dialóg.setDirectory(predvolenáCestaDialógov);
			dialóg.setVisible(true);
			if (null != dialóg.getFile())
				return dialóg.getDirectory() + File.separator +
					dialóg.getFile();
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #dialógUložiť(String) dialógUložiť}. */
		public static String dialogUlozit(String titulok) { return dialógUložiť(titulok); }

		/**
		 * Otvorí používateľský dialóg na uloženie súboru, ktorý vráti reťazec
		 * s úplnou cestou a názvom súboru zvoleného v dialógu používateľom.
		 * Ak používateľ dialóg zruší, návratová hodnota je {@code valnull}.
		 * Programátor zadáva titulok dialógu, predvolený názov súboru,
		 * s ktorými bude dialóg otvorený používateľovi a prípadne aj jeden
		 * alebo viacero filtrov obsahujúcich šablóny masiek, ktoré určia
		 * súbory, ktoré sú v dialógu buď viditeľné (v OS Windows), alebo
		 * dovolené zvoliť (v macOS, predtým OS X a Mac OS – v tomto systéme
		 * sú vždy viditeľné všetky bežne zobrazované súbory, ale tie, ktoré
		 * nevyhovujú kritériám filtra sú „šedé“ – používateľovi nie je
		 * umožnené ich zvoliť).
		 * Filtre sú zadávané vo forme reťazca, ktorý bude k dispozícii na
		 * výber v dialógu, a ktorý musí obsahovať aspoň jeden reťazec v tvare
		 * <code>*.</code><i>«prípona»«oddeľovač»</i>, pričom platnými
		 * oddeľovačmi sú bodkočiarka ({@code ;}), čiarka ({@code ,}), zvislá
		 * čiara ({@code |}), koncová zátvorka ({@code )}) a elipsa
		 * ({@code …}), inak bude filter ignorovaný. Príkladom platného filtra
		 * môže byť: {@code srg"Obrázky vo formátoch GIF, PNG a JPEG (*.gif,
		 * *.png, *.jpeg…)"}
		 * 
		 * <P><small>(<b>Poznámky:</b> Filtre sú dostupné iba pri tejto verzii
		 * metódy z dôvodu rozlíšiteľnosti dvoch verzií metódy. Ide
		 * o principiálne obmedzenie jazyka Java. Ak si neželáte zadať
		 * predvolený názov súboru, použite hodnotu {@code valnull}. Z dôvodu
		 * použitia filtrov otvára táto verzia metódy principiálne iný typ
		 * dialógu ako jej staršia verzia.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param titulok titulok dialógu
		 * @param predvolenýNázovSúboru predvolený názov súboru
		 *     poskytovaný dialógom
		 * @param filtre jeden alebo viac nepovinných reťazcov filtrov
		 *     (obsahujúcich masky) určujúcich, ktoré súbory majú byť v dialógu
		 *     zobrazené (v OS Windows) alebo dovolené vybrať (v macOS –
		 *     predtým OS X a Mac OS)
		 * @return úplná cesta a názov súboru alebo {@code valnull}
		 */
		public static String dialógUložiť(String titulok,
			String predvolenýNázovSúboru, String... filtre)
		{
			JFileChooser dialóg = new JFileChooser(predvolenáCestaDialógov);
			dialóg.setDialogTitle(titulok);
			if (null == predvolenýNázovSúboru)
				dialóg.setSelectedFile(null);
			else
				dialóg.setSelectedFile(new File(predvolenýNázovSúboru));

			boolean prvý = true;
			for (String filter : filtre)
			{
				Vector<String> zoznamPrípon = new Vector<String>();
				Matcher match = príponaFiltraDialóguSúborov.matcher(filter);
				while (match.find()) zoznamPrípon.add(match.group(1));

				if (!zoznamPrípon.isEmpty())
				{
					FileNameExtensionFilter filterPrípon =
						new FileNameExtensionFilter(
							filter, zoznamPrípon.toArray(
								new String[zoznamPrípon.size()]));

					if (prvý)
					{
						dialóg.setFileFilter(filterPrípon);
						prvý = false;
					}
					else
						dialóg.addChoosableFileFilter(filterPrípon);
				}
			}

			if (dialóg.showSaveDialog(svet) == JFileChooser.APPROVE_OPTION) try
			{
				return dialóg.getSelectedFile().getCanonicalPath();
			}
			catch (IOException e) { /* Ignorované… („sorry“) */ }

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #dialógUložiť(String, String, String...) dialógUložiť}. */
		public static String dialogUlozit(String titulok,
			String predvolenýNázovSúboru, String... filtre)
		{
			return dialógUložiť(titulok, predvolenýNázovSúboru, filtre);
		}


	// Vyhľadanie súboru na čítanie

		/**
		 * Vyhľadá skutočné umiestnenie súboru určeného na čítanie alebo
		 * vráti {@code valnull}, ak súbor nebol nájdený. Súbor je prednostne
		 * vyhľadaný v rámci aktuálneho umiestnenia (cesty) určeného na
		 * čítanie a zápis súborov. Ak nie je nájdený, je prehľadaný zoznam
		 * ciest <code>classpath</code>. Ak i tak nie je nájdený, je
		 * prehľadaný aktuálny balíček {@code .jar}. V prípade, že sa súbor
		 * nachádza v {@code .jar} súbore, tak je cesta vrátená
		 * v nasledujúcom tvare:
		 * 
		 * <P><code>jar:file:</code><small><i>«úplná cesta k .jar
		 * súboru»</i></small>!<small><i>«cesta a názov súboru v rámci .jar
		 * súboru»</i></small>
		 * 
		 * <P>Pre používateľov OS Windows môže byť neštandardné, že obe cesty
		 * budú obsahovať ako oddeľovače priečinkov lomky (<code>/</code>)
		 * namiesto spätných lomiek (<code>\</code>) a zároveň sa budú lomkou
		 * aj začínať (a to napriek tomu, že za prvou lomkou bude uvedená
		 * jednotka, na ktorej je {@code .jar} súbor umiestnený).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param názovSúboru názov súboru (určeného na čítanie)
		 * @return skutočné umiestnenie súboru alebo {@code valnull}, ak
		 *     súbor nebol nájdený na žiadnej z prehľadávaných lokalít
		 */
		public static String kdeJeSúbor(String názovSúboru)
		{
			try
			{
				File súbor = nájdiSúbor(názovSúboru);
				if (null != súbor) return súbor.getCanonicalPath();
			}
			catch (FileNotFoundException e)
			{
				// Ignorované… („sorry“)
			}
			catch (IOException e)
			{
				// Ignorované… („sorry“)
			}

			try
			{
				URL url = nájdiZdroj(názovSúboru);
				if (null != url)
					return URLDecoder.decode(url.toString(), "UTF-8");
					// Pozor! Toto UTF-8 nemôže byť zamenené – ide
					// o dekódovanie do reťazca Javy!
			}
			catch (IOException e)
			{
				// Ignorované… („sorry“)
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #kdeJeSúbor(String) kdeJeSúbor}. */
		public String kdeJeSubor(String názovSúboru)
		{ return kdeJeSúbor(názovSúboru); }


	// Otvorenie a zatvorenie súboru

		/**
		 * Otvorí zadaný súbor na zápis. Ak súbor jestvuje, bude prepísaný.
		 * 
		 * <P><small>(<b>Poznámka:</b> V prípade, že plánujete používať
		 * mechanizmus vlastností, venujte pozornosť upozorneniu pri metóde
		 * {@link #zapíšVlastnosť(String, Object) zapíšVlastnosť}!)</small>
		 * 
		 * @param názovSúboru názov súboru, ktorý má byť otvorený na zápis
		 * @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak je meno súboru zamlčané
		 *      ({@code valnull})
		 */
		public void otvorNaZápis(String názovSúboru) throws IOException
		{
			if (null == názovSúboru)
				throw new GRobotException(
					"Názov súboru nesmie byť zamlčaný.",
					"fileNameOmitted", null, new NullPointerException());

			zavri();
			// zápis = new BufferedWriter(new FileWriter(názovSúboru));
			zápis = new BufferedWriter(new OutputStreamWriter(
				new FileOutputStream(názovSúboru), "UTF-8"));
		}

		/** <a class="alias"></a> Alias pre {@link #otvorNaZápis(String) otvorNaZápis}. */
		public void otvorNaZapis(String názovSúboru) throws IOException
		{ otvorNaZápis(názovSúboru); }

		/**
		 * Otvorí zadaný súbor na zápis. Ak je druhý parameter {@code valtrue},
		 * zapisovaný obsah bude pripojený k obsahu jestvujúceho súboru, inak
		 * bude obsah súboru prepísaný.
		 * 
		 * <P><small>(<b>Upozornenie:</b> V prípade, že plánujete používať
		 * mechanizmus vlastností, <b>nepoužívajte</b> túto metódu so zadanou
		 * hodnotou {@code valtrue} druhého argumentu!)</small>
		 * 
		 * @param názovSúboru názov súboru, ktorý má byť otvorený na zápis
		 * @param pripojiť ak je hodnota tohto parametra {@code valtrue},
		 *     zapisovaný obsah bude pripojený na koniec jestvujúceho
		 *     súboru<br /> <br />
		 *     <small><b style="color:maroon">Pozor! Pripájanie nesmie byť
		 *     použité s konfiguračnými súbormi, pretože tieto by sa stali
		 *     pri ďalšom otvorení nečitateľné.</b></small>
		 * @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak je meno súboru zamlčané
		 *      ({@code valnull})
		 */
		public void otvorNaZápis(String názovSúboru, boolean pripojiť)
			throws IOException
		{
			if (null == názovSúboru)
				throw new GRobotException(
					"Názov súboru nesmie byť zamlčaný.",
					"fileNameOmitted", null, new NullPointerException());

			zavri();
			// zápis = new BufferedWriter(new FileWriter(názovSúboru));
			zápis = new BufferedWriter(new OutputStreamWriter(
				new FileOutputStream(názovSúboru, pripojiť), "UTF-8"));
		}

		/** <a class="alias"></a> Alias pre {@link #otvorNaZápis(String, boolean) otvorNaZápis}. */
		public void otvorNaZapis(String názovSúboru, boolean pripojiť)
			throws IOException
		{ otvorNaZápis(názovSúboru, pripojiť); }

		/**
		 * Otvorí zadaný súbor na čítanie. Ak súbor nejestvuje, vznikne
		 * výnimka.
		 * <P><small><b>Poznámky a upozornenia:</b> Ak bol z projektu vytvorený
		 * {@code .jar} súbor (spustiteľný balíček), tak sa v prípade
		 * spustenia projektu cez tento súbor pokúsi metóda hľadať
		 * požadovaný súbor aj v {@code .jar} balíčku. Prednosť však majú
		 * súbory umiestnené mimo balíčka. So súbormi na zápis to neplatí –
		 * tie nie je možné zapisovať do {@code .jar} balíčkov.<br />Od
		 * verzie 1.50 metóda hľadá súbory na čítanie aj v rámci zoznamu
		 * ciest <code>classpath</code>. <b style="color:maroon">To znamená,
		 * že súbor, ktorý ste prvý raz prečítali, nemusí byť tým istým
		 * súborom ako ten, do ktorého budete zapisovať.</b> Na overenie
		 * prítomnosti súboru v aktuálnom umiestnení na zápis môžete použiť
		 * metódu {@link #jestvuje(String) jestvuje} a na zistenie
		 * umiestnenia súboru na čítanie môžete použiť metódu
		 * {@link #kdeJeSúbor(String) kdeJeSúbor}.</small>
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param názovSúboru názov súboru, ktorý má byť otvorený na čítanie
		 * @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak je meno súboru zamlčané
		 *      ({@code valnull}) alebo súbor nejestvuje
		 */
		public void otvorNaČítanie(String názovSúboru) throws IOException
		{
			if (null == názovSúboru)
				throw new GRobotException(
					"Názov súboru nesmie byť zamlčaný.",
					"fileNameOmitted", null, new NullPointerException());

			zavri();
			FileNotFoundException notFound = null;

			// Skúsi otvoriť prúd z aktuálnej lokality
			// alebo z aktuálneho zoznamu ciest classpath:
			try
			{
				čítanie = new BufferedReader(new InputStreamReader(
					dajVstupnýPrúdSúboru(názovSúboru), "UTF-8"));

				prvýRiadok = true;
				koniecSúboru = false;
				overĎalšíRiadok = true;

				vlastnostiPrečítané = false;
				vlastnosti.clear();
				return;
			}
			catch (FileNotFoundException e)
			{
				notFound = e;
			}

			// Posledný pokus – otvoriť súbor ako zdroj:
			try
			{
				čítanie = new BufferedReader(new InputStreamReader(
					dajVstupnýPrúdZdroja(názovSúboru), "UTF-8"));

				prvýRiadok = true;
				koniecSúboru = false;
				overĎalšíRiadok = true;

				vlastnostiPrečítané = false;
				vlastnosti.clear();
			}
			catch (NullPointerException isNull)
			{
				if (null != notFound)
					throw new GRobotException("Súbor „" + názovSúboru +
						"“ nebol nájdený.", "fileNotFound", názovSúboru,
						notFound);
				throw isNull;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #otvorNaČítanie(String) otvorNaČítanie}. */
		public void otvorNaCitanie(String názovSúboru) throws IOException
		{ otvorNaČítanie(názovSúboru); }

		/**
		 * Zavrie súbor, ktorý bol predtým otvorený na zápis alebo čítanie.
		 * @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 */
		public void zavri() throws IOException
		{
			if (null != zápis)
			{
				zapisujVlastnosti();
				zápis.close();
				zápis = null;

				if (!zachovajNepoužitéVlastnosti)
					for (Vlastnosť vlastnosť : vlastnosti)
						vlastnosť.naZápis = false;
			}

			if (null != čítanie)
			{
				čítanie.close();
				čítanie = null;
			}
		}


	// Čítanie vlastností

		/**
		 * Zistí, či je v súbore otvorenom na čítanie (vlastností) definovaná
		 * zadaná vlastnosť. Táto metóda slúži na rozlíšenie špeciálnych
		 * prípadov pri čítaní konfigurácie. Každá metóda slúžiaca na čítanie
		 * vlastností musí mať určenú predvolenú hodnotu, ktorá je použitá
		 * v prípade, že vlastnosť v súbore nejestvuje, avšak niekedy môže
		 * nedefinovaná vlastnosť určovať špeciálny prípad konfigurácie,
		 * ktorý je potrebné rozlíšiť.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *      nepovolené znaky (bodku alebo rovná sa)
		 *  @return {@code valtrue} alebo {@code valfalse} podľa toho, či je
		 *      vlastnosť súbore definovaná alebo nie
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak názov vlastnosti nespĺňa niektorú
		 *      požiadavku alebo súbor nie je otvorený na čítanie, prípadne
		 *      súbor obsahuje chybu
		 */
		public boolean vlastnosťJestvuje(String názov) throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			čítajVlastnosti();
			return -1 != vlastnosti.indexOf(názov);
		}

		/** <a class="alias"></a> Alias pre {@link #vlastnosťJestvuje(String) vlastnosťJestvuje}. */
		public boolean vlastnostJestvuje(String názov) throws IOException
		{ return vlastnosťJestvuje(názov); }

		/** <a class="alias"></a> Alias pre {@link #vlastnosťJestvuje(String) vlastnosťJestvuje}. */
		public boolean vlastnosťExistuje(String názov) throws IOException
		{ return vlastnosťJestvuje(názov); }

		/** <a class="alias"></a> Alias pre {@link #vlastnosťJestvuje(String) vlastnosťJestvuje}. */
		public boolean vlastnostExistuje(String názov) throws IOException
		{ return vlastnosťJestvuje(názov); }


		/**
		 * Číta hodnotu vlastnosti v tvare reťazca.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *      nepovolené znaky (bodku alebo rovná sa)
		 *  @param predvolenáHodnota predvolená hodnota vlastnosti, ktorá je
		 *      vrátená v prípade, že vlastnosť s uvedeným názvom nebola
		 *      v textovom súbore nájdená
		 *  @return hodnota vlastnosti v objekte typu {@link
		 *      java.lang.String String}
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak názov vlastnosti nespĺňa niektorú
		 *      požiadavku alebo súbor nie je otvorený na čítanie, prípadne
		 *      súbor obsahuje chybu
		 */
		public String čítajVlastnosť(String názov, String predvolenáHodnota)
			throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			čítajVlastnosti(); int indexOf;
			if (-1 == (indexOf = vlastnosti.indexOf(názov)))
			{
				if (null == predvolenáHodnota) return null;
				return new String(predvolenáHodnota);
			}

			String hodnota = vlastnosti.get(indexOf).hodnota;
			if (null == hodnota) return null;
			return new String(hodnota);
		}

		/** <a class="alias"></a> Alias pre {@link #čítajVlastnosť(String, String) čítajVlastnosť}. */
		public String citajVlastnost(String názov, String predvolenáHodnota)
			throws IOException
		{ return čítajVlastnosť(názov, predvolenáHodnota); }

		/**
		 * Číta hodnotu vlastnosti v tvare reťazca, pričom výsledok je
		 * vrátený v objekte typu {@link java.lang.StringBuffer
		 * StringBuffer}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *      nepovolené znaky (bodku alebo rovná sa)
		 *  @param predvolenáHodnota predvolená hodnota vlastnosti, ktorá je
		 *      vrátená v prípade, že vlastnosť s uvedeným názvom nebola
		 *      v textovom súbore nájdená
		 *  @return hodnota vlastnosti v objekte typu {@link
		 *      java.lang.StringBuffer StringBuffer}
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak názov vlastnosti nespĺňa niektorú
		 *      požiadavku alebo súbor nie je otvorený na čítanie, prípadne
		 *      súbor obsahuje chybu
		 */
		public StringBuffer čítajVlastnosť(String názov,
			StringBuffer predvolenáHodnota) throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			čítajVlastnosti(); int indexOf;
			if (-1 == (indexOf = vlastnosti.indexOf(názov)))
			{
				if (null == predvolenáHodnota) return null;
				return new StringBuffer(predvolenáHodnota);
			}

			String hodnota = vlastnosti.get(indexOf).hodnota;
			if (null == hodnota) return null;
			return new StringBuffer(hodnota);
		}

		/** <a class="alias"></a> Alias pre {@link #čítajVlastnosť(String, StringBuffer) čítajVlastnosť}. */
		public StringBuffer citajVlastnost(String názov,
			StringBuffer predvolenáHodnota) throws IOException
		{ return čítajVlastnosť(názov, predvolenáHodnota); }

		/**
		 * Číta hodnotu vlastnosti v tvare celého čísla.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *   nepovolené znaky (bodku alebo rovná sa)
		 * @param predvolenáHodnota predvolená hodnota vlastnosti, ktorá je
		 *   vrátená v prípade, že vlastnosť s uvedeným názvom nebola
		 *   v textovom súbore nájdená alebo pri prevode textu na celé
		 *   číslo nastala chyba
		 * @return hodnota vlastnosti v objekte typu {@link java.lang.Long
		 *   Long}
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak názov vlastnosti nespĺňa niektorú
		 *      požiadavku alebo súbor nie je otvorený na čítanie, prípadne
		 *      súbor obsahuje chybu
		 */
		public Long čítajVlastnosť(String názov, Long predvolenáHodnota)
			throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			čítajVlastnosti(); int indexOf;
			if (-1 == (indexOf = vlastnosti.indexOf(názov)))
			{
				if (null == predvolenáHodnota) return null;
				return new Long(predvolenáHodnota);
			}

			String hodnota = vlastnosti.get(indexOf).hodnota;
			if (null == hodnota) return null;
			hodnota = hodnota.trim();
			if (hodnota.equalsIgnoreCase(nullString)) return null;
			return Long.valueOf(hodnota);
		}

		/** <a class="alias"></a> Alias pre {@link #čítajVlastnosť(String, Long) čítajVlastnosť}. */
		public Long citajVlastnost(String názov, Long predvolenáHodnota)
			throws IOException
		{ return čítajVlastnosť(názov, predvolenáHodnota); }

		/**
		 * Číta hodnotu vlastnosti v tvare reálneho čísla.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *   nepovolené znaky (bodku alebo rovná sa)
		 * @param predvolenáHodnota predvolená hodnota vlastnosti, ktorá je
		 *   vrátená v prípade, že vlastnosť s uvedeným názvom nebola
		 *   v textovom súbore nájdená alebo pri prevode textu na
		 *   reálne číslo nastala chyba
		 * @return hodnota vlastnosti v objekte typu {@link
		 *   java.lang.Double Double}
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak názov vlastnosti nespĺňa niektorú
		 *      požiadavku alebo súbor nie je otvorený na čítanie, prípadne
		 *      súbor obsahuje chybu
		 */
		public Double čítajVlastnosť(String názov, Double predvolenáHodnota)
			throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			čítajVlastnosti(); int indexOf;
			if (-1 == (indexOf = vlastnosti.indexOf(názov)))
			{
				if (null == predvolenáHodnota) return null;
				return new Double(predvolenáHodnota);
			}

			String hodnota = vlastnosti.get(indexOf).hodnota;
			if (null == hodnota) return null;
			hodnota = hodnota.trim();
			if (hodnota.equalsIgnoreCase(nullString)) return null;
			return Double.valueOf(hodnota);
		}

		/** <a class="alias"></a> Alias pre {@link #čítajVlastnosť(String, Double) čítajVlastnosť}. */
		public Double citajVlastnost(String názov, Double predvolenáHodnota)
			throws IOException
		{ return čítajVlastnosť(názov, predvolenáHodnota); }

		/**
		 * Číta hodnotu vlastnosti v tvare logickej hodnoty {@code valtrue}
		 * / {@code valfalse}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *      nepovolené znaky (bodku alebo rovná sa)
		 *  @param predvolenáHodnota predvolená hodnota vlastnosti, ktorá je
		 *      vrátená v prípade, že vlastnosť s uvedeným názvom nebola
		 *      v textovom súbore nájdená
		 *  @return hodnota vlastnosti v objekte typu {@link
		 *      java.lang.Boolean Boolean}
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak názov vlastnosti nespĺňa niektorú
		 *      požiadavku alebo súbor nie je otvorený na čítanie, prípadne
		 *      súbor obsahuje chybu
		 */
		public Boolean čítajVlastnosť(String názov, Boolean predvolenáHodnota)
			throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			čítajVlastnosti(); int indexOf;
			if (-1 == (indexOf = vlastnosti.indexOf(názov)))
			{
				if (null == predvolenáHodnota) return null;
				return new Boolean(predvolenáHodnota);
			}

			String hodnota = vlastnosti.get(indexOf).hodnota;
			if (null == hodnota) return null;
			hodnota = hodnota.trim();
			if (hodnota.equalsIgnoreCase(nullString)) return null;
			return Boolean.valueOf(hodnota);
		}

		/** <a class="alias"></a> Alias pre {@link #čítajVlastnosť(String, Boolean) čítajVlastnosť}. */
		public Boolean citajVlastnost(String názov, Boolean predvolenáHodnota)
			throws IOException
		{ return čítajVlastnosť(názov, predvolenáHodnota); }

		/**
		 * Číta hodnotu vlastnosti do celočíselného poľa typu {@code
		 * typeint}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * 
		 * @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *   nepovolené znaky (bodku alebo rovná sa)
		 * @param predvolenáHodnota pole, ktoré je použité na vytvorenie
		 *   „predvolenej hodnoty“, čo je v tomto prípade nové pole, ktoré
		 *   je kópiou tohto argumentu – čiže pole s rovnakou dĺžkou
		 *   a rovnakými hodnotami jednotlivých prvkov; toto pole je
		 *   vytvorené a vrátené v prípade, že vlastnosť s uvedeným názvom
		 *   nebola v textovom súbore nájdená alebo je hodnota vlastnosti
		 *   prázdna
		 * @return nové pole prvkov typu {@code typeint}, ktoré obsahuje
		 *   toľko prvkov, koľko celých čísiel sa z hodnoty vlastnosti
		 *   podarilo úspešne previesť (proces prevodu textov na celé čísla
		 *   sa zastavuje pri prvom neúspechu) alebo kópia poľa zadaného do
		 *   predvolenej hodnoty
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak názov vlastnosti nespĺňa niektorú
		 *      požiadavku alebo súbor nie je otvorený na čítanie, prípadne
		 *      súbor obsahuje chybu
		 */
		public int[] čítajVlastnosť(String názov, int[] predvolenáHodnota)
			throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			čítajVlastnosti(); int indexOf;
			int[] pole;

			if (-1 == (indexOf = vlastnosti.indexOf(názov)))
			{
				if (null == predvolenáHodnota) return null;
				pole = new int[predvolenáHodnota.length];
				for (int i = 0; i < predvolenáHodnota.length; ++i)
					pole[i] = predvolenáHodnota[i];
				return pole;
			}

			String hodnotaS = vlastnosti.get(indexOf).hodnota;
			if (null == hodnotaS) return null;
			StringBuffer reťazec = new StringBuffer(hodnotaS);
			Vector<Long> vektor = new Vector<Long>();
			Long hodnota;

			while (null != (hodnota = prevezmiCeléČíslo(reťazec)))
				vektor.add(hodnota);

			if (0 == vektor.size() && null != predvolenáHodnota)
			{
				pole = new int[predvolenáHodnota.length];
				for (int i = 0; i < predvolenáHodnota.length; ++i)
					pole[i] = predvolenáHodnota[i];
				return pole;
			}

			pole = new int[vektor.size()];
			for (int i = 0; i < vektor.size(); ++i)
				pole[i] = vektor.elementAt(i).intValue();

			return pole;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajVlastnosť(String, int[]) čítajVlastnosť}. */
		public int[] citajVlastnost(String názov, int[] predvolenáHodnota)
			throws IOException
		{ return čítajVlastnosť(názov, predvolenáHodnota); }

		/**
		 * Číta hodnotu vlastnosti do poľa reálnych čísel typu {@code
		 * typefloat}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * 
		 * @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *   nepovolené znaky (bodku alebo rovná sa)
		 * @param predvolenáHodnota pole, ktoré je použité na vytvorenie
		 *   „predvolenej hodnoty“, čo je v tomto prípade nové pole, ktoré
		 *   je kópiou tohto argumentu – čiže pole s rovnakou dĺžkou
		 *   a rovnakými hodnotami jednotlivých prvkov; toto pole je
		 *   vytvorené a vrátené v prípade, že vlastnosť s uvedeným názvom
		 *   nebola v textovom súbore nájdená alebo je hodnota vlastnosti
		 *   prázdna
		 * @return nové pole prvkov typu {@code typefloat}, ktoré obsahuje
		 *   toľko prvkov, koľko reálnych čísiel sa z hodnoty vlastnosti
		 *   podarilo úspešne previesť (proces prevodu textov na reálne
		 *   čísla sa zastavuje pri prvom neúspechu) alebo kópia poľa
		 *   zadaného do predvolenej hodnoty
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak názov vlastnosti nespĺňa niektorú
		 *      požiadavku alebo súbor nie je otvorený na čítanie, prípadne
		 *      súbor obsahuje chybu
		 */
		public float[] čítajVlastnosť(String názov, float[] predvolenáHodnota)
			throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			čítajVlastnosti(); int indexOf;
			float[] pole;

			if (-1 == (indexOf = vlastnosti.indexOf(názov)))
			{
				if (null == predvolenáHodnota) return null;
				pole = new float[predvolenáHodnota.length];
				for (int i = 0; i < predvolenáHodnota.length; ++i)
					pole[i] = predvolenáHodnota[i];
				return pole;
			}

			String hodnotaS = vlastnosti.get(indexOf).hodnota;
			if (null == hodnotaS) return null;
			StringBuffer reťazec = new StringBuffer(hodnotaS);
			Vector<Double> vektor = new Vector<Double>();
			Double hodnota;

			while (null != (hodnota = prevezmiReálneČíslo(reťazec)))
				vektor.add(hodnota);

			if (0 == vektor.size() && null != predvolenáHodnota)
			{
				pole = new float[predvolenáHodnota.length];
				for (int i = 0; i < predvolenáHodnota.length; ++i)
					pole[i] = predvolenáHodnota[i];
				return pole;
			}

			pole = new float[vektor.size()];
			for (int i = 0; i < vektor.size(); ++i)
				pole[i] = vektor.elementAt(i).floatValue();

			return pole;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajVlastnosť(String, float[]) čítajVlastnosť}. */
		public float[] citajVlastnost(String názov, float[] predvolenáHodnota)
			throws IOException
		{ return čítajVlastnosť(názov, predvolenáHodnota); }

		/**
		 * Číta hodnotu vlastnosti do celočíselného poľa typu {@code
		 * typelong}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * 
		 * @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *   nepovolené znaky (bodku alebo rovná sa)
		 * @param predvolenáHodnota pole, ktoré je použité na vytvorenie
		 *   „predvolenej hodnoty“, čo je v tomto prípade nové pole, ktoré
		 *   je kópiou tohto argumentu – čiže pole s rovnakou dĺžkou
		 *   a rovnakými hodnotami jednotlivých prvkov; toto pole je
		 *   vytvorené a vrátené v prípade, že vlastnosť s uvedeným názvom
		 *   nebola v textovom súbore nájdená alebo je hodnota vlastnosti
		 *   prázdna
		 * @return nové pole prvkov typu {@code typelong}, ktoré obsahuje
		 *   toľko prvkov, koľko celých čísiel sa z hodnoty vlastnosti
		 *   podarilo úspešne previesť (proces prevodu textov na celé čísla
		 *   sa zastavuje pri prvom neúspechu) alebo kópia poľa zadaného do
		 *   predvolenej hodnoty
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak názov vlastnosti nespĺňa niektorú
		 *      požiadavku alebo súbor nie je otvorený na čítanie, prípadne
		 *      súbor obsahuje chybu
		 */
		public long[] čítajVlastnosť(String názov, long[] predvolenáHodnota)
			throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			čítajVlastnosti(); int indexOf;
			long[] pole;

			if (-1 == (indexOf = vlastnosti.indexOf(názov)))
			{
				if (null == predvolenáHodnota) return null;
				pole = new long[predvolenáHodnota.length];
				for (int i = 0; i < predvolenáHodnota.length; ++i)
					pole[i] = predvolenáHodnota[i];
				return pole;
			}

			String hodnotaS = vlastnosti.get(indexOf).hodnota;
			if (null == hodnotaS) return null;
			StringBuffer reťazec = new StringBuffer(hodnotaS);
			Vector<Long> vektor = new Vector<Long>();
			Long hodnota;

			while (null != (hodnota = prevezmiCeléČíslo(reťazec)))
				vektor.add(hodnota);

			if (0 == vektor.size() && null != predvolenáHodnota)
			{
				pole = new long[predvolenáHodnota.length];
				for (int i = 0; i < predvolenáHodnota.length; ++i)
					pole[i] = predvolenáHodnota[i];
				return pole;
			}

			pole = new long[vektor.size()];
			for (int i = 0; i < vektor.size(); ++i)
				pole[i] = vektor.elementAt(i).longValue();

			return pole;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajVlastnosť(String, long[]) čítajVlastnosť}. */
		public long[] citajVlastnost(String názov, long[] predvolenáHodnota)
			throws IOException
		{ return čítajVlastnosť(názov, predvolenáHodnota); }

		/**
		 * Číta hodnotu vlastnosti do poľa reálnych čísel typu {@code
		 * typedouble}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * 
		 * @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *   nepovolené znaky (bodku alebo rovná sa)
		 * @param predvolenáHodnota pole, ktoré je použité na vytvorenie
		 *   „predvolenej hodnoty“, čo je v tomto prípade nové pole, ktoré
		 *   je kópiou tohto argumentu – čiže pole s rovnakou dĺžkou
		 *   a rovnakými hodnotami jednotlivých prvkov; toto pole je
		 *   vytvorené a vrátené v prípade, že vlastnosť s uvedeným názvom
		 *   nebola v textovom súbore nájdená alebo je hodnota vlastnosti
		 *   prázdna
		 * @return nové pole prvkov typu {@code typedouble}, ktoré obsahuje
		 *   toľko prvkov, koľko reálnych čísiel sa z hodnoty vlastnosti
		 *   podarilo úspešne previesť (proces prevodu textov na reálne
		 *   čísla sa zastavuje pri prvom neúspechu) alebo kópia poľa
		 *   zadaného do predvolenej hodnoty
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak názov vlastnosti nespĺňa niektorú
		 *      požiadavku alebo súbor nie je otvorený na čítanie, prípadne
		 *      súbor obsahuje chybu
		 */
		public double[] čítajVlastnosť(String názov, double[] predvolenáHodnota)
			throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			čítajVlastnosti(); int indexOf;
			double[] pole;

			if (-1 == (indexOf = vlastnosti.indexOf(názov)))
			{
				if (null == predvolenáHodnota) return null;
				pole = new double[predvolenáHodnota.length];
				for (int i = 0; i < predvolenáHodnota.length; ++i)
					pole[i] = predvolenáHodnota[i];
				return pole;
			}

			String hodnotaS = vlastnosti.get(indexOf).hodnota;
			if (null == hodnotaS) return null;
			StringBuffer reťazec = new StringBuffer(hodnotaS);
			Vector<Double> vektor = new Vector<Double>();
			Double hodnota;

			while (null != (hodnota = prevezmiReálneČíslo(reťazec)))
				vektor.add(hodnota);

			if (0 == vektor.size() && null != predvolenáHodnota)
			{
				pole = new double[predvolenáHodnota.length];
				for (int i = 0; i < predvolenáHodnota.length; ++i)
					pole[i] = predvolenáHodnota[i];
				return pole;
			}

			pole = new double[vektor.size()];
			for (int i = 0; i < vektor.size(); ++i)
				pole[i] = vektor.elementAt(i).doubleValue();

			return pole;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajVlastnosť(String, double[]) čítajVlastnosť}. */
		public double[] citajVlastnost(String názov, double[] predvolenáHodnota)
			throws IOException
		{ return čítajVlastnosť(názov, predvolenáHodnota); }

		/**
		 * Číta hodnotu vlastnosti do poľa logických hodnôt typu {@code
		 * typeboolean}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * 
		 * @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *   nepovolené znaky (bodku alebo rovná sa)
		 * @param predvolenáHodnota pole, ktoré je použité na vytvorenie
		 *   „predvolenej hodnoty“, čo je v tomto prípade nové pole, ktoré
		 *   je kópiou tohto argumentu – čiže pole s rovnakou dĺžkou
		 *   a rovnakými hodnotami jednotlivých prvkov; toto pole je
		 *   vytvorené a vrátené v prípade, že vlastnosť s uvedeným názvom
		 *   nebola v textovom súbore nájdená alebo je hodnota vlastnosti
		 *   prázdna
		 * @return nové pole prvkov typu {@code typeboolean}, ktoré obsahuje
		 *   toľko prvkov, koľko logických hodnôt sa podarilo z vlastnosti
		 *   úspešne prečítať alebo kópia poľa zadaného do predvolenej
		 *   hodnoty
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak názov vlastnosti nespĺňa niektorú
		 *      požiadavku alebo súbor nie je otvorený na čítanie, prípadne
		 *      súbor obsahuje chybu
		 */
		public boolean[] čítajVlastnosť(String názov,
			boolean[] predvolenáHodnota) throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			čítajVlastnosti(); int indexOf;
			boolean[] pole;

			if (-1 == (indexOf = vlastnosti.indexOf(názov)))
			{
				if (null == predvolenáHodnota) return null;
				pole = new boolean[predvolenáHodnota.length];
				for (int i = 0; i < predvolenáHodnota.length; ++i)
					pole[i] = predvolenáHodnota[i];
				return pole;
			}

			String hodnotaS = vlastnosti.get(indexOf).hodnota;
			if (null == hodnotaS) return null;
			StringBuffer reťazec = new StringBuffer(hodnotaS);
			Vector<Boolean> vektor = new Vector<Boolean>();
			Boolean hodnota;

			while (null != (hodnota = prevezmiBoolean(reťazec)))
				vektor.add(hodnota);

			if (0 == vektor.size() && null != predvolenáHodnota)
			{
				pole = new boolean[predvolenáHodnota.length];
				for (int i = 0; i < predvolenáHodnota.length; ++i)
					pole[i] = predvolenáHodnota[i];
				return pole;
			}

			pole = new boolean[vektor.size()];
			for (int i = 0; i < vektor.size(); ++i)
				pole[i] = vektor.elementAt(i).booleanValue();

			return pole;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajVlastnosť(String, boolean[]) čítajVlastnosť}. */
		public boolean[] citajVlastnost(String názov,
			boolean[] predvolenáHodnota) throws IOException
		{ return čítajVlastnosť(názov, predvolenáHodnota); }

		/**
		 * Číta hodnotu vlastnosti do poľa znakov ({@code typechar}{@code
		 * []}). Metóda vracia nové pole znakov, ktorého prvky tvoria všetky
		 * znaky získané z hodnoty tejto vlastnosti.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * 
		 * @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *   nepovolené znaky (bodku alebo rovná sa)
		 * @param predvolenáHodnota pole, ktoré je použité na vytvorenie
		 *   „predvolenej hodnoty“, čo je v tomto prípade nové pole znakov,
		 *   ktoré je kópiou tohto argumentu; toto pole je vytvorené
		 *   a vrátené v prípade, že vlastnosť s uvedeným názvom nebola
		 *   v textovom súbore nájdená
		 * @return nové pole znakov ({@code typechar}{@code []}), ktoré
		 *   tvoria hodnotu tejto vlastnosti, prípadne kópia poľa zadaného
		 *   do predvolenej hodnoty (ak vlastnosť v otvorenom súbore
		 *   nejestvuje)
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak názov vlastnosti nespĺňa niektorú
		 *      požiadavku alebo súbor nie je otvorený na čítanie, prípadne
		 *      súbor obsahuje chybu
		 */
		public char[] čítajVlastnosť(String názov, char[] predvolenáHodnota)
			throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			čítajVlastnosti(); int indexOf;
			char[] pole;

			if (-1 == (indexOf = vlastnosti.indexOf(názov)))
			{
				if (null == predvolenáHodnota) return null;
				pole = new char[predvolenáHodnota.length];
				for (int i = 0; i < predvolenáHodnota.length; ++i)
					pole[i] = predvolenáHodnota[i];
				return pole;
			}

			String hodnota = vlastnosti.get(indexOf).hodnota;
			if (null == hodnota) return null;
			StringBuffer reťazec = new StringBuffer(hodnota);

			pole = new char[reťazec.length()];
			for (int i = 0; i < reťazec.length(); ++i)
				pole[i] = reťazec.charAt(i);

			return pole;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajVlastnosť(String, char[]) čítajVlastnosť}. */
		public char[] citajVlastnost(String názov, char[] predvolenáHodnota)
			throws IOException
		{ return čítajVlastnosť(názov, predvolenáHodnota); }


	// Zápis vlastností

		/**
		 * Zistí v akom režime sa nachádza táto inštancia triedy
		 * {@link Súbor Súbor}.
		 * @return {@code valtrue} – inštancia pri zápise zachováva nepoužité
		 *   vlastnosti; {@code valfalse} – inštancia odstraňuje nepoužité
		 *   vlastnosti
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #zachovajNepoužitéVlastnosti()
		 * @see #odstraňujNepoužitéVlastnosti()
		 * @see #vymažVlastnosť(String)
		 * @see #zapíšVlastnosť(String, Object)
		 */
		public boolean zachovávaNepoužitéVlastnosti()
		{ return zachovajNepoužitéVlastnosti; }

		/** <a class="alias"></a> Alias pre {@link #zachovávaNepoužitéVlastnosti() zachovávaNepoužitéVlastnosti}. */
		public boolean zachovavaNepouziteVlastnosti()
		{ return zachovajNepoužitéVlastnosti; }

		/**
		 * Prepne inštanciu do režimu zachovávania nepoužitých vlastností.
		 * V súbore zostanú po zápise zachované aj tie vlastnosti, ktoré
		 * z neho boli pôvodne prečítané, ale neboli opätovne zapísané.
		 * Toto je predvolené správanie triedy {@link Súbor Súbor}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #zachovávaNepoužitéVlastnosti()
		 * @see #odstraňujNepoužitéVlastnosti()
		 * @see #vymažVlastnosť(String)
		 * @see #zapíšVlastnosť(String, Object)
		 */
		public void zachovajNepoužitéVlastnosti()
		{ zachovajNepoužitéVlastnosti = true; }

		/** <a class="alias"></a> Alias pre {@link #zachovajNepoužitéVlastnosti() zachovajNepoužitéVlastnosti}. */
		public void zachovajNepouziteVlastnosti()
		{ zachovajNepoužitéVlastnosti = true; }

		/**
		 * Prepne inštanciu do režimu odstraňovania nepoužitých vlastností.
		 * Do súboru budú zapísané len tie vlastnosti, ktoré programátor
		 * prikázal {@linkplain #zapíšVlastnosť(String, Object) zapísať}.
		 * Zapisované vlastnosti, prázdne riadky a komentáre sa v súbore
		 * nemusia vyskytnúť v rovnakom poradí ako boli zapísané. Poradie
		 * zápisu vychádza z pôvodného poradia vlastností v čase čítania
		 * súboru. <small>(Ak by to niekomu z ľubovoľného dôvodu prekážalo,
		 * nech pred zápisom otvorí a zavrie súbor na čítanie – v metóde
		 * {@link #otvorNaČítanie(String) otvorNaČítanie} dochádza
		 * k vyčisteniu vnútornej pamäte vlastností. V takom prípade by
		 * v skutočnosti nebolo nevyhnutné použiť túto metódu ({@code
		 * currodstraňujNepoužitéVlastnosti}), ktorej účelom je iba zariadiť
		 * to, aby sa do súboru zapísali len relevantné riadky v ľubovoľnom
		 * poradí.)</small>
		 * <P><small>(Odstraňovanie sa dotýka aj {@linkplain
		 * #zapíšKomentárVlastností(String) komentárov} a {@linkplain
		 * #zapíšPrázdnyRiadokVlastností() prázdnych riadkov}. Avšak, ak by
		 * bola rovnaká inštancia triedy {@link Súbor Súbor} použitá na zápis
		 * vlastností do viacerých súborov, zapisované vlastnosti by sa mohli
		 * premiešať, preto radšej nepoužívajte jednu inštanciu na zápis do
		 * viacerých súborov – pozri tiež poznámku pri metóde {@link
		 * #zapíšVlastnosť(String, Object) zapíšVlastnosť}.)</small>
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #zachovávaNepoužitéVlastnosti()
		 * @see #zachovajNepoužitéVlastnosti()
		 * @see #vymažVlastnosť(String)
		 * @see #zapíšVlastnosť(String, Object)
		 */
		public void odstraňujNepoužitéVlastnosti()
		{ zachovajNepoužitéVlastnosti = false; }

		/** <a class="alias"></a> Alias pre {@link #odstraňujNepoužitéVlastnosti() odstraňujNepoužitéVlastnosti}. */
		public void odstranujNepouziteVlastnosti()
		{ zachovajNepoužitéVlastnosti = false; }


		/**
		 * Vymaže všetky vlastnosti z vnútornej pamäte, ktoré mohli zostať
		 * zapamätané po poslednom čítaní súboru. Po prečítaní konfiguračného
		 * súboru musia všetky vlastnosti zostať zachované vo vnútornej
		 * pamäti, aby ich bolo možné obnoviť (to jest zapísať) pri zápise
		 * konfiguračného súboru na disk aj v prípade, že neboli pri procese
		 * zápisu použité (čiže ich hodnoty neboli aktualizované niektorou
		 * metódou na zápis vlastností). Táto metóda môže pri správnom použití
		 * zabrániť nežiadúcemu premiešaniu vlastností pri spracovaní
		 * viacerých súborov prostredníctvom tej istej inštancie triedy
		 * {@link Súbor Súbor}.
		 * <P><small>(Pozrite si aj upozornenie pri metóde
		 * {@link #zapíšVlastnosť(String, Object) zapíšVlastnosť}.)</small>
		 */
		public void vymažVlastnosti()
		{
			vlastnosti.clear();
			vlastnostiPrečítané = false;
			mennýPriestorVlastností = null;
			naposledyZapísanáVlastnosť = -1;
		}

		/**
		 * Odstráni zo súboru záznam o vlastnosti so zadaným menom. Použitie
		 * tejto metódy môže byť zbytočné v prípade, že je zapnuté
		 * {@linkplain #odstraňujNepoužitéVlastnosti() odstraňovanie
		 * nepoužitých vlastností}. Naopak, v prípade, že je odstraňovanie
		 * nepoužitých vlastností vypnuté, môžu byť prostredníctvom tejto
		 * metódy odstránené individuálne nepotrebné záznamy.
		 * 
		 * @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *   nepovolené znaky (bodku alebo rovná sa)
		 * @see #zapíšVlastnosť(String, Object)
		 * @see #zachovávaNepoužitéVlastnosti()
		 * @see #zachovajNepoužitéVlastnosti()
		 * @see #odstraňujNepoužitéVlastnosti()
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak súbor nie je otvorený na zápis alebo
		 *      ak názov vlastnosti nespĺňa niektorú požiadavku
		 */
		public void vymažVlastnosť(String názov) throws IOException
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			if (null == zápis)
				throw new GRobotException(
					"Nie je otvorený súbor na zápis.",
					"noFileForWritingOpen");

			int indexOf;

			if (-1 != (indexOf = vlastnosti.indexOf(názov)))
				vlastnosti.remove(indexOf);

			if (naposledyZapísanáVlastnosť >= vlastnosti.size())
				naposledyZapísanáVlastnosť = vlastnosti.size() - 1;
		}

		/** <a class="alias"></a> Alias pre {@link #vymažVlastnosť(String) vymažVlastnosť}. */
		public void vymazVlastnost(String názov) throws IOException
		{ vymažVlastnosť(názov); }


		/**
		 * Zapíše vlastnosť podporovaného údajového typu. Ak zavoláme túto
		 * metódu opakovane s rovnakým názvom vlastnosti, tak nastane
		 * prepísanie hodnoty tej istej vlastnosti. (V prípade kolízií
		 * odporúčame použiť {@link #mennýPriestorVlastností(String)
		 * menný priestor}.)
		 * 
		 * <P><small><b style="color:maroon">Dôležité upozornenie na prípadnú
		 * kolíziu pri práci so súbormi obsahujúcimi vlastnosti!</b>
		 * <br />
		 * Najskôr niekoľko faktov. Prostredie grafického robota
		 * umožňuje otvoriť viacero súborov naraz. (<i>Za prvé každý robot
		 * smie pracovať s vlastným súborom, za druhé programátor smie
		 * vytvárať vlastné inštancie typu {@link Súbor Súbor}.</i>) Metóda
		 * {@link #otvorNaZápis(String) otvorNaZápis} okamžite po svojom
		 * úspešnom vykonaní kompletne vymaže celý obsah otváraného súboru
		 * bez ohľadu na to, čo obsahoval. Ak bol súbor otvorený na čítanie
		 * a použijeme ľubovoľnú z metód slúžiacich na čítanie vlastností,
		 * okamžite sa do inštancie súboru prečíta a spracuje celý obsah
		 * súboru predpokladajúc, že obsahuje údaje o vlastnostiach.
		 * Spracované údaje zostávajú v pamäti (v inštancii súboru) aj po
		 * zavretí súboru a sú opätovne použité pri zápise vlastností…
		 * Kolíziám a premiešavaniu obsahu rôznych súborov spracúvaných
		 * jednou inštanciou by sa za určitých okolností dalo zabrániť včasným
		 * zapnutím {@linkplain #odstraňujNepoužitéVlastnosti() režimu
		 * nepoužitých vlastností} (ktorý sa dotýka aj {@linkplain
		 * #zapíšKomentárVlastností(String) komentárov} a {@linkplain
		 * #zapíšPrázdnyRiadokVlastností() prázdnych riadkov}). Kolíziám
		 * spôsobeným spracovaním jedného súboru rôznymi inštanciami triedy
		 * {@link Súbor Súbor} sa zabrániť nedá.
		 * <br />
		 * <b>Aby ste sa vyhli prípadným problémom, používajte vždy na prácu
		 * s jedným súborom vlastností tú istú inštanciu triedy {@link Súbor
		 * Súbor} (buď {@linkplain GRobot#súbor inštanciu súboru v niektorom
		 * z robotov}, alebo vlastnú vytvorenú inštanciu).</b>
		 * <br />
		 * Od verzie 1.5 je k dispozícii metóda {@link #vymažVlastnosti()
		 * vymažVlastnosti}, ktorú je možné použiť pred každým čítaním
		 * vlastností zo súboru a tým zabrániť nežiadúcim kolíziám.</small>
		 * 
		 * @param názov názov vlastnosti; nesmie byť prázdny ani obsahovať
		 *   nepovolené znaky (bodku alebo rovná sa)
		 * @param hodnota hodnota vlastnosti podporovaných údajových typov,
		 *   čo sú jednorozmerné polia primitívnych údajových typov a všetky
		 *   objekty vyjadriteľné v textovej podobe
		 * @see #vymažVlastnosť(String)
		 * @see #zapíšKomentárVlastností(String)
		 * @see #zapíšPrázdnyRiadokVlastností()
		 * @see #zachovávaNepoužitéVlastnosti()
		 * @see #zachovajNepoužitéVlastnosti()
		 * @see #odstraňujNepoužitéVlastnosti()
		 *  @throws GRobotException  ak súbor nie je otvorený na zápis alebo
		 *      ak názov vlastnosti nespĺňa niektorú požiadavku
		 */
		public void zapíšVlastnosť(String názov, Object hodnota)
		{
			názov = názov.trim();
			overPlatnosťNázvu(názov);

			if (null != mennýPriestorVlastností)
				názov = mennýPriestorVlastností + '.' + názov;

			if (null == zápis)
				throw new GRobotException(
					"Nie je otvorený súbor na zápis.",
					"noFileForWritingOpen");

			int indexOf;

			if (null == hodnota)
			{
				if (-1 != (indexOf = vlastnosti.indexOf(názov)))
				{
					Vlastnosť vlastnosť = vlastnosti.get(indexOf);
					vlastnosť.hodnota = null;
					vlastnosť.naZápis = true;
					naposledyZapísanáVlastnosť = indexOf;
				}
				else
				{
					vlastnosti.pridaj(názov, null, true);
					naposledyZapísanáVlastnosť = vlastnosti.size() - 1;
				}

				return;
			}

			StringBuffer reťazec;

			if (hodnota instanceof int[])
			{
				int[] pole = (int[])hodnota;
				reťazec = new StringBuffer();
				for (int i = 0; i < pole.length; ++i)
					reťazec.append(pole[i] + " ");
				hodnota = reťazec;
			}
			else if (hodnota instanceof float[])
			{
				float[] pole = (float[])hodnota;
				reťazec = new StringBuffer();
				for (int i = 0; i < pole.length; ++i)
					reťazec.append(pole[i] + " ");
				hodnota = reťazec;
			}
			else if (hodnota instanceof long[])
			{
				long[] pole = (long[])hodnota;
				reťazec = new StringBuffer();
				for (int i = 0; i < pole.length; ++i)
					reťazec.append(pole[i] + " ");
				hodnota = reťazec;
			}
			else if (hodnota instanceof double[])
			{
				double[] pole = (double[])hodnota;
				reťazec = new StringBuffer();
				for (int i = 0; i < pole.length; ++i)
					reťazec.append(pole[i] + " ");
				hodnota = reťazec;
			}
			else if (hodnota instanceof boolean[])
			{
				boolean[] pole = (boolean[])hodnota;
				reťazec = new StringBuffer();
				for (int i = 0; i < pole.length; ++i)
					reťazec.append(pole[i] + " ");
				hodnota = reťazec;
			}
			else if (hodnota instanceof char[])
			{
				reťazec = new StringBuffer();
				reťazec.append((char[])hodnota);
				hodnota = reťazec;
			}

			if (-1 != (indexOf = vlastnosti.indexOf(názov)))
			{
				Vlastnosť vlastnosť = vlastnosti.get(indexOf);
				vlastnosť.hodnota = hodnota.toString();
				vlastnosť.naZápis = true;
				naposledyZapísanáVlastnosť = indexOf;
			}
			else
			{
				vlastnosti.pridaj(názov, hodnota.toString(), true);
				naposledyZapísanáVlastnosť = vlastnosti.size() - 1;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #zapíšVlastnosť(String, Object) zapíšVlastnosť}. */
		public void zapisVlastnost(String názov, Object hodnota)
			// throws IOException, IllegalArgumentException
		{ zapíšVlastnosť(názov, hodnota); }

		/**
		 * Dovoľuje vkladať do textových súborov vlastností jednoriadkové
		 * komentáre. Ak s textovým súborom nebolo manipulované zvonka
		 * aplikácie a nebolo v ňom zmenené poradie zapísaných vlastností,
		 * nemali by sa v ňom vyskytnúť nežiaduce kópie komentárov.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * 
		 *  @param komentár text komentára
		 * @see #zapíšVlastnosť(String, Object)
		 * @see #zapíšPrázdnyRiadokVlastností()
		 */
		public void zapíšKomentárVlastností(String komentár)
		{
			++naposledyZapísanáVlastnosť;
			if (naposledyZapísanáVlastnosť >= vlastnosti.size())
			{
				vlastnosti.pridaj(";", komentár, true);
				naposledyZapísanáVlastnosť = vlastnosti.size();
			}
			else
			{
				Vlastnosť vlastnosť = vlastnosti.get(
					naposledyZapísanáVlastnosť);
				if (vlastnosť.názov.equals(";"))
				{
					vlastnosť.hodnota = komentár;
					vlastnosť.naZápis = true;
				}
				else
					vlastnosti.vlož(naposledyZapísanáVlastnosť,
						";", komentár, true);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #zapíšKomentárVlastností(String) zapíšKomentárVlastností}. */
		public void zapisKomentarVlastnosti(String komentár) { zapíšKomentárVlastností(komentár); }

		/**
		 * Dovoľuje vkladať do textových súborov vlastností prázdne riadky
		 * slúžiace ako oddeľovače. Ak s textovým súborom nebolo
		 * manipulované zvonka aplikácie a nebolo v ňom zmenené poradie
		 * zapísaných vlastností, nemali by sa v ňom vyskytnúť nežiaduce
		 * kópie prázdnych riadkov.
		 * 
		 * <P><small>(<b>Poznámka:</b> Prosím, venujte pozornosť upozorneniu
		 * pri metóde {@link #zapíšVlastnosť(String, Object)
		 * zapíšVlastnosť}!)</small>
		 * @see #zapíšVlastnosť(String, Object)
		 * @see #zapíšKomentárVlastností(String)
		 */
		public void zapíšPrázdnyRiadokVlastností()
		{
			++naposledyZapísanáVlastnosť;
			if (naposledyZapísanáVlastnosť >= vlastnosti.size())
			{
				vlastnosti.pridaj("", null, true);
				naposledyZapísanáVlastnosť = vlastnosti.size();
			}
			else
			{
				Vlastnosť vlastnosť = vlastnosti.get(
					naposledyZapísanáVlastnosť);
				if (vlastnosť.názov.equals(""))
					vlastnosť.naZápis = true;
				else
					vlastnosti.vlož(naposledyZapísanáVlastnosť,
						"", null, true);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #zapíšPrázdnyRiadokVlastností() zapíšPrázdnyRiadokVlastností}. */
		public void zapisPrazdnyRiadokVlastnosti() { zapíšPrázdnyRiadokVlastností(); }


	// Čítanie údajov

		/**
		 * Overí, či sa prúd údajov čítaný zo súboru momentálne nachádza na
		 * konci riadka. Súbor musí byť otvorený na čítanie.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return ak je aktuálna poloha čítania práve na konci riadka, tak
		 *     táto metóda vráti {@code valtrue}, inak {@code valfalse}
		 *  @throws GRobotException  ak súbor nie je otvorený na čítanie
		 */
		public boolean koniecRiadka() throws IOException
		{
			if (null == čítanie)
				throw new GRobotException(
					"Nie je otvorený súbor na čítanie.",
					"noFileForReadingOpen");

			if (prvýRiadok) čítanieRiadka();
			return 0 == prečítanýRiadok.length();
		}

		/**
		 * Overí, či sa prúd údajov čítaný zo súboru skončil. Súbor musí byť
		 * otvorený na čítanie.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return ak už nie sú v súbore otvorenom na čítanie k dispozícii
		 *     žiadne údaje, tak táto metóda vráti {@code valtrue}, inak
		 *     {@code valfalse}
		 *  @throws GRobotException  ak súbor nie je otvorený na čítanie
		 */
		public boolean koniecSúboru() throws IOException
		{
			if (null == čítanie)
				throw new GRobotException(
					"Nie je otvorený súbor na čítanie.",
					"noFileForReadingOpen");

			if (prvýRiadok || (0 == prečítanýRiadok.length() &&
				overĎalšíRiadok)) čítanieRiadka();
			return koniecSúboru;
		}

		/** <a class="alias"></a> Alias pre {@link #koniecSúboru() koniecSúboru}. */
		public boolean koniecSuboru() throws IOException
		{ return koniecSúboru(); }

		/**
		 * Prečíta zo súboru otvoreného na čítanie riadok textu a vráti ho
		 * v objekte typu {@link java.lang.String String}.
		 * @return prečítaný riadok textu
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak súbor nie je otvorený na čítanie
		 */
		public String čítajRiadok() throws IOException
		{
			if (null == čítanie)
				throw new GRobotException(
					"Nie je otvorený súbor na čítanie.",
					"noFileForReadingOpen");

			if (prvýRiadok || (0 == prečítanýRiadok.length() &&
				overĎalšíRiadok)) čítanieRiadka();
			if (koniecSúboru) return null;

			String riadok = new String(prečítanýRiadok);
			prečítanýRiadok.setLength(0);
			overĎalšíRiadok = true;
			return riadok;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajRiadok() čítajRiadok}. */
		public String citajRiadok() throws IOException { return čítajRiadok(); }

		/**
		 * Umožňuje dočítať zo súboru otvoreného na čítanie aktuálne
		 * spracúvaný riadok textu. Ak vo vnútornom zásobníku súboru jestvujú
		 * zvyškové údaje z naposledy spracúvaného riadka, tak sú vrátené
		 * v objekte typu {@link java.lang.String String} a následne sú
		 * vymazané z vnútorného zásobníka súboru. Inak je vrátený prázdny
		 * reťazec. To znamená, že spracovanie ďalšieho riadka sa nezačne ako
		 * tomu je pri volaní metódy {@link #čítajRiadok() čítajRiadok}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 *  @return zvyškové údaje z aktuálne spracúvaného riadka textu alebo
		 *      prázdny reťazec
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak súbor nie je otvorený na čítanie
		 */
		public String dočítajRiadok() throws IOException
		{
			if (koniecRiadka())
			{
				overĎalšíRiadok = true;
				return "";
			}

			String riadok = new String(prečítanýRiadok);
			prečítanýRiadok.setLength(0);
			overĎalšíRiadok = true;
			return riadok;
		}

		/** <a class="alias"></a> Alias pre {@link #dočítajRiadok() dočítajRiadok}. */
		public String docitajRiadok() throws IOException { return dočítajRiadok(); }

		/**
		 * Prečíta zo súboru otvoreného na nasledujúci znak a vráti jeho
		 * hodnotu. Znaky nových riadkov sú touto metódou ignorované. Ak
		 * metóda dosiahne koniec súboru, vráti hodnotu {@code valnull}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 *  @return prečítaný znak v objekte typu {@link java.lang.Character
		 *      Character} alebo {@code valnull}
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak súbor nie je otvorený na čítanie
		 */
		public Character čítajZnak() throws IOException
		{
			if (null == čítanie)
				throw new GRobotException(
					"Nie je otvorený súbor na čítanie.",
					"noFileForReadingOpen");

			if (prvýRiadok) čítanieRiadka();

			while (0 == prečítanýRiadok.length())
			{
				čítanieRiadka();
				if (koniecSúboru) return null;
			}

			Character znak = new Character(prečítanýRiadok.charAt(0));
			prečítanýRiadok.deleteCharAt(0);
			overĎalšíRiadok = true;
			return znak;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajZnak() čítajZnak}. */
		public Character citajZnak() throws IOException { return čítajZnak(); }

		/**
		 * Prečíta zo súboru otvoreného na čítanie text od aktuálnej polohy
		 * v súbore po najbližšiu medzeru alebo koniec riadka a pokúsi sa ho
		 * previesť na celé číslo…
		 * @return výsledok v objekte typu {@link java.lang.Long Long} ak je
		 *   prečítaný text možné previesť na celé číslo alebo {@code
		 *   valnull} v prípade zlyhania
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 */
		public Long čítajCeléČíslo() throws IOException
		{
			if (preskočiťMedzery()) return null;

			Long číslo = null;
			int indexOf = prečítanýRiadok.indexOf(" ");

			if (-1 == indexOf)
			{
				try
				{
					číslo = Long.valueOf(prečítanýRiadok.toString());
					prečítanýRiadok.setLength(0);
					overĎalšíRiadok = true;
				}
				catch (Exception e) { vypíšChybovéHlásenia(e, false); }
			}
			else
			{
				try
				{
					číslo = Long.valueOf(prečítanýRiadok.substring(0, indexOf));
					prečítanýRiadok.delete(0, indexOf + 1);
					overĎalšíRiadok = true;
				}
				catch (Exception e) { vypíšChybovéHlásenia(e, false); }
			}

			return číslo;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajCeléČíslo() čítajCeléČíslo}. */
		public Long citajCeleCislo() throws IOException { return čítajCeléČíslo(); }

		/**
		 * Prečíta zo súboru otvoreného na čítanie text od aktuálnej polohy
		 * v súbore po najbližšiu medzeru alebo koniec riadka a pokúsi sa ho
		 * previesť na reálne číslo…
		 * @return výsledok v objekte typu {@link java.lang.Double
		 *   Double} ak je prečítaný text možné previesť na rálne
		 *   číslo alebo {@code valnull} v prípade zlyhania
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 */
		public Double čítajReálneČíslo() throws IOException
		{
			if (preskočiťMedzery()) return null;

			Double číslo = null;
			int indexOf = prečítanýRiadok.indexOf(" ");

			if (-1 == indexOf)
			{
				try
				{
					číslo = Double.valueOf(prečítanýRiadok.toString());
					prečítanýRiadok.setLength(0);
					overĎalšíRiadok = true;
				}
				catch (Exception e) { vypíšChybovéHlásenia(e, false); }
			}
			else
			{
				try
				{
					číslo = Double.valueOf(prečítanýRiadok.substring(0,
						indexOf));
					prečítanýRiadok.delete(0, indexOf + 1);
					overĎalšíRiadok = true;
				}
				catch (Exception e) { vypíšChybovéHlásenia(e, false); }
			}

			return číslo;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajReálneČíslo() čítajReálneČíslo}. */
		public Double citajRealneCislo() throws IOException
		{ return čítajReálneČíslo(); }

		/**
		 * Prečíta zo súboru otvoreného na čítanie text od aktuálnej polohy
		 * v súbore po najbližšiu medzeru alebo koniec riadka a pokúsi sa ho
		 * previesť na objekt typu {@link java.lang.Boolean Boolean}
		 * obsahujúci pravdivostnú hodnotu {@code valtrue}/&#8203;{@code
		 * valfalse}. Platí, že ak bol nájdený text „{@code valtrue}“ bez
		 * ohľadu na veľkosť písmen, bude hodnota objektu {@code valtrue},
		 * inak {@code valfalse}.
		 * 
		 *  @return výsledok v objekte typu {@link java.lang.Boolean
		 *      Boolean} alebo {@code valnull} v prípade zlyhania
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 */
		public Boolean čítajBoolean() throws IOException
		{
			if (preskočiťMedzery()) return null;

			Boolean hodnota = null;
			int indexOf = prečítanýRiadok.indexOf(" ");

			if (-1 == indexOf)
			{
				if (!prečítanýRiadok.toString().equalsIgnoreCase(nullString))
					hodnota = Boolean.valueOf(prečítanýRiadok.toString());
				prečítanýRiadok.setLength(0);
				overĎalšíRiadok = true;
			}
			else
			{
				if (!prečítanýRiadok.substring(0, indexOf).
					equalsIgnoreCase(nullString))
					hodnota = Boolean.valueOf(prečítanýRiadok.
						substring(0, indexOf));
				prečítanýRiadok.delete(0, indexOf + 1);
				overĎalšíRiadok = true;
			}

			return hodnota;
		}

		/** <a class="alias"></a> Alias pre {@link #čítajBoolean() čítajBoolean}. */
		public Boolean citajBoolean() throws IOException { return čítajBoolean(); }

		/**
		 * Pokúsi sa prečítať zo súboru otvoreného na čítanie toľko textu,
		 * koľko je potrebné na naplnenie zadaného počtu objektov, pričom
		 * objem prečítaného textu je závislý od typu objektu. Sú povolené
		 * len niektoré údajové typy:<P>
		 * {@link java.lang.StringBuffer StringBuffer} – prečíta riadok
		 *   textu;<br />
		 * {@code typeint}{@code []}, {@code typelong}{@code []} – prečíta
		 *   toľko celých čísel, koľko prvkov má pole;<br />
		 * {@code typefloat}{@code []}, {@code typedouble}{@code []} –
		 *   prečíta toľko reálnych čísel, koľko prvkov má pole;<br />
		 * {@code typeboolean}{@code []} – prečíta toľko pravdivostnýc
		 *   h hodnôt, koľko prvkov má pole;<br />
		 * {@code typechar}{@code []} – prečíta toľko znakov, koľko prvkov má
		 *   pole.<br />
		 * Ak metóda obdrží nepovolený údajový typ, vrhne výnimku
		 *   {@link GRobotException GRobotException} s jazykovým
		 *   identifikátorom {@code unsupportedDataType}.
		 * <P>Od verzie 1.50 metóda poskytuje návratovú hodnotu.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 *  @return počet údajových jednotiek, ktorými sa podarilo naplniť
		 *      zadané objekty; návratová hodnota je silno závislá na
		 *      údajovom type objektov, ktoré boli zadané do argumentov
		 *      metódy; ak to bolo pole typu {@code typeint}, tak hodnota
		 *      udáva počet textových blokov, ktoré sa podarilo previesť na
		 *      celé čísla a zapísať do poľa, ak to bolo pole typu {@code
		 *      typechar}, tak to bude počet znakov, ktoré sa podarilo do
		 *      poľa zapísať (znaky nových riadkov sú ignorované), ak to
		 *      bol objekt typu {@link java.lang.StringBuffer StringBuffer},
		 *      tak to bude dĺžka prečítaného riadka, ak to boli zmiešané
		 *      údaje, tak to bude súčet všetkých rôznych hodnôt
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak súbor nie je otvorený na čítanie
		 *      alebo metóda prijala argument nepodporovaného údajového typu
		 *      (čím sa spracovanie automaticky ukončí)
		 */
		public int čítaj(Object... objekty) throws IOException
		{
			if (null == čítanie)
				throw new GRobotException(
					"Nie je otvorený súbor na čítanie.",
					"noFileForReadingOpen");

			int prečítané = 0;

			for (Object obj : objekty)
			{
				if (obj instanceof StringBuffer)
				{
					((StringBuffer)obj).setLength(0);
					String riadok = čítajRiadok();
					((StringBuffer)obj).append(riadok);
					prečítané += riadok.length();
				}
				else if (obj instanceof int[])
				{
					int[] pole = (int[])obj;
					Long číslo;
					for (int i = 0; i < pole.length; ++i)
					{
						if (null != (číslo = this.čítajCeléČíslo()))
						{
							pole[i] = číslo.intValue();
							++prečítané;
						}
						else
							pole[i] = 0;
					}
				}
				else if (obj instanceof float[])
				{
					float[] pole = (float[])obj;
					Double číslo;
					for (int i = 0; i < pole.length; ++i)
					{
						if (null != (číslo = this.čítajReálneČíslo()))
						{
							pole[i] = číslo.floatValue();
							++prečítané;
						}
						else
							pole[i] = 0;
					}
				}
				else if (obj instanceof long[])
				{
					long[] pole = (long[])obj;
					Long číslo;
					for (int i = 0; i < pole.length; ++i)
					{
						if (null != (číslo = this.čítajCeléČíslo()))
						{
							pole[i] = číslo.longValue();
							++prečítané;
						}
						else
							pole[i] = 0;
					}
				}
				else if (obj instanceof double[])
				{
					double[] pole = (double[])obj;
					Double číslo;
					for (int i = 0; i < pole.length; ++i)
					{
						if (null != (číslo = this.čítajReálneČíslo()))
						{
							pole[i] = číslo.doubleValue();
							++prečítané;
						}
						else
							pole[i] = 0;
					}
				}
				else if (obj instanceof boolean[])
				{
					boolean[] pole = (boolean[])obj;
					Boolean hodnota;
					for (int i = 0; i < pole.length; ++i)
					{
						if (null != (hodnota = this.čítajBoolean()))
						{
							pole[i] = hodnota;//.booleanValue();
							++prečítané;
						}
						else
							pole[i] = false;
					}
				}
				else if (obj instanceof char[])
				{
					char[] pole = (char[])obj;
					// čítanie.read(pole);
					Character hodnota;
					for (int i = 0; i < pole.length; ++i)
					{
						if (null != (hodnota = this.čítajZnak()))
						{
							pole[i] = hodnota;
							++prečítané;
						}
						else
							pole[i] = 0;
					}
				}
				else
				{
					throw new GRobotException(
						"Počas čítania zo súboru nastal pokus o vloženie " +
						"údajov do premennej nasledujúceho nepodporovaného " +
						"údajového typu: : " +
						obj.getClass().getCanonicalName(),
						"unsupportedDataType",
						obj.getClass().getCanonicalName(),
						new IllegalArgumentException());
				}
			}

			return prečítané;
		}

		/** <a class="alias"></a> Alias pre {@link #čítaj(Object[]) čítaj}. */
		public void citaj(Object... objekty) throws IOException
		{ čítaj(objekty); }


	// Zápis údajov

		/**
		 * Zapíše do súboru otvoreného na zápis určený reťazec.
		 * @param text text, ktorý má byť zapísaný do súboru otvoreného na
		 *   zápis
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak súbor nie je otvorený na zápis
		 */
		public void zapíšReťazec(String text) throws IOException
		{
			if (null == zápis)
				throw new GRobotException(
					"Nie je otvorený súbor na zápis.",
					"noFileForWritingOpen");
			zápis.write(text);
		}

		/** <a class="alias"></a> Alias pre {@link #zapíšReťazec(String) zapíšReťazec}. */
		public void zapisRetazec(String text) throws IOException { zapíšReťazec(text); }

		/**
		 * Zapíše do súboru otvoreného na zápis riadok textu.
		 * @param text text, ktorý má byť zapísaný do samostatného riadka
		 *   súboru otvoreného na zápis
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak súbor nie je otvorený na zápis
		 */
		public void zapíšRiadok(String text) throws IOException
		{
			if (null == zápis)
				throw new GRobotException(
					"Nie je otvorený súbor na zápis.",
					"noFileForWritingOpen");
			zápis.write(text + "\r\n");
		}

		/** <a class="alias"></a> Alias pre {@link #zapíšRiadok(String) zapíšRiadok}. */
		public void zapisRiadok(String text) throws IOException { zapíšRiadok(text); }

		/**
		 * Zapíše do súboru otvoreného na zápis prázdny riadok.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 *  @throws GRobotException  ak súbor nie je otvorený na zápis
		 */
		public void zapíšRiadok() throws IOException
		{
			if (null == zápis)
				throw new GRobotException(
					"Nie je otvorený súbor na zápis.",
					"noFileForWritingOpen");
			zápis.write("\r\n");
		}

		/** <a class="alias"></a> Alias pre {@link #zapíšRiadok() zapíšRiadok}. */
		public void zapisRiadok() throws IOException { zapíšRiadok(); }

		/**
		 * Zapíše do súboru otvoreného na zápis textovú podobu zoznamu
		 * objektov rôzneho údajového typu (napríklad celé čísla {@code
		 * typeint} budú zapísané ako séria číslic – čísla vo forme textu).
		 * Táto metóda automaticky oddeľuje číselné argumenty medzerami
		 * (resp. argumenty, ktoré nie sú priamo objektami typu {@link
		 * java.lang.String String} ani {@link java.lang.StringBuffer
		 * StringBuffer}), čo je výhodné pri čítaní údajov zo súboru.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param objekty séria objektov rôzneho údajového typu; objekt musí
		 *   byť vyjadriteľný v textovej podobe
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 */
		public void zapíš(Object... objekty) throws IOException
		{
			for (Object obj : objekty)
			{
				if (obj instanceof String || obj instanceof StringBuffer)
					zapíšReťazec(obj.toString());
				else if (obj instanceof int[])
				{
					int[] pole = (int[])obj;

					for (int i = 0; i < pole.length; ++i)
						zapíšReťazec(pole[i] + " ");
				}
				else if (obj instanceof float[])
				{
					float[] pole = (float[])obj;

					for (int i = 0; i < pole.length; ++i)
						zapíšReťazec(pole[i] + " ");
				}
				else if (obj instanceof long[])
				{
					long[] pole = (long[])obj;

					for (int i = 0; i < pole.length; ++i)
						zapíšReťazec(pole[i] + " ");
				}
				else if (obj instanceof double[])
				{
					double[] pole = (double[])obj;

					for (int i = 0; i < pole.length; ++i)
						zapíšReťazec(pole[i] + " ");
				}
				else if (obj instanceof boolean[])
				{
					boolean[] pole = (boolean[])obj;

					for (int i = 0; i < pole.length; ++i)
						zapíšReťazec(pole[i] + " ");
				}
				else if (obj instanceof char[])
				{
					zapíšReťazec(new String((char[])obj));
					/*
					char[] pole = (char[])obj;

					for (int i = 0; i < pole.length; ++i)
						zapíšReťazec(pole[i]);
					*/
				}
				else
					zapíšReťazec(obj + " ");
			}
		}

		/** <a class="alias"></a> Alias pre {@link #zapíš(Object[]) zapíš}. */
		public void zapis(Object... objekty) throws IOException { zapíš(objekty); }

	}

	/** <a class="alias"></a> Alias pre {@link Súbor Súbor}. */
	public static class Subor extends Súbor {}

	/**
	 * Každý robot smie otvoriť jeden textový súbor na čítanie alebo zápis.
	 * Pre podrobnosti pozri opis triedy {@link GRobot.Súbor}.
	 */
	public final Súbor súbor = new Súbor();

	/** <a class="alias"></a> Alias pre {@link GRobot#súbor súbor}. */
	public final Súbor subor = súbor;


	// ------------------------ //
	//  *** Trieda Obrázok ***  //
	// ------------------------ //

	/**
	 * Obrázok je rozšírením triedy Javy {@link BufferedImage BufferedImage}
	 * nielen o funkcionalitu bežne používanú vo svete grafického robota.
	 * 
	 * Obrázok obsahuje komponent {@link #grafika grafika}, vďaka ktorému
	 * môžeme do obrázkov {@linkplain GRobot#kresliDoObrázka(Obrázok) priamo
	 * kresliť}.
	 * 
	 * Trieda je využiteľná v rôznych situáciách, napríklad pri {@linkplain
	 * Plátno#vyplň(Image) vypĺňaní plátna}, definícii {@linkplain
	 * GRobot#vlastnýTvar(Image) vlastného tvaru} robota a podobne. Ponúka
	 * nástroje na {@linkplain #prevráťVodorovne() zrkadlenie}, {@linkplain
	 * #bledší() zmenu svetlosti}, úpravu na {@linkplain #negatív() farebný
	 * negatív}, {@linkplain #rozmaž() rozmazanie} a tak ďalej.
	 * 
	 * <P><b>Upozornenie!</b>
	 * <P>Pri úpravách obrázkov (ich vlastnými metódami, napríklad
	 * {@link #prevráťVodorovne() prevráťVodorovne}, {@link #bledší()
	 * bledší}, {@link #negatív() negatív}, {@link #rozmaž() rozmaž}
	 * a podobne) nikdy nie je spustené automatické prekreslenie! Všetky
	 * zmeny vykonané v obrázu sa prejavia až pri jeho najbližšom
	 * nakreslení! Následkom je napríklad i to, že ak je obrázok
	 * použitý ako vlastný tvar niektorého robota, treba po každej zmene
	 * ({@linkplain #priehľadnosť(double) úprave priehľadnosti}, {@linkplain
	 * #vylejFarbu(Poloha, java.awt.Color) vypĺňaní}, {@linkplain
	 * #kresli(Shape) kreslení}…) zabezpečiť {@linkplain Svet#prekresli()
	 * prekreslenie sveta}.
	 * 
	 * <P><small>(Automatické prekresľovanie sveta sa pri úpravách obsahu
	 * obrázkov alebo ich vlastností ich vlastnými metódami neaktivuje
	 * napríklad i preto, že svet nemá nikdy garantované, či je stanovený
	 * obrázok niekde použitý alebo iba pasívne uložený v pamäti…)</small>
	 * 
	 * <P><b>Príklad:</b>
	 * 
	 * <P>Nasledujúci príklad ukazuje možné použitie triedy
	 * {@code currObrázok} ako vlastného tvaru viacerých robotov
	 * znázorňujúcich hodiny (hodinových robotov). Obrázok je prekresľovaný
	 * podľa potreby. Takéto použitie je v tomto prípade efektívnejšie,
	 * pretože prekresľovanie tvaru je vykonávané len v prípade potreby
	 * (v tomto prípade každú minútu) a prekreslený tvar dokáže využiť
	 * množstvo robotov naraz.
	 * 
	 * <P>Príklad obsahuje aj možnosť zobrazenia na celej obrazovke. Tá je
	 * pred zrakom Javy zakrytá komentármi označenými dvojitou mriežkou:
	 * {@code comm// ##}. Po odstránení všetkých takto označených znakov
	 * komentárov (vrátane znakov dvojitej mriežky) bude príklad fungovať
	 * v režime celej obrazovky.
	 * 
	 * <pre CLASS="example">
		{@code kwdimport} knižnica.{@link GRobot GRobot};

		{@code kwdimport} java.util.{@link Calendar Calendar};

		{@code kwdpublic} {@code typeclass} ObrázokAkoVlastnýTvar {@code kwdextends} {@link GRobot GRobot}
		{
			{@code comm// Spoločná inštancia obrázka, ktorá bude tvoriť vlastný tvar}
			{@code comm// hodinových robotov.}
			{@code kwdprivate} {@code kwdfinal} {@code kwdstatic} {@code currObrázok} tvarHodín = {@code kwdnew} {@link Obrázok#GRobot.Obrázok(int, int) Obrázok}({@code num50}, {@code num50});

			{@code comm// Atribúty uchovávajúce starý a nový čas. Ak bude zistená zmena,}
			{@code comm// čo bude každú minútu, tak budú hodiny prekreslené.}
			{@code kwdprivate} {@code typeint} hodina0 = {@code num0}, minúta0 = {@code num0}, hodina1 = -{@code num1}, minúta1 = -{@code num1};

			{@code comm// Nebolo by efektívne overovať hodnoty času niekoľko ráz za sekundu,}
			{@code comm// preto je tu toto počítadlo, ktoré spôsobí, že overenie hodnôt času}
			{@code comm// bude vykonané raz za minútu.}
			{@code kwdprivate} {@code typeint} overČasPo = -{@code num1};

			{@code comm// ## private static int zariadenie = 0;}


			{@code comm// Súkromná trieda hodín.}
			{@code kwdprivate} {@code kwdstatic} {@code typeclass} Hodiny {@code kwdextends} {@link GRobot GRobot}
			{
				{@code comm// Konštruktor, ktorý nastaví všetkým hodinám rovnaké parametre}
				{@code comm// a náhodnú individuálnu rýchlosť.}
				{@code kwdprivate} Hodiny()
				{
					{@link GRobot#zdvihniPero() zdvihniPero}();
					{@link GRobot#vlastnýTvar(Image) vlastnýTvar}(tvarHodín);
					{@link GRobot#náhodnáPoloha() náhodnáPoloha}();
					novýCieľ();
					{@link GRobot#gyroskop(Double) gyroskop}({@code num90.0});
					{@link GRobot#rýchlosť(double, boolean) rýchlosť}({@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num1.5}, {@code num3.5}), {@code valfalse});
				}

				{@code comm// Nový cieľ je nastavený na začiatku a potom vždy po dosiahnutí}
				{@code comm// starého cieľa.}
				{@code kwdprivate} {@code typevoid} novýCieľ()
				{
					{@link Bod Bod} štart = {@link GRobot#poloha() poloha}();
					{@link GRobot#náhodnáPoloha() náhodnáPoloha}();
					{@link Bod Bod} cieľ = {@link GRobot#poloha() poloha}();
					{@link GRobot#skočNa(Poloha) skočNa}(štart);
					{@link GRobot#cieľ(Poloha) cieľ}(cieľ);
					{@link GRobot#kružnica() kružnica}();
				}

				{@code comm// Reakcia na dosiahnutie cieľa hodinami.}
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#dosiahnutieCieľa() dosiahnutieCieľa}()
				{
					novýCieľ();
				}
			}


			{@code comm// Konštruktor hlavného robota. Sú v ňom vykonané potrebné nastavenia}
			{@code comm// a vytvorené hodinové roboty.}
			{@code kwdprivate} ObrázokAkoVlastnýTvar()
			{
				{@code comm// ## super(Svet.šírkaZariadenia(zariadenie),}
				{@code comm// ## 	Svet.výškaZariadenia(zariadenie));}

				{@code comm// ## Svet.celáObrazovka(zariadenie);}
				{@link Svet Svet}.{@link Svet#nekresli() nekresli}();
				{@link Svet Svet}.{@link Svet#farbaPozadia(Color) farbaPozadia}({@link Farebnosť#čierna čierna});

				{@link GRobot#kresliDoObrázka(Obrázok) kresliDoObrázka}(tvarHodín);
				{@link GRobot#skry() skry}();
				{@link GRobot#veľkosť(double) veľkosť}({@code num22.0});
				{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num2.2});
				{@link GRobot#farba(Color) farba}({@link Farebnosť#svetlotyrkysová svetlotyrkysová});

				{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num50}; ++i)
					{@code kwdnew} Hodiny();

				{@link Svet Svet}.{@link Svet#spustiČasovač() spustiČasovač}();
			}

			{@code comm// Zistenie nových hodnôt času. Metóda používa triedu Javy Calendar.}
			{@code kwdprivate} {@code typevoid} dajČas()
			{
				{@link Calendar Calendar} teraz = {@link Calendar Calendar}.{@link Calendar#getInstance() getInstance}();
				hodina0 = teraz.{@link Calendar#get(int) get}({@link Calendar Calendar}.{@link Calendar#HOUR HOUR});
				minúta0 = teraz.{@link Calendar#get(int) get}({@link Calendar Calendar}.{@link Calendar#MINUTE MINUTE});
			}

			{@code comm// Metóda slúžiaca na nakreslenie tvaru hodín. Kreslenie je vykonané len}
			{@code comm// v prípade, že sa hodnoty času zmenili, pričom hodnoty časových údajov}
			{@code comm// sú overované každú minútu.}
			{@code kwdprivate} {@code typevoid} nakresliHodiny()
			{
				{@code comm// Hodnota času je overovaná každú minútu. Predvolená hodnota}
				{@code comm// časovača je 40 ms, to je 25 ráz za sekundu, preto je čas overený}
				{@code comm// každých 1 500 tikov.}
				{@code kwdif} ({@code num0} == ++overČasPo % {@code num1500}) dajČas();

				{@code comm// Kreslenie je vykonané len v prípade, že sa hodnoty času zmenili.}
				{@code kwdif} (hodina1 != hodina0 || minúta1 != minúta0)
				{
					{@code comm// Vymazanie starého tvaru hodín.}
					tvarHodín.{@link Obrázok#vymaž() vymaž}();

					{@code comm// Uloženie aktuálnej farby hlavného robota – tá bude použitá}
					{@code comm// na nakreslenie hodín.}
					{@link Farba Farba} farba = {@link GRobot#farba() farba}();
					{@link GRobot#domov() domov}();

					{@code comm// Farba pozadia sveta je použitá na vyplnenie tvaru hodín.}
					{@link GRobot#farba(Color) farba}({@link Svet Svet}.{@link Svet#farbaPozadia() farbaPozadia}());
					{@link GRobot#kruh() kruh}();

					{@code comm// Nakreslenie kružnice uloženou farbou.}
					{@link GRobot#farba(Color) farba}(farba);
					{@link GRobot#kružnica() kružnica}();

					{@code comm// Nakreslenie štyroch značiek hodín – na 12., 3., 6. a 9. hodine.}
					{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num4}; ++i)
					{
						{@link GRobot#zdvihniPero() zdvihniPero}();
						{@link GRobot#dopredu(double) dopredu}({@link GRobot#veľkosť() veľkosť}() * {@code num0.8});
						{@link GRobot#položPero() položPero}();
						{@link GRobot#dopredu(double) dopredu}({@link GRobot#veľkosť() veľkosť}() * {@code num0.2});
						{@link GRobot#zdvihniPero() zdvihniPero}();
						{@link GRobot#dozadu(double) dozadu}({@link GRobot#veľkosť() veľkosť}());
						{@link GRobot#doprava(double) doprava}({@code num90});
					}
					{@link GRobot#položPero() položPero}();

					{@code comm// Nakreslenie hodinovej ručičky.}
					{@link GRobot#domov() domov}();
					{@link GRobot#smer(double) smer}({@code num90} &#45; {@code num30} * hodina0 &#45; {@code num0.5} * minúta0);
					{@link GRobot#dopredu(double) dopredu}({@link GRobot#veľkosť() veľkosť}() * {@code num0.5});

					{@code comm// Nakreslenie minútovej ručičky.}
					{@link GRobot#domov() domov}();
					{@link GRobot#smer(double) smer}({@code num90} &#45; {@code num6} * minúta0);
					{@link GRobot#dopredu(double) dopredu}({@link GRobot#veľkosť() veľkosť}() * {@code num0.9});

					{@code comm// Synchronizácia hodnôt času – ďalšia zmena nastane o minútu.}
					hodina1 = hodina0;
					minúta1 = minúta0;
				}
			}

			{@code comm// Reakcia na tik časovača. Prekresľuje tvar hodín a svet (obidvoje len}
			{@code comm// ak je to potrebné).}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#tik() tik}()
			{
				nakresliHodiny();
				{@code kwdif} ({@link Svet Svet}.{@link Svet#neboloPrekreslené() neboloPrekreslené}()) {@link Svet Svet}.{@link Svet#prekresli() prekresli}();
			}

			{@code comm// Hlavná metóda.}
			{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}... args)
			{
				{@link Svet Svet}.{@link Svet#použiKonfiguráciu(String) použiKonfiguráciu}({@code srg"obrazok-ako-vlastny-tvar.cfg"});
				{@code comm// ## if (Svet.početZariadení() > 1) ++zariadenie;}
				{@code kwdnew} ObrázokAkoVlastnýTvar();
			}
		}
		</pre>
	 * 
	 * <P><b>Výsledok:</b>
	 * 
	 * <image>hodinoviRoboti.png</image>Na ploche plátna sa bude pohybovať
	 * niekoľko hodinových robotov
	 * 
	 * @see Svet#priečinokObrázkov(String)
	 */
	public static class Obrázok extends BufferedImage implements Priehľadnosť
	{
		// Inštancia „hints“ na pridávanie antialiasingu do všetkých
		// obrázkov sveta
		private final static RenderingHints hints = new RenderingHints(
				RenderingHints.KEY_ANTIALIASING,
				RenderingHints.VALUE_ANTIALIAS_ON);
		static
		{
			hints.put(RenderingHints.KEY_RENDERING,
				RenderingHints.VALUE_RENDER_QUALITY);
			hints.put(RenderingHints.KEY_TEXT_ANTIALIASING,
				RenderingHints.VALUE_TEXT_ANTIALIAS_ON);
			hints.put(RenderingHints.KEY_FRACTIONALMETRICS,
				RenderingHints.VALUE_FRACTIONALMETRICS_ON);
		}

		// Priehľadnosť obrázka
		private float priehľadnosť = 1.0f;

		// Posun grafiky obrázka (na úpravu súradnicového systému)
		private double posunX, posunY;

		// Nevyhnutné na vymazanie a používané pri niektorých operáciách
		private int[] údajeObrázka;
		private int[] údajeOperácie;

		// Faktor pre potreby metód bledší(), tmavší()…
		private final static double faktor = 0.7;

		// Používané pre viaceré aktívne filtre
		// private float[][] filterObrázka;
		// private double[][] filterObrázka;

		// Kreslič obrázka – robot, ktorý bude určený na kreslenie do obrázka
		private GRobot kreslič = null;

		// Kreslenie obrázka na zadané súradnice do zadaného grafického
		// objektu v súradnicovom priestore Javy(!)
		private void kresliNa(int x, int y, Graphics2D grafika)
		{
			if (priehľadnosť > 0)
			{
				if (priehľadnosť < 1)
				{
					Composite záloha = grafika.getComposite();
					grafika.setComposite(
						AlphaComposite.getInstance(
							AlphaComposite.SRC_OVER, priehľadnosť));
					if (null == vlnenie)
						grafika.drawImage(this, x, y, null);
					else
						grafika.drawImage(vlnenie.zvlnenýRaster(), x, y, null);
					grafika.setComposite(záloha);
				}
				else if (null == vlnenie)
					grafika.drawImage(this, x, y, null);
				else
					grafika.drawImage(vlnenie.zvlnenýRaster(), x, y, null);
			}
		}

		private void kresliNaStred(int x, int y, Graphics2D grafika)
		{
			if (priehľadnosť > 0)
			{
				if (priehľadnosť < 1)
				{
					Composite záloha = grafika.getComposite();
					grafika.setComposite(
						AlphaComposite.getInstance(
							AlphaComposite.SRC_OVER, priehľadnosť));
					if (null == vlnenie)
						grafika.drawImage(this,
							x - (šírka / 2), y - (výška / 2), null);
					else
						grafika.drawImage(vlnenie.zvlnenýRaster(),
							x - (šírka / 2), y - (výška / 2), null);
					grafika.setComposite(záloha);
				}
				else if (null == vlnenie)
					grafika.drawImage(this,
						x - (šírka / 2), y - (výška / 2), null);
				else
					grafika.drawImage(vlnenie.zvlnenýRaster(),
						x - (šírka / 2), y - (výška / 2), null);
			}
		}

		// Keď sa zmenia rozmery plátna, musí sa upraviť aj posun obrázkov,
		// inak by zostali kvázi nepoužiteľné (v súvislosti s kreslením
		// na nich)
		private void upravPosun()
		{
			grafika.translate(-posunX, -posunY);
			posunX = -(šírkaPlátna / 2) + (šírka / 2);
			posunY = -(výškaPlátna / 2) + (výška / 2);
			if (null != vlnenie) vlnenie.posun(posunX, posunY);
			grafika.translate(posunX, posunY);
		}

		/*
		// Súkromné metódy prevodu medzi farebnými modelmi na účely
		// aplikácie niektorého z aktívnych filtrov
		private void RGBtoHSB()
		{
			if (null == údajeObrázka) údajeObrázka =
				((DataBufferInt)getRaster().getDataBuffer()).getData();

			if (null == filterObrázka)
				// filterObrázka = new float[údajeObrázka.length][3];
				filterObrázka = new double[údajeObrázka.length][3];

			for (int i = 0; i < údajeObrázka.length; ++i)
			{
				// int rgb = údajeObrázka[i];
				// Color.RGBtoHSB((rgb >> 16) & 0xff,
				//	(rgb >> 8) & 0xff, rgb & 0xff,
				//	filterObrázka[i]);
				Farba.RGBtoHSV(údajeObrázka[i], filterObrázka[i]);
			}
		}

		private void HSBtoRGB()
		{
			if (null == údajeObrázka || null == filterObrázka) return;

			for (int i = 0; i < údajeObrázka.length; ++i)
			{
				údajeObrázka[i] = Farba.HSVtoRGB(filterObrázka[i][0],
					filterObrázka[i][2], filterObrázka[i][2]);
			}
		}
		*/

		/**
		 * Šírka obrázka. Konštanta má rovnakú hodnotu, akú vracia metóda
		 * {@link #šírka() šírka}.
		 */
		public final int šírka, sirka;

		/**
		 * Výška obrázka. Konštanta má rovnakú hodnotu, akú vracia metóda
		 * {@link #výška() výška}.
		 */
		public final int výška, vyska;

		/**
		 * Grafika obrázka (pre potreby kreslenia do obrázka). Robot má
		 * dostatok nástrojov (metód) na kreslenie. Ak potrebujete priamy
		 * prístup ku {@linkplain Graphics2D grafickému objektu obrázka}
		 * (a využívať jeho metódy – ide o triedu {@link Graphics2D
		 * Graphics2D}), použite na prístup k nemu túto konštantu alebo
		 * metódu {@link #grafika() grafika}, ktorá vracia rovnaký objekt.
		 * Používajte tento objekt ojedinele, pretože inštancie triedy
		 * obrázok mierne prispôsobujú svoj súradnicový priestor, aby boli
		 * lepšie použiteľné vo svete grafického robota.
		 * <P><small>(<b>Poznámky:</b> Súradnicový priestor obrázka je
		 * posunutý tak, aby počiatok súradnicovej sústavy grafického
		 * robota ležal v strede obrázka. Predpokladá sa, že všetky
		 * objekty smerujúce do obrázka budú generované robotom a ten
		 * generuje tvary tak, aby boli priamo použiteľné v súradnicovom
		 * priestore Javy, ibaže v prepočte vzhľadom k rozmerom plátien,
		 * preto má obrázok svoj priestor posunutý.
		 * O súradnicových priestoroch sa podrobnejšie píše napríklad
		 * v opisoch metód {@link GRobot#cesta() GRobot.cesta()}, {@link
		 * SVGPodpora#zapíš(String, String, boolean) SVGpodpora.zapíš(…)},
		 * {@link SVGPodpora#čítaj(String) SVGpodpora.čítaj(meno)} a priebežne
		 * v celej dokumentácii.)</small>
		 */
		public final Graphics2D grafika = this.createGraphics();
		{ grafika.addRenderingHints(hints); }

		/**
		 * Predvolený konštruktor. Vytvorí nový prázdny obrázok s rozmermi
		 * plátna.
		 */
		public Obrázok()
		{
			super(šírkaPlátna, výškaPlátna,
				BufferedImage.TYPE_INT_ARGB);
			sirka = this.šírka = šírkaPlátna;
			vyska = this.výška = výškaPlátna;
			this.posunX = this.posunY = 0;
			zoznamObrázkovKnižnice.add(this);
		}

		/**
		 * Konštruktor, ktorý vytvorí nový prázdny obrázok so zadanými
		 * rozmermi (v bodoch).
		 * 
		 *  @param šírka šírka nového obrázka
		 *  @param výška výška nového obrázka
		 */
		public Obrázok(int šírka, int výška)
		{
			super(šírka, výška, BufferedImage.TYPE_INT_ARGB);
			sirka = this.šírka = šírka; vyska = this.výška = výška;
			this.posunX = -(šírkaPlátna / 2) + (šírka / 2);
			this.posunY = -(výškaPlátna / 2) + (výška / 2);
			zoznamObrázkovKnižnice.add(this);
			grafika.translate(posunX, posunY);
		}

		/**
		 * Vytvorí nový obrázok podľa zadaného obrázka ako predlohy. Nový
		 * obrázok bude mať rozmery aj obsah predlohy. Konštruktor najskôr
		 * vytvorí prázdny obrázok s rozmermi predlohy a potom do neho
		 * prekreslí obsah predlohy.
		 * 
		 * Ak potrebujete vytvoriť nový obrázok prečítaný zo súboru, použite
		 * metódu {@link Obrázok Obrázok}{@code .}{@link
		 * Obrázok#čítaj(String) čítaj}{@code (názovSúboru)}.
		 * 
		 *  @param obrázok obrázoky predlohy
		 */
		public Obrázok(Image obrázok)
		{
			super(obrázok.getWidth(null), obrázok.getHeight(null),
				BufferedImage.TYPE_INT_ARGB);
			sirka = this.šírka = getWidth(); vyska = this.výška = getHeight();
			this.posunX = -(šírkaPlátna / 2) + (šírka / 2);
			this.posunY = -(výškaPlátna / 2) + (výška / 2);
			zoznamObrázkovKnižnice.add(this);
			grafika.drawImage(obrázok, 0, 0, null);
			grafika.translate(posunX, posunY);
		}

		// Pridá ďalšiu snímku animácie počas čítania obrázka vo formáte GIF
		private void pridajĎalšiu(Image obrázok, int trvanie)
		{
			snímky.add(new Snímka(obrázok, trvanie));
		}

	// Statické metódy

		/**
		 * Prečíta do vnútornej pamäte sveta zadaný obrázok zo súboru
		 * a vytvorí z neho nový objekt typu {@link Obrázok Obrázok}. Táto
		 * metóda uzatvára funkcionalitu metódy {@link
		 * Svet#čítajObrázok(String) Svet.čítajObrázok(súbor)}, ibaže
		 * naviac z objektu typu {@link Image Image} (ktorý zostáva uložený
		 * vo vnútornej pamäti sveta) automaticky vytvára nový objekt {@link
		 * Obrázok Obrázok}.
		 * 
		 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 * <P>Táto metóda je od verzie knižnice 1.75 schopná čítať animácie
		 * uložené vo formáte GIF (z dôvodu obmedzení tohto formátu ho
		 * neodporúčame používať na ukladanie nových animácií) a tiež sekvencie
		 * uložené v číslovaných obrázkových súboroch vo formáte PNG (čo je
		 * lepšia alternatíva na ukladanie plnofarebných animácií, na druhej
		 * strane má tú nevýhodu, že nevie automaticky uložiť informácie
		 * o trvaní zobrazenia jednotlivých snímok a predvolene pracuje
		 * s hodnotou 40 ms nastavenou pre každú snímku). Podrobnejšie
		 * informácie o PNG sekvenciách sú v opise metódy {@link #ulož(String,
		 * boolean) ulož(súbor, prepísať)}.
		 * 
		 * <P><b>Upozornenie:</b> Pri čítaní animácie z PNG sekvencie sú do
		 * vnútorného zoznamu zdrojov sveta uložené všetky obrázky sekvencie.
		 * 
		 * <P><b>Príklad:</b>
		 * <P>Ako bolo povedané, od verzie 1.75 dokáže knižnica čítať a pracovať
		 * s animovanými obrázkami vo formáte GIF. Je to historický formát
		 * s určitými (najmä farebnými) obmedzeniami, ale stále nachádza svoje
		 * použitie. Nasledujúci príklad ukazuje ako takýto súbor prečítať
		 * a animovať s použitím knižnice grafického robota.<!--Všimnite si, že
		 * v kóde príkladu nie je použitá metóda {@link #spustiAnimáciu()
		 * spustiAnimáciu} (ani žiadna jej verzia). Je to preto, lebo animácia
		 * prečítaná z obrázka vo formáte GIF je knižnicou spustená
		 * automaticky. — Zamientuté‼ Nič by nemalo byť vykonávané bez vedomia
		 * programátora! -->
		 * 
		 * <P> <br /><a target="_blank"
		 * href="resources/srdce.gif">srdce.gif</a> – animovaný obrázok na
		 * prevzatie, ktorý potrebuje tento príklad na to, aby fungoval<br /> 
		 * 
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} AnimujGIF {@code kwdextends} {@link GRobot GRobot}
			{
				{@code comm// Súkromná statická inštancia obrázka, ktorý budeme animovať. Statickosť}
				{@code comm// umožňuje jej použitie v hlavnej metóde, ktorá musí byť statická.}
				{@code kwdprivate} {@code kwdstatic} {@link Obrázok Obrázok} animovanýObrázok;

				{@code comm// Hlavná metóda. (Obvykle ju umiestňujeme na koniec súboru. Je to taká}
				{@code comm// dohoda, zvyk medzi programátormi v Jave, ale z pohľadu samotného jazyka}
				{@code comm// je jedno, kde je jej definícia umiestnená. Teraz sme ju presunuli sem,}
				{@code comm// lebo na komentáre v nej logicky nadväzujú komentáre v konštruktore}
				{@code comm// tejto triedy.)}
				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}... args)
				{
					{@code comm// Skryjeme svet (čiže okno aplikácie).}
					{@link Svet Svet}.{@link Svet#skry() skry}();

					{@code comm// Vopred prečítame animovaný obrázok zo súboru, aby sme podľa jeho}
					{@code comm// rozmerov mohli upraviť rozmery sveta v konštruktore:}
					animovanýObrázok = {@link Obrázok Obrázok}.{@code currčítaj}({@code srg"srdce.gif"});

					{@code comm// Vytvorenie anonymnej inštancie tejto triedy (konštruktor triedy}
					{@code comm// odvodenej od robota vždy zabezpečí vytvorenie aplikácie):}
					{@code kwdnew} AnimujGIF();

					{@code comm// Spustenie animácie:}
					animovanýObrázok.{@link Obrázok#spusti() spusti}();

					{@code comm// Spustenie časovača:}
					{@link Svet Svet}.{@link Svet#spustiČasovač(double) spustiČasovač}({@code num0.020});

					{@code comm// Automatické nastavenie veľkosti a polohy okna sveta (t. j.}
					{@code comm// aplikácie) a jeho zobrazenie:}
					{@link Svet Svet}.{@link Svet#zbaľ() zbaľ}();
					{@link Svet Svet}.{@link Svet#vystreď() vystreď}();
					{@link Svet Svet}.{@link Svet#zobraz() zobraz}();
				}

				{@code comm// Súkromný konštruktor.}
				{@code kwdprivate} AnimujGIF()
				{
					{@code comm// Spustenie tej verzie nadradeného konštruktora, ktorá umožňuje}
					{@code comm// zmeniť rozmery plátien sveta:}
					{@code valsuper}(animovanýObrázok.{@link Obrázok#šírka šírka}, animovanýObrázok.{@link Obrázok#výška výška});

					{@code comm// Skrytie robota:}
					{@link GRobot#skry() skry}();
				}

				{@code comm// Reakcia na časovač – pravidelne prekresľuje animovaný obrázok, ktorého}
				{@code comm// animácia je vykonávaná automaticky (vnútornými mechanizmami sveta).}
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#tik() tik}()
				{
					{@code kwdif} ({@link Svet Svet}.{@link Svet#neboloPrekreslené() neboloPrekreslené}())
					{
						{@link Plátno podlaha}.{@link Plátno#vymažGrafiku() vymažGrafiku}();
						{@link GRobot#obrázok(Image) obrázok}(animovanýObrázok);
					}
				}
			}
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * <P><image>srdce.gif</image> <br />Táto animácia bude zobrazená
		 * v okne aplikácie
		 * <P> 
		 * 
		 * <P><b>Príklad:</b>
		 * <P>Tento príklad ukazuje ako prečítať PNG sekvenciu s použitím
		 * rovnakej šablóny názvu súborov akú používa uvedené druhý príklad
		 * v opise metódy {@link #ulož(String, boolean) ulož(súbor,
		 * prepísať)}. Uvedený príklad generuje súbory použiteľné s týmto
		 * príkladom, preto je vhodné sa zaoberať najskôr ním. (Generovanie
		 * môže trvať aj sedem minút, podľa výkonnosti hadvéru,
		 * a vygenerované súbory budú dohromady zaberať okolo 120 MB.)
		 * 
		 * <P>V súlade s informáciami uvedenými v opise metódy
		 * {@link #ulož(String, boolean) ulož(súbor, prepísať)} platí, že ak
		 * táto metóda pri čítaní sekvencie nájde súbor s poradovým číslom
		 * nula, tak ho prečíta ako neanimovaný obrázok a už sa nepokúša
		 * hľadať ďalšie súbory vyhovujúce kritériám šablóny názvov súborov
		 * animovanej sekvencie. Inak postupuje pri čítaní systematicky
		 * a pridáva snímky do prečítanej animácie dovtedy, kým jestvujú
		 * súbory v neprerušenej sekvencii podľa určenej šablóny.
		 * 
		 * <P><small>(<b>Poznámka:</b> Metóda {@link #ulož(String, boolean)
		 * ulož(súbor, prepísať)} dokáže vygenerovať len PNG sekvenciu, ale
		 * táto metóda ({@code currčítaj(súbor)}) je schopná prečítať aj
		 * sekvenciu vo formáte JPEG. JPEG je stratový formát a neumožňuje
		 * ukladanie (polo)priehľadných bodov. Je však vhodný na ukladanie
		 * fotografií, kde sa jeho kompresné artefakty strácajú a lepšie sa
		 * tým prejavuje jeho kompresný benefit. JPEG sekvencie môžete použiť
		 * na simulovanie prehrávania videa, ak takú sekvenciu vyrobíte
		 * s použitím externého softvéru a zachováte pravidlá pomenovania
		 * šablón s rozdielom prípony – namiesto {@code .png} musí byť uvedená
		 * {@code .jpg} alebo {@code .jpeg})</small>
		 * 
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} AnimujSekvenciuPNG {@code kwdextends} {@link GRobot GRobot}
			{
				{@code comm// Inštancia obrázka, ktorý bude obsahovať a animovať prečítanú sekvenciu.}
				{@code kwdprivate} {@link Obrázok Obrázok} animovanýObrázok;

				{@code comm// Aktuálne „percento“ prečítaných snímok vypočítané v reakcii „sekvencia“}
				{@code comm// (v skutočnosti hodnota v rozsahu od 0.0 do 1.0, ktorá je použitá na}
				{@code comm// zobrazenie percent):}
				{@code kwdprivate} {@code typedouble} percento = {@code num0.0};

				{@code comm// Nastavenie začiatočného stavu aplikácie (po prečítaní sekvencie sa}
				{@code comm// zmení na false):}
				{@code kwdprivate} {@code typeboolean} čítam = {@code valtrue};

				{@code comm// Názov naposledy prečítaného súboru sekvencie:}
				{@code kwdprivate} {@link String String} naposledyPrečítaný = {@code srg""};

				{@code comm// Súkromný konštruktor.}
				{@code kwdprivate} AnimujSekvenciuPNG()
				{
					{@code comm// Spustenie tej verzie nadradeného konštruktora, ktorá umožňuje}
					{@code comm// zmeniť rozmery plátien sveta:}
					{@code valsuper}({@link Svet Svet}.{@link Svet#šírkaObrázka(String) šírkaObrázka}({@code srg"sekvencia/nahodne-ciary-001.png"}),
						{@link Svet Svet}.{@link Svet#výškaObrázka(String) výškaObrázka}({@code srg"sekvencia/nahodne-ciary-001.png"}));

					{@code comm// Počas čítania pozastavíme automatické prekresľovanie (aby}
					{@code comm// kreslenie v reakcii sekvencia „neblikalo“):}
					{@link Svet Svet}.{@link Svet#nekresli() nekresli}();

					{@code comm// Automatické nastavenie veľkosti a polohy okna sveta}
					{@code comm// (t. j. aplikácie):}
					{@link Svet Svet}.{@link Svet#zbaľ() zbaľ}();
					{@link Svet Svet}.{@link Svet#vystreď() vystreď}();

					{@code comm// Skrytie robota:}
					{@link GRobot#skry() skry}();

					{@code comm// Spustíme časomieru, pretože chceme vedieť ako dlho potrvá čítanie}
					{@code comm// PNG sekvencie a časovač, aby mohlo byť aktualizované zobrazovanie}
					{@code comm// priebehu čítania:}
					{@link Svet Svet}.{@link Svet#spustiČasomieru() spustiČasomieru}();
					{@link Svet Svet}.{@link Svet#spustiČasovač(double) spustiČasovač}({@code num0.250});

					{@code comm// Prečítanie PNG sekvencie:}
					animovanýObrázok = {@link Obrázok Obrázok}.{@link Obrázok#čítaj(String) čítaj}({@code srg"sekvencia/nahodne-ciary-***.png"});

					{@code comm// Zastavíme časomieru aj časovač a zobrazíme výsledok (na konzole):}
					{@code typedouble} čas = {@link Svet Svet}.{@link Svet#zastavČasomieru() zastavČasomieru}();
					{@link Svet Svet}.{@link Svet#zastavČasovač() zastavČasovač}();
					{@link System System}.out.{@link java.io.PrintStream#println(String) println}({@code srg"Čítanie animácie trvalo: "} +
						{@link Math Math}.{@link Math#round(double) round}(čas / {@code num60}) + {@code srg" min "} + {@link GRobot#F(double, int) F}(čas % {@code num60}, {@code num2}) + {@code srg" s"});

					{@code comm// Prečítané – odteraz treba zobrazovať animáciu:}
					čítam = {@code valfalse};

					{@code comm// Nastavíme čiernu farbu pozadia:}
					{@link Svet Svet}.{@link Svet#farbaPozadia(Color) farbaPozadia}(čierna);

					{@code comm// A spustíme animáciu a časovač:}
					animovanýObrázok.{@link Obrázok#spusti() spusti}();
					{@link Svet Svet}.{@link Svet#spustiČasovač(double) spustiČasovač}({@code num0.040});

					{@code comm// Obnovíme automatické prekresľovanie, aby sme videli priebeh}
					{@code comm// animácie:}
					{@link Svet Svet}.{@link Svet#kresli() kresli}();
				}

				{@code comm// Táto reakcia je automaticky spúšťaná počas čítania (alebo zápisu)}
				{@code comm// animovanej PNG sekvencie. Používame ju na aktualizovanie informácie}
				{@code comm// o stave čítania zobrazenej na obrazovke pre používateľa cez reakciu tik.}
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#sekvencia(int, String, String, long, long) sekvencia}({@code typeint} kódSpracovania, {@link String String} zdroj,
					{@link String String} cieľ, {@code typeint} stav, {@code typeint} celkovo)
				{
					{@code comm// Vypočítame percento prečítanej animácie a uložíme názov súboru:}
					percento = ({@code typedouble})stav / ({@code typedouble})celkovo;
					naposledyPrečítaný = zdroj;

					{@code comm// Žiadame prekreslenie, čo bude spracované v reakcii tik:}
					{@link Svet Svet}.{@link Svet#žiadajPrekreslenie() žiadajPrekreslenie}();
				}

				{@code comm// Reakcia na časovač – pravidelne prekresľuje animovaný obrázok, ktorého}
				{@code comm// animácia je vykonávaná automaticky (vnútornými mechanizmami sveta).}
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#tik() tik}()
				{
					{@code kwdif} ({@link Svet Svet}.{@link Svet#neboloPrekreslené() neboloPrekreslené}())
					{
						{@code comm// Reakcia slúži na zobrazovanie priebehu čítania aj na}
						{@code comm// zobrazovanie prečítanej animácie. V obidvoch prípadoch najprv}
						{@code comm// vymažeme grafiku podlahy:}
						{@link Plátno podlaha}.{@link Plátno#vymažGrafiku() vymažGrafiku}();

						{@code comm// Potom podľa stavu aplikácie zobrazíme priebeh alebo animovaný}
						{@code comm// obrázok:}
						{@code kwdif} (čítam)
						{
							{@code comm// Nasledujúce príkazy kreslia jednoduchý ukazovateľ priebehu}
							{@code comm// obsahujúci informačný text o aktuálnom percente a naposledy}
							{@code comm// prečítanom súbore:}

							{@link GRobot#skoč(double, double) skoč}(percento * {@code num200} &#45; {@code num200}, {@code num0});
							{@link farba farba}({@link svetlošedá svetlošedá});
							{@link GRobot#vyplňObdĺžnik(double, double) vyplňObdĺžnik}(percento * {@code num200}, {@code num10});

							{@link farba farba}(čierna);
							{@link GRobot#skočNa(double, double) skočNa}({@code num0}, {@code num0});
							{@link GRobot#kresliObdĺžnik(double, double) kresliObdĺžnik}({@code num200}, {@code num10});
							{@link GRobot#text(String) text}({@link GRobot#F(double, int) F}(percento * {@code num100.0}, {@code num0}) + {@code srg" % ("} +
								naposledyPrečítaný + {@code srg")"});

							{@code comm// Prekreslíme obrazovku, aby bolo vidno aktuálny stav}
							{@code comm// priebehu:}
							{@link Svet Svet}.{@link Svet#prekresli() prekresli}();
						}
						{@code kwdelse}
							{@link GRobot#obrázok(Image) obrázok}(animovanýObrázok);
					}
				}

				{@code comm// Hlavná metóda.}
				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}... args)
				{
					{@code comm// Vytvorenie anonymnej inštancie tejto triedy (konštruktor triedy}
					{@code comm// odvodenej od robota vždy zabezpečí vytvorenie aplikácie):}
					{@code kwdnew} AnimujSekvenciuPNG();
				}
			}
			</pre>
		 * 
		 * <P><b>Opis priebehu a výsledku:</b>
		 * 
		 * <P>Počas čítania bude na obrazovke premietaný stav priebehu čítania
		 * s názvom naposledy prečítaného súboru. Kód spracovania reakcie
		 * {@link GRobot#sekvencia(int, String, String, long, long) sekvencia}
		 * sme v príklade nepoužili. V tomto prípade mal hodnotu konštanty
		 * {@link GRobot#ČÍTANIE_PNG_SEKVENCIE ČÍTANIE_PNG_SEKVENCIE}.
		 * (V prípade čítania animáce z formátu GIF je hodnota rovná
		 * hodnote konštanty {@link GRobot#ČÍTANIE_GIF_ANIMÁCIE
		 * ČÍTANIE_GIF_ANIMÁCIE}.) Podľa nami nameraných hodnôt trvalo čítanie
		 * sekvencie od osem do dvanásť sekúnd.
		 * 
		 * <P>Výsledkom vykonania tohto príkladu bude spustenie animácie
		 * prečítanej zo sekvencie súborov vo formáte PNG (uloženej na
		 * disku). Grafické súbory potrebné na fungovanie tohto príkladu je
		 * schopný vytvoriť v poradí druhý príklad uvedený v opise metódy
		 * {@link #ulož(String, boolean) ulož(súbor, prepísať)} (preto je
		 * vhodné sa zaoberať najskôr ním).
		 * 
		 * <table style="margin-left: auto; margin-right: auto;"><tr>
		 * <td><image>sekvencia-png-1.gif</image></td>
		 * <td><image>sekvencia-png-2.gif</image></td>
		 * </tr><tr><td colspan="2" style="text-align: center;"><small>Ukážky
		 * možného vzhľadu prečítanej animáce, ak bola sekvencia vygenerovaná
		 * príkladom z opisu metódy {@link #ulož(String, boolean) ulož(súbor,
		 * prepísať)} <small>(plátno ukážok je úmyselne
		 * zmenšené)</small></small></td></tr></table>
		 * 
		 * <P>Na 32-bitových operačných systémoch sa môže stať, že aplikácia
		 * nebude mať dostatok pamäte na vykonanie. V takom prípade skúste
		 * cez príkazový riadok operačného systému spustiť aplikáciu
		 * nasledujúcim príkazom potvrdeným v priečinku s preloženou
		 * aplikáciou:
		 * 
		 * <pre CLASS="example">
			java -Xmx1g AnimujSekvenciuPNG
			</pre>
		 * 
		 * <P>V prípade, že táto metóda nenájde dostatok miesta v pamäti na
		 * prečítanie celej sekvencie, uvoľní obrázok z pamäti a vráti hodnotu
		 * {@code valnull}. Tiež upozorní všetky inštancie sledujúce čítanie
		 * sekvencie reakciou {@link GRobot#sekvencia(int, String, String,
		 * long, long) sekvencia} a/alebo aktívnu obsluhu udalostí s definovanou
		 * reakciou {@link ObsluhaUdalostí#sekvencia(int, String, String,
		 * long, long) sekvencia} poslaním informácií platných v čase zlyhania
		 * s kódom spracovania {@link GRobot#CHYBA_ČÍTANIA_PNG_SEKVENCIE
		 * CHYBA_ČÍTANIA_PNG_SEKVENCIE}.
		 * 
		 * <P> 
		 * 
		 *  @param súbor názov súboru s obrázkom
		 *  @return obrázok v novom objekte typu {@link Obrázok Obrázok}
		 *     (prípadne {@code valnull} ak pokus o prečítanie sekvencie
		 *     zlyhal z pamäťových dôvodov)
		 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public static Obrázok čítaj(String súbor)
		{
			Obrázok novýObrázok = null;

			int prvýIndex = súbor.indexOf('*');

			if (-1 != prvýIndex)
			{
				String prípona = súbor.substring(súbor.lastIndexOf('.') + 1);

				if (!prípona.toLowerCase().equals("png") &&
					!prípona.toLowerCase().equals("jpg") &&
					!prípona.toLowerCase().equals("jpeg"))
					throw new GRobotException("Šablóna „" + súbor +
						"“ nie je použiteľná.", "invalidImageTemplate", súbor);

				int poslednýIndex = 1 + súbor.lastIndexOf('*');
				String prefix = súbor.substring(0, prvýIndex);
				String postfix = súbor.substring(poslednýIndex);
				String formát = "%0" + (poslednýIndex - prvýIndex) + "d";

				String menoSúboru = null;
				Image obrázokZoSúboru = null;
				int i = 0, n = 0;

				for (; i <= 1; ++i)
				{
					if (1 == i)
					{
						boolean našiel;

						do
						{
							našiel = false;
							menoSúboru = prefix + String.format(
								Locale.ENGLISH, formát, ++n) + postfix;

							try
							{
								if (null != nájdiSúbor(
									priečinokObrázkov + menoSúboru))
								{
									našiel = true;
									continue;
								}
							}
							catch (Exception e)
							{
								// Ignorované…
							}

							try
							{
								if (null != new URL(menoSúboru))
								{
									našiel = true;
									continue;
								}
							}
							catch (Exception e)
							{
								// Ignorované…
							}

							if (null != nájdiZdroj(priečinokObrázkov +
								menoSúboru)) našiel = true;
						}
						while (našiel);
						--n;
					}

					menoSúboru = prefix + String.format(
						Locale.ENGLISH, formát, i) + postfix;

					try
					{
						obrázokZoSúboru = súborNaObrázok(menoSúboru);

						if (null != počúvadlo)
							synchronized (zámokUdalostí)
							{
								počúvadlo.sekvencia(ČÍTANIE_PNG_SEKVENCIE,
									menoSúboru, null, i, n);
							}

						// if (null != hlavnýRobot)
						// 	synchronized (zámokUdalostí)
						// 	{
						// 		hlavnýRobot.sekvencia(false, menoSúboru);
						// 	}

						synchronized (zámokUdalostí)
						{
							for (GRobot počúvajúci : počúvajúciSúbory)
							{
								počúvajúci.sekvencia(ČÍTANIE_PNG_SEKVENCIE,
									menoSúboru, null, i, n);
							}
						}

						break;
					}
					catch (Exception e)
					{
						// Ignorované…
					}
				}

				if (null == obrázokZoSúboru)
					throw new GRobotException("Obrázok „" + menoSúboru +
						"“ nebol nájdený.", "imageNotFound", menoSúboru);

				// Obrázok je vytvorený podľa prvého nájdeného súboru:
				novýObrázok = new Obrázok(
					obrázokZoSúboru.getWidth(null),
					obrázokZoSúboru.getHeight(null));

				novýObrázok.grafika.translate(
					-novýObrázok.posunX, -novýObrázok.posunY);
				novýObrázok.grafika.drawImage(obrázokZoSúboru, 0, 0, null);
				novýObrázok.grafika.translate(
					novýObrázok.posunX, novýObrázok.posunY);

				if (i > 0)
				{
					// Ak mal prvý súbor poradové číslo 1, tak je to zároveň
					// prvá snímka animácie…
					novýObrázok.trvanie = 40;
					novýObrázok.pridajĎalšiu(obrázokZoSúboru,
						novýObrázok.trvanie);

					for (;;)
					{
						menoSúboru = prefix + String.format(
							Locale.ENGLISH, formát, ++i) + postfix;

						// Potom sa číta sekvencia súborov, dokedy sú
						// nachádzané ďalšie súbory:
						try
						{
							obrázokZoSúboru = súborNaObrázok(menoSúboru);
							novýObrázok.pridajĎalšiu(obrázokZoSúboru,
								novýObrázok.trvanie);

							if (null != počúvadlo)
								synchronized (zámokUdalostí)
								{
									počúvadlo.sekvencia(ČÍTANIE_PNG_SEKVENCIE,
										menoSúboru, null, i, n);
								}

							// if (null != hlavnýRobot)
							// 	synchronized (zámokUdalostí)
							// 	{
							// 		hlavnýRobot.sekvencia(false, menoSúboru);
							// 	}

							synchronized (zámokUdalostí)
							{
								for (GRobot počúvajúci : počúvajúciSúbory)
								{
									počúvajúci.sekvencia(ČÍTANIE_PNG_SEKVENCIE,
										menoSúboru, null, i, n);
								}
							}
						}
						catch (OutOfMemoryError e)
						{
							Svet.uvoľni(novýObrázok);
							novýObrázok = null;
							for (int j = 0; j <= i; ++j)
								Svet.uvoľni(prefix + String.format(
									Locale.ENGLISH, formát, j) + postfix);

							if (null != počúvadlo)
								synchronized (zámokUdalostí)
								{
									počúvadlo.sekvencia(
										CHYBA_ČÍTANIA_PNG_SEKVENCIE,
										menoSúboru, null, i, n);
								}

							synchronized (zámokUdalostí)
							{
								for (GRobot počúvajúci : počúvajúciSúbory)
								{
									počúvajúci.sekvencia(
										CHYBA_ČÍTANIA_PNG_SEKVENCIE,
										menoSúboru, null, i, n);
								}
							}

							return null;
						}
						catch (Exception e)
						{
							break;
						}
					}

					novýObrázok.snímka = 0;
					novýObrázok.dajGrafikuSnímky(0);
				}
			}
			else
			{
				Image obrázokZoSúboru = súborNaObrázok(súbor);

				novýObrázok = new Obrázok(
					obrázokZoSúboru.getWidth(null),
					obrázokZoSúboru.getHeight(null));

				novýObrázok.grafika.translate(
					-novýObrázok.posunX, -novýObrázok.posunY);
				novýObrázok.grafika.drawImage(obrázokZoSúboru, 0, 0, null);
				novýObrázok.grafika.translate(
					novýObrázok.posunX, novýObrázok.posunY);

				// Prečítaj prípadnú animáciu gifu
				if (súbor.toLowerCase().endsWith(".gif"))
				{
					FileNotFoundException notFound = null;
					InputStream čítanie = null;

					// Skúsi otvoriť prúd z aktuálnej lokality
					// alebo z aktuálneho zoznamu ciest classpath:
					try
					{
						čítanie = dajVstupnýPrúdSúboru(súbor);
					}
					catch (FileNotFoundException e)
					{
						notFound = e;
					}

					// Posledný pokus – otvoriť súbor ako zdroj:
					if (null == čítanie)
					{
						try
						{
							čítanie = dajVstupnýPrúdZdroja(súbor);
						}
						catch (NullPointerException isNull)
						{
							if (null != notFound) throw new GRobotException(
								"Obrázok „" + súbor + "“ nebol nájdený.",
									"imageNotFound", súbor);
							throw isNull;
						}
					}

					// Použije triedu GifDecoder na prečítanie všetkých snímok
					// (ak je ich viac než jedna)
					GifDecoder gifDecoder = new GifDecoder();
					gifDecoder.read(čítanie);

					int n = gifDecoder.getFrameCount();

					if (n > 1)
					{
						for (int i = 0; i < n; ++i)
						{
							BufferedImage snímka = gifDecoder.getFrame(i);
							int trvanie = gifDecoder.getDelay(i);
							novýObrázok.pridajĎalšiu(snímka, trvanie);

							if (null != počúvadlo)
								synchronized (zámokUdalostí)
								{
									počúvadlo.sekvencia(ČÍTANIE_GIF_ANIMÁCIE,
										súbor, null, i - 1, n);
								}

							synchronized (zámokUdalostí)
							{
								for (GRobot počúvajúci : počúvajúciSúbory)
								{
									počúvajúci.sekvencia(ČÍTANIE_GIF_ANIMÁCIE,
										súbor, null, i - 1, n);
								}
							}
						}

						novýObrázok.snímka = 0;
						novýObrázok.dajGrafikuSnímky(0);
						// ‼ novýObrázok.spusti(); — Nie! Nič by nemalo byť
						// vykonávané bez vedomia programátora‼
					}
				}
			}

			return novýObrázok;
		}

		/** <a class="alias"></a> Alias pre {@link #čítaj(String) čítaj}. */
		public static Obrazok citaj(String súbor)
		{ return new Obrazok(čítaj(súbor)); }

		/** <a class="alias"></a> Alias pre {@link #čítaj(String) čítaj}. */
		public static Obrázok prečítaj(String súbor)
		{ return čítaj(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítaj(String) čítaj}. */
		public static Obrazok precitaj(String súbor)
		{ return new Obrazok(čítaj(súbor)); }

		/** <a class="alias"></a> Alias pre {@link #čítaj(String) čítaj}. */
		@Deprecated public static Obrázok načítaj(String súbor)
		{ return čítaj(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítaj(String) čítaj}. */
		@Deprecated public static Obrazok nacitaj(String súbor)
		{ return new Obrazok(čítaj(súbor)); }

	// Rozmery a grafika

		/**
		 * Vráti šírku obrázka. Ide o rovnaký údaj, aký je uložený v konštante
		 * {@link #šírka šírka}.
		 *  @return šírka obrázka
		 */
		public int šírka() { return getWidth(); }

		/** <a class="alias"></a> Alias pre {@link #šírka() šírka}. */
		public int sirka() { return getWidth(); }

		/**
		 * Vráti šírku obrázka. Ide o rovnaký údaj, aký je uložený v konštante
		 * {@link #výška výška}.
		 *  @return výška obrázka
		 */
		public int výška() { return getHeight(); }

		/** <a class="alias"></a> Alias pre {@link #výška() výška}. */
		public int vyska() { return getHeight(); }

		/**
		 * Vráti objekt grafiky obrázka (pre potreby kreslenia do obrázka).
		 * Robot má dostatok nástrojov (metód) na kreslenie. Ak potrebujete
		 * priamy prístup ku {@linkplain Graphics2D grafickému objektu
		 * obrázka} (a využívať jeho metódy – ide o triedu {@link Graphics2D
		 * Graphics2D}), použite na prístup k nemu túto metódu alebo
		 * konštantu {@link #grafika grafika}, ktorá obsahuje rovnaký
		 * objekt, aký vracia táto metóda. Používajte tento objekt
		 * ojedinele, pretože inštancie triedy obrázok mierne prispôsobujú
		 * svoj súradnicový priestor, aby boli lepšie použiteľné vo svete
		 * grafického robota.
		 * (Na spresnenie: Súradnicový priestor obrázka je posunutý tak,
		 * aby počiatok súradnicovej sústavy knižnice grafického robota
		 * ležal v strede obrázka. Predpokladá sa totiž, že všetky objekty
		 * tvarov určené na nakreslenie do obrázka budú generované robotom
		 * a ten generuje tvary tak, aby boli priamo použiteľné
		 * v súradnicovom priestore Javy, ibaže v prepočte vzhľadom
		 * k rozmerom plátien, preto má obrázok svoj priestor posunutý.
		 * Viac sa o súradnicových priestoroch píše napríklad v opisoch
		 * metód {@link GRobot#cesta() GRobot.cesta()},
		 * {@link SVGPodpora#zapíš(String, String, boolean)
		 * SVGpodpora.zapíš(…)}, {@link SVGPodpora#čítaj(String)
		 * SVGpodpora.čítaj(meno)} a tiež priebežne v celej dokumentácii.)
		 * 
		 *  @return objekt typu {@link Graphics2D Graphics2D} – grafika
		 *      obrázka
		 */
		public Graphics2D grafika() { return grafika; }

		/**
		 * Vyrobí nový novú verziu tohto obrázka, ktorej zmení veľkosť podľa
		 * zadanej mierky.
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} TestZmenyVeľkosti {@code kwdextends} {@link GRobot GRobot}
			{
				{@code kwdprivate} {@code kwdfinal} {@link Zoznam Zoznam}&lt;{@link Obrázok Obrázok}&gt; obrázky = {@code kwdnew} {@link Zoznam#GRobot.Zoznam() Zoznam}&lt;{@link Obrázok Obrázok}&gt;();

				{@code kwdprivate} TestZmenyVeľkosti()
				{
					{@code comm// Najprv vyrobíme a nakreslíme obrázok:}
					{@link Obrázok Obrázok} obrázok = {@code kwdnew} {@link Obrázok#GRobot.Obrázok(int, int) Obrázok}({@code num100}, {@code num100});

					{@link GRobot#kresliNaObrázok(Obrázok) kresliNaObrázok}(obrázok);
					{@link GRobot#farba(Farebnosť) farba}({@link Farebnosť#žltá žltá});
					{@link GRobot#vyplň() vyplň}();
					{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num1});
					{@link GRobot#farba(Farebnosť) farba}({@link Farebnosť#červená červená});
					{@link GRobot#kružnica(double) kružnica}({@code num45});
					{@link GRobot#farba(Farebnosť) farba}({@link Farebnosť#zelená zelená});
					{@link GRobot#štvorec(double) štvorec}({@code num25});

					{@link GRobot#farba(Farebnosť) farba}({@link Farebnosť#tyrkysová tyrkysová});
					{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num2});
					{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num18}; ++i)
					{
						{@link GRobot#skočNa(double, double) skočNa}({@code num0}, {@code num0});
						{@link GRobot#vpravo(double) vpravo}({@code num20});
						{@link GRobot#dopredu(double) dopredu}({@code num47});
					}

					{@link GRobot#domov() domov}();
					{@link GRobot#farba(Farebnosť) farba}({@link Farebnosť#modrá modrá});
					{@link GRobot#kruh(double) kruh}({@code num5});

					{@link GRobot#kresliNaPodlahu() kresliNaPodlahu}();

					{@code comm// Potom postupne zmeníme jeho rozmer v rozmedzí mierok 0.33 – 3.0…}
					{@code kwdfor} ({@code typedouble} mierka = {@code num0.33}; mierka &lt;= {@code num3.0}; mierka += {@code num0.025})
					{
						{@link GRobot#veľkosť(double) veľkosť}({@code num10} * mierka);   {@code comm// nepovinné – veľkosť robota bude}
												{@code comm// indikovať fázu procesu}
						obrázky.{@link Zoznam#pridaj(Object) pridaj}(obrázok.{@code currzmeňVeľkosť}(mierka));
					}

					{@code comm// …a späť. (Obrázky so zmenenou veľkosťou ukladáme do zoznamu.)}
					{@code kwdfor} ({@code typedouble} mierka = {@code num3.0}; mierka &gt;= {@code num0.33}; mierka -= {@code num0.025})
					{
						{@link GRobot#veľkosť(double) veľkosť}({@code num10} * mierka);   {@code comm// nepovinné – veľkosť robota bude}
												{@code comm// indikovať fázu procesu}
						obrázky.{@link Zoznam#pridaj(Object) pridaj}(obrázok.{@code currzmeňVeľkosť}(mierka));
					}

					{@code comm// Konštantná uhlová rýchlosť zabezpečí rotáciu obrázka}
					{@link GRobot#uhlováRýchlosť(double) uhlováRýchlosť}({@code num0.5});
				}

				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#aktivita() aktivita}()
				{
					{@code comm// Zmena vlastného tvaru robota postupným výberom prvkov zoznamu}
					{@code comm// zabezpečí ukážku kontinuálnej zmeny obrázka v rozmedzí mierok,}
					{@code comm// ktoré sme použili v konštruktore.}
					{@link GRobot#vlastnýTvar(java.awt.Image) vlastnýTvar}(obrázky.{@link Zoznam#ďalší() ďalší}());
				}

				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
				{
					{@code kwdnew} TestZmenyVeľkosti();
				}
			}
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * <image>zmenaVelkostiObrazka.png</image>Ukážka výsledku – jedna
		 * z verzií zväčšeného obrázka vo fáze otáčania sa okolo svojej osi
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param mierka mierka {@code num0.5} znamená, že výsledný obrázok bude
		 *   polovičný; mierka {@code num2.0} znamená, že výsledný obrázok bude
		 *   dvojnásobný
		 * @return nová verzia obrázka (v novom objekte typu
		 *   {@link Obrázok Obrázok})
		 */
		public Obrázok zmeňVeľkosť(double mierka)
		{
			return new Obrázok(getScaledInstance((int)(šírka * mierka),
				(int)(výška * mierka), Image.SCALE_SMOOTH));
		}

		/**
		 * Zruší oblasť na obmedzenie kreslenia na tento obrázok.
		 * 
		 *  @see GRobot#kresliVšade()
		 *  @see #kresliDo(Shape)
		 *  @see #nekresliDo(Shape)
		 */
		public void kresliVšade()
		{
			grafika.setClip(null);
		}

		/** <a class="alias"></a> Alias pre {@link #kresliVšade() kresliVšade}. */
		public void kresliVsade() { kresliVšade(); }

		/**
		 * Obmedzí kreslenie na tento obrázok na plochu zadaného útvaru
		 * ({@link Shape Shape}).
		 * 
		 * <P>Robot disponuje množinou metód na kreslenie tvarov ({@link
		 * GRobot#kružnica(double) kružnica}, {@link GRobot#elipsa(double,
		 * double) elipsa}, {@link GRobot#štvorec(double) štvorec}…), ktoré
		 * zároveň generujú tvary. Na ich použitie s touto metódou je dobré
		 * predtým kreslenie tvarov {@linkplain GRobot#nekresliTvary()
		 * zakázať} a neskôr opäť {@linkplain GRobot#kresliTvary() povoliť}.
		 * Metóda {@link GRobot#text(String) text} dokonca zákaz kreslenia
		 * tvarov požaduje, aby mohla vygenerovať tvar (bez zákazu má
		 * návratovú hodnotu {@code valnull}). Tvar je možné vytvoriť aj
		 * z {@linkplain GRobot#cesta() cesty}…
		 * 
		 * <P>Obmedzenie zužuje aktuálny priestor kreslenia, to znamená, že
		 * sa priebežne vytvára oblasť, ktorá je prienikom všetkých
		 * obmedzení. Ak chceme vytvoriť obmedzenie tvaru, ktorý je
		 * možné vytvoriť inou množinovou operáciou, môžeme na obmedzenie
		 * kreslenia použiť aj {@link Oblasť Oblasť} (zadanú namiesto
		 * parametra {@code tvar}). Obmedzenia sú platné pre všetkých
		 * robotov a zrušíme ich volaním metódy {@link #kresliVšade()
		 * kresliVšade}.
		 * 
		 * <P><p>Poznámka:</p> Pri takomto orezávaní nie je na všetkých
		 * platformách a/alebo implementáciách virtuálneho stroja Javy
		 * dostupná funkcia anti-aliasingu, čo zjednodušene povedané
		 * znamená, že okraje orezanej kresby budú „zúbkaté“. Ak sa chcete
		 * tejto nedokonalosti vyhnúť, použite radšej funkciu
		 * {@linkplain Plátno#použiMasku masky}. Tá dovoľuje ovplyvňovať
		 * úroveň priehľadnosti s jemnosťou na jednotlivé body rastra.
		 * 
		 *  @param tvar  tvar ({@link Shape Shape}) alebo {@link Oblasť
		 *      Oblasť}
		 *  @see GRobot#kresliDo(Shape)
		 *  @see #kresliVšade()
		 *  @see #nekresliDo(Shape)
		 */
		public void kresliDo(Shape tvar)
		{
			if (null != tvar) grafika.clip(tvar);
		}

		/**
		 * Vytvára obmedzenie kreslenia na tento obrázok.
		 * Funguje rovnako ako metóda {@link #kresliDo(Shape)
		 * kresliDo}, ibaže obrátene – kreslenie je možné všade, okrem
		 * zadaného tvaru alebo {@linkplain Oblasť oblasti}.
		 * 
		 * <P>Rovnako ako pri metóde {@link #kresliDo(Shape) kresliDo}, sa
		 * aj toto obmedzenie kombinuje s aktuálnymi obmedzeniami kreslenia
		 * a je platné pre všetkých robotov. Všetky ombedzenia zrušíme
		 * volaním metódy {@link #kresliVšade() kresliVšade}.
		 * 
		 * <P><p>Poznámka:</p> Pri takomto orezávaní nie je na všetkých
		 * platformách a/alebo implementáciách virtuálneho stroja Javy
		 * dostupná funkcia anti-aliasingu, čo zjednodušene povedané
		 * znamená, že okraje orezanej kresby budú „zúbkaté“. Ak sa chcete
		 * tejto nedokonalosti vyhnúť, použite radšej funkciu
		 * {@linkplain Plátno#použiMasku masky}. Tá dovoľuje ovplyvňovať
		 * úroveň priehľadnosti s jemnosťou na jednotlivé body rastra.
		 * 
		 *  @param tvar  tvar ({@link Shape Shape}) alebo {@link Oblasť
		 *      Oblasť}
		 *  @see GRobot#nekresliDo(Shape)
		 *  @see #kresliDo(Shape)
		 *  @see #kresliVšade()
		 */
		public void nekresliDo(Shape tvar)
		{
			if (null != tvar)
			{
				Shape clip = grafika.getClip();
				if (null == clip) clip = new Rectangle.
					Double(-posunX, -posunY, šírka, výška);
				Area oblasťA = new Area(clip);
				Area oblasťB = new Area(tvar);
				oblasťA.subtract(oblasťB);
				grafika.setClip(oblasťA);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #zmeňVeľkosť(double) zmeňVeľkosť}. */
		public Obrazok zmenVelkost(double mierka)
		{
			return new Obrazok(getScaledInstance((int)(šírka * mierka),
				(int)(výška * mierka), Image.SCALE_SMOOTH));
		}

		/**
		 * Vyrobí nový novú verziu tohto obrázka, ktorej zmení veľkosť podľa
		 * zadaných rozmerov.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param nováŠírka šírka novej verzie obrázka
		 * @param nováVýška šírka novej verzie obrázka
		 * @return nová verzia obrázka (v novom objekte typu
		 *   {@link Obrázok Obrázok})
		 */
		public Obrázok zmeňVeľkosť(int nováŠírka, int nováVýška)
		{
			return new Obrázok(getScaledInstance(nováŠírka, nováVýška,
				Image.SCALE_SMOOTH));
		}

		/** <a class="alias"></a> Alias pre {@link #zmeňVeľkosť(int, int) zmeňVeľkosť}. */
		public Obrazok zmenVelkost(int nováŠírka, int nováVýška)
		{
			return new Obrazok(getScaledInstance(nováŠírka, nováVýška,
				Image.SCALE_SMOOTH));
		}

	// Okraje

		/**
		 * <a class="getter"></a> Zistí najmenšiu x-ovú súradnicu obrázka.
		 * 
		 *  @return najmenšia x-ová súradnica obrázka
		 *  @see #najväčšieX()
		 *  @see #najmenšieY()
		 *  @see #najväčšieY()
		 */
		public double najmenšieX() { return -šírka / 2; }

		/** <a class="alias"></a> Alias pre {@link #najmenšieX() najmenšieX}. */
		public double najmensieX() { return -šírka / 2; }

		/**
		 * <a class="getter"></a> Zistí najmenšiu y-ovú súradnicu obrázka.
		 * 
		 *  @return najmenšia y-ová súradnica obrázka
		 *  @see #najmenšieX()
		 *  @see #najväčšieX()
		 *  @see #najväčšieY()
		 */
		public double najmenšieY() { return -(výška - 1) / 2; }

		/** <a class="alias"></a> Alias pre {@link #najmenšieY() najmenšieY}. */
		public double najmensieY() { return -(výška - 1) / 2; }

		/**
		 * <a class="getter"></a> Zistí najväčšiu x-ovú súradnicu obrázka.
		 * 
		 *  @return najväčšia x-ová súradnica obrázka
		 *  @see #najmenšieX()
		 *  @see #najmenšieY()
		 *  @see #najväčšieY()
		 */
		public double najväčšieX() { return (šírka - 1) / 2; }

		/** <a class="alias"></a> Alias pre {@link #najväčšieX() najväčšieX}. */
		public double najvacsieX() { return (šírka - 1) / 2; }

		/**
		 * <a class="getter"></a> Zistí najväčšiu y-ovú súradnicu obrázka.
		 * 
		 *  @return najväčšia y-ová súradnica obrázka
		 *  @see #najmenšieX()
		 *  @see #najväčšieX()
		 *  @see #najmenšieY()
		 */
		public double najväčšieY() { return výška / 2; }

		/** <a class="alias"></a> Alias pre {@link #najväčšieY() najväčšieY}. */
		public double najvacsieY() { return výška / 2; }


	// Vymazanie

		/**
		 * Vymaže obsah obrázka. V podstate vyplní obrázok priehľadnou farbou.
		 */
		public void vymaž()
		{
			if (null == údajeObrázka) údajeObrázka =
				((DataBufferInt)getRaster().getDataBuffer()).getData();
			Arrays.fill(údajeObrázka, 0);
		}

		/** <a class="alias"></a> Alias pre {@link #vymaž() vymaž}. */
		public void vymaz() { vymaž(); }

	// Kreslenie a vypĺňanie

		/**
		 * Prepíše farebné zložky a zložku priehľadnosti bodu na zadanej
		 * pozícii zadanou farbou.
		 * 
		 *  @param x x-ová súradnica bodu v súradnicovom priestore robota
		 *  @param y y-ová súradnica bodu v súradnicovom priestore robota
		 *  @param farba objekt určujúci novú farbu bodu
		 */
		public void prepíšBod(double x, double y, Color farba)
		{
			// int xx = (int)((šírka / 2.0) + x);
			// int yy = (int)((výška / 2.0) - y);
			// if (xx >= 0 && xx < šírka && yy >= 0 && yy < výška)
			// 	setRGB(xx, yy, farba.getRGB());
			try
			{
				setRGB((int)((šírka / 2.0) + x),
					(int)((výška / 2.0) - y), farba.getRGB());
			}
			catch (ArrayIndexOutOfBoundsException e)
			{
				// Chybu zamlčíme – prejdeme to potichu…
				// e.printStackTrace()
			}
		}

		/**
		 * Prepíše farebné zložky a zložku priehľadnosti bodu na zadanej
		 * pozícii farbou zadaného objektu.
		 * 
		 *  @param x x-ová súradnica bodu v súradnicovom priestore robota
		 *  @param y y-ová súradnica bodu v súradnicovom priestore robota
		 *  @param objekt objekt určujúci novú farbu bodu
		 */
		public void prepíšBod(double x, double y, Farebnosť objekt)
		{
			// int xx = (int)((šírka / 2.0) + x);
			// int yy = (int)((výška / 2.0) - y);
			// if (xx >= 0 && xx < šírka && yy >= 0 && yy < výška)
			// 	setRGB(xx, yy, objekt.farba().getRGB());
			try
			{
				setRGB((int)((šírka / 2.0) + x),
					(int)((výška / 2.0) - y), objekt.farba().getRGB());
			}
			catch (ArrayIndexOutOfBoundsException e)
			{
				// Chybu zamlčíme – prejdeme to potichu…
				// e.printStackTrace()
			}
		}

		/**
		 * Prepíše farebné zložky a zložku priehľadnosti bodu na zadanej
		 * pozícii zadanou kombináciou zložiek ARGB zakódovaných
		 * v celočíselnej hodnote.
		 * 
		 *  @param x x-ová súradnica bodu v súradnicovom priestore robota
		 *  @param y y-ová súradnica bodu v súradnicovom priestore robota
		 *  @param farba celé číslo obsahujúce kombináciu farebných zložiek
		 *      RGB a priehľadnosti
		 */
		public void prepíšBod(double x, double y, int farba)
		{
			// int xx = (int)((šírka / 2.0) + x);
			// int yy = (int)((výška / 2.0) - y);
			// if (xx >= 0 && xx < šírka && yy >= 0 && yy < výška)
			// 	setRGB(xx, yy, farba);
			try
			{
				setRGB((int)((šírka / 2.0) + x),
					(int)((výška / 2.0) - y), farba);
			}
			catch (ArrayIndexOutOfBoundsException e)
			{
				// Chybu zamlčíme – prejdeme to potichu…
				// e.printStackTrace()
			}
		}

		/** <a class="alias"></a> Alias pre {@link #prepíšBod(double, double, Color) prepíšBod}. */
		public void prepisBod(double x, double y, Color farba)
		{ prepíšBod(x, y, farba); }

		/** <a class="alias"></a> Alias pre {@link #prepíšBod(double, double, Farebnosť) prepíšBod}. */
		public void prepisBod(double x, double y, Farebnosť objekt)
		{ prepíšBod(x, y, objekt); }

		/** <a class="alias"></a> Alias pre {@link #prepíšBod(double, double, int) prepíšBod}. */
		public void prepisBod(double x, double y, int farba)
		{ prepíšBod(x, y, farba); }


		/**
		 * Prepíše farebné zložky a zložku priehľadnosti na pozícii zadaného
		 * bodu zadanou farbou.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 *  @param bod objekt reprezentujúci súradnice bodu (v súradnicovom
		 *  priestore robota)
		 *  @param farba objekt určujúci novú farbu bodu
		 */
		public void prepíšBod(Poloha bod, Color farba)
		{
			// int xx = (int)((šírka / 2.0) + bod.polohaX());
			// int yy = (int)((výška / 2.0) - bod.polohaY());
			// if (xx >= 0 && xx < šírka && yy >= 0 && yy < výška)
			// 	setRGB(xx, yy, farba.getRGB());
			try
			{
				setRGB((int)((šírka / 2.0) + bod.polohaX()),
					(int)((výška / 2.0) - bod.polohaY()), farba.getRGB());
			}
			catch (ArrayIndexOutOfBoundsException e)
			{
				// Chybu zamlčíme – prejdeme to potichu…
				// e.printStackTrace()
			}
		}

		/**
		 * Prepíše farebné zložky a zložku priehľadnosti na pozícii zadaného
		 * bodu farbou zadaného objektu.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 *  @param bod objekt reprezentujúci súradnice bodu (v súradnicovom
		 *  priestore robota)
		 *  @param objekt objekt určujúci novú farbu bodu
		 */
		public void prepíšBod(Poloha bod, Farebnosť objekt)
		{
			// int xx = (int)((šírka / 2.0) + bod.polohaX());
			// int yy = (int)((výška / 2.0) - bod.polohaY());
			// if (xx >= 0 && xx < šírka && yy >= 0 && yy < výška)
			// 	setRGB(xx, yy, objekt.farba().getRGB());
			try
			{
				setRGB((int)((šírka / 2.0) + bod.polohaX()),
					(int)((výška / 2.0) - bod.polohaY()),
					objekt.farba().getRGB());
			}
			catch (ArrayIndexOutOfBoundsException e)
			{
				// Chybu zamlčíme – prejdeme to potichu…
				// e.printStackTrace()
			}
		}

		/**
		 * Prepíše farebné zložky a zložku priehľadnosti na pozícii zadaného
		 * bodu zadanou kombináciou zložiek ARGB zakódovaných v celočíselnej
		 * hodnote.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 *  @param bod objekt reprezentujúci súradnice bodu (v súradnicovom
		 *  priestore robota)
		 *  @param farba celé číslo obsahujúce kombináciu farebných zložiek
		 *      RGB a priehľadnosti
		 */
		public void prepíšBod(Poloha bod, int farba)
		{
			// int xx = (int)((šírka / 2.0) + bod.polohaX());
			// int yy = (int)((výška / 2.0) - bod.polohaY());
			// if (xx >= 0 && xx < šírka && yy >= 0 && yy < výška)
			// 	setRGB(xx, yy, farba);
			try
			{
				setRGB((int)((šírka / 2.0) + bod.polohaX()),
					(int)((výška / 2.0) - bod.polohaY()), farba);
			}
			catch (ArrayIndexOutOfBoundsException e)
			{
				// Chybu zamlčíme – prejdeme to potichu…
				// e.printStackTrace()
			}
		}

		/** <a class="alias"></a> Alias pre {@link #prepíšBod(Poloha, Color) prepíšBod}. */
		public void prepisBod(Poloha bod, Color farba)
		{ prepíšBod(bod, farba); }

		/** <a class="alias"></a> Alias pre {@link #prepíšBod(Poloha, Farebnosť) prepíšBod}. */
		public void prepisBod(Poloha bod, Farebnosť objekt)
		{ prepíšBod(bod, objekt); }

		/** <a class="alias"></a> Alias pre {@link #prepíšBod(Poloha, int) prepíšBod}. */
		public void prepisBod(Poloha bod, int farba)
		{ prepíšBod(bod, farba); }

		/**
		 * <a class="getter"></a> Vráti aktuálneho kresliča obrázka alebo
		 * {@code valnull}, ak nie je kreslič nastavený. Pre podrobnosti
		 * pozri informácie pri setteri vlastnosti
		 * {@link #kreslič(GRobot) kreslič}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return grafický robot zvolený za kresliča alebo {@code valnull},
		 *      ak obrázok nemá nastaveného žiadneho konkrétneho kresliča
		 */
		public GRobot kreslič() { return kreslič; }

		/** <a class="alias"></a> Alias pre {@link #kreslič() kreslič}. */
		public GRobot kreslic() { return kreslič; }

		/**
		 * <a class="setter"></a> Nastaví „kresliča“ obrázka – grafického
		 * robota, ktorý bude slúžiť na alternatívne kreslenie a vypĺňanie
		 * tvarov v rámci obrázka. Vlastnosť je určená na kombinované
		 * fungovanie s metódami {@link #kresli(Shape) kresli}
		 * a {@link #vyplň(Shape) vyplň}. (Tie sú v súčasnosti považované
		 * za metódy, ktoré poskytujú alternatívny spôsob kreslenia
		 * a vypĺňania tvarov do obrázka. Podrobnosti nájdete v ich opisoch.)
		 * Novému zvolenému kresličovi bude automaticky {@linkplain
		 * GRobot#nekresliTvary() vypnuté kreslenie tvarov}, pričom jeho
		 * štandardné kresliace schopnosti (kreslenie pri pohybe {@linkplain
		 * GRobot#dopredu(double) dopredu}, {@linkplain GRobot#dozadu(double)
		 * dozadu} a podobne, pri {@linkplain GRobot#položPero() položenom
		 * pere}) zostávajú zachované. Prípadnému starému kresličovi bude
		 * {@linkplain GRobot#kresliTvary() kreslenie tvarov automaticky
		 * zapnuté}.
		 * 
		 * <P>Táto vlastnosť je určená <b>výhradne</b> na použitie s metódami
		 * {@link #kresli(Shape) kresli} a {@link #vyplň(Shape) vyplň}, ktoré
		 * očakávajú výstupy z metód robota na kreslenie tvarov ({@link
		 * GRobot#kruh(double) kruh}, {@link GRobot#elipsa(double, double)
		 * elipsa}, {@link GRobot#štvorec(double) štvorec} a podobne). Nie je
		 * dobré túto vlastnosť kombinovať s úplným {@linkplain
		 * GRobot#kresliNaObrázok(Obrázok) presmerovaním kreslenia robota do
		 * obrázka}. Mohlo by dôjsť k neočakávaným výsledkom.
		 * 
		 * <P>Keď chceme kresliča zrušiť, pošleme do argumentu tejto metódy
		 * hodnotu {@code valnull} alebo použijeme metódu {@link
		 * #zrušKresliča() zrušKresliča}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param kreslič nový kreslič (grafický robot) alebo {@code valnull}
		 */
		public void kreslič(GRobot kreslič)
		{
			if (this.kreslič == kreslič) return;
			if (null != this.kreslič) this.kreslič.kresliTvary();
			this.kreslič = kreslič;
			if (null != kreslič) kreslič.nekresliTvary();
			// Neopoužiť „kresliNaObrázok“
		}

		/** <a class="alias"></a> Alias pre {@link #kreslič(GRobot) kreslič}. */
		public void kreslic(GRobot kreslič) { kreslič(kreslič); }

		/**
		 * Zruší kresliča obrázka. Pre podrobnosti pozri informácie pri
		 * setteri vlastnosti {@link #kreslič(GRobot) kreslič} – volanie
		 * tejto metódy má rovnaký efekt ako spustenie metódy
		 * {@link #kreslič(GRobot) kreslič} s hodnotou argumentu
		 * {@code valnull}.
		 */
		public void zrušKresliča() { kreslič(null); }

		/** <a class="alias"></a> Alias pre {@link #zrušKresliča() zrušKresliča}. */
		public void zrusKreslica() { kreslič(null); }

		/**
		 * Táto metóda slúži na kreslenie obrysov zadaného tvaru do obrázka.
		 * Vo verzii 1.75 bolo správanie tejto metódy upravené tak, aby bolo
		 * viac v súlade so správaním {@linkplain Plátno#kresli(Shape)
		 * rovnakých metód definovaných v triedach plátien}. To znamená, že
		 * ak má tento objekt obrázka nastaveného takzvaného
		 * {@linkplain #kreslič(GRobot) kresliča}, tak táto metóda použije na
		 * nakreslenie jeho farbu a štýl čiary. V opačnom prípade použije
		 * {@linkplain Svet#hlavnýRobot() hlavného robota}.
		 * 
		 * <P>Zadaný tvar by mal byť vygenerovaný niektorým robotom (metódami
		 * na kreslenie tvarov), pretože obrázky majú súradnicový priestor
		 * prispôsobený svetu robota – osi sú posunuté tak, aby robot
		 * v pozícii [0, 0] kreslil do stredu obrázka (toto posunutie závisí
		 * nielen od rozmerov obrázka, ale aj od aktuálnych rozmerov plátien)
		 * a y-ová súradnica je orientovaná podľa súradnicového systému Javy,
		 * to znamená, že je voči svetu robota zrkadlovo prevrátená.
		 * (O súradnicových priestoroch sa podrobnejšie píše napríklad
		 * v opisoch metód {@link GRobot#cesta() GRobot.cesta()}, {@link
		 * SVGPodpora#zapíš(String, String, boolean) SVGpodpora.zapíš(…)},
		 * {@link SVGPodpora#čítaj(String) SVGpodpora.čítaj(meno)} a priebežne
		 * v celej dokumentácii.)
		 * 
		 * <P><small>(<b>Tip:</b> V súvislosti s generovaním tvarov a ich
		 * použitím by robot, ktorého chceme použiť na generovanie tvarov,
		 * mal mať {@linkplain GRobot#nekresliTvary() vypnuté kreslenie
		 * tvarov}, aby vygenerovaný tvar nenakreslil do aktívneho plátna,
		 * prípadne do iného obrázka, do ktorého má {@linkplain
		 * GRobot#kresliNaObrázok(Obrázok) presmerované kreslenie}.
		 * Automatické vypnutie alebo zapnutie kreslenia tvarov zvoleného
		 * grafického robota vykoná metóda {@link #kreslič(GRobot) kreslič}
		 * a to podľa toho, či je jej argumentom konkrétny robot – vtedy
		 * mu kreslenie tvarov vypne, alebo hodnota {@code valnull} – vtedy
		 * zapne kreslenie tvarov tomu robotovi, ktorý bol aktuálnym
		 * kresličom konkrétneho obrázka. Metóda však nezaznamenáva počet
		 * spustení pre robotov, takže v prípade jej náhodného spúšťania
		 * s rôznymi hodnotami argumentov – robotov alebo hodnôt
		 * {@code valnull}, je výsledný stav kreslenia alebo nekreslenia
		 * tvarov pre konkrétneho robota rovný tomu stavu, do ktorého ho
		 * preplo posledné spustenie dotknutej metódy. Treba si na to dať
		 * pozor v prípade, že chceme toho istého robota použiť ako kresliča
		 * viacerých obrázkov.)</small>
		 * 
		 * <P>Na kreslenie robotom do obrázka je jednoduchšie je použiť
		 * metódu {@link GRobot#kresliNaObrázok(Obrázok)} na presmerovanie
		 * kreslenia robota do obrázka a kresliť robotom rovnakým spôsobom
		 * ako pri klasickom kreslení na {@linkplain Plátno plátno}
		 * (podlahu alebo strop).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude
		 *      nakreslený aktuálnym štýlom čiary a farbou {@linkplain
		 *      #kreslič(GRobot) kresliča} alebo {@linkplain
		 *      Svet#hlavnýRobot() hlavného robota}
		 * 
		 * @see #vyplň(Shape)
		 * @see #kresli(Shape, GRobot)
		 * @see #vyplň(Shape, GRobot)
		 */
		public void kresli(Shape tvar)
		{
			if (null != kreslič)
			{
				grafika.setColor(kreslič.farbaRobota);
				grafika.setStroke(kreslič.čiara);
				grafika.draw(tvar);
			}
			else if (null != hlavnýRobot)
			{
				grafika.setColor(hlavnýRobot.farbaRobota);
				grafika.setStroke(hlavnýRobot.čiara);
				grafika.draw(tvar);
			}
		}

		/**
		 * Táto metóda slúži na kreslenie obrysov zadaného tvaru do obrázka.
		 * Metóda potrebuje na svoje správne fungovanie zadanie robota
		 * „kresliča“, ktorého farbu a štýl čiary použije na kreslenie.
		 * Ak je do metódy namiesto konkrétneho kresliča zadaná hodnota
		 * {@code valnull}, tak je na získanie parametrov kreslenia použitý
		 * {@linkplain Svet#hlavnýRobot() hlavný robot}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude
		 *      nakreslený aktuálnym štýlom čiary a farbou zadaného robota
		 *      („kresliča“)
		 *  @param kreslič grafický robot, ktorého parametre budú použité
		 *      na kreslenie alebo {@code valnull}
		 * 
		 * @see #vyplň(Shape, GRobot)
		 * @see #kresli(Shape)
		 * @see #vyplň(Shape)
		 */
		public void kresli(Shape tvar, GRobot kreslič)
		{
			if (null == kreslič) kreslič = hlavnýRobot;
			if (null == kreslič) return;

			grafika.setColor(kreslič.farbaRobota);
			grafika.setStroke(kreslič.čiara);
			grafika.draw(tvar);
		}

		/**
		 * Táto metóda slúži na kreslenie vyplnených tvarov do obrázka.
		 * Vo verzii 1.75 bolo správanie tejto metódy upravené tak, aby bolo
		 * viac v súlade so správaním {@linkplain Plátno#vyplň(Shape)
		 * rovnakých metód definovaných v triedach plátien}. To znamená, že
		 * ak má tento objekt obrázka nastaveného takzvaného
		 * {@linkplain #kreslič(GRobot) kresliča}, tak táto metóda použije na
		 * vyplnenie jeho farbu. V opačnom prípade použije
		 * {@linkplain Svet#hlavnýRobot() hlavného robota}.
		 * 
		 * <P>Zadaný tvar by mal byť vygenerovaný niektorým robotom (metódami
		 * na kreslenie tvarov), pretože obrázky majú súradnicový priestor
		 * prispôsobený svetu robota – osi sú posunuté tak, aby robot
		 * v pozícii [0, 0] kreslil do stredu obrázka (toto posunutie závisí
		 * nielen od rozmerov obrázka, ale aj od aktuálnych rozmerov plátien)
		 * a y-ová súradnica je orientovaná podľa súradnicového systému Javy,
		 * to znamená, že je voči svetu robota zrkadlovo prevrátená.
		 * (O súradnicových priestoroch sa podrobnejšie píše napríklad
		 * v opisoch metód {@link GRobot#cesta() GRobot.cesta()}, {@link
		 * SVGPodpora#zapíš(String, String, boolean) SVGpodpora.zapíš(…)},
		 * {@link SVGPodpora#čítaj(String) SVGpodpora.čítaj(meno)} a priebežne
		 * v celej dokumentácii.)
		 * 
		 * <P><small>(<b>Tip:</b> V súvislosti s generovaním tvarov a ich
		 * použitím by robot, ktorého chceme použiť na generovanie tvarov,
		 * mal mať {@linkplain GRobot#nekresliTvary() vypnuté kreslenie
		 * tvarov}, aby vygenerovaný tvar nenakreslil do aktívneho plátna,
		 * prípadne do iného obrázka, do ktorého má {@linkplain
		 * GRobot#kresliNaObrázok(Obrázok) presmerované kreslenie}.
		 * Automatické vypnutie alebo zapnutie kreslenia tvarov zvoleného
		 * grafického robota vykoná metóda {@link #kreslič(GRobot) kreslič}
		 * a to podľa toho, či je jej argumentom konkrétny robot – vtedy
		 * mu kreslenie tvarov vypne, alebo hodnota {@code valnull} – vtedy
		 * zapne kreslenie tvarov tomu robotovi, ktorý bol aktuálnym
		 * kresličom konkrétneho obrázka. Metóda však nezaznamenáva počet
		 * spustení pre robotov, takže v prípade jej náhodného spúšťania
		 * s rôznymi hodnotami argumentov – robotov alebo hodnôt
		 * {@code valnull}, je výsledný stav kreslenia alebo nekreslenia
		 * tvarov pre konkrétneho robota rovný tomu stavu, do ktorého ho
		 * preplo posledné spustenie dotknutej metódy. Treba si na to dať
		 * pozor v prípade, že chceme toho istého robota použiť ako kresliča
		 * viacerých obrázkov.)</small>
		 * 
		 * <P>Na kreslenie robotom do obrázka je jednoduchšie je použiť
		 * metódu {@link GRobot#kresliNaObrázok(Obrázok)} na presmerovanie
		 * kreslenia robota do obrázka a kresliť robotom rovnakým spôsobom
		 * ako pri klasickom kreslení na {@linkplain Plátno plátno}
		 * (podlahu alebo strop).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude vyplnený
		 *      aktuálnou farbou {@linkplain #kreslič(GRobot) kresliča} alebo
		 *      {@linkplain Svet#hlavnýRobot() hlavného robota}
		 * 
		 * @see #kresli(Shape)
		 * @see #vyplň(Shape, GRobot)
		 * @see #kresli(Shape, GRobot)
		 */
		public void vyplň(Shape tvar)
		{
			if (null != kreslič)
			{
				grafika.setColor(kreslič.farbaRobota);
				grafika.fill(tvar);
			}
			else if (null != hlavnýRobot)
			{
				grafika.setColor(hlavnýRobot.farbaRobota);
				grafika.fill(tvar);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(Shape)}. */
		public void vypln(Shape tvar) { vyplň(tvar); }

		/**
		 * Táto metóda slúži na kreslenie vyplnených tvarov do obrázka.
		 * Metóda potrebuje na svoje správne fungovanie zadanie robota
		 * „kresliča“, ktorého farbu použije na vyplnenie zadaného tvaru.
		 * Ak je do metódy namiesto konkrétneho kresliča zadaná hodnota
		 * {@code valnull}, tak je na získanie parametrov kreslenia použitý
		 * {@linkplain Svet#hlavnýRobot() hlavný robot}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude vyplnený
		 *      aktuálnou farbou zadaného robota („kresliča“)
		 *  @param kreslič grafický robot, ktorého parametre budú použité
		 *      na kreslenie alebo {@code valnull}
		 * 
		 * @see #kresli(Shape, GRobot)
		 * @see #vyplň(Shape)
		 * @see #kresli(Shape)
		 */
		public void vyplň(Shape tvar, GRobot kreslič)
		{
			if (null == kreslič) kreslič = hlavnýRobot;
			if (null == kreslič) return;

			grafika.setColor(kreslič.farbaRobota);
			grafika.fill(tvar);
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(Shape, GRobot)}. */
		public void vypln(Shape tvar, GRobot kreslič) { vyplň(tvar, kreslič); }


		/**
		 * Vyplní celú plochu obrázka zadanou farbou.
		 * 
		 *  @param farba objekt určujúci farbu na výplň plátna
		 *  @see #vymaž()
		 */
		public void vyplň(Color farba)
		{
			grafika.setColor(farba);
			grafika.translate(-posunX, -posunY);
			grafika.fillRect(0, 0, šírka, výška);
			grafika.translate(posunX, posunY);

			// Nemôžem takto, prišiel by som o transparenciu:
			// if (null == údajeObrázka) údajeObrázka =
			//	((DataBufferInt)getRaster().getDataBuffer()).getData();
			// Arrays.fill(údajeObrázka, farba.getRGB());
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(java.awt.Color) vyplň}. */
		public void vypln(Color farba) { vyplň(farba); }

		/**
		 * Vyplní celú plochu obrázka farbou zadaného objektu.
		 * 
		 *  @param objekt objekt určujúci farbu na výplň plátna
		 *  @see #vymaž()
		 */
		public void vyplň(Farebnosť objekt)
		{
			grafika.setColor(objekt.farba());
			grafika.translate(-posunX, -posunY);
			grafika.fillRect(0, 0, šírka, výška);
			grafika.translate(posunX, posunY);

			// Nemôžem takto, prišiel by som o transparenciu:
			// if (null == údajeObrázka) údajeObrázka =
			//	((DataBufferInt)getRaster().getDataBuffer()).getData();
			// Arrays.fill(údajeObrázka, farba.getRGB());
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(Farebnosť) vyplň}. */
		public void vypln(Farebnosť objekt) { vyplň(objekt); }

		/* *
		 * Toto je „klon“ metódy {@link #vyplň(java.awt.Color)}. Obrázok je
		 * vyplnený len v prípade, že je v premennej typu {@link Object}
		 * (zadanej ako parameter) uložená inštancia triedy {@link Farba
		 * Farba} alebo {@link Color Color}.
		 * /
		public void vyplň(Object farba)
		{
			if (farba instanceof Color) farba = new Farba((Color)farba);
			if (farba instanceof Farba) vyplň((Farba)farba);
		}

		/* * <a class="alias"></a> Alias pre {@link #vyplň(Object) vyplň}. * /
		public void vypln(Object farba) { vyplň(farba); }
		*/

		/**
		 * Vyplní obrázok farbou zadanou prostredníctvom farebných zložiek.
		 * 
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      zložiek
		 *  @see #vyplň(java.awt.Color)
		 */
		public Farba vyplň(int r, int g, int b)
		{
			Farba nováFarba = new Farba(r, g, b);
			vyplň(nováFarba);
			return nováFarba;
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(int, int, int) vyplň}. */
		public Farba vypln(int r, int g, int b) { return vyplň(r, g, b); }

		/**
		 * Vyplní obrázok farbou zadanou prostredníctvom farebných zložiek
		 * a úrovne (ne)priehľadnosti.
		 * 
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti farby; celé číslo v rozsahu
		 *      0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná farba)
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      parametrov
		 *  @see #vyplň(java.awt.Color)
		 */
		public Farba vyplň(int r, int g, int b, int a)
		{
			Farba nováFarba = new Farba(r, g, b, a);
			vyplň(nováFarba);
			return nováFarba;
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(int, int, int, int) vyplň}. */
		public Farba vypln(int r, int g, int b, int a) { return vyplň(r, g, b, a); }


		/**
		 * Vyplní zadaný tvar textúrou prečítanou zo súboru s obrázkom
		 * a výsledok nakreslí do obrázka.
		 * 
		 * <P>Zadaný tvar by mal byť generovaný niektorým robotom (metódami
		 * na kreslenie tvarov), pretože obrázky majú súradnicový priestor
		 * prispôsobený svetu robota. Zvolený grafický robot by mal mať
		 * {@linkplain GRobot#nekresliTvary() vypnuté kreslenie tvarov}, aby
		 * vygenerovaný tvar nenakreslil do aktívneho plátna (prípadne do
		 * obrázka, do ktorého bolo jeho kreslenie presmerované).
		 * 
		 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je možné
		 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
		 * súvislosti sa mierne zmenilo aj predvolené správanie
		 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
		 * dlaždicami sa presunul do stredu plátna, prípadne
		 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
		 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
		 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
		 * upravujúce ďalšie parametre obrázkových výplní.)</small>
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude vyplnený
		 *      textúrou
		 *  @param súbor názov súboru s obrázkom textúry
		 *  @see Svet#priečinokObrázkov(String)
		 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 */
		public void vyplň(Shape tvar, String súbor)
		{
			BufferedImage obrázok = súborNaObrázok(súbor);

			grafika.setPaint(new TexturePaint(obrázok,
				new Rectangle2D.Double(posuňVýplňX, posuňVýplňY,
					obrázok.getWidth()  * mierkaVýplneX,
					obrázok.getHeight() * mierkaVýplneY)));

			if (0 == otočVýplňΑ)
				grafika.fill(tvar);
			else
			{
				double β = Math.toRadians(otočVýplňΑ);
				grafika.rotate(-β, otočVýplňX, otočVýplňY);
				Shape s = AffineTransform.getRotateInstance(β,
					otočVýplňX, otočVýplňY).
					createTransformedShape(tvar);

				grafika.fill(s);

				grafika.rotate(β, otočVýplňX, otočVýplňY);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #vypln(Shape, String)}. */
		public void vypln(Shape tvar, String súbor) { vyplň(tvar, súbor); }

		/**
		 * Vyplní zadaný tvar textúrou určenou zadaným obrázkom a výsledok
		 * nakreslí do tohto obrázka. Ako textúra by nemal byť použitý ten
		 * obrázok, do ktorého je vypĺňaný tvar kreslený.
		 * 
		 * <P>Zadaný tvar by mal byť generovaný niektorým robotom (metódami
		 * na kreslenie tvarov), pretože obrázky majú súradnicový priestor
		 * prispôsobený svetu robota. Zvolený grafický robot by mal mať
		 * {@linkplain GRobot#nekresliTvary() vypnuté kreslenie tvarov}, aby
		 * vygenerovaný tvar nenakreslil do aktívneho plátna (prípadne do
		 * obrázka, do ktorého bolo jeho kreslenie presmerované).
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je možné
		 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
		 * súvislosti sa mierne zmenilo aj predvolené správanie
		 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
		 * dlaždicami sa presunul do stredu plátna, prípadne
		 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
		 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
		 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
		 * upravujúce ďalšie parametre obrázkových výplní.)</small>
		 * 
		 *  @param tvar objekt typu {@link Shape Shape}, ktorý bude vyplnený
		 *      textúrou
		 *  @param výplň obrázok s textúrou
		 */
		public void vyplň(Shape tvar, Image výplň)
		{
			BufferedImage obrázok = preveďNaBufferedImage(výplň);
			BufferedImage relevantný = dajRelevantnýRaster(obrázok);

			float priehľadnosť = (obrázok instanceof Obrázok) ?
				((Obrázok)obrázok).priehľadnosť : 1.0f;

			if (priehľadnosť > 0)
			{
				grafika.setPaint(new TexturePaint(relevantný,
					new Rectangle2D.Double(posuňVýplňX, posuňVýplňY,
						relevantný.getWidth(null)  * mierkaVýplneX,
						relevantný.getHeight(null) * mierkaVýplneY)));

				Shape s = tvar; double β = 0.0;

				if (0 != otočVýplňΑ)
				{
					β = Math.toRadians(otočVýplňΑ);
					grafika.rotate(-β, otočVýplňX, otočVýplňY);
					s = AffineTransform.getRotateInstance(β,
						otočVýplňX, otočVýplňY).
						createTransformedShape(tvar);
				}

				if (priehľadnosť < 1)
				{
					Composite záloha = grafika.getComposite();
					grafika.setComposite(
						AlphaComposite.getInstance(
							AlphaComposite.SRC_OVER, priehľadnosť));
					grafika.fill(s);
					grafika.setComposite(záloha);
				}
				else
					grafika.fill(s);

				if (0 != otočVýplňΑ)
					grafika.rotate(β, otočVýplňX, otočVýplňY);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #vypln(Shape, Image)}. */
		public void vypln(Shape tvar, Image výplň) { vyplň(tvar, výplň); }

		/**
		 * Nakreslí do stredu tohto obrázka obrázok zo zadaného súboru.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 *  @param súbor názov súboru s obrázkom
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public void kresli(String súbor)
		{
			BufferedImage obrázok = súborNaObrázok(súbor);
			int x = (šírka - obrázok.getWidth()) / 2;
			int y = (výška - obrázok.getHeight()) / 2;

			// System.out.println(súbor + " x: " + x + " y: " + y);

			grafika.translate(-posunX, -posunY);
			grafika.drawImage(obrázok, x, y, null);
			grafika.translate(posunX, posunY);
		}

		/**
		 * Nakreslí do tohto obrázka obrázok zo zadaného súboru, ktorý bude
		 * posunutý od stredu o zadané súradnice v horizontálnom
		 * a vertikálnom smere.
		 * 
		 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 *  @param x posun od stredu v horizontálnom smere
		 *  @param y posun od stredu vo vertikálnom smere
		 *  @param súbor názov súboru s obrázkom
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public void kresli(double x, double y, String súbor)
		{
			BufferedImage obrázok = súborNaObrázok(súbor);
			x = (šírka - obrázok.getWidth()) / 2.0 + x;
			y = (výška - obrázok.getHeight()) / 2.0 - y;

			// System.out.println(súbor + " x: " + x + " y: " + y);

			grafika.translate(-posunX, -posunY);
			grafika.drawImage(obrázok, (int)x, (int)y, null);
			grafika.translate(posunX, posunY);
		}

		// /**
		//  * Nakreslí do tohto obrázka obrázok zo zadaného súboru, ktorý bude
		//  * posunutý o zadané súradnice v horizontálnom a vertikálnom smere.
		//  * 
		//  *  @param bod súradnice, o ktoré má byť obrázok posunutý
		//  *  @param súbor názov súboru s obrázkom
		//  */
		// public void kresli(Point2D bod, String súbor)
		// { kresli(bod.getX(), bod.getY(), súbor); }

		/**
		 * Nakreslí do tohto obrázka obrázok zo zadaného súboru, obrázok bude
		 * posunutý o súradnice určené polohou zadaného objektu.
		 * 
		 *  @param objekt objekt, ktorého súradnice určia posunutie obrázka
		 *  @param súbor názov súboru s obrázkom
		 *  @see Svet#priečinokObrázkov(String)
		 */
		public void kresli(Poloha objekt, String súbor)
		{ kresli(objekt.polohaX(), objekt.polohaY(), súbor); }

		/**
		 * Nakreslí do stredu tohto obrázka zadaný obrázok.
		 * 
		 *  @param obrázok obrázok, ktorý má byť nakreslený
		 */
		public void kresli(Image obrázok)
		{
			Image relevantný = dajRelevantnýRaster(obrázok);

			int x = (šírka - relevantný.getWidth(null)) / 2;
			int y = (výška - relevantný.getHeight(null)) / 2;

			grafika.translate(-posunX, -posunY);
			grafika.drawImage(relevantný, x, y, null);
			grafika.translate(posunX, posunY);
		}

		/**
		 * Nakreslí do tohto obrázka zadaný obrázok, pričom ho posunie
		 * od stredu o zadané súradnice v horizontálnom a vertikálnom smere.
		 * 
		 *  @param x posun od stredu v horizontálnom smere
		 *  @param y posun od stredu vo vertikálnom smere
		 *  @param obrázok obrázok, ktorý má byť nakreslený
		 */
		public void kresli(double x, double y, Image obrázok)
		{
			Image relevantný = dajRelevantnýRaster(obrázok);

			x = (šírka - relevantný.getWidth(null)) / 2.0 + x;
			y = (výška - relevantný.getHeight(null)) / 2.0 - y;

			grafika.translate(-posunX, -posunY);
			grafika.drawImage(relevantný, (int)x, (int)y, null);
			grafika.translate(posunX, posunY);
		}

		// /**
		//  * Nakreslí do tohto obrázka zadaný obrázok, pričom ho posunie
		//  * o zadané súradnice v horizontálnom a vertikálnom smere.
		//  * 
		//  *  @param bod súradnice, o ktoré má byť obrázok posunutý
		//  *  @param obrázok obrázok, ktorý má byť nakreslený
		//  */
		// public void kresli(Poloha bod, BufferedImage obrázok)
		// { kresli(bod.polohaX(), bod.polohaY(), obrázok); }

		/**
		 * Nakreslí do tohto obrázka zadaný obrázok, obrázok bude
		 * posunutý o súradnice určené polohou zadaného objektu.
		 * 
		 *  @param objekt objekt, ktorého súradnice určia posunutie obrázka
		 *  @param obrázok obrázok, ktorý má byť nakreslený
		 */
		public void kresli(Poloha objekt, Image obrázok)
		{ kresli(objekt.polohaX(), objekt.polohaY(), obrázok); }


		/**
		 * Vyplní obrázok zadanou textúrou. Textúra je súbor s obrázkom, ktorý
		 * bude použitý na dlaždicové vyplnenie celej plochy tohto obrázka.
		 * 
		 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je možné
		 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
		 * súvislosti sa mierne zmenilo aj predvolené správanie
		 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
		 * dlaždicami sa presunul do stredu plátna, prípadne
		 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
		 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
		 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
		 * upravujúce ďalšie parametre obrázkových výplní.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súbor názov súboru s obrázkom textúry
		 *  @see #vyplň(java.awt.Color)
		 *  @see Svet#priečinokObrázkov(String)
		 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 */
		public void vyplň(String súbor)
		{
			BufferedImage obrázok = súborNaObrázok(súbor);

			grafika.setPaint(new TexturePaint(obrázok,
				new Rectangle2D.Double(
					posuňVýplňX + posunX, posuňVýplňY + posunY,
					obrázok.getWidth()  * mierkaVýplneX,
					obrázok.getHeight() * mierkaVýplneY)));

			grafika.translate(-posunX, -posunY);

			if (0 == otočVýplňΑ)
				grafika.fillRect(0, 0, šírka, výška);
			else
			{
				double β = Math.toRadians(otočVýplňΑ);
				grafika.rotate(-β, otočVýplňX + posunX, otočVýplňY + posunY);

				Shape s = AffineTransform.getRotateInstance(β,
					otočVýplňX + posunX, otočVýplňY + posunY).
					createTransformedShape(new Rectangle(0, 0, šírka, výška));

				// grafika.fillRect(0, 0, šírka, výška);
				grafika.fill(s);

				grafika.rotate(β, otočVýplňX + posunX, otočVýplňY + posunY);
			}

			grafika.translate(posunX, posunY);
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(String) vyplň}. */
		public void vypln(String súbor) { vyplň(súbor); }

		/**
		 * Vyplní obrázok zadanou textúrou. Textúra je iný {@linkplain
		 * Obrázok obrázok} (objekt typu {@link Image Image}
		 * alebo odvodený), ktorý bude použitý na dlaždicové vyplnenie celej
		 * plochy tohto obrázka.
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je možné
		 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
		 * súvislosti sa mierne zmenilo aj predvolené správanie
		 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
		 * dlaždicami sa presunul do stredu plátna, prípadne
		 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
		 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
		 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
		 * upravujúce ďalšie parametre obrázkových výplní.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param výplň obrázok s textúrou
		 *  @see #vyplň(java.awt.Color)
		 */
		public void vyplň(Image výplň)
		{
			BufferedImage obrázok = preveďNaBufferedImage(výplň);
			BufferedImage relevantný = dajRelevantnýRaster(obrázok);

			float priehľadnosť = (obrázok instanceof Obrázok) ?
				((Obrázok)obrázok).priehľadnosť : 1.0f;

			if (priehľadnosť > 0)
			{
				grafika.setPaint(new TexturePaint(relevantný,
					new Rectangle2D.Double(
						posuňVýplňX + posunX, posuňVýplňY + posunY,
						relevantný.getWidth(null)  * mierkaVýplneX,
						relevantný.getHeight(null) * mierkaVýplneY)));

				grafika.translate(-posunX, -posunY);

				Shape s = new Rectangle(0, 0, šírka, výška); double β = 0.0;

				if (0 != otočVýplňΑ)
				{
					β = Math.toRadians(otočVýplňΑ);
					grafika.rotate(-β,
						otočVýplňX + posunX, otočVýplňY + posunY);

					s = AffineTransform.getRotateInstance(β,
						otočVýplňX + posunX, otočVýplňY + posunY).
						createTransformedShape(s);
				}

				if (priehľadnosť < 1)
				{
					Composite záloha = grafika.getComposite();
					grafika.setComposite(AlphaComposite.getInstance(
						AlphaComposite.SRC_OVER, priehľadnosť));
					// grafika.fillRect(0, 0, šírka, výška);
					grafika.fill(s);
					grafika.setComposite(záloha);
				}
				else
					// grafika.fillRect(0, 0, šírka, výška);
					grafika.fill(s);

				if (0 != otočVýplňΑ) grafika.rotate(β,
					otočVýplňX + posunX, otočVýplňY + posunY);

				grafika.translate(posunX, posunY);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(Image) vyplň}. */
		public void vypln(Image výplň) { vyplň(výplň); }


		/**
		 * Vyleje do zadaného bodu do obrázka farbu, ktorá sa odtiaľ rozšíri
		 * po okraje tej časti kresby v obrázku, v ktorej sa zadaný bod
		 * nachádza. Pre ďalšie informácie pozri metódu {@link
		 * Plátno#vylejFarbu(double, double, java.awt.Color)}. Správanie tejto
		 * metódy je jej veľmi podobné.
		 * 
		 *  @param x  x-ová súradnica počiatočného bodu
		 *  @param y  y-ová súradnica počiatočného bodu
		 *  @param farba objekt určujúci farbu výplne
		 */
		public void vylejFarbu(double x, double y, Color farba)
		{
			VykonajVObrázku.vylejFarbu(this, x, y, farba);
			if (právePrekresľujem) return;
			automatickéPrekreslenie();
		}

		/**
		 * Vyleje do zadaného bodu do obrázka farbu (určenú objektom), ktorá
		 * sa odtiaľ rozšíri po okraje tej časti kresby v obrázku, v ktorej sa
		 * zadaný bod nachádza. Pre ďalšie informácie pozri metódu {@link
		 * Plátno#vylejFarbu(double, double, java.awt.Color)}. Správanie tejto
		 * metódy je jej veľmi podobné.
		 * 
		 *  @param x  x-ová súradnica počiatočného bodu
		 *  @param y  y-ová súradnica počiatočného bodu
		 *  @param objekt objekt určujúci farbu výplne
		 */
		public void vylejFarbu(double x, double y, Farebnosť objekt)
		{
			VykonajVObrázku.vylejFarbu(this, x, y, objekt.farba());
			if (právePrekresľujem) return;
			automatickéPrekreslenie();
		}

		/* *
		 * Toto je „klon“ metódy {@link #vylejFarbu(double, double,
		 * java.awt.Color)}. Proces vyplnenia sa uskutoční len v prípade, že je
		 * v premennej typu {@link Object} (zadanej ako parameter) uložená
		 * inštancia triedy {@link Farba Farba} alebo {@link Color Color}.
		 * /
		public void vylejFarbu(double x, double y, Object farba)
		{
			if (farba instanceof Color) farba = new Farba((Color)farba);
			if (farba instanceof Farba) vylejFarbu(x, y, (Farba)farba);
		}
		*/

		/**
		 * Vyleje do zadaného bodu do obrázka farbu zadanú prostredníctvom
		 * farebných zložiek, ktorá sa určeného bodu rozšíri po okraje
		 * okolitej kresby. Pre ďalšie informácie pozri metódu {@link
		 * #vylejFarbu(double, double, java.awt.Color)}. Správanie tejto
		 * metódy je odvodené od nej.
		 * 
		 *  @param x x-ová súradnica počiatočného bodu
		 *  @param y y-ová súradnica počiatočného bodu
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      zložiek
		 *  @see #vylejFarbu(double, double, java.awt.Color)
		 */
		public Farba vylejFarbu(double x, double y, int r, int g, int b)
		{
			Farba nováFarba = new Farba(r, g, b);
			vylejFarbu(x, y, nováFarba);
			return nováFarba;
		}

		/**
		 * Vyleje do zadaného bodu do obrázka farbu zadanú prostredníctvom
		 * farebných zložiek a úrovne (ne)priehľadnosti, pričom farba sa
		 * z určeného bodu rozšíri k okrajom okolitej kresby. Pre ďalšie
		 * informácie pozri metódu {@link #vylejFarbu(double, double,
		 * java.awt.Color)}. Správanie tejto metódy je odvodené od nej.
		 * 
		 *  @param x x-ová súradnica počiatočného bodu
		 *  @param y y-ová súradnica počiatočného bodu
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti farby; celé číslo v rozsahu
		 *      0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná farba)
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      parametrov
		 *  @see #vylejFarbu(double, double, java.awt.Color)
		 */
		public Farba vylejFarbu(double x, double y, int r, int g, int b, int a)
		{
			Farba nováFarba = new Farba(r, g, b, a);
			vylejFarbu(x, y, nováFarba);
			return nováFarba;
		}

		/**
		 * Vyleje do zadaného bodu do obrázka farbu, ktorá sa odtiaľ rozšíri
		 * po okraje tej časti kresby v obrázku, v ktorej sa zadaný bod
		 * nachádza. Pre ďalšie informácie pozri metódu {@link
		 * Plátno#vylejFarbu(double, double, java.awt.Color)}. Správanie tejto
		 * metódy je jej veľmi podobné.
		 * 
		 *  @param bod  súradnice počiatočného bodu
		 *  @param farba objekt určujúci farbu výplne
		 */
		public void vylejFarbu(Poloha bod, Color farba)
		{
			VykonajVObrázku.vylejFarbu(this,
				bod.polohaX(), bod.polohaY(), farba);
			if (právePrekresľujem) return;
			automatickéPrekreslenie();
		}

		/**
		 * Vyleje do zadaného bodu do obrázka farbu (určenú objektom), ktorá
		 * sa odtiaľ rozšíri po okraje tej časti kresby v obrázku, v ktorej
		 * sa zadaný bod nachádza. Pre ďalšie informácie pozri metódu {@link
		 * Plátno#vylejFarbu(double, double, java.awt.Color)}. Správanie tejto
		 * metódy je jej veľmi podobné.
		 * 
		 *  @param bod    súradnice počiatočného bodu
		 *  @param objekt  objekt určujúci farbu výplne
		 */
		public void vylejFarbu(Poloha bod, Farebnosť objekt)
		{
			VykonajVObrázku.vylejFarbu(this,
				bod.polohaX(), bod.polohaY(), objekt.farba());
			if (právePrekresľujem) return;
			automatickéPrekreslenie();
		}

		/* *
		 * Toto je „klon“ metódy {@link #vylejFarbu(double, double,
		 * java.awt.Color)}. Proces vyplnenia sa uskutoční len v prípade, že je
		 * v premennej typu {@link Object} (zadanej ako parameter) uložená
		 * inštancia triedy {@link Farba Farba} alebo {@link Color Color}.
		 * /
		public void vylejFarbu(Poloha bod, Object farba)
		{
			if (farba instanceof Color) farba = new Farba((Color)farba);
			if (farba instanceof Farba) vylejFarbu(bod, (Farba)farba);
		}
		*/

		/**
		 * Vyleje do zadaného bodu do obrázka farbu zadanú prostredníctvom
		 * farebných zložiek, ktorá sa určeného bodu rozšíri po okraje
		 * okolitej kresby. Pre ďalšie informácie pozri metódu {@link
		 * #vylejFarbu(double, double, java.awt.Color)}. Správanie tejto
		 * metódy je odvodené od nej.
		 * 
		 *  @param bod  súradnice počiatočného bodu
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      zložiek
		 *  @see #vylejFarbu(Poloha, java.awt.Color)
		 */
		public Farba vylejFarbu(Poloha bod, int r, int g, int b)
		{
			Farba nováFarba = new Farba(r, g, b);
			vylejFarbu(bod, nováFarba);
			return nováFarba;
		}

		/**
		 * Vyleje do zadaného bodu do obrázka farbu zadanú prostredníctvom
		 * farebných zložiek a úrovne (ne)priehľadnosti, pričom farba sa
		 * z určeného bodu rozšíri k okrajom okolitej kresby. Pre ďalšie
		 * informácie pozri metódu {@link #vylejFarbu(double, double,
		 * java.awt.Color)}. Správanie tejto metódy je odvodené od nej.
		 * 
		 *  @param bod  súradnice počiatočného bodu
		 *  @param r červená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti farby; celé číslo v rozsahu
		 *      0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná farba)
		 *  @return objekt typu {@link Farba Farba} vytvorený podľa zadaných
		 *      parametrov
		 *  @see #vylejFarbu(Poloha, java.awt.Color)
		 */
		public Farba vylejFarbu(Poloha bod, int r, int g, int b, int a)
		{
			Farba nováFarba = new Farba(r, g, b, a);
			vylejFarbu(bod, nováFarba);
			return nováFarba;
		}

		/**
		 * Zadaný robot vyleje na svojej pozícii do obrázka svoju aktuálnu
		 * {@linkplain GRobot#farba() farbu}, ktorá sa odtiaľ rozšíri po
		 * okraje okolitej kresby. Pre ďalšie informácie pozri metódu {@link
		 * #vylejFarbu(double, double, java.awt.Color)}. Správanie tejto
		 * metódy je odvodené od nej.
		 * 
		 *  @param ktorý robot, ktorého poloha a farba sú použité na výplň
		 */
		public void vylejFarbu(GRobot ktorý)
		{ vylejFarbu(ktorý.aktuálneX, ktorý.aktuálneY, ktorý.farbaRobota); }

	// Aktívne filtre

		/**
		 * Pretvorí tento obrázok na svoj farebný negatív.
		 */
		public void negatív() { VykonajVObrázku.negatív(this); }

		/** <a class="alias"></a> Alias pre {@link #negatív() negatív}. */
		public void negativ() { VykonajVObrázku.negatív(this); }


		/**
		 * Zvýši úroveň svetlosti tohto obrázka. Metóda používa rovnaký
		 * spôsob zosvetlenia ako metóda {@link Farba#svetlejšia(double)}.
		 * 
		 *  @param faktor faktor zosvetlenia – hodnota v rozsahu 0.0 – 1.0,
		 *      pričom krajné hodnoty (0.0 a 1.0) nie sú povolené; čím je
		 *      hodnota faktora nižšia, tým je zmena svetlosti výraznejšia
		 *  @see #tmavší(double)
		 */
		public void bledší(double faktor)
		{
			if (null == údajeObrázka) údajeObrázka =
				((DataBufferInt)getRaster().getDataBuffer()).getData();

			for (int j = 0; j < údajeObrázka.length; ++j)
			{
				// int a = (údajeObrázka[j] >> 24) & 0xff;
				if (0 != (údajeObrázka[j] & 0xff000000))
				{
					int r = (údajeObrázka[j] >> 16) & 0xff;
					int g = (údajeObrázka[j] >>  8) & 0xff;
					int b =  údajeObrázka[j]        & 0xff;

					int i = (int)(1.0 / (1.0 - faktor));

					if (r == 0 && g == 0 && b == 0)
					{
						r = g = b = i;
					}
					else
					{

						if (r > 0 && r < i) r = i;
						if (g > 0 && g < i) g = i;
						if (b > 0 && b < i) b = i;

						r /= faktor; if (r > 255) r = 255;
						g /= faktor; if (g > 255) g = 255;
						b /= faktor; if (b > 255) b = 255;
					}

					údajeObrázka[j] = (údajeObrázka[j] & 0xff000000) |
						(r << 16) | (g << 8) | b;
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #bledší(double) bledší}. */
		public void bledsi(double faktor) { bledší(faktor); }

		/** <a class="alias"></a> Alias pre {@link #bledší(double) bledší}. */
		public void svetlejší(double faktor) { bledší(faktor); }

		/** <a class="alias"></a> Alias pre {@link #bledší(double) bledší}. */
		public void svetlejsi(double faktor) { bledší(faktor); }

		/**
		 * Zníži úroveň svetlosti tohto obrázka. Metóda používa rovnaký
		 * spôsob stmavenia ako metóda {@link Farba#tmavšia(double)}.
		 * 
		 *  @param faktor faktor stmavenia – hodnota v rozsahu 0.0 – 1.0,
		 *      pričom krajné hodnoty (0.0 a 1.0) nie sú na použitie vhodné
		 *      (0.0 by stmavila farbu do čiernej a 1.0 by nevykonala žiadnu
		 *      zmenu svetlosti); čím je hodnota faktora nižšia, tým je
		 *      úroveň stmavenia výraznejšia
		 *  @see #bledší(double)
		 */
		public void tmavší(double faktor)
		{
			if (null == údajeObrázka) údajeObrázka =
				((DataBufferInt)getRaster().getDataBuffer()).getData();

			for (int j = 0; j < údajeObrázka.length; ++j)
			{
				// int a = (údajeObrázka[j] >> 24) & 0xff;
				if (0 != (údajeObrázka[j] & 0xff000000))
				{
					int r = (údajeObrázka[j] >> 16) & 0xff;
					int g = (údajeObrázka[j] >>  8) & 0xff;
					int b =  údajeObrázka[j]        & 0xff;

					r *= faktor; if (r < 0) r = 0;
					g *= faktor; if (g < 0) g = 0;
					b *= faktor; if (b < 0) b = 0;

					údajeObrázka[j] = (údajeObrázka[j] & 0xff000000) |
						(r << 16) | (g << 8) | b;
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #tmavší(double) tmavší}. */
		public void tmavsi(double faktor) { tmavší(faktor); }

		/**
		 * Zvýši úroveň svetlosti tohto obrázka. Metóda používa rovnaký
		 * spôsob zosvetlenia ako metóda {@link Farba#svetlejšia()}.
		 * @see #tmavší()
		 */
		public void bledší() { bledší(faktor); }

		/** <a class="alias"></a> Alias pre {@link #bledší() bledší}. */
		public void bledsi() { bledší(faktor); }

		/** <a class="alias"></a> Alias pre {@link #bledší() bledší}. */
		public void svetlejší() { bledší(faktor); }

		/** <a class="alias"></a> Alias pre {@link #bledší() bledší}. */
		public void svetlejsi() { bledší(faktor); }

		/**
		 * Zníži úroveň svetlosti tohto obrázka. Metóda používa rovnaký
		 * spôsob stmavenia ako metóda {@link Farba#tmavšia()}.
		 * @see #bledší()
		 */
		public void tmavší() { tmavší(faktor); }

		/** <a class="alias"></a> Alias pre {@link #tmavší(double) tmavší}. */
		public void tmavsi() { tmavší(faktor); }


		/**
		 * Upraví tento obrázok do odtieňov šedej.
		 */
		public void čiernobiely()
		{
			if (null == údajeObrázka) údajeObrázka =
				((DataBufferInt)getRaster().getDataBuffer()).getData();

			for (int j = 0; j < údajeObrázka.length; ++j)
			{
				// int a = (údajeObrázka[j] >> 24) & 0xff;
				if (0 != (údajeObrázka[j] & 0xff000000))
				{
					int r = (údajeObrázka[j] >> 16) & 0xff;
					int g = (údajeObrázka[j] >>  8) & 0xff;
					int b =  údajeObrázka[j]        & 0xff;

					r = (r + g + b) / 3;

					údajeObrázka[j] = (údajeObrázka[j] & 0xff000000) |
						(r << 16) | (r << 8) | r;
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #čiernobiely() čiernobiely}. */
		public void ciernobiely() { čiernobiely(); }

		/** <a class="alias"></a> Alias pre {@link #čiernobiely() čiernobiely}. */
		public void odtieneŠedej() { čiernobiely(); }

		/** <a class="alias"></a> Alias pre {@link #čiernobiely() čiernobiely}. */
		public void odtieneSedej() { čiernobiely(); }


		/**
		 * Upraví tento obrázok do odtieňov zadanej farby. Monochromatická
		 * zložka, čiže zložka jasu (odtiene šedej), bude násobená farebnými
		 * zložkami zadanej farby. Výsledkom bude obrázok v odtieňoch zadanej
		 * farby. Ak zadáme čiernu farbu, získame čierny obrázok. Ak zadáme
		 * bielu, dostaneme čiernobiely obrázok. Ľubovoľná iná farba zafarbí
		 * obrázok do jej odtieňov.
		 * 
		 *  @param farba farba, do odtieňov ktorej bude obrázok prevedený
		 */
		public void monochromatický(Color farba)
		{
			if (null == údajeObrázka) údajeObrázka =
				((DataBufferInt)getRaster().getDataBuffer()).getData();

			int i = farba.getRGB();
			int R = (i >> 16) & 0xff;
			int G = (i >>  8) & 0xff;
			int B =  i        & 0xff;

			for (int j = 0; j < údajeObrázka.length; ++j)
			{
				// int a = (údajeObrázka[j] >> 24) & 0xff;
				if (0 != (údajeObrázka[j] & 0xff000000))
				{
					int r = (údajeObrázka[j] >> 16) & 0xff;
					int g = (údajeObrázka[j] >>  8) & 0xff;
					int b =  údajeObrázka[j]        & 0xff;

					r = (r + g + b) / 3;
					g = (r * G) / 0xff;
					b = (r * B) / 0xff;
					r = (r * R) / 0xff;

					údajeObrázka[j] = (údajeObrázka[j] & 0xff000000) |
						(r << 16) | (g << 8) | b;
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #monochromatický(java.awt.Color) monochromatický}. */
		public void monochromaticky(Color farba) { monochromatický(farba); }

		/** <a class="alias"></a> Alias pre {@link #monochromatický(java.awt.Color) monochromatický}. */
		public void jednofarebný(Color farba) { monochromatický(farba); }

		/** <a class="alias"></a> Alias pre {@link #monochromatický(java.awt.Color) monochromatický}. */
		public void jednofarebny(Color farba) { monochromatický(farba); }


		/**
		 * Použije na tento obrázok zadaný farebný filter. Obrázok nadobudne
		 * vzhľad, ako keby sme sa na neho pozerali cez sklo zadanej farby.
		 * 
		 *  @param farba farba filtra
		 */
		public void farebnýFilter(Color farba)
		{
			if (null == údajeObrázka) údajeObrázka =
				((DataBufferInt)getRaster().getDataBuffer()).getData();

			int i = farba.getRGB();
			int R = (i >> 16) & 0xff;
			int G = (i >>  8) & 0xff;
			int B =  i        & 0xff;

			for (int j = 0; j < údajeObrázka.length; ++j)
			{
				// int a = (údajeObrázka[j] >> 24) & 0xff;
				if (0 != (údajeObrázka[j] & 0xff000000))
				{
					int r = (údajeObrázka[j] >> 16) & 0xff;
					int g = (údajeObrázka[j] >>  8) & 0xff;
					int b =  údajeObrázka[j]        & 0xff;

					r = (r + g + b) / 3;
					g = (r + G) / 2;
					b = (r + B) / 2;
					r = (r + R) / 2;

					údajeObrázka[j] = (údajeObrázka[j] & 0xff000000) |
						(r << 16) | (g << 8) | b;
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #farebnýFilter(java.awt.Color) farebnýFilter}. */
		public void farebnyFilter(Color farba) { farebnýFilter(farba); }


		/**
		 * Upraví tento obrázok do odtieňov farby zadaného objektu.
		 * Monochromatická zložka, čiže zložka jasu (odtiene šedej), bude
		 * násobená farebnými zložkami farby zadaného objektu. Výsledkom bude
		 * obrázok v odtieňoch jeho farby. Ak má objekt čiernu farbu, získame
		 * čierny obrázok. Ak má objekt bielu farbu, dostaneme čiernobiely
		 * obrázok. Ľubovoľná iná farba objektu zafarbí obrázok do jej
		 * odtieňov.
		 * 
		 *  @param objekt objekt, do odtieňov farby ktorého bude obrázok
		 *      prevedený
		 */
		public void monochromatický(Farebnosť objekt)
		{ monochromatický(objekt.farba()); }

		/** <a class="alias"></a> Alias pre {@link #monochromatický(Farebnosť) monochromatický}. */
		public void monochromaticky(Farebnosť objekt)
		{ monochromatický(objekt.farba()); }

		/** <a class="alias"></a> Alias pre {@link #monochromatický(Farebnosť) monochromatický}. */
		public void jednofarebný(Farebnosť objekt)
		{ monochromatický(objekt.farba()); }

		/** <a class="alias"></a> Alias pre {@link #monochromatický(Farebnosť) monochromatický}. */
		public void jednofarebny(Farebnosť objekt)
		{ monochromatický(objekt.farba()); }


		/**
		 * Použije na tento obrázok farebný filter podľa farby zadaného
		 * objektu. Obrázok nadobudne vzhľad, ako keby sme sa na neho
		 * pozerali cez sklo farby zadaného objektu.
		 * 
		 *  @param objekt objekt určujúci farbu filtra
		 */
		public void farebnýFilter(Farebnosť objekt)
		{ farebnýFilter(objekt.farba()); }

		/** <a class="alias"></a> Alias pre {@link #farebnýFilter(Farebnosť) farebnýFilter}. */
		public void farebnyFilter(Farebnosť objekt)
		{ farebnýFilter(objekt.farba()); }


		/**
		 * Použije na tento obrázok masku vyrobenú zo zadaného obrázka.
		 * Maska musí mať rovnaký rozmer ako obrázok, inak operácia zlyhá.
		 * Maska je vyrobená z kombinácie intenzity farieb a priehľadnosti
		 * jednotlivých bodov zadaného obrázka. Čím je bod masky tmavší, tým
		 * bude viditeľnejší, čím svetlejší, tým menej viditeľný. Jas je
		 * korigovaný aj zložkami priehľadnosti obidvoch bodov, teda ako
		 * pôvodného bodu na obrázku, tak aj bodu prevzatého z masky.
		 * Ak je súčin ich zložiek priehľadnosti rovný nule, tak bude
		 * výsledný bod neviditeľný. Viditeľnosť bodov v ostatných
		 * prípadoch záleží od výsledku výpočtov algoritmu. Napríklad
		 * úplne čierne úplne nepriehľadné body masky neovplyvnia
		 * priehľadnosť bodov na obrázku.
		 * 
		 *  @param maska obrázok, ktorý bude použitý ako maska
		 *  @return {@code valtrue} ak bola operácia úspešná
		 */
		public boolean použiMasku(BufferedImage maska)
		{ return VykonajVObrázku.použiMasku(this, maska); }

		/** <a class="alias"></a> Alias pre {@link #použiMasku(BufferedImage) použiMasku}. */
		public boolean pouziMasku(BufferedImage maska)
		{ return VykonajVObrázku.použiMasku(this, maska); }

		/**
		 * Použije na tento obrázok filter vyrobený zo zložky jasu kresby
		 * zadaného/predloženého obrázka. Zložka priehľadnosti bodov na
		 * obrázku, ktorý poslúži ako predloha pre filter nie je braná do
		 * úvahy. Hodnoty farebných zložiek úplne priehľadných (neviditeľných)
		 * bodov sú nepredvídateľné, preto by mal byť obrázok predlohy filtra
		 * úplne pokrytý nepriehľadnou kresbou. Svetlé/biele body na obrázku
		 * predlohy spôsobia vymazanie bodov na tomto obrázku (nastavenie
		 * hodnôt všetkých ich farebných zložiek a priehľadnosti na nulu).
		 * Tmavé/čierne body na predloženom
		 * obrázku nespôsobia na tomto obrázku žiadnu zmenu priehľadnosti.
		 * (Ostatné odtiene šedej a farebné body vo filtri spôsobia nastavenie
		 * úrovne priehľadnosti bodov obrázka na hodnotu jasu vypočítanú
		 * z priemeru farebných zložiek bodov filtra.)
		 * Obrázok s predlohou musí mať rovnaký rozmer ako tento obrázok, inak
		 * operácia zlyhá.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param kresba obrázok, ktorý bude použitý ako predloha pre filter
		 *  @return {@code valtrue} ak bola operácia úspešná
		 */
		public boolean vymažKresbu(BufferedImage kresba)
		{ return VykonajVObrázku.vymažKresbu(this, kresba); }

		/** <a class="alias"></a> Alias pre {@link #vymažKresbu(BufferedImage) vymažKresbu}. */
		public boolean vymazKresbu(BufferedImage kresba)
		{ return VykonajVObrázku.vymažKresbu(this, kresba); }


		/**
		 * Vyrobí z tohto obrázka do zadaného obrázka masku priehľadnosti.
		 * Zadaný obrázok musí mať rovnakú veľkosť ako tento obrázok, inak
		 * operácia zlyhá. Vyrobená maska bude obsahovať čierne body rôznej
		 * priehľadnosti podľa priehľadnosti bodov pôvodného obrázka. Pôvodný
		 * obsah zadaného obrázka (argumentu {@code nováMaska}) bude
		 * nahradený.
		 * 
		 *  @param nováMaska obrázok, do ktorého bude nová maska vyrobená
		 *     (pôvodný obsah obrázka bude nahradený maskou)
		 *  @return {@code valtrue} ak bola operácia úspešná
		 */
		public boolean vyrobMasku(BufferedImage nováMaska)
		{ return null != VykonajVObrázku.vyrobMasku(this, nováMaska); }

		/**
		 * Vyrobí z tohto obrázka masku priehľadnosti. Metóda vytvorí masku
		 * do nového obrázka (typu {@link BufferedImage BufferedImage}),
		 * ktorý sama automaticky vytvorí a vráti ako svoj výsledok
		 * (návratovú hodnotu). Nová maska bude obsahovať čierne body rôznej
		 * priehľadnosti vychádzajúc z priehľadnosti bodov tohto obrázka.
		 * 
		 *  @return nový obrázok obsahujúci vyrobenú masku
		 */
		public BufferedImage vyrobMasku()
		{ return VykonajVObrázku.vyrobMasku(this, null); }


		/**
		 * Rozmaže grafiku obrázka. Pre priehľadné (neviditeľné) body je
		 * pri procese rozmazania použitá zadaná farba pozadia. Opakovanie
		 * a rozsah majú z vizuálneho hľadiska podobný dopad na výsledný
		 * efekt rozmazania, ale matice lineárneho kruhového rozmazania sú
		 * vygenerované len do úrovne rozsahu 5 (vrátane). Pri zadaní vyššej
		 * hodnoty rozsahu získame rovnaký efekt ako keby sme zadali hodnotu
		 * 5. Ak chceme dosiahnuť vyššiu mieru rozmazania, musíme zvýšiť
		 * počet opakovaní procesu rozmazania (argument opakovanie). Čím
		 * vyššie sú hodnoty opakovania a rozsahu, tým vyššie sú nároky
		 * metódy na výpočtový výkon.
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param rozsah rozsah rozmazania; reálny efekt dosiahneme len
		 *      v rozsahu hodnôt 1 – 5, vyššie čísla sú zaokrúhlené na 5,
		 *      nižšie nespôsobia žiadne rozmazanie
		 *  @param pozadie farba použitá pri procese rozmazania pre
		 *      priehľadné body
		 */
		public void rozmaž(int opakovanie, int rozsah, Color pozadie)
		{
			grafika.translate(-posunX, -posunY);
			VykonajVObrázku.rozmaž(this, grafika, opakovanie,
				rozsah, pozadie);
			grafika.translate(posunX, posunY);
		}

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, int, java.awt.Color) rozmaž}. */
		public void rozmaz(int opakovanie, int rozsah, Color pozadie)
		{ rozmaž(opakovanie, rozsah, pozadie); }

		/**
		 * Rozmaže grafiku obrázka. Dosiahneme rovnaký efekt, ako keby sme
		 * volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (opakovanie, }{@code num1}{@code , pozadie);}
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param pozadie farba použitá pre neviditeľné body
		 */
		public void rozmaž(int opakovanie, Color pozadie)
		{ rozmaž(opakovanie, 1, pozadie); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, java.awt.Color) rozmaž}. */
		public void rozmaz(int opakovanie, Color pozadie)
		{ rozmaž(opakovanie, 1, pozadie); }

		/**
		 * Rozmaže grafiku obrázka. Dosiahneme rovnaký efekt, ako keby sme
		 * volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (}{@code num1}{@code , }{@code num1}{@code
		 * , pozadie);}
		 * 
		 *  @param pozadie farba použitá pre neviditeľné body
		 */
		public void rozmaž(Color pozadie) { rozmaž(1, 1, pozadie); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(java.awt.Color) rozmaž}. */
		public void rozmaz(Color pozadie) { rozmaž(1, 1, pozadie); }


		/**
		 * Rozmaže grafiku obrázka. Pre priehľadné (neviditeľné) body je
		 * pri procese rozmazania použitá zadaná farba pozadia. Opakovanie
		 * a rozsah majú z vizuálneho hľadiska podobný dopad na výsledný
		 * efekt rozmazania, ale matice lineárneho kruhového rozmazania sú
		 * vygenerované len do úrovne rozsahu 5 (vrátane). Pri zadaní vyššej
		 * hodnoty rozsahu získame rovnaký efekt ako keby sme zadali hodnotu
		 * 5. Ak chceme dosiahnuť vyššiu mieru rozmazania, musíme zvýšiť
		 * počet opakovaní procesu rozmazania (argument opakovanie). Čím
		 * vyššie sú hodnoty opakovania a rozsahu, tým vyššie sú nároky
		 * metódy na výpočtový výkon.
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param rozsah rozsah rozmazania; reálny efekt dosiahneme len
		 *      v rozsahu hodnôt 1 – 5, vyššie čísla sú zaokrúhlené na 5,
		 *      nižšie nespôsobia žiadne rozmazanie
		 *  @param pozadie farba použitá pri procese rozmazania pre
		 *      priehľadné body
		 */
		public void rozmaž(int opakovanie, int rozsah, Farebnosť pozadie)
		{
			grafika.translate(-posunX, -posunY);
			VykonajVObrázku.rozmaž(this, grafika, opakovanie,
				rozsah, pozadie.farba());
			grafika.translate(posunX, posunY);
		}

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, int, Farebnosť) rozmaž}. */
		public void rozmaz(int opakovanie, int rozsah, Farebnosť pozadie)
		{ rozmaž(opakovanie, rozsah, pozadie.farba()); }

		/**
		 * Rozmaže grafiku obrázka. Dosiahneme rovnaký efekt, ako keby sme
		 * volali metódu: {@link #rozmaž(int, int, Farebnosť)
		 * rozmaž}{@code (opakovanie, }{@code num1}{@code , pozadie);}
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param pozadie farba použitá pre neviditeľné body
		 */
		public void rozmaž(int opakovanie, Farebnosť pozadie)
		{ rozmaž(opakovanie, 1, pozadie.farba()); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, Farebnosť) rozmaž}. */
		public void rozmaz(int opakovanie, Farebnosť pozadie)
		{ rozmaž(opakovanie, 1, pozadie.farba()); }

		/**
		 * Rozmaže grafiku obrázka. Dosiahneme rovnaký efekt, ako keby sme
		 * volali metódu: {@link #rozmaž(int, int, Farebnosť)
		 * rozmaž}{@code (}{@code num1}{@code , }{@code num1}{@code
		 * , pozadie);}
		 * 
		 *  @param pozadie farba použitá pre neviditeľné body
		 */
		public void rozmaž(Farebnosť pozadie) { rozmaž(1, 1, pozadie.farba()); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(Farebnosť) rozmaž}. */
		public void rozmaz(Farebnosť pozadie) { rozmaž(1, 1, pozadie.farba()); }


		/**
		 * Rozmaže grafiku obrázka. Dosiahneme rovnaký efekt, ako keby sme
		 * volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (opakovanie, rozsah, }{@link Svet Svet}.{@link
		 * Svet#farbaPozadia() farbaPozadia}{@code ());}
		 * 
		 * To znamená, že pre priehľadné (neviditeľné) body je pri procese
		 * rozmazania použitá aktuálna farba pozadia sveta (pozri: {@link
		 * Svet#farbaPozadia(java.awt.Color) Svet.farbaPozadia(farba)}).
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param rozsah rozsah rozmazania
		 */
		public void rozmaž(int opakovanie, int rozsah)
		{ rozmaž(opakovanie, rozsah, farbaPozadia); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, int) rozmaž}. */
		public void rozmaz(int opakovanie, int rozsah)
		{ rozmaž(opakovanie, rozsah, farbaPozadia); }

		/**
		 * Rozmaže grafiku obrázka. Dosiahneme rovnaký efekt, ako keby sme
		 * volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (opakovanie, }{@code num1}{@code , }{@link Svet
		 * Svet}.{@link Svet#farbaPozadia() farbaPozadia}{@code ());}
		 * 
		 * To znamená, že pre priehľadné (neviditeľné) body je pri procese
		 * rozmazania použitá aktuálna farba pozadia sveta (pozri: {@link
		 * Svet#farbaPozadia(java.awt.Color) Svet.farbaPozadia(farba)}).
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 */
		public void rozmaž(int opakovanie)
		{ rozmaž(opakovanie, 1, farbaPozadia); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int) rozmaž}. */
		public void rozmaz(int opakovanie)
		{ rozmaž(opakovanie, 1, farbaPozadia); }

		/**
		 * Rozmaže grafiku obrázka. Dosiahneme rovnaký efekt, ako keby sme
		 * volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (}{@code num1}{@code , }{@code num1}{@code , }{@link
		 * Svet Svet}.{@link Svet#farbaPozadia() farbaPozadia}{@code ());}
		 * 
		 * To znamená, že pre priehľadné (neviditeľné) body je pri procese
		 * rozmazania použitá aktuálna farba pozadia sveta (pozri: {@link
		 * Svet#farbaPozadia(java.awt.Color) Svet.farbaPozadia(farba)}).
		 */
		public void rozmaž() { rozmaž(1, 1, farbaPozadia); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž() rozmaž}. */
		public void rozmaz() { rozmaž(1, 1, farbaPozadia); }


		/**
		 * Rozmaže grafiku obrázka. Dosiahneme rovnaký efekt, ako keby sme
		 * volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (opakovanie, rozsah, }{@code kwdnew}{@code  }{@link
		 * Farba Farba}{@code (bgr, bgg, bgb));}
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param rozsah rozsah rozmazania
		 *  @param bgr červený komponent pozadia
		 *  @param bgg zelený komponent pozadia
		 *  @param bgb modrý komponent pozadia
		 */
		public void rozmaž(int opakovanie, int rozsah,
			int bgr, int bgg, int bgb)
		{ rozmaž(opakovanie, rozsah, new Farba(bgr, bgg, bgb)); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, int, int, int, int) rozmaž}. */
		public void rozmaz(int opakovanie, int rozsah, int bgr, int bgg, int bgb)
		{ rozmaž(opakovanie, rozsah, new Farba(bgr, bgg, bgb)); }

		/**
		 * Rozmaže grafiku obrázka. Dosiahneme rovnaký efekt, ako keby sme
		 * volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (opakovanie, }{@code num1}{@code , }{@code
		 * kwdnew}{@code  }{@link Farba Farba}{@code (bgr, bgg, bgb));}
		 * 
		 *  @param opakovanie počet opakovaní rozmazania
		 *  @param bgr červený komponent pozadia
		 *  @param bgg zelený komponent pozadia
		 *  @param bgb modrý komponent pozadia
		 */
		public void rozmaž(int opakovanie, int bgr, int bgg, int bgb)
		{ rozmaž(opakovanie, 1, new Farba(bgr, bgg, bgb)); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, int, int, int) rozmaž}. */
		public void rozmaz(int opakovanie, int bgr, int bgg, int bgb)
		{ rozmaž(opakovanie, 1, new Farba(bgr, bgg, bgb)); }

		/**
		 * Rozmaže grafiku obrázka. Dosiahneme rovnaký efekt, ako keby sme
		 * volali metódu: {@link #rozmaž(int, int, java.awt.Color)
		 * rozmaž}{@code (}{@code num1}{@code , }{@code num1}{@code , }{@code
		 * kwdnew}{@code  }{@link Farba Farba}{@code (bgr, bgg, bgb));}
		 * 
		 *  @param bgr červený komponent pozadia
		 *  @param bgg zelený komponent pozadia
		 *  @param bgb modrý komponent pozadia
		 */
		public void rozmaž(int bgr, int bgg, int bgb)
		{ rozmaž(1, 1, new Farba(bgr, bgg, bgb)); }

		/** <a class="alias"></a> Alias pre {@link #rozmaž(int, int, int) rozmaž}. */
		public void rozmaz(int bgr, int bgg, int bgb)
		{ rozmaž(1, 1, new Farba(bgr, bgg, bgb)); }


	// Zrkadlenie, rolovanie a pretáčanie

		/**
		 * Prevráti obrázok podľa vodorovnej osi – horná časť obrázka sa
		 * ocitne dole a naopak.
		 * @see #prevráťZvislo()
		 */
		public void prevráťVodorovne()
		{
			if (null == údajeObrázka)
				údajeObrázka = ((DataBufferInt)getRaster().
					getDataBuffer()).getData();

			if (null == údajeOperácie)
				údajeOperácie = new int[údajeObrázka.length];

			System.arraycopy(údajeObrázka, 0,
				údajeOperácie, 0, údajeObrázka.length);

			int index1 = 0, index2 = šírka * (výška - 1);

			for (int i = 0; i < výška; ++i)
			{
				for (int j = 0; j < šírka; ++j)
				{
					údajeObrázka[index1 + j] =
						údajeOperácie[index2 + j];
				}

				index1 += šírka;
				index2 -= šírka;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #prevráťVodorovne() prevráťVodorovne}. */
		public void prevratVodorovne() { prevráťVodorovne(); }

		/**
		 * <a class="alias"></a> Prevráti obrázok podľa vodorovnej osi – horná časť
		 * obrázka sa ocitne dole a naopak. Metóda je zároveň aliasom pre
		 * {@link #prevráťVodorovne() prevráťVodorovne}.
		 * @see #prevráťVertikálne()
		 */
		public void prevráťHorizontálne() { prevráťVodorovne(); }

		/** <a class="alias"></a> Alias pre {@link #prevráťVodorovne() prevráťVodorovne}. */
		public void prevratHorizontalne() { prevráťVodorovne(); }

		/**
		 * Prevráti obrázok podľa zvislej osi – pravá časť obrázka sa ocitne
		 * vľavo a naopak.
		 * @see #prevráťVodorovne()
		 */
		public void prevráťZvislo()
		{
			if (null == údajeObrázka)
				údajeObrázka = ((DataBufferInt)getRaster().
					getDataBuffer()).getData();

			if (null == údajeOperácie)
				údajeOperácie = new int[údajeObrázka.length];

			System.arraycopy(údajeObrázka, 0,
				údajeOperácie, 0, údajeObrázka.length);

			int index1 = 0, index2 = šírka - 1;

			for (int i = 0; i < výška; ++i)
			{
				for (int j = 0; j < šírka; ++j)
				{
					údajeObrázka[index1 + j] =
						údajeOperácie[index2 - j];
				}

				index1 += šírka;
				index2 += šírka;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #prevráťZvislo() prevráťZvislo}. */
		public void prevratZvislo() { prevráťZvislo(); }

		/**
		 * <a class="alias"></a> Prevráti obrázok podľa zvislej osi – pravá časť obrázka
		 * sa ocitne vľavo a naopak. Metóda je zároveň aliasom pre {@link
		 * #prevráťZvislo() prevráťZvislo}.
		 * @see #prevráťHorizontálne()
		 */
		public void prevráťVertikálne() { prevráťZvislo(); }

		/** <a class="alias"></a> Alias pre {@link #prevráťZvislo() prevráťZvislo}. */
		public void prevratVertikalne() { prevráťZvislo(); }


		/**
		 * Posunie obsah obrázka o zadaný počet bodov v horizontálnom a/alebo
		 * vertikálnom smere. Tá časť obrázka, ktorá opustí jeho rozmery, bude
		 * stratená, pričom na protiľahlej strane vznikne prázdna oblasť.
		 * Metóda má využitie napríklad pri posune hracej plochy uloženej
		 * v obrázku, pričom musíme zabezpečiť, aby boli vzniknuté prázdne
		 * časti plochy dokreslené. Ak chceme pretočiť obrázok dookola (t. j.
		 * bez straty obsahu), musíme použiť metódu {@link #pretoč(double,
		 * double) pretoč}.
		 * 
		 *  @param Δx posun v horizontálnom (vodorovnom) smere
		 *  @param Δy posun vo vertikálnom (zvislom) smere
		 */
		public void roluj(double Δx, double Δy)
		{
			int dx = (int)Δx; int dy = -(int)Δy;
			if (dx == 0 && dy == 0) return;

			if (null == údajeObrázka)
				údajeObrázka = ((DataBufferInt)getRaster().
					getDataBuffer()).getData();

			if (dx >= šírka || dx <= -šírka ||
				dy >= výška || dy <= -výška)
			{
				Arrays.fill(údajeObrázka, 0);
				return;
			}

			int spodnáZarážka, vrchnáZarážka,
				zarážkaRiadkov, zarážkaStĺpcov;

			if (dy <= 0)
			{
				spodnáZarážka = 0;
				vrchnáZarážka = šírka * -dy - dx;
				zarážkaRiadkov = výška + dy;

				if (dx <= 0)
				{
					zarážkaStĺpcov = šírka + dx;

					for (int i = 0; i < zarážkaRiadkov; ++i)
					{
						int j = 0;

						for (; j < zarážkaStĺpcov; ++j)
							údajeObrázka[spodnáZarážka + j] =
								údajeObrázka[vrchnáZarážka + j];

						for (; j < šírka; ++j)
							údajeObrázka[spodnáZarážka + j] = 0;

						spodnáZarážka += šírka;
						vrchnáZarážka += šírka;
					}
				}
				else
				{
					zarážkaStĺpcov = dx;

					for (int i = 0; i < zarážkaRiadkov; ++i)
					{
						int j = šírka - 1;

						for (; j >= zarážkaStĺpcov; --j)
							údajeObrázka[spodnáZarážka + j] =
								údajeObrázka[vrchnáZarážka + j];

						for (; j >= 0; --j)
							údajeObrázka[spodnáZarážka + j] = 0;

						spodnáZarážka += šírka;
						vrchnáZarážka += šírka;
					}
				}

				vrchnáZarážka = šírka * výška;

				while (spodnáZarážka < vrchnáZarážka)
				{
					údajeObrázka[spodnáZarážka] = 0;
					++spodnáZarážka;
				}
			}
			else
			{
				spodnáZarážka = -dx + šírka * (výška - 1 - dy);
				vrchnáZarážka = šírka * (výška - 1);
				zarážkaRiadkov = dy;

				if (dx <= 0)
				{
					zarážkaStĺpcov = šírka + dx;

					for (int i = výška - 1; i >= zarážkaRiadkov; --i)
					{
						int j = 0;

						for (; j < zarážkaStĺpcov; ++j)
							údajeObrázka[vrchnáZarážka + j] =
								údajeObrázka[spodnáZarážka + j];

						for (; j < šírka; ++j)
							údajeObrázka[vrchnáZarážka + j] = 0;

						spodnáZarážka -= šírka;
						vrchnáZarážka -= šírka;
					}
				}
				else
				{
					zarážkaStĺpcov = dx;

					for (int i = výška - 1; i >= zarážkaRiadkov; --i)
					{
						int j = šírka - 1;

						for (; j >= zarážkaStĺpcov; --j)
							údajeObrázka[vrchnáZarážka + j] =
								údajeObrázka[spodnáZarážka + j];

						for (; j >= 0; --j)
							údajeObrázka[vrchnáZarážka + j] = 0;

						spodnáZarážka -= šírka;
						vrchnáZarážka -= šírka;
					}
				}

				vrchnáZarážka = (šírka * dy) - 1;

				while (vrchnáZarážka >= 0)
				{
					údajeObrázka[vrchnáZarážka] = 0;
					--vrchnáZarážka;
				}
			}
		}

		/**
		 * Pretočí obsah obrázka o zadaný počet bodov v horizontálnom a/alebo
		 * vertikálnom smere. Tá časť obrázka, ktorá by mala pri pretočení
		 * opustiť jeho rozmery, sa objaví na protiľahlej strane. Pretáčaním
		 * obrázka v ľubovoľnom smere nikdy nestratíme obrazovú informáciu
		 * a spätným posunom dostaneme pôvodný obrázok. Ak z rôznych dôvodov
		 * potrebujeme, aby sa pri pretáčaní obrázka tie časti, ktoré opustia
		 * rozmery obrázka stratili a aby vzniknuté prázdne časti zostali
		 * skutočne prázdne (pripravené na ďalšie kreslenie), musíme použiť
		 * metódu {@link #roluj(double, double) roluj}.
		 * 
		 *  @param Δx posun v horizontálnom (vodorovnom) smere
		 *  @param Δy posun vo vertikálnom (zvislom) smere
		 */
		public void pretoč(double Δx, double Δy)
		{
			int dx = (int)Δx; int dy = -(int)Δy;
			if (dx == 0 && dy == 0) return;

			if (null == údajeObrázka)
				údajeObrázka = ((DataBufferInt)getRaster().
					getDataBuffer()).getData();

			if (null == údajeOperácie)
				údajeOperácie = new int[údajeObrázka.length];

			System.arraycopy(údajeObrázka, 0,
				údajeOperácie, 0, údajeObrázka.length);

			while (dx < 0) dx += šírka;
			while (dx >= šírka) dx -= šírka;

			while (dy < 0) dy += výška;
			while (dy >= výška) dy -= výška;

			int index1 = 0, index2 = šírka * (výška + 1 - dy) - dx;

			for (int i = dy; i > 0; --i)
			{
				for (int j = dx; j > 0; --j)
				{
					údajeObrázka[index1++] =
						údajeOperácie[index2++];
				}

				index2 -= šírka;

				for (int j = šírka - dx; j > 0; --j)
				{
					údajeObrázka[index1++] =
						údajeOperácie[index2++];
				}

				index2 += šírka;
			}

			index2 = šírka - dx;

			for (int i = výška - dy; i > 0; --i)
			{
				for (int j = dx; j > 0; --j)
				{
					údajeObrázka[index1++] =
						údajeOperácie[index2++];
				}

				index2 -= šírka;

				for (int j = šírka - dx; j > 0; --j)
				{
					údajeObrázka[index1++] =
						údajeOperácie[index2++];
				}

				index2 += šírka;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pretoč(double, double) pretoč}. */
		public void pretoc(double Δx, double Δy) { pretoč(Δx, Δy); }


	// Farba bodu

		/**
		 * Zistí farbu bodu (jedného pixela) obrázka na zadaných súradniciach
		 * v súradnicovom priestore robota. Funguje podobne ako {@link
		 * Plátno#farbaBodu(double, double) Plátno.farbaBodu(x, y)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @return farba bodu (objekt typu {@link Farba Farba}) na zadanej
		 *      pozícii alebo inštancia {@link GRobot#žiadna žiadna}, ak sú
		 *      zadané súradnice mimo rozmerov obrázka
		 */
		public Farba farbaBodu(double x, double y)
		{
			int x0 = (int)((šírka / 2.0) + x);
			int y0 = (int)((výška / 2.0) - y);
			if (x0 < 0 || x0 >= šírka ||
				y0 < 0 || y0 >= výška) return žiadna;

			/*
			int farba = getRGB(x0, y0);

			int alpha = (farba >> 24) & 0xff;
			int red   = (farba >> 16) & 0xff;
			int green = (farba >>  8) & 0xff;
			int blue  =  farba        & 0xff;

			return new Farba(red, green, blue, alpha);
			*/
			return new Farba(getRGB(x0, y0), true);
		}

		// /**
		//  * Zistí farbu bodu (jedného pixela) obrázka na zadaných súradniciach
		//  * v súradnicovom priestore robota. Funguje podobne ako {@link
		//  * #farbaBodu(double, double) farbaBodu(x, y)}, ale namiesto
		//  * jednotlivých súradníc je zadaný objekt {@link Point2D Point2D},
		//  * ktorého súradnice sú použité na určenie polohy.
		//  * 
		//  *  @param bod súradnice vyšetrovaného bodu
		//  *  @return farba bodu (objekt typu {@link Farba Farba}) na pozícii
		//  *      zadaného bodu alebo inštancia {@link GRobot#žiadna žiadna}, ak
		//  *      sú súradnice zadaného bodu mimo rozmerov obrázka
		//  */
		// public Farba farbaBodu(Point2D bod)
		// {
		// 	int x0 = (int)((šírka / 2.0) + bod.getX());
		// 	int y0 = (int)((výška / 2.0) - bod.getY());
		// 	if (x0 < 0 || x0 >= šírka ||
		// 		y0 < 0 || y0 >= výška) return žiadna;
		// 
		// 	return new Farba(getRGB(x0, y0), true);
		// }

		/**
		 * Zistí farbu bodu (jedného pixela) obrázka na súradniciach
		 * určených polohou objektu. Funguje podobne ako {@link
		 * #farbaBodu(double, double) farbaBodu(x, y)}, ale namiesto
		 * jednotlivých súradníc sa spracuje poloha zadaného objekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt, ktorého poloha určuje súradnice vyšetrovaného
		 *      bodu
		 *  @return farba bodu (objekt typu {@link Farba Farba}) na pozícii
		 *      objektu alebo inštancia {@link GRobot#žiadna žiadna}, ak je
		 *      objekt mimo rozmerov obrázka
		 */
		public Farba farbaBodu(Poloha objekt)
		{
			// return farbaBodu(objekt.polohaX(), objekt.polohaY());
			int x0 = (int)((šírka / 2.0) + objekt.polohaX());
			int y0 = (int)((výška / 2.0) - objekt.polohaY());
			if (x0 < 0 || x0 >= šírka ||
				y0 < 0 || y0 >= výška) return žiadna;

			return new Farba(getRGB(x0, y0), true);
		}

		/**
		 * Zistí, či sa farba bodu (jedného pixela) obrázka na zadaných
		 * súradniciach v súradnicovom priestore robota zhoduje so zadanou
		 * farbou. Funguje podobne ako {@link Plátno#farbaBodu(double, double,
		 * java.awt.Color) Plátno.farbaBodu(x, y, farba)}.
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @param farba farba, ktorú chceme porovnať s farbou bodu na zadanej
		 *      pozícii
		 *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		 *      obrázka a farba bodu na zadaných súradniciach sa zhoduje so
		 *      zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(double x, double y, Color farba)
		{
			int x0 = (int)((šírka / 2.0) + x);
			int y0 = (int)((výška / 2.0) - y);
			if (x0 < 0 || x0 >= šírka ||
				y0 < 0 || y0 >= výška) return false;

			return (farba.getRGB() & 0xffffffff) ==
				(getRGB(x0, y0) & 0xffffffff);
		}

		// /**
		//  * Zistí, či sa farba bodu (jedného pixela) obrázka na zadaných
		//  * súradniciach v súradnicovom priestore robota zhoduje so zadanou
		//  * farbou. Funguje podobne ako {@link #farbaBodu(double, double,
		//  * java.awt.Color) farbaBodu(x, y, farba)}, ale namiesto jednotlivých
		//  * súradníc je zadaný objekt {@link Point2D Point2D}, ktorého
		//  * súradnice sú použité na určenie polohy.
		//  * 
		//  *  @param bod súradnice vyšetrovaného bodu
		//  *  @param farba farba, ktorú chceme porovnať s farbou bodu na zadanej
		//  *      pozícii
		//  *  @return {@code valtrue} ak sú súradnice bodu v rámci rozmerov
		//  *      obrázka a farba bodu na jeho súradniciach sa zhoduje so
		//  *      zadanou farbou, inak {@code valfalse}
		//  */
		// public boolean farbaBodu(Point2D bod, Color farba)
		// {
		// 	int x0 = (int)((šírka / 2.0) + bod.getX());
		// 	int y0 = (int)((výška / 2.0) - bod.getY());
		// 	if (x0 < 0 || x0 >= šírka ||
		// 		y0 < 0 || y0 >= výška) return false;
		// 
		// 	return (farba.getRGB() & 0xffffffff) ==
		// 		(getRGB(x0, y0) & 0xffffffff);
		// }

		/**
		 * Zistí, či sa farba bodu (jedného pixela) obrázka na súradniciach
		 * zadaného objektu v súradnicovom priestore robota zhoduje so zadanou
		 * farbou. Funguje podobne ako {@link #farbaBodu(double, double,
		 * java.awt.Color) farbaBodu(x, y, farba)}, ale namiesto jednotlivých
		 * súradníc je zadaný objekt, ktorého poloha určuje vyšetrované
		 * súradnice.
		 * 
		 *  @param objekt objekt, ktorého poloha určuje súradnice vyšetrovaného
		 *      bodu
		 *  @param farba farba, ktorú chceme porovnať s farbou bodu na pozícii
		 *      objektu
		 *  @return {@code valtrue} ak je poloha objektu v rámci rozmerov
		 *      obrázka a farba bodu na jeho súradniciach sa zhoduje so
		 *      zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(Poloha objekt, Color farba)
		{
			// return farbaBodu(objekt.polohaX(), objekt.polohaY(), farba);
			int x0 = (int)((šírka / 2.0) + objekt.polohaX());
			int y0 = (int)((výška / 2.0) - objekt.polohaY());
			if (x0 < 0 || x0 >= šírka ||
				y0 < 0 || y0 >= výška) return false;

			return (farba.getRGB() & 0xffffffff) ==
				(getRGB(x0, y0) & 0xffffffff);
		}


		/**
		 * Zistí, či sa farba bodu (jedného pixela) obrázka na zadaných
		 * súradniciach v súradnicovom priestore robota zhoduje s farbou
		 * zadaného objektu. Funguje podobne ako {@link
		 * Plátno#farbaBodu(double, double, java.awt.Color)
		 * Plátno.farbaBodu(x, y, farba)}.
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @param objekt objekt, ktorého farbu chceme porovnať s farbou bodu
		 *      na zadanej pozícii
		 *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		 *      obrázka a farba bodu na zadaných súradniciach sa zhoduje
		 *      s farbou zadaného objektu (musia sa zhodovať všetky farebné
		 *      zložky aj úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(double x, double y, Farebnosť objekt)
		{
			int x0 = (int)((šírka / 2.0) + x);
			int y0 = (int)((výška / 2.0) - y);
			if (x0 < 0 || x0 >= šírka ||
				y0 < 0 || y0 >= výška) return false;

			return (objekt.farba().getRGB() & 0xffffffff) ==
				(getRGB(x0, y0) & 0xffffffff);
		}

		// /**
		//  * Zistí, či sa farba bodu (jedného pixela) obrázka na zadaných
		//  * súradniciach v súradnicovom priestore robota zhoduje s farbou
		//  * zadaného objektu. Funguje podobne ako {@link #farbaBodu(double,
		//  * double, java.awt.Color) farbaBodu(x, y, farba)}, ale namiesto
		//  * jednotlivých súradníc je zadaný objekt {@link Point2D Point2D},
		//  * ktorého súradnice sú použité na určenie polohy.
		//  * 
		//  *  @param bod súradnice vyšetrovaného bodu
		//  *  @param objekt objekt, ktorého farbu chceme porovnať s farbou bodu
		//  *      na zadanej pozícii
		//  *  @return {@code valtrue} ak sú súradnice bodu v rámci rozmerov
		//  *      obrázka a farba bodu na jeho súradniciach sa zhoduje s farbou,
		//  *      zadaného objektu inak {@code valfalse}
		//  */
		// public boolean farbaBodu(Point2D bod, Farebnosť objekt)
		// {
		// 	int x0 = (int)((šírka / 2.0) + bod.getX());
		// 	int y0 = (int)((výška / 2.0) - bod.getY());
		// 	if (x0 < 0 || x0 >= šírka ||
		// 		y0 < 0 || y0 >= výška) return false;
		// 
		// 	return (objekt.farba().getRGB() & 0xffffffff) ==
		// 		(getRGB(x0, y0) & 0xffffffff);
		// }

		/**
		 * Zistí, či sa farba bodu (jedného pixela) obrázka na súradniciach
		 * prvého zadaného objektu (v súradnicovom priestore robota) zhoduje
		 * s farbou druhého zadaného objektu. Funguje podobne ako
		 * {@link #farbaBodu(double, double, java.awt.Color)
		 * farbaBodu(x, y, farba)}, ale namiesto jednotlivých súradníc je
		 * spracovaná poloha objektu.
		 * 
		 *  @param objekt objekt, ktorého poloha určuje súradnice vyšetrovaného
		 *      bodu
		 *  @param farebnosť objekt, ktorého farbu chceme porovnať s farbou bodu
		 *      na pozícii objektu
		 *  @return {@code valtrue} ak je poloha objektu v rámci rozmerov
		 *      obrázka a farba bodu na jeho súradniciach sa zhoduje s farbou
		 *      zadaného objektu (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(Poloha objekt, Farebnosť farebnosť)
		{
			// return farbaBodu(objekt.polohaX(), objekt.polohaY(),
			// 	farebnosť.farba());
			int x0 = (int)((šírka / 2.0) + objekt.polohaX());
			int y0 = (int)((výška / 2.0) - objekt.polohaY());
			if (x0 < 0 || x0 >= šírka ||
				y0 < 0 || y0 >= výška) return false;

			return (farebnosť.farba().getRGB() & 0xffffffff) ==
				(getRGB(x0, y0) & 0xffffffff);
		}


		/**
		 * Zistí, či sa farba bodu (jedného pixela) obrázka na zadaných
		 * súradniciach v súradnicovom priestore robota zhoduje s farbou
		 * zadanou prostredníctvom farebných zložiek.
		 * (Úroveň priehľadnosti je nastavená na hodnotu {@code num255},
		 * čiže na úplne nepriehľadnú farbu.)
		 * Funguje podobne ako {@link Plátno#farbaBodu(double, double,
		 * java.awt.Color) Plátno.farbaBodu(x, y, farba)}, ale farba je
		 * určená prostredníctvom farebných zložiek.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		 *      obrázka a farba bodu na zadaných súradniciach sa zhoduje
		 *      so zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(double x, double y, int r, int g, int b)
		{
			int x0 = (int)((šírka / 2.0) + x);
			int y0 = (int)((výška / 2.0) - y);
			if (x0 < 0 || x0 >= šírka ||
				y0 < 0 || y0 >= výška) return false;

			r &= 0xff; g &= 0xff; b &= 0xff;
			return (0xff000000 | (r << 16) | (g << 8) | b) ==
				(getRGB(x0, y0) & 0xffffffff);
		}

		/**
		 * Zistí, či sa farba bodu (jedného pixela) obrázka na zadaných
		 * súradniciach v súradnicovom priestore robota zhoduje s farbou
		 * zadanou prostredníctvom farebných zložiek a úrovne priehľadnosti.
		 * Funguje podobne ako {@link Plátno#farbaBodu(double, double,
		 * java.awt.Color) Plátno.farbaBodu(x, y, farba)}, ale farba je
		 * určená prostredníctvom farebných zložiek a úrovne priehľadnosti.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param x x-ová súradnica vyšetrovaného bodu
		 *  @param y y-ová súradnica vyšetrovaného bodu
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na zadanej pozícii
		 *  @param a úroveň priehľadnosti farby, ktorú chceme porovnať
		 *      s farbou bodu na zadanej pozícii
		 *  @return {@code valtrue} ak sú zadané súradnice v rámci rozmerov
		 *      obrázka a farba bodu na zadaných súradniciach sa zhoduje
		 *      so zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(double x, double y, int r, int g, int b, int a)
		{
			int x0 = (int)((šírka / 2.0) + x);
			int y0 = (int)((výška / 2.0) - y);
			if (x0 < 0 || x0 >= šírka ||
				y0 < 0 || y0 >= výška) return false;

			r &= 0xff; g &= 0xff; b &= 0xff; a &= 0xff;
			return ((a << 24) | (r << 16) | (g << 8) | b) ==
				(getRGB(x0, y0) & 0xffffffff);
		}


		/**
		 * Zistí, či sa farba bodu (jedného pixela) obrázka na súradniciach
		 * zadaného objektu (v súradnicovom priestore robota) zhoduje
		 * s farbou zadanou prostredníctvom farebných zložiek a úrovne.
		 * (Úroveň priehľadnosti je nastavená na hodnotu {@code num255},
		 * čiže na úplne nepriehľadnú farbu.)
		 * Funguje podobne ako {@link #farbaBodu(double,
		 * double, java.awt.Color) farbaBodu(x, y, farba)}, ale namiesto
		 * jednotlivých súradníc je spracovaná poloha objektu a farba je
		 * určená prostredníctvom farebných zložiek.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt, ktorého poloha určuje súradnice vyšetrovaného
		 *      bodu
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @return {@code valtrue} ak je poloha objektu v rámci rozmerov
		 *      obrázka a farba bodu na jeho súradniciach sa zhoduje so
		 *      zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(Poloha objekt, int r, int g, int b)
		{
			int x0 = (int)((šírka / 2.0) + objekt.polohaX());
			int y0 = (int)((výška / 2.0) - objekt.polohaY());
			if (x0 < 0 || x0 >= šírka ||
				y0 < 0 || y0 >= výška) return false;

			r &= 0xff; g &= 0xff; b &= 0xff;
			return (0xff000000 | (r << 16) | (g << 8) | b) ==
				(getRGB(x0, y0) & 0xffffffff);
		}

		/**
		 * Zistí, či sa farba bodu (jedného pixela) obrázka na súradniciach
		 * zadaného objektu (v súradnicovom priestore robota) zhoduje
		 * s farbou zadanou prostredníctvom farebných zložiek a úrovne
		 * priehľadnosti. Funguje podobne ako {@link #farbaBodu(double,
		 * double, java.awt.Color) farbaBodu(x, y, farba)}, ale namiesto
		 * jednotlivých súradníc je spracovaná poloha objektu a farba je
		 * určená prostredníctvom farebných zložiek a úrovne priehľadnosti.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt, ktorého poloha určuje súradnice vyšetrovaného
		 *      bodu
		 *  @param r červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param g červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param b červená zložka farby, ktorú chceme porovnať s farbou
		 *      bodu na pozícii objektu
		 *  @param a úroveň priehľadnosti farby, ktorú chceme porovnať
		 *      s farbou bodu na pozícii objektu
		 *  @return {@code valtrue} ak je poloha objektu v rámci rozmerov
		 *      obrázka a farba bodu na jeho súradniciach sa zhoduje so
		 *      zadanou farbou (musia sa zhodovať všetky farebné zložky aj
		 *      úroveň priehľadnosti), inak {@code valfalse}
		 */
		public boolean farbaBodu(Poloha objekt, int r, int g, int b, int a)
		{
			int x0 = (int)((šírka / 2.0) + objekt.polohaX());
			int y0 = (int)((výška / 2.0) - objekt.polohaY());
			if (x0 < 0 || x0 >= šírka ||
				y0 < 0 || y0 >= výška) return false;

			r &= 0xff; g &= 0xff; b &= 0xff; a &= 0xff;
			return ((a << 24) | (r << 16) | (g << 8) | b) ==
				(getRGB(x0, y0) & 0xffffffff);
		}


	// Priehľadnosť

		/**
		 * <a class="getter"></a> Zistí aktuálnu úroveň priehľadnosti tohto obrázka.
		 * 
		 *  @return aktuálna úroveň priehľadnosti tohto obrázka
		 *  @see #priehľadnosť(double)
		 *  @see #upravPriehľadnosť(double)
		 */
		public double priehľadnosť() { return priehľadnosť; }

		/** <a class="alias"></a> Alias pre {@link #priehľadnosť() priehľadnosť}. */
		public double priehladnost() { return priehľadnosť; }

		/**
		 * <a class="setter"></a> Nastaví novú úroveň (ne)priehľadnosti tohto obrázka,
		 * pričom jednotlivé body na obrázku môžu mať svoju vlastnú úroveň
		 * priehľadnosti. Úroveň 0.0 znamená, že obrázok nebude pri kreslení
		 * zobrazený. Úroveň 1.0 znamená, že jednotlivé body obrázka budú
		 * zobrazené s ich vlastnou úrovňou priehľadnosti – nepriehľadné
		 * body budú plne viditeľné. Úroveň priehľadnosti obrázka nemá vplyv
		 * na jeho {@linkplain #ulož(String) uloženie do súboru}, iba na
		 * jeho zobrazenie.
		 * 
		 *  @param priehľadnosť nová úroveň priehľadnosti (0.0 – 1.0)
		 *  @see #priehľadnosť()
		 *  @see #upravPriehľadnosť(double)
		 */
		public void priehľadnosť(double priehľadnosť)
		{
			this.priehľadnosť = (float)priehľadnosť;
		}

		/** <a class="alias"></a> Alias pre {@link #priehľadnosť(double) priehľadnosť}. */
		public void priehladnost(double priehľadnosť)
		{ priehľadnosť(priehľadnosť); }

		/**
		 * Skopíruje úroveň (ne)priehľadnosti zo zadaného objektu.
		 * 
		 *  @param objekt objekt určujúci novú úroveň priehľadnosti
		 *  @see #priehľadnosť()
		 *  @see #upravPriehľadnosť(double)
		 */
		public void priehľadnosť(Priehľadnosť objekt)
		{ this.priehľadnosť = (float)objekt.priehľadnosť(); }

		/** <a class="alias"></a> Alias pre {@link #priehľadnosť(Priehľadnosť) priehľadnosť}. */
		public void priehladnost(Priehľadnosť objekt)
		{ priehľadnosť(objekt); }

		/**
		 * Upraví úroveň (ne)priehľadnosti obráza. Pre viac informácií
		 * o priehľadnosti pozri {@link #priehľadnosť(double) priehľadnosť}.
		 * 
		 *  @param zmena hodnota, ktorou bude násobená aktuálna hodnota
		 *      priehľadnosti; príklady: 0.5 – priehľadnosť bude znížená
		 *      o polovicu, 2.0 – úroveň priehľadnosti bude zdvojnásobená
		 *  @see #priehľadnosť(double)
		 *  @see #priehľadnosť()
		 */
		public void upravPriehľadnosť(double zmena)
		{
			if (0 == priehľadnosť) priehľadnosť = 0.1f;
			else priehľadnosť *= (float)zmena;
		}

		/** <a class="alias"></a> Alias pre {@link #upravPriehľadnosť(double) upravPriehľadnosť}. */
		public void upravPriehladnost(double zmena)
		{ upravPriehľadnosť(zmena); }

	// Uloženie do súboru

		/**
		 * Uloží obrázok do súboru. Prípona súboru musí byť {@code .gif},
		 * {@code .png} alebo {@code .jpg} (resp. {@code .jpeg}). Ak súbor
		 * jestvuje, tak vznikne výnimka oznamujúca, že súbor so zadaným
		 * menom už jestvuje. Ak chcete súbor prepísať, použite metódu
		 * {@link #ulož(String, boolean)} s druhým parametrom rovným
		 * {@code valtrue}. Odporúčame pozrieť si opis uvedenej metódy,
		 * pretože obsahuje užitočné príklady použitia a informácie v jej
		 * opise sú platné aj pre túto metódu.
		 * 
		 *  @param súbor     názov súboru s požadovanou príponou
		 *  @throws GRobotException  ak súbor jestvuje alebo bol zadaný názov
		 *      súboru s neplatnou príponou
		 */
		public void ulož(String súbor) { ulož(súbor, false); }

		/** <a class="alias"></a> Alias pre {@link #ulož(String) ulož}. */
		public void uloz(String súbor) { ulož(súbor); }

		/**
		 * Uloží obsah obrázka do súboru. Prípona súboru musí byť
		 * {@code .gif}, {@code .png} alebo {@code .jpg}
		 * (resp. {@code .jpeg}).
		 * 
		 * <P>Formát GIF je síce jedným z najstarších z pohľadu histórie
		 * grafických formátov, do knižnice však bolo jeho ukladanie pridané
		 * až vo verzii 1.75. Vtedy bola do knižnice pridaná aj možnosť
		 * animovania obrázkov. Možnosť animácie súvisí s formátom GIF.
		 * Ak je obrázok animovaný, tak táto metóda automaticky vytvorí
		 * animovanú verziu GIFu. Implicitne pri tom použije niektoré
		 * jestvujúce vlastnosti/nastavenia/stavy knižnice, napríklad
		 * {@linkplain Svet#farbaPozadia(Color) farba pozadia} je zmiešaná
		 * so všetkými polopriehľadnými bodmi, pretože formát GIF nepodporuje
		 * čiastočnú priehľadnosť bodov a aktuálna hodnota {@linkplain
		 * #opakovaniaAnimácie(int) počtu opakovaní animácie} zároveň určí
		 * počet opakovaní uložený a používaný v tomto súborovom formáte,
		 * pričom pri ukladaní má hodnota {@code num0} rovnaký význam ako
		 * akákoľvek záporná hodnota, čiže nekonečný počet opakovaní (na
		 * rozdiel od významu použitého v knižnici, kedy hodnota {@code num0}
		 * znamená koniec animácie a záporné hodnoty znamenajú nekonečný počet
		 * opakovaní).
		 * 
		 * <P><b>Príklad:</b>
		 * 
		 * <P>Formát GIF je historickým formátom s určitými (najmä farebnými)
		 * obmedzeniami, ale stále nachádza svoje použitie. Nasledujúci
		 * príklad ukazuje ako takýto súbor vytvoriť s použitím knižnice
		 * grafického robota, ale na plnohodnotné (plnofarebné) uloženie
		 * snímok animovaného obrázka odporúčame použiť sekvenciu súborov vo
		 * formáte PNG, ktorú táto metóda vytvorí automaticky, ak nájde
		 * v názve súboru zástupný znak <code>*</code> – pozri ďalší
		 * príklad. (Znak <code>*</code> bol zvolený úmyselne, pretože na
		 * nami používaných operačných systémoch ide o neplatný znak v rámci
		 * názvov súborov.)
		 * 
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} VytvorAnimovanýGIF {@code kwdextends} {@link GRobot GRobot}
			{
				{@code comm// Inštancia obrázka, do ktorej budú ukladané snímky animácie lopty}
				{@code comm// a ktorá výslednú animáciu uloží do formátu GIF.}
				{@code kwdprivate} {@link Obrázok Obrázok} animovanýObrázok;

				{@code comm// Zoznam modrých farieb použitých na tieňovanie lopty.}
				{@code kwdprivate} {@code kwdfinal} {@link Zoznam Zoznam}&lt;{@link Farba Farba}&gt; farby = {@code kwdnew} {@link Zoznam#GRobot.Zoznam(Object[]) Zoznam}&lt;{@link Farba Farba}&gt;(
					{@code kwdnew} {@link Farba#GRobot.Farba(int, int, int) Farba}( {@code num0},  {@code num0}, {@code num224}), {@code kwdnew} {@link Farba#GRobot.Farba(int, int, int) Farba}({@code num16}, {@code num16}, {@code num232}),
					{@code kwdnew} {@link Farba#GRobot.Farba(int, int, int) Farba}({@code num32}, {@code num32}, {@code num240}), {@code kwdnew} {@link Farba#GRobot.Farba(int, int, int) Farba}({@code num48}, {@code num48}, {@code num248}),
					{@code kwdnew} {@link Farba#GRobot.Farba(int, int, int) Farba}({@code num64}, {@code num64}, {@code num255}));

				{@code comm// Táto metóda je schopná nakresliť loptu vrátane jej prípadnej}
				{@code comm// deformácie.}
				{@code kwdprivate} {@code typevoid} kresliLoptu({@code typedouble} sploštenieX, {@code typedouble} sploštenieY)
				{
					{@code comm// Vždy pred kreslením lopty sa aktuálny obsah animovaného obrázka}
					{@code comm// vymaže:}
					animovanýObrázok.{@link Obrázok#vymaž() vymaž}();

					{@code comm// Najprv spracujeme tieňovanie lopty. Na to treba obmedziť oblasť}
					{@code comm// kreslenia do obrázka na požadovaný tvar, čo zariadia nasledujúce}
					{@code comm// tri príkazy:}
					{@link GRobot#nekresliTvary() nekresliTvary}();
					{@link GRobot#kresliDo(Shape) kresliDo}({@link GRobot#elipsa(double, double) elipsa}({@code num40} + sploštenieX, {@code num40} + sploštenieY));
					{@link GRobot#kresliTvary() kresliTvary}();

					{@code comm// Nasledujúci blok kreslí tieňovanie lopty:}
					{@code typedouble} menej = {@code num0};
					{@link GRobot#skoč(double, double) skoč}(-{@code num12} + sploštenieX, {@code num12} + sploštenieY);
					{@code kwdfor} ({@link Farba Farba} farba : farby)
					{
						{@link GRobot#farba(Color) farba}(farba);
						{@link GRobot#kruh(double) kruh}({@code num60} + menej);
						menej -= {@code num12};
					}
					{@link GRobot#skoč(double, double) skoč}({@code num12} &#45; sploštenieX, -{@code num12} &#45; sploštenieY);

					{@code comm// Zrušíme obmedzenie kreslenia do oblasti a rozmažeme kresbu:}
					animovanýObrázok.{@link Obrázok#rozmaž(int) rozmaž}({@code num12});
					{@link GRobot#kresliVšade() kresliVšade}();

					{@code comm// Na záver prekreslíme obrysy lopty, aby sme trochu zamaskovali}
					{@code comm// nie celkom esteticky rozmazané okraje:}
					{@link GRobot#farba(Color) farba}(farby.{@link Zoznam#prvý() prvý}());
					{@link GRobot#elipsa(double, double) elipsa}({@code num40} + sploštenieX, {@code num40} + sploštenieY);

					{@link GRobot#farba(Color) farba}(farby.{@link Zoznam#daj(int) daj}({@code num1}));
					{@link GRobot#elipsa(double, double) elipsa}({@code num40} + sploštenieX &#45; {@code num1.5}, {@code num40} + sploštenieY &#45; {@code num1.5});
					{@link GRobot#elipsa(double, double) elipsa}({@code num40} + sploštenieX &#45; {@code num3.0}, {@code num40} + sploštenieY &#45; {@code num3.0});
				}

				{@code comm// Odľahčená verzia metódy kresliaca nedeformovanú loptu.}
				{@code kwdprivate} {@code typevoid} kresliLoptu()
				{
					kresliLoptu({@code num0}, {@code num0});
				}

				{@code comm// Súkromný konštruktor.}
				{@code kwdprivate} VytvorAnimovanýGIF()
				{
					{@code comm// Rozmer plátna bude o málo väčší oproti rozmeru obrázka:}
					{@code valsuper}({@code num140}, {@code num240});

					{@code comm// Vypneme automatické prekresľovanie}
					{@link Svet Svet}.{@link Svet#nekresli() nekresli}();

					{@code comm// Vytvoríme nový obrázok, do ktorého bude ukladaná animácia;}
					{@code comm// určíme, že trvanie zobrazenia každej snímky bude 40 ms}
					{@code comm// a vykonáme nevyhnutné nastavenia robota, čo zahŕňa aj}
					{@code comm// presmerovanie jeho kreslenia do animovaného obrázka:}
					animovanýObrázok = {@code kwdnew} {@link Obrázok#GRobot.Obrázok(int, int) Obrázok}({@code num120}, {@code num220});
					animovanýObrázok.{@link Obrázok#trvanie(double) trvanie}({@code num0.040});
					{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num3});
					{@link GRobot#kresliDoObrázka(Obrázok) kresliDoObrázka}(animovanýObrázok);
					{@link GRobot#zdvihniPero() zdvihniPero}();
					{@link GRobot#skry() skry}();

					{@code comm// Posunieme robota dozadu (nižšie na obrazovke) a začneme animáciu:}
					{@link GRobot#dozadu(double) dozadu}({@code num52});

					{@code comm// Prvá (päťsnímková) fáza animácie deformuje loptu pri dopade:}
					{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt;= {@code num4}; ++i)
					{
						kresliLoptu({@code num2.0} * i, -{@code num2.0} * i);
						{@link GRobot#dozadu(double) dozadu}({@code num2.0});
						animovanýObrázok.{@link Obrázok#pridajSnímku() pridajSnímku}();
					}

					{@code comm// Pri návrate deformovanej lopty do pôvodného tvaru jednu snímku}
					{@code comm// preskočíme…}
					{@link GRobot#dopredu(double) dopredu}({@code num2.0});

					{@code comm// …a animujeme už len štyri fázy:}
					{@code kwdfor} ({@code typeint} i = {@code num3}; i &gt;= {@code num0}; --i)
					{
						kresliLoptu({@code num2.0} * i, -{@code num2.0} * i);
						{@link GRobot#dopredu(double) dopredu}({@code num2.0});
						animovanýObrázok.{@link Obrázok#pridajSnímku() pridajSnímku}();
					}

					{@code comm// Ďalšia fáza je výskok lopty do výšky:}
					{@code kwdfor} ({@code typeint} i = {@code num14}; i &gt;= {@code num0}; --i)
					{
						kresliLoptu();
						{@link GRobot#dopredu(double) dopredu}({@code num1.0} * i);
						animovanýObrázok.{@link Obrázok#pridajSnímku() pridajSnímku}();
					}

					{@code comm// A posledná fáza je jej návrat na zem:}
					{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt;= {@code num14}; ++i)
					{
						kresliLoptu();
						{@link GRobot#dozadu(double) dozadu}({@code num1.0} * i);
						animovanýObrázok.{@link Obrázok#pridajSnímku() pridajSnímku}();
					}

					{@code comm// Vrátime robota domov, obnovíme mu kreslenie na plátno}
					{@code comm// a uložíme a spustíme animáciu:}
					{@link GRobot#domov() domov}();
					{@link GRobot#kresliNaPodlahu() kresliNaPodlahu}();
					animovanýObrázok.{@link Obrázok#ulož(String) ulož}({@code srg"lopta.gif"}, {@code valtrue});
					animovanýObrázok.{@link Obrázok#spusti() spusti}();

					{@code comm// Spustíme časovač:}
					{@link Svet Svet}.{@link Svet#spustiČasovač(double) spustiČasovač}({@code num0.020});
				}

				{@code comm// Reakcia na časovač – pravidelne prekresľuje animovaný obrázok, ktorého}
				{@code comm// animácia je vykonávaná automaticky (vnútornými mechanizmami sveta).}
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#tik() tik}()
				{
					{@code kwdif} ({@link Svet Svet}.{@link Svet#neboloPrekreslené() neboloPrekreslené}())
					{
						{@link Plátno podlaha}.{@link Plátno#vymažGrafiku() vymažGrafiku}();
						{@link GRobot#obrázok(Image) obrázok}(animovanýObrázok);
						{@link Svet Svet}.{@link Svet#prekresli() prekresli}();
					}
				}

				{@code comm// Hlavná metóda.}
				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}... args)
				{
					{@code comm// Skrytie sveta (okna aplikácie):}
					{@link Svet Svet}.{@link Svet#skry() skry}();

					{@code comm// Vytvorenie anonymnej inštancie tejto triedy (konštruktor triedy}
					{@code comm// odvodenej od robota vždy zabezpečí vytvorenie aplikácie):}
					{@code kwdnew} VytvorAnimovanýGIF();

					{@code comm// Automatické nastavenie veľkosti a polohy okna sveta}
					{@code comm// (t. j. aplikácie) a jeho zobrazenie:}
					{@link Svet Svet}.{@link Svet#zbaľ() zbaľ}();
					{@link Svet Svet}.{@link Svet#vystreď() vystreď}();
					{@link Svet Svet}.{@link Svet#zobraz() zobraz}();
				}
			}
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * <image>lopta.gif</image>Výsledný obrázok – <a target="_blank"
		 * href="resources/lopta.gif">lopta.gif</a>
		 * 
		 * <P><b>Príklad:</b>
		 * 
		 * <P>Sekvenciu súborov vo formáte PNG vytvoríte, ak namiesto názvu
		 * súboru zadáte šablónu v nasledujúcom tvare:
		 * 
		 * <P>    <i>«prefix»</i><code>*</code>[<i>«ľubovoľné znaky»</i><code>*</code>]<i>«postfix»</i><code>.png</code>
		 * 
		 * <P>Príklady platných šablón a ukážky názvov prvých dvoch
		 * a niekoľkých ďalších náhodne zvolených súborov snímok v animovanej
		 * sekvencii (ak by animácia mala potrebný rozsah, čo najmä
		 * v poslednom prípade hraničí s reálnosťou):
		 * 
		 * <P>    <code>srdce*.png</code> – <code>srdce1.png</code>,
		 * <code>srdce2.png</code>… <code>srdce10.png</code>…
		 * <P>    <code>lopta-**.png</code> – <code>lopta-01.png</code>,
		 * <code>lopta-02.png</code>… <code>lopta-10.png</code>…
		 * <code>lopta-102.png</code>…
		 * <P>    <code>_algoritmus-****_.png</code> –
		 * <code>_algoritmus-0001_.png</code>,
		 * <code>_algoritmus-0002_.png</code>…
		 * <code>_algoritmus-0010_.png</code>…
		 * <code>_algoritmus-0102_.png</code>…
		 * <code>_algoritmus-1024_.png</code>…
		 * <code>_algoritmus-22800_.png</code>…
		 * <P>    <code>Sekvencia_*2345*.PNG</code> –
		 * <code>Sekvencia_000001.PNG</code>,
		 * <code>Sekvencia_000002.PNG</code>…
		 * <code>Sekvencia_000010.PNG</code>…
		 * <code>Sekvencia_000102.PNG</code>…
		 * <code>Sekvencia_001024.PNG</code>…
		 * <code>Sekvencia_022800.PNG</code>…
		 * <code>Sekvencia_10000000.PNG</code>…
		 * 
		 * <P>Na príkladoch je vidieť, že v šablóne je podstatný výskyt
		 * prvého a posledného znaku <code>*</code>, pričom môže ísť aj
		 * o ten istý znak (ak je jediný). Prípadné znaky medzi nimi sú
		 * z pohľadu obsahu ignorované a do úvahy je vzatý len ich celkový
		 * počet, ktorý prispeje k určeniu počtu cifier číslovania v názvoch
		 * súborov snímok animácie.
		 * 
		 * <P><b>Pozor!</b> Ak sa týmto spôsobom pokúsite uložiť obrázok, ktorý
		 * nemá definovanú ani jednu snímku animácie, tak táto metóda uloží
		 * jediný súbor s poradovým číslom nula a ak je tento súbor nájdený
		 * metódou {@link #čítaj(String) čítaj(súbor)} pri pokuse o čítanie
		 * sekvencie súborov so zhodnou šablónou, tak ho prečíta ako neanimovaný
		 * obrázok a už sa nepokúša hľadať ďalšie súbory vyhovujúce kritériám
		 * šablóny názvov súborov animovanej sekvencie.
		 * 
		 * <P>Podobne funguje komunikácia pri určovaní výsledného počtu snímok
		 * ak je druhý parameter tejto metódy ({@code prepísať}) rovný
		 * {@code valtrue} a na pevnom disku jestvuje sekvencia s vyšším
		 * alebo nulovým počtom snímok, tak pri zápise táto metóda vymaže
		 * súbor s poradovým číslom nula a/alebo súbor s najbližším vyšším
		 * poradovým číslom po skončení aktuálnej sekvencie. Tým je zaručené,
		 * že metóda {@link #čítaj(String) čítaj(súbor)} prečíta rovnaký počet
		 * snímok aký má aktuálna sekvencia.
		 * 
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} VytvorSekvenciuPNG {@code kwdextends} {@link GRobot GRobot}
			{
				{@code comm// Tieto konštanty určia rozmery indikátora stavu zobrazeného}
				{@code comm// a aktualizovaného na obrazovke počas tvorby a zápisu animácie {@code kwddo}}
				{@code comm// sekvencie PNG súborov (v skutočnosti ide o polovičné hodnoty):}
				{@code kwdprivate} {@code kwdfinal} {@code kwdstatic} {@code typedouble} výškaIndikátora = {@code num20.0};
				{@code kwdprivate} {@code kwdfinal} {@code kwdstatic} {@code typedouble} šírkaIndikátora = {@code num160.0};

				{@code comm// Táto konštanta určuje požadovaný počet snímok animácie (ak nie je podiel}
				{@code comm// 360.0 / početSnímok celé číslo, tak sa môže skutočný počet zvýšiť}
				{@code comm// o jednu snímku):}
				{@code kwdprivate} {@code kwdfinal} {@code kwdstatic} {@code typeint} početSnímok = {@code num250};

				{@code comm// Inštancia obrázka, do ktorej budú ukladané snímky vytváranej animácie}
				{@code comm// a ktorá ju uloží do seknvencie PNG súborov:}
				{@code kwdprivate} {@link Obrázok Obrázok} animovanýObrázok;


				{@code comm// Kreslenie indikátora priebehu.}
				{@code kwdprivate} {@code typevoid} kresliIndikátor({@code typedouble} hotovo)
				{
					{@code comm// Prepočítame percentuálnu hodnotu na počet pixelov:}
					hotovo *= šírkaIndikátora;

					{@code comm// Nastavíme hrúbku čiary tvarov indikátora:}
					{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num3.0});

					{@code comm// Nakreslenie šedej výplne tej časti indikátora, ktorá reprezentuje}
					{@code comm// nedokončenú časť úlohy:}
					{@link farba farba}({@link šedá šedá});
					{@link GRobot#vyplňObdĺžnik(double, double) vyplňObdĺžnik}(šírkaIndikátora, výškaIndikátora);

					{@code comm// Nakreslenie čierneho obrysu rovnakej časti indikátora:}
					{@link farba farba}({@link čierna čierna});
					{@link GRobot#kresliObdĺžnik(double, double) kresliObdĺžnik}(šírkaIndikátora, výškaIndikátora);

					{@code comm// Presunutie robota na správne miesto tak, aby bola „dokončená časť“}
					{@code comm// indikátora kreslená presne od ľavého okraja celého indikátora:}
					{@link GRobot#skoč(double, double) skoč}(hotovo &#45; šírkaIndikátora, {@code num0});

					{@code comm// Nakreslenie zelenej výplne tej časti indikátora, ktorá reprezentuje}
					{@code comm// dokončenú časť úlohy:}
					{@link farba farba}({@link zelená zelená});
					{@link GRobot#vyplňObdĺžnik(double, double) vyplňObdĺžnik}(hotovo, výškaIndikátora);

					{@code comm// Nakreslenie čierneho obrysu rovnakej časti indikátora:}
					{@link farba farba}({@link čierna čierna});
					kresliObdĺžnik(hotovo, výškaIndikátora);
				}

				{@code comm// Metóda slúžiaca na vytvorenie animácie. Prijíma počet bodov, cez ktoré}
				{@code comm// má prechádzať animovaná krivka a požadovaný počet snímok (na túto}
				{@code comm// hodnotu máme zároveň definovanú konštantu; do tejto metódy ju posielame,}
				{@code comm// aby bola univerzálnejšia – vystrihnuteľná a použiteľná v inej}
				{@code comm// aplikácii).}
				{@code kwdprivate} {@code typevoid} vytvorAnimáciu({@code typeint} početBodov, {@code typeint} početSnímok)
				{
					{@code comm// Pole bodov, cez ktoré prechádza animovaná krivka:}
					{@link Bod Bod}[] čiara = {@code kwdnew} {@link Bod Bod}[početBodov];

					{@code comm// Uloženie prvého bodu do poľa (zámerne je umiestnený mimo plátna,}
					{@code comm// aby nebolo vidno začiatok krivky – pôsobilo by to rušivo):}
					{@link GRobot#skočNa(double, double) skočNa}({@code num0}, -{@link Svet Svet}.{@link Svet#výška() výška}() &#45; {@code num10});
					čiara[{@code num0}] = {@link poloha poloha}();

					{@code comm// Pridanie požadovaného počtu náhodných bodov}
					{@code comm// (okrem prvého a posledného):}
					{@code kwdfor} ({@code typeint} i = {@code num1}; i &lt; početBodov &#45; {@code num1}; ++i)
					{
						{@link GRobot#náhodnáPoloha() náhodnáPoloha}();
						čiara[i] = {@link poloha poloha}();
					}

					{@code comm// Uloženie posledného bodu do poľa (tiež je umiestnený mimo plátna,}
					{@code comm// aby nebolo vidno koniec krivky):}
					{@link GRobot#skočNa(double, double) skočNa}({@code num0}, {@link Svet Svet}.{@link Svet#výška() výška}() + {@code num10});
					čiara[početBodov &#45; {@code num1}] = {@link poloha poloha}();

					{@code comm// Pole farieb použitých na nakreslenie krivky:}
					{@link Farba Farba}[] farby = {@code kwdnew} {@link Farba Farba}[početBodov];

					{@code comm// Stanovenie začiatočnej a koncovej farby krivky:}
					{@link Farba Farba} prvá = červená;
					{@link Farba Farba} posledná = žltá;

					{@code comm// Vypočítanie farebného prechodu medzi začiatočnou a koncovou farbou}
					{@code comm// s použitím lineárnej interpolácie na jednotlivé farebné zložky}
					{@code comm// (vznikne tým lineárny farebný gradient):}
					{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; početBodov; ++i)
						farby[i] = {@code kwdnew} {@link Farba Farba}(
							({@code typeint}){@link Svet Svet}.{@link Svet#lineárnaInterpolácia(double, double, double) lineárnaInterpolácia}(
								prvá.{@link Farba#červená() červená}(), posledná.{@link Farba#červená() červená}(),
								({@code typedouble})i / ({@code typedouble})početBodov),
							({@code typeint}){@link Svet Svet}.{@link Svet#lineárnaInterpolácia(double, double, double) lineárnaInterpolácia}(
								prvá.{@link Farba#zelená() zelená}(), posledná.{@link Farba#zelená() zelená}(),
								({@code typedouble})i / ({@code typedouble})početBodov),
							({@code typeint}){@link Svet Svet}.{@link Svet#lineárnaInterpolácia(double, double, double) lineárnaInterpolácia}(
								prvá.{@link Farba#modrá() modrá}(), posledná.{@link Farba#modrá() modrá}(),
								({@code typedouble})i / ({@code typedouble})početBodov));

					{@code comm// Vypočítanie uhla, ktorý bude slúžiť ako prírastok riadiaceho uhla}
					{@code comm// animácie. Riadiaci uhol bude nadobúdať hodnoty medzi nulou}
					{@code comm// a tristošesťdesiat stupňami a tento meniaci sa uhol bude postupne}
					{@code comm// určovať počiatočné pootočenie robota kresliaceho krivku v rámci}
					{@code comm// jednotlivých snímok. Okrem tohto parametra sa na animovaných}
					{@code comm// snímkach nemení nič. Zvyšok algoritmu kreslenia krivky je úplne}
					{@code comm// rovnaký – prejsť všetkými bodmi, ktoré boli náhodne zvolené vyššie.}
					{@code typedouble} prírastok = {@code num360.0} / početSnímok;

					{@code comm// Výroba jednotlivých snímok animácie:}
					{@code kwdfor} ({@code typedouble} uhol = {@code num0.0}; uhol &lt; {@code num360.0}; uhol += prírastok)
					{
						{@code comm// Vymazanie aktuálnej snímky:}
						animovanýObrázok.{@link Obrázok#vymaž() vymaž}();

						{@code comm// Zahájenie niekoľkých cyklov kreslenia krivky, počas ktorých}
						{@code comm// bude rozmazávaná a opätovne prekresľovaná:}
						{@code kwdfor} ({@code typeint} j = {@code num0}; j &lt; {@code num10}; ++j)
						{
							{@code comm// Presmerujeme kreslenie robota do animovaného obrázka:}
							{@link GRobot#kresliDoObrázka(Obrázok) kresliDoObrázka}(animovanýObrázok);

							{@code comm// Nastavíme hrúbku kreslenej čiary:}
							{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num5.0} / ({@code typedouble})(j + {@code num1}));

							{@code comm// Skočíme na začiatok krivky:}
							{@link GRobot#skočNa(double, double) skočNa}(čiara[{@code num0}]);
							{@link farba farba}(farby[{@code num0}]);
							{@link GRobot#smer(double) smer}(uhol);

							{@code comm// Ak na snímke jestvuje kresba krivky (ak toto nie je prvá}
							{@code comm// snímka), tak ju rozmažeme:}
							{@code kwdif} ({@code num0} != j) animovanýObrázok.{@link Obrázok#rozmaž(int, Color) rozmaž}({@code num10}, {@link čierna čierna});

							{@code comm// Nakreslíme farebnú krivku (štruktúra try-catch je}
							{@code comm// potrebná, lebo metóda choďNaPoOblúku môže zlyhať; my však}
							{@code comm// jej prípadné zlyhanie ignorujeme):}
							{@code kwdfor} ({@code typeint} i = {@code num1}; i &lt; početBodov; ++i)
								{@code kwdtry}
								{
									{@link farba farba}(farby[i]);
									{@link GRobot#choďNaPoOblúku(double, double) choďNaPoOblúku}(čiara[i]);
								}
								{@code kwdcatch} ({@link Exception Exception} e)
								{
									{@code comm// (Prípadné chyby ignorujeme…)}
								}

							{@code comm// Vrátime robota domov, obnovíme mu kreslenie na plátno}
							{@code comm// podlahy:}
							{@link GRobot#domov() domov}();
							{@link GRobot#kresliNaPodlahu() kresliNaPodlahu}();

							{@code comm// Prekreslíme indikátor:}
							kresliIndikátor(({@code num0.8} * (uhol +
								((prírastok * ({@code typedouble})(j + {@code num1})) / {@code num10.0}))) / {@code num360.0});

							{@code comm// A tiež svet (aby sa zmena indikátora prejavila):}
							{@link Svet Svet}.{@link Svet#prekresli() prekresli}();
						}

						{@code comm// Tu prekreslíme snímku viac ráz cez seba. Keďže obsahuje mnoho}
						{@code comm// polopriehľadných bodov, má to význam. Výsledkom bude}
						{@code comm// zvýraznenie poloriehľadných bodov, ktoré vznikli pri rozmazaní.}
						{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num2}; ++i)
							animovanýObrázok.{@link Obrázok#kresli(Image) kresli}(animovanýObrázok);

						{@code comm// Pridáme snímku do animovaného obrázka:}
						animovanýObrázok.{@link Obrázok#pridajSnímku() pridajSnímku}();
					}
				}

				{@code comm// Súkromný konštruktor.}
				{@code kwdprivate} VytvorSekvenciuPNG()
				{
					{@code comm// Upravíme rozmer plátna (ktorý zároveň určí rozmer obrázka):}
					{@code valsuper}({@code num640}, {@code num480});

					{@code comm// Skryjeme robota:}
					{@link GRobot#skry() skry}();

					{@code comm// Vypneme automatické prekresľovanie:}
					{@link Svet Svet}.{@link Svet#nekresli() nekresli}();

					{@code comm// Automatické nastavenie veľkosti a polohy okna sveta}
					{@code comm// (t. j. aplikácie) a jeho zobrazenie:}
					{@link Svet Svet}.{@link Svet#zbaľ() zbaľ}();
					{@link Svet Svet}.{@link Svet#vystreď() vystreď}();

					{@code comm// Vytvoríme nový obrázok, do ktorého bude ukladaná animácia:}
					animovanýObrázok = {@code kwdnew} {@link Obrázok Obrázok}({@link Svet Svet}.{@link Svet#šírka() šírka}(), {@link Svet Svet}.{@link Svet#výška() výška}());

					{@code comm// Určíme, že trvanie zobrazenia každej snímky bude 40 ms:}
					animovanýObrázok.{@link Obrázok#trvanie(double) trvanie}({@code num0.040});

					{@code comm// Nakreslíme počiatočný stav indikátora (prázdny):}
					kresliIndikátor({@code num0.0});

					{@code comm// Prekreslíme svet, aby sa indikátor zobrazil používateľovi:}
					{@link Svet Svet}.{@link Svet#prekresli() prekresli}();

					{@code comm// Spustíme časomieru, pretože sme zvedaví ako dlho bude trvať}
					{@code comm// generovanie animácie:}
					{@link Svet Svet}.{@link Svet#spustiČasomieru() spustiČasomieru}();

					{@code comm// Spustíme výrobu animácie:}
					vytvorAnimáciu({@code num50}, početSnímok);

					{@code comm// Zastavíme časomieru a necháme výsledok vypísať na konzolu}
					{@code comm// (výpis sa zobrazí v okne terminálu BlueJa):}
					{@code typedouble} čas = {@link Svet Svet}.{@link Svet#zastavČasomieru() zastavČasomieru}();
					{@link System System}.out.{@link java.io.PrintStream#println(String) println}({@code srg"Tvorba animácie trvala: "} +
						{@link Math Math}.{@link Math#round(double) round}(čas / {@code num60}) + {@code srg" min "} + {@link GRobot#F(double, int) F}(čas % {@code num60}, {@code num2}) + {@code srg" s"});

					{@code comm// Opäť spustíme časomieru, lebo sme zvedaví ako dlho bude trvať}
					{@code comm// ukladanie PNG sekvencie:}
					{@link Svet Svet}.{@link Svet#spustiČasomieru() spustiČasomieru}();

					{@code comm// Vytvoríme priečinok, do ktorého bude sekvencia ukladaná:}
					{@link Súbor Súbor}.{@link Súbor#novýPriečinok(String) novýPriečinok}({@code srg"sekvencia"});

					{@code comm// Uložíme sekvenciu obrázkov podľa šablóny (šablóna obsahuje názov}
					{@code comm// podpriečinka „sekvencia“):}
					animovanýObrázok.{@link Obrázok#ulož(String) ulož}({@code srg"sekvencia/nahodne-ciary-***.png"}, {@code valtrue});

					{@code comm// Opäť zastavíme časomieru a vypíšeme výsledok (tiež na konzolu):}
					čas = {@link Svet Svet}.{@link Svet#zastavČasomieru() zastavČasomieru}();
					{@link System System}.out.{@link java.io.PrintStream#println(String) println}({@code srg"Vytváranie sekvencie súborov trvalo: "} +
						{@link Math Math}.{@link Math#round(double) round}(čas / {@code num60}) + {@code srg" min "} + {@link GRobot#F(double, int) F}(čas % {@code num60}, {@code num2}) + {@code srg" s"});

					{@code comm// Možno je to pre niekoho zbytočné, ale nakoniec nakreslíme}
					{@code comm// indikátor v úplne dokončenom stave (ak by náhodou zopár}
					{@code comm// nasledujúcich príkazov trvalo dlhšie):}
					{@link Plátno podlaha}.{@link Plátno#vymažGrafiku() vymažGrafiku}();
					kresliIndikátor({@code num1.0});
					{@link Svet Svet}.{@link Svet#prekresli() prekresli}();

					{@code comm// Vrátime robota domov, aby bola animácia kreslená korektne:}
					{@link GRobot#domov() domov}();

					{@code comm// A spustíme animáciu aj časovač:}
					animovanýObrázok.{@link Obrázok#spusti() spusti}();
					{@link Svet Svet}.{@link Svet#spustiČasovač(double) spustiČasovač}({@code num0.040});

					{@code comm// Na záver nastavíme čiernu farbu pozadia:}
					{@link Svet Svet}.{@link Svet#farbaPozadia(Color) farbaPozadia}({@link čierna čierna});
				}

				{@code comm// Táto reakcia je automaticky spúšťaná počas zápisu (alebo čítania)}
				{@code comm// animovanej PNG sekvencie. Používame ju na aktualizovanie informácie}
				{@code comm// o stave zápisu zobrazenej na obrazovke pre používateľa.}
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#sekvencia(int, String, String, long, long) sekvencia}({@code typeint} kódSpracovania, {@link String String} zdroj,
					{@link String String} cieľ, {@code typeint} stav, {@code typeint} celkovo)
				{
					{@code comm// Pred každým kreslení indikátora vymažeme grafiku podlahy}
					{@code comm// a vrátime robota domov:}
					{@link Plátno podlaha}.{@link Plátno#vymažGrafiku() vymažGrafiku}();
					{@link GRobot#domov() domov}();

					{@code comm// Vypočítame percento dokončenia s tým, že 80 % bolo vykonaných}
					{@code comm// pri tvorbe animácie, takže teraz zobrazujeme už len priebeh zvyšných}
					{@code comm// 20 %:}
					kresliIndikátor({@code num0.8} + (({@code num0.2} * ({@code typedouble})stav) / ({@code typedouble})celkovo));

					{@code comm// Prekreslíme obrazovku:}
					{@link Svet Svet}.{@link Svet#prekresli() prekresli}();
				}

				{@code comm// Reakcia na časovač – pravidelne prekresľuje animovaný obrázok, ktorého}
				{@code comm// animácia je vykonávaná automaticky (vnútornými mechanizmami sveta).}
				{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#tik() tik}()
				{
					{@code kwdif} ({@link Svet Svet}.{@link Svet#neboloPrekreslené() neboloPrekreslené}())
					{
						{@link Plátno podlaha}.{@link Plátno#vymažGrafiku() vymažGrafiku}();
						{@link GRobot#obrázok(Image) obrázok}(animovanýObrázok);
						{@link Svet Svet}.{@link Svet#prekresli() prekresli}();
					}
				}

				{@code comm// Hlavná metóda.}
				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}... args)
				{
					{@code comm// Vytvorenie anonymnej inštancie tejto triedy (konštruktor triedy}
					{@code comm// odvodenej od robota vždy zabezpečí vytvorenie aplikácie):}
					{@code kwdnew} VytvorSekvenciuPNG();
				}
			}
			</pre>
		 * 
		 * <P><b>Opis priebehu a výsledku:</b>
		 * 
		 * <P>Počas tvorby animácie bude v okne sveta aktualizovaný grafický
		 * ukazovateľ stavu činnosti:
		 * 
		 * <image>priebeh-vytvarania-sekvencie.png</image>Grafický
		 * ukazovateľ stavu činnosti
		 * 
		 * <P>Kód spracovania reakcie {@link GRobot#sekvencia(int, String,
		 * String, long, long) sekvencia} sme v príklade nepoužili. V tomto
		 * prípade mal hodnotu konštanty {@link GRobot#ZÁPIS_PNG_SEKVENCIE
		 * ZÁPIS_PNG_SEKVENCIE}. (V prípade ukladania animáce do formátu GIF
		 * je hodnota rovná hodnote konštanty
		 * {@link GRobot#ZÁPIS_GIF_ANIMÁCIE ZÁPIS_GIF_ANIMÁCIE}.)
		 * 
		 * <P>Podľa nami nameraných hodnôt trvalo vytváranie sekvencie od
		 * štyroch do šesť a pol minúty. Po skončení fázy generovania (80 %
		 * ukazovateľa) pokračuje aplikácia fázou ukladania sekvencie
		 * do súboru (zvyšných 20 % ukazovateľa). Podľa nami nameraných hodnôt
		 * trvalo ukladanie sekvencie asi minútu a štyridsať sekúnd
		 * (s rozptylom desať sekúnd).
		 * 
		 * <P>Výsledkom vykonania tohto príkladu bude sekvencia súborov vo
		 * formáte PNG vytvorená na disku v priečinku <code>sekvencie</code>.
		 * Prvý súbor bude mať názov <code>nahodne-ciary-001.png</code>
		 * a posledný <code>nahodne-ciary-251.png</code>.
		 * 
		 * <P>Po dokončení bude v okne aplikácie spustená vytvorená animácia.
		 * 
		 * <table style="margin-left: auto; margin-right: auto;"><tr>
		 * <td><image>sekvencia-png-1.gif</image></td>
		 * <td><image>sekvencia-png-2.gif</image></td>
		 * </tr><tr><td colspan="2" style="text-align: center;"><small>Ukážky
		 * možného vzhľadu vytvorenej animáce – výsledok každého generovania
		 * je unikátny <small>(plátno ukážok je úmyselne
		 * zmenšené)</small></small></td></tr></table>
		 * 
		 * <P>Na 32-bitových operačných systémoch sa môže stať, že aplikácia
		 * nebude mať dostatok pamäte na vykonanie. V takom prípade skúste
		 * cez príkazový riadok operačného systému spustiť aplikáciu
		 * nasledujúcim príkazom potvrdeným v priečinku s preloženou
		 * aplikáciou:
		 * 
		 * <pre CLASS="example">
			java -Xmx1g VytvorSekvenciuPNG
			</pre>
		 * 
		 * <P> 
		 * 
		 *  @param súbor     názov súboru s požadovanou príponou
		 *  @param prepísať  ak je {@code valtrue}, prípadný jestvujúci
		 *      súbor bude prepísaný, inak sa správa rovnako ako metóda
		 *      {@link #ulož(String)}
		 *  @throws GRobotException  ak súbor jestvuje a parameter prepísať
		 *      je {@code valfalse} alebo ak bol zadaný názov súboru
		 *      s neplatnou príponou
		 */
		public void ulož(String súbor, boolean prepísať)
		{
			if (!snímky.isEmpty())
			{
				snímka = overIndexSnímky(snímka);
				uložGrafikuSnímky(snímka);
			}

			int prvýIndex = súbor.indexOf('*');

			if (-1 != prvýIndex)
			{
				String prípona = súbor.substring(súbor.lastIndexOf('.') + 1);

				if (!prípona.toLowerCase().equals("png")/* &&
					!prípona.toLowerCase().equals("jpg") &&
					!prípona.toLowerCase().equals("jpeg")*/)
					throw new GRobotException("Šablóna „" + súbor +
						"“ nie je použiteľná.", "invalidImageTemplate", súbor);

				int poslednýIndex = 1 + súbor.lastIndexOf('*');
				String prefix = súbor.substring(0, prvýIndex);
				String postfix = súbor.substring(poslednýIndex);
				String formát = "%0" + (poslednýIndex - prvýIndex) + "d";

				int n = snímky.size();
				File uložiťDo = null;
				String menoSúboru = null;

				if (!prepísať)
				{
					if (0 == n)
					{
						menoSúboru = prefix + String.format(
							Locale.ENGLISH, formát, 0) + postfix;
						uložiťDo = new File(menoSúboru);

						if (uložiťDo.exists())
							throw new GRobotException("Obrázok „" +
								menoSúboru + "“ už jestvuje.",
								"imageAlreadyExists", menoSúboru);
					}
					else
					{
						for (int i = 0; i <= n + 1; ++i)
						{
							menoSúboru = prefix + String.format(
								Locale.ENGLISH, formát, i) + postfix;
							uložiťDo = new File(menoSúboru);

							if (uložiťDo.exists())
								throw new GRobotException("Obrázok „" +
									menoSúboru + "“ už jestvuje.",
									"imageAlreadyExists", menoSúboru);
						}
					}
				}

				if (0 == n)
				{
					// Jediný súbor PNG:
					menoSúboru = prefix + String.format(
						Locale.ENGLISH, formát, 0) + postfix;
					uložiťDo = new File(menoSúboru);

					try
					{
						ImageIO.write(this, prípona, uložiťDo);

						if (null != počúvadlo)
							synchronized (zámokUdalostí)
							{
								počúvadlo.sekvencia(ZÁPIS_PNG_SEKVENCIE,
									null, menoSúboru, 0, 0);
							}

						// if (null != hlavnýRobot)
						// 	synchronized (zámokUdalostí)
						// 	{
						// 		hlavnýRobot.sekvencia(true, menoSúboru);
						// 	}

						synchronized (zámokUdalostí)
						{
							for (GRobot počúvajúci : počúvajúciSúbory)
							{
								počúvajúci.sekvencia(ZÁPIS_PNG_SEKVENCIE,
									null, menoSúboru, 0, 0);
							}
						}
					}
					catch (IOException e) { vypíšChybovéHlásenia(e, true); }
				}
				else
				{
					menoSúboru = prefix + String.format(
						Locale.ENGLISH, formát, 0) + postfix;
					uložiťDo = new File(menoSúboru);
					if (uložiťDo.exists()) uložiťDo.delete();

					menoSúboru = prefix + String.format(
						Locale.ENGLISH, formát, n + 1) + postfix;
					uložiťDo = new File(menoSúboru);
					if (uložiťDo.exists()) uložiťDo.delete();

					// Skutočná sekvencia súborov PNG:
					for (int i = 0; i < n; ++i)
					{
						Snímka snímka = snímky.get(i);

						menoSúboru = prefix + String.format(
							Locale.ENGLISH, formát, i + 1) + postfix;
						uložiťDo = new File(menoSúboru);

						try
						{
							ImageIO.write(snímka, prípona, uložiťDo);

							if (null != počúvadlo)
								synchronized (zámokUdalostí)
								{
									počúvadlo.sekvencia(ZÁPIS_PNG_SEKVENCIE,
										null, menoSúboru, i + 1, n);
								}

							// if (null != hlavnýRobot)
							// 	synchronized (zámokUdalostí)
							// 	{
							// 		hlavnýRobot.sekvencia(true, menoSúboru);
							// 	}

							synchronized (zámokUdalostí)
							{
								for (GRobot počúvajúci : počúvajúciSúbory)
								{
									počúvajúci.sekvencia(ZÁPIS_PNG_SEKVENCIE,
										null, menoSúboru, i + 1, n);
								}
							}
						}
						catch (IOException e) { vypíšChybovéHlásenia(e, true); }
					}
				}
			}
			else
			{
				File uložiťDo = new File(súbor);

				if (!prepísať && uložiťDo.exists())
					throw new GRobotException("Obrázok „" + súbor +
						"“ už jestvuje.", "imageAlreadyExists", súbor);

				String prípona = súbor.substring(súbor.lastIndexOf('.') + 1);

				if (prípona.toLowerCase().equals("png"))
				{
					// Súbory png:
					try { ImageIO.write(this, prípona, uložiťDo); }
					catch (IOException e) { vypíšChybovéHlásenia(e, true); }
				}
				else if (prípona.toLowerCase().equals("jpg") ||
					prípona.toLowerCase().equals("jpeg"))
				{
					// Pre jpeg musíme zmeniť farebný model z ARGB na RGB
					// Pozri: http://archives.java.sun.com/cgi-bin/wa?A2=ind0404&L=java2d-interest&D=0&P=2727

					WritableRaster raster = getRaster();
					WritableRaster novýRaster = raster.createWritableChild(
						0, 0, šírka, výška, 0, 0, new int[] {0, 1, 2});

					DirectColorModel farebnýModel =
						(DirectColorModel)getColorModel();

					DirectColorModel novýFarebnýModel =
						new DirectColorModel(farebnýModel.getPixelSize(),
						farebnýModel.getRedMask(),
						farebnýModel.getGreenMask(),
						farebnýModel.getBlueMask());

					BufferedImage rgbBuffer = new BufferedImage(
						novýFarebnýModel, novýRaster, false, null);

					try { ImageIO.write(rgbBuffer, prípona, uložiťDo); }
					catch (IOException e) { vypíšChybovéHlásenia(e, true); }
				}
				else if (prípona.toLowerCase().equals("gif"))
				{
					AnimatedGifEncoder age = new AnimatedGifEncoder();
					age.start(súbor);

					if (0 >= opakuj)
						age.setRepeat(0);
					else if (1 != opakuj)
						age.setRepeat(opakuj);

					int n = snímky.size();

					if (0 == n)
					{
						age.setDelay(0);
						SnímkaGIFu snímkaGIFu = new SnímkaGIFu(this);

						if (null != snímkaGIFu.transparentná)
							age.setTransparent(snímkaGIFu.transparentná);

						age.addFrame(snímkaGIFu);
					}
					else
					{
						for (int i = 0; i < n; ++i)
						{
							Snímka snímka = snímky.get(i);
							age.setDelay(snímka.trvanie);
							SnímkaGIFu snímkaGIFu = new SnímkaGIFu(snímka);

							if (null != snímkaGIFu.transparentná)
								age.setTransparent(snímkaGIFu.transparentná);

							age.addFrame(snímkaGIFu);

							if (null != počúvadlo)
								synchronized (zámokUdalostí)
								{
									počúvadlo.sekvencia(ZÁPIS_GIF_ANIMÁCIE,
										null, súbor, i + 1, n);
								}

							synchronized (zámokUdalostí)
							{
								for (GRobot počúvajúci : počúvajúciSúbory)
								{
									počúvajúci.sekvencia(ZÁPIS_GIF_ANIMÁCIE,
										null, súbor, i + 1, n);
								}
							}
						}
					}

					age.finish();
				}
				else
				{
					throw new GRobotException("Neplatný formát obrázka: " +
						prípona, "invalidImageFormat", prípona);
				}
			}
		}


		// --- Pomocná trieda použitá pri ukladaní vo formáte GIF --- //

		private class SnímkaGIFu extends BufferedImage
		{
			public Color transparentná;
			private int[] raster;

			public SnímkaGIFu(Obrázok obrázok)
			{
				super(obrázok.šírka, obrázok.výška,
					BufferedImage.TYPE_INT_ARGB);

				raster = ((DataBufferInt)getRaster().
					getDataBuffer()).getData();

				if (null == obrázok.údajeObrázka)
					obrázok.údajeObrázka = ((DataBufferInt)obrázok.
						getRaster().getDataBuffer()).getData();

				System.arraycopy(obrázok.údajeObrázka, 0,
					raster, 0, obrázok.údajeObrázka.length);

				nájdiTransparentnú();
			}

			public SnímkaGIFu(Snímka snímka)
			{
				super(snímka.getWidth(), snímka.getHeight(),
					BufferedImage.TYPE_INT_ARGB);

				raster = ((DataBufferInt)getRaster().
					getDataBuffer()).getData();
				int[] kopíruj = ((DataBufferInt)snímka.getRaster().
					getDataBuffer()).getData();
				System.arraycopy(kopíruj, 0, raster, 0, kopíruj.length);

				nájdiTransparentnú();
			}

			// Nájde transparentnú farbu a zbaví sa všetkých
			// (polo)priehľadných bodov v rastri
			private void nájdiTransparentnú()
			{
				boolean nehľadajTransparentnú = true;

				int ra = 0, ga = 0, ba = 0, aa = 0;
				int počet = 0;

				for (int i = 0; i < raster.length; ++i)
				{
					if (((raster[i] >> 24) & 0xff) > 0x0f)
					{
						++počet;
						ra += (raster[i] >> 16) & 0xff;
						ga += (raster[i] >>  8) & 0xff;
						ba +=  raster[i]        & 0xff;
					}
					else
						nehľadajTransparentnú = false;
				}

				int farba = farbaPozadia.getRGB();

				int rb = (farba >> 16) & 0xff;
				int gb = (farba >>  8) & 0xff;
				int bb =  farba        & 0xff;

				int rc = 0, gc = 0, bc = 0;

				if (nehľadajTransparentnú)
				{
					transparentná = null;

					for (int i = 0; i < raster.length; ++i)
					{
						aa = (raster[i] >> 24) & 0xff;
						if (aa != 0xff)
						{
							ra = (raster[i] >> 16) & 0xff;
							ga = (raster[i] >>  8) & 0xff;
							ba =  raster[i]        & 0xff;

							rc = ((ra * aa) + (rb * (0xff - aa))) / 0xff;
							gc = ((ga * aa) + (gb * (0xff - aa))) / 0xff;
							bc = ((ba * aa) + (bb * (0xff - aa))) / 0xff;

							raster[i] = new Color(rc, gc, bc).getRGB();
						}
					}
				}
				else
				{
					if (0 == počet)
					{
					}
					else
					{
						ra /= počet;
						ga /= počet;
						ba /= počet;
					}

					ra = 0xff - ra;
					ga = 0xff - ga;
					ba = 0xff - ba;

					transparentná = new Color(ra, ga, ba);

					farba = transparentná.getRGB();

					// System.out.println("  Farba: " + farba);

					for (int i = 0; i < raster.length; ++i)
					{
						aa = (raster[i] >> 24) & 0xff;
						if (aa <= 0x0f)
						{
							raster[i] = farba;
						}
						else if (aa != 0xff)
						{
							ra = (raster[i] >> 16) & 0xff;
							ga = (raster[i] >>  8) & 0xff;
							ba =  raster[i]        & 0xff;

							rc = ((ra * aa) + (rb * (0xff - aa))) / 0xff;
							gc = ((ga * aa) + (gb * (0xff - aa))) / 0xff;
							bc = ((ba * aa) + (bb * (0xff - aa))) / 0xff;

							raster[i] = new Color(rc, gc, bc).getRGB();
						}
					}
				}
			}
		}

		// --- Pomocná trieda použitá pri ukladaní vo formáte GIF --- //


		/** <a class="alias"></a> Alias pre {@link #ulož(String, boolean) ulož}. */
		public void uloz(String súbor, boolean prepísať)
		{ ulož(súbor, prepísať); }

	// Vloženie do schránky

		/**
		 * Vloží obsah tohto obrázka do schránky.
		 * 
		 * <P><b>Upozornenie:</b> Obrázok je uchovaný v schránke len počas
		 * činnosti aplikácie robota. Po zatvorení okna sveta, je obrázok zo
		 * schránky odstránený.
		 * 
		 *  @return {@code valtrue} ak bola operácia úspešná
		 *  @see Schránka#obrázok(Image)
		 */
		public boolean doSchránky() { return Schránka.obrázok(this); }

		/** <a class="alias"></a> Alias pre {@link #doSchránky() doSchránky}. */
		public boolean doSchranky() { return Schránka.obrázok(this); }

	// Porovnanie

		/**
		 * Porovná obsahy dvoch zadaných inštancií obrázkov. V prípade, že
		 * sú oba argumenty tejto metódy tým istým obrázkom, tak je bez
		 * ďalšej kontroly vrátená hodnota {@code valtrue}. Ak ide o rôzne
		 * objekty obrázkov, tak bude overená zhoda ich obsahu. <!--Najskôr
		 * sú overené niektoré parametre, napríklad rozmery a typy oboch
		 * obrázkov. Tie musia byť zhodné, inak metóda vráti
		 * {@code valfalse}. Ak ide o objekty obrázkov s rovnakými
		 * parametrami,--> Najskôr sú porovnané rozmery obrázkov a ak sú
		 * zhodné, tak sú porovnané ich rastre. Potom je podľa toho, či sú
		 * obsahovo zhodné alebo nie, vrátená hodnota {@code valtrue}
		 * alebo {@code valfalse}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok1 prvý porovnávaný obrázok
		 * @param obrázok2 druhý porovnávaný obrázok
		 * @return ak sú obrázky zhodné, tak {@code valtrue}, inak
		 *     {@code valfalse}
		 */
		public static boolean porovnaj(Image obrázok1, Image obrázok2)
		{
			if (obrázok1 == obrázok2) return true;

			BufferedImage porovnaj1 = preveďNaBufferedImage(obrázok1);
			BufferedImage porovnaj2 = preveďNaBufferedImage(obrázok2);

			if (porovnaj1.getWidth() != porovnaj2.getWidth() ||
				porovnaj1.getHeight() != porovnaj2.getHeight()) return false;

			if (TYPE_INT_ARGB != porovnaj1.getType())
			{
				BufferedImage preveď = new BufferedImage(
					porovnaj1.getWidth(), porovnaj1.getHeight(),
					BufferedImage.TYPE_INT_ARGB);
				preveď.getGraphics().drawImage(porovnaj1, 0, 0, null);
				porovnaj1 = preveď;
			}

			if (TYPE_INT_ARGB != porovnaj2.getType())
			{
				BufferedImage preveď = new BufferedImage(
					porovnaj2.getWidth(), porovnaj2.getHeight(),
					BufferedImage.TYPE_INT_ARGB);
				preveď.getGraphics().drawImage(porovnaj2, 0, 0, null);
				porovnaj2 = preveď;
			}

			int[] údaje1 = ((DataBufferInt)porovnaj1.getRaster().
				getDataBuffer()).getData();
			int[] údaje2 = ((DataBufferInt)porovnaj2.getRaster().
				getDataBuffer()).getData();

			return Arrays.equals(údaje1, údaje2);
		}

		/**
		 * Porovná obsah tejto a zadanej inštancie obrázka. <!--Najskôr sú
		 * overené niektoré parametre, napríklad rozmery a typy oboch
		 * obrázkov. Tie musia byť zhodné, inak metóda vráti
		 * {@code valfalse}. Ak majú obrázky rovnaké parametre,--> Najskôr
		 * sú overené rozmery obrázkov a ak sú zhodné, tak sú porovnané ich
		 * rastre a podľa toho, či sú obsahovo zhodné alebo nie, je vrátená
		 * hodnota {@code valtrue} alebo {@code valfalse}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param inýObrázok obrázok, s ktorým je porovnávaný obsah tejto
		 *     inštancie
		 * @return ak je obsah tohto a iného obrázka zhodný, tak
		 *     {@code valtrue}, inak {@code valfalse}
		 */
		public boolean porovnaj(Image inýObrázok)
		{ return porovnaj(this, inýObrázok); }

	// Vlnenie

		// Inštancia vlnenia tohto obrázka
		private Vlnenie vlnenie = null;

		/**
		 * Overí, či je definovaná inštancia vlnenia pre tento obrázok.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} ak je inštancia vlnenia definovaná;
		 *     {@code valfalse} v opačnom prípade
		 * 
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public boolean máVlnenie() { return null != vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #máVlnenie() máVlnenie}. */
		public boolean maVlnenie() { return null != vlnenie; }

		/**
		 * Vráti {@linkplain Vlnenie inštanciu vlnenia} pre tento obrázok,
		 * aby bolo možné s vlnením ďalej pracovať. Ak vlnenie nie je pre
		 * tento obrázok definované, tak metóda definuje nové neaktívne vlnenie
		 * s predvolenou úrovňou útlmu {@code num26}. <small>(Overiť to,
		 * či je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}.)</small> Naopak, metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v takom prípade, že jestvuje. <small>(V opačnom
		 * prípade vráti metóda {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie} hodnotu {@code valnull}.)</small>
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje vo svete grafického robota.)</small>
		 * 
		 * <P><b>Upozornenie:</b> Ak svet grafického robota nemá aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak vlnenie nebude
		 * fungovať ani po jeho aktivácii. Táto metóda <b>nespúšťa</b>
		 * časovač (ani vlnenie) automaticky! Účelom automatického
		 * vytvorenia inštancie vlnenia touto metódou v prípade jej
		 * neprítomnosti je len zabránenie vzniku chýb. Táto metóda nemá
		 * nahradiť metódu {@link #pridajVlnenie() pridajVlnenie}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return metóda zaručuje vrátenie inštancie {@link Vlnenie Vlnenie}
		 *     definovanej pre tento obrázok aj v takom prípade, že pred jej
		 *     volaním nebola inštancia definovaná
		 * 
		 * @see #máVlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public Vlnenie vlnenie()
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(this, 26);
				vlnenie.posun(posunX, posunY);
				vlnenia.add(vlnenie);
			}
			return vlnenie;
		}

		/**
		 * Táto metóda vráti inštanciu vlnenia len v prípade, že jestvuje.
		 * V opačnom prípade vráti hodnotu {@code valnull}, čo môže viesť
		 * ku vzniku výnimky, ak sa programátor pokúsi použiť vrátenú
		 * hodnotu bez overenia. Naopak, vrátenie inštancie
		 * {@linkplain Vlnenie vlnenia} aj v prípade, že ešte nebolo
		 * definované zaručuje metóda {@link #vlnenie() vlnenie}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return ak je definovaná inštancia {@linkplain Vlnenie vlnenia},
		 *     tak ju metóda vráti; v opačnom prípade vráti hodnotu
		 *     {@code valnull}
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public Vlnenie jestvujúceVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public Vlnenie jestvujuceVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public Vlnenie existujúceVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public Vlnenie existujuceVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public Vlnenie definovanéVlnenie() { return vlnenie; }

		/** <a class="alias"></a> Alias pre {@link #jestvujúceVlnenie() jestvujúceVlnenie}. */
		public Vlnenie definovaneVlnenie() { return vlnenie; }

		/**
		 * Pridá alebo zresetuje vlnenie tohto obrázka. Ak nie je definované
		 * alebo aktívne vlnenie pre tento obrázok, tak volanie tejto metódy
		 * vytvorí a/alebo aktivuje novú inštanciu vlnenia s predvolenou
		 * úrovňou útlmu {@code num26}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje vo svete grafického robota.)</small>
		 * 
		 * <P>Ak by svet grafického robota nemal aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak by vlnenie nemohlo
		 * fungovať, preto je časovač touto metódou spúšťaný automaticky.
		 * 
		 * <P>Inštanciu vlnenia je možné získať a pracovať s ňou pomocou
		 * metódy {@link #vlnenie() vlnenie} alebo {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie}. <small>(Pozor, ak vlnenie nie je definované,
		 * tak metóda {@link #vlnenie() vlnenie} definuje nové neaktívne
		 * vlnenie s predvolenou úrovňou útlmu {@code num26}. Overiť to, či
		 * je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}. Metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v prípade, že jestvuje. V opačnom prípade vráti hodnotu
		 * {@code valnull}, čo môže viesť ku vzniku výnimky, ak sa
		 * programátor pokúsi použiť vrátenú hodnotu bez overenia.)</small>
		 * 
		 * <P>Ak už je definovaná inštancia vlnenia, tak ju volanie tejto
		 * metódy zresetuje upokojením hladiny a nastavením predvolenej
		 * úrovne útlmu {@code num26}.
		 * (Aktivácia je vykonaná v každom prípade.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public void pridajVlnenie()
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(this, 26);
				vlnenie.posun(posunX, posunY);
				vlnenia.add(vlnenie);
				Svet.spustiČasovač();
			}
			else
			{
				vlnenie.upokojHladinu();
				vlnenie.útlm(26);
			}
			vlnenie.aktivuj();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajVlnenie() pridajVlnenie}. */
		// public void zacniVlnenie() { pridajVlnenie(); }

		/**
		 * Pridá alebo zresetuje vlnenie tohto obrázka. Ak nie je definované
		 * alebo aktívne vlnenie pre tento obrázok, tak volanie tejto metódy
		 * vytvorí a/alebo aktivuje novú inštanciu vlnenia s predvolenou
		 * úrovňou útlmu {@code num26}.
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje vo svete grafického robota.)</small>
		 * 
		 * <P><b>Pozor!</b> Ak svet grafického robota nemá aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak vlnenie nebude
		 * fungovať. Táto metóda dovoľuje určiť, či má alebo nemá byť
		 * časovač spustený automaticky. Umožňuje to parameter
		 * {@code ajČasovač}.
		 * 
		 * <P>Inštanciu vlnenia je možné získať a pracovať s ňou pomocou
		 * metódy {@link #vlnenie() vlnenie} alebo {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie}. <small>(Pozor, ak vlnenie nie je definované,
		 * tak metóda {@link #vlnenie() vlnenie} definuje nové neaktívne
		 * vlnenie s predvolenou úrovňou útlmu {@code num26}. Overiť to, či
		 * je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}. Metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v prípade, že jestvuje. V opačnom prípade vráti hodnotu
		 * {@code valnull}, čo môže viesť ku vzniku výnimky, ak sa
		 * programátor pokúsi použiť vrátenú hodnotu bez overenia.)</small>
		 * 
		 * <P>Ak už je definovaná inštancia vlnenia, tak ju volanie tejto
		 * metódy zresetuje upokojením hladiny a nastavením predvolenej
		 * úrovne útlmu {@code num26}.
		 * (Aktivácia je vykonaná v každom prípade.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param ajČasovač ak je hodnota tohto parametra rovná
		 *     {@code valtrue}, tak je v prípade jeho nečinnosti
		 *     automaticky {@linkplain Svet#spustiČasovač()
		 *     spustený časovač}
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 */
		public void pridajVlnenie(boolean ajČasovač)
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(this, 26);
				vlnenie.posun(posunX, posunY);
				vlnenia.add(vlnenie);
				if (ajČasovač) Svet.spustiČasovač();
			}
			else
			{
				vlnenie.upokojHladinu();
				vlnenie.útlm(26);
			}
			vlnenie.aktivuj();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajVlnenie(boolean) pridajVlnenie}. */
		// public void zacniVlnenie(boolean ajČasovač) { pridajVlnenie(ajČasovač); }

		/**
		 * Pridá alebo zresetuje vlnenie tohto obrázka. Ak nie je definované
		 * alebo aktívne vlnenie pre tento obrázok, tak volanie tejto metódy
		 * vytvorí a/alebo aktivuje novú inštanciu vlnenia so zadanou úrovňou
		 * útlmu (pozri aj {@link Vlnenie#útlm(int) Vlnenie.útlm(útlm)}).
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje vo svete grafického robota.)</small>
		 * 
		 * <P>Ak by svet grafického robota nemal aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak by vlnenie nemohlo
		 * fungovať, preto je časovač touto metódou spúšťaný automaticky.
		 * 
		 * <P>Inštanciu vlnenia je možné získať a pracovať s ňou pomocou
		 * metódy {@link #vlnenie() vlnenie} alebo {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie}. <small>(Pozor, ak vlnenie nie je definované,
		 * tak metóda {@link #vlnenie() vlnenie} definuje nové neaktívne
		 * vlnenie s predvolenou úrovňou útlmu {@code num26}. Overiť to, či
		 * je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}. Metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v prípade, že jestvuje. V opačnom prípade vráti hodnotu
		 * {@code valnull}, čo môže viesť ku vzniku výnimky, ak sa
		 * programátor pokúsi použiť vrátenú hodnotu bez overenia.)</small>
		 * 
		 * <P>Ak už je definovaná inštancia vlnenia, tak ju volanie tejto
		 * metódy zresetuje upokojením hladiny a nastavením zadanej úrovne
		 * útlmu.
		 * (Aktivácia je vykonaná v každom prípade.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param útlm požadovaná úroveň útlmu vlnenia; odporúčané sú
		 *     hodnoty v rozmedzí 0 – 30; pozri aj {@link Vlnenie#útlm(int)
		 *     Vlnenie.útlm(útlm)}
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int, boolean)
		 * @see #odstráňVlnenie()
		 * @see Vlnenie#útlm(int)
		 */
		public void pridajVlnenie(int útlm)
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(this, útlm);
				vlnenie.posun(posunX, posunY);
				vlnenia.add(vlnenie);
				Svet.spustiČasovač();
			}
			else
			{
				vlnenie.upokojHladinu();
				vlnenie.útlm(útlm);
			}
			vlnenie.aktivuj();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajVlnenie(int) pridajVlnenie}. */
		// public void zacniVlnenie(int útlm) { pridajVlnenie(útlm); }

		/**
		 * Pridá alebo zresetuje vlnenie tohto obrázka. Ak nie je definované
		 * alebo aktívne vlnenie pre tento obrázok, tak volanie tejto metódy
		 * vytvorí a/alebo aktivuje novú inštanciu vlnenia so zadanou úrovňou
		 * útlmu (pozri aj {@link Vlnenie#útlm(int) Vlnenie.útlm(útlm)}).
		 * 
		 * <P><small>(<b>Poznámka:</b> Aby mohlo byť vlnenie automaticky
		 * vykonávané, tak v prípade vytvorenia novej inštancie ju táto
		 * metóda automaticky registruje vo svete grafického robota.)</small>
		 * 
		 * <P><b>Pozor!</b> Ak svet grafického robota nemá aktívny
		 * {@linkplain Svet#spustiČasovač() časovač}, tak vlnenie nebude
		 * fungovať. Táto metóda dovoľuje určiť, či má alebo nemá byť
		 * časovač spustený automaticky. Umožňuje to parameter
		 * {@code ajČasovač}.
		 * 
		 * <P>Inštanciu vlnenia je možné získať a pracovať s ňou pomocou
		 * metódy {@link #vlnenie() vlnenie} alebo {@link #jestvujúceVlnenie()
		 * jestvujúceVlnenie}. <small>(Pozor, ak vlnenie nie je definované,
		 * tak metóda {@link #vlnenie() vlnenie} definuje nové neaktívne
		 * vlnenie s predvolenou úrovňou útlmu {@code num26}. Overiť to, či
		 * je definovaná inštancia vlnenia, je možné s pomocou metódy
		 * {@link #máVlnenie() máVlnenie}. Metóda
		 * {@link #jestvujúceVlnenie() jestvujúceVlnenie} vráti inštanciu
		 * vlnenia len v prípade, že jestvuje. V opačnom prípade vráti hodnotu
		 * {@code valnull}, čo môže viesť ku vzniku výnimky, ak sa
		 * programátor pokúsi použiť vrátenú hodnotu bez overenia.)</small>
		 * 
		 * <P>Ak už je definovaná inštancia vlnenia, tak ju volanie tejto
		 * metódy zresetuje upokojením hladiny a nastavením zadanej úrovne
		 * útlmu.
		 * (Aktivácia je vykonaná v každom prípade.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param útlm požadovaná úroveň útlmu vlnenia; odporúčané sú
		 *     hodnoty v rozmedzí 0 – 30; pozri aj {@link Vlnenie#útlm(int)
		 *     Vlnenie.útlm(útlm)}
		 * @param ajČasovač ak je hodnota tohto parametra rovná
		 *     {@code valtrue}, tak je v prípade jeho nečinnosti
		 *     automaticky {@linkplain Svet#spustiČasovač()
		 *     spustený časovač}
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #odstráňVlnenie()
		 * @see Vlnenie#útlm(int)
		 */
		public void pridajVlnenie(int útlm, boolean ajČasovač)
		{
			if (null == vlnenie)
			{
				vlnenie = new Vlnenie(this, útlm);
				vlnenie.posun(posunX, posunY);
				vlnenia.add(vlnenie);
				if (ajČasovač) Svet.spustiČasovač();
			}
			else
			{
				vlnenie.upokojHladinu();
				vlnenie.útlm(útlm);
			}
			vlnenie.aktivuj();
		}

		// /** <a class="alias"></a> Alias pre {@link #pridajVlnenie(int, boolean) pridajVlnenie}. */
		// public void zacniVlnenie(int útlm, boolean ajČasovač) { pridajVlnenie(útlm, ajČasovač); }

		/**
		 * Ukončí vlnenie a úplne odstráni inštanciu vlnenia tohto obrázka
		 * zo sveta knižnice grafického robota.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #máVlnenie()
		 * @see #vlnenie()
		 * @see #jestvujúceVlnenie()
		 * @see #pridajVlnenie()
		 * @see #pridajVlnenie(boolean)
		 * @see #pridajVlnenie(int)
		 * @see #pridajVlnenie(int, boolean)
		 */
		public void odstráňVlnenie()
		{
			if (null != vlnenie)
			{
				vlnenia.remove(vlnenie);
				vlnenie = null;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #odstráňVlnenie() odstráňVlnenie}. */
		public void odstranVlnenie() { odstráňVlnenie(); }

	// Animácia

		// Táto vnútorná súkromná trieda uchováva informácie o jedninej snímke
		// animácie tohto obrázka
		private class Snímka extends BufferedImage
		{
			/**
			 * Tento atribút reprezentuje individuálnu dĺžku zobrazenia tejto
			 * snímky. (Je verejne upravovateľný.)
			 */
			public int trvanie;

			/** Konštruktor s predvolenou grafikou a trvaním. */
			public Snímka(Image obrázok, int trvanie)
			{
				super(šírka, výška, BufferedImage.TYPE_INT_ARGB);

				int x = (šírka - obrázok.getWidth(null)) / 2;
				int y = (výška - obrázok.getHeight(null)) / 2;

				Graphics2D grafika = this.createGraphics();
				grafika.addRenderingHints(hints);
				grafika.drawImage(obrázok, x, y, null);

				this.trvanie = trvanie;
			}

			/** Konštruktor s predvolenou grafikou a nulovým trvaním. */
			public Snímka(Image obrázok)
			{
				super(šírka, výška, BufferedImage.TYPE_INT_ARGB);

				int x = (šírka - obrázok.getWidth(null)) / 2;
				int y = (výška - obrázok.getHeight(null)) / 2;

				Graphics2D grafika = this.createGraphics();
				grafika.addRenderingHints(hints);
				grafika.drawImage(obrázok, x, y, null);

				trvanie = 0;
			}

			/** Konštruktor s prázdnou grafikou a trvaním. */
			public Snímka(int trvanie)
			{
				super(šírka, výška, BufferedImage.TYPE_INT_ARGB);
				this.trvanie = trvanie;
			}

			/** Konštruktor s prázdnou grafikou a nulovým trvaním. */
			public Snímka()
			{
				super(šírka, výška, BufferedImage.TYPE_INT_ARGB);
				trvanie = 0;
			}
		}


		// Zoznam snímok tohto obrázka:
		private final Vector<Snímka> snímky = new Vector<Snímka>();

		// Index aktívnej snímky:
		private int snímka = -1;

		// Aktuálna hodnota na nastavenie dĺžky zobrazenia snímky:
		private int trvanie = 0;

		// Počet opakovaní animácie do ukončenia animácie:
		private int opakuj = -1;

		// Príznak spätného prehrávania animácie
		private boolean pospiatku = false;

		// Zrýchlenie alebo spomalenie animácie:
		private double rýchlosť = 1.0;

		// Časová pečiatka, po dosiahnutí ktorej má animácia prejsť na ďalšiu
		// snímku:
		private long čas = 0;

		/**
		 * Vráti aktuálnu rýchlosť prehrávania animácie (bez ohľadu na to, či je
		 * práve animácia spustená alebo nie). Rýchlosť je vyjadrená pomerne.
		 * Hodnota {@code num1.0} znamená skutočnú rýchlosť určenú hodnotami
		 * {@linkplain #trvanie() trvania zobrazenia} snímok animácie,
		 * {@code num2.0} znamená dvojnásobnú rýchlosť a tak podobne. Záporná
		 * hodnota znamená, že animácia je prehrávaná pospiatku.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return aktuálna rýchlosť prehrávania animácie
		 */
		public double rýchlosť()
		{
			return pospiatku ? -rýchlosť : rýchlosť;
		}

		/** <a class="alias"></a> Alias pre {@link #rýchlosť() rýchlosť}. */
		public double rychlost() { return rýchlosť(); }

		/**
		 * Vráti aktuálnu rýchlosť prehrávania animácie (bez ohľadu na to, či je
		 * práve animácia spustená alebo nie). Rýchlosť je vyjadrená pomerne.
		 * Hodnota {@code num1.0} znamená skutočnú rýchlosť určenú hodnotami
		 * {@linkplain #trvanie() trvania zobrazenia} snímok animácie,
		 * {@code num2.0} znamená dvojnásobnú rýchlosť a tak podobne. Záporná
		 * hodnota znamená, že animácia je prehrávaná pospiatku.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return aktuálna rýchlosť prehrávania animácie
		 */
		public double rýchlosťAnimácie()
		{
			return pospiatku ? -rýchlosť : rýchlosť;
		}

		/** <a class="alias"></a> Alias pre {@link #rýchlosťAnimácie() rýchlosťAnimácie}. */
		public double rychlostAnimacie() { return rýchlosťAnimácie(); }

		/**
		 * Upraví rýchlosť prehrávania animácie (bez ohľadu na to, či je
		 * práve animácia spustená alebo nie). Rýchlosť je vyjadrená pomerne.
		 * Hodnota {@code num1.0} znamená skutočnú rýchlosť určenú hodnotami
		 * {@linkplain #trvanie() trvania zobrazenia} snímok animácie,
		 * {@code num2.0} znamená dvojnásobnú rýchlosť a tak podobne. Záporná
		 * hodnota znamená, že animácia bude prehrávaná pospiatku a nula znamená,
		 * že animácia má byť zastavená (pričom pôvodná rýchlosť prehrávania
		 * nebude zmenená).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param nováRýchlosť nová rýchlosť animácie; záporná hodnota
		 *     znamená smer prehrávania animácie pospiatku; nulová hodnota
		 *     nezmení skutočnú rýchlosť prehrávania, ale zastaví vykonávanie
		 *     animácie
		 */
		public void rýchlosť(double nováRýchlosť)
		{
			if (nováRýchlosť > 0)
			{
				pospiatku = false;
				rýchlosť = nováRýchlosť;
				nastavČas();
			}
			else if (0 == nováRýchlosť)
				zastav();
			else
			{
				pospiatku = true;
				rýchlosť = -nováRýchlosť;
				nastavČas();
			}
		}

		/** <a class="alias"></a> Alias pre {@link #rýchlosť(double) rýchlosť}. */
		public void rychlost(double nováRýchlosť) { rýchlosť(nováRýchlosť); }

		/**
		 * Upraví rýchlosť prehrávania animácie (bez ohľadu na to, či je
		 * práve animácia spustená alebo nie). Rýchlosť je vyjadrená pomerne.
		 * Hodnota {@code num1.0} znamená skutočnú rýchlosť určenú hodnotami
		 * {@linkplain #trvanie() trvania zobrazenia} snímok animácie,
		 * {@code num2.0} znamená dvojnásobnú rýchlosť a tak podobne. Záporná
		 * hodnota znamená, že animácia bude prehrávaná pospiatku a nula znamená,
		 * že animácia má byť zastavená (pričom pôvodná rýchlosť prehrávania
		 * nebude zmenená).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param nováRýchlosť nová rýchlosť animácie; záporná hodnota
		 *     znamená smer prehrávania animácie pospiatku; nulová hodnota
		 *     nezmení skutočnú rýchlosť prehrávania, ale zastaví vykonávanie
		 *     animácie
		 */
		public void rýchlosťAnimácie(double nováRýchlosť)
		{
			if (nováRýchlosť > 0)
			{
				pospiatku = false;
				rýchlosť = nováRýchlosť;
				nastavČas();
			}
			else if (0 == nováRýchlosť)
				zastav();
			else
			{
				pospiatku = true;
				rýchlosť = -nováRýchlosť;
				nastavČas();
			}
		}

		/** <a class="alias"></a> Alias pre {@link #rýchlosťAnimácie(double) rýchlosťAnimácie}. */
		public void rychlostAnimacie(double nováRýchlosť)
		{ rýchlosťAnimácie(nováRýchlosť); }


		// Overí správnosť hodnoty indexu snímky. Pozor! Vektor „snímky“
		// nesmie byť prázdny, inak vznikne delenie nulou…
		private int overIndexSnímky(int index)
		{
			if (index >= snímky.size())
				index = index % snímky.size();
			else if (index < 0)
				index = (snímky.size() +
					((index + 1) % snímky.size()) - 1);
			return index;
		}


		/**
		 * Vráti aktuálny počet snímok animácie uloženej v tomto obrázku. Nula
		 * znamená, že tento obrázok nie je animovaný.
		 * 
		 * <P>Každá nová snímka je vnútorne reprezentovaná ako samostatná kópia
		 * grafickej informácie obrázka, ktorá môže byť prenesená z alebo do
		 * hlavnej grafiky obrázka. Tento proces prenosu môže byť jednostranný
		 * (počas animácie) alebo obojstranný (pri zmene snímky alebo
		 * pri ukladaní alebo čítaní obrázka zo súboru). To znamená, že ak nie je
		 * spustená animácia, tak sa medzi snímkami môžeme posúvať metódami
		 * {@link #prváSnímka prváSnímka}, {@link #ďalšiaSnímka ďalšiaSnímka},
		 * {@link #predchádzajúcaSnímka predchádzajúcaSnímka},
		 * {@link #poslednáSnímka predchádzajúcaSnímka} a {@link #snímka(int)
		 * snímka(ktorá)} a vtedy je zaručené, že sa pri posune medzi snímkami
		 * zároveň stihnú aktualizovať grafické informácie, ktoré boli
		 * medzičasom vykonané v hlavnej grafike obrázka. Naopak, ak je animácia
		 * spustená, môže kedykoľvek nastať prepísanie hlavnej grafiky grafikou
		 * niektorej snímky a prípadné zmeny sa nemusia stihnúť uložiť. Počas
		 * procesu animácie (ktorý je automaticky vykonávaný na pozadí) sa totiž
		 * údaje z hlavnej grafiky z optimalizačných dôvodov neuchovávajú späť
		 * do snímok.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return aktuálny počet snímok animácie uložených v tomto obrázku
		 */
		public int početSnímok()
		{
			return snímky.size();
		}

		/** <a class="alias"></a> Alias pre {@link #početSnímok() početSnímok}. */
		public int pocetSnimok() { return početSnímok(); }


		/**
		 * Pridá novú snímku na koniec animácie s aktuálnou (naposledny použitou)
		 * hodnotou {@linkplain #trvanie() trvania} zobrazenia a s aktuálnou
		 * grafikou obrázka.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void pridajSnímku()
		{
			snímky.add(new Snímka(this, trvanie));
			snímka = snímky.size() - 1;
		}

		/** <a class="alias"></a> Alias pre {@link #pridajSnímku() pridajSnímku}. */
		public void pridajSnimku() { pridajSnímku(); }

		/**
		 * Pridá novú snímku na koniec animácie s aktuálnou (naposledny použitou)
		 * hodnotou {@linkplain #trvanie() trvania} zobrazenia a so zadanou
		 * grafikou.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok grafika novej snímky
		 */
		public void pridajSnímku(Image obrázok)
		{
			snímky.add(new Snímka(obrázok, trvanie));
			dajGrafikuSnímky(snímka = snímky.size() - 1);
			nastavČas();
		}

		/** <a class="alias"></a> Alias pre {@link #pridajSnímku(Image) pridajSnímku}. */
		public void pridajSnimku(Image obrázok) { pridajSnímku(obrázok); }

		/**
		 * Pridá novú snímku na koniec animácie so zadanou grafikou a so zadanou
		 * hodnotou trvania jej zobrazenia.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok grafika novej snímky
		 * @param trvanie čas zobrazenia snímky v sekundách s presnosťou
		 *     na tisíciny
		 */
		public void pridajSnímku(Image obrázok, double trvanie)
		{
			if (trvanie < 0.0) trvanie = 0.0;
			this.trvanie = (int)(trvanie * 1000.0);
			snímky.add(new Snímka(obrázok, this.trvanie));
			dajGrafikuSnímky(snímka = snímky.size() - 1);
			nastavČas();
		}

		/** <a class="alias"></a> Alias pre {@link #pridajSnímku(Image, double) pridajSnímku}. */
		public void pridajSnimku(Image obrázok, double trvanie)
		{ pridajSnímku(obrázok, trvanie); }


		/**
		 * Vloží novú snímku animácie na zadanú pozíciu s aktuálnou (naposledny
		 * použitou) hodnotou {@linkplain #trvanie() trvania} zobrazenia
		 * a s aktuálnou grafikou obrázka.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param indexSnímky index cieľovej snímky; ak je táto hodnota
		 *     väčšia než je aktuálny počet snímok, tak bude prepočítaná
		 *     tak, aby ukazovala na adekvátne vzdialenú snímku v rámci
		 *     cyklickej animácie (čiže hodnota rovná počtu snímok bude
		 *     presmerovaná na prvú snímku, hodnota o jedno vyššia na druhú
		 *     a tak ďalej); záporné hodnoty budú prepočítané v opačnom
		 *     smere (od konca animácie)
		 */
		public void vložSnímku(int indexSnímky)
		{
			if (snímky.isEmpty()) pridajSnímku(); else
			{
				indexSnímky = overIndexSnímky(indexSnímky);
				snímky.add(indexSnímky, new Snímka(this, trvanie));
				snímka = indexSnímky;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #vložSnímku(int) vložSnímku}. */
		public void vlozSnimku(int indexSnímky) { vložSnímku(indexSnímky); }

		/**
		 * Vloží novú snímku animácie na zadanú pozíciu s aktuálnou (naposledny
		 * použitou) hodnotou {@linkplain #trvanie() trvania} zobrazenia
		 * a so zadanou grafikou.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param indexSnímky index cieľovej snímky; ak je táto hodnota
		 *     väčšia než je aktuálny počet snímok, tak bude prepočítaná
		 *     tak, aby ukazovala na adekvátne vzdialenú snímku v rámci
		 *     cyklickej animácie (čiže hodnota rovná počtu snímok bude
		 *     presmerovaná na prvú snímku, hodnota o jedno vyššia na druhú
		 *     a tak ďalej); záporné hodnoty budú prepočítané v opačnom
		 *     smere (od konca animácie)
		 * @param obrázok grafika novej snímky
		 */
		public void vložSnímku(int indexSnímky, Image obrázok)
		{
			if (snímky.isEmpty()) pridajSnímku(obrázok); else
			{
				indexSnímky = overIndexSnímky(indexSnímky);
				snímky.add(indexSnímky, new Snímka(obrázok, trvanie));
				dajGrafikuSnímky(snímka = indexSnímky);
				nastavČas();
			}
		}

		/** <a class="alias"></a> Alias pre {@link #vložSnímku(int, Image) vložSnímku}. */
		public void vlozSnimku(int indexSnímky, Image obrázok)
		{ vložSnímku(indexSnímky, obrázok); }

		/**
		 * Vloží novú snímku animácie na zadanú pozíciu so zadanou grafikou
		 * a so zadanou hodnotou trvania jej zobrazenia.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param indexSnímky index cieľovej snímky; ak je táto hodnota
		 *     väčšia než je aktuálny počet snímok, tak bude prepočítaná
		 *     tak, aby ukazovala na adekvátne vzdialenú snímku v rámci
		 *     cyklickej animácie (čiže hodnota rovná počtu snímok bude
		 *     presmerovaná na prvú snímku, hodnota o jedno vyššia na druhú
		 *     a tak ďalej); záporné hodnoty budú prepočítané v opačnom
		 *     smere (od konca animácie)
		 * @param obrázok grafika novej snímky
		 * @param trvanie čas zobrazenia snímky v sekundách s presnosťou
		 *     na tisíciny
		 */
		public void vložSnímku(int indexSnímky, Image obrázok, double trvanie)
		{
			if (snímky.isEmpty()) pridajSnímku(obrázok, trvanie); else
			{
				if (trvanie < 0.0) trvanie = 0.0;
				this.trvanie = (int)(trvanie * 1000.0);
				indexSnímky = overIndexSnímky(indexSnímky);
				snímky.add(indexSnímky, new Snímka(obrázok, this.trvanie));
				dajGrafikuSnímky(snímka = indexSnímky);
				nastavČas();
			}
		}

		/** <a class="alias"></a> Alias pre {@link #vložSnímku(int, Image, double) vložSnímku}. */
		public void vlozSnimku(int indexSnímky, Image obrázok, double trvanie)
		{ vložSnímku(indexSnímky, obrázok, trvanie); }

		/**
		 * Vymaže aktuálnu snímku animácie a aktivuje najbližšiu dostupnú snímku.
		 * Ak to bola posledná snímka, v obrázku zostane nastavená jej grafika
		 * a prípadná prebiehajúca animácia sa zastaví.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void vymažSnímku()
		{
			if (!snímky.isEmpty())
			{
				snímky.remove(snímka);
				if (snímky.isEmpty())
				{
					zastav();
					snímka = -1;
				}
				else
				{
					snímka = overIndexSnímky(snímka);
					dajGrafikuSnímky(snímka);
					nastavČas();
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #vymažSnímku() vymažSnímku}. */
		public void vymazSnimku() { vymažSnímku(); }

		/**
		 * Vymaže zadanú snímku animácie a ak to bola aktívna snímka, tak aktivuje
		 * najbližšiu dostupnú snímku. Ak to bola posledná snímka, v obrázku
		 * zostane nastavená jej grafika a prípadná prebiehajúca animácia sa
		 * zastaví.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param indexSnímky index cieľovej snímky; ak je táto hodnota
		 *     väčšia než je aktuálny počet snímok, tak bude prepočítaná
		 *     tak, aby ukazovala na adekvátne vzdialenú snímku v rámci
		 *     cyklickej animácie (čiže hodnota rovná počtu snímok bude
		 *     presmerovaná na prvú snímku, hodnota o jedno vyššia na druhú
		 *     a tak ďalej); záporné hodnoty budú prepočítané v opačnom
		 *     smere (od konca animácie)
		 */
		public void vymažSnímku(int indexSnímky)
		{
			if (!snímky.isEmpty())
			{
				indexSnímky = overIndexSnímky(indexSnímky);
				snímky.remove(indexSnímky);

				if (snímky.isEmpty())
				{
					zastav();
					snímka = -1;
				}
				else
				{
					if (snímka == indexSnímky)
					{
						snímka = overIndexSnímky(snímka);
						dajGrafikuSnímky(snímka);
						nastavČas();
					}
					else if (snímka > indexSnímky) --snímka;
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #vymažSnímku(int) vymažSnímku}. */
		public void vymazSnimku(int indexSnímky) { vymažSnímku(indexSnímky); }


		/**
		 * Aktivuje nasledujúcu snímku animácie.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void ďalšiaSnímka()
		{
			if (!snímky.isEmpty())
			{
				uložGrafikuSnímky(snímka);
				if (++snímka >= snímky.size()) snímka = 0;
				dajGrafikuSnímky(snímka);
				nastavČas();
			}
		}

		/** <a class="alias"></a> Alias pre {@link #ďalšiaSnímka() ďalšiaSnímka}. */
		public void dalsiaSnimka() { ďalšiaSnímka(); }

		/**
		 * Aktivuje predchádzajúcu snímku animácie.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void predchádzajúcaSnímka()
		{
			if (!snímky.isEmpty())
			{
				uložGrafikuSnímky(snímka);
				if (--snímka <= 0) snímka = snímky.size() - 1;
				dajGrafikuSnímky(snímka);
				nastavČas();
			}
		}

		/** <a class="alias"></a> Alias pre {@link #predchádzajúcaSnímka() predchádzajúcaSnímka}. */
		public void predchadzajucaSnimka() { predchádzajúcaSnímka(); }

		/**
		 * Aktivuje prvú snímku animácie.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void prváSnímka()
		{
			if (!snímky.isEmpty() && 0 != snímka)
			{
				uložGrafikuSnímky(snímka);
				snímka = 0;
				dajGrafikuSnímky(snímka);
				nastavČas();
			}
		}

		/** <a class="alias"></a> Alias pre {@link #prváSnímka() prváSnímka}. */
		public void prvaSnimka() { prváSnímka(); }

		/**
		 * Aktivuje poslednú snímku animácie.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void poslednáSnímka()
		{
			if (!snímky.isEmpty() && snímky.size() - 1 != snímka)
			{
				uložGrafikuSnímky(snímka);
				snímka = snímky.size() - 1;
				dajGrafikuSnímky(snímka);
				nastavČas();
			}
		}

		/** <a class="alias"></a> Alias pre {@link #poslednáSnímka() poslednáSnímka}. */
		public void poslednaSnimka() { poslednáSnímka(); }

		/**
		 * Aktivuje zadanú snímku animácie.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param indexSnímky index cieľovej snímky; ak je táto hodnota
		 *     väčšia než je aktuálny počet snímok, tak bude prepočítaná
		 *     tak, aby ukazovala na adekvátne vzdialenú snímku v rámci
		 *     cyklickej animácie (čiže hodnota rovná počtu snímok bude
		 *     presmerovaná na prvú snímku, hodnota o jedno vyššia na druhú
		 *     a tak ďalej); záporné hodnoty budú prepočítané v opačnom
		 *     smere (od konca animácie)
		 */
		public void snímka(int indexSnímky)
		{
			if (!snímky.isEmpty())
			{
				indexSnímky = overIndexSnímky(indexSnímky);
				if (indexSnímky != snímka)
				{
					uložGrafikuSnímky(snímka);
					snímka = indexSnímky;
					dajGrafikuSnímky(snímka);
					nastavČas();
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #snímka(int) snímka}. */
		public void snimka(int indexSnímky) { snímka(indexSnímky); }

		/**
		 * Vráti index aktívnej snímky animácie.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return index aktívnej (aktuálne zvolenej) snímky animácie
		 */
		public int snímka() { return snímka; }

		/** <a class="alias"></a> Alias pre {@link #snímka() snímka}. */
		public int snimka() { return snímka(); }


		/**
		 * Zistí hodnotu trvania zobrazenia aktívnej snímky. (Prípadne aktuálnu
		 * naposledy použitú hodnotu trvania, ak animácia nemá žiadne snímky.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return trvanie zobrazenia aktívnej snímky počas animácie
		 *     v sekundách s presnosťou na tisíciny (pri jednotkovej
		 *     rýchlosti prehrávania)
		 */
		public double trvanie()
		{
			if (!snímky.isEmpty())
			{
				Snímka snímka = snímky.get(this.snímka);
				return snímka.trvanie * 1000.0;
			}

			return trvanie * 1000.0;
		}

		/**
		 * Zistí hodnotu trvania zobrazenia zadanej snímky. (Prípadne aktuálnu
		 * naposledy použitú hodnotu trvania, ak animácia nemá žiadne snímky.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param indexSnímky index cieľovej snímky; ak je táto hodnota
		 *     väčšia než je aktuálny počet snímok, tak bude prepočítaná
		 *     tak, aby ukazovala na adekvátne vzdialenú snímku v rámci
		 *     cyklickej animácie (čiže hodnota rovná počtu snímok bude
		 *     presmerovaná na prvú snímku, hodnota o jedno vyššia na druhú
		 *     a tak ďalej); záporné hodnoty budú prepočítané v opačnom
		 *     smere (od konca animácie)
		 * @return trvanie zobrazenia cieľovej snímky počas animácie
		 *     v sekundách s presnosťou na tisíciny (pri jednotkovej
		 *     rýchlosti prehrávania)
		 */
		public double trvanie(int indexSnímky)
		{
			if (!snímky.isEmpty())
			{
				indexSnímky = overIndexSnímky(indexSnímky);
				Snímka snímka = snímky.get(indexSnímky);
				return snímka.trvanie * 1000.0;
			}

			return trvanie * 1000.0;
		}

		/**
		 * Zistí hodnotu trvania zobrazenia aktívnej snímky. (Prípadne aktuálnu
		 * naposledy použitú hodnotu trvania, ak animácia nemá žiadne snímky.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return trvanie zobrazenia aktívnej snímky počas animácie
		 *     v sekundách s presnosťou na tisíciny (pri jednotkovej
		 *     rýchlosti prehrávania)
		 */
		public double trvanieZobrazeniaSnímky()
		{
			if (!snímky.isEmpty())
			{
				Snímka snímka = snímky.get(this.snímka);
				return snímka.trvanie * 1000.0;
			}

			return trvanie * 1000.0;
		}

		/** <a class="alias"></a> Alias pre {@link #trvanieZobrazeniaSnímky() trvanieZobrazeniaSnímky}. */
		public double trvanieZobrazeniaSnimky()
		{ return trvanieZobrazeniaSnímky(); }

		/**
		 * Zistí hodnotu trvania zobrazenia zadanej snímky. (Prípadne aktuálnu
		 * naposledy použitú hodnotu trvania, ak animácia nemá žiadne snímky.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param indexSnímky index cieľovej snímky; ak je táto hodnota
		 *     väčšia než je aktuálny počet snímok, tak bude prepočítaná
		 *     tak, aby ukazovala na adekvátne vzdialenú snímku v rámci
		 *     cyklickej animácie (čiže hodnota rovná počtu snímok bude
		 *     presmerovaná na prvú snímku, hodnota o jedno vyššia na druhú
		 *     a tak ďalej); záporné hodnoty budú prepočítané v opačnom
		 *     smere (od konca animácie)
		 * @return trvanie zobrazenia cieľovej snímky počas animácie
		 *     v sekundách s presnosťou na tisíciny (pri jednotkovej
		 *     rýchlosti prehrávania)
		 */
		public double trvanieZobrazeniaSnímky(int indexSnímky)
		{
			if (!snímky.isEmpty())
			{
				indexSnímky = overIndexSnímky(indexSnímky);
				Snímka snímka = snímky.get(indexSnímky);
				return snímka.trvanie * 1000.0;
			}

			return trvanie * 1000.0;
		}

		/** <a class="alias"></a> Alias pre {@link #trvanieZobrazeniaSnímky(int) trvanieZobrazeniaSnímky}. */
		public double trvanieZobrazeniaSnimky(int indexSnímky)
		{ return trvanieZobrazeniaSnímky(indexSnímky); }


		/**
		 * Nastaví novú hodnotu trvania aktívnej snímky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param trvanie nový čas zobrazenia aktívnej snímky v sekundách
		 *     s presnosťou na tisíciny
		 */
		public void trvanie(double trvanie)
		{
			if (trvanie < 0.0) trvanie = 0.0;
			this.trvanie = (int)(trvanie * 1000.0);

			if (!snímky.isEmpty())
			{
				Snímka snímka = snímky.get(this.snímka);
				snímka.trvanie = this.trvanie;
			}
		}

		/**
		 * Nastaví novú hodnotu trvania zadanej snímky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param indexSnímky index cieľovej snímky; ak je táto hodnota
		 *     väčšia než je aktuálny počet snímok, tak bude prepočítaná
		 *     tak, aby ukazovala na adekvátne vzdialenú snímku v rámci
		 *     cyklickej animácie (čiže hodnota rovná počtu snímok bude
		 *     presmerovaná na prvú snímku, hodnota o jedno vyššia na druhú
		 *     a tak ďalej); záporné hodnoty budú prepočítané v opačnom
		 *     smere (od konca animácie)
		 * @param trvanie nový čas zobrazenia cieľovej snímky v sekundách
		 *     s presnosťou na tisíciny
		 */
		public void trvanie(int indexSnímky, double trvanie)
		{
			if (trvanie < 0.0) trvanie = 0.0;
			this.trvanie = (int)(trvanie * 1000.0);

			if (!snímky.isEmpty())
			{
				indexSnímky = overIndexSnímky(indexSnímky);
				Snímka snímka = snímky.get(indexSnímky);
				snímka.trvanie = this.trvanie;
			}
		}

		/**
		 * Nastaví novú hodnotu trvania aktívnej snímky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param trvanie nový čas zobrazenia aktívnej snímky v sekundách
		 *     s presnosťou na tisíciny
		 */
		public void trvanieZobrazeniaSnímky(double trvanie)
		{
			if (trvanie < 0.0) trvanie = 0.0;
			this.trvanie = (int)(trvanie * 1000.0);

			if (!snímky.isEmpty())
			{
				Snímka snímka = snímky.get(this.snímka);
				snímka.trvanie = this.trvanie;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #trvanieZobrazeniaSnímky(double) trvanieZobrazeniaSnímky}. */
		public void trvanieZobrazeniaSnimky(double trvanie)
		{ trvanieZobrazeniaSnímky(trvanie); }

		/**
		 * Nastaví novú hodnotu trvania zadanej snímky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param indexSnímky index cieľovej snímky; ak je táto hodnota
		 *     väčšia než je aktuálny počet snímok, tak bude prepočítaná
		 *     tak, aby ukazovala na adekvátne vzdialenú snímku v rámci
		 *     cyklickej animácie (čiže hodnota rovná počtu snímok bude
		 *     presmerovaná na prvú snímku, hodnota o jedno vyššia na druhú
		 *     a tak ďalej); záporné hodnoty budú prepočítané v opačnom
		 *     smere (od konca animácie)
		 * @param trvanie nový čas zobrazenia cieľovej snímky v sekundách
		 *     s presnosťou na tisíciny
		 */
		public void trvanieZobrazeniaSnímky(int indexSnímky, double trvanie)
		{
			if (trvanie < 0.0) trvanie = 0.0;
			this.trvanie = (int)(trvanie * 1000.0);

			if (!snímky.isEmpty())
			{
				indexSnímky = overIndexSnímky(indexSnímky);
				Snímka snímka = snímky.get(indexSnímky);
				snímka.trvanie = this.trvanie;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #trvanieZobrazeniaSnímky(int, double) trvanieZobrazeniaSnímky}. */
		public void trvanieZobrazeniaSnimky(int indexSnímky, double trvanie)
		{ trvanieZobrazeniaSnímky(indexSnímky, trvanie); }


		// Nastaví čas zobrazenia aktívnej snímky podľa trvania a rýchlosti
		private long nastavČas()
		{
			Snímka snímka = snímky.get(this.snímka);
			long trvanie;

			if (1.0 == rýchlosť)
				trvanie = snímka.trvanie;
			else
				trvanie = (long)((double)snímka.trvanie / rýchlosť);

			čas = System.currentTimeMillis() + trvanie;
			return trvanie;
		}


		/**
		 * Zistí, či je práve spustená animácia obrázka.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok} (tieto informácie súvisia
		 * aj s vykonávaním animácie).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} ak je práve spustená animácia obrázka,
		 *     {@code valfalse} v opačnom prípade
		 */
		public boolean animujeSa() { return animácie.contains(this); }


		/**
		 * Zistí, koľko opakovaní zostáva do ukončenia animácie. Hodnota
		 * {@code num-1} znamená, že animácia má byť prehrávaná donekonečna.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return počet opakovaní zostávajúci do ukončenia animácie alebo
		 *     {@code num-1} v prípade nekonečne sa opakujúcej animácie
		 */
		public int opakovaniaAnimácie() { return opakuj; }

		/** <a class="alias"></a> Alias pre {@link #opakovaniaAnimácie() opakovaniaAnimácie}. */
		public int opakovaniaAnimacie() { return opakovaniaAnimácie(); }

		/**
		 * Zistí, koľko opakovaní zostáva do ukončenia animácie. Hodnota
		 * {@code num-1} znamená, že animácia má byť prehrávaná donekonečna.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return počet opakovaní zostávajúci do ukončenia animácie alebo
		 *     {@code num-1} v prípade nekonečne sa opakujúcej animácie
		 */
		public int početOpakovaní() { return opakuj; }

		/** <a class="alias"></a> Alias pre {@link #početOpakovaní() početOpakovaní}. */
		public int pocetOpakovani() { return početOpakovaní(); }


		/**
		 * Ak má tento obrázok nenulový počet snímok animácie, tak táto metóda
		 * nastaví nový počet opakovaní animácie zostávajúci do ukončenia
		 * animácie a to bez ohľadu na to, či je animácia spustená alebo nie.
		 * Hodnota {@code num-1} znamená, že animácia má byť prehrávaná
		 * donekonečna. Ak je zadaná nula, tak prípadná spustená animácia bude
		 * zastavená.
		 * 
		 * <P><small>(<b>Upozornenie:</b> Počítadlo opakovaní sa vzťahuje na
		 * momenty reštartovania animácia, to znamená, že hodnota počítadla je
		 * znížená po prejdení animácie z konca na začiatok alebo naopak, podľa
		 * smeru prehrávania animácie. To znamená, že ak nie je nastavená
		 * správna snímka (začiatočná alebo koncová podľa smeru prehrávania), tak
		 * sa môže animácia skončiť hneď po jej spustení (ak malo byť vykonané
		 * len jedno opakovanie) alebo sa nevykoná celá, podľa toho, ktorá snímka
		 * bola práve aktívna.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param početOpakovaní počet opakovaní animácie, po ktorom sa
		 *     animácia ukončí; hodnota {@code num-1} je rezervovaná pre
		 *     nekonečný počet opakovaní (v skutočnosti akákoľvek zadaná
		 *     záporná hodnota nastaví počet opakovaní na hodnotu {@code num-1});
		 *     hodnota {@code num0} spôsobí zastavenie animácie (ak náhodou
		 *     prebieha)
		 */
		public void opakovaniaAnimácie(int početOpakovaní)
		{
			if (!snímky.isEmpty())
			{
				if (početOpakovaní <= -1) opakuj = -1;
				else if (0 == početOpakovaní)
				{
					opakuj = 0;
					zastav();
					return;
				}
				else opakuj = početOpakovaní;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #opakovaniaAnimácie(int) opakovaniaAnimácie}. */
		public void opakovaniaAnimacie(int početOpakovaní) { opakovaniaAnimácie(početOpakovaní); }

		/**
		 * Ak má tento obrázok nenulový počet snímok animácie, tak táto metóda
		 * nastaví nový počet opakovaní animácie zostávajúci do ukončenia
		 * animácie a to bez ohľadu na to, či je animácia spustená alebo nie.
		 * Hodnota {@code num-1} znamená, že animácia má byť prehrávaná
		 * donekonečna. Ak je zadaná nula, tak prípadná spustená animácia bude
		 * zastavená.
		 * 
		 * <P><small>(<b>Upozornenie:</b> Počítadlo opakovaní sa vzťahuje na
		 * momenty reštartovania animácia, to znamená, že hodnota počítadla je
		 * znížená po prejdení animácie z konca na začiatok alebo naopak, podľa
		 * smeru prehrávania animácie. To znamená, že ak nie je nastavená
		 * správna snímka (začiatočná alebo koncová podľa smeru prehrávania), tak
		 * sa môže animácia skončiť hneď po jej spustení (ak malo byť vykonané
		 * len jedno opakovanie) alebo sa nevykoná celá, podľa toho, ktorá snímka
		 * bola práve aktívna.)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param početOpakovaní počet opakovaní animácie, po ktorom sa
		 *     animácia ukončí; hodnota {@code num-1} je rezervovaná pre
		 *     nekonečný počet opakovaní (v skutočnosti akákoľvek zadaná
		 *     záporná hodnota nastaví počet opakovaní na hodnotu {@code num-1});
		 *     hodnota {@code num0} spôsobí zastavenie animácie (ak náhodou
		 *     prebieha)
		 */
		public void početOpakovaní(int početOpakovaní)
		{
			opakuj = početOpakovaní;
		}

		/** <a class="alias"></a> Alias pre {@link #početOpakovaní(int) početOpakovaní}. */
		public void pocetOpakovani(int početOpakovaní) { početOpakovaní(početOpakovaní); }


		/**
		 * Spustí animáciu s nekonečným počtom opakovaní v naposledy použitom
		 * smere prehrávania. Ak bola animácia už spustená, tak iba nastaví
		 * nekonečný počet opakovaní.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void spusti()
		{
			if (!snímky.isEmpty())
			{
				opakuj = -1;

				if (!animácie.contains(this))
				{
					snímka = overIndexSnímky(snímka);
					uložGrafikuSnímky(snímka);
					animácie.add(this);
					nastavČas();
				}
			}
		}

		/**
		 * Spustí animáciu s nekonečným počtom opakovaní v naposledy použitom
		 * smere prehrávania. Ak bola animácia už spustená, tak iba nastaví
		 * nekonečný počet opakovaní.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok} (tieto informácie súvisia
		 * aj s vykonávaním animácie).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void spustiAnimáciu()
		{
			if (!snímky.isEmpty())
			{
				opakuj = -1;

				if (!animácie.contains(this))
				{
					snímka = overIndexSnímky(snímka);
					uložGrafikuSnímky(snímka);
					animácie.add(this);
					nastavČas();
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #spustiAnimáciu() spustiAnimáciu}. */
		public void spustiAnimaciu() { spustiAnimáciu(); }

		/**
		 * Spustí animáciu so zadaným počtom opakovaní v naposledy použitom
		 * smere prehrávania. Ak bola animácia už spustená, tak iba nastaví zadaný
		 * počet opakovaní. Ak je zadaný počet opakovaní rovný nule, tak je
		 * animácia zastavená.
		 * 
		 * <P><small>(<b>Upozornenie:</b> Počítadlo opakovaní sa vzťahuje na
		 * momenty reštartovania animácia, to znamená, že hodnota počítadla je
		 * znížená po prejdení animácie z konca na začiatok alebo naopak, podľa
		 * smeru prehrávania animácie. To znamená, že ak nie je nastavená
		 * správna snímka (začiatočná alebo koncová podľa smeru prehrávania), tak
		 * sa môže animácia skončiť hneď po jej spustení (ak malo byť vykonané
		 * len jedno opakovanie) alebo sa nevykoná celá, podľa toho, ktorá snímka
		 * bola práve aktívna.)</small>
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok} (tieto informácie súvisia
		 * aj s vykonávaním animácie).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param početOpakovaní počet opakovaní animácie, po ktorom sa
		 *     animácia ukončí; hodnota {@code num-1} je rezervovaná pre
		 *     nekonečný počet opakovaní (v skutočnosti akákoľvek zadaná
		 *     záporná hodnota nastaví počet opakovaní na hodnotu {@code num-1});
		 *     hodnota {@code num0} spôsobí zastavenie animácie (ak náhodou
		 *     prebieha)
		 */
		public void spusti(int početOpakovaní)
		{
			if (!snímky.isEmpty())
			{
				if (početOpakovaní <= -1) opakuj = -1;
				else if (0 == početOpakovaní)
				{
					opakuj = 0;
					zastav();
					return;
				}
				else opakuj = početOpakovaní;

				if (!animácie.contains(this))
				{
					snímka = overIndexSnímky(snímka);
					uložGrafikuSnímky(snímka);
					animácie.add(this);
					nastavČas();
				}
			}
		}

		/**
		 * Spustí animáciu so zadaným počtom opakovaní v naposledy použitom
		 * smere prehrávania. Ak bola animácia už spustená, tak iba nastaví zadaný
		 * počet opakovaní. Ak je zadaný počet opakovaní rovný nule, tak je
		 * animácia zastavená.
		 * 
		 * <P><small>(<b>Upozornenie:</b> Počítadlo opakovaní sa vzťahuje na
		 * momenty reštartovania animácia, to znamená, že hodnota počítadla je
		 * znížená po prejdení animácie z konca na začiatok alebo naopak, podľa
		 * smeru prehrávania animácie. To znamená, že ak nie je nastavená
		 * správna snímka (začiatočná alebo koncová podľa smeru prehrávania), tak
		 * sa môže animácia skončiť hneď po jej spustení (ak malo byť vykonané
		 * len jedno opakovanie) alebo sa nevykoná celá, podľa toho, ktorá snímka
		 * bola práve aktívna.)</small>
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok} (tieto informácie súvisia
		 * aj s vykonávaním animácie).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param početOpakovaní počet opakovaní animácie, po ktorom sa
		 *     animácia ukončí; hodnota {@code num-1} je rezervovaná pre
		 *     nekonečný počet opakovaní (v skutočnosti akákoľvek zadaná
		 *     záporná hodnota nastaví počet opakovaní na hodnotu {@code num-1});
		 *     hodnota {@code num0} spôsobí zastavenie animácie (ak náhodou
		 *     prebieha)
		 */
		public void spustiAnimáciu(int početOpakovaní)
		{
			if (!snímky.isEmpty())
			{
				if (početOpakovaní <= -1) opakuj = -1;
				else if (0 == početOpakovaní)
				{
					opakuj = 0;
					zastav();
					return;
				}
				else opakuj = početOpakovaní;

				if (!animácie.contains(this))
				{
					snímka = overIndexSnímky(snímka);
					uložGrafikuSnímky(snímka);
					animácie.add(this);
					nastavČas();
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #spustiAnimáciu(int) spustiAnimáciu}. */
		public void spustiAnimaciu(int početOpakovaní)
		{ spustiAnimáciu(početOpakovaní); }


		/**
		 * Spustí animáciu dopredu s nekonečným počtom opakovaní. Ak bola animácia
		 * už spustená, tak iba upraví smer prehrávania a nastaví nekonečný počet
		 * opakovaní.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok} (tieto informácie súvisia
		 * aj s vykonávaním animácie).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void spustiDopredu()
		{
			if (!snímky.isEmpty())
			{
				opakuj = -1;
				pospiatku = false;

				if (!animácie.contains(this))
				{
					snímka = overIndexSnímky(snímka);
					uložGrafikuSnímky(snímka);
					animácie.add(this);
					nastavČas();
				}
			}
		}

		/**
		 * Spustí animáciu dopredu s nekonečným počtom opakovaní. Ak bola animácia
		 * už spustená, tak iba upraví smer prehrávania a nastaví nekonečný počet
		 * opakovaní.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok} (tieto informácie súvisia
		 * aj s vykonávaním animácie).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void spustiAnimáciuDopredu()
		{
			if (!snímky.isEmpty())
			{
				opakuj = -1;
				pospiatku = false;

				if (!animácie.contains(this))
				{
					snímka = overIndexSnímky(snímka);
					uložGrafikuSnímky(snímka);
					animácie.add(this);
					nastavČas();
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #spustiAnimáciuDopredu() spustiAnimáciuDopredu}. */
		public void spustiAnimaciuDopredu() { spustiAnimáciuDopredu(); }

		/**
		 * Spustí animáciu dopredu so zadaným počtom opakovaní. Ak bola animácia
		 * už spustená, tak iba upraví smer prehrávania a nastaví zadaný počet
		 * opakovaní. Ak je zadaný počet opakovaní rovný nule, tak je animácia
		 * zastavená.
		 * 
		 * <P><small>(<b>Upozornenie:</b> Počítadlo opakovaní sa vzťahuje na
		 * momenty reštartovania animácia, to znamená, že hodnota počítadla je
		 * znížená po prejdení animácie z konca na začiatok alebo naopak, podľa
		 * smeru prehrávania animácie. To znamená, že ak nie je nastavená
		 * správna snímka (začiatočná alebo koncová podľa smeru prehrávania), tak
		 * sa môže animácia skončiť hneď po jej spustení (ak malo byť vykonané
		 * len jedno opakovanie) alebo sa nevykoná celá, podľa toho, ktorá snímka
		 * bola práve aktívna.)</small>
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok} (tieto informácie súvisia
		 * aj s vykonávaním animácie).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param početOpakovaní počet opakovaní animácie, po ktorom sa
		 *     animácia ukončí; hodnota {@code num-1} je rezervovaná pre
		 *     nekonečný počet opakovaní (v skutočnosti akákoľvek zadaná
		 *     záporná hodnota nastaví počet opakovaní na hodnotu {@code num-1});
		 *     hodnota {@code num0} spôsobí zastavenie animácie (ak náhodou
		 *     prebieha)
		 */
		public void spustiDopredu(int početOpakovaní)
		{
			if (!snímky.isEmpty())
			{
				pospiatku = false;
				if (početOpakovaní <= -1) opakuj = -1;
				else if (0 == početOpakovaní)
				{
					opakuj = 0;
					zastav();
					return;
				}
				else opakuj = početOpakovaní;

				if (!animácie.contains(this))
				{
					snímka = overIndexSnímky(snímka);
					uložGrafikuSnímky(snímka);
					animácie.add(this);
					nastavČas();
				}
			}
		}

		/**
		 * Spustí animáciu dopredu so zadaným počtom opakovaní. Ak bola animácia
		 * už spustená, tak iba upraví smer prehrávania a nastaví zadaný počet
		 * opakovaní. Ak je zadaný počet opakovaní rovný nule, tak je animácia
		 * zastavená.
		 * 
		 * <P><small>(<b>Upozornenie:</b> Počítadlo opakovaní sa vzťahuje na
		 * momenty reštartovania animácia, to znamená, že hodnota počítadla je
		 * znížená po prejdení animácie z konca na začiatok alebo naopak, podľa
		 * smeru prehrávania animácie. To znamená, že ak nie je nastavená
		 * správna snímka (začiatočná alebo koncová podľa smeru prehrávania), tak
		 * sa môže animácia skončiť hneď po jej spustení (ak malo byť vykonané
		 * len jedno opakovanie) alebo sa nevykoná celá, podľa toho, ktorá snímka
		 * bola práve aktívna.)</small>
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok} (tieto informácie súvisia
		 * aj s vykonávaním animácie).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param početOpakovaní počet opakovaní animácie, po ktorom sa
		 *     animácia ukončí; hodnota {@code num-1} je rezervovaná pre
		 *     nekonečný počet opakovaní (v skutočnosti akákoľvek zadaná
		 *     záporná hodnota nastaví počet opakovaní na hodnotu {@code num-1});
		 *     hodnota {@code num0} spôsobí zastavenie animácie (ak náhodou
		 *     prebieha)
		 */
		public void spustiAnimáciuDopredu(int početOpakovaní)
		{
			if (!snímky.isEmpty())
			{
				pospiatku = false;
				if (početOpakovaní <= -1) opakuj = -1;
				else if (0 == početOpakovaní)
				{
					opakuj = 0;
					zastav();
					return;
				}
				else opakuj = početOpakovaní;

				if (!animácie.contains(this))
				{
					snímka = overIndexSnímky(snímka);
					uložGrafikuSnímky(snímka);
					animácie.add(this);
					nastavČas();
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #spustiAnimáciuDopredu(int) spustiAnimáciuDopredu}. */
		public void spustiAnimaciuDopredu(int početOpakovaní) { spustiAnimáciuDopredu(početOpakovaní); }


		/**
		 * Spustí animáciu pospiatku s nekonečným počtom opakovaní. Ak bola
		 * animácia už spustená, tak iba upraví smer prehrávania (pospiatku)
		 * a nastaví nekonečný počet opakovaní.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok} (tieto informácie súvisia
		 * aj s vykonávaním animácie).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void spustiPospiatku()
		{
			if (!snímky.isEmpty())
			{
				opakuj = -1;
				pospiatku = true;

				if (!animácie.contains(this))
				{
					snímka = overIndexSnímky(snímka);
					uložGrafikuSnímky(snímka);
					animácie.add(this);
					nastavČas();
				}
			}
		}

		/**
		 * Spustí animáciu pospiatku s nekonečným počtom opakovaní. Ak bola
		 * animácia už spustená, tak iba upraví smer prehrávania (pospiatku)
		 * a nastaví nekonečný počet opakovaní.
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok} (tieto informácie súvisia
		 * aj s vykonávaním animácie).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void spustiAnimáciuPospiatku()
		{
			if (!snímky.isEmpty())
			{
				opakuj = -1;
				pospiatku = true;

				if (!animácie.contains(this))
				{
					snímka = overIndexSnímky(snímka);
					uložGrafikuSnímky(snímka);
					animácie.add(this);
					nastavČas();
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #spustiAnimáciuPospiatku() spustiAnimáciuPospiatku}. */
		public void spustiAnimaciuPospiatku() { spustiAnimáciuPospiatku(); }

		/**
		 * Spustí animáciu pospiatku so zadaným počtom opakovaní. Ak bola
		 * animácia už spustená, tak iba upraví smer prehrávania (pospiatku)
		 * a nastaví zadaný počet opakovaní. Ak je zadaný počet opakovaní rovný
		 * nule, tak je animácia zastavená.
		 * 
		 * <P><small>(<b>Upozornenie:</b> Počítadlo opakovaní sa vzťahuje na
		 * momenty reštartovania animácia, to znamená, že hodnota počítadla je
		 * znížená po prejdení animácie z konca na začiatok alebo naopak, podľa
		 * smeru prehrávania animácie. To znamená, že ak nie je nastavená
		 * správna snímka (začiatočná alebo koncová podľa smeru prehrávania), tak
		 * sa môže animácia skončiť hneď po jej spustení (ak malo byť vykonané
		 * len jedno opakovanie) alebo sa nevykoná celá, podľa toho, ktorá snímka
		 * bola práve aktívna.)</small>
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok} (tieto informácie súvisia
		 * aj s vykonávaním animácie).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param početOpakovaní počet opakovaní animácie, po ktorom sa
		 *     animácia ukončí; hodnota {@code num-1} je rezervovaná pre
		 *     nekonečný počet opakovaní (v skutočnosti akákoľvek zadaná
		 *     záporná hodnota nastaví počet opakovaní na hodnotu {@code num-1});
		 *     hodnota {@code num0} spôsobí zastavenie animácie (ak náhodou
		 *     prebieha)
		 */
		public void spustiPospiatku(int početOpakovaní)
		{
			if (!snímky.isEmpty())
			{
				pospiatku = true;
				if (početOpakovaní <= -1) opakuj = -1;
				else if (0 == početOpakovaní)
				{
					opakuj = 0;
					zastav();
					return;
				}
				else opakuj = početOpakovaní;

				if (!animácie.contains(this))
				{
					snímka = overIndexSnímky(snímka);
					uložGrafikuSnímky(snímka);
					animácie.add(this);
					nastavČas();
				}
			}
		}

		/**
		 * Spustí animáciu pospiatku so zadaným počtom opakovaní. Ak bola
		 * animácia už spustená, tak iba upraví smer prehrávania (pospiatku)
		 * a nastaví zadaný počet opakovaní. Ak je zadaný počet opakovaní rovný
		 * nule, tak je animácia zastavená.
		 * 
		 * <P><small>(<b>Upozornenie:</b> Počítadlo opakovaní sa vzťahuje na
		 * momenty reštartovania animácia, to znamená, že hodnota počítadla je
		 * znížená po prejdení animácie z konca na začiatok alebo naopak, podľa
		 * smeru prehrávania animácie. To znamená, že ak nie je nastavená
		 * správna snímka (začiatočná alebo koncová podľa smeru prehrávania), tak
		 * sa môže animácia skončiť hneď po jej spustení (ak malo byť vykonané
		 * len jedno opakovanie) alebo sa nevykoná celá, podľa toho, ktorá snímka
		 * bola práve aktívna.)</small>
		 * 
		 * <P><b>Poznámka:</b> Pozri aj informácie o snímkach uvedené v opise
		 * metódy {@link #početSnímok() početSnímok} (tieto informácie súvisia
		 * aj s vykonávaním animácie).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param početOpakovaní počet opakovaní animácie, po ktorom sa
		 *     animácia ukončí; hodnota {@code num-1} je rezervovaná pre
		 *     nekonečný počet opakovaní (v skutočnosti akákoľvek zadaná
		 *     záporná hodnota nastaví počet opakovaní na hodnotu {@code num-1});
		 *     hodnota {@code num0} spôsobí zastavenie animácie (ak náhodou
		 *     prebieha)
		 */
		public void spustiAnimáciuPospiatku(int početOpakovaní)
		{
			if (!snímky.isEmpty())
			{
				pospiatku = true;
				if (početOpakovaní <= -1) opakuj = -1;
				else if (0 == početOpakovaní)
				{
					opakuj = 0;
					zastav();
					return;
				}
				else opakuj = početOpakovaní;

				if (!animácie.contains(this))
				{
					snímka = overIndexSnímky(snímka);
					uložGrafikuSnímky(snímka);
					animácie.add(this);
					nastavČas();
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #spustiAnimáciuPospiatku(int) spustiAnimáciuPospiatku}. */
		public void spustiAnimaciuPospiatku(int početOpakovaní) { spustiAnimáciuPospiatku(početOpakovaní); }


		/**
		 * Zastaví prehrávanie animácie tohto obrázka.
		 * 
		 * <P><small>(<b>Poznámka:</b> Pozri aj informácie o snímkach uvedené
		 * v opise metódy {@link #početSnímok() početSnímok} (tieto informácie
		 * súvisia aj s vykonávaním animácie).)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void zastav()
		{
			animácie.remove(this);
		}

		/**
		 * Zastaví prehrávanie animácie tohto obrázka.
		 * 
		 * <P><small>(<b>Poznámka:</b> Pozri aj informácie o snímkach uvedené
		 * v opise metódy {@link #početSnímok() početSnímok} (tieto informácie
		 * súvisia aj s vykonávaním animácie).)</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void zastavAnimáciu()
		{
			animácie.remove(this);
		}

		/** <a class="alias"></a> Alias pre {@link #zastavAnimáciu() zastavAnimáciu}. */
		public void zastavAnimaciu() { zastavAnimáciu(); }


		// Skopíruje grafické údaje snímky s určeným indexom do grafiky tohto
		// obrázka.
		private void dajGrafikuSnímky(int index)
		{
			if (!snímky.isEmpty() && index >= 0 && index < snímky.size())
			{
				if (null == údajeObrázka) údajeObrázka =
					((DataBufferInt)getRaster().getDataBuffer()).getData();

				Snímka snímka = snímky.get(index);

				int[] údajeSnímky = ((DataBufferInt)snímka.
					getRaster().getDataBuffer()).getData();

				System.arraycopy(údajeSnímky, 0,
					údajeObrázka, 0, údajeSnímky.length);
			}
		}

		// Skopíruje grafiku tohto obrázka do grafických údajov snímky s určeným
		// indexom.
		private void uložGrafikuSnímky(int index)
		{
			if (!snímky.isEmpty() && index >= 0 && index < snímky.size())
			{
				if (null == údajeObrázka) údajeObrázka =
					((DataBufferInt)getRaster().getDataBuffer()).getData();

				Snímka snímka = snímky.get(index);

				int[] údajeSnímky = ((DataBufferInt)snímka.
					getRaster().getDataBuffer()).getData();

				System.arraycopy(údajeObrázka, 0,
					údajeSnímky, 0, údajeObrázka.length);
			}
		}

		// Overí hodnotu časovača a ak je to relevantné, tak posunie animáciu
		// na ďalšiu snímku… Pozor! Táto metóda neuloží zmeny, ktoré mohli byť
		// vykonané v aktívnej snímke!
		private void animuj()
		{
			if (!snímky.isEmpty())
			{
				if (System.currentTimeMillis() >= čas)
				{
					long rozdiel = System.currentTimeMillis() - čas;
					try
					{
						if (pospiatku)
						{
							--this.snímka;
							if (this.snímka < 0 || this.snímka >= snímky.size())
							{
								this.snímka = snímky.size() - 1;
								if (opakuj > 0)
								{
									--opakuj;
									if (opakuj <= 0)
									{
										zastav();
										return;
									}
								}
							}
						}
						else
						{
							++this.snímka;
							if (this.snímka < 0 || this.snímka >= snímky.size())
							{
								this.snímka = 0;
								if (opakuj > 0)
								{
									--opakuj;
									if (opakuj <= 0)
									{
										zastav();
										return;
									}
								}
							}
						}
					}
					finally
					{
						dajGrafikuSnímky(this.snímka);
						long trvanie = nastavČas();
						if (trvanie > rozdiel) čas -= rozdiel;
						else čas -= trvanie;
						neboloPrekreslené = true;

						// if (trvanie > rozdiel)
						// 	System.out.println("Odčítal som rozdiel: " +
						// 		rozdiel + " (trvanie bolo: " + trvanie + ")");
						// else
						// 	System.out.println("Odčítal som trvanie: " +
						// 		trvanie + " (rozdiel bol: " + rozdiel + ")");
					}
				}
			}
		}
	}

	// Zoznam všetkých práve animovaných obrázkov…
	private final static Vector<Obrázok> animácie = new Vector<Obrázok>();

	/** <a class="alias"></a> Alias pre {@link Obrázok Obrázok}. */
	public static class Obrazok extends Obrázok implements Priehladnost
	{
		public Obrazok() { super(); }
		public Obrazok(int šírka, int výška) { super(šírka, výška); }
		public Obrazok(Image obrázok) { super(obrázok); }
	}


	// ----------------------- //
	//  *** Trieda Oblasť ***  //
	// ----------------------- //

	/**
	 * Trieda je rozšírením triedy Javy {@link Area Area}. Oblasť je
	 * ľubovoľná plocha, ktorá môže byť napríklad obkreslená čiarou,
	 * vyplnená farbou, použitá na {@linkplain GRobot#nekresliDo(Shape)
	 * obmedzenie kreslenia}, prípadne na ďalšie účely. Na tvorbe oblasti sa
	 * môže podieľať zvolený robot alebo ju môžeme vytvoriť pomocou útvarov
	 * ({@link Shape Shape}) Javy. Každý robot je schopný produkovať útvary,
	 * ktoré môžu byť využité na vytvorenie oblasti. Filozofia je taká, že
	 * zavoláme metódu robota na nakreslenie útvaru alebo výpis textu (ktoré
	 * zároveň produkujú útvary) a vyprodukovaný útvar (s jeho veľkosťou
	 * a orientáciou) {@linkplain #pridaj(Shape) pridáme} či {@linkplain
	 * #odober(Shape) odoberieme} od tvorenej oblasti, vytvoríme
	 * {@linkplain #prienik(Shape) prienik} alebo {@linkplain
	 * #alternatíva(Shape) alternatívu} s vytváranou oblasťou. Počas
	 * procesu tvorby oblasti by však bolo nežiaduce (prípadne
	 * nemožné<sup>[1]</sup>), aby robot súčasne produkované útvary
	 * kreslil<sup>[2]</sup>. Preto je dobré ho {@linkplain
	 * #zamestnaj(GRobot) zamestnať} na účely tvorby oblasti. Zamestnaný
	 * robot nekreslí útvary ani nepíše texty dovtedy, kým nie je zo služby
	 * {@linkplain #uvoľni(GRobot) uvoľnený} ({@linkplain #prepusti(GRobot)
	 * prepustený}).
	 * 
	 * <P>
	 * <small><small>[1]</small> – to sa dotýka útvarov vytvorených
	 * z textu</small><br />
	 * <small><small>[2]</small> – nemali by sme možnosť zabrániť
	 * nakresleniu produkovaného útvaru – zdvihnutie pera by nepomohlo,
	 * pretože jeho poloha nemá na kreslenie útvarov vplyv</small>
	 * 
	 * <P>
	 * Na tvorbu oblasti je možné použiť tieto metódy robota:
	 * 
	 * {@link GRobot#krúžok(double polomer) krúžok(polomer)},
	 * {@link GRobot#kružnica(double polomer) kružnica(polomer)},
	 * {@link GRobot#kruh(double polomer) kruh(polomer)},
	 * {@link GRobot#elipsa(double a, double b) elipsa(a, b)},
	 * {@link GRobot#kresliElipsu(double a, double b) kresliElipsu(a, b)},
	 * {@link GRobot#vyplňElipsu(double a, double b) vyplňElipsu(a, b)},
	 * {@link GRobot#štvorec(double polomer) štvorec(polomer)},
	 * {@link GRobot#kresliŠtvorec(double polomer) kresliŠtvorec(polomer)},
	 * {@link GRobot#vyplňŠtvorec(double polomer) vyplňŠtvorec(polomer)},
	 * {@link GRobot#obdĺžnik(double a, double b) obdĺžnik(a, b)},
	 * {@link GRobot#kresliObdĺžnik(double a, double b) kresliObdĺžnik(a, b)},
	 * {@link GRobot#vyplňObdĺžnik(double a, double b) vyplňObdĺžnik(a, b)},
	 * {@link GRobot#hviezda(double polomer) hviezda(polomer)},
	 * {@link GRobot#kresliHviezdu(double polomer) kresliHviezdu(polomer)},
	 * {@link GRobot#vyplňHviezdu(double polomer) vyplňHviezdu(polomer)},
	 * {@link GRobot#cesta() cesta()},
	 * {@link GRobot#text(String) text(text)}
	 * a {@link GRobot#text(String, int) text(text, spôsobKreslenia)}.
	 * 
	 * <P>
	 * Každá z nich môže byť argumentom metód {@link #pridaj(Shape) pridaj},
	 * {@link #odober(Shape) odober}, {@link #prienik(Shape) prienik}
	 * a {@link #alternatíva(Shape) alternatíva}.
	 * 
	 * <P><b>Príklad:</b>
	 * <P>V tomto príklade sú oblasti použité na nakreslenie šrafovaného
	 * obrázka. Oblasti tu slúžia na vymedzenie plochy, do ktorej môže
	 * robot kresliť, vďaka čomu bude výsledkom kreslenia šrafov cez celú
	 * plochu plátna vyšrafovanie iba vymedzenej plochy.
	 * 
	 * <pre CLASS="example">
		{@code kwdimport} knižnica.{@link GRobot GRobot};

		{@code kwdpublic} {@code typeclass} ŠrafovanýObrázokZOblastí {@code kwdextends} {@link GRobot GRobot}
		{
			{@code comm// Konštruktor hlavného robota.}
			{@code kwdprivate} ŠrafovanýObrázokZOblastí()
			{
				{@code comm// Volaním nadradeného konštruktora zmeníme romery plátna}
				{@code comm// (volanie nadradeného konštruktora musí byť prvým príkazom}
				{@code comm// každého nového konštruktora):}
				{@code valsuper}({@code num600}, {@code num400});

				{@code comm// Pred začatím kreslenia vypneme automatické prekresľovanie,}
				{@code comm// aby bol celý proces rýchlejší:}
				{@link Svet Svet}.{@link Svet#nekresli() nekresli}();

				{@code comm// Najskôr zdvihneme pero a vypneme kreslenie tvarov robota,…}
				{@link GRobot#zdvihniPero() zdvihniPero}();
				{@link GRobot#nekresliTvary() nekresliTvary}();

				{@code comm// …aby sme mohli nerušene vygenerovať predlohy všetkých oblastí,}
				{@code comm// ktoré budeme používať pri kreslení šrafovaného obrázka:}
				{@link Oblasť Oblasť} koruna1 = {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}(pootočenáElipsa(-{@code num100}, {@code num80}, {@code num0}, {@code num50}, {@code num100}));
				koruna1.{@link #pridaj(Shape) pridaj}(pootočenáElipsa(-{@code num70}, {@code num70}, {@code num0}, {@code num30}, {@code num80}));
				koruna1.{@link #pridaj(Shape) pridaj}(pootočenáElipsa(-{@code num140}, {@code num60}, {@code num0}, {@code num30}, {@code num60}));
				{@link Oblasť Oblasť} kmeň1 = {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}(kmeň(-{@code num100}, -{@code num70}, {@code num0}, {@code num40}, {@code num140}));
				kmeň1.{@link #odober(Shape) odober}(koruna1);

				{@link Oblasť Oblasť} koruna2 = {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}(pootočenáElipsa({@code num140}, {@code num70}, {@code num0}, {@code num40}, {@code num80}));
				koruna2.{@link #pridaj(Shape) pridaj}(pootočenáElipsa({@code num110}, {@code num80}, {@code num0}, {@code num30}, {@code num60}));
				koruna2.{@link #pridaj(Shape) pridaj}(pootočenáElipsa({@code num180}, {@code num60}, {@code num0}, {@code num30}, {@code num50}));
				{@link Oblasť Oblasť} kmeň2 = {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}(kmeň({@code num140}, -{@code num60}, {@code num0}, {@code num30}, {@code num120}));
				kmeň2.{@link #odober(Shape) odober}(koruna2);

				{@link Oblasť Oblasť} krík1 = {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}(pootočenáElipsa({@code num25}, -{@code num50}, {@code num0}, {@code num80}, {@code num50}));
				krík1.{@link #pridaj(Shape) pridaj}(pootočenáElipsa(-{@code num5}, -{@code num20}, {@code num10}, {@code num35}, {@code num30}));
				krík1.{@link #pridaj(Shape) pridaj}(pootočenáElipsa({@code num55}, -{@code num20}, -{@code num10}, {@code num35}, {@code num30}));
				krík1.{@link #pridaj(Shape) pridaj}(pootočenáElipsa(-{@code num35}, -{@code num70} , {@code num10}, {@code num35}, {@code num30}));
				krík1.{@link #pridaj(Shape) pridaj}(pootočenáElipsa({@code num75}, -{@code num70} , -{@code num10}, {@code num35}, {@code num30}));

				{@link Oblasť Oblasť} krík2 = {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}(pootočenáElipsa({@code num275}, -{@code num60} , {@code num0}, {@code num75}, {@code num45}));
				krík2.{@link #pridaj(Shape) pridaj}(pootočenáElipsa({@code num245}, -{@code num30} , {@code num10}, {@code num30}, {@code num25}));
				krík2.{@link #pridaj(Shape) pridaj}(pootočenáElipsa({@code num305}, -{@code num30} , -{@code num10}, {@code num30}, {@code num25}));
				krík2.{@link #pridaj(Shape) pridaj}(pootočenáElipsa({@code num215}, -{@code num80} , {@code num10}, {@code num30}, {@code num25}));
				krík2.{@link #pridaj(Shape) pridaj}(pootočenáElipsa({@code num325}, -{@code num80} , -{@code num10}, {@code num30}, {@code num25}));

				{@link Oblasť Oblasť} krík3 = {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}(pootočenáElipsa(-{@code num265}, -{@code num80} , {@code num0}, {@code num75}, {@code num45}));
				krík3.{@link #pridaj(Shape) pridaj}(pootočenáElipsa(-{@code num235}, -{@code num50} , {@code num10}, {@code num30}, {@code num25}));
				krík3.{@link #pridaj(Shape) pridaj}(pootočenáElipsa(-{@code num295}, -{@code num50} , -{@code num10}, {@code num30}, {@code num25}));
				krík3.{@link #pridaj(Shape) pridaj}(pootočenáElipsa(-{@code num205}, -{@code num100} , {@code num10}, {@code num30}, {@code num25}));
				krík3.{@link #pridaj(Shape) pridaj}(pootočenáElipsa(-{@code num315}, -{@code num100} , -{@code num10}, {@code num30}, {@code num25}));

				{@link Oblasť Oblasť} horizont = horizont();
				{@link Oblasť Oblasť} slnko = kružnicaNa({@code num280}, {@code num200}, {@code num80});
				{@link Oblasť Oblasť} oblak = oblak();


				{@code comm// (Všimnite si, že od oblasti zeme a oblohy musíme odčítať všetky}
				{@code comm// také oblasti, ktoré ich prekrývajú, inak by šrafovanie zasiahlo}
				{@code comm// aj do nich.)}
				{@link Oblasť Oblasť} zem = {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}(horizont);
				zem.{@link #odober(Shape) odober}(koruna1);
				zem.{@link #odober(Shape) odober}(kmeň1);
				zem.{@link #odober(Shape) odober}(koruna2);
				zem.{@link #odober(Shape) odober}(kmeň2);
				zem.{@link #odober(Shape) odober}(krík1);
				zem.{@link #odober(Shape) odober}(krík2);
				zem.{@link #odober(Shape) odober}(krík3);

				{@code comm// Počiatočný tvar oblasti oblohy získame odčítaním oblasti}
				{@code comm// horizontu od obdĺžnika prekrývajúceho celé plátno (zasahujúc}
				{@code comm// mierne za jeho hranice):}
				{@link GRobot#domov() domov}();
				{@link Oblasť Oblasť} obloha = {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}(obdĺžnik({@code num310}, {@code num210}));
				obloha.{@link #odober(Shape) odober}(horizont);

				{@code comm// (Potom pokračujeme odčítavaním oblastí tvarov, ktoré oblohu}
				{@code comm// prekrývajú – ako je napísané vyššie.)}
				obloha.{@link #odober(Shape) odober}(koruna1);
				obloha.{@link #odober(Shape) odober}(kmeň1);
				obloha.{@link #odober(Shape) odober}(koruna2);
				obloha.{@link #odober(Shape) odober}(kmeň2);
				obloha.{@link #odober(Shape) odober}(krík1);
				obloha.{@link #odober(Shape) odober}(krík2);
				obloha.{@link #odober(Shape) odober}(krík3);
				obloha.{@link #odober(Shape) odober}(slnko);
				obloha.{@link #odober(Shape) odober}(oblak);


				{@code comm// Pred šrafovaním položíme pero:}
				{@link GRobot#položPero() položPero}();


				{@code comm// A vyšrafujeme a obkreslíme jednotlivé oblasti:}
				{@link GRobot#kresliDo(Shape) kresliDo}(koruna1);
				šrafovanie3();
				{@link GRobot#kresliVšade() kresliVšade}();
				koruna1.{@link #kresli(GRobot) kresli}({@code valthis}); {@code comm// <-- toto znamená, že koruna1 bude}
				                      {@code comm// nakreslená „týmto“ (this), to jest}
				                      {@code comm// aktuálnym robotom}

				{@link GRobot#kresliDo(Shape) kresliDo}(kmeň1);
				šrafovanie4();
				{@link GRobot#kresliVšade() kresliVšade}();
				kmeň1.{@link #kresli(GRobot) kresli}({@code valthis});

				{@link GRobot#kresliDo(Shape) kresliDo}(koruna2);
				šrafovanie4();
				{@link GRobot#kresliVšade() kresliVšade}();
				koruna2.{@link #kresli(GRobot) kresli}({@code valthis});

				{@link GRobot#kresliDo(Shape) kresliDo}(kmeň2);
				šrafovanie3();
				{@link GRobot#kresliVšade() kresliVšade}();
				kmeň2.{@link #kresli(GRobot) kresli}({@code valthis});


				{@link GRobot#kresliDo(Shape) kresliDo}(krík1);
				šrafovanie3();
				šrafovanie4();
				{@link GRobot#kresliVšade() kresliVšade}();
				krík1.{@link #kresli(GRobot) kresli}({@code valthis});

				{@link GRobot#kresliDo(Shape) kresliDo}(krík2);
				šrafovanie3();
				šrafovanie4();
				{@link GRobot#kresliVšade() kresliVšade}();
				krík2.{@link #kresli(GRobot) kresli}({@code valthis});

				{@link GRobot#kresliDo(Shape) kresliDo}(krík3);
				šrafovanie3();
				šrafovanie4();
				{@link GRobot#kresliVšade() kresliVšade}();
				krík3.{@link #kresli(GRobot) kresli}({@code valthis});


				{@link GRobot#kresliDo(Shape) kresliDo}(zem);
				šrafovanie1();
				{@link GRobot#kresliVšade() kresliVšade}();
				zem.{@link #kresli(GRobot) kresli}({@code valthis});

				{@link GRobot#kresliDo(Shape) kresliDo}(obloha);
				šrafovanie2();
				{@link GRobot#kresliVšade() kresliVšade}();
				obloha.{@link #kresli(GRobot) kresli}({@code valthis});


				{@link GRobot#kresliDo(Shape) kresliDo}(slnko);
				šrafovanie3();
				{@link GRobot#kresliVšade() kresliVšade}();
				slnko.{@link #kresli(GRobot) kresli}({@code valthis});

				{@link GRobot#kresliDo(Shape) kresliDo}(oblak);
				šrafovanie4();
				{@link GRobot#kresliVšade() kresliVšade}();
				oblak.{@link #kresli(GRobot) kresli}({@code valthis});


				{@code comm// Obrázok je hotový, spätne zapneme prekresľovanie:}
				{@link Svet Svet}.{@link Svet#kresli() kresli}();
			}


			{@code comm// Šrafovanie vo vertikálnom (zvislom) smere.}
			{@code comm// (Implementácia sa spolieha na presné rozmery plátna: 600 × 400 bodov.)}
			{@code kwdprivate} {@code typevoid} šrafovanie1()
			{
				{@link GRobot#smer(double) smer}({@code num90});
				{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num41}; ++i)
				{
					{@link GRobot#skočNa(double, double) skočNa}(-{@code num300} + i * {@code num15}, -{@code num200});
					{@link GRobot#dopredu(double) dopredu}({@code num400});
				}
			}

			{@code comm// Šrafovanie v horizontálnom (vodorovnom) smere.}
			{@code comm// (Implementácia sa spolieha na presné rozmery plátna: 600 × 400 bodov.)}
			{@code kwdprivate} {@code typevoid} šrafovanie2()
			{
				{@link GRobot#smer(double) smer}({@code num0});
				{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num28}; ++i)
				{
					{@link GRobot#skočNa(double, double) skočNa}(-{@code num300}, -{@code num200} + i * {@code num15});
					{@link GRobot#dopredu(double) dopredu}({@code num600});
				}
			}

			{@code comm// Šrafovanie v diagonálnom smere 45° (zospodu zľava hore doprava).}
			{@code comm// (Implementácia sa spolieha na presné rozmery plátna: 600 × 400 bodov.)}
			{@code kwdprivate} {@code typevoid} šrafovanie3()
			{
				{@link GRobot#smer(double) smer}({@code num45});
				{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num68}; ++i)
				{
					{@link GRobot#skočNa(double, double) skočNa}({@code num300} &#45; i * {@code num15}, -{@code num200});
					{@link GRobot#dopredu(double) dopredu}({@code num580});
				}
			}

			{@code comm// Šrafovanie v diagonálnom smere 135° (zospodu sprava hore doľava).}
			{@code comm// (Implementácia sa spolieha na presné rozmery plátna: 600 × 400 bodov.)}
			{@code kwdprivate} {@code typevoid} šrafovanie4()
			{
				{@link GRobot#smer(double) smer}({@code num135});
				{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num68}; ++i)
				{
					{@link GRobot#skočNa(double, double) skočNa}(-{@code num300} + i * {@code num15}, -{@code num200});
					{@link GRobot#dopredu(double) dopredu}({@code num580});
				}
			}


			{@code comm// Nasledujúca metóda slúži na vygenerovanie oblasti v tvare pootočenej}
			{@code comm// elipsy (so stanovením jej rozmerov).}
			{@code comm//   sx – x-ová súradnica stredu elipsy}
			{@code comm//   sy – y-ová súradnica stredu elipsy}
			{@code comm//   α  – uhol pootočenia elipsy}
			{@code comm//   a  – veľkosť hlavnej poloosi elipsy}
			{@code comm//   b  – veľkosť vedľajšej poloosi elipsy}
			{@code kwdprivate} Oblasť pootočenáElipsa(
				{@code typedouble} sx, {@code typedouble} sy, {@code typedouble} α, {@code typedouble} a, {@code typedouble} b)
			{
				{@link GRobot#skočNa(double, double) skočNa}(sx, sy);
				{@link GRobot#smer(double) smer}({@code num90} + α);
				{@code kwdreturn} {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}({@link GRobot#elipsa(double, double) elipsa}(a, b));
			}

			{@code comm// Nasledujúca metóda slúži na vygenerovanie oblasti, ktorú ohraničuje}
			{@code comm// kružnica s určením jej stredu (a samozrejme i polomeru).}
			{@code comm//   sx – x-ová súradnica stredu kružnice}
			{@code comm//   sy – y-ová súradnica stredu kružnice}
			{@code comm//   r  – polomer kružnice}
			{@code kwdprivate} {@link Oblasť Oblasť} kružnicaNa({@code typedouble} sx, {@code typedouble} sy, {@code typedouble} r)
			{
				{@link GRobot#skočNa(double, double) skočNa}(sx, sy);
				{@code kwdreturn} {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}({@link GRobot#kružnica(double) kružnica}(r));
			}


			{@code comm// Nasledujúca metóda slúži na vygenerovanie tvaru nazvaného kmeň. Ide}
			{@code comm// o tvar získaný odrezaním plôšok z dvoch protiľahlých strán obdĺžnika,}
			{@code comm// pričom plôšky sú určené oblúčikmi tak, že v podstate vymedzujú}
			{@code comm// kruhové odseky. Tento tvar dokážeme získať rôznymi spôsobmi, ale}
			{@code comm// v tomto príklade ho vytvárame z cesty (čiže akoby zo záznamu dráhy,}
			{@code comm// ktorú robot prechádza), pričom okrem priamočiareho kráčania}
			{@code comm// použijeme aj príkazy robota na kráčanie po oblúku.}
			{@code comm//   sx – x-ová súradnica stredu kmeňa}
			{@code comm//   sy – y-ová súradnica stredu kmeňa}
			{@code comm//   α  – pootočenie tvaru kmeňa}
			{@code comm//   š  – šírka kmeňa}
			{@code comm//   v  – výška kmeňa}
			{@code kwdprivate} {@link Oblasť Oblasť} kmeň({@code typedouble} sx, {@code typedouble} sy, {@code typedouble} α, {@code typedouble} š, {@code typedouble} v)
			{
				{@code comm// Najprv treba vypočítať/získať súradnice rohov obdĺžnika}
				{@code comm// ohraničujúceho tvar kmeňa.}

				{@code comm// Prvým krokom je presun na súradnice stredu, pootočenie}
				{@code comm// a potom presun na súradnice ľavého dolného rohu kmeňa:}
				{@link GRobot#skočNa(double, double) skočNa}(sx, sy);
				{@link GRobot#smer(double) smer}({@code num90} + α);
				{@link GRobot#dozadu(double) dozadu}(v / {@code num2.0});
				{@link GRobot#posuňDoľava(double) posuňDoľava}(š / {@code num2.0});

				{@code comm// Potom pokračujeme postupným zapamätávaním aktuálnych súradníc}
				{@code comm// a pochodovanie po ohraničujúcom obdĺžniku, čím získavame súradnice}
				{@code comm// rohov obdĺžnika:}
				{@link Bod Bod} vľavoDole = {@link GRobot#poloha() poloha}();
				{@link GRobot#dopredu(double) dopredu}(v);
				{@link Bod Bod} vľavoHore = {@link GRobot#poloha() poloha}();
				{@link GRobot#vpravo(double) vpravo}({@code num90});
				{@link GRobot#dopredu(double) dopredu}(š);
				{@link Bod Bod} vpravoHore = {@link GRobot#poloha() poloha}();
				{@link GRobot#vpravo(double) vpravo}({@code num90});
				{@link GRobot#dopredu(double) dopredu}(v);
				{@link Bod Bod} vpravoDole = {@link GRobot#poloha() poloha}();

				{@code comm// Teraz môžeme začať kresliť tvar kmeňa. Najprv sa presunieme}
				{@code comm// do ľavého spodného rohu a pootočíme robota o 10° doprava vzhľadom}
				{@code comm// na počiatočné pootočenie, čiže presne na uhol 80° + α:}
				{@link GRobot#skočNa(double, double) skočNa}(vľavoDole);
				{@link GRobot#smer(double) smer}({@code num80} + α);

				{@code comm// Zahájime záznam cesty a postupne sa rôznymi spôsobmi posúvame do}
				{@code comm// ďalších rohov ohraničujúceho obdĺžnika tak, aby sme získali}
				{@code comm// požadovaný tvar:}
				{@link GRobot#začniCestu() začniCestu}();
				{@link GRobot#choďNaPoOblúku(Poloha) choďNaPoOblúku}(vľavoHore);
				{@link GRobot#choďNa(double, double) choďNa}(vpravoHore);
				{@link GRobot#smer(double) smer}({@code num260} + α);
				{@link GRobot#choďNaPoOblúku(Poloha) choďNaPoOblúku}(vpravoDole);

				{@code comm// Nakoniec cestu zavrieme a výsledný tvar vrátime:}
				{@link GRobot#uzavriCestu() uzavriCestu}();
				{@code kwdreturn} {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}({@link GRobot#cesta() cesta}());
			}


			{@code comm// Tvar horizontu je vytvorený napevno ako obdĺžnik, ktorý je o niečo}
			{@code comm// širší ako šírka plátna, je tiež posunutý mierne pod úroveň rozmerov}
			{@code comm// plátna a namiesto hornej strany má čiaru vytvorenú z niekoľkých}
			{@code comm// oblúkov.}
			{@code comm// (Implementácia sa spolieha na presné rozmery plátna: 600 × 400 bodov.)}
			{@code kwdprivate} {@link Oblasť Oblasť} horizont()
			{
				{@link GRobot#skočNa(double, double) skočNa}(-{@code num310}, -{@code num210});
				{@link GRobot#začniCestu() začniCestu}();
				{@link GRobot#choďNa(double, double) choďNa}(-{@code num310}, -{@code num80});
				{@link GRobot#smer(double) smer}({@code num30});
				{@link GRobot#choďNaPoOblúku(double, double) choďNaPoOblúku}({@code num50}, {@code num0});
				{@link GRobot#choďNaPoOblúku(double, double) choďNaPoOblúku}({@code num230}, -{@code num50});
				{@link GRobot#choďNaPoOblúku(double, double) choďNaPoOblúku}({@code num310}, -{@code num50});
				{@link GRobot#choďNa(double, double) choďNa}({@code num310}, -{@code num210});
				{@link GRobot#uzavriCestu() uzavriCestu}();
				{@code kwdreturn} {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}({@link GRobot#cesta() cesta}());
			}

			{@code comm// Tvar oblaku je najkomplikovanejší z generovaných tvarov. Je}
			{@code comm// vytvorený zlúčením trojice „chumáčov“ rotovaných elíps. Tvar je}
			{@code comm// v tomto príklade vytvorený napevno. Keby sme ho chceli}
			{@code comm// parametrizovať (získať možnosť úpravy jeho polohy, prípadne}
			{@code comm// orientáciu a podobne), museli by sme sa zamerať na požadované}
			{@code comm// časti metódy – poloha chumáčov je nastavená s pomocou trojice:}
			{@code comm// riadiaca štruktúra switch a volanie metód smer a dopredu;}
			{@code comm// s úpravou orientácie oblaku by to bolo komplikovanejšie, na to}
			{@code comm// by bolo potrebné metódu mierne prepracovať.}
			{@code kwdprivate} {@link Oblasť Oblasť} oblak()
			{
				{@code comm// Vytvorenie oblasti, do ktorej budú postupne zlučované všetky}
				{@code comm// vygenerované elipsy:}
				{@link Oblasť Oblasť} oblak = {@code kwdnew} {@link Oblasť#GRobot.Oblasť() Oblasť}();

				{@code comm// Vonkajší cyklus určuje, že budú vygenerované tri „chumáče“ elíps:}
				{@code kwdfor} ({@code typeint} j = {@code num0}; j &lt; {@code num3}; ++j)
				{
					{@code comm// Vnútorný cyklus určuje, že každý „chumáč“ bude pozostávať}
					{@code comm// z piatich elíps:}
					{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num5}; ++i)
					{
						{@code comm// Toto vetvenie určuje stredy jednotlivých „chumáčov“:}
						{@code kwdswitch} (j)
						{
							{@code kwdcase} {@code num0}: {@link GRobot#skočNa(double, double) skočNa}(-{@code num280}, {@code num200}); {@code kwdbreak};
							{@code kwdcase} {@code num1}: {@link GRobot#skočNa(double, double) skočNa}(-{@code num250}, {@code num220}); {@code kwdbreak};
							{@code kwdcase} {@code num2}: {@link GRobot#skočNa(double, double) skočNa}(-{@code num220}, {@code num200}); {@code kwdbreak};
						}
						{@code comm// Tieto dva príkazy rozmiestňujú elipsy v rámci jedného}
						{@code comm// „chumáča“:}
						{@link GRobot#smer(double) smer}({@code num75} * i);
						{@link GRobot#dopredu(double) dopredu}({@code num20});

						{@code comm// Vygenerovanie elipsy a jej pridanie do oblasti:}
						oblak.{@link #pridaj(Shape) pridaj}({@link GRobot#elipsa(double, double) elipsa}({@code num50}, {@code num30}));
					}
				}

				{@code comm// Vrátenie výsledného tvaru oblaku:}
				{@code kwdreturn} oblak;
			}


			{@code comm// Hlavná metóda.}
			{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}... args)
			{
				{@link Svet Svet}.{@link Svet#použiKonfiguráciu(String) použiKonfiguráciu}({@code srg"srafovany-obrazok-z-oblasti.cfg"});
				{@code kwdnew} ŠrafovanýObrázokZOblastí();
			}
		}
		</pre>
	 * 
	 * <P><b>Výsledok:</b>
	 * 
	 * <table style="margin-left: auto; margin-right: auto;"><tr>
	 * <td><image>srafovanyObrazokSkica.png</image></td>
	 * <td rowspan="2">   </td>
	 * <td><image>srafovanyObrazok.png</image></td></tr><tr>
	 * <td style="text-align: center;"><small>Skica obrázka – všetky použité
	 * tvary (len predlohy) s vyznačením plochy plátna (tyrkysovou)</small></td>
	 * <td style="text-align: center;"><small>Výsledný vyšrafovaný
	 * obrázok</small></td></tr></table>
	 * 
	 * <P>Výsledok je vcelku uspokojivý. No čo ak by sme chceli štyri metódy
	 * na šrafovanie nahradiť jedinou univerzálnou? Metódou, ktorá by
	 * dovoľovala určiť šírku šrafov a ich smer?
	 * 
	 * <P><small>(<b>Poznámky:</b> Zachováme spôsob prešrafovania celej
	 * plochy plátna, pretože tento spôsob dokáže bez dodatočných úprav
	 * v algoritme zabezpečiť univerzálne polohovanie šrafov v rôznych
	 * tvaroch pri zadaní rovnakých parametrov rozostupu a smeru šrafovania.
	 * Ak by nám na univerálnom polohovaní nezáležalo (alebo by sme si ho
	 * boli ochotní algoritmicky doriešiť) a chceli by sme byť úsporní
	 * a prešrafovať len plochu šrafovanej oblasti, museli by sme zadať
	 * šrafovanú oblasť ako parameter metódy a potom by bolo treba: nahradiť
	 * zisťovanie {@linkplain Svet#šírka() šírky} a {@linkplain Svet#výška()
	 * výšky} plátien {@linkplain #šírka() šírkou} a {@linkplain #výška()
	 * výškou} oblasti, použiť príkaz na hľadanie {@linkplain
	 * GRobot#vzdialenosťOd(Shape) vzdialenosti k stredu oblasti (resp.
	 * tvaru)} a nahradiť alebo eliminovať príkaz {@linkplain GRobot#domov()
	 * prechodu na domovskú pozíciu robota}, napríklad nahradiť ho príkazom
	 * {@linkplain GRobot#skočNa(Shape) prechodu (preskoku) do stredu oblasti}
	 * alebo eliminovať ho zabezpečením tohto prechodu (do stredu oblasti)
	 * už na začiatku algoritmu a zisťovaním vzdialenosti k opačnému bodu
	 * vyšetrovanej pomyselnej úsečky – robot by sa potom už nemusel dodatočne
	 * nikam presúvať.)</small>
	 * 
	 * <P>Takáto metóda je uvedená nižšie a funguje tak, že najskôr zistí
	 * rozsah šrafovania, presunie sa mimo šrafovanú plochu v určenom smere
	 * šrafovania a prešrafuje ju s použitím určeného rozostupu šrafov.
	 * 
	 * <pre CLASS="example">
		{@code kwdprivate} {@code typevoid} šrafovanie({@code typedouble} smer, {@code typedouble} rozostup)
		{
			{@code comm// Presun za hranice plôch plátien sveta (o vzdialenosť šírky}
			{@code comm// šrafovania v oboch smeroch osí súradnicovej sústavy do pravého}
			{@code comm// horného rohu plôch plátien) a zistenie vzdialenosti od stredu}
			{@code comm// súradnicovej sústavy. Táto vzdialenosť bude určovať rozsah}
			{@code comm// šrafovania od stredu šrafovanej plochy (t. j. celého plátna):}
			{@link GRobot#skočNa(double, double) skočNa}({@link Svet Svet}.{@link Svet#šírka() šírka}() + rozostup, {@link Svet Svet}.{@link Svet#výška() výška}() + rozostup);
			{@code typedouble} rozsah = {@link GRobot#vzdialenosť() vzdialenosť}();

			{@code comm// Presun na začiatok (ak predpokladáme, že domovskú pozíciu}
			{@code comm// nebudeme meniť) a nasmerovanie sa do smeru šrafovania:}
			{@link GRobot#domov() domov}();
			{@link GRobot#smer(double) smer}(smer);

			{@code comm// Presun za hranice šrafovanej plochy o zistený rozsah:}
			{@link GRobot#zdvihniPero() zdvihniPero}();
			{@link GRobot#dozadu(double) dozadu}(rozsah);
			{@link GRobot#posuňVpravo(double) posuňVpravo}(rozsah);

			{@code comm// Postupné prešrafovanie celej plochy:}
			{@code kwdfor} ({@code typedouble} l = -rozsah; l &lt; rozsah; l += rozostup)
			{
				{@link GRobot#položPero() položPero}();
				{@link GRobot#dopredu(double) dopredu}({@code num2} * rozsah);

				{@link GRobot#zdvihniPero() zdvihniPero}();
				{@link GRobot#vzad(double) vzad}({@code num2} * rozsah);
				{@link GRobot#posuňVľavo(double) posuňVľavo}(rozostup);
			}
		}
		</pre>
	 * 
	 * <P>Skutočný priebeh šrafovania obdĺžnikového tvaru (napríklad celého
	 * plátna) v smere 72° a s rozostupom 4 body:
	 * 
	 * <P><image>univerzalneSrafovanieCelaObrazovka.png</image>Skutočný
	 * priebeh šrafovania príkazom <code>šrafovanie(72, 4)</code>
	 * z nadhľadu – tyrkysový obdĺžnik vymedzuje plochu šrafovanej oblasti
	 * 
	 * <P>Nižšie je obrázok šrafovaný metódami zhrnutými v nasledujúcej
	 * tabuľke:
	 * 
	 * <style><!--
	 * table.srafovanie
	 * {
	 * 	border: 1px solid black;
	 * }
	 * table.srafovanie tr th,
	 * table.srafovanie tr td
	 * {
	 * 	padding: 4px 8px;
	 * 	border: 1px solid black;
	 * }
	 * --></style>
	 * <table style="margin: auto">
	 * <tr><td>
	 * <table class="srafovanie">
	 * <tr><th>Oblasť</th><th>Príkazy</th></tr>
	 * <tr><td><code>koruna1</code></td>
	 * <td><code>šrafovanie(18, 12);<br />šrafovanie(-18, 12);</code></td></tr>
	 * <tr><td><code>kmeň1</code></td>
	 * <td><code>šrafovanie(72, 8);<br />šrafovanie(108, 8);</code></td></tr>
	 * <tr><td><code>koruna2</code></td>
	 * <td><code>šrafovanie(18, 12);<br />šrafovanie(-18, 12);</code></td></tr>
	 * <tr><td><code>kmeň2</code></td>
	 * <td><code>šrafovanie(72, 8);<br />šrafovanie(108, 8);</code></td></tr>
	 * </table>
	 * </td><td>    </td><td>
	 * <table class="srafovanie">
	 * <tr><th>Oblasť</th><th>Príkaz</th></tr>
	 * <tr><td><code>krík1</code></td>
	 * <td><code>šrafovanie(90, 9);</code></td></tr>
	 * <tr><td><code>krík2</code></td>
	 * <td><code>šrafovanie(72, 9);</code></td></tr>
	 * <tr><td><code>krík3</code></td>
	 * <td><code>šrafovanie(108, 9);</code></td></tr>
	 * <tr><td><code>zem</code></td>
	 * <td><code>šrafovanie(30, 16);</code></td></tr>
	 * <tr><td><code>obloha</code></td>
	 * <td><code>šrafovanie(0, 18);</code></td></tr>
	 * <tr><td><code>slnko</code></td>
	 * <td><code>šrafovanie(45, 20);</code></td></tr>
	 * <tr><td><code>oblak</code></td>
	 * <td><code>šrafovanie(-45, 20);</code></td></tr>
	 * </table>
	 * </td></tr>
	 * </table>
	 * 
	 * <P><image>univerzalneSrafovanyObrazok.png</image> <br />Výsledok
	 * šrafovania obrázka príkazmi uvedenými v tabuľke vyššie
	 * 
	 * <P> 
	 * 
	 * <P>Na záver niekoľko faktov o oblastiach a o ich vnútornej stavbe.
	 * Informácie vyplývajú aj z originálnej dokumentácie triedy {@link Area
	 * Area} (pozri odkaz nižšie). Oblasť tvorí vždy uzavretý útvar (obopína
	 * vždy nejakú plochu po celom jej obvode). Aj keď bola vytvorená
	 * z tvaru, ktorý pôvodne nebol je uzavretý (napríklad neuzavretá {@link
	 * GRobot#cesta() cesta}). Ak sa pokúsime vytvoriť oblasť z útvaru, ktorý
	 * „nemá“ (neobopína) žiadnu plochu (napríklad úsečka), získame
	 * {@linkplain #prázdna() prázdnu} oblasť. Aj keď útvary, z ktorých
	 * oblasť tvoríme, sú jednoduché, výsledná oblasť nikdy nie je
	 * v skutočnosti taká jednoduchá. Napríklad {@linkplain
	 * GRobot#kružnica(double) kružnica} alebo {@linkplain
	 * GRobot#elipsa(double, double) elipsa} sú na pohľad jednoduché, ale
	 * z nich vytvorená oblasť bude vždy tvorená viacerými segmentami
	 * (v tomto prípade krivkami). Zložitosť oblasti má vplyv na rýchlosť
	 * spracovania pri jej použití v programe, najmä na detekciu
	 * {@linkplain GRobot#koliduje(GRobot) kolízií}.
	 * 
	 *  @see java.awt.geom.Area
	 */
	public static class Oblasť extends Area implements Poloha
	{
		// Pozri aj: https://docs.oracle.com/javase/8/docs/api/java/awt/geom/Area.html

		// Obojstranná previazanosť – robot si zase pamätá „zamestnanýPre“
		private GRobot zamestnanec;

		/**
		 * Predvolený konštruktor. Dovoľuje vytvoriť oblasť bez spresňujúcich
		 * parametrov.
		 */
		public Oblasť() {}

		/**
		 * Vytvorí oblasť z určeného tvaru.
		 * 
		 *  @param tvar ľubovoľný tvar Javy; ak sa chcete vyhnúť ťažkostiam
		 *      s úpravou súradnicového priestoru, odporúčame na generovanie
		 *      tvarov používať metódy robota (pozri {@linkplain Oblasť
		 *      úvod}), najlepšie toho, ktorý bol na účely tvorby tejto
		 *      oblasti {@linkplain #zamestnaj(GRobot) zamestnaný}
		 */
		public Oblasť(Shape tvar) { super(tvar); }

		/**
		 * Vytvorí prázdnu oblasť so zadaným zamestnancom. Pre podrobnosti
		 * o zamestnancovi pozri metódu {@link #zamestnaj(GRobot) zamestnaj}.
		 * 
		 *  @param zamestnanec robot, ktorý má byť použitý na účely tvorby
		 *      tejto oblasti (prípadne na jej nakreslenie)
		 *  @throws GRobotException ak je stanovený robot zamestnaný pre inú
		 *      oblasť
		 */
		public Oblasť(GRobot zamestnanec) { zamestnaj(zamestnanec); }

		/**
		 * Vytvorí oblasť z určeného tvaru a so zadaným zamestnancom. Pre
		 * podrobnosti o zamestnancovi pozri metódu {@link #zamestnaj(GRobot)
		 * zamestnaj}.
		 * 
		 *  @param tvar ľubovoľný tvar Javy; ak sa chcete vyhnúť ťažkostiam
		 *      s úpravou súradnicového priestoru, odporúčame na generovanie
		 *      tvarov používať metódy robota (pozri {@linkplain Oblasť
		 *      úvod}), najlepšie toho, ktorý bol na účely tvorby tejto
		 *      oblasti {@linkplain #zamestnaj(GRobot) zamestnaný}
		 *  @param zamestnanec robot, ktorý má byť použitý na účely tvorby
		 *      tejto oblasti (prípadne na jej nakreslenie)
		 *  @throws GRobotException ak je stanovený robot zamestnaný pre inú
		 *      oblasť
		 */
		public Oblasť(Shape tvar, GRobot zamestnanec)
		{ super(tvar); zamestnaj(zamestnanec); }


		/**
		 * Zistí, či je táto oblasť prázdna – t. j. či obopína nejakú plochu.
		 * 
		 *  @return {@code valtrue} ak je táto oblasť prázdna
		 *      (netvorí/neobsahuje žiadny útvar); inak {@code valfalse}
		 */
		public boolean prázdna() { return isEmpty(); }

		/** <a class="alias"></a> Alias pre {@link #prázdna() prázdna}. */
		public boolean prazdna() { return isEmpty(); }


		/**
		 * Zamestná zadaného robota na účely tvorby tejto oblasti. Oblasť
		 * môže byť vytvorená aj bez pomoci robota (prostriedkami Javy),
		 * avšak na využitie možností robota, je jednoduchšie zamestnať
		 * robota, ktorý pomôže vytvoriť oblasť pomocou svojich prostriedkov
		 * na kreslenie útvarov a písanie textov (resp. „kreslenie“ textov).
		 * Každý robot stráca súčasne so zamestnaním schopnosť kreslenia
		 * a vypĺňania útvarov (okrem kreslenia a vypĺňania cesty) a písania
		 * textov. Je to z dôvodu presunutia týchto schopností do tvorby
		 * oblasti… Po {@linkplain #uvoľni(GRobot) prepustení} robota zo
		 * služby sa jeho schopnosti automaticky obnovia.
		 * 
		 * <P>Robot nesmie byť zamestnaný pre inú oblasť, lebo vznikne
		 * výnimka.
		 * 
		 * <P>Na tvorbu oblasti je možné použiť tieto metódy robota:
		 * 
		 * {@link GRobot#krúžok(double polomer) krúžok(polomer)},
		 * {@link GRobot#kružnica(double polomer) kružnica(polomer)},
		 * {@link GRobot#kruh(double polomer) kruh(polomer)},
		 * {@link GRobot#elipsa(double a, double b) elipsa(a, b)},
		 * {@link GRobot#kresliElipsu(double a, double b) kresliElipsu(a, b)},
		 * {@link GRobot#vyplňElipsu(double a, double b) vyplňElipsu(a, b)},
		 * {@link GRobot#štvorec(double polomer) štvorec(polomer)},
		 * {@link GRobot#kresliŠtvorec(double polomer) kresliŠtvorec(polomer)},
		 * {@link GRobot#vyplňŠtvorec(double polomer) vyplňŠtvorec(polomer)},
		 * {@link GRobot#obdĺžnik(double a, double b) obdĺžnik(a, b)},
		 * {@link GRobot#kresliObdĺžnik(double a, double b) kresliObdĺžnik(a, b)},
		 * {@link GRobot#vyplňObdĺžnik(double a, double b) vyplňObdĺžnik(a, b)},
		 * {@link GRobot#hviezda(double polomer) hviezda(polomer)},
		 * {@link GRobot#kresliHviezdu(double polomer) kresliHviezdu(polomer)},
		 * {@link GRobot#vyplňHviezdu(double polomer) vyplňHviezdu(polomer)},
		 * {@link GRobot#cesta() cesta()},
		 * {@link GRobot#text(String) text(text)}
		 * a {@link GRobot#text(String, int) text(text, spôsobKreslenia)}.
		 * 
		 * <P>Každá z nich môže byť argumentom metód {@link #pridaj(Shape)
		 * pridaj}, {@link #odober(Shape) odober}, {@link #prienik(Shape)
		 * prienik} a {@link #alternatíva(Shape) alternatíva}.
		 * 
		 * @param zamestnanec robot, ktorý má byť použitý na účely tvorby
		 *      tejto oblasti (prípadne na jej nakreslenie)
		 * @throws GRobotException ak je robot zamestnaný pre inú oblasť
		 */
		public void zamestnaj(GRobot zamestnanec)
		{
			if (this.zamestnanec == zamestnanec) return;
			if (null != zamestnanec.zamestnanýPre) throw new GRobotException(
				"Tento robot už je zamestnaný na účely tvorby inej " +
				"oblasti.", "robotAlreadyEmployed");
			uvoľni();
			zamestnanec.kresliTvary = false;
			zamestnanec.zamestnanýPre = this;
			this.zamestnanec = zamestnanec;
		}

		/**
		 * Automaticky uvoľní robota {@linkplain #zamestnaj(GRobot)
		 * zamestnaného} na účely tvorby (prípadne kreslenia) tejto oblasti.
		 * Ak taký robot nejestvuje, volanie metódy nemá žiadny efekt.
		 * 
		 * <P><small>(<b>Poznámka:</b> Názov {@code curruvoľni} má
		 * v knižnici grafického robota deväť rôznych metód:
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni(Oblasť)
		 * uvoľni}{@code (}{@link Oblasť Oblasť}{@code )},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )}
		 * – slúžia na uvoľnenie robota zo zamestnania pre stanovenú
		 * oblasť (čo je geometrická trieda),
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni() uvoľni}{@code ()}
		 * – slúži na uvoľnenie hlavného okna sveta, t. j. umožnenie
		 * zmeny veľkosti okna používateľovi (ide o opak metódy {@link
		 * Svet#upevni() Svet.upevni}) a nakoniec
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.Class)
		 * uvoľni}{@code (}{@link java.lang.Class Class}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot.Obrázok)
		 * uvoľni}{@code (}{@link Obrázok Obrázok}{@code )}
		 * a {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.String)
		 * uvoľni}{@code (}{@link java.lang.String String}{@code )}
		 * – slúžia na uvoľňovanie nepotrebných inštancií robotov
		 * vytvorených alebo prečítaných obrázkov a prečítaných zvukov
		 * z vnútorných zoznamov robotov, obrázkov a zdrojov, čo je jednak
		 * nevyhnutnou podmienkou ich úspešného vymazania z pamäte zberačom
		 * odpadkov Javy a jednak to môže byť niekedy potrebné, ak sa
		 * napríklad obsah súboru zdroja uloženého na disku
		 * zmenil.)</small>
		 * 
		 * @see #uvoľni(GRobot)
		 * @see GRobot#uvoľni()
		 */
		public void uvoľni()
		{
			if (null != zamestnanec)
			{
				zamestnanec.kresliTvary = true;
				zamestnanec.zamestnanýPre = null;
				zamestnanec = null;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #uvoľni() uvoľni}. */
		public void uvolni() { uvoľni(); }

		/** <a class="alias"></a> Alias pre {@link #uvoľni() uvoľni}. */
		public void prepusti() { uvoľni(); }

		/**
		 * Uvoľní robota {@linkplain #zamestnaj(GRobot) zamestnaného} na
		 * účely tvorenia tejto oblasti. Ak zadaný robot nebol zamestnaný
		 * pre túto oblasť, volanie tejto metódy nemá žiadny efekt.
		 * 
		 * <P><small>(<b>Poznámka:</b> Názov {@code curruvoľni} má
		 * v knižnici grafického robota deväť rôznych metód:
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link GRobot GRobot}{@code .}{@link GRobot#uvoľni(Oblasť)
		 * uvoľni}{@code (}{@link Oblasť Oblasť}{@code )},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni()
		 * uvoľni}{@code ()},
		 * {@link Oblasť Oblasť}{@code .}{@link Oblasť#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )}
		 * – slúžia na uvoľnenie robota zo zamestnania pre stanovenú
		 * oblasť (čo je geometrická trieda),
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni() uvoľni}{@code ()}
		 * – slúži na uvoľnenie hlavného okna sveta, t. j. umožnenie
		 * zmeny veľkosti okna používateľovi (ide o opak metódy {@link
		 * Svet#upevni() Svet.upevni}) a nakoniec
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot)
		 * uvoľni}{@code (}{@link GRobot GRobot}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.Class)
		 * uvoľni}{@code (}{@link java.lang.Class Class}{@code )},
		 * {@link Svet Svet}{@code .}{@link Svet#uvoľni(GRobot.Obrázok)
		 * uvoľni}{@code (}{@link Obrázok Obrázok}{@code )}
		 * a {@link Svet Svet}{@code .}{@link Svet#uvoľni(java.lang.String)
		 * uvoľni}{@code (}{@link java.lang.String String}{@code )}
		 * – slúžia na uvoľňovanie nepotrebných inštancií robotov
		 * vytvorených alebo prečítaných obrázkov a prečítaných zvukov
		 * z vnútorných zoznamov robotov, obrázkov a zdrojov, čo je jednak
		 * nevyhnutnou podmienkou ich úspešného vymazania z pamäte zberačom
		 * odpadkov Javy a jednak to môže byť niekedy potrebné, ak sa
		 * napríklad obsah súboru zdroja uloženého na disku
		 * zmenil.)</small>
		 * 
		 *  @param zamestnanec robot, ktorý bol {@linkplain
		 *      #zamestnaj(GRobot) zamestnaný} pre túto oblasť
		 * @see #uvoľni()
		 * @see GRobot#uvoľni(Oblasť)
		 */
		public void uvoľni(GRobot zamestnanec)
		{
			if (this.zamestnanec == zamestnanec)
			{
				zamestnanec.kresliTvary = true;
				zamestnanec.zamestnanýPre = null;
				this.zamestnanec = null;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #uvoľni(GRobot) uvoľni}. */
		public void uvolni(GRobot zamestnanec) { uvoľni(zamestnanec); }

		/** <a class="alias"></a> Alias pre {@link #uvoľni(GRobot) uvoľni}. */
		public void prepusti(GRobot zamestnanec) { uvoľni(zamestnanec); }

		/**
		 * Overí, či je pre túto oblasť zamestnaný ľubovoľný robot.
		 * 
		 *  @return {@code valtrue}/&#8203;{@code valfalse}
		 */
		public boolean zamestnaný() { return zamestnanec != null; }

		/** <a class="alias"></a> Alias pre {@link #zamestnaný() zamestnaný}. */
		public boolean zamestnany() { return zamestnanec != null; }

		/**
		 * Overí, či je pre túto oblasť zamestnaný určený robot.
		 * 
		 *  @param zamestnanec vyšetrovaný robot
		 *  @return {@code valtrue}/&#8203;{@code valfalse}
		 */
		public boolean zamestnaný(GRobot zamestnanec)
		{ return this.zamestnanec == zamestnanec; }

		/** <a class="alias"></a> Alias pre {@link #zamestnaný(GRobot) zamestnaný}. */
		public boolean zamestnany(GRobot zamestnanec)
		{ return this.zamestnanec == zamestnanec; }


		/**
		 * Pridá k oblasti zadaný tvar.
		 * 
		 *  @param tvar ľubovoľný tvar Javy; ak sa chcete vyhnúť ťažkostiam
		 *      s úpravou súradnicového priestoru, odporúčame na generovanie
		 *      tvarov používať metódy robota (pozri {@linkplain Oblasť
		 *      úvod}), najlepšie toho, ktorý bol na účely tvorby tejto
		 *      oblasti {@linkplain #zamestnaj(GRobot) zamestnaný}
		 *  @see #zamestnaj(GRobot)
		 */
		public void pridaj(Shape tvar)
		{
			Area oblasť = new Area(tvar);
			add(oblasť);
		}

		/**
		 * Odoberie z oblasti zadaný tvar.
		 * 
		 *  @param tvar ľubovoľný tvar Javy; ak sa chcete vyhnúť ťažkostiam
		 *      s úpravou súradnicového priestoru, odporúčame na generovanie
		 *      tvarov používať metódy robota (pozri {@linkplain Oblasť
		 *      úvod}), najlepšie toho, ktorý bol na účely tvorby tejto
		 *      oblasti {@linkplain #zamestnaj(GRobot) zamestnaný}
		 *  @see #zamestnaj(GRobot)
		 */
		public void odober(Shape tvar)
		{
			Area oblasť = new Area(tvar);
			subtract(oblasť);
		}

		/**
		 * Vytvorí prienik oblasti a zadaného tvaru.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 *  @param tvar ľubovoľný tvar Javy; ak sa chcete vyhnúť ťažkostiam
		 *      s úpravou súradnicového priestoru, odporúčame na generovanie
		 *      tvarov používať metódy robota (pozri {@linkplain Oblasť
		 *      úvod}), najlepšie toho, ktorý bol na účely tvorby tejto
		 *      oblasti {@linkplain #zamestnaj(GRobot) zamestnaný}
		 *  @see #zamestnaj(GRobot)
		 */
		public void prienik(Shape tvar)
		{
			Area oblasť = new Area(tvar);
			intersect(oblasť);
		}

		/**
		 * Vytvorí z oblasti a zadaného tvaru alternatívu – XOR (vylučujúce
		 * alebo, buď/alebo). Nová oblasť bude obsahovať také plochy, ktoré
		 * patrili buď výlučne do pôvodnej oblasti, alebo výlučne do zadaného
		 * tvaru.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 *  @param tvar ľubovoľný tvar Javy; ak sa chcete vyhnúť ťažkostiam
		 *      s úpravou súradnicového priestoru, odporúčame na generovanie
		 *      tvarov používať metódy robota (pozri {@linkplain Oblasť
		 *      úvod}), najlepšie toho, ktorý bol na účely tvorby tejto
		 *      oblasti {@linkplain #zamestnaj(GRobot) zamestnaný}
		 *  @see #zamestnaj(GRobot)
		 */
		public void alternatíva(Shape tvar)
		{
			Area oblasť = new Area(tvar);
			exclusiveOr(oblasť);
		}

		/** <a class="alias"></a> Alias pre {@link #alternatíva(Shape) alternatíva}. */
		public void alternativa(Shape tvar)
		{
			Area oblasť = new Area(tvar);
			exclusiveOr(oblasť);
		}


		/**
		 * Kompletne odstráni geometriu oblasti – vyprázdni oblasť. Použiteľné
		 * pri recyklovaní objektu, keď vykonal prácu na ktorú bol určený…
		 */
		public void vymaž() { reset(); }

		/** <a class="alias"></a> Alias pre {@link #vymaž() vymaž}. */
		public void vymaz() { reset(); }


		/**
		 * Nakreslí túto oblasť s využitím {@linkplain #zamestnaj(GRobot)
		 * zamestnaného} robota (použije jeho farbu, hrúbku pera a aktívne
		 * plátno). Keď bol robot medzičasom {@linkplain
		 * #uvoľni(GRobot) uvoľnený} zo služby, nebude mať volanie tejto
		 * metódy žiadny efekt. Volanie tejto metódy nakreslí oblasť tak, ako
		 * bola vytvorená. Keď chcete využiť aj aktuálnu polohu a rotáciu
		 * robota, volajte metódu {@link GRobot#obkresliOblasť(Area)
		 * obkresliOblasť}.
		 */
		public void kresli()
		{
			if (null != zamestnanec)
				zamestnanec.kresli(this);
		}

		/**
		 * Vyplní plochu tejto oblasti s využitím {@linkplain
		 * #zamestnaj(GRobot) zamestnaného} robota (použije jeho farbu
		 * a aktívne plátno). Keď bol robot medzičasom {@linkplain
		 * #uvoľni(GRobot) uvoľnený} zo služby, tak nemá volanie tejto metódy
		 * žiadny efekt. Volanie tejto metódy vyplní oblasť tak, ako bola
		 * vytvorená. Keď chcete využiť aj aktuálnu polohu a rotáciu robota,
		 * volajte metódu {@link GRobot#vyplňOblasť(Area) vyplňOblasť}.
		 */
		public void vyplň()
		{
			if (null != zamestnanec)
				zamestnanec.vyplň(this);
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň() vyplň}. */
		public void vypln() { vyplň(); }

		/**
		 * Vyplní plochu tejto oblasti textúrou s využitím {@linkplain
		 * #zamestnaj(GRobot) zamestnaného} robota (použije jeho aktívne
		 * plátno). Keď bol robot medzičasom {@linkplain
		 * #uvoľni(GRobot) uvoľnený} zo služby, tak nemá volanie tejto metódy
		 * žiadny efekt. Volanie tejto metódy vyplní oblasť tak, ako bola
		 * vytvorená. Keď chcete využiť aj aktuálnu polohu a rotáciu robota,
		 * volajte metódu {@link GRobot#vyplňOblasť(Area, String)
		 * vyplňOblasť}. Textúra je súbor s obrázkom, ktorý bude použitý na
		 * dlaždicové vyplnenie oblasti.
		 * 
		 * <P>Obrázok (výplne) prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je možné
		 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
		 * súvislosti sa mierne zmenilo aj predvolené správanie
		 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
		 * dlaždicami sa presunul do stredu plátna, prípadne
		 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
		 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
		 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
		 * upravujúce ďalšie parametre obrázkových výplní.)</small>
		 * 
		 *  @param súbor názov súboru s obrázkom textúry
		 *  @see Svet#priečinokObrázkov(String)
		 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 */
		public void vyplň(String súbor)
		{
			if (null != zamestnanec)
				zamestnanec.vyplň(this, súbor);
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(String) vyplň}. */
		public void vypln(String súbor) { vyplň(súbor); }

		/**
		 * Vyplní plochu tejto oblasti textúrou s využitím {@linkplain
		 * #zamestnaj(GRobot) zamestnaného} robota (použije jeho aktívne
		 * plátno). Keď bol robot medzičasom {@linkplain
		 * #uvoľni(GRobot) uvoľnený} zo služby, tak nemá volanie tejto metódy
		 * žiadny efekt. Volanie tejto metódy vyplní oblasť tak, ako bola
		 * vytvorená. Keď chcete využiť aj aktuálnu polohu a rotáciu robota,
		 * volajte metódu {@link GRobot#vyplňOblasť(Area, Image)
		 * vyplňOblasť}. Textúra je {@linkplain Obrázok obrázok} (objekt typu
		 * {@link Image Image} alebo odvodený), ktorý bude
		 * použitý na dlaždicové vyplnenie oblasti.
		 * 
		 * <P><small>(<b>Poznámka:</b> Od verzie 1.75 je možné
		 * parametre textúry ovplyvňovať špeciálnymi príkazmi a v tej
		 * súvislosti sa mierne zmenilo aj predvolené správanie
		 * príkazov vypĺňania. Predvolený bod začiatku vypĺňania
		 * dlaždicami sa presunul do stredu plátna, prípadne
		 * do stredu vypĺňaného obrázka. Pozrite si opis metódy
		 * {@link Svet#posunutieVýplne(double, double) posunutieVýplne},
		 * pri ktorej nájdete aj príklad použitia a odkazy na metódy
		 * upravujúce ďalšie parametre obrázkových výplní.)</small>
		 * 
		 *  @param výplň obrázok s textúrou
		 */
		public void vyplň(Image výplň)
		{
			if (null != zamestnanec)
				zamestnanec.vyplň(this, výplň);
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(Image) vyplň}. */
		public void vypln(Image výplň) { vyplň(výplň); }

		/**
		 * Nakreslí túto oblasť na aktívne plátno aktuálnou farbou a hrúbkou
		 * pera zadaného robota. Táto metóda nakreslí oblasť tak, ako bola
		 * vytvorená. Keď ju chcete rotovať a/alebo posúvať, použite metódu
		 * {@link GRobot#obkresliOblasť(Area) obkresliOblasť}.
		 * 
		 *  @param r robot, ktorý bude použitý na nakreslenie tejto oblasti
		 *      (iba farba, hrúbka pera a aktívne plánto)
		 */
		public void kresli(GRobot r)
		{
			r.kresli(this);
		}

		/**
		 * Vyplní plochu tejto oblasti na aktívne plátno aktuálnou farbou
		 * zadaného robota. Táto metóda vyplní oblasť tak, ako bola
		 * vytvorená. Keď ju chcete rotovať a/alebo posúvať, použite metódu
		 * {@link GRobot#vyplňOblasť(Area) vyplňOblasť}.
		 * 
		 *  @param r robot, ktorý bude použitý na vyplnenie tejto oblasti (iba
		 *      farba a aktívne plánto)
		 */
		public void vyplň(GRobot r)
		{
			r.vyplň(this);
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(GRobot) vyplň}. */
		public void vypln(GRobot r) { vyplň(r); }

		/**
		 * Vyplní plochu tejto oblasti na aktívne plátno zadaného robota
		 * zadanou textúrou. Táto metóda vyplní oblasť tak, ako bola
		 * vytvorená.
		 * Keď ju chcete rotovať a/alebo posúvať, použite metódu {@link
		 * GRobot#vyplňOblasť(Area, String) vyplňOblasť}. Textúra je súbor
		 * s obrázkom, ktorý bude použitý na dlaždicové vyplnenie oblasti.
		 * 
		 * <P>Obrázok (výplne) prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 *  @param r robot, ktorý bude použitý na vyplnenie tejto oblasti
		 *      (iba aktívne plánto)
		 *  @param súbor názov súboru s obrázkom textúry
		 *  @see Svet#priečinokObrázkov(String)
		 *  @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 */
		public void vyplň(GRobot r, String súbor)
		{
			r.vyplň(this, súbor);
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(GRobot, String) vyplň}. */
		public void vypln(GRobot r, String súbor) { vyplň(r, súbor); }

		/**
		 * Vyplní plochu tejto oblasti na aktívne plátno zadaného robota
		 * zadanou textúrou. Táto metóda vyplní oblasť tak, ako bola
		 * vytvorená.
		 * Keď ju chcete rotovať a/alebo posúvať, použite metódu {@link
		 * GRobot#vyplňOblasť(Area, Image) vyplňOblasť}. Textúra je
		 * {@linkplain Obrázok obrázok} (objekt typu {@link Image
		 * Image} alebo odvodený), ktorý bude použitý na dlaždicové
		 * vyplnenie oblasti.
		 * 
		 *  @param r robot, ktorý bude použitý na vyplnenie tejto oblasti
		 *      (iba aktívne plánto)
		 *  @param výplň obrázok s textúrou
		 */
		public void vyplň(GRobot r, Image výplň)
		{
			r.vyplň(this, výplň);
		}

		/** <a class="alias"></a> Alias pre {@link #vyplň(GRobot, Image) vyplň}. */
		public void vypln(GRobot r, Image výplň) { vyplň(r, výplň); }


		/**
		 * Zistí, či sa súradnice zadaného bodu nachádzajú v tejto oblasti.
		 * Metóda posudzuje oblasť tak, ako bola vytvorená. Keď chcete
		 * využiť rotáciu alebo posun niektorého robota, použite metódu
		 * {@link GRobot#bodVOblasti(double, double, Area) bodVOblasti}.
		 * 
		 *  @param súradnicaBoduX  x-ová súradnica bodu
		 *  @param súradnicaBoduY  y-ová súradnica bodu
		 *  @return {@code valtrue} – áno; {@code valfalse} – nie
		 */
		public boolean bodV(double súradnicaBoduX, double súradnicaBoduY)
		{
			return contains(prepočítajX(súradnicaBoduX),
				prepočítajY(súradnicaBoduY));
		}

		// /**
		//  * Zistí, či sa súradnice zadaného bodu nachádzajú v tejto oblasti.
		//  * Metóda posudzuje oblasť tak, ako bola vytvorená. Keď chcete
		//  * využiť rotáciu alebo posun niektorého robota, použite metódu
		//  * {@link GRobot#bodVOblasti(Point2D, Area) bodVOblasti}.
		//  * 
		//  *  @param bod  súradnice vyšetrovaného bodu
		//  *  @return {@code valtrue} – áno; {@code valfalse} – nie
		//  */
		// public boolean bodV(Point2D bod)
		// { return contains(prepočítajX(bod.getX()), prepočítajY(bod.getY())); }

		/**
		 * Zistí, či sa bod polohy robota nachádza v tejto oblasti. Metóda
		 * posudzuje polohu bodu v oblasti v takom stave, ako bola
		 * vytvorená. Keď chcete využiť rotáciu alebo posun niektorého
		 * robota, použite metódu {@link GRobot#bodVOblasti(Poloha, Area)
		 * bodVOblasti}.
		 * 
		 *  @param r robot, ktorého poloha je vyšetrovaná
		 *  @return {@code valtrue} – áno; {@code valfalse} – nie
		 */
		public boolean bodV(Poloha r)
		{
			return contains(prepočítajX(r.polohaX()),
				prepočítajY(r.polohaY()));
		}

		/**
		 * Zistí, či sa aktuálne súradnice myši nachádzajú v tejto oblasti.
		 * Metóda posudzuje oblasť tak, ako bola vytvorená. Keď chcete
		 * využiť rotáciu alebo posun niektorého robota, použite metódu
		 * {@link GRobot#myšVOblasti(Area) myšVOblasti}.
		 * 
		 *  @return {@code valtrue} – áno; {@code valfalse} – nie
		 */
		public boolean myšV()
		{
			return contains(prepočítajX(súradnicaMyšiX),
				prepočítajY(súradnicaMyšiY));
		}

		/** <a class="alias"></a> Alias pre {@link #myšV() myšV}. */
		public boolean mysV() { return myšV(); }


		/**
		 * Vypočíta a vráti x-ovú súradnicu polohy stredu oblasti.
		 * @return x-ová súradnica polohy stredu oblasti
		 */
		public double polohaX()
		{
			Rectangle2D hranice = getBounds2D();
			double Δx = (prepočítajSpäťX(hranice.getX()) +
				hranice.getWidth() / 2);
			return Δx;
		}

		/**
		 * Vypočíta a vráti y-ovú súradnicu polohy stredu oblasti.
		 * @return y-ová súradnica polohy stredu oblasti
		 */
		public double polohaY()
		{
			Rectangle2D hranice = getBounds2D();
			double Δy = (prepočítajSpäťY(hranice.getY()) -
				hranice.getHeight() / 2);
			return Δy;
		}

		/**
		 * Vypočíta a vráti x-ovú súradnicu polohy stredu oblasti.
		 * @return x-ová súradnica polohy stredu oblasti
		 */
		public double súradnicaX()
		{
			return polohaX();
		}

		/** <a class="alias"></a> Alias pre {@link #súradnicaX()}. */
		public double suradnicaX()
		{
			return polohaX();
		}

		/**
		 * Vypočíta a vráti y-ovú súradnicu polohy stredu oblasti.
		 * @return y-ová súradnica polohy stredu oblasti
		 */
		public double súradnicaY()
		{
			return polohaY();
		}

		/** <a class="alias"></a> Alias pre {@link #súradnicaY()}. */
		public double suradnicaY()
		{
			return polohaY();
		}

		/**
		 * Vypočíta a vráti polohu stredu oblasti.
		 * @return poloha stredu oblasti
		 */
		public Bod poloha()
		{
			Rectangle2D hranice = getBounds2D();
			double Δx = (prepočítajSpäťX(hranice.getX()) +
				hranice.getWidth() / 2);
			double Δy = (prepočítajSpäťY(hranice.getY()) -
				hranice.getHeight() / 2);
			return new Bod(Δx, Δy);
		}

		/**
		 * Vráti šírku oblasti.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return šírka oblasti
		 */
		public double šírka() { return getBounds2D().getWidth(); }

		/** <a class="alias"></a> Alias pre {@link #šírka() šírka}. */
		public double sirka() { return getBounds2D().getWidth(); }

		/**
		 * Vráti výšku oblasti.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return výška oblasti
		 */
		public double výška()
		{ return getBounds2D().getHeight(); }

		/** <a class="alias"></a> Alias pre {@link #výška() výška}. */
		public double vyska() { return getBounds2D().getHeight(); }
	}

	/** <a class="alias"></a> Alias pre {@link Oblasť Oblasť}. */
	public static class Oblast extends Oblasť
	{
		public Oblast() { super(); }
		public Oblast(Shape tvar) { super(tvar); }
		public Oblast(GRobot zamestnanec) { super(zamestnanec); }
		public Oblast(Shape tvar, GRobot zamestnanec) { super(tvar, zamestnanec); }
	}


	// ------------------------------ //
	//  *** Trieda PoložkaPonuky ***  //
	// ------------------------------ //

	/**
	 * Táto trieda umožňuje vo svete grafického robota používať položky
	 * ponuky aplikácie. Každá nová položka ponuky je automaticky zaradená do
	 * ponuky aplikáce (hlavnej ponuky) na určitú pozíciu. Hlavná ponuka
	 * obsahuje vo východiskovom stave jednu rolovaciu ponuku s prevolenou
	 * položkou „Koniec“. Prvá položka je vložená pred ňu a je automaticky
	 * oddelená oddeľovačom, ďalšie položky sú umiestňované systematicky za
	 * ňou (každá za naposledy definovanou položkou, prípadne oddeľovačom).
	 * Položky môžeme pridávať buď vytváraním nových inštancií tejto triedy,
	 * alebo použitím niektorej z metód {@link
	 * Svet#pridajPoložkuPonuky(String) pridajPoložkuPonuky}.
	 * Oba spôsoby ukazuje nasledujúci príklad:
	 * <pre CLASS="example">
		{@code kwdfinal} {@code currPoložkaPonuky} položkaPípni = {@code kwdnew} {@link PoložkaPonuky#GRobot.PoložkaPonuky(String) PoložkaPonuky}({@code srg"Pípni"});
		{@code kwdfinal} {@code currPoložkaPonuky} položkaVypíš = {@link Svet Svet}.{@link Svet#pridajPoložkuPonuky(String) pridajPoložkuPonuky}({@code srg"Vypíš „Ahoj!“"});

		{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
		{
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#voľbaPoložkyPonuky() voľbaPoložkyPonuky}()
			{
				{@code kwdif} (položkaPípni.{@link #aktivovaná() aktivovaná}())
				{
					{@link Svet Svet}.{@link Svet#pípni() pípni}();
				}

				{@code comm// Alternatívny spôsob overenia zvolenia položky}
				{@code kwdif} (položkaVypíš == {@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#položkaPonuky() položkaPonuky}())
				{@code comm// Namiesto: if (položkaVypíš.aktivovaná())}
				{
					{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Ahoj!"});
				}
			}
		};
		</pre>
	 * 
	 * <P><b>Výsledok:</b>
	 * <table style="margin-left: auto; margin-right: auto;"><tr>
	 * <td><image>ukazkaPonukyWin.png</image></td><td rowspan="2">   </td>
	 * <td><image>ukazkaPonukyMac.png</image></td></tr>
	 * <tr><td style="text-align: center;"><small>Ukážka ponuky dotvorenej
	 * príkladom<br />a zobrazenej v OS Windows</small></td>
	 * <td style="text-align: center;"><small>Ukážka ponuky dotvorenej
	 * príkladom<br />a zobrazenej v macOS (predtým OS X
	 * a Mac OS)</small></td></tr></table>
	 * 
	 * <P>Na príklade vidno rozšírenie funkcionality triedy položiek ponuky
	 * oproti štandardnej triedy Javy ({@link JMenuItem JMenuItem}). Naša
	 * trieda poskytuje mechanizmus kontroly {@linkplain #aktivovaná()
	 * aktivácie položky} ponuky, ktorý je previazaný s vnútornými reakciami
	 * triedy {@link GRobot GRobot}. Konštruktory sú oproti originálnej
	 * triede zjednodušené, ikonu môžeme k položke pridať po jej vytvorení
	 * metódou {@link #ikona(String) ikona}, ktorá prijíma názov súboru
	 * s obrázkom, ako je to zaužívané v rámci sveta grafického robota:
	 * <pre CLASS="example">
		{@code kwdfinal} {@code currPoložkaPonuky} položkaVoľba = {@code kwdnew} {@link PoložkaPonuky#GRobot.PoložkaPonuky(String) PoložkaPonuky}({@code srg"Voľba"});
		položkaVoľba.{@link #ikona(String) ikona}({@code srg"začiarknuté.png"});
		</pre>
	 * 
	 * <P>Hlavná ponuka môže byť rozšírená o ďalšie rolovacie ponuky metódou
	 * {@link Svet#pridajPoložkuHlavnejPonuky(String)
	 * pridajPoložkuHlavnejPonuky} a oddeľovače medzi skupinami položiek
	 * ponuky môžeme pridávať metódou {@link Svet#pridajOddeľovačPonuky()
	 * pridajOddeľovačPonuky}.
	 * 
	 * @see javax.swing.JMenuItem
	 * @see Svet#vymažPonuku()
	 * @see Svet#pridajPoložkuHlavnejPonuky(String)
	 * @see Svet#pridajPoložkuHlavnejPonuky(String, int)
	 * @see Svet#pridajPoložkuPonuky(String)
	 * @see Svet#pridajPoložkuPonuky(String, int)
	 * @see Svet#pridajPoložkuPonuky(String, int, int)
	 * @see Svet#pridajOddeľovačPonuky()
	 * @see Svet#pridajPoložkuPonukyVymazať()
	 * @see Svet#pridajPoložkuPonukyPrekresliť()
	 * @see Svet#pridajPoložkuPonukyKoniec()
	 * @see ÚdajeUdalostí#položkaPonuky()
	 */
	@SuppressWarnings("serial")
	public static class PoložkaPonuky extends JMenuItem
		// @ see Svet # poslednáPoložkaPonuky()
	{
		// Pozri aj: https://docs.oracle.com/javase/8/docs/api/javax/swing/JMenuItem.html

		// Počúvadlo udalostí zvolenia položky ponuky
		private final static ActionListener voľbaPoložkyPonuky =
			new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				/*
				// Toto je veľmi starý, nie veľmi efektívny, spôsob označenia
				// „aktivovanej“ položky ponuky. Kód môže poslúžiť ako príklad
				// spôsobu prejdenia celej definície hlavnej ponuky a vykonania
				// určitej akcie s ňou (v tomto prípade to bolo resetovanie
				// príznaku aktivácie všetkých položiek okrem tej, ktorá bola
				// skutočne aktivovaná).

				poslednáPoložkaPonuky = null;

				JMenuBar hlavnáPonuka = svet.getJMenuBar();
				for (int j = 0; j < hlavnáPonuka.getMenuCount(); ++j)
				{
					JMenu položkaHlavnejPonuky = hlavnáPonuka.getMenu(j);
					if (null != položkaHlavnejPonuky)
					{
						for (int i = 0; i < položkaHlavnejPonuky.
							getItemCount(); ++i)
						{
							PoložkaPonuky tátoPoložka = (PoložkaPonuky)
								položkaHlavnejPonuky.getItem(i);
							if (e.getSource() == tátoPoložka)
							{
								poslednáPoložkaPonuky = tátoPoložka;
								tátoPoložka.aktivovaná(true);
							}
							else if (null != tátoPoložka)
							{
								tátoPoložka.aktivovaná(false);
							}
						}
					}
				}

				if (null != poslednáPoložkaPonuky)
				{
				*/
					if (e.getSource() instanceof PoložkaPonuky)
						poslednáPoložkaPonuky = (PoložkaPonuky)e.getSource();

					// if (null != položkaVymazať && e.getSource() ==
					if (null != položkaVymazať && poslednáPoložkaPonuky ==
						položkaVymazať)
					{
						// PoložkaPonuky "Vymazať…"
						Svet.vymaž();
						if (nekresli) Svet.prekresli();
					}
					// else if (null != položkaPrekresliť && e.getSource() ==
					//	položkaPrekresliť)
					else if (null != položkaPrekresliť &&
						poslednáPoložkaPonuky == položkaPrekresliť)
					{
						// PoložkaPonuky "Prekresliť…"
						Svet.prekresli();
					}
					// else if (e.getSource() == položkaSkončiť)
					else if (poslednáPoložkaPonuky == položkaSkončiť)
					{
						// PoložkaPonuky "Koniec"
						System.exit(0);
					}
					else
					{
						if (null != počúvadlo)
						{
							synchronized (zámokUdalostí)
							{
								počúvadlo.voľbaPoložkyPonuky();
								počúvadlo.volbaPolozkyPonuky();
							}
						}

						// if (null != hlavnýRobot)
						// {
						// 	synchronized (zámokUdalostí)
						// 	{
						// 		hlavnýRobot.voľbaPoložkyPonuky();
						// 		hlavnýRobot.volbaPolozkyPonuky();
						// 	}
						// }

						synchronized (zámokUdalostí)
						{
							for (GRobot počúvajúci : počúvajúciRozhranie)
							{
								počúvajúci.voľbaPoložkyPonuky();
								počúvajúci.volbaPolozkyPonuky();
							}
						}
					}
				// }
			}
		};

		/**
		 * Konštruktor, ktorý vytvorí položku so zadaným textom a pridá ju do
		 * hlavnej ponuky sveta.
		 * 
		 *  @param text reťazec textu pridávanej položky ponuky
		 *  @see Svet#pridajPoložkuPonuky(String)
		 */
		public PoložkaPonuky(String text)
		{
			super(text);
			addActionListener(voľbaPoložkyPonuky);
			pridajDoHlavnejPonuky();
		}

		/**
		 * Konštruktor, ktorý vytvorí položku so zadaným textom, mnemonickou
		 * skratkou a pridá ju do hlavnej ponuky sveta.
		 * 
		 *  @param text reťazec textu pridávanej položky ponuky
		 *  @param mnemonickáSkratka kód mnemonickej skratky (príklad:
		 *    {@code Kláves.VK_A})
		 *  @see Svet#pridajPoložkuPonuky(String, int)
		 */
		public PoložkaPonuky(String text, int mnemonickáSkratka)
		{
			super(text);
			addActionListener(voľbaPoložkyPonuky);
			setMnemonic(mnemonickáSkratka);
			pridajDoHlavnejPonuky();
		}

		/**
		 * Konštruktor, ktorý vytvorí položku so zadaným textom, mnemonickou
		 * a klávesovou skratkou a pridá ju do hlavnej ponuky sveta.
		 * 
		 *  @param text reťazec textu pridávanej položky ponuky
		 *  @param mnemonickáSkratka kód mnemonickej skratky (príklad:
		 *    {@code Kláves.VK_A})
		 *  @param klávesováSkratka kód klávesovej skratky (príklad: {@code
		 *    Kláves.VK_B})
		 *  @see Svet#pridajPoložkuPonuky(String, int, int)
		 */
		public PoložkaPonuky(String text, int mnemonickáSkratka,
			int klávesováSkratka)
		{
			super(text);
			addActionListener(voľbaPoložkyPonuky);
			setAccelerator(KeyStroke.getKeyStroke(
				klávesováSkratka, Toolkit.getDefaultToolkit().
				getMenuShortcutKeyMask()));
			setMnemonic(mnemonickáSkratka);
			pridajDoHlavnejPonuky();
		}

		// Pridá položku do hlavnej ponuky…
		private void pridajDoHlavnejPonuky()
		{
			JMenuBar hlavnáPonuka = svet.getJMenuBar();
			if (inicializované && null != hlavnáPonuka)
			{
				JMenu položkaHlavnejPonuky =
					hlavnáPonuka.getMenu(aktuálnaPonuka);
				if (null != položkaHlavnejPonuky)
				{
					if (ponukaVPôvodnomStave)
					{
						ponukaVPôvodnomStave = false;
						položkaHlavnejPonuky.
							insertSeparator(aktuálnaPoložka);
					}
					položkaHlavnejPonuky.insert(this,
						aktuálnaPoložka++);
					if (!hlavnáPonuka.isVisible())
						hlavnáPonuka.setVisible(true);
				}
			}
		}

		// Zastarané – pozri metódu aktivovaná v komentári nižšie…
		// private boolean aktivovaná = false;

		// Metóda na vnútorné použitie… — súvisela so starým spôsobom
		// označovania aktivovaných položiek ponuky – pozri definíciu
		// voľbaPoložkyPonuky vyššie
		// private void aktivovaná(boolean b) { aktivovaná = b; }

		/**
		 * Overí, či bola táto položka ponuky naposledy aktivovaná
		 * (zvolená). Metóda je použiteľná v reakcii {@link
		 * ObsluhaUdalostí#voľbaPoložkyPonuky() voľbaPoložkyPonuky}.
		 * 
		 * <P>(<b>Upozornenie: Pozor na podobnosť medzi názvami metód
		 * {@link #aktívna() aktívna} – {@link #aktivovaná() aktivovaná}
		 * a {@link #označená() označená} – {@link #zvolená() zvolená}!</b>
		 * Metóda {@link #aktivovaná() aktivovaná} a jej alias {@link
		 * #zvolená() zvolená} zisťujú, či bola stanovená položka naposledny
		 * aktivovaná (zvolená). Metóda {@link #aktívna() aktívna} overuje,
		 * či je stanovená položka použiteľná a metóda {@link #označená()
		 * označená} zisťuje, či bola položka takzvane {@linkplain #označ()
		 * označená} (čo môže mať subjektívny význam).)
		 * 
		 *  @return {@code valtrue} ak bola pri poslednom vyvolaní ponuky
		 *    aktivovaná práve táto položka, v opačnom prípade {@code
		 *    valfalse}
		 */
		public boolean aktivovaná() { return this == poslednáPoložkaPonuky; }

		/** <a class="alias"></a> Alias pre {@link #aktivovaná() aktivovaná}. */
		public boolean aktivovana() { return aktivovaná(); }

		/** <a class="alias"></a> Alias pre {@link #aktivovaná() aktivovaná}. */
		public boolean zvolená() { return this == poslednáPoložkaPonuky; }

		/** <a class="alias"></a> Alias pre {@link #aktivovaná() aktivovaná}. */
		public boolean zvolena() { return aktivovaná(); }


		/**
		 * Overí, či je položka aktívna. Aktívna položka znamená, že je
		 * použiteľná používateľom. S deaktivovanými položkami používateľ
		 * nemôže manipulovať.
		 * 
		 * <P>(<b>Upozornenie: Pozor na podobnosť medzi názvami metód
		 * {@link #aktívna() aktívna} – {@link #aktivovaná() aktivovaná}
		 * a {@link #označená() označená} – {@link #zvolená() zvolená}!</b>
		 * Metóda {@link #aktivovaná() aktivovaná} a jej alias {@link
		 * #zvolená() zvolená} zisťujú, či bola stanovená položka naposledny
		 * aktivovaná (zvolená). Metóda {@link #aktívna() aktívna} overuje,
		 * či je stanovená položka použiteľná a metóda {@link #označená()
		 * označená} zisťuje, či bola položka takzvane {@linkplain #označ()
		 * označená} (čo môže mať subjektívny význam).)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} – je aktívna;
		 *         {@code valfalse} – nie je aktívna
		 * @see #aktivuj()
		 * @see #deaktivuj()
		 */
		public boolean aktívna() { return isEnabled(); }

		/** <a class="alias"></a> Alias pre {@link #aktívna() aktívna}. */
		public boolean aktivna() { return isEnabled(); }

		/**
		 * Aktivuje položku. Predvolene je položka aktívna. Ak ju {@linkplain
		 * #deaktivuj() deaktivujeme} (pozri nižšie), tak po vykonaní tohto
		 * príkazu položky ({@code curraktivuj}), bude opäť použiteľná a bude
		 * reagovať na klikanie myšou aj voľbu klávesnicou.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #aktívna()
		 * @see #aktivuj()
		 * @see #deaktivuj()
		 */
		public void aktivuj() { setEnabled(true); }

		/**
		 * Deaktivuje položku. Položka prestane byť použiteľná, prestane
		 * reagovať na myš a klávesnicu.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #aktívna()
		 * @see #aktivuj()
		 * @see #deaktivuj()
		 */
		public void deaktivuj() { setEnabled(false); }

		// Overí, či je položka označená. Označená položka zmení svoj vzhľad
		// (spôsob zmeny je závislý od operačného systému) a ak má položka
		// {@linkplain #ikona(Image) definovanú ikonu} môžeme určiť, aby sa
		// v položke s označeným stavom zobrazovala {@linkplain
		// #ikonaOznačenej(Image) iná ikona}. (Interpretáciu tohto stavu
		// ponechávame na programátora…)

		/**
		 * Overí, či je položka označená. Označená položka zmení svoj vzhľad,
		 * spôsob zmeny je závislý od operačného systému a interpretácia tohto
		 * stavu závisí od programátora…
		 * 
		 * <P>(<b>Upozornenie: Pozor na podobnosť medzi názvami metód
		 * {@link #aktívna() aktívna} – {@link #aktivovaná() aktivovaná}
		 * a {@link #označená() označená} – {@link #zvolená() zvolená}!</b>
		 * Metóda {@link #aktivovaná() aktivovaná} a jej alias {@link
		 * #zvolená() zvolená} zisťujú, či bola stanovená položka naposledny
		 * aktivovaná (zvolená). Metóda {@link #aktívna() aktívna} overuje,
		 * či je stanovená položka použiteľná a metóda {@link #označená()
		 * označená} zisťuje, či bola položka takzvane {@linkplain #označ()
		 * označená} (čo môže mať subjektívny význam).)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} – je označená;
		 *         {@code valfalse} – nie je označená
		 * @see #označ()
		 * @see #odznač()
		 * @see #zrušOznačenie()
		 */
		public boolean označená() { return isSelected(); }

		/** <a class="alias"></a> Alias pre {@link #označená() označená}. */
		public boolean oznacena() { return isSelected(); }

		/**
		 * Označí položku. (Pre viac informácií pozri opis metódy {@link
		 * #označená() označená}.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #aktívna()
		 * @see #odznač()
		 * @see #zrušOznačenie()
		 */
		public void označ() { setSelected(true); }

		/** <a class="alias"></a> Alias pre {@link #označ() označ}. */
		public void oznac() { setSelected(true); }

		/**
		 * Zruší označenie položky. (Pre viac informácií pozri opis metódy
		 * {@link #označená() označená}.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #aktívna()
		 * @see #označ()
		 * @see #zrušOznačenie()
		 */
		public void odznač() { setSelected(false); }

		/** <a class="alias"></a> Alias pre {@link #odznač() odznač}. */
		public void odznac() { setSelected(false); }

		/**
		 * Zruší označenie položky. (Pre viac informácií pozri opis metódy
		 * {@link #označená() označená}.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #aktívna()
		 * @see #označ()
		 * @see #odznač()
		 */
		public void zrušOznačenie() { setSelected(false); }

		/** <a class="alias"></a> Alias pre {@link #zrušOznačenie() zrušOznačenie}. */
		public void zrusOznacenie() { setSelected(false); }


		/**
		 * Zistí, či je položka viditeľná (zobrazená) alebo nie. Po
		 * vytvorení je položka predvolene viditeľná, môžeme ju skrývať
		 * a zobrazovať metódami {@link #skry() skry} a {@link #zobraz()
		 * zobraz}. (Položky ponúk však namiesto skrývania a zobrazovania
		 * odporúčame {@linkplain #aktivuj() aktivovať} alebo {@linkplain
		 * #deaktivuj() deaktivovať}.) Alternatívou tejto metódy je metóda
		 * {@link #zobrazená() zobrazená}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #zobrazená()
		 * @see #zobraz()
		 * @see #skry()
		 */
		public boolean viditeľná() { return isVisible(); }

		/** <a class="alias"></a> Alias pre {@link #viditeľná() viditeľná}. */
		public boolean viditelna() { return isVisible(); }

		/**
		 * Zistí, či je položka zobrazená (viditeľná) alebo nie. Po
		 * vytvorení je položka predvolene viditeľná, môžeme ju skrývať
		 * a zobrazovať metódami {@link #skry() skry} a {@link #zobraz()
		 * zobraz}. (Položky ponúk však namiesto skrývania a zobrazovania
		 * odporúčame {@linkplain #aktivuj() aktivovať} alebo {@linkplain
		 * #deaktivuj() deaktivovať}.) Alternatívou tejto metódy je metóda
		 * {@link #viditeľná() viditeľná}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #viditeľná()
		 * @see #zobraz()
		 * @see #skry()
		 */
		public boolean zobrazená() { return isVisible(); }

		/** <a class="alias"></a> Alias pre {@link #zobrazená() zobrazená}. */
		public boolean zobrazena() { return isVisible(); }

		/**
		 * Zobrazí položku. (Pre viac informácií pozri opis metódy
		 * {@link #zobrazená() zobrazená}.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #viditeľná()
		 * @see #zobrazená()
		 * @see #skry()
		 */
		public void zobraz() { setVisible(true); }

		/**
		 * Skryje položku. (Pre viac informácií pozri opis metódy
		 * {@link #zobrazená() zobrazená}.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #viditeľná()
		 * @see #zobrazená()
		 * @see #zobraz()
		 */
		public void skry() { setVisible(false); }


		/**
		 * <a class="getter"></a> Zistí aktuálnu farbu textu položky.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return aktuálna farba textu položky (objekt typu {@link Farba
		 *      Farba})
		 */
		public Farba farbaTextu()
		{
			Color farba = getForeground();
			if (farba instanceof Farba) return (Farba)farba;
			return new Farba(farba);
		}

		/**
		 * <a class="setter"></a> Nastav farbu textu položky. Nastaví farbu
		 * a priehľadnosť textu položky podľa zadaného objektu.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param nováFarba objekt typu {@link Color Color} (alebo
		 *      odvodeného napr. {@link Farba Farba}) s novou farbou textu
		 *      položky; jestvuje paleta predvolených farieb (pozri napr.:
		 *      {@link #biela}, {@link #červená}, {@link #čierna}…)
		 */
		public void farbaTextu(Color nováFarba) { setForeground(nováFarba); }

		/**
		 * Nastaví farbu a priehľadnosť textu položky podľa zadaného objektu.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt určujúci novú farbu textu položky
		 */
		public void farbaTextu(Farebnosť objekt) { farbaTextu(objekt.farba()); }

		/**
		 * Nastaví farbu textu položky podľa zadaných farebných zložiek.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} – nová farba textu
		 *  @see #farbaTextu(java.awt.Color)
		 */
		public Farba farbaTextu(int r, int g, int b)
		{
			Farba farba = new Farba(r, g, b);
			setForeground(farba);
			return farba;
		}

		/**
		 * Nastaví farbu a (ne)priehľadnosť textu položky podľa zadaných
		 * farebných zložiek a úrovne priehľadnosti.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo
		 *      v rozsahu 0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná
		 *      farba)
		 *  @return objekt typu {@link Farba Farba} – nová farba textu
		 *  @see #farbaTextu(java.awt.Color)
		 */
		public Farba farbaTextu(int r, int g, int b, int a)
		{
			Farba farba = new Farba(r, g, b, a);
			setForeground(farba);
			return farba;
		}

		/**
		 * Nastaví zdedenú farbu textu položky. Farba textu položky bude
		 * zdedená od nadradeného komponentu.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void zdedenáFarbaTextu() { farbaTextu((Color)null); }

		/** <a class="alias"></a> Alias pre {@link #zdedenáFarbaTextu() zdedenáFarbaTextu}. */
		public void zdedenaFarbaTextu() { farbaTextu((Color)null); }


		/**
		 * <a class="getter"></a> Číta farbu pozadia položky.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return aktuálna farba pozadia položky (objekt typu {@link Farba
		 *      Farba})
		 */
		public Farba farbaPozadia()
		{
			Color farba = getBackground();
			if (farba instanceof Farba) return (Farba)farba;
			return new Farba(farba);
		}

		/**
		 * <a class="setter"></a> Nastaví farbu a priehľadnosť pozadia položky
		 * podľa zadanej farebnej inštancie.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param nováFarba objekt určujúci novú farbu pozadia;
		 *      jestvuje paleta predvolených farieb (pozri: {@link
		 *      #biela}, {@link #červená}, {@link #čierna}…)
		 */
		public void farbaPozadia(Color nováFarba) { setBackground(nováFarba); }

		/**
		 * Nastaví farbu a priehľadnosť pozadia položky podľa zadaného objektu.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt určujúci novú farbu pozadia
		 */
		public void farbaPozadia(Farebnosť objekt)
		{ farbaPozadia(objekt.farba()); }

		/**
		 * Nastaví farbu pozadia položky podľa zadaných farebných zložiek.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} – nová farba pozadia
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public Farba farbaPozadia(int r, int g, int b)
		{
			Farba farba = new Farba(r, g, b);
			setBackground(farba);
			return farba;
		}

		/**
		 * Nastaví farbu a (ne)priehľadnosť pozadia položky podľa zadaných
		 * farebných zložiek a úrovne priehľadnosti.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo
		 *       v rozsahu 0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná
		 *       farba)
		 *  @return objekt typu {@link Farba Farba} – nová farba pozadia
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public Farba farbaPozadia(int r, int g, int b, int a)
		{
			Farba farba = new Farba(r, g, b, a);
			setBackground(farba);
			return farba;
		}

		/**
		 * Nastaví zdedenú farbu pozadia položky.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void zdedenáFarbaPozadia() { farbaPozadia((Color)null); }

		/** <a class="alias"></a> Alias pre {@link #zdedenáFarbaPozadia() zdedenáFarbaPozadia}. */
		public void zdedenaFarbaPozadia() { farbaPozadia((Color)null); }


		/**
		 * <a class="getter"></a> Číta aktuálny typ písma textu položky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return objekt typu {@link Písmo} – aktuálne písmo
		 *  @see #písmo(Font)
		 *  @see #písmo(String, double)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public Písmo písmo()
		{
			Font písmo = getFont();
			if (písmo instanceof Písmo) return (Písmo)písmo;
			return new Písmo(písmo);
		}

		/** <a class="alias"></a> Alias pre {@link #písmo() písmo}. */
		public Pismo pismo()
		{
			Font písmo = getFont();
			if (písmo instanceof Pismo) return (Pismo)písmo;
			return new Pismo(písmo);
		}

		/**
		 * <a class="setter"></a> Nastaví nový typ písma textu položky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param novéPísmo objekt typu {@link Písmo} alebo {@link Font}
		 *      určujúci nový typ písma
		 *  @see #písmo()
		 *  @see #písmo(String, double)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public void písmo(Font novéPísmo) { setFont(novéPísmo); }

		/** <a class="alias"></a> Alias pre {@link #písmo(Font) písmo}. */
		public void pismo(Font novéPísmo) { písmo(novéPísmo); }

		/**
		 * Nastaví nový typ písma textu položky. (Nová inštancia triedy
		 * {@link Písmo Písmo} je touto metódou vrátená na prípadné ďalšie
		 * použitie.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param názov názov písma; môže byť všeobecný názov logického
		 *      písma (Dialog, DialogInput, Monospaced, Serif, SansSerif…)
		 *      alebo názov konkrétneho písma (Times New Roman, Arial…)
		 *  @param veľkosť veľkosť písma v bodoch (hodnota je zaokrúhlená
		 *      na typ {@code typefloat})
		 *  @return nový objekt typu {@link Písmo}
		 *  @see #písmo()
		 *  @see #písmo(Font)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public Písmo písmo(String názov, double veľkosť)
		{
			Písmo písmo = new Písmo(názov, Písmo.PLAIN, veľkosť);
			setFont(písmo);
			return písmo;
		}

		/** <a class="alias"></a> Alias pre {@link #písmo(String, double) písmo}. */
		public Pismo pismo(String názov, double veľkosť)
		{ return new Pismo(písmo(názov, veľkosť)); }


		/**
		 * <a class="getter"></a> Prečíta aktuálny text položky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return aktuálny text položky
		 * @see #text(String)
		 */
		public String text() { return getText(); }

		/**
		 * <a class="setter"></a> Nastaví nový text položky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param text nový text položky
		 * @see #text()
		 */
		public void text(String text) { setText(text); }


		// @see #ikonaStlačenej(String)
		// @see #ikonaDeaktivovanej(String)
		// @see #ikonaOznačenej(String)
		// @see #ikonaDeaktivovanejOznačenej(String)

		/**
		 * Nastaví alebo odstráni ikonu položky uloženú v súbore s obrázkom.
		 * Táto metóda nastavuje základnú ikonu položky. (Bez nej nemá význam
		 * priraďovať položke ostatné druhy ikon…)
		 * 
		 * <P>Ikona prečítaná zo súboru je prevedená z obrázka, ktorý je
		 * chápaný ako zdroj a ktorý po prečítaní zostane uložený vo
		 * vnútornej pamäti sveta rovnako ako prevedená verzia ikony.
		 * Obidva objekty môžu byť v prípade potreby (napríklad ak sa obsah
		 * súboru na disku zmenil) z vnútornej pamäte odstránené metódou
		 * {@link Svet#uvoľni(String) Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * (resp. ikonami) alebo zvukmi, ktoré prijímajú názov súboru ako
		 * parameter.)
		 * 
		 * <P><b>Poznámka:</b> Z dôvodu konzistencie je k tejto metóde
		 * definovaný alias {@link #obrazok(String) obrazok(súbor)}
		 * (s názvom bez diakritiky), ktorý má korešpondovať s aliasom metódy
		 * {@link #ikona() ikona()}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param súbor názov súboru s obrázkom, ktorý bude použitý na
		 *     vytvorenie ikony položky alebo {@code (String)}{@code valnull}
		 *     ak chceme ikonu položky odstrániť
		 * 
		 * @see #ikona(Image)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 */
		public void ikona(String súbor)
		{
			if (null == súbor) setIcon(null);
			else setIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #ikona(String) ikona}. */
		public void obrazok(String súbor) { ikona(súbor); }


		// @see #ikonaStlačenej(Image)
		// @see #ikonaDeaktivovanej(Image)
		// @see #ikonaOznačenej(Image)
		// @see #ikonaDeaktivovanejOznačenej(Image)

		/**
		 * <a class="setter"></a> Nastaví alebo odstráni ikonu položky určenú
		 * obrázkom. Táto metóda nastavuje základnú ikonu položky. (Bez nej
		 * nemá význam priraďovať položke ostatné druhy ikon…)
		 * 
		 * <P><b>Poznámka:</b> Z dôvodu konzistencie je k tejto metóde
		 * definovaný alias {@link #obrazok(Image) obrazok(obrázok)}
		 * (s názvom bez diakritiky), ktorý má korešpondovať s aliasom metódy
		 * {@link #ikona() ikona()} (určeným na čítanie ikony).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok obrázok určujúci novú ikonu položky alebo
		 *     {@code (Image)}{@code valnull} ak chceme ikonu položky
		 *     odstrániť
		 * 
		 * @see #ikona(String)
		 */
		public void ikona(Image obrázok)
		{
			if (null == obrázok) setIcon(null);
			else setIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #ikona(Image) ikona}. */
		public void obrazok(Image obrázok) { ikona(obrázok); }

		/**
		 * <a class="getter"></a> Vráti základnú ikonu položky alebo
		 * {@code valnull} ak položka nemá priradenú ikonu, ktorá bola
		 * vytvorená z inštancie typu {@link Obrázok Obrázok}.
		 * 
		 * <P><b>Poznámka:</b> Názov tejto metódy neobsahuje žiadnu
		 * diakritiku, preto nemohol byť definovaný prislúchajúci alias,
		 * ktorý by vracal objekt typu {@link Obrazok Obrazok} (t. j.
		 * triedy aliasu, ktorej názov tiež neobsahuje diakritiku).
		 * Z toho dôvodu je alias nahradený metódou {@link #obrazok()
		 * obrazok} (bez diakritiky).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #ikona(String)
		 * @see #ikona(Image)
		 */
		public Obrázok ikona()
		{
			Icon icon = getIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #ikona() ikona}. */
		public Obrazok obrazok()
		{
			Obrázok obrázok = ikona();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}


		// Nasledujúce definície boli na nič! Ani jedna nefungovala!

		/* *
		 * Nastaví alebo odstráni ikonu stlačenej položky uloženú v súbore
		 * s obrázkom. Ak položka nemá definovanú {@linkplain #ikona(String)
		 * základnú ikonu}, tak nemá nastavovanie ikony pre stlačený stav
		 * význam. Síce toto nastavenie môžete bez negatívnych následkov
		 * vykonať aj bez toho, ale prejaví sa až po nastavení základnej
		 * ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param súbor názov súboru s obrázkom, ktorý bude použitý na
		 *     vytvorenie ikony stlačenej položky alebo
		 *     {@code (String)}{@code valnull} ak chceme odstrániť ikonu
		 *     stlačenej položky
		 * 
		 * @see #ikonaStlačenej(Image)
		 * @see #ikona(String)
		 * @see #ikonaDeaktivovanej(String)
		 * @see #ikonaOznačenej(String)
		 * @see #ikonaDeaktivovanejOznačenej(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 * /
		public void ikonaStlačenej(String súbor)
		{
			if (null == súbor) setPressedIcon(null);
			else setPressedIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaStlačenej(String) ikonaStlačenej}. * /
		public void ikonaStlacenej(String súbor) { ikonaStlačenej(súbor); }

		/**
		 * Nastaví alebo odstráni ikonu stlačenej položky určenú obrázkom. Ak
		 * položka nemá definovanú {@linkplain #ikona(Image) základnú ikonu},
		 * tak nemá nastavovanie ikony pre stlačený stav význam. Síce toto
		 * nastavenie môžete bez negatívnych následkov vykonať aj bez toho,
		 * ale prejaví sa až po nastavení základnej ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok obrázok určujúci novú ikonu stlačenej položky alebo
		 *     {@code (Image)}{@code valnull} ak chceme odstrániť ikonu
		 *     stlačenej položky
		 * 
		 * @see #ikonaStlačenej(String)
		 * @see #ikona(Image)
		 * @see #ikonaDeaktivovanej(Image)
		 * @see #ikonaOznačenej(Image)
		 * @see #ikonaDeaktivovanejOznačenej(Image)
		 * /
		public void ikonaStlačenej(Image obrázok)
		{
			if (null == obrázok) setPressedIcon(null);
			else setPressedIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaStlačenej(Image) ikonaStlačenej}. * /
		public void ikonaStlacenej(Image obrázok) { ikonaStlačenej(obrázok); }

		/**
		 * Vráti ikonu stlačenej položky alebo {@code valnull} ak položka nemá
		 * definovanú ikonu pre stlačený stav, ktorá bola vytvorená
		 * z inštancie typu {@link Obrázok Obrázok}.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #ikona()
		 * @see #ikonaDeaktivovanej()
		 * @see #ikonaOznačenej()
		 * @see #ikonaDeaktivovanejOznačenej()
		 * /
		public Obrázok ikonaStlačenej()
		{
			Icon icon = getPressedIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaStlačenej() ikonaStlačenej}. * /
		public Obrazok ikonaStlacenej()
		{
			Obrázok obrázok = ikonaStlačenej();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}


		/**
		 * Nastaví alebo odstráni ikonu {@linkplain #deaktivuj()
		 * deaktivovanej} položky uloženú v súbore s obrázkom. Ak položka
		 * nemá definovanú {@linkplain #ikona(String) základnú ikonu}, tak
		 * nemá nastavovanie ikony deaktivovanej položky význam. Síce toto
		 * nastavenie môžete bez negatívnych následkov vykonať aj bez toho,
		 * ale prejaví sa až po nastavení základnej ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param súbor názov súboru s obrázkom, ktorý bude použitý na
		 *     vytvorenie ikony deaktivovanej položky alebo
		 *     {@code (String)}{@code valnull} ak chceme odstrániť ikonu
		 *     deaktivovanej položky
		 * 
		 * @see #ikonaDeaktivovanej(Image)
		 * @see #ikona(String)
		 * @see #ikonaStlačenej(String)
		 * @see #ikonaOznačenej(String)
		 * @see #ikonaDeaktivovanejOznačenej(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 * /
		public void ikonaDeaktivovanej(String súbor)
		{
			if (null == súbor) setDisabledIcon(null);
			else setDisabledIcon(súborNaIkonu(súbor));
		}

		/**
		 * Nastaví alebo odstráni ikonu {@linkplain #deaktivuj()
		 * deaktivovanej} položky určenú obrázkom. Ak položka nemá definovanú
		 * {@linkplain #ikona(Image) základnú ikonu}, tak nemá nastavovanie
		 * ikony deaktivovanej položky význam. Síce toto nastavenie môžete
		 * bez negatívnych následkov vykonať aj bez toho, ale prejaví sa až
		 * po nastavení základnej ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok obrázok určujúci novú ikonu deaktivovanej položky
		 *     alebo {@code (Image)}{@code valnull} ak chceme odstrániť ikonu
		 *     deaktivovanej položky
		 * 
		 * @see #ikonaDeaktivovanej(String)
		 * @see #ikona(Image)
		 * @see #ikonaStlačenej(Image)
		 * @see #ikonaOznačenej(Image)
		 * @see #ikonaDeaktivovanejOznačenej(Image)
		 * /
		public void ikonaDeaktivovanej(Image obrázok)
		{
			if (null == obrázok) setDisabledIcon(null);
			else setDisabledIcon(obrázokNaIkonu(obrázok));
		}

		/**
		 * Vráti ikonu {@linkplain #deaktivuj() deaktivovanej} položky
		 * alebo {@code valnull} ak položka nemá definovanú ikonu pre
		 * deaktivovaný stav, ktorá bola vytvorená z inštancie typu
		 * {@link Obrázok Obrázok}.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P><b>Poznámka:</b> Názov tejto metódy neobsahuje žiadnu
		 * diakritiku, preto nemohol byť definovaný prislúchajúci alias,
		 * ktorý by vracal objekt typu {@link Obrazok Obrazok} (t. j. triedy
		 * aliasu, ktorej názov tiež neobsahuje diakritiku). Z toho dôvodu je
		 * alias nahradený metódou {@link #obrazokDeaktivovanej()
		 * obrazokDeaktivovanej} (bez diakritiky).
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #ikona()
		 * @see #ikonaStlačenej()
		 * @see #ikonaOznačenej()
		 * @see #ikonaDeaktivovanejOznačenej()
		 * /
		public Obrázok ikonaDeaktivovanej()
		{
			Icon icon = getDisabledIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanej() ikonaDeaktivovanej}. * /
		public Obrazok obrazokDeaktivovanej()
		{
			Obrázok obrázok = ikonaDeaktivovanej();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}


		/**
		 * Nastaví alebo odstráni ikonu {@linkplain #označená() označenej
		 * položky} uloženú v súbore s obrázkom. Ak položka nemá definovanú
		 * {@linkplain #ikona(String) základnú ikonu}, tak nemá nastavovanie
		 * ikony označenej položky význam. Síce toto nastavenie môžete bez
		 * negatívnych následkov vykonať aj bez toho, ale prejaví sa až po
		 * nastavení základnej ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param súbor názov súboru s obrázkom, ktorý bude použitý na
		 *     vytvorenie ikony označenej položky alebo
		 *     {@code (String)}{@code valnull} ak chceme odstrániť ikonu
		 *     označenej položky
		 * 
		 * @see #ikonaOznačenej(Image)
		 * @see #ikona(String)
		 * @see #ikonaStlačenej(String)
		 * @see #ikonaDeaktivovanej(String)
		 * @see #ikonaDeaktivovanejOznačenej(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 * /
		public void ikonaOznačenej(String súbor)
		{
			if (null == súbor) setSelectedIcon(null);
			else setSelectedIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaOznačenej(String) ikonaOznačenej}. * /
		public void ikonaOznacenej(String súbor) { ikonaOznačenej(súbor); }

		/**
		 * Nastaví alebo odstráni ikonu {@linkplain #označená() označenej
		 * položky} určenú obrázkom. Ak položka nemá definovanú {@linkplain
		 * #ikona(Image) základnú ikonu}, tak nemá nastavovanie ikony
		 * označenej položky význam. Síce toto nastavenie môžete bez
		 * negatívnych následkov vykonať aj bez toho, ale prejaví sa až
		 * po nastavení základnej ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok obrázok určujúci novú ikonu označenej položky alebo
		 *     {@code (Image)}{@code valnull} ak chceme odstrániť ikonu
		 *     označenej položky
		 * 
		 * @see #ikonaOznačenej(String)
		 * @see #ikona(Image)
		 * @see #ikonaStlačenej(Image)
		 * @see #ikonaDeaktivovanej(Image)
		 * @see #ikonaDeaktivovanejOznačenej(Image)
		 * /
		public void ikonaOznačenej(Image obrázok)
		{
			if (null == obrázok) setSelectedIcon(null);
			else setSelectedIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaOznačenej(Image) ikonaOznačenej}. * /
		public void ikonaOznacenej(Image obrázok) { ikonaOznačenej(obrázok); }

		/**
		 * Vráti ikonu {@linkplain #označená() označenej položky} alebo
		 * {@code valnull} ak položka nemá definovanú ikonu pre označený stav,
		 * ktorá bola vytvorená z inštancie typu {@link Obrázok Obrázok}.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #ikona()
		 * @see #ikonaStlačenej()
		 * @see #ikonaDeaktivovanej()
		 * @see #ikonaDeaktivovanejOznačenej()
		 * /
		public Obrázok ikonaOznačenej()
		{
			Icon icon = getSelectedIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaOznačenej() ikonaOznačenej}. * /
		public Obrazok ikonaOznacenej()
		{
			Obrázok obrázok = ikonaOznačenej();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}


		/**
		 * Nastaví alebo odstráni ikonu položky, ktorá je zároveň {@linkplain
		 * #deaktivuj() deaktivovaná} a {@linkplain #označená() označená}
		 * uloženú v súbore s obrázkom. Ak položka nemá definovanú {@linkplain
		 * #ikona(String) základnú ikonu}, tak nemá nastavovanie tohto typu
		 * ikony význam. Síce toto nastavenie môžete bez negatívnych následkov
		 * vykonať aj bez toho, ale prejaví sa až po nastavení základnej
		 * ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param súbor názov súboru s obrázkom, ktorý bude použitý na
		 *     vytvorenie ikony deaktivovanej a označenej položky alebo
		 *     {@code (String)}{@code valnull} ak chceme odstrániť ikonu
		 *     deaktivovanej a označenej položky
		 * 
		 * @see #ikonaDeaktivovanejOznačenej(Image)
		 * @see #ikona(String)
		 * @see #ikonaStlačenej(String)
		 * @see #ikonaDeaktivovanej(String)
		 * @see #ikonaOznačenej(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 * /
		public void ikonaDeaktivovanejOznačenej(String súbor)
		{
			if (null == súbor) setDisabledSelectedIcon(null);
			else setDisabledSelectedIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej(String) ikonaDeaktivovanejOznačenej}. * /
		public void ikonaDeaktivovanejOznacenej(String súbor) { ikonaDeaktivovanejOznačenej(súbor); }

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej(String) ikonaDeaktivovanejOznačenej}. * /
		public void ikonaOznačenejDeaktivovanej(String súbor) { ikonaDeaktivovanejOznačenej(súbor); }

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej(String) ikonaDeaktivovanejOznačenej}. * /
		public void ikonaOznacenejDeaktivovanej(String súbor) { ikonaDeaktivovanejOznačenej(súbor); }

		/**
		 * Nastaví alebo odstráni ikonu položky, ktorá je zároveň {@linkplain
		 * #deaktivuj() deaktivovaná} a {@linkplain #označená() označená}
		 * určenú obrázkom. Ak položka nemá definovanú {@linkplain
		 * #ikona(Image) základnú ikonu}, tak nemá nastavovanie tohto typu
		 * ikony význam. Síce toto nastavenie môžete bez negatívnych následkov
		 * vykonať aj bez toho, ale prejaví sa až po nastavení základnej ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok obrázok určujúci novú ikonu deaktivovanej
		 *     a označenej položky alebo {@code (Image)}{@code valnull} ak
		 *     chceme odstrániť ikonu deaktivovanej a označenej položky
		 * 
		 * @see #ikonaDeaktivovanejOznačenej(String)
		 * @see #ikona(Image)
		 * @see #ikonaStlačenej(Image)
		 * @see #ikonaDeaktivovanej(Image)
		 * @see #ikonaOznačenej(Image)
		 * /
		public void ikonaDeaktivovanejOznačenej(Image obrázok)
		{
			if (null == obrázok) setDisabledSelectedIcon(null);
			else setDisabledSelectedIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej(Image) ikonaDeaktivovanejOznačenej}. * /
		public void ikonaDeaktivovanejOznacenej(Image obrázok) { ikonaDeaktivovanejOznačenej(obrázok); }

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej(Image) ikonaDeaktivovanejOznačenej}. * /
		public void ikonaOznačenejDeaktivovanej(Image obrázok) { ikonaDeaktivovanejOznačenej(obrázok); }

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej(Image) ikonaDeaktivovanejOznačenej}. * /
		public void ikonaOznacenejDeaktivovanej(Image obrázok) { ikonaDeaktivovanejOznačenej(obrázok); }

		/**
		 * Vráti ikonu {@linkplain #deaktivuj() deaktivovanej} a {@linkplain
		 * #označená() označenej} položky alebo {@code valnull} ak položka
		 * nemá definovanú ikonu pre tento túto kombináciu stavov, ktorá by
		 * bola vytvorená z inštancie typu {@link Obrázok Obrázok}.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #ikona()
		 * @see #ikonaStlačenej()
		 * @see #ikonaDeaktivovanej()
		 * @see #ikonaOznačenej()
		 * /
		public Obrázok ikonaDeaktivovanejOznačenej()
		{
			Icon icon = getSelectedIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej() ikonaDeaktivovanejOznačenej}. * /
		public Obrazok ikonaDeaktivovanejOznacenej()
		{
			Obrázok obrázok = ikonaDeaktivovanejOznačenej();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej() ikonaDeaktivovanejOznačenej}. * /
		public Obrázok ikonaOznačenejDeaktivovanej() { return ikonaDeaktivovanejOznačenej(); }

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej() ikonaDeaktivovanejOznačenej}. * /
		public Obrazok ikonaOznacenejDeaktivovanej() { return ikonaDeaktivovanejOznacenej(); }*/


		/**
		 * <a class="getter"></a> Zistí aktuálu veľkosť medzery medzi ikonou
		 * a textom tejto položky.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). V niektorých definíciách
		 * vzhľadu (L&F) však nemusia byť položky chápané ako typické
		 * tlačidlá, ich vzhľad sa môže odlišovať a pokus o prácu s medzerou
		 * medzi ikonou a textom nemusí mať očakávaný efekt.
		 * 
		 * @return celé číslo vyjadrujúce počet pixelov medzi ikonou
		 * a textom tejto položky
		 */
		public int medzeraMedziIkonouATextom()
		{ return getIconTextGap(); }

		/**
		 * <a class="setter"></a> Ak má toto položka nastavenú ikonu aj
		 * text, tak táto vlastnosť určuje veľkosť medzery medzi nimi.
		 * Predvolená hodnota je štyri pixely.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). V niektorých definíciách
		 * vzhľadu (L&F) však nemusia byť položky chápané ako typické
		 * tlačidlá, ich vzhľad sa môže odlišovať a pokus o prácu s medzerou
		 * medzi ikonou a textom nemusí mať očakávaný efekt.
		 * 
		 * @param medzera celé číslo určujúce počet pixelov medzi ikonou
		 * a textom
		 */
		public void medzeraMedziIkonouATextom(int medzera)
		{ setIconTextGap(medzera); }


		/**
		 * Prepojí túto položku ponuky s príkazom priradeným ku
		 * {@linkplain Svet#pridajKlávesovúSkratku(String, int)
		 * klávesovej skratke}.
		 * Odteraz odpoveďou na zvolenie tejto položky nebude spustenie reakcie
		 * {@link ObsluhaUdalostí#voľbaPoložkyPonuky() voľbaPoložkyPonuky},
		 * ale reakcie
		 * {@link ObsluhaUdalostí#klávesováSkratka() klávesováSkratka}.
		 * Ak chcete priradenie príkazu k položke zrušiť, zadajte hodnotu
		 * {@code valnull}.
		 * <P><b>Upozornenie:</b> Predtým, než
		 * {@linkplain Svet#odoberKlávesovúSkratku(String) odoberiete klávesovú
		 * skratku} zo sveta, zrušte aj priadenie príkazu k tejto položke
		 * (zadaním hodnoty {@code valnull}), inak môže nastať neočakávané
		 * správanie sa programu.
		 * <P><b>Poznámka:</b> Spustenie tejto metódy spôsobí aktualizáciu
		 * údajov vzhľadu súvisiacich s klávesovou skratkou zadaného príkazu
		 * podľa vzhľadu tejto položky. Každé ďalšie spustenie tejto metódy
		 * pre niektorú položku ponuky alebo kontextovej ponuky spôsobí novú
		 * aktualizáciu údajov vzhľadu a spätne aktualizáciu vzhľadu všetkých
		 * položiek, ktoré boli predtým s týmto príkazom previazané. Preto
		 * je vhodné vyvarovať sa previazaniu konkrétneho príkazu s viacerými
		 * položkami ponuky alebo kontextovej ponuky (ak to nie je vyslovene
		 * vyžadované).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param príkaz príkaz na priradenie alebo {@code valnull}
		 * @see Svet#pridajKlávesovúSkratku(String, int)
		 * @see Svet#pridajKlávesovúSkratku(String, int, int)
		 */
		public void príkaz(String príkaz)
		{
			if (null == príkaz)
			{
				setAction(null);
				addActionListener(voľbaPoložkyPonuky);
			}
			else
			{
				removeActionListener(voľbaPoložkyPonuky);
				Svet.KlávesováSkratka skratka =
					Svet.klávesovéSkratky.get(príkaz);
				skratka.putValue(AbstractAction.NAME, getText());
				skratka.putValue(AbstractAction.MNEMONIC_KEY, getMnemonic());
				skratka.putValue(AbstractAction.SMALL_ICON, getIcon());
				setAction(skratka);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #príkaz(String) príkaz}. */
		public void prikaz(String príkaz) { príkaz(príkaz); }
	}

	/** <a class="alias"></a> Alias pre {@link PoložkaPonuky PoložkaPonuky}. */
	@SuppressWarnings("serial")
	public static class PolozkaPonuky extends PoložkaPonuky
	{
		public PolozkaPonuky(String text) { super(text); }
		public PolozkaPonuky(String text, int mnemonickáSkratka)
		{ super(text, mnemonickáSkratka); }
		public PolozkaPonuky(String text, int mnemonickáSkratka,
			int klávesováSkratka)
		{ super(text, mnemonickáSkratka, klávesováSkratka);}
	}


	// --------------------------------- //
	//  *** Trieda KontextováPonuka ***  //
	// --------------------------------- //

	/**
	 * Trieda {@code currKontextováPonuka} spolu s triedou {@link
	 * KontextováPoložka KontextováPoložka} umožňujú používanie kontextových
	 * ponúk. Voľba položky kontextovej ponuky spôsobí vznik udalosti {@link
	 * ObsluhaUdalostí#voľbaKontextovejPoložky() voľbaKontextovejPoložky}.
	 * V uvedenej obsluhe udalosti môžeme zistiť, ktorá položka bola zvolená
	 * metódou {@link ÚdajeUdalostí#kontextováPoložka()
	 * dajeUdalostí.kontextováPoložka()}<!-- alebo {@link
	 * Svet#poslednáKontextováPoložka() Svet.poslednáKontextováPoložka()}-->.
	 * <pre CLASS="example">
		{@code comm// Vytvoríme ponuku:}
		{@code kwdfinal} {@code currKontextováPonuka} mojaKontextováPonuka = {@code kwdnew} {@link #GRobot.KontextováPonuka() KontextováPonuka}();

		{@code comm// Vytvoríme všetky položky, niektoré priamo pridávajúc do ponuky:}
		{@code kwdfinal} {@link KontextováPoložka KontextováPoložka} novýObjekt =
			mojaKontextováPonuka.{@link #pridajPoložku(String) pridajPoložku}({@code srg"Nový objekt"});
		{@code kwdfinal} {@link KontextováPoložka KontextováPoložka} preusporiadať =
			mojaKontextováPonuka.{@link #pridajPoložku(String) pridajPoložku}({@code srg"Preusporiadať"});

		{@code kwdfinal} {@link KontextováPoložka KontextováPoložka} ďalšiaAkcia1 =
			{@code kwdnew} {@link KontextováPoložka#GRobot.KontextováPoložka(String) KontextováPoložka}({@code srg"Ďalšia akcia 1"});
		{@code kwdfinal} {@link KontextováPoložka KontextováPoložka} ďalšiaAkcia2 =
			{@code kwdnew} {@link KontextováPoložka#GRobot.KontextováPoložka(String) KontextováPoložka}({@code srg"Ďalšia akcia 2"});
		{@code kwdfinal} {@link KontextováPoložka KontextováPoložka} ďalšiaAkcia3 =
			{@code kwdnew} {@link KontextováPoložka#GRobot.KontextováPoložka(String) KontextováPoložka}({@code srg"Ďalšia akcia 3"});

		{@code comm// Pridáme oddeľovač a vnorenú ponuku:}
		mojaKontextováPonuka.{@link #pridajOddeľovač() pridajOddeľovač}();
		mojaKontextováPonuka.{@link #pridajPonuku(String, JMenuItem[]) pridajPonuku}({@code srg"Ďalšie akcie"},
			ďalšiaAkcia1, ďalšiaAkcia2, {@code valnull}, ďalšiaAkcia3);

		{@code comm// Definujeme obsluhu udalostí:}
		{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
		{
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#klik() klik}()
			{
				{@code comm// Kontextová ponuka sa zobrazí po stlačení pravého tlačidla:}
				{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidloMyši() tlačidloMyši}({@link GRobot#PRAVÉ PRAVÉ}))
					mojaKontextováPonuka.{@link #zobraz() zobraz}();
			}

			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#voľbaKontextovejPoložky() voľbaKontextovejPoložky}()
			{
				{@code comm// Zistíme, ktorá kontextová položka bola zvolená:}
				{@link KontextováPoložka KontextováPoložka} položka = {@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#kontextováPoložka() kontextováPoložka}();

				{@code comm// Na základe voľby vykonáme akciu:}
				{@code comm// …}

				{@code kwdif} (novýObjekt == položka)
				{
					{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Zvolená položka „Nový objekt“."});
				}
				{@code kwdelse if} (preusporiadať == položka)
				{
					{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Zvolená položka „Preusporiadať“."});
				}
				{@code kwdelse if} (ďalšiaAkcia1 == položka)
				{
					{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Zvolená položka „Ďalšia akcia 1“."});
				}
				{@code kwdelse if} (ďalšiaAkcia2 == položka)
				{
					{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Zvolená položka „Ďalšia akcia 2“."});
				}
				{@code kwdelse if} (ďalšiaAkcia3 == položka)
				{
					{@link Svet Svet}.{@link Svet#správa(String) správa}({@code srg"Zvolená položka „Ďalšia akcia 3“."});
				}
			}
		};
		</pre>
	 * 
	 * <P><b>Výsledok:</b>
	 * <table style="margin-left: auto; margin-right: auto;"><tr>
	 * <td><image>ukazkaKontextovejPonukyWin.png</image></td>
	 * <td rowspan="2">   </td>
	 * <td><image>ukazkaKontextovejPonukyMac.png</image></td></tr>
	 * <tr><td style="text-align: center;"><small>Ukážka kontextovej ponuky
	 * vytvorenej príkladom<br />a zobrazenej v OS Windows</small></td>
	 * <td style="text-align: center;"><small>Ukážka kontextovej ponuky
	 * vytvorenej príkladom<br />a zobrazenej v macOS (predtým OS X
	 * a Mac OS)</small></td></tr></table>
	 * 
	 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
	 */
	@SuppressWarnings("serial")
	public static class KontextováPonuka extends JPopupMenu
	{
		// Popis…
		private String pôvodnýPopis = null;
		private final JLabel popis;

		// Nahradí niektoré znaky v texte, aby nenastali prípadné ťažkosti
		private static String nahradiťHTMLEntity(String text)
		{
			if (-1 != text.indexOf("<") ||
				-1 != text.indexOf(">") ||
				-1 != text.indexOf("&"))
			{
				text = text.replaceAll("&", "&amp;");
				text = text.replaceAll("<", "&lt;");
				text = text.replaceAll(">", "&gt;");
			}
			return text;
		}

		/**
		 * Vytvorí novú kontextovú ponuku (bez titulného popisu, ktorý
		 * nebude možné pridať ani dodatočne).
		 */
		public KontextováPonuka()
		{
			super();
			this.popis = null;
		}

		/**
		 * Vytvorí kontextovú ponuku s titulným popisom. {@code text} nesmie
		 * byť {@code valnull} a môže byť dodatočne upravovaný metódou
		 * {@link #popis(String)}.
		 * 
		 * @param popis text popisu ponuky; nesmie byť {@code valnull}
		 */
		public KontextováPonuka(String popis)
		{
			super();
			pôvodnýPopis = popis;
			if (popis.startsWith("<html>"))
				this.popis = new JLabel(popis);
			else
				this.popis = new JLabel("<html><b>" +
					nahradiťHTMLEntity(popis) + "</b></html>");
			this.popis.setHorizontalAlignment(SwingConstants.CENTER);
			add(this.popis);
			addSeparator();
		}


		/**
		 * Pripojí na koniec ponuky novú kontextovú položku, ktorej
		 * vytvorenie musí zabezpečiť programátor.
		 * 
		 * @param položka nová kontextová položka (môže byť aj typu
		 *   {@link KontextováPoložka KontextováPoložka}), ktorú treba
		 *   pridať na koniec ponuky
		 * @return pridaná kontextová položka
		 * @see #pridajPoložku(String)
		 * @see #pridajOddeľovač()
		 * @see #pridajPonuku(String, JMenuItem[])
		 * @see #vytvorPonuku(String, JMenuItem[])
		 */
		public JMenuItem pridajPoložku(JMenuItem položka)
		{ return add(položka); }

		/** <a class="alias"></a> Alias pre {@link #pridajPoložku(JMenuItem) pridajPoložku}. */
		public JMenuItem pridajPolozku(JMenuItem položka)
		{ return add(položka); }

		/**
		 * Vytvorí novú položku ponuky so zadaným textom a pripojí ju na
		 * koniec ponuky.
		 * 
		 * @param text text novej kontextovej položky
		 * @return nová kontextová položka
		 * @see #pridajPoložku(JMenuItem)
		 * @see #pridajOddeľovač()
		 * @see #pridajPonuku(String, JMenuItem[])
		 * @see #vytvorPonuku(String, JMenuItem[])
		 */
		public KontextováPoložka pridajPoložku(String text)
		{ return (KontextováPoložka)add(text); }

		/** <a class="alias"></a> Alias pre {@link #pridajPoložku(String) pridajPoložku}. */
		public KontextováPoložka pridajPolozku(String text)
		{ return (KontextováPoložka)add(text); }

		/**
		 * Pridá nový oddeľovač položiek na koniec ponuky.
		 * @see #pridajPoložku(JMenuItem)
		 * @see #pridajPoložku(String)
		 * @see #pridajPonuku(String, JMenuItem[])
		 * @see #vytvorPonuku(String, JMenuItem[])
		 */
		public void pridajOddeľovač() { addSeparator(); }

		/** <a class="alias"></a> Alias pre {@link #pridajOddeľovač() pridajOddeľovač}. */
		public void pridajOddelovac() { addSeparator(); }

		/**
		 * Vytvorí novú vnorenú ponuku zo zadaných položiek a pripojí ju na
		 * koniec aktuálnej ponuky. Ak je niektorá zo zadaných položiek
		 * {@code valnull}, je do ponuky vložený oddeľovač.
		 * 
		 * @param text text položky novej vnorenej ponuky
		 * @param položky zoznam položiek
		 * @return vytvorená (a pridaná) ponuka
		 * @see #pridajPoložku(JMenuItem)
		 * @see #pridajOddeľovač()
		 * @see #vytvorPonuku(String, JMenuItem[])
		 */
		public JMenuItem pridajPonuku(String text, JMenuItem... položky)
		{ return add(vytvorPonuku(text, položky)); }

		/**
		 * Vytvorí novú ponuku zo zadaných položiek. Využiteľné na vytváranie
		 * kaskádových ponúk. Ak je niektorá zo zadaných položiek {@code
		 * valnull}, je do ponuky vložený oddeľovač.
		 * 
		 * @param text text položky novej vnorenej ponuky
		 * @param položky zoznam položiek
		 * @return vytvorená ponuka
		 * @see #pridajPoložku(JMenuItem)
		 * @see #pridajOddeľovač()
		 * @see #pridajPonuku(String, JMenuItem[])
		 */
		public static JMenu vytvorPonuku(String text, JMenuItem... položky)
		{
			JMenu ponuka = new JMenu(text);
			for (JMenuItem položka : položky)
			{
				if (null == položka) ponuka.addSeparator();
				else ponuka.add(položka);
			}
			return ponuka;
		}


		/**
		 * <a class="setter"></a> Nastaví text popisu ponuky.
		 * Má zmysel len v prípade, že ponuka bola vytvorená konštruktorom:
		 * {@link KontextováPonuka#GRobot.KontextováPonuka(String)
		 * KontextováPonuka(popis)}. {@code text} nesmie byť {@code valnull}.
		 * 
		 * {@link JPopupMenu#setLabel(String)}.
		 * @param text text popisu ponuky; nesmie byť {@code valnull}
		 */
		public void popis(String text) { setLabel(text); }

		/**
		 * <a class="getter"></a> Vráti popis kontextovej ponuky.
		 * Má zmysel len v prípade, že ponuka bola vytvorená konštruktorom:
		 * {@link KontextováPonuka#GRobot.KontextováPonuka(String)
		 * KontextováPonuka(popis)}.
		 * 
		 * @return text popisu ponuky alebo {@code valnull} ak ponuka nemôže
		 *  mať popis
		 */
		public String popis() { return getLabel(); }


		/**
		 * Zobrazí kontextovú ponuku na poslednej zaznamenanej pozícii myši.
		 */
		public void zobraz()
		{
			int x = poslednáUdalosťMyši.getX();
			int y = poslednáUdalosťMyši.getY();

			if (poslednáUdalosťMyši.getSource() instanceof Component)
				show((Component)poslednáUdalosťMyši.getSource(), x, y);
			else
				show(hlavnýPanel, x, y);
		}

		/**
		 * Zobrazí kontextovú ponuku nad plátnom na zadanej pozícii.
		 * @param x x-ová súradnica polohy na zobrazenie ponuky
		 * @param y y-ová súradnica polohy na zobrazenie ponuky
		 */
		public void zobraz(double x, double y)
		{ show(hlavnýPanel, (int)prepočítajX(x), (int)prepočítajY(y)); }


		/**
		 * Vytvorí novú položku ponuky so zadaným textom a pripojí ju na
		 * koniec ponuky.
		 * 
		 * <!-- P><b>Poznámka:</b> Táto metóda prekrýva originálnu metódu
		 * {@link JPopupMenu#add(String)}. -->
		 * 
		 * @param text text novej kontextovej položky
		 * @return nová kontextová položka; aj keď je návratová hodnota
		 *   typu {@link JMenuItem JMenuItem}, vrátený objekt je typu {@link
		 *   KontextováPoložka KontextováPoložka}, t. j. výsledok môže byť
		 *   bez rizika pretypovaný
		 * @see #pridajPoložku(String)
		 */
		@Override public JMenuItem add(String text)
		{ return add(new KontextováPoložka(text)); }

		/**
		 * <a class="setter"></a> Nastaví text popisu ponuky.
		 * Má zmysel len v prípade, že ponuka bola vytvorená konštruktorom:
		 * {@link KontextováPonuka#GRobot.KontextováPonuka(String)
		 * KontextováPonuka(popis)}. {@code text} nesmie byť {@code valnull}.
		 * 
		 * <!-- P><b>Poznámka:</b> Táto metóda prekrýva originálnu metódu
		 * {@link JPopupMenu#setLabel(String)}. -->
		 * 
		 * @param text text popisu ponuky; nesmie byť {@code valnull}
		 * @see #popis(String)
		 */
		@Override public void setLabel(String text)
		{
			if (null == popis) return;
			pôvodnýPopis = text;

			if (text.startsWith("<html>"))
				popis.setText(text);
			else
				popis.setText("<html><b>" +
					nahradiťHTMLEntity(text) +
					"</b></html>");
		}

		/**
		 * <a class="getter"></a> Vráti popis kontextovej ponuky.
		 * Má zmysel len v prípade, že ponuka bola vytvorená konštruktorom:
		 * {@link KontextováPonuka#GRobot.KontextováPonuka(String)
		 * KontextováPonuka(popis)}.
		 * 
		 * <!-- P><b>Poznámka:</b> Táto metóda prekrýva originálnu metódu
		 * {@link JPopupMenu#getLabel()}. -->
		 * 
		 * @return text popisu ponuky alebo {@code valnull} ak ponuka nemôže
		 *  mať popis
		 * @see #popis()
		 */
		@Override public String getLabel() { return pôvodnýPopis; }
	}

	//** Dočasná metóda vytvorená na testovacie účely – nepoužívať! */
	// @Deprecated protected static JPanel hlavnýPanel() { return hlavnýPanel; }

	/** <a class="alias"></a> Alias pre {@link KontextováPonuka KontextováPonuka}. */
	@SuppressWarnings("serial")
	public static class KontextovaPonuka extends KontextováPonuka
	{
		public KontextovaPonuka() { super(); }
		public KontextovaPonuka(String text) { super(text); }
	}


	// ---------------------------------- //
	//  *** Trieda KontextováPoložka ***  //
	// ---------------------------------- //

	/**
	 * Trieda {@link KontextováPonuka KontextováPonuka} spolu s triedou
	 * {@code currKontextováPoložka} umožňujú používanie kontextových ponúk.
	 * Voľba položky kontextovej ponuky spôsobí vznik udalosti {@link
	 * ObsluhaUdalostí#voľbaKontextovejPoložky() voľbaKontextovejPoložky}.
	 * V uvedenej obsluhe udalosti môžeme zistiť, ktorá položka bola zvolená
	 * metódou {@link ÚdajeUdalostí#kontextováPoložka()
	 * dajeUdalostí.kontextováPoložka()}<!-- alebo {@link
	 * Svet#poslednáKontextováPoložka() Svet.poslednáKontextováPoložka()}-->.
	 * Komplexný príklad nájdete v opise triedy {@link KontextováPonuka
	 * KontextováPonuka}.
	 * 
	 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
	 */
	@SuppressWarnings("serial")
	public static class KontextováPoložka extends JMenuItem
	{
		// Počúvadlo udalostí zvolenia kontextovej položky
		private final static ActionListener
			voľbaKontextovejPoložky = new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				if (e.getSource() instanceof KontextováPoložka)
					poslednáKontextováPoložka =
						(KontextováPoložka)e.getSource();
				else
					poslednáKontextováPoložka = null;

				if (null != počúvadlo)
				{
					synchronized (zámokUdalostí)
					{
						počúvadlo.voľbaKontextovejPoložky();
						počúvadlo.volbaKontextovejPolozky();
					}
				}

				// if (null != hlavnýRobot)
				// {
				// 	synchronized (zámokUdalostí)
				// 	{
				// 		hlavnýRobot.voľbaKontextovejPoložky();
				// 		hlavnýRobot.volbaKontextovejPolozky();
				// 	}
				// }

				synchronized (zámokUdalostí)
				{
					for (GRobot počúvajúci : počúvajúciRozhranie)
					{
						počúvajúci.voľbaKontextovejPoložky();
						počúvajúci.volbaKontextovejPolozky();
					}
				}
			}
		};

		/**
		 * Vytvorí novú kontextovú položku so zadaným textom. Použite metódu
		 * {@link KontextováPonuka#pridajPoložku(JMenuItem) pridajPoložku}
		 * na jej pridanie do konkrétnej ponuky…
		 * @param text text položky ponuky
		 */
		public KontextováPoložka(String text)
		{
			super(text);
			addActionListener(voľbaKontextovejPoložky);
		}

		/**
		 * Overí, či bola táto kontextová položka naposledy aktivovaná
		 * (zvolená). Metóda je použiteľná v reakcii {@link
		 * ObsluhaUdalostí#voľbaKontextovejPoložky() voľbaKontextovejPoložky}.
		 * 
		 * <P>(<b>Upozornenie: Pozor na podobnosť medzi názvami metód
		 * {@link #aktívna() aktívna} – {@link #aktivovaná() aktivovaná}
		 * a {@link #označená() označená} – {@link #zvolená() zvolená}!</b>
		 * Metóda {@link #aktivovaná() aktivovaná} a jej alias {@link
		 * #zvolená() zvolená} zisťujú, či bola stanovená položka naposledny
		 * aktivovaná (zvolená). Metóda {@link #aktívna() aktívna} overuje,
		 * či je stanovená položka použiteľná a metóda {@link #označená()
		 * označená} zisťuje, či bola položka takzvane {@linkplain #označ()
		 * označená} (čo môže mať subjektívny význam).)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return {@code valtrue} ak bola pri poslednom vyvolaní kontextovej
		 *    ponuky aktivovaná práve táto položka, v opačnom prípade {@code
		 *    valfalse}
		 */
		public boolean aktivovaná()
		{ return this == poslednáKontextováPoložka; }

		/** <a class="alias"></a> Alias pre {@link #aktivovaná() aktivovaná}. */
		public boolean aktivovana() { return aktivovaná(); }

		/** <a class="alias"></a> Alias pre {@link #aktivovaná() aktivovaná}. */
		public boolean zvolená() { return this == poslednáKontextováPoložka; }

		/** <a class="alias"></a> Alias pre {@link #aktivovaná() aktivovaná}. */
		public boolean zvolena() { return aktivovaná(); }


		/**
		 * Overí, či je položka aktívna. Aktívna položka znamená, že je
		 * použiteľná používateľom. S deaktivovanými položkami používateľ
		 * nemôže manipulovať.
		 * 
		 * <P>(<b>Upozornenie: Pozor na podobnosť medzi názvami metód
		 * {@link #aktívna() aktívna} – {@link #aktivovaná() aktivovaná}
		 * a {@link #označená() označená} – {@link #zvolená() zvolená}!</b>
		 * Metóda {@link #aktivovaná() aktivovaná} a jej alias {@link
		 * #zvolená() zvolená} zisťujú, či bola stanovená položka naposledny
		 * aktivovaná (zvolená). Metóda {@link #aktívna() aktívna} overuje,
		 * či je stanovená položka použiteľná a metóda {@link #označená()
		 * označená} zisťuje, či bola položka takzvane {@linkplain #označ()
		 * označená} (čo môže mať subjektívny význam).)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} – je aktívna;
		 *         {@code valfalse} – nie je aktívna
		 * @see #aktivuj()
		 * @see #deaktivuj()
		 */
		public boolean aktívna() { return isEnabled(); }

		/** <a class="alias"></a> Alias pre {@link #aktívna() aktívna}. */
		public boolean aktivna() { return isEnabled(); }

		/**
		 * Aktivuje položku. Predvolene je položka aktívna. Ak ju {@linkplain
		 * #deaktivuj() deaktivujeme} (pozri nižšie), tak po vykonaní tohto
		 * príkazu položky ({@code curraktivuj}), bude opäť použiteľná a bude
		 * reagovať na klikanie myšou aj voľbu klávesnicou.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #aktívna()
		 * @see #aktivuj()
		 * @see #deaktivuj()
		 */
		public void aktivuj() { setEnabled(true); }

		/**
		 * Deaktivuje položku. Položka prestane byť použiteľná, prestane
		 * reagovať na myš a klávesnicu.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #aktívna()
		 * @see #aktivuj()
		 * @see #deaktivuj()
		 */
		public void deaktivuj() { setEnabled(false); }


		// Overí, či je položka označená. Označená položka zmení svoj vzhľad
		// (spôsob zmeny je závislý od operačného systému) a ak má položka
		// {@linkplain #ikona(Image) definovanú ikonu} môžeme určiť, aby sa
		// v položke s označeným stavom zobrazovala {@linkplain
		// #ikonaOznačenej(Image) iná ikona}. (Interpretáciu tohto stavu
		// ponechávame na programátora…)

		/**
		 * Overí, či je položka označená. Označená položka zmení svoj vzhľad,
		 * spôsob zmeny je závislý od operačného systému a interpretácia tohto
		 * stavu závisí od programátora…
		 * 
		 * <P>(<b>Upozornenie: Pozor na podobnosť medzi názvami metód
		 * {@link #aktívna() aktívna} – {@link #aktivovaná() aktivovaná}
		 * a {@link #označená() označená} – {@link #zvolená() zvolená}!</b>
		 * Metóda {@link #aktivovaná() aktivovaná} a jej alias {@link
		 * #zvolená() zvolená} zisťujú, či bola stanovená položka naposledny
		 * aktivovaná (zvolená). Metóda {@link #aktívna() aktívna} overuje,
		 * či je stanovená položka použiteľná a metóda {@link #označená()
		 * označená} zisťuje, či bola položka takzvane {@linkplain #označ()
		 * označená} (čo môže mať subjektívny význam).)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} – je označená;
		 *         {@code valfalse} – nie je označená
		 * @see #označ()
		 * @see #odznač()
		 * @see #zrušOznačenie()
		 */
		public boolean označená() { return isSelected(); }

		/** <a class="alias"></a> Alias pre {@link #označená() označená}. */
		public boolean oznacena() { return isSelected(); }

		/**
		 * Označí položku. (Pre viac informácií pozri opis metódy {@link
		 * #označená() označená}.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #aktívna()
		 * @see #odznač()
		 * @see #zrušOznačenie()
		 */
		public void označ() { setSelected(true); }

		/** <a class="alias"></a> Alias pre {@link #označ() označ}. */
		public void oznac() { setSelected(true); }

		/**
		 * Zruší označenie položky. (Pre viac informácií pozri opis metódy
		 * {@link #označená() označená}.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #aktívna()
		 * @see #označ()
		 * @see #zrušOznačenie()
		 */
		public void odznač() { setSelected(false); }

		/** <a class="alias"></a> Alias pre {@link #odznač() odznač}. */
		public void odznac() { setSelected(false); }

		/**
		 * Zruší označenie položky. (Pre viac informácií pozri opis metódy
		 * {@link #označená() označená}.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #aktívna()
		 * @see #označ()
		 * @see #odznač()
		 */
		public void zrušOznačenie() { setSelected(false); }

		/** <a class="alias"></a> Alias pre {@link #zrušOznačenie() zrušOznačenie}. */
		public void zrusOznacenie() { setSelected(false); }


		/**
		 * Zistí, či je položka viditeľná (zobrazená) alebo nie. Po
		 * vytvorení je položka predvolene viditeľná, môžeme ju skrývať
		 * a zobrazovať metódami {@link #skry() skry} a {@link #zobraz()
		 * zobraz}. (Položky ponúk však namiesto skrývania a zobrazovania
		 * odporúčame {@linkplain #aktivuj() aktivovať} alebo {@linkplain
		 * #deaktivuj() deaktivovať}.) Alternatívou tejto metódy je metóda
		 * {@link #zobrazená() zobrazená}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #zobrazená()
		 * @see #zobraz()
		 * @see #skry()
		 */
		public boolean viditeľná() { return isVisible(); }

		/** <a class="alias"></a> Alias pre {@link #viditeľná() viditeľná}. */
		public boolean viditelna() { return isVisible(); }

		/**
		 * Zistí, či je položka zobrazená (viditeľná) alebo nie. Po
		 * vytvorení je položka predvolene viditeľná, môžeme ju skrývať
		 * a zobrazovať metódami {@link #skry() skry} a {@link #zobraz()
		 * zobraz}. (Položky ponúk však namiesto skrývania a zobrazovania
		 * odporúčame {@linkplain #aktivuj() aktivovať} alebo {@linkplain
		 * #deaktivuj() deaktivovať}.) Alternatívou tejto metódy je metóda
		 * {@link #viditeľná() viditeľná}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #viditeľná()
		 * @see #zobraz()
		 * @see #skry()
		 */
		public boolean zobrazená() { return isVisible(); }

		/** <a class="alias"></a> Alias pre {@link #zobrazená() zobrazená}. */
		public boolean zobrazena() { return isVisible(); }

		/**
		 * Zobrazí položku. (Pre viac informácií pozri opis metódy
		 * {@link #zobrazená() zobrazená}.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #viditeľná()
		 * @see #zobrazená()
		 * @see #skry()
		 */
		public void zobraz() { setVisible(true); }

		/**
		 * Skryje položku. (Pre viac informácií pozri opis metódy
		 * {@link #zobrazená() zobrazená}.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see #viditeľná()
		 * @see #zobrazená()
		 * @see #zobraz()
		 */
		public void skry() { setVisible(false); }


		/**
		 * <a class="getter"></a> Zistí aktuálnu farbu textu položky.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return aktuálna farba textu položky (objekt typu {@link Farba
		 *      Farba})
		 */
		public Farba farbaTextu()
		{
			Color farba = getForeground();
			if (farba instanceof Farba) return (Farba)farba;
			return new Farba(farba);
		}

		/**
		 * <a class="setter"></a> Nastav farbu textu položky. Nastaví farbu
		 * a priehľadnosť textu položky podľa zadaného objektu.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param nováFarba objekt typu {@link Color Color} (alebo
		 *      odvodeného napr. {@link Farba Farba}) s novou farbou textu
		 *      položky; jestvuje paleta predvolených farieb (pozri napr.:
		 *      {@link #biela}, {@link #červená}, {@link #čierna}…)
		 */
		public void farbaTextu(Color nováFarba) { setForeground(nováFarba); }

		/**
		 * Nastaví farbu a priehľadnosť textu položky podľa zadaného objektu.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt určujúci novú farbu textu položky
		 */
		public void farbaTextu(Farebnosť objekt) { farbaTextu(objekt.farba()); }

		/**
		 * Nastaví farbu textu položky podľa zadaných farebných zložiek.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} – nová farba textu
		 *  @see #farbaTextu(java.awt.Color)
		 */
		public Farba farbaTextu(int r, int g, int b)
		{
			Farba farba = new Farba(r, g, b);
			setForeground(farba);
			return farba;
		}

		/**
		 * Nastaví farbu a (ne)priehľadnosť textu položky podľa zadaných
		 * farebných zložiek a úrovne priehľadnosti.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo
		 *      v rozsahu 0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná
		 *      farba)
		 *  @return objekt typu {@link Farba Farba} – nová farba textu
		 *  @see #farbaTextu(java.awt.Color)
		 */
		public Farba farbaTextu(int r, int g, int b, int a)
		{
			Farba farba = new Farba(r, g, b, a);
			setForeground(farba);
			return farba;
		}

		/**
		 * Nastaví zdedenú farbu textu položky. Farba textu položky bude
		 * zdedená od nadradeného komponentu.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void zdedenáFarbaTextu() { farbaTextu((Color)null); }

		/** <a class="alias"></a> Alias pre {@link #zdedenáFarbaTextu() zdedenáFarbaTextu}. */
		public void zdedenaFarbaTextu() { farbaTextu((Color)null); }


		/**
		 * <a class="getter"></a> Číta farbu pozadia položky.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return aktuálna farba pozadia položky (objekt typu {@link Farba
		 *      Farba})
		 */
		public Farba farbaPozadia()
		{
			Color farba = getBackground();
			if (farba instanceof Farba) return (Farba)farba;
			return new Farba(farba);
		}

		/**
		 * <a class="setter"></a> Nastaví farbu a priehľadnosť pozadia položky
		 * podľa zadanej farebnej inštancie.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param nováFarba objekt určujúci novú farbu pozadia;
		 *      jestvuje paleta predvolených farieb (pozri: {@link
		 *      #biela}, {@link #červená}, {@link #čierna}…)
		 */
		public void farbaPozadia(Color nováFarba) { setBackground(nováFarba); }

		/**
		 * Nastaví farbu a priehľadnosť pozadia položky podľa zadaného objektu.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt určujúci novú farbu pozadia
		 */
		public void farbaPozadia(Farebnosť objekt)
		{ farbaPozadia(objekt.farba()); }

		/**
		 * Nastaví farbu pozadia položky podľa zadaných farebných zložiek.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} – nová farba pozadia
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public Farba farbaPozadia(int r, int g, int b)
		{
			Farba farba = new Farba(r, g, b);
			setBackground(farba);
			return farba;
		}

		/**
		 * Nastaví farbu a (ne)priehľadnosť pozadia položky podľa zadaných
		 * farebných zložiek a úrovne priehľadnosti.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo
		 *       v rozsahu 0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná
		 *       farba)
		 *  @return objekt typu {@link Farba Farba} – nová farba pozadia
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public Farba farbaPozadia(int r, int g, int b, int a)
		{
			Farba farba = new Farba(r, g, b, a);
			setBackground(farba);
			return farba;
		}

		/**
		 * Nastaví zdedenú farbu pozadia položky.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void zdedenáFarbaPozadia() { farbaPozadia((Color)null); }

		/** <a class="alias"></a> Alias pre {@link #zdedenáFarbaPozadia() zdedenáFarbaPozadia}. */
		public void zdedenaFarbaPozadia() { farbaPozadia((Color)null); }


		/**
		 * <a class="getter"></a> Číta aktuálny typ písma textu položky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return objekt typu {@link Písmo} – aktuálne písmo
		 *  @see #písmo(Font)
		 *  @see #písmo(String, double)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public Písmo písmo()
		{
			Font písmo = getFont();
			if (písmo instanceof Písmo) return (Písmo)písmo;
			return new Písmo(písmo);
		}

		/** <a class="alias"></a> Alias pre {@link #písmo() písmo}. */
		public Pismo pismo()
		{
			Font písmo = getFont();
			if (písmo instanceof Pismo) return (Pismo)písmo;
			return new Pismo(písmo);
		}

		/**
		 * <a class="setter"></a> Nastaví nový typ písma textu položky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param novéPísmo objekt typu {@link Písmo} alebo {@link Font}
		 *      určujúci nový typ písma
		 *  @see #písmo()
		 *  @see #písmo(String, double)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public void písmo(Font novéPísmo) { setFont(novéPísmo); }

		/** <a class="alias"></a> Alias pre {@link #písmo(Font) písmo}. */
		public void pismo(Font novéPísmo) { písmo(novéPísmo); }

		/**
		 * Nastaví nový typ písma textu položky. (Nová inštancia triedy
		 * {@link Písmo Písmo} je touto metódou vrátená na prípadné ďalšie
		 * použitie.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param názov názov písma; môže byť všeobecný názov logického
		 *      písma (Dialog, DialogInput, Monospaced, Serif, SansSerif…)
		 *      alebo názov konkrétneho písma (Times New Roman, Arial…)
		 *  @param veľkosť veľkosť písma v bodoch (hodnota je zaokrúhlená
		 *      na typ {@code typefloat})
		 *  @return nový objekt typu {@link Písmo}
		 *  @see #písmo()
		 *  @see #písmo(Font)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public Písmo písmo(String názov, double veľkosť)
		{
			Písmo písmo = new Písmo(názov, Písmo.PLAIN, veľkosť);
			setFont(písmo);
			return písmo;
		}

		/** <a class="alias"></a> Alias pre {@link #písmo(String, double) písmo}. */
		public Pismo pismo(String názov, double veľkosť)
		{ return new Pismo(písmo(názov, veľkosť)); }


		/**
		 * <a class="getter"></a> Prečíta aktuálny text položky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return aktuálny text položky
		 * @see #text(String)
		 */
		public String text() { return getText(); }

		/**
		 * <a class="setter"></a> Nastaví nový text položky.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param text nový text položky
		 * @see #text()
		 */
		public void text(String text) { setText(text); }


		// @see #ikonaStlačenej(String)
		// @see #ikonaDeaktivovanej(String)
		// @see #ikonaOznačenej(String)
		// @see #ikonaDeaktivovanejOznačenej(String)

		/**
		 * Nastaví alebo odstráni ikonu položky uloženú v súbore s obrázkom.
		 * Táto metóda nastavuje základnú ikonu položky. (Bez nej nemá význam
		 * priraďovať položke ostatné druhy ikon…)
		 * 
		 * <P>Ikona prečítaná zo súboru je prevedená z obrázka, ktorý je
		 * chápaný ako zdroj a ktorý po prečítaní zostane uložený vo
		 * vnútornej pamäti sveta rovnako ako prevedená verzia ikony.
		 * Obidva objekty môžu byť v prípade potreby (napríklad ak sa obsah
		 * súboru na disku zmenil) z vnútornej pamäte odstránené metódou
		 * {@link Svet#uvoľni(String) Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * (resp. ikonami) alebo zvukmi, ktoré prijímajú názov súboru ako
		 * parameter.)
		 * 
		 * <P><b>Poznámka:</b> Z dôvodu konzistencie je k tejto metóde
		 * definovaný alias {@link #obrazok(String) obrazok(súbor)}
		 * (s názvom bez diakritiky), ktorý má korešpondovať s aliasom metódy
		 * {@link #ikona() ikona()} (určeným na čítanie ikony).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param súbor názov súboru s obrázkom, ktorý bude použitý na
		 *     vytvorenie ikony položky alebo {@code (String)}{@code valnull}
		 *     ak chceme ikonu položky odstrániť
		 * 
		 * @see #ikona(Image)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 */
		public void ikona(String súbor)
		{
			if (null == súbor) setIcon(null);
			else setIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #ikona(String) ikona}. */
		public void obrazok(String súbor) { ikona(súbor); }


		// @see #ikonaStlačenej(Image)
		// @see #ikonaDeaktivovanej(Image)
		// @see #ikonaOznačenej(Image)
		// @see #ikonaDeaktivovanejOznačenej(Image)

		/**
		 * <a class="setter"></a> Nastaví alebo odstráni ikonu položky určenú
		 * obrázkom. Táto metóda nastavuje základnú ikonu položky. (Bez nej
		 * nemá význam priraďovať položke ostatné druhy ikon…)
		 * 
		 * <P><b>Poznámka:</b> Z dôvodu konzistencie je k tejto metóde
		 * definovaný alias {@link #obrazok(Image) obrazok(obrázok)}
		 * (s názvom bez diakritiky), ktorý má korešpondovať s aliasom metódy
		 * {@link #ikona() ikona()}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok obrázok určujúci novú ikonu položky alebo
		 *     {@code (Image)}{@code valnull} ak chceme ikonu položky
		 *     odstrániť
		 * 
		 * @see #ikona(String)
		 */
		public void ikona(Image obrázok)
		{
			if (null == obrázok) setIcon(null);
			else setIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #ikona(Image) ikona}. */
		public void obrazok(Image obrázok) { ikona(obrázok); }

		/**
		 * <a class="getter"></a> Vráti základnú ikonu položky alebo
		 * {@code valnull} ak položka nemá priradenú ikonu, ktorá bola
		 * vytvorená z inštancie typu {@link Obrázok Obrázok}.
		 * 
		 * <P><b>Poznámka:</b> Názov tejto metódy neobsahuje žiadnu
		 * diakritiku, preto nemohol byť definovaný prislúchajúci alias,
		 * ktorý by vracal objekt typu {@link Obrazok Obrazok} (t. j. triedy
		 * aliasu, ktorej názov tiež neobsahuje diakritiku). Z toho dôvodu je
		 * alias nahradený metódou {@link #obrazok() obrazok} (bez diakritiky).
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #ikona(String)
		 * @see #ikona(Image)
		 */
		public Obrázok ikona()
		{
			Icon icon = getIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #ikona() ikona}. */
		public Obrazok obrazok()
		{
			Obrázok obrázok = ikona();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}


		// Nasledujúce definície boli na nič! Ani jedna nefungovala!

		/* *
		 * Nastaví alebo odstráni ikonu stlačenej položky uloženú v súbore
		 * s obrázkom. Ak položka nemá definovanú {@linkplain #ikona(String)
		 * základnú ikonu}, tak nemá nastavovanie ikony pre stlačený stav
		 * význam. Síce toto nastavenie môžete bez negatívnych následkov
		 * vykonať aj bez toho, ale prejaví sa až po nastavení základnej
		 * ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param súbor názov súboru s obrázkom, ktorý bude použitý na
		 *     vytvorenie ikony stlačenej položky alebo
		 *     {@code (String)}{@code valnull} ak chceme odstrániť ikonu
		 *     stlačenej položky
		 * 
		 * @see #ikonaStlačenej(Image)
		 * @see #ikona(String)
		 * @see #ikonaDeaktivovanej(String)
		 * @see #ikonaOznačenej(String)
		 * @see #ikonaDeaktivovanejOznačenej(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 * /
		public void ikonaStlačenej(String súbor)
		{
			if (null == súbor) setPressedIcon(null);
			else setPressedIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaStlačenej(String) ikonaStlačenej}. * /
		public void ikonaStlacenej(String súbor) { ikonaStlačenej(súbor); }

		/**
		 * Nastaví alebo odstráni ikonu stlačenej položky určenú obrázkom. Ak
		 * položka nemá definovanú {@linkplain #ikona(Image) základnú ikonu},
		 * tak nemá nastavovanie ikony pre stlačený stav význam. Síce toto
		 * nastavenie môžete bez negatívnych následkov vykonať aj bez toho,
		 * ale prejaví sa až po nastavení základnej ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok obrázok určujúci novú ikonu stlačenej položky alebo
		 *     {@code (Image)}{@code valnull} ak chceme odstrániť ikonu
		 *     stlačenej položky
		 * 
		 * @see #ikonaStlačenej(String)
		 * @see #ikona(Image)
		 * @see #ikonaDeaktivovanej(Image)
		 * @see #ikonaOznačenej(Image)
		 * @see #ikonaDeaktivovanejOznačenej(Image)
		 * /
		public void ikonaStlačenej(Image obrázok)
		{
			if (null == obrázok) setPressedIcon(null);
			else setPressedIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaStlačenej(Image) ikonaStlačenej}. * /
		public void ikonaStlacenej(Image obrázok) { ikonaStlačenej(obrázok); }

		/**
		 * Vráti ikonu stlačenej položky alebo {@code valnull} ak položka nemá
		 * definovanú ikonu pre stlačený stav, ktorá bola vytvorená
		 * z inštancie typu {@link Obrázok Obrázok}.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #ikona()
		 * @see #ikonaDeaktivovanej()
		 * @see #ikonaOznačenej()
		 * @see #ikonaDeaktivovanejOznačenej()
		 * /
		public Obrázok ikonaStlačenej()
		{
			Icon icon = getPressedIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaStlačenej() ikonaStlačenej}. * /
		public Obrazok ikonaStlacenej()
		{
			Obrázok obrázok = ikonaStlačenej();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}


		/**
		 * Nastaví alebo odstráni ikonu {@linkplain #deaktivuj()
		 * deaktivovanej} položky uloženú v súbore s obrázkom. Ak položka
		 * nemá definovanú {@linkplain #ikona(String) základnú ikonu}, tak
		 * nemá nastavovanie ikony deaktivovanej položky význam. Síce toto
		 * nastavenie môžete bez negatívnych následkov vykonať aj bez toho,
		 * ale prejaví sa až po nastavení základnej ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param súbor názov súboru s obrázkom, ktorý bude použitý na
		 *     vytvorenie ikony deaktivovanej položky alebo
		 *     {@code (String)}{@code valnull} ak chceme odstrániť ikonu
		 *     deaktivovanej položky
		 * 
		 * @see #ikonaDeaktivovanej(Image)
		 * @see #ikona(String)
		 * @see #ikonaStlačenej(String)
		 * @see #ikonaOznačenej(String)
		 * @see #ikonaDeaktivovanejOznačenej(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 * /
		public void ikonaDeaktivovanej(String súbor)
		{
			if (null == súbor) setDisabledIcon(null);
			else setDisabledIcon(súborNaIkonu(súbor));
		}

		/**
		 * Nastaví alebo odstráni ikonu {@linkplain #deaktivuj()
		 * deaktivovanej} položky určenú obrázkom. Ak položka nemá definovanú
		 * {@linkplain #ikona(Image) základnú ikonu}, tak nemá nastavovanie
		 * ikony deaktivovanej položky význam. Síce toto nastavenie môžete
		 * bez negatívnych následkov vykonať aj bez toho, ale prejaví sa až
		 * po nastavení základnej ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok obrázok určujúci novú ikonu deaktivovanej položky
		 *     alebo {@code (Image)}{@code valnull} ak chceme odstrániť ikonu
		 *     deaktivovanej položky
		 * 
		 * @see #ikonaDeaktivovanej(String)
		 * @see #ikona(Image)
		 * @see #ikonaStlačenej(Image)
		 * @see #ikonaOznačenej(Image)
		 * @see #ikonaDeaktivovanejOznačenej(Image)
		 * /
		public void ikonaDeaktivovanej(Image obrázok)
		{
			if (null == obrázok) setDisabledIcon(null);
			else setDisabledIcon(obrázokNaIkonu(obrázok));
		}

		/**
		 * Vráti ikonu {@linkplain #deaktivuj() deaktivovanej} položky
		 * alebo {@code valnull} ak položka nemá definovanú ikonu pre
		 * deaktivovaný stav, ktorá bola vytvorená z inštancie typu
		 * {@link Obrázok Obrázok}.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P><b>Poznámka 2:</b> Názov tejto metódy neobsahuje žiadnu
		 * diakritiku, preto nemohol byť definovaný prislúchajúci alias,
		 * ktorý by vracal objekt typu {@link Obrazok Obrazok} (t. j. triedy
		 * aliasu, ktorej názov tiež neobsahuje diakritiku). Z toho dôvodu je
		 * alias nahradený metódou {@link #obrazokDeaktivovanej()
		 * obrazokDeaktivovanej} (bez diakritiky).
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #ikona()
		 * @see #ikonaStlačenej()
		 * @see #ikonaOznačenej()
		 * @see #ikonaDeaktivovanejOznačenej()
		 * /
		public Obrázok ikonaDeaktivovanej()
		{
			Icon icon = getDisabledIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanej() ikonaDeaktivovanej}. * /
		public Obrazok obrazokDeaktivovanej()
		{
			Obrázok obrázok = ikonaDeaktivovanej();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}


		/**
		 * Nastaví alebo odstráni ikonu {@linkplain #označená() označenej
		 * položky} uloženú v súbore s obrázkom. Ak položka nemá definovanú
		 * {@linkplain #ikona(String) základnú ikonu}, tak nemá nastavovanie
		 * ikony označenej položky význam. Síce toto nastavenie môžete bez
		 * negatívnych následkov vykonať aj bez toho, ale prejaví sa až po
		 * nastavení základnej ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param súbor názov súboru s obrázkom, ktorý bude použitý na
		 *     vytvorenie ikony označenej položky alebo
		 *     {@code (String)}{@code valnull} ak chceme odstrániť ikonu
		 *     označenej položky
		 * 
		 * @see #ikonaOznačenej(Image)
		 * @see #ikona(String)
		 * @see #ikonaStlačenej(String)
		 * @see #ikonaDeaktivovanej(String)
		 * @see #ikonaDeaktivovanejOznačenej(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 * /
		public void ikonaOznačenej(String súbor)
		{
			if (null == súbor) setSelectedIcon(null);
			else setSelectedIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaOznačenej(String) ikonaOznačenej}. * /
		public void ikonaOznacenej(String súbor) { ikonaOznačenej(súbor); }

		/**
		 * Nastaví alebo odstráni ikonu {@linkplain #označená() označenej
		 * položky} určenú obrázkom. Ak položka nemá definovanú {@linkplain
		 * #ikona(Image) základnú ikonu}, tak nemá nastavovanie ikony
		 * označenej položky význam. Síce toto nastavenie môžete bez
		 * negatívnych následkov vykonať aj bez toho, ale prejaví sa až
		 * po nastavení základnej ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok obrázok určujúci novú ikonu označenej položky alebo
		 *     {@code (Image)}{@code valnull} ak chceme odstrániť ikonu
		 *     označenej položky
		 * 
		 * @see #ikonaOznačenej(String)
		 * @see #ikona(Image)
		 * @see #ikonaStlačenej(Image)
		 * @see #ikonaDeaktivovanej(Image)
		 * @see #ikonaDeaktivovanejOznačenej(Image)
		 * /
		public void ikonaOznačenej(Image obrázok)
		{
			if (null == obrázok) setSelectedIcon(null);
			else setSelectedIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaOznačenej(Image) ikonaOznačenej}. * /
		public void ikonaOznacenej(Image obrázok) { ikonaOznačenej(obrázok); }

		/**
		 * Vráti ikonu {@linkplain #označená() označenej položky} alebo
		 * {@code valnull} ak položka nemá definovanú ikonu pre označený stav,
		 * ktorá bola vytvorená z inštancie typu {@link Obrázok Obrázok}.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #ikona()
		 * @see #ikonaStlačenej()
		 * @see #ikonaDeaktivovanej()
		 * @see #ikonaDeaktivovanejOznačenej()
		 * /
		public Obrázok ikonaOznačenej()
		{
			Icon icon = getSelectedIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaOznačenej() ikonaOznačenej}. * /
		public Obrazok ikonaOznacenej()
		{
			Obrázok obrázok = ikonaOznačenej();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}


		/**
		 * Nastaví alebo odstráni ikonu položky, ktorá je zároveň {@linkplain
		 * #deaktivuj() deaktivovaná} a {@linkplain #označená() označená}
		 * uloženú v súbore s obrázkom. Ak položka nemá definovanú {@linkplain
		 * #ikona(String) základnú ikonu}, tak nemá nastavovanie tohto typu
		 * ikony význam. Síce toto nastavenie môžete bez negatívnych následkov
		 * vykonať aj bez toho, ale prejaví sa až po nastavení základnej
		 * ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param súbor názov súboru s obrázkom, ktorý bude použitý na
		 *     vytvorenie ikony deaktivovanej a označenej položky alebo
		 *     {@code (String)}{@code valnull} ak chceme odstrániť ikonu
		 *     deaktivovanej a označenej položky
		 * 
		 * @see #ikonaDeaktivovanejOznačenej(Image)
		 * @see #ikona(String)
		 * @see #ikonaStlačenej(String)
		 * @see #ikonaDeaktivovanej(String)
		 * @see #ikonaOznačenej(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 * /
		public void ikonaDeaktivovanejOznačenej(String súbor)
		{
			if (null == súbor) setDisabledSelectedIcon(null);
			else setDisabledSelectedIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej(String) ikonaDeaktivovanejOznačenej}. * /
		public void ikonaDeaktivovanejOznacenej(String súbor) { ikonaDeaktivovanejOznačenej(súbor); }

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej(String) ikonaDeaktivovanejOznačenej}. * /
		public void ikonaOznačenejDeaktivovanej(String súbor) { ikonaDeaktivovanejOznačenej(súbor); }

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej(String) ikonaDeaktivovanejOznačenej}. * /
		public void ikonaOznacenejDeaktivovanej(String súbor) { ikonaDeaktivovanejOznačenej(súbor); }

		/**
		 * Nastaví alebo odstráni ikonu položky, ktorá je zároveň {@linkplain
		 * #deaktivuj() deaktivovaná} a {@linkplain #označená() označená}
		 * určenú obrázkom. Ak položka nemá definovanú {@linkplain
		 * #ikona(Image) základnú ikonu}, tak nemá nastavovanie tohto typu
		 * ikony význam. Síce toto nastavenie môžete bez negatívnych následkov
		 * vykonať aj bez toho, ale prejaví sa až po nastavení základnej ikony.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok obrázok určujúci novú ikonu deaktivovanej
		 *     a označenej položky alebo {@code (Image)}{@code valnull} ak
		 *     chceme odstrániť ikonu deaktivovanej a označenej položky
		 * 
		 * @see #ikonaDeaktivovanejOznačenej(String)
		 * @see #ikona(Image)
		 * @see #ikonaStlačenej(Image)
		 * @see #ikonaDeaktivovanej(Image)
		 * @see #ikonaOznačenej(Image)
		 * /
		public void ikonaDeaktivovanejOznačenej(Image obrázok)
		{
			if (null == obrázok) setDisabledSelectedIcon(null);
			else setDisabledSelectedIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej(Image) ikonaDeaktivovanejOznačenej}. * /
		public void ikonaDeaktivovanejOznacenej(Image obrázok) { ikonaDeaktivovanejOznačenej(obrázok); }

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej(Image) ikonaDeaktivovanejOznačenej}. * /
		public void ikonaOznačenejDeaktivovanej(Image obrázok) { ikonaDeaktivovanejOznačenej(obrázok); }

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej(Image) ikonaDeaktivovanejOznačenej}. * /
		public void ikonaOznacenejDeaktivovanej(Image obrázok) { ikonaDeaktivovanejOznačenej(obrázok); }

		/**
		 * Vráti ikonu {@linkplain #deaktivuj() deaktivovanej} a {@linkplain
		 * #označená() označenej} položky alebo {@code valnull} ak položka
		 * nemá definovanú ikonu pre tento túto kombináciu stavov, ktorá by
		 * bola vytvorená z inštancie typu {@link Obrázok Obrázok}.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). Definície vzhľadu (L&F)
		 * však nemusia položky vnímať ako tlačidlá a pokus o prácu s touto
		 * vlastnosťou nemusí mať očakávaný efekt.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #ikona()
		 * @see #ikonaStlačenej()
		 * @see #ikonaDeaktivovanej()
		 * @see #ikonaOznačenej()
		 * /
		public Obrázok ikonaDeaktivovanejOznačenej()
		{
			Icon icon = getSelectedIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej() ikonaDeaktivovanejOznačenej}. * /
		public Obrazok ikonaDeaktivovanejOznacenej()
		{
			Obrázok obrázok = ikonaDeaktivovanejOznačenej();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej() ikonaDeaktivovanejOznačenej}. * /
		public Obrázok ikonaOznačenejDeaktivovanej() { return ikonaDeaktivovanejOznačenej(); }

		/** <a class="alias"></a> Alias pre {@link #ikonaDeaktivovanejOznačenej() ikonaDeaktivovanejOznačenej}. * /
		public Obrazok ikonaOznacenejDeaktivovanej() { return ikonaDeaktivovanejOznacenej(); }*/


		/**
		 * <a class="getter"></a> Zistí aktuálu veľkosť medzery medzi ikonou
		 * a textom tejto položky.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). V niektorých definíciách
		 * vzhľadu (L&F) však nemusia byť položky chápané ako typické
		 * tlačidlá, ich vzhľad sa môže odlišovať a pokus o prácu s medzerou
		 * medzi ikonou a textom nemusí mať očakávaný efekt.
		 * 
		 * @return celé číslo vyjadrujúce počet pixelov medzi ikonou
		 * a textom tejto položky
		 */
		public int medzeraMedziIkonouATextom()
		{ return getIconTextGap(); }

		/**
		 * <a class="setter"></a> Ak má toto položka nastavenú ikonu aj
		 * text, tak táto vlastnosť určuje veľkosť medzery medzi nimi.
		 * Predvolená hodnota je štyri pixely.
		 * 
		 * <P><b>Poznámka:</b> Táto metóda zrkadlí definíciu z triedy
		 * {@link AbstractButton AbstractButton} (čiže položka je z pohľadu
		 * objektového modelu chápaná ako tlačidlo). V niektorých definíciách
		 * vzhľadu (L&F) však nemusia byť položky chápané ako typické
		 * tlačidlá, ich vzhľad sa môže odlišovať a pokus o prácu s medzerou
		 * medzi ikonou a textom nemusí mať očakávaný efekt.
		 * 
		 * @param medzera celé číslo určujúce počet pixelov medzi ikonou
		 * a textom
		 */
		public void medzeraMedziIkonouATextom(int medzera)
		{ setIconTextGap(medzera); }


		/**
		 * Prepojí túto položku kontextovej ponuky s príkazom priradeným ku
		 * {@linkplain Svet#pridajKlávesovúSkratku(String, int)
		 * klávesovej skratke}.
		 * Odteraz odpoveďou na zvolenie tejto položky nebude spustenie reakcie
		 * {@link ObsluhaUdalostí#voľbaKontextovejPoložky()
		 * voľbaKontextovejPoložky}, ale reakcie
		 * {@link ObsluhaUdalostí#klávesováSkratka() klávesováSkratka}.
		 * Ak chcete priradenie príkazu k položke zrušiť, zadajte hodnotu
		 * {@code valnull}.
		 * <P><b>Upozornenie:</b> Predtým, než
		 * {@linkplain Svet#odoberKlávesovúSkratku(String) odoberiete klávesovú
		 * skratku} zo sveta, zrušte aj priadenie príkazu k tejto položke
		 * (zadaním hodnoty {@code valnull}), inak môže nastať neočakávané
		 * správanie sa programu.
		 * <P><b>Poznámka:</b> Spustenie tejto metódy spôsobí aktualizáciu
		 * údajov vzhľadu súvisiacich s klávesovou skratkou zadaného príkazu
		 * podľa vzhľadu tejto položky. Každé ďalšie spustenie tejto metódy
		 * pre niektorú položku ponuky alebo kontextovej ponuky spôsobí novú
		 * aktualizáciu údajov vzhľadu a spätne aktualizáciu vzhľadu všetkých
		 * položiek, ktoré boli predtým s týmto príkazom previazané. Preto
		 * je vhodné vyvarovať sa previazaniu konkrétneho príkazu s viacerými
		 * položkami ponuky alebo kontextovej ponuky (ak to nie je vyslovene
		 * vyžadované).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param príkaz príkaz na priradenie alebo {@code valnull}
		 * @see Svet#pridajKlávesovúSkratku(String, int)
		 * @see Svet#pridajKlávesovúSkratku(String, int, int)
		 */
		public void príkaz(String príkaz)
		{
			if (null == príkaz)
			{
				setAction(null);
				addActionListener(voľbaKontextovejPoložky);
			}
			else
			{
				removeActionListener(voľbaKontextovejPoložky);
				Svet.KlávesováSkratka skratka =
					Svet.klávesovéSkratky.get(príkaz);
				skratka.putValue(AbstractAction.NAME, getText());
				skratka.putValue(AbstractAction.MNEMONIC_KEY, getMnemonic());
				skratka.putValue(AbstractAction.SMALL_ICON, getIcon());
				setAction(skratka);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #príkaz(String) príkaz}. */
		public void prikaz(String príkaz) { príkaz(príkaz); }
	}

	/** <a class="alias"></a> Alias pre {@link KontextováPoložka KontextováPoložka}. */
	@SuppressWarnings("serial")
	public static class KontextovaPolozka extends KontextováPoložka
	{ public KontextovaPolozka(String text) { super(text); } }


	// ------------------------- //
	//  *** Trieda Tlačidlo ***  //
	// ------------------------- //

	/**
	 * Trieda {@code currTlačidlo} dovoľuje vytvárať v aplikácii
	 * používajúcej robota tlačidlá, ktoré sú zobrazované nad plátnom (avšak
	 * nie sú jeho súčasťou). Každé nové tlačidlo je automaticky umiestnené
	 * na súradnice stredu plátna s predvolenými rozmermi 108 × 32 bodov
	 * (šírka × výška).
	 * 
	 * <P><small>(<b>Poznámka:</b> Tlačidlá používajú súradnicový priestor
	 * robota a používajú pri tom vlastný zabudovaný mechanizmus, preto na
	 * manipuláciu s polohou a rozmermi tlačidiel používajte metódy
	 * definované v tejto triede, ako: {@link Tlačidlo#polohaX(double)
	 * polohaX}, {@link Tlačidlo#polohaY(double) polohaY}, {@link
	 * Tlačidlo#šírka(int) šírka}, {@link Tlačidlo#výška(int) výška}…, nie
	 * zdedené metódy {@link JButton#setLocation(int, int) setLocation},
	 * {@link JButton#setSize(int, int) setSize}…)</small>
	 * 
	 * <P>Na obsluhu tlačidiel je určená metóda {@link ObsluhaUdalostí
	 * ObsluhaUdalostí}{@code .}{@link ObsluhaUdalostí#voľbaTlačidla()
	 * voľbaTlačidla}. Jej využitie ukazuje nasledujúci príklad:
	 * 
	 * <pre CLASS="example">
		{@code comm// Vytvoríme tlačidlá, ktorými budeme ovládať robota}
		{@code comm// (Poznámka: predpokladáme, že tento kód je umiestnený}
		{@code comm// v konštruktore hlavného robota…)}

		{@code kwdfinal} {@code currTlačidlo} tlačidloDopredu = {@code kwdnew} {@link #GRobot.Tlačidlo(String) Tlačidlo}({@code srg"Dopredu"});
		{@code kwdfinal} {@code currTlačidlo} tlačidloDozadu = {@code kwdnew} {@link #GRobot.Tlačidlo(String) Tlačidlo}({@code srg"Dozadu"});
		{@code kwdfinal} {@code currTlačidlo} tlačidloVpravo = {@code kwdnew} {@link #GRobot.Tlačidlo(String) Tlačidlo}({@code srg"Vpravo"});
		{@code kwdfinal} {@code currTlačidlo} tlačidloVľavo = {@code kwdnew} {@link #GRobot.Tlačidlo(String) Tlačidlo}({@code srg"Vľavo"});

		{@code comm// Rozmiestnime tlačidlá v ľavom hornom rohu tesne pod seba}

		tlačidloDopredu.{@link #prilepVľavo() prilepVľavo}();
		tlačidloDopredu.{@link #prilepHore() prilepHore}();

		tlačidloDozadu.{@link #prilepVľavo() prilepVľavo}();
		tlačidloDozadu.{@link #prilepHore() prilepHore}();
		tlačidloDozadu.{@link #poloha(Poloha) poloha}(tlačidloDopredu);
		tlačidloDozadu.{@link #skoč(double, double) skoč}({@code num0}, &#45;tlačidloDopredu.{@link #výška() výška}());

		tlačidloVpravo.{@link #prilepVľavo() prilepVľavo}();
		tlačidloVpravo.{@link #prilepHore() prilepHore}();
		tlačidloVpravo.{@link #poloha(Poloha) poloha}(tlačidloDozadu);
		tlačidloVpravo.{@link #skoč(double, double) skoč}({@code num0}, &#45;tlačidloDozadu.{@link #výška() výška}());

		tlačidloVľavo.{@link #prilepVľavo() prilepVľavo}();
		tlačidloVľavo.{@link #prilepHore() prilepHore}();
		tlačidloVľavo.{@link #poloha(Poloha) poloha}(tlačidloVpravo);
		tlačidloVľavo.{@link #skoč(double, double) skoč}({@code num0}, &#45;tlačidloVpravo.{@link #výška() výška}());

		{@code comm// Definujeme obsluhu udalostí}
		{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
		{
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#voľbaTlačidla() voľbaTlačidla}()
			{
				{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidlo() tlačidlo}() == tlačidloDopredu)
					{@link GRobot#dopredu(double) dopredu}({@code num10});
				{@code kwdelse} {@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidlo() tlačidlo}() == tlačidloDozadu)
					{@link GRobot#dozadu(double) dozadu}({@code num10});
				{@code kwdelse} {@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidlo() tlačidlo}() == tlačidloVpravo)
					{@link GRobot#vpravo(double) vpravo}({@code num10});
				{@code kwdelse} {@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidlo() tlačidlo}() == tlačidloVľavo)
					{@link GRobot#vľavo(double) vľavo}({@code num10});
			}
		};
		</pre>
	 * 
	 * <P><b>Výsledok:</b>
	 * <P><image>robotOvladanyTlacidlami.png</image>Ukážka nakreslenia
	 * jednoduchej lomenej<br />čiary s pomocou robota ovládaného
	 * tlačidlami<br /><small>(plátno ukážky je zmenšené)</small>
	 * 
	 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
	 */
	@SuppressWarnings("serial")
	public static class Tlačidlo extends JButton implements Poloha
	{
		// Parametre polohy a veľkosti tlačidla
		private int x, y, šírka, výška;

		// Parametre prilepenia k jednotlivým okrajom (kombinácia bitov)
		private byte prilepenie = 0;

		// Zálohy predvolených stavov “Opaque”, “ContentAreaFilled”
		// a “BorderPainted” (upravené metódami „vytvor“):
		private boolean zálohaStavuOpaque;
		private boolean zálohaStavuContentAreaFilled;
		private boolean zálohaStavuBorderPainted;

		// Previaže tlačidlo s obsluhou udalostí
		private final static ActionListener voľbaTlačidla =
			new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				poslednéTlačidlo = (Tlačidlo)e.getSource();

				if (null != počúvadlo)
				{
					synchronized (zámokUdalostí)
					{
						počúvadlo.voľbaTlačidla();
						počúvadlo.volbaTlacidla();
					}
				}

				// if (null != hlavnýRobot)
				// {
				// 	synchronized (zámokUdalostí)
				// 	{
				// 		hlavnýRobot.voľbaTlačidla();
				// 		hlavnýRobot.volbaTlacidla();
				// 	}
				// }

				synchronized (zámokUdalostí)
				{
					for (GRobot počúvajúci : počúvajúciRozhranie)
					{
						počúvajúci.voľbaTlačidla();
						počúvajúci.volbaTlacidla();
					}
				}
			}
		};

		// Určuje predvolené hodnoty vlastností tlačidla
		private void vytvor()
		{
			šírka = 108; výška = 32;
			x = (šírkaPlátna - šírka) / 2;
			y = (výškaPlátna - výška) / 2;
			hlavnýPanel.add(this, 0);
			hlavnýPanel.doLayout();
			addActionListener(voľbaTlačidla);
			addKeyListener(udalostiOkna);
			zálohaStavuOpaque = isOpaque();
			zálohaStavuContentAreaFilled = isContentAreaFilled();
			zálohaStavuBorderPainted = isBorderPainted();
			setCursor(Cursor.getPredefinedCursor(Cursor.DEFAULT_CURSOR));
		}

		private void vytvor(int vlastnáŠírka, int vlastnáVýška)
		{
			šírka = vlastnáŠírka; výška = vlastnáVýška;
			x = (šírkaPlátna - šírka) / 2;
			y = (výškaPlátna - výška) / 2;
			hlavnýPanel.add(this, 0);
			hlavnýPanel.doLayout();
			addActionListener(voľbaTlačidla);
			addKeyListener(udalostiOkna);
			zálohaStavuOpaque = isOpaque();
			zálohaStavuContentAreaFilled = isContentAreaFilled();
			zálohaStavuBorderPainted = isBorderPainted();
			setCursor(Cursor.getPredefinedCursor(Cursor.DEFAULT_CURSOR));
		}


		// Umiestnenie tlačidla na základe súkromných parametrov – použité
		// v metóde rozmiestňovania komponentov: hlavnýPanel.doLayout()
		private void umiestni(int x1, int y1, int šírka1, int výška1)
		{
			int x0 = x1 + x;
			int y0 = y1 + y;

			if (1 == (prilepenie & 3))
				x0 += ((šírka - šírka1) / 2) - (šírka1 % 2);
			else if (2 == (prilepenie & 3))
				x0 -= ((šírka - šírka1) / 2);

			if (4 == (prilepenie & 12))
				y0 += ((výška - výška1) / 2) - (výška1 % 2);
			else if (8 == (prilepenie & 12))
				y0 -= ((výška - výška1) / 2);

			setBounds(x0, y0, šírka, výška);
		}


		/**
		 * Konštruktor textového tlačidla.
		 * Vytvorí tlačidlo umiestnené v strede plátna s predvolenými
		 * rozmermi 108 × 32 bodov a zadaným textom tlačidla.
		 * 
		 * @param text text tlačidla
		 * @see #GRobot.Tlačidlo(Image)
		 * @see #GRobot.Tlačidlo(Image, Image)
		 * @see #GRobot.Tlačidlo(Image, String)
		 * @see #text(String)
		 */
		public Tlačidlo(String text)
		{
			super(text);
			vytvor();
		}

		/**
		 * Konštruktor obrázkového tlačidla. Vytvorí tlačidlo umiestnené
		 * v strede plátna s rozmermi a tvarom zadaného obrázka.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok obrázok tlačidla
		 * @see #GRobot.Tlačidlo(String)
		 * @see #GRobot.Tlačidlo(Image, Image)
		 * @see #GRobot.Tlačidlo(Image, String)
		 * @see #obrázok(Image)
		 */
		// public Tlačidlo(Obrázok obrázok)
		public Tlačidlo(Image obrázok)
		{
			super(obrázokNaIkonu(obrázok));
			// vytvor(obrázok.šírka, obrázok.výška);
			vytvor(obrázok.getWidth(null), obrázok.getHeight(null));
			zrušDekor();
		}

		/**
		 * Konštruktor obrázkového tlačidla s odlišným obrázkom v stlačenom
		 * stave. Vytvorí tlačidlo umiestnené v strede plátna s rozmermi
		 * obrázka určeného pre nestlačený stav (prvý parameter) a vzhľadom
		 * určeným zadanými obrázkami pre normálny a stlačený stav.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param obrázok obrázok tlačidla v normálnom (nestlačenom) stave
		 * @param obrázokStlačeného obrázok stlačeného tlačidla
		 * @see #GRobot.Tlačidlo(String)
		 * @see #GRobot.Tlačidlo(Image)
		 * @see #GRobot.Tlačidlo(Image, String)
		 * @see #obrázok(Image)
		 */
		// public Tlačidlo(Obrázok obrázok, Obrázok obrázokStlačeného)
		public Tlačidlo(Image obrázok, Image obrázokStlačeného)
		{
			super(obrázokNaIkonu(obrázok));
			if (null != obrázokStlačeného)
				setPressedIcon(obrázokNaIkonu(obrázokStlačeného));
			// vytvor(obrázok.šírka, obrázok.výška);
			vytvor(obrázok.getWidth(null), obrázok.getHeight(null));
			zrušDekor();
		}

		/**
		 * Konštruktor textového tlačidla s obrázkom.
		 * Vytvorí tlačidlo umiestnené v strede plátna s predvolenými
		 * rozmermi 108 × 32 bodov a so zadaným obrázkom vedľa textu
		 * tlačidla.
		 * 
		 * @param obrázok obrázok tlačidla
		 * @param text text tlačidla
		 * @see #GRobot.Tlačidlo(String)
		 * @see #GRobot.Tlačidlo(Image)
		 * @see #GRobot.Tlačidlo(Image, Image)
		 * @see #obrázok(Image)
		 * @see #text(String)
		 */
		// public Tlačidlo(Obrázok obrázok, String text)
		public Tlačidlo(Image obrázok, String text)
		{
			super(text, obrázokNaIkonu(obrázok));
			vytvor();
		}


		/**
		 * Overí, či bola toto tlačidlo naposledy aktivované (zvolené).
		 * Metóda je použiteľná v reakcii {@link
		 * ObsluhaUdalostí#voľbaTlačidla() voľbaTlačidla}.
		 * 
		 * <P>(<b>Upozornenie: Pozor na podobnosť medzi názvami metód
		 * {@link #aktívne() aktívne} – {@link #aktivované() aktivované}
		 * a {@link #označené() označené} – {@link #zvolené() zvolené}!</b>
		 * Metóda {@link #aktivované() aktivované} a jej alias {@link
		 * #zvolené() zvolené} zisťujú, či bolo stanovené tlačidlo naposledny
		 * aktivované (zvolené). Metóda {@link #aktívne() aktívne} overuje,
		 * či je stanovené tlačidlo použiteľné (stlačiteľné) a metóda {@link
		 * #označené() označené} zisťuje, či bolo tlačidlo takzvane
		 * {@linkplain #označ() označené} (čo môže mať subjektívny
		 * význam).)
		 * 
		 *  @return {@code valtrue} ak bolo naposledy aktivované toto
		 *    tlačidlo, v opačnom prípade {@code valfalse}
		 */
		public boolean aktivované() { return this == poslednéTlačidlo; }

		/** <a class="alias"></a> Alias pre {@link #aktivované() aktivované}. (Venujte pozornosť upozorneniu pri metóde {@link #aktivované() aktivované}!) */
		public boolean aktivovane() { return aktivované(); }

		/** <a class="alias"></a> Alias pre {@link #aktivované() aktivované}. (Venujte pozornosť upozorneniu pri metóde {@link #aktivované() aktivované}!) */
		public boolean zvolené() { return aktivované(); }

		/** <a class="alias"></a> Alias pre {@link #aktivované() aktivované}. (Venujte pozornosť upozorneniu pri metóde {@link #aktivované() aktivované}!) */
		public boolean zvolene() { return aktivované(); }


		/**
		 * <a class="getter"></a> Zistí aktuálny kód mnemonickej skratky
		 * nastavenej pre toto tlačidlo.
		 * @see #mnemonickáSkratka(int)
		 */
		public int mnemonickáSkratka() { return getMnemonic(); }

		/** <a class="alias"></a> Alias pre {@link #mnemonickáSkratka(int) mnemonickáSkratka}. */
		public int mnemonickaSkratka() { return getMnemonic(); }

		/**
		 * <a class="setter"></a> Dovoľuje nastaviť tlačidlu mnemonickú
		 * skratku. Význam
		 * mnemonickej skratky je rovnaký ako pri položkách ponuky. (Pozri
		 * napríklad metódu {@link Svet#pridajPoložkuPonuky(String, int)
		 * Svet.pridajPoložkuPonuky(text, mnemonickáSkratka)}.)
		 * @param mnemonickáSkratka kód mnemonickej skratky (príklad: {@code
		 *   Kláves.VK_A})
		 * @see #mnemonickáSkratka()
		 */
		public void mnemonickáSkratka(int mnemonickáSkratka)
		{ setMnemonic(mnemonickáSkratka); }

		/** <a class="alias"></a> Alias pre {@link #mnemonickáSkratka(int) mnemonickáSkratka}. */
		public void mnemonickaSkratka(int mnemonickáSkratka)
		{ setMnemonic(mnemonickáSkratka); }


		/**
		 * <a class="getter"></a> Zistí aktuálnu x-ovú súradnicu polohy
		 * tlačidla.
		 * @return aktuálna x-ová súradnica polohy tlačidla
		 * @see #polohaX(double)
		 */
		public double polohaX() { return x - ((šírkaPlátna - šírka) / 2); }

		/**
		 * <a class="getter"></a> Zistí aktuálnu y-ovú súradnicu polohy
		 * tlačidla.
		 * @return aktuálna y-ová súradnica polohy tlačidla
		 * @see #polohaY(double)
		 */
		public double polohaY() { return -y + ((výškaPlátna - výška) / 2); }

		/**
		 * <a class="setter"></a> Presunie tlačidlo na zadanú súradnicu
		 * v smere x. (<small>{@linkplain #prilepVľavo Poznámka: prilepovanie
		 * upravuje súradnicový priestor tlačidla.}</small>)
		 * @param novéX nová x-ová súradnica polohy tlačidla
		 * @see #polohaX()
		 * @see #poloha(double, double)
		 */
		public void polohaX(double novéX)
		{
			x = ((šírkaPlátna - šírka) / 2) + (int)novéX;
			hlavnýPanel.doLayout();
		}

		/**
		 * <a class="setter"></a> Presunie tlačidlo na zadanú v smere y.
		 * (<small>{@linkplain #prilepVľavo Poznámka: prilepovanie upravuje
		 * súradnicový priestor tlačidla.}</small>)
		 * @param novéY nová y-ová súradnica polohy tlačidla
		 * @see #polohaY()
		 * @see #poloha(double, double)
		 * @see #poloha(Poloha)
		 */
		public void polohaY(double novéY)
		{
			y = ((výškaPlátna - výška) / 2) - (int)novéY;
			hlavnýPanel.doLayout();
		}

		/** <a class="alias"></a> Alias pre {@link #polohaX(double)}. */
		public void súradnicaX(double novéX) { polohaX(novéX); }

		/** <a class="alias"></a> Alias pre {@link #polohaX(double)}. */
		public void suradnicaX(double novéX) { polohaX(novéX); }

		/** <a class="alias"></a> Alias pre {@link #polohaY(double)}. */
		public void súradnicaY(double novéY) { polohaY(novéY); }

		/** <a class="alias"></a> Alias pre {@link #polohaY(double)}. */
		public void suradnicaY(double novéY) { polohaY(novéY); }

		/** <a class="alias"></a> Alias pre {@link #polohaX()}. */
		public double súradnicaX() { return polohaX(); }

		/** <a class="alias"></a> Alias pre {@link #polohaY()}. */
		public double súradnicaY() { return polohaY(); }

		/** <a class="alias"></a> Alias pre {@link #polohaX()}. */
		public double suradnicaX() { return polohaX(); }

		/** <a class="alias"></a> Alias pre {@link #polohaY()}. */
		public double suradnicaY() { return polohaY(); }


		/**
		 * Presunie tlačidlo na zadané súradnice {@code x}, {@code y}.
		 * (<small>{@linkplain #prilepVľavo Poznámka: prilepovanie upravuje
		 * súradnicový priestor tlačidla.}</small>)
		 * @param x nová x-ová súradnica polohy tlačidla
		 * @param y nová y-ová súradnica polohy tlačidla
		 * @see #polohaX(double)
		 * @see #polohaY(double)
		 * @see #poloha(Poloha)
		 */
		public void poloha(double x, double y)
		{
			this.x = ((šírkaPlátna - šírka) / 2) + (int)x;
			this.y = ((výškaPlátna - výška) / 2) - (int)y;
			hlavnýPanel.doLayout();
		}

		// /**
		//  * Presunie tlačidlo na súradnice zadaného bodu.
		//  * (<small>{@linkplain #prilepVľavo Poznámka: prilepovanie upravuje
		//  * súradnicový priestor tlačidla.}</small>)
		//  * @param poloha bod určujúci novú polohu tlačidla
		//  * @see #polohaX(double)
		//  * @see #polohaY(double)
		//  * @see #poloha(double, double)
		//  * @see #poloha(Poloha)
		//  */
		// public void poloha(Point2D poloha)
		// {
		// 	this.x = ((šírkaPlátna - šírka) / 2) + (int)poloha.getX();
		// 	this.y = ((výškaPlátna - výška) / 2) - (int)poloha.getY();
		// 	hlavnýPanel.doLayout();
		// }

		// * * <a class="alias"></a> Alias pre {@link #poloha(double, double) poloha}. * /
		// public void poloha(double x, double y) { poloha((int)x, (int)y); }

		/**
		 * Presunie tlačidlo na súradnice zadaného objektu.
		 * (<small>{@linkplain #prilepVľavo Poznámka: prilepovanie upravuje
		 * súradnicový priestor tlačidla.}</small>)
		 * @param objekt objekt, na ktorého súradnice bude tlačidlo presunuté
		 * @see #polohaX(double)
		 * @see #polohaY(double)
		 * @see #poloha(double, double)
		 */
		// public void poloha(GRobot robot)
		public void poloha(Poloha objekt)
		{
			poloha((int)objekt.polohaX(), (int)objekt.polohaY());
		}

		/* *
		 * Presunie tlačidlo na súradnice zadaného tlačidla. Spolu s polohou
		 * je skopírovaný aj {@linkplain #prilepVľavo stav prilepenia
		 * zadaného tlačidla k okrajom}.
		 * @param tlačidlo tlačidlo, na ktorého súradnice bude tlačidlo
		 *   presunuté spolu s prenesením stavu prilepenia k okrajom
		 * @see #polohaX(double)
		 * @see #polohaY(double)
		 * @see #poloha(double, double)
		 * @see #poloha(Poloha)
		 * /
		public void poloha(Tlačidlo tlačidlo)
		{
			x = tlačidlo.x;
			y = tlačidlo.y;
			prilepenie = tlačidlo.prilepenie;
			hlavnýPanel.doLayout();
		}
		*/

		/**
		 * Vráti aktuálnu polohu tlačidla.
		 * @return aktuálna poloha tlačidla
		 * @see #polohaX()
		 * @see #polohaY()
		 */
		public Bod poloha()
		{
			double x = this.x - ((šírkaPlátna - šírka) / 2.0);
			double y = -this.y + ((výškaPlátna - výška) / 2.0);
			return new Bod(x, y);
		}


		/** <a class="alias"></a> Alias pre {@link #poloha(double, double) poloha}. */
		public void skočNa(double x, double y) { poloha(x, y); }

		/** <a class="alias"></a> Alias pre {@link #poloha(double, double) poloha}. */
		public void skocNa(double x, double y) { poloha(x, y); }

		/** <a class="alias"></a> Alias pre {@link #poloha(Poloha) poloha}. */
		public void skočNa(Poloha objekt)
		{ poloha(objekt.polohaX(), objekt.polohaY()); }

		/** <a class="alias"></a> Alias pre {@link #poloha(Poloha) poloha}. */
		public void skocNa(Poloha objekt)
		{ poloha(objekt.polohaX(), objekt.polohaY()); }

		/* * <a class="alias"></a> Alias pre {@link #poloha(GRobot.Tlačidlo) poloha}. * /
		public void skočNa(Tlačidlo tlačidlo) { poloha(tlačidlo); }

		/* * <a class="alias"></a> Alias pre {@link #poloha(GRobot.Tlačidlo) poloha}. * /
		public void skocNa(Tlačidlo tlačidlo) { poloha(tlačidlo); }
		*/

		/**
		 * Presunie tlačidlo o zadaný počet bodov v horizontálnom
		 * a vertikálnom smere. Upozorňujeme, že zadané hodnoty sú
		 * automaticky zaokrúhlené na celé čísla, čiže ani viacnásobné
		 * posunutie tlačidla o hodnotu z otvoreného intervalu {@code num−1}
		 * – {@code num1} nebude mať za následok posunutie tlačidla…
		 * 
		 *  @param Δx  počet bodov v smere x
		 *  @param Δy  počet bodov v smere y
		 */
		public void skoč(double Δx, double Δy)
		{
			this.x += Δx;
			this.y -= Δy;
			hlavnýPanel.doLayout();
		}

		/** <a class="alias"></a> Alias pre {@link #skoč(double, double) skoč}. */
		public void skoc(double Δx, double Δy) { skoč(Δx, Δy); }


		/**
		 * Prilepí tlačidlo k ľavému okraju. Táto akcia zruší prípadné
		 * predchádzajúce prilepenie k pravému okraju. Každé prilepenie upravuje
		 * súradnicový systém tlačidla presunutím čo najbližšie
		 * k prilepovanému okraju. To znamená napríklad, že keď po prilepení
		 * k ľavému okraju posunieme tlačidlo na súradnice [10, 0], posunieme
		 * ho v skutočnosti na pozíciu desať bodov od ľavého okraja.
		 * @see #prilepVpravo()
		 * @see #prilepHore()
		 * @see #prilepDole()
		 * @see #odlep()
		 */
		public void prilepVľavo()
		{
			prilepenie &= 12;
			prilepenie |= 1;
			hlavnýPanel.doLayout();
		}

		/** <a class="alias"></a> Alias pre {@link #prilepVľavo() prilepVľavo}. */
		public void prilepVlavo() { prilepVľavo(); }

		/**
		 * Prilepí tlačidlo k pravému okraju. Táto akcia zruší prípadné
		 * predchádzajúce prilepenie k ľavému okraju. Každé prilepenie upravuje
		 * súradnicový systém tlačidla presunutím čo najbližšie
		 * k prilepovanému okraju. To znamená napríklad, že keď po prilepení
		 * k pravému okraju posunieme tlačidlo na súradnice [-10, 0],
		 * posunieme ho v skutočnosti na pozíciu desať bodov od pravého
		 * okraja.
		 * @see #prilepVľavo()
		 * @see #prilepHore()
		 * @see #prilepDole()
		 * @see #odlep()
		 */
		public void prilepVpravo()
		{
			prilepenie &= 12;
			prilepenie |= 2;
			hlavnýPanel.doLayout();
		}

		/**
		 * Prilepí tlačidlo k hornému okraju. Táto akcia zruší prípadné
		 * predchádzajúce prilepenie k dolnému okraju. Každé prilepenie upravuje
		 * súradnicový systém tlačidla presunutím čo najbližšie
		 * k prilepovanému okraju. To znamená napríklad, že keď po prilepení
		 * k hornému okraju posunieme tlačidlo na súradnice [0, -10],
		 * posunieme ho v skutočnosti na pozíciu desať bodov od horného
		 * okraja.
		 * @see #prilepVľavo()
		 * @see #prilepVpravo()
		 * @see #prilepDole()
		 * @see #odlep()
		 */
		public void prilepHore()
		{
			prilepenie &= 3;
			prilepenie |= 4;
			hlavnýPanel.doLayout();
		}

		/**
		 * Prilepí tlačidlo k dolnému okraju. Táto akcia zruší prípadné
		 * predchádzajúce prilepenie k hornému okraju. Každé prilepenie upravuje
		 * súradnicový systém tlačidla presunutím čo najbližšie
		 * k prilepovanému okraju. To znamená napríklad, že keď po prilepení
		 * k dolnému okraju posunieme tlačidlo na súradnice [0, 10],
		 * posunieme ho v skutočnosti na pozíciu desať bodov od dolného
		 * okraja.
		 * @see #prilepVľavo()
		 * @see #prilepVpravo()
		 * @see #prilepHore()
		 * @see #odlep()
		 */
		public void prilepDole()
		{
			prilepenie &= 3;
			prilepenie |= 8;
			hlavnýPanel.doLayout();
		}

		/**
		 * Odlepí tlačidlo od všetkých okrajov.
		 * @see #prilepVľavo()
		 * @see #prilepVpravo()
		 * @see #prilepHore()
		 * @see #prilepDole()
		 */
		public void odlep() { prilepenie = 0; }


		/**
		 * <a class="getter"></a> Zistí aktuálnu šírku tlačidla.
		 * @return aktuálna šírka tlačidla
		 * @see #šírka(int)
		 */
		public int šírka() { return šírka; }

		/** <a class="alias"></a> Alias pre {@link #šírka() šírka}. */
		public int sirka() { return šírka; }

		/**
		 * <a class="getter"></a> Zistí aktuálnu výšku tlačidla.
		 * @return aktuálna výška tlačidla
		 * @see #výška(int)
		 */
		public int výška() { return výška; }

		/** <a class="alias"></a> Alias pre {@link #výška() výška}. */
		public int vyska() { return výška; }

		/**
		 * <a class="setter"></a> Zmení šírku tlačidla.
		 * @param nováŠírka nová šírka tlačidla
		 * @see #šírka()
		 */
		public void šírka(int nováŠírka)
		{
			double ox = polohaX();
			šírka = nováŠírka;
			polohaX(ox);
		}

		/** <a class="alias"></a> Alias pre {@link #šírka(int) šírka}. */
		public void sirka(int nováŠírka) { šírka(nováŠírka); }

		/**
		 * <a class="setter"></a> Zmení výšku tlačidla.
		 * @param nováVýška nová výška tlačidla
		 * @see #výška()
		 */
		public void výška(int nováVýška)
		{
			double oy = polohaY();
			výška = nováVýška;
			polohaY(oy);
		}

		/** <a class="alias"></a> Alias pre {@link #výška(int) výška}. */
		public void vyska(int nováVýška) { výška(nováVýška); }


		// Keďže sme ani pri robotovi neboli zvyknutí na túto verziu metódy,
		// nedávame ju ani do tlačidla:
		// public void aktivuj(boolean áno) { setEnabled(b); }

		/**
		 * Overí, či je tlačidlo aktívne. Aktívne tlačidlo znamená
		 * použiteľné tlačidlo. S deaktivovaným tlačidlom nemôže používateľ
		 * manipulovať.
		 * 
		 * <P>(<b>Upozornenie: Pozor na podobnosť medzi názvami metód
		 * {@link #aktívne() aktívne} – {@link #aktivované() aktivované}
		 * a {@link #označené() označené} – {@link #zvolené() zvolené}!</b>
		 * Metóda {@link #aktivované() aktivované} a jej alias {@link
		 * #zvolené() zvolené} zisťujú, či bolo stanovené tlačidlo naposledny
		 * aktivované (zvolené). Metóda {@link #aktívne() aktívne} overuje,
		 * či je stanovené tlačidlo použiteľné (stlačiteľné) a metóda {@link
		 * #označené() označené} zisťuje, či bolo tlačidlo takzvane
		 * {@linkplain #označ() označené} (čo môže mať subjektívny
		 * význam).)
		 * 
		 * @return {@code valtrue} – je aktívne;
		 *         {@code valfalse} – nie je aktívne
		 * @see #aktivuj()
		 * @see #deaktivuj()
		 */
		public boolean aktívne() { return isEnabled(); }

		/** <a class="alias"></a> Alias pre {@link #aktívne() aktívne}. */
		public boolean aktivne() { return isEnabled(); }

		/**
		 * Aktivuje tlačidlo. Predvolene je tlačidlo aktívne. Ak ho
		 * {@linkplain #deaktivuj() deaktivujeme} (pozri nižšie), tak po
		 * vykonaní tohto príkazu ({@code curraktivuj}) tlačidla, bude opäť
		 * použiteľné a bude reagovať na klikanie myšou aj voľbu klávesnicou.
		 * @see #aktívne()
		 * @see #aktivuj()
		 * @see #deaktivuj()
		 */
		public void aktivuj() { setEnabled(true); }

		/**
		 * Deaktivuje tlačidlo. Tlačidlo prestane byť použiteľné, prestane
		 * reagovať na myš a klávesnicu.
		 * @see #aktívne()
		 * @see #aktivuj()
		 * @see #deaktivuj()
		 */
		public void deaktivuj() { setEnabled(false); }

		/**
		 * Overí, či je tlačidlo označené. Označené tlačidlo zmení svoj
		 * vzhľad (spôsob zmeny je závislý od operačného systému) a ak má
		 * tlačidlo {@linkplain #obrázok(Image) definovaný obrázok} môžeme
		 * určiť, aby sa v tlačidle s označeným stavom zobrazoval {@linkplain
		 * #obrázokOznačeného(Image) iný obrázok}. (Interpretáciu tohto stavu
		 * ponechávame na programátora…)
		 * 
		 * <P>(<b>Upozornenie: Pozor na podobnosť medzi názvami metód
		 * {@link #aktívne() aktívne} – {@link #aktivované() aktivované}
		 * a {@link #označené() označené} – {@link #zvolené() zvolené}!</b>
		 * Metóda {@link #aktivované() aktivované} a jej alias {@link
		 * #zvolené() zvolené} zisťujú, či bolo stanovené tlačidlo naposledny
		 * aktivované (zvolené). Metóda {@link #aktívne() aktívne} overuje,
		 * či je stanovené tlačidlo použiteľné (stlačiteľné) a metóda {@link
		 * #označené() označené} zisťuje, či bolo tlačidlo takzvane
		 * {@linkplain #označ() označené} (čo môže mať subjektívny
		 * význam).)
		 * 
		 * @return {@code valtrue} – je označené;
		 *         {@code valfalse} – nie je označené
		 * @see #označ()
		 * @see #odznač()
		 * @see #zrušOznačenie()
		 */
		public boolean označené() { return isSelected(); }

		/** <a class="alias"></a> Alias pre {@link #označené() označené}. */
		public boolean oznacene() { return isSelected(); }

		/**
		 * Označí tlačidlo. (Pre viac informácií pozri opis metódy {@link
		 * #označené() označené}.)
		 * @see #aktívne()
		 * @see #odznač()
		 * @see #zrušOznačenie()
		 */
		public void označ() { setSelected(true); }

		/** <a class="alias"></a> Alias pre {@link #označ() označ}. */
		public void oznac() { setSelected(true); }

		/**
		 * Zruší označenie tlačidla. (Pre viac informácií pozri opis metódy
		 * {@link #označené() označené}.)
		 * @see #aktívne()
		 * @see #označ()
		 * @see #zrušOznačenie()
		 */
		public void odznač() { setSelected(false); }

		/** <a class="alias"></a> Alias pre {@link #odznač() odznač}. */
		public void odznac() { setSelected(false); }

		/**
		 * Zruší označenie tlačidla. (Pre viac informácií pozri opis metódy
		 * {@link #označené() označené}.)
		 * @see #aktívne()
		 * @see #označ()
		 * @see #odznač()
		 */
		public void zrušOznačenie() { setSelected(false); }

		/** <a class="alias"></a> Alias pre {@link #zrušOznačenie() zrušOznačenie}. */
		public void zrusOznacenie() { setSelected(false); }


		/**
		 * Zistí, či je tlačidlo viditeľné (zobrazené) alebo nie. Po
		 * vytvorení je tlačidlo predvolene viditeľné, môžeme ho skrývať
		 * a zobrazovať metódami {@link #skry() skry} a {@link #zobraz()
		 * zobraz}. Alternatívou tejto metódy je metóda {@link #zobrazené()
		 * zobrazené}.
		 * @see #zobrazené()
		 * @see #zobraz()
		 * @see #skry()
		 */
		public boolean viditeľné() { return isVisible(); }

		/** <a class="alias"></a> Alias pre {@link #viditeľné() viditeľné}. */
		public boolean viditelne() { return isVisible(); }

		/**
		 * Zistí, či je tlačidlo viditeľné (zobrazené) alebo nie. Po
		 * vytvorení je tlačidlo predvolene viditeľné, môžeme ho skrývať
		 * a zobrazovať metódami {@link #skry() skry} a {@link #zobraz()
		 * zobraz}. Alternatívou tejto metódy je metóda {@link #viditeľné()
		 * viditeľné}.
		 * @see #viditeľné()
		 * @see #zobraz()
		 * @see #skry()
		 */
		public boolean zobrazené() { return isVisible(); }

		/** <a class="alias"></a> Alias pre {@link #zobrazené() zobrazené}. */
		public boolean zobrazene() { return isVisible(); }

		/**
		 * Zobrazí tlačidlo. (Pre viac informácií pozri opis metódy
		 * {@link #zobrazené() zobrazené}.)
		 * @see #viditeľné()
		 * @see #zobrazené()
		 * @see #skry()
		 */
		public void zobraz() { setVisible(true); }

		/**
		 * Skryje tlačidlo. (Pre viac informácií pozri opis metódy
		 * {@link #zobrazené() zobrazené}.)
		 * @see #viditeľné()
		 * @see #zobrazené()
		 * @see #zobraz()
		 */
		public void skry() { setVisible(false); }

		/**
		 * Prekrytie originálnej metódy na zabezpečenie postúpenia vstupu
		 * klávesnice (fokusu) hlavnému panelu (pri skrytí tlačidla).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		@Override public void setVisible(boolean visible)
		{
			if (!visible)
				hlavnýPanel.requestFocusInWindow();
			super.setVisible(visible);
		}


		/**
		 * <a class="getter"></a> Zistí aktuálnu farbu textu tlačidla.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return aktuálna farba textu tlačidla (objekt typu {@link Farba
		 *      Farba})
		 */
		public Farba farbaTextu()
		{
			Color farba = getForeground();
			if (farba instanceof Farba) return (Farba)farba;
			return new Farba(farba);
		}

		/**
		 * <a class="setter"></a> Nastav farbu textu tlačidla. Nastaví farbu
		 * a priehľadnosť textu tlačidla podľa zadaného objektu.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param nováFarba objekt typu {@link Color Color} (alebo
		 *      odvodeného napr. {@link Farba Farba}) s novou farbou textu
		 *      tlačidla; jestvuje paleta predvolených farieb (pozri napr.:
		 *      {@link #biela}, {@link #červená}, {@link #čierna}…)
		 */
		public void farbaTextu(Color nováFarba) { setForeground(nováFarba); }

		/**
		 * Nastaví farbu a priehľadnosť textu tlačidla podľa zadaného objektu.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt určujúci novú farbu textu tlačidla
		 */
		public void farbaTextu(Farebnosť objekt) { farbaTextu(objekt.farba()); }

		/**
		 * Nastaví farbu textu tlačidla podľa zadaných farebných zložiek.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} – nová farba textu
		 *  @see #farbaTextu(java.awt.Color)
		 */
		public Farba farbaTextu(int r, int g, int b)
		{
			Farba farba = new Farba(r, g, b);
			setForeground(farba);
			return farba;
		}

		/**
		 * Nastaví farbu a (ne)priehľadnosť textu tlačidla podľa zadaných
		 * farebných zložiek a úrovne priehľadnosti.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo
		 *      v rozsahu 0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná
		 *      farba)
		 *  @return objekt typu {@link Farba Farba} – nová farba textu
		 *  @see #farbaTextu(java.awt.Color)
		 */
		public Farba farbaTextu(int r, int g, int b, int a)
		{
			Farba farba = new Farba(r, g, b, a);
			setForeground(farba);
			return farba;
		}

		/**
		 * Nastaví zdedenú farbu textu tlačidla. Farba textu tlačidla bude
		 * zdedená od nadradeného komponentu.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void zdedenáFarbaTextu() { farbaTextu((Color)null); }

		/** <a class="alias"></a> Alias pre {@link #zdedenáFarbaTextu() zdedenáFarbaTextu}. */
		public void zdedenaFarbaTextu() { farbaTextu((Color)null); }


		/**
		 * <a class="getter"></a> Číta farbu pozadia tlačidla.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return aktuálna farba pozadia tlačidla (objekt typu {@link Farba
		 *      Farba})
		 */
		public Farba farbaPozadia()
		{
			Color farba = getBackground();
			if (farba instanceof Farba) return (Farba)farba;
			return new Farba(farba);
		}

		/**
		 * <a class="setter"></a> Nastaví farbu a priehľadnosť pozadia
		 * tlačidla podľa zadanej farebnej inštancie.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param nováFarba objekt určujúci novú farbu pozadia;
		 *      jestvuje paleta predvolených farieb (pozri: {@link
		 *      #biela}, {@link #červená}, {@link #čierna}…)
		 */
		public void farbaPozadia(Color nováFarba) { setBackground(nováFarba); }

		/**
		 * Nastaví farbu a priehľadnosť pozadia tlačidla podľa zadaného objektu.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt určujúci novú farbu pozadia
		 */
		public void farbaPozadia(Farebnosť objekt)
		{ farbaPozadia(objekt.farba()); }

		/**
		 * Nastaví farbu pozadia tlačidla podľa zadaných farebných zložiek.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @return objekt typu {@link Farba Farba} – nová farba pozadia
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public Farba farbaPozadia(int r, int g, int b)
		{
			Farba farba = new Farba(r, g, b);
			setBackground(farba);
			return farba;
		}

		/**
		 * Nastaví farbu a (ne)priehľadnosť pozadia tlačidla podľa zadaných
		 * farebných zložiek a úrovne priehľadnosti.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param r červená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param g zelená zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param b modrá zložka novej farby; celé číslo v rozsahu 0 – 255
		 *  @param a úroveň (ne)priehľadnosti novej farby; celé číslo
		 *       v rozsahu 0 – 255 (0 – neviditeľná farba; 255 – nepriehľadná
		 *       farba)
		 *  @return objekt typu {@link Farba Farba} – nová farba pozadia
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public Farba farbaPozadia(int r, int g, int b, int a)
		{
			Farba farba = new Farba(r, g, b, a);
			setBackground(farba);
			return farba;
		}

		/**
		 * Nastaví zdedenú farbu pozadia tlačidla.
		 * 
		 * <P>Nie je garantované, že táto vlastnosť bude rešpektovaná
		 * definíciou vzhľadu používateľského rozhrania (L&F). Každá definícia
		 * vzhľadu komponentov sa môže slobodne rozhodnúť o tom, či bude
		 * túto vlastnosť rešpektovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void zdedenáFarbaPozadia() { farbaPozadia((Color)null); }

		/** <a class="alias"></a> Alias pre {@link #zdedenáFarbaPozadia() zdedenáFarbaPozadia}. */
		public void zdedenaFarbaPozadia() { farbaPozadia((Color)null); }


		/**
		 * <a class="getter"></a> Číta aktuálny typ písma textu tlačidla.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return objekt typu {@link Písmo} – aktuálne písmo
		 *  @see #písmo(Font)
		 *  @see #písmo(String, double)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public Písmo písmo()
		{
			Font písmo = getFont();
			if (písmo instanceof Písmo) return (Písmo)písmo;
			return new Písmo(písmo);
		}

		/** <a class="alias"></a> Alias pre {@link #písmo() písmo}. */
		public Pismo pismo()
		{
			Font písmo = getFont();
			if (písmo instanceof Pismo) return (Pismo)písmo;
			return new Pismo(písmo);
		}

		/**
		 * <a class="setter"></a> Nastaví nový typ písma textu tlačidla.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param novéPísmo objekt typu {@link Písmo} alebo {@link Font}
		 *      určujúci nový typ písma
		 *  @see #písmo()
		 *  @see #písmo(String, double)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public void písmo(Font novéPísmo) { setFont(novéPísmo); }

		/** <a class="alias"></a> Alias pre {@link #písmo(Font) písmo}. */
		public void pismo(Font novéPísmo) { písmo(novéPísmo); }

		/**
		 * Nastaví nový typ písma textu tlačidla. (Nová inštancia triedy
		 * {@link Písmo Písmo} je touto metódou vrátená na prípadné ďalšie
		 * použitie.)
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param názov názov písma; môže byť všeobecný názov logického
		 *      písma (Dialog, DialogInput, Monospaced, Serif, SansSerif…)
		 *      alebo názov konkrétneho písma (Times New Roman, Arial…)
		 *  @param veľkosť veľkosť písma v bodoch (hodnota je zaokrúhlená
		 *      na typ {@code typefloat})
		 *  @return nový objekt typu {@link Písmo}
		 *  @see #písmo()
		 *  @see #písmo(Font)
		 *  @see #farbaTextu(java.awt.Color)
		 *  @see #farbaPozadia(java.awt.Color)
		 */
		public Písmo písmo(String názov, double veľkosť)
		{
			Písmo písmo = new Písmo(názov, Písmo.PLAIN, veľkosť);
			setFont(písmo);
			return písmo;
		}

		/** <a class="alias"></a> Alias pre {@link #písmo(String, double) písmo}. */
		public Pismo pismo(String názov, double veľkosť)
		{ return new Pismo(písmo(názov, veľkosť)); }


		/**
		 * <a class="getter"></a> Prečíta aktuálny text tlačidla.
		 * @return aktuálny text tlačidla
		 * @see #text(String)
		 */
		public String text() { return getText(); }

		/**
		 * <a class="setter"></a> Nastaví nový text tlačidla.
		 * @param text nový text tlačidla
		 * @see #GRobot.Tlačidlo(String)
		 * @see #GRobot.Tlačidlo(Image, String)
		 * @see #text()
		 */
		public void text(String text) { setText(text); }


		/**
		 * Nastaví alebo odstráni obrázok tlačidla. Toto je základný obrázok
		 * tlačidla. Bez neho nemá význam priraďovať tlačidlu ostatné druhy
		 * obrázkov…
		 * 
		 * <P>Obrázok prečítaný zo súboru je chápaný ako zdroj a po
		 * prečítaní zostane uložený vo vnútornej pamäti sveta. Z nej
		 * môže byť v prípade potreby (napríklad ak sa obsah súboru na
		 * disku zmenil) odstránený metódou {@link Svet#uvoľni(String)
		 * Svet.uvoľni(názovZdroja)}. (Táto informácia je platná pre
		 * všetky metódy pracujúce s obrázkami alebo zvukmi, ktoré
		 * prijímajú názov súboru ako parameter.)
		 * 
		 * @param súbor názov súboru s obrázkom alebo
		 *     {@code (String)}{@code valnull} ak chceme odstrániť obrázok
		 *     tlačidla
		 * 
		 * @see #obrázok(Image)
		 * @see #obrázokStlačeného(String)
		 * @see #obrázokDeaktivovaného(String)
		 * @see #obrázokOznačeného(String)
		 * @see #obrázokDeaktivovanéhoOznačeného(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 */
		public void obrázok(String súbor)
		{
			if (null == obrázok) setIcon(null);
			else setIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #obrázok(String) obrázok}. */
		public void obrazok(String súbor) { obrázok(súbor); }

		/**
		 * Nastaví alebo odstráni obrázok tlačidla. Toto je základný obrázok
		 * tlačidla. Bez neho nemá význam priraďovať tlačidlu ostatné druhy
		 * obrázkov…
		 * 
		 * @param obrázok nový obrázok tlačidla alebo
		 *     {@code (Image)}{@code valnull}
		 *     ak chceme odstrániť obrázok tlačidla
		 * 
		 * @see #GRobot.Tlačidlo(Image)
		 * @see #GRobot.Tlačidlo(Image, Image)
		 * @see #GRobot.Tlačidlo(Image, String)
		 * @see #obrázok(String)
		 * @see #obrázokStlačeného(Image)
		 * @see #obrázokDeaktivovaného(Image)
		 * @see #obrázokOznačeného(Image)
		 * @see #obrázokDeaktivovanéhoOznačeného(Image)
		 */
		// public void obrázok(Obrázok obrázok)
		public void obrázok(Image obrázok)
		{
			if (null == obrázok) setIcon(null);
			else setIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #obrázok(Image) obrázok}. */
		// public void obrazok(Obrázok obrázok) { obrázok(obrázok); }
		public void obrazok(Image obrázok) { obrázok(obrázok); }

		/**
		 * Vráti základný obrázok tlačidla alebo {@code valnull} ak tlačidlo
		 * nemá priradený obrázok, ktorý bol vytvorený z inštancie typu
		 * {@link Obrázok Obrázok}.
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #obrázokStlačeného()
		 * @see #obrázokDeaktivovaného()
		 * @see #obrázokOznačeného()
		 * @see #obrázokDeaktivovanéhoOznačeného()
		 */
		public Obrázok obrázok()
		{
			Icon icon = getIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #obrázok() obrázok}. */
		public Obrazok obrazok()
		{
			Obrázok obrázok = obrázok();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}


		/**
		 * Nastaví alebo odstráni obrázok stlačeného tlačidla. Ak tlačidlo
		 * nemá definovaný {@linkplain #obrázok(String) základný
		 * obrázok}, tak nemá nastavovanie obrázka pre stlačený stav význam.
		 * Síce toto nastavenie môžete bez negatívnych následkov vykonať aj
		 * bez toho, ale prejaví sa až po nastavení základného obrázka.
		 * 
		 * <P>Ikona prečítaná zo súboru je prevedená z obrázka, ktorý je
		 * chápaný ako zdroj a ktorý po prečítaní zostane uložený vo
		 * vnútornej pamäti sveta rovnako ako prevedená verzia ikony.
		 * Obidva objekty môžu byť v prípade potreby (napríklad ak sa obsah
		 * súboru na disku zmenil) z vnútornej pamäte odstránené metódou
		 * {@link Svet#uvoľni(String) Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * (resp. ikonami) alebo zvukmi, ktoré prijímajú názov súboru ako
		 * parameter.)
		 * 
		 * @param súbor názov súboru s obrázkom stlačeného tlačidla alebo
		 *     {@code (String)}{@code valnull} ak chceme odstrániť obrázok
		 *     stlačeného tlačidla
		 * 
		 * @see #obrázokStlačeného(Image)
		 * @see #obrázok(String)
		 * @see #obrázokDeaktivovaného(String)
		 * @see #obrázokOznačeného(String)
		 * @see #obrázokDeaktivovanéhoOznačeného(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 */
		public void obrázokStlačeného(String súbor)
		{
			if (null == obrázok) setPressedIcon(null);
			else setPressedIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokStlačeného(String) obrázokStlačeného}. */
		public void obrazokStlaceneho(String súbor) { obrázokStlačeného(súbor); }

		/**
		 * Nastaví alebo odstráni obrázok stlačeného tlačidla. Ak tlačidlo
		 * nemá definovaný {@linkplain #obrázok(Image) základný
		 * obrázok}, tak nemá nastavovanie obrázka pre stlačený stav význam.
		 * Síce toto nastavenie môžete bez negatívnych následkov vykonať aj
		 * bez toho, ale prejaví sa až po nastavení základného obrázka.
		 * 
		 * @param obrázok nový obrázok stlačeného tlačidla alebo
		 *     {@code (Image)}{@code valnull} ak chceme odstrániť obrázok
		 *     stlačeného tlačidla
		 * 
		 * @see #obrázokStlačeného(String)
		 * @see #obrázok(Image)
		 * @see #obrázokDeaktivovaného(Image)
		 * @see #obrázokOznačeného(Image)
		 * @see #obrázokDeaktivovanéhoOznačeného(Image)
		 */
		// public void obrázokStlačeného(Obrázok obrázok)
		public void obrázokStlačeného(Image obrázok)
		{
			if (null == obrázok) setPressedIcon(null);
			else setPressedIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokStlačeného(Image) obrázokStlačeného}. */
		// public void obrazokStlaceneho(Obrázok obrázok) { obrázokStlačeného(obrázok); }
		public void obrazokStlaceneho(Image obrázok) { obrázokStlačeného(obrázok); }

		/**
		 * Vráti obrázok stlačeného tlačidla alebo {@code valnull} ak
		 * tlačidlo nemá definovaný obrázok pre stlačený stav, ktorý bol
		 * vytvorený z inštancie typu {@link Obrázok Obrázok}.
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #obrázok()
		 * @see #obrázokDeaktivovaného()
		 * @see #obrázokOznačeného()
		 * @see #obrázokDeaktivovanéhoOznačeného()
		 */
		public Obrázok obrázokStlačeného()
		{
			Icon icon = getPressedIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokStlačeného() obrázokStlačeného}. */
		public Obrazok obrazokStlaceneho()
		{
			Obrázok obrázok = obrázokStlačeného();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}


		/**
		 * Nastaví alebo odstráni obrázok {@linkplain #deaktivuj()
		 * deaktivovaného} tlačidla. Ak tlačidlo nemá definovaný {@linkplain
		 * #obrázok(String) základný obrázok}, tak nemá nastavovanie
		 * obrázka deaktivovaného tlačidla význam. Síce toto nastavenie
		 * môžete bez negatívnych následkov vykonať aj bez toho, ale prejaví
		 * sa až po nastavení základného obrázka.
		 * 
		 * <P>Ikona prečítaná zo súboru je prevedená z obrázka, ktorý je
		 * chápaný ako zdroj a ktorý po prečítaní zostane uložený vo
		 * vnútornej pamäti sveta rovnako ako prevedená verzia ikony.
		 * Obidva objekty môžu byť v prípade potreby (napríklad ak sa obsah
		 * súboru na disku zmenil) z vnútornej pamäte odstránené metódou
		 * {@link Svet#uvoľni(String) Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * (resp. ikonami) alebo zvukmi, ktoré prijímajú názov súboru ako
		 * parameter.)
		 * 
		 * @param súbor názov súboru s obrázkom deaktivovaného tlačidla alebo
		 *     {@code (String)}{@code valnull} ak chceme odstrániť obrázok
		 *     deaktivovaného tlačidla
		 * 
		 * @see #obrázokDeaktivovaného(Image)
		 * @see #obrázok(String)
		 * @see #obrázokStlačeného(String)
		 * @see #obrázokOznačeného(String)
		 * @see #obrázokDeaktivovanéhoOznačeného(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 */
		public void obrázokDeaktivovaného(String súbor)
		{
			if (null == obrázok) setDisabledIcon(null);
			else setDisabledIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokDeaktivovaného(String) obrázokDeaktivovaného}. */
		public void obrazokDeaktivovaneho(String súbor) { obrázokDeaktivovaného(súbor); }

		/**
		 * Nastaví alebo odstráni obrázok {@linkplain #deaktivuj()
		 * deaktivovaného} tlačidla. Ak tlačidlo nemá definovaný {@linkplain
		 * #obrázok(Image) základný obrázok}, tak nemá nastavovanie
		 * obrázka deaktivovaného tlačidla význam. Síce toto nastavenie
		 * môžete bez negatívnych následkov vykonať aj bez toho, ale prejaví
		 * sa až po nastavení základného obrázka.
		 * 
		 * @param obrázok nový obrázok deaktivovaného tlačidla alebo
		 *     {@code (Image)}{@code valnull} ak chceme odstrániť obrázok
		 *     deaktivovaného tlačidla
		 * 
		 * @see #obrázokDeaktivovaného(String)
		 * @see #obrázok(Image)
		 * @see #obrázokStlačeného(Image)
		 * @see #obrázokOznačeného(Image)
		 * @see #obrázokDeaktivovanéhoOznačeného(Image)
		 */
		// public void obrázokDeaktivovaného(Obrázok obrázok)
		public void obrázokDeaktivovaného(Image obrázok)
		{
			if (null == obrázok) setDisabledIcon(null);
			else setDisabledIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokDeaktivovaného(Image) obrázokDeaktivovaného}. */
		// public void obrazokDeaktivovaneho(Obrázok obrázok) { obrázokDeaktivovaného(obrázok); }
		public void obrazokDeaktivovaneho(Image obrázok) { obrázokDeaktivovaného(obrázok); }

		/**
		 * Vráti obrázok {@linkplain #deaktivuj() deaktivovaného} tlačidla
		 * alebo {@code valnull} ak tlačidlo nemá definovaný obrázok pre
		 * deaktivovaný stav, ktorý bol vytvorený z inštancie typu
		 * {@link Obrázok Obrázok}.
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #obrázok()
		 * @see #obrázokStlačeného()
		 * @see #obrázokOznačeného()
		 * @see #obrázokDeaktivovanéhoOznačeného()
		 */
		public Obrázok obrázokDeaktivovaného()
		{
			Icon icon = getDisabledIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokDeaktivovaného() obrázokDeaktivovaného}. */
		public Obrazok obrazokDeaktivovaneho()
		{
			Obrázok obrázok = obrázokDeaktivovaného();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}


		/**
		 * Nastaví alebo odstráni obrázok {@linkplain #označené() označeného
		 * tlačidla}. Ak tlačidlo nemá definovaný {@linkplain #obrázok(String)
		 * základný obrázok}, tak nemá nastavovanie obrázka označeného tlačidla
		 * význam. Síce toto nastavenie môžete bez negatívnych následkov
		 * vykonať aj bez toho, ale prejaví sa až po nastavení základného
		 * obrázka. Príklad rozdielu obrázkov normálneho (základného)
		 * a označeného tlačidla je v opise metódy
		 * {@link #obrázokOznačeného(Image) obrázokOznačeného(obrázok)}.
		 * 
		 * <P>Ikona prečítaná zo súboru je prevedená z obrázka, ktorý je
		 * chápaný ako zdroj a ktorý po prečítaní zostane uložený vo
		 * vnútornej pamäti sveta rovnako ako prevedená verzia ikony.
		 * Obidva objekty môžu byť v prípade potreby (napríklad ak sa obsah
		 * súboru na disku zmenil) z vnútornej pamäte odstránené metódou
		 * {@link Svet#uvoľni(String) Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * (resp. ikonami) alebo zvukmi, ktoré prijímajú názov súboru ako
		 * parameter.)
		 * 
		 * @param súbor názov súboru s obrázkom označeného tlačidla alebo
		 *     {@code (String)}{@code valnull} ak chceme odstrániť obrázok
		 *     označeného tlačidla
		 * 
		 * @see #obrázokOznačeného(Image)
		 * @see #obrázok(String)
		 * @see #obrázokStlačeného(String)
		 * @see #obrázokDeaktivovaného(String)
		 * @see #obrázokDeaktivovanéhoOznačeného(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 */
		public void obrázokOznačeného(String súbor)
		{
			if (null == obrázok) setSelectedIcon(null);
			else setSelectedIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokOznačeného(String) obrázokOznačeného}. */
		public void obrazokOznaceneho(String súbor) { obrázokOznačeného(súbor); }

		// // Kreslenie príkladov obrázkov označeného a neoznačeného tlačidla:
		// 
		// hrúbkaČiary(1.5);
		// 
		// kresliDoObrázka(neoznačené);
		// štvorec(4.5);
		// neoznačené.ulož("neoznaceneTlacidlo.png");
		// 
		// kresliDoObrázka(označené);
		// štvorec(4.5); farba(modrá);
		// skočNa(-3.5, 3.5); choďNa(3.5, -3.5);
		// skočNa(-3.5, -3.5); choďNa(3.5, 3.5);
		// označené.ulož("oznaceneTlacidlo.png");

		/**
		 * Nastaví alebo odstráni obrázok {@linkplain #označené() označeného
		 * tlačidla}. Ak tlačidlo nemá definovaný {@linkplain #obrázok(Image)
		 * základný obrázok}, tak nemá nastavovanie obrázka označeného tlačidla
		 * význam. Síce toto nastavenie môžete bez negatívnych následkov
		 * vykonať aj bez toho, ale prejaví sa až po nastavení základného
		 * obrázka. Tu je príklad rozdielu obrázkov normálneho (základného)
		 * a označeného tlačidla (oba boli nakreslené a uložené pomocou
		 * robota):
		 * 
		 * <table class="centered"><tr>
		 * <td><image>neoznaceneTlacidlo.png</image>Príklad vyrobeného
		 * obrázka<br />pre normálne (neoznačené) tlačidlo</td>
		 * <td><image>oznaceneTlacidlo.png</image>Príklad vyrobeného
		 * obrázka<br />pre označené tlačidlo</td></tr></table>
		 * 
		 * @param obrázok nový obrázok označeného tlačidla alebo
		 *     {@code (Image)}{@code valnull} ak chceme odstrániť obrázok
		 *     označeného tlačidla
		 * 
		 * @see #obrázokOznačeného(String)
		 * @see #obrázok(Image)
		 * @see #obrázokStlačeného(Image)
		 * @see #obrázokDeaktivovaného(Image)
		 * @see #obrázokDeaktivovanéhoOznačeného(Image)
		 */
		// public void obrázokOznačeného(Obrázok obrázok)
		public void obrázokOznačeného(Image obrázok)
		{
			if (null == obrázok) setSelectedIcon(null);
			else setSelectedIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokOznačeného(Image) obrázokOznačeného}. */
		// public void obrazokOznaceneho(Obrázok obrázok) { obrázokOznačeného(obrázok); }
		public void obrazokOznaceneho(Image obrázok) { obrázokOznačeného(obrázok); }

		/**
		 * Vráti obrázok {@linkplain #označené() označeného tlačidla} alebo
		 * {@code valnull} ak tlačidlo nemá definovaný obrázok pre označený
		 * stav, ktorý bol vytvorený z inštancie typu {@link Obrázok Obrázok}.
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #obrázok()
		 * @see #obrázokStlačeného()
		 * @see #obrázokDeaktivovaného()
		 * @see #obrázokDeaktivovanéhoOznačeného()
		 */
		public Obrázok obrázokOznačeného()
		{
			Icon icon = getSelectedIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokOznačeného() obrázokOznačeného}. */
		public Obrazok obrazokOznaceneho()
		{
			Obrázok obrázok = obrázokOznačeného();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}


		/**
		 * Nastaví alebo odstráni obrázok tlačidla, ktoré je zároveň
		 * {@linkplain #deaktivuj() deaktivované} a {@linkplain #označené()
		 * označeného}. Ak tlačidlo nemá definovaný {@linkplain
		 * #obrázok(String) základný obrázok}, tak nemá nastavovanie tohto typu
		 * obrázka význam. Síce toto nastavenie môžete bez negatívnych
		 * následkov vykonať aj bez toho, ale prejaví sa až po nastavení
		 * základného obrázka.
		 * 
		 * <P>Ikona prečítaná zo súboru je prevedená z obrázka, ktorý je
		 * chápaný ako zdroj a ktorý po prečítaní zostane uložený vo
		 * vnútornej pamäti sveta rovnako ako prevedená verzia ikony.
		 * Obidva objekty môžu byť v prípade potreby (napríklad ak sa obsah
		 * súboru na disku zmenil) z vnútornej pamäte odstránené metódou
		 * {@link Svet#uvoľni(String) Svet.uvoľni(názovZdroja)}.
		 * (Táto informácia je platná pre všetky metódy pracujúce s obrázkami
		 * (resp. ikonami) alebo zvukmi, ktoré prijímajú názov súboru ako
		 * parameter.)
		 * 
		 * @param súbor názov súboru s obrázkom deaktivovaného a označeného
		 *     tlačidla alebo {@code (String)}{@code valnull} ak chceme
		 *     odstrániť obrázok deaktivovaného a označeného tlačidla
		 * 
		 * @see #obrázokDeaktivovanéhoOznačeného(Image)
		 * @see #obrázok(String)
		 * @see #obrázokStlačeného(String)
		 * @see #obrázokDeaktivovaného(String)
		 * @see #obrázokOznačeného(String)
		 * @see Svet#priečinokObrázkov(String)
		 * @throws GRobotException  ak súbor s obrázkom nebol nájdený
		 *     (identifikátor {@code imageNotFound})
		 */
		public void obrázokDeaktivovanéhoOznačeného(String súbor)
		{
			if (null == obrázok) setDisabledSelectedIcon(null);
			else setDisabledSelectedIcon(súborNaIkonu(súbor));
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokDeaktivovanéhoOznačeného(String) obrázokDeaktivovanéhoOznačeného}. */
		public void obrazokDeaktivovanehoOznaceneho(String súbor) { obrázokDeaktivovanéhoOznačeného(súbor); }

		/** <a class="alias"></a> Alias pre {@link #obrázokDeaktivovanéhoOznačeného(String) obrázokDeaktivovanéhoOznačeného}. */
		public void obrázokOznačenéhoDeaktivovaného(String súbor) { obrázokDeaktivovanéhoOznačeného(súbor); }

		/** <a class="alias"></a> Alias pre {@link #obrázokDeaktivovanéhoOznačeného(String) obrázokDeaktivovanéhoOznačeného}. */
		public void obrazokOznacenehoDeaktivovaneho(String súbor) { obrázokDeaktivovanéhoOznačeného(súbor); }

		/**
		 * Nastaví alebo odstráni obrázok tlačidla, ktoré je zároveň
		 * {@linkplain #deaktivuj() deaktivované} a {@linkplain #označené()
		 * označeného}. Ak tlačidlo nemá definovaný {@linkplain
		 * #obrázok(Image) základný obrázok}, tak nemá nastavovanie tohto typu
		 * obrázka význam. Síce toto nastavenie môžete bez negatívnych
		 * následkov vykonať aj bez toho, ale prejaví sa až po nastavení
		 * základného obrázka.
		 * 
		 * @param obrázok nový obrázok deaktivovaného a označeného tlačidla
		 *     alebo {@code (Image)}{@code valnull} ak chceme odstrániť obrázok
		 *     deaktivovaného a označeného tlačidla
		 * 
		 * @see #obrázokDeaktivovanéhoOznačeného(String)
		 * @see #obrázok(Image)
		 * @see #obrázokStlačeného(Image)
		 * @see #obrázokDeaktivovaného(Image)
		 * @see #obrázokOznačeného(Image)
		 */
		// public void obrázokDeaktivovanéhoOznačeného(Obrázok obrázok)
		public void obrázokDeaktivovanéhoOznačeného(Image obrázok)
		{
			if (null == obrázok) setDisabledSelectedIcon(null);
			else setDisabledSelectedIcon(obrázokNaIkonu(obrázok));
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokDeaktivovanéhoOznačeného(Image) obrázokDeaktivovanéhoOznačeného}. */
		// public void obrazokDeaktivovanehoOznaceneho(Obrázok obrázok) { obrázokDeaktivovanéhoOznačeného(obrázok); }
		public void obrazokDeaktivovanehoOznaceneho(Image obrázok) { obrázokDeaktivovanéhoOznačeného(obrázok); }

		/** <a class="alias"></a> Alias pre {@link #obrázokDeaktivovanéhoOznačeného(Image) obrázokDeaktivovanéhoOznačeného}. */
		// public void obrázokOznačenéhoDeaktivovaného(Obrázok obrázok) { obrázokDeaktivovanéhoOznačeného(obrázok); }
		public void obrázokOznačenéhoDeaktivovaného(Image obrázok) { obrázokDeaktivovanéhoOznačeného(obrázok); }

		/** <a class="alias"></a> Alias pre {@link #obrázokDeaktivovanéhoOznačeného(Image) obrázokDeaktivovanéhoOznačeného}. */
		// public void obrazokOznacenehoDeaktivovaneho(Obrázok obrázok) { obrázokDeaktivovanéhoOznačeného(obrázok); }
		public void obrazokOznacenehoDeaktivovaneho(Image obrázok) { obrázokDeaktivovanéhoOznačeného(obrázok); }

		/**
		 * Vráti obrázok {@linkplain #deaktivuj() deaktivovaného} a {@linkplain
		 * #označené() označeného} tlačidla alebo {@code valnull} ak tlačidlo
		 * nemá definovaný obrázok pre túto kombináciu stavov, ktorý by bol
		 * vytvorený z inštancie typu {@link Obrázok Obrázok}.
		 * 
		 * @return objekt typu {@link Obrázok Obrázok} alebo {@code valnull}
		 * 
		 * @see #obrázok()
		 * @see #obrázokStlačeného()
		 * @see #obrázokDeaktivovaného()
		 * @see #obrázokOznačeného()
		 */
		public Obrázok obrázokDeaktivovanéhoOznačeného()
		{
			Icon icon = getSelectedIcon();
			if (null != icon && icon instanceof ImageIcon)
			{
				Image image = ((ImageIcon)icon).getImage();
				if (null != image && image instanceof Obrázok)
					return (Obrázok)image;
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokDeaktivovanéhoOznačeného() obrázokDeaktivovanéhoOznačeného}. */
		public Obrazok obrazokDeaktivovanehoOznaceneho()
		{
			Obrázok obrázok = obrázokDeaktivovanéhoOznačeného();
			if (null == obrázok) return null;
			if (obrázok instanceof Obrazok)
				return (Obrazok)obrázok;
			return new Obrazok(obrázok);
		}

		/** <a class="alias"></a> Alias pre {@link #obrázokDeaktivovanéhoOznačeného() obrázokDeaktivovanéhoOznačeného}. */
		public Obrázok obrázokOznačenéhoDeaktivovaného() { return obrázokDeaktivovanéhoOznačeného(); }

		/** <a class="alias"></a> Alias pre {@link #obrázokDeaktivovanéhoOznačeného() obrázokDeaktivovanéhoOznačeného}. */
		public Obrazok obrazokOznacenehoDeaktivovaneho() { return obrazokDeaktivovanehoOznaceneho(); }


		/**
		 * <a class="getter"></a> Zistí aktuálu veľkosť medzery medzi
		 * obrázkom a textom zobrazenými v tomto tlačidle.
		 * @return celé číslo vyjadrujúce počet pixelov medzi obrázkom
		 * a textom tohto tlačidla
		 */
		public int medzeraMedziObrázkomATextom()
		{ return getIconTextGap(); }

		/** <a class="alias"></a> Alias pre {@link #medzeraMedziObrázkomATextom() medzeraMedziObrázkomATextom}. */
		public int medzeraMedziObrazkomATextom()
		{ return getIconTextGap(); }

		/**
		 * <a class="setter"></a> Ak má toto tlačidlo nastavený obrázok aj
		 * text, tak táto vlastnosť určuje veľkosť medzery medzi nimi.
		 * Predvolená hodnota je štyri pixely.
		 * @param medzera celé číslo určujúce počet pixelov medzi obrázkom
		 * a textom
		 */
		public void medzeraMedziObrázkomATextom(int medzera)
		{ setIconTextGap(medzera); }

		/** <a class="alias"></a> Alias pre {@link #medzeraMedziObrázkomATextom(int) medzeraMedziObrázkomATextom}. */
		public void medzeraMedziObrazkomATextom(int medzera)
		{ setIconTextGap(medzera); }


		/**
		 * Zruší dekor tlačidla určený aktuálne použitým L&F (Look and Feel,
		 * v našom prípade používame L&F zhodný s dizajnom ovládacích prvkov
		 * operačného systému). Tento spôsob zobrazenia (t. j. bez dekoru)
		 * je predvolene používaný rýdzo obrázkovými konštruktormi tlačidla
		 * (t. j. konštruktormi, ktoré prijímajú len argumenty {@linkplain
		 * Image obrázkového typu}).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #GRobot.Tlačidlo(Image)
		 * @see #GRobot.Tlačidlo(Image, Image)
		 * @see #obnovDekor()
		 */
		public void zrušDekor()
		{
			setOpaque(false);
			setContentAreaFilled(false);
			setBorderPainted(false);
		}

		/** <a class="alias"></a> Alias pre {@link #zrušDekor() zrušDekor}. */
		public void zrusDekor() { zrušDekor(); }

		/**
		 * Obnoví dekor tlačidla pôvodne určený aktuálne použitým L&F (Look
		 * and Feel, v našom prípade používame L&F zhodný s dizajnom
		 * ovládacích prvkov operačného systému). Iba rýdzo obrázkové
		 * konštruktory ovplyvňujú predvolený dekor tlačidiel (pozri opis
		 * metódy {@link #zrušDekor() zrušDekor}).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see #GRobot.Tlačidlo(Image)
		 * @see #GRobot.Tlačidlo(Image, Image)
		 * @see #zrušDekor()
		 */
		public void obnovDekor()
		{
			setOpaque(zálohaStavuOpaque);
			setContentAreaFilled(zálohaStavuContentAreaFilled);
			setBorderPainted(zálohaStavuBorderPainted);
		}


		// Nie je vhodné prekrývať tieto metódy:

		// @Override public void setLocation(int x, int y) { polohaX(x); polohaY(y) }
		// @Override public void setLocation(Point p) { polohaX(p.x); polohaY(p.y) }
		// @Override public int getX() { return x; }
		// @Override public int getY() { return y; }
		// @Override public int getWidth() { return šírka; }
		// @Override public int getHeight() { return výška; }
		// ...
	}

	/** <a class="alias"></a> Alias pre {@link Tlačidlo Tlačidlo}. */
	@SuppressWarnings("serial")
	public static class Tlacidlo extends Tlačidlo
	{
		public Tlacidlo(String text) { super(text); }
		public Tlacidlo(Obrazok obrázok) { super(obrázok); }

		public Tlacidlo(Obrazok obrázok, Obrazok obrázokStlačeného)
		{ super(obrázok, obrázokStlačeného); }

		public Tlacidlo(Obrazok obrázok, String text) { super(obrázok, text); }
	}


	// ---------------------- //
	//  *** Trieda Farba ***  //
	// ---------------------- //

	/**
	 * Trieda je určená na prácu s farbami v rámci knižnice grafického
	 * robota. Všetky farby, s ktorými robot pracuje sú zväčša určované
	 * troma alebo štyrmi celočíselnými údajmi v rozsahu od 0 do 255 – ide
	 * o farebné zložky (červenej, zelenej a modrej) na namiešanie
	 * výslednej farby a zložku (ne)priehľadnosti (0 znamená neviditeľná
	 * farba, 255 znamená úplne nepriehľadná farba). Táto trieda umožňuje
	 * definovať farby aj pomocou neceločíselných rozsahov – od 0.0 po 1.0,
	 * ktoré sú zase používané napríklad v metódach pracujúcich
	 * s {@linkplain Plátno#priehľadnosť(double) (ne)priehľadnosťou plátna}.
	 * 
	 * <P>Táto trieda obaľuje triedu Javy {@link Color Color}. Mierne
	 * rozširuje a upravuje jej správanie, najmä v súvislosti so získavaním
	 * farieb so {@linkplain #svetlejšia() svetlejším} alebo {@linkplain
	 * #tmavšia() tmavším} odtieňom, kde sa berie do úvahy aj úroveň
	 * priehľadnosti, ktorú zachováva (na rozdiel od originálnej triedy).
	 * Ďalšie vybrané metódy sú k dispozícii s názvami preloženými do
	 * slovenského jazyka. Neceločíselné rozsahy ({@code num0.0} –
	 * {@code num1.0}) typu {@code typefloat} umožňuje zadávať ako údajový
	 * typ {@code typedouble}, pretože tento údajový typ je široko
	 * používaný grafickým robotom a nevyžaduje špeciálnu syntax pri
	 * vkladaní hodnôt. (Konkrétne tým trieda programátora oslobodzuje od
	 * nevyhnutnosti používania operátora pretypovania: {@code (}{@code
	 * typefloat}{@code )}.)
	 * 
	 * <P>Rovnako ako originálna trieda {@link Color Color} i trieda
	 * {@code currFarba} pracuje buď v predvolenom sRGB farebnom priestore,
	 * alebo vo farebnom priestore definovanom pomocou triedy {@link
	 * ColorSpace ColorSpace}. Každá farba má vlastnú úroveň
	 * (ne)priehľadnosti, ktorá je predvolene nastavená na «nepriehľadnú»
	 * alebo môže byť určená v rámci povoleného rozsahu (pozri konštruktory
	 * nižšie). V súlade s konvenciou triedy {@link Color Color} znamená
	 * najvyššia hodnota atribútu „priehľadnosti“ (alebo skôr
	 * nepriehľadnosti – {@link Color#getAlpha()}) úplne nepriehľadný
	 * bod a naopak.
	 * 
	 * <P>Množstvo predvolených farebných inštancií je definovaných v rozhraní
	 * {@link Farebnosť Farebnosť}. Nasledujúci príklad ukazuje ich využitie
	 * pri kreslení kruhov vyplnených náhodnou farbou:
	 * 
	 * <pre CLASS="example">
		{@code comm// Zoznam farieb}
		{@code kwdfinal} {@code currFarba}[] farby = {
				{@link GRobot#svetločervená svetločervená}, {@link GRobot#červená červená}, {@link GRobot#tmavočervená tmavočervená}, {@link GRobot#svetlozelená svetlozelená}, {@link GRobot#zelená zelená},
				{@link GRobot#tmavozelená tmavozelená}, {@link GRobot#svetlomodrá svetlomodrá}, {@link GRobot#modrá modrá}, {@link GRobot#tmavomodrá tmavomodrá}, {@link GRobot#svetlotyrkysová svetlotyrkysová},
				{@link GRobot#tyrkysová tyrkysová}, {@link GRobot#tmavotyrkysová tmavotyrkysová}, {@link GRobot#svetlopurpurová svetlopurpurová}, {@link GRobot#purpurová purpurová},
				{@link GRobot#tmavopurpurová tmavopurpurová}, {@link GRobot#svetložltá svetložltá}, {@link GRobot#žltá žltá}, {@link GRobot#tmavožltá tmavožltá}, {@link GRobot#čierna čierna}, {@link GRobot#tmavošedá tmavošedá},
				{@link GRobot#šedá šedá}, {@link GRobot#svetlošedá svetlošedá}, {@link GRobot#biela biela}, {@link GRobot#svetlohnedá svetlohnedá}, {@link GRobot#hnedá hnedá}, {@link GRobot#tmavohnedá tmavohnedá},
				{@link GRobot#svetlooranžová svetlooranžová}, {@link GRobot#oranžová oranžová}, {@link GRobot#tmavooranžová tmavooranžová}, {@link GRobot#svetloružová svetloružová}, {@link GRobot#ružová ružová},
				{@link GRobot#tmavoružová tmavoružová},
			};

		{@link GRobot#skry() skry}();
		{@link Svet Svet}.{@link Svet#nekresli() nekresli}();

		{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num1000}; ++i)
		{
			{@code comm// Náhodná poloha kruhu}
			{@code typedouble} skočNaX = {@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}(
				{@link Svet Svet}.{@link Svet#najmenšieX() najmenšieX}(), {@link Svet Svet}.{@link Svet#najväčšieX() najväčšieX}());
			{@code typedouble} skočNaY = {@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}(
				{@link Svet Svet}.{@link Svet#najmenšieY() najmenšieY}(), {@link Svet Svet}.{@link Svet#najväčšieY() najväčšieY}());

			{@code comm// Náhodná farba a veľkosť kruhu}
			{@code typeint} ktoráFarba = ({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long) náhodnéCeléČíslo}
				(farby.length &#45; {@code num1});
			{@code typedouble} akáVeľkosť = {@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num25}, {@code num50});

			{@code comm// Nakreslenie farebného kruhu}
			{@link GRobot#skočNa(double, double) skočNa}(skočNaX, skočNaY);
			{@link GRobot#farba(java.awt.Color) farba}(farby[ktoráFarba]);
			{@link GRobot#kruh(double) kruh}(akáVeľkosť);

			{@code comm// Prekreslenie každú 10-tu iteráciu}
			{@code kwdif} (i % {@code num10} == {@code num0})
			{
				{@link Svet Svet}.{@link Svet#prekresli() prekresli}();
				{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num0.050});
			}
		}

		{@link Svet Svet}.{@link Svet#kresli() kresli}();
		</pre>
	 * 
	 * <P><b>Výsledok:</b>
	 * <P><image>nahodneKruhy.png</image> <br />Výsledok kreslenia príkladu
	 * 
	 * <P>V príklade je najprv definovaný zoznam farieb v poli, z ktorého sa
	 * neskôr vyberá náhodná farba. {@linkplain GRobot#skry() Skryje} sa
	 * aktuálny grafický robot a {@linkplain Svet#nekresli() vypne sa
	 * automatické prekresľovanie} (aby bolo vykonanie príkladu rýchlejšie).
	 * Potom sa tisíc ráz opakuje sekvencia príkazov na kreslenie kruhu
	 * ({@code kwdfor}{@code  }{@code (i = }… {@code num1000}…). {@link
	 * GRobot#kruh(double) Kruh} sa má nakresliť na náhodnej pozícii, má byť
	 * vyplnený náhodnou farbou (v rámci spomenutého zoznamu farieb) a má
	 * mať náhodnú veľkosť (s polomerom medzi 25 až 50 bodov) – generovanie
	 * náhodných súradníc, veľkosti a výber náhodnej farby sú z dôvodu
	 * prehľadnosti oddelené od časti samotného kreslenia kruhu. V cykle sa
	 * nachádza blok príkazov na {@linkplain Svet#prekresli() prekreslenie}
	 * s podmienkou určujúcou, že (exaktne povedané) prekreslenie sa má
	 * vykonať vždy, keď je riadiaca premenná cyklu {@code i} deliteľná
	 * desiatimi bezo zvyšku ({@code i % }{@code num10}) – to znamená, že sa
	 * vykoná každý desiaty raz. Pri prekreslení je program zároveň
	 * {@linkplain Svet#čakaj(double) pozdržaný} o 50 milisekúnd – to by
	 * znamenalo, že ak by prekreslenie nezaberalo určitý čas, tak by sa celý
	 * program stihol vykonať za asi 5 sekúnd; v skutočnosti je to viac,
	 * pretože prekresľovanie trvá postrehnuteľne dlhší čas. Nakoniec je
	 * opätovne zapnuté {@linkplain Svet#kresli() automatické prekresľovanie}.
	 * 
	 * <P>S novšími príkazmi triedy {@link GRobot GRobot} sa dá predchádzajúci
	 * príklad skrátiť takto:
	 * 
	 * <pre CLASS="example">
		{@link GRobot#skry() skry}();
		{@link Svet Svet}.{@link Svet#nekresli() nekresli}();

		{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num1000}; ++i)
		{
			{@code comm// Voľba náhodnej veľkosti kruhu}
			{@code typedouble} polomer = {@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num25}, {@code num50});

			{@code comm// Nakreslenie farebného kruhu}
			{@link GRobot#náhodnáPoloha() náhodnáPoloha}();
			{@link GRobot#náhodnáFarba() náhodnáFarba}();
			{@link GRobot#kruh(double) kruh}(polomer);

			{@code comm// Prekreslenie každú 10-tu iteráciu}
			{@code kwdif} (i % {@code num10} == {@code num0})
			{
				{@link Svet Svet}.{@link Svet#prekresli() prekresli}();
				{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num0.050});
			}
		}

		{@link Svet Svet}.{@link Svet#kresli() kresli}();
		</pre>
	 * 
	 * @see Farebnosť
	 * @see java.awt.Color
	 * @see java.awt.color.ColorSpace
	 */
	@SuppressWarnings("serial")
	public static class Farba extends Color implements Comparable<Color>
	// -!- implements Farebnosť -!-
	// Farba nesmie byt implementáciou farebnosti, inak by vznikali konflikty
	// medzi metódami xyz(Color) a xyz(Farebnosť)!
	{
		// Pozri aj: https://docs.oracle.com/javase/8/docs/api/java/awt/Color.html
		// Pozri aj: https://docs.oracle.com/javase/8/docs/api/java/awt/color/ColorSpace.html


		// Interactive Color Wheel: http://r0k.us/graphics/SIHwheel.html

		/**
		 * Vytvorí inštanciu farby z jestvujúcej inštancie triedy {@link
		 * Color Color}.
		 * 
		 *  @param c objekt typu {@link Color Color} alebo odvodenej triedy
		 *      (napríklad {@link Farba Farba})
		 */
		public Farba(Color c)
		{
			super(c.getRed(), c.getGreen(), c.getBlue(), c.getAlpha());
		}

		/**
		 * Vytvorí novú inštanciu farby podľa farby zadaného objektu.
		 * 
		 *  @param o objekt, ktorého farba určí novú farbu
		 */
		public Farba(Farebnosť o)
		{
			super(o.farba().getRed(), o.farba().getGreen(),
				o.farba().getBlue(), o.farba().getAlpha());
		}

		/**
		 * Vytvorí inštanciu farby v určenom farebnom priestore ({@link
		 * ColorSpace ColorSpace}). Pre rôzne farebné priestory
		 * platia rôzne podmienky. Napríklad: RGB vyžaduje tri komponenty, ale
		 * CMYK štyri.
		 * <P><b><small>Tento konštruktor bol vytvorený na zabezpečenie plnej
		 * kompatibility s triedou {@link Color}.</small></b>
		 * 
		 *  @param cspace farebný priestor použitý na interpretáciu farebných
		 *      zložiek
		 *  @param components potrebný počet farebných zložiek požadovaný
		 *      zadaným farebným priestorom
		 *  @param alpha hodnota priehľadnosti (0.0 – neviditeľná farba; 1.0 –
		 *      nepriehľadná farba)
		 *  @exception IllegalArgumentException ak je hociktorá hodnota
		 *      farebnej zložky alebo priehľadnosti mimo povoleného rozsahu
		 *      0.0 – 1.0
		 *  @see java.awt.color.ColorSpace
		 */
		public Farba(ColorSpace cspace, float[] components, float alpha)
		{
			// Pozri aj: https://docs.oracle.com/javase/8/docs/api/java/awt/color/ColorSpace.html
			super(cspace, components, alpha);
		}

		/**
		 * Vytvorí nepriehľadnú farbu zo zložiek červená (r), zelená (g)
		 * a modrá (b) v rozsahu (0.0 – 1.0). Priehľadnosť je predvolene
		 * nastavená na hodnotu 1.0. Skutočná farba použitá pri kreslení
		 * závisí od výstupného zariadenia, pričom je zvolená taká farba, aby
		 * bol dosiahnutý čo najlepší výsledok.
		 * 
		 *  @param r červená zložka
		 *  @param g zelená zložka
		 *  @param b modrá zložka
		 *  @exception IllegalArgumentException ak je hodnota {@code r},
		 *      {@code g} alebo {@code b} mimo povoleného rozsahu 0.0 – 1.0
		 */
		public Farba(double r, double g, double b)
		{ super((float)r, (float)g, (float)b); }

		/**
		 * Vytvorí farbu zo zložiek červená (r), zelená (g), modrá (b)
		 * a priehľadnosť (a) v rozsahu (0.0 – 1.0). Skutočná farba použitá
		 * pri kreslení závisí od výstupného zariadenia, pričom je zvolená
		 * taká farba, aby bol dosiahnutý čo najlepší výsledok.
		 * 
		 *  @param r červená zložka
		 *  @param g zelená zložka
		 *  @param b modrá zložka
		 *  @param a priehľadnosť (0.0 – neviditeľná farba;
		 *      1.0 – nepriehľadná farba)
		 *  @exception IllegalArgumentException ak je hodnota {@code r},
		 *      {@code g}, {@code b} alebo {@code a} mimo povoleného rozsahu
		 *      0.0 – 1.0
		 */
		public Farba(double r, double g, double b, double a)
		{ super((float)r, (float)g, (float)b, (float)a); }

		/**
		 * Vytvorí nepriehľadnú farbu vo farebnom priestore sRGB, pričom
		 * jednotlivé farebné zložky tvoria skupiny bitov: červená bity 16 –
		 * 23, zelená 8 – 15 a modrá 0 – 7. Priehľadnosť je predvolene
		 * nastavená na hodnotu 255. Skutočná farba použitá pri kreslení
		 * závisí od výstupného zariadenia, pričom je zvolená taká farba, aby
		 * bol dosiahnutý čo najlepší výsledok.
		 * 
		 *  @param rgb kombinácia zložiek RGB
		 */
		public Farba(int rgb) { super(rgb); }

		/**
		 * Vytvorí farbu vo farebnom priestore sRGB, pričom jednotlivé
		 * farebné zložky a priehľadnosť tvoria skupiny bitov: červená bity
		 * 16 – 23, zelená 8 – 15, modrá 0 – 7 a priehľadnosť 24 – 31.
		 * Skutočná farba použitá pri kreslení závisí od výstupného
		 * zariadenia, pričom je zvolená taká farba, aby bol dosiahnutý čo
		 * najlepší výsledok. Ak je argument „hasalpha“ (voľný preklad – „má
		 * priehľadnosť“) rovný {@code valfalse}, tak je priehľadnosť
		 * nastavená na hodnotu 255 (nepriehľadná farba).
		 * 
		 *  @param rgba kombinácia zložiek ARGB
		 *  @param hasalpha ak má byť množina bitov priehľadnosti (bity
		 *      číslo 24 až 31) vzatá do úvahy, tak musí byť hodnota
		 *      tohto argumentu rovná {@code valtrue}, inak bude použitá
		 *      hodnota priehľadnosti 255 bez ohľadu na hodnoty uvedených
		 *      bitov
		 */
		public Farba(int rgba, boolean hasalpha) { super(rgba, hasalpha); }

		/**
		 * Vytvorí nepriehľadnú farbu vo farebnom priestore sRGB zo zložiek
		 * červená (r), zelená (g) a modrá (b) v rozsahu (0 – 255).
		 * Priehľadnosť je predvolene nastavená na hodnotu 255 (nepriehľadná
		 * farba). Skutočná farba použitá pri kreslení závisí od výstupného
		 * zariadenia, pričom je zvolená taká farba, aby bol dosiahnutý čo
		 * najlepší výsledok.
		 * 
		 *  @param r červená zložka
		 *  @param g zelená zložka
		 *  @param b modrá zložka
		 *  @exception IllegalArgumentException ak je hodnota {@code r},
		 *      {@code g} alebo {@code b} mimo povoleného rozsahu 0 – 255
		 */
		public Farba(int r, int g, int b) { super(r, g, b); }

		/**
		 * Vytvorí farbu vo farebnom priestore sRGB zo zložiek červená (r),
		 * zelená (g), modrá (b) a priehľadnosť (a) v rozsahu (0 – 255).
		 * 
		 *  @param r červená zložka
		 *  @param g zelená zložka
		 *  @param b modrá zložka
		 *  @param a priehľadnosť (0 – neviditeľná farba;
		 *      255 – nepriehľadná farba)
		 *  @exception IllegalArgumentException ak je hodnota {@code r},
		 *      {@code g}, {@code b} alebo {@code a} mimo povoleného rozsahu
		 *      0 – 255
		 */
		public Farba(int r, int g, int b, int a) { super(r, g, b, a); }


		/**
		 * <a class="getter"></a> Vráti červenú zložku v rozsahu 0 – 255.
		 * @return červená farebná zložka
		 */
		public int červená() { return getRed(); }

		/** <a class="alias"></a> Alias pre {@link #červená() červená}.*/
		public int cervena() { return getRed(); }

		/**
		 * <a class="getter"></a> Vráti zelenú zložku v rozsahu 0 – 255.
		 * @return zelená farebná zložka
		 */
		public int zelená() { return getGreen(); }

		/** <a class="alias"></a> Alias pre {@link #zelená() zelená}.*/
		public int zelena() { return getGreen(); }

		/**
		 * <a class="getter"></a> Vráti modrú zložku v rozsahu 0 – 255.
		 * @return modrá farebná zložka
		 */
		public int modrá() { return getBlue(); }

		/** <a class="alias"></a> Alias pre {@link #modrá() modrá}.*/
		public int modra() { return getBlue(); }

		/**
		 * <a class="getter"></a> Vráti úroveň priehľadnosti v rozsahu 0 – 255.
		 * (0 – neviditeľná farba; 255 – nepriehľadná farba)
		 * @return úroveň priehľadnosti
		 */
		public int priehľadnosť() { return getAlpha(); }

		/** <a class="alias"></a> Alias pre {@link #priehľadnosť() priehľadnosť}.*/
		public int priehladnost() { return getAlpha(); }


		/* *
		 * Táto metóda je dokončenie implementácie rozhrania
		 * {@link Farebnosť Farebnosť}. Návratová hodnota je inštancia tejto
		 * farby.
		 * 
		 * @return aktuálna inštancia farby
		 * /
		public Farba farba() { return this; }
		 */


		// Faktor pre potreby metód svetlejšia(), tmavšia(), priehľadnejšia
		// a nepriehľadnejšia()
		private final static double faktor = 0.7;

		// Metódy svetlejšia() a tmavšia() fungujú podobne ako originálne
		// metódy triedy Color brighter() a darker(), ale berú do úvahy aj
		// priehľadnosť pôvodnej farby (zachovávajú ju).

		/**
		 * Vytvorí novú bledšiu verziu tejto farby. Metóda použije na každú
		 * farebnú zložku (RGB) vlastnú mierku na zosvetlenie tejto farby.
		 * <P><b>Upozornenie:</b> I keď sú operácie {@code currsvetlejšia}
		 * a {@link #tmavšia() tmavšia} opačné, ich niekoľkonásobné striedavé
		 * použitie môže v dôsledku zaokrúhlení viesť ku získaniu úplne inej
		 * farby.
		 * 
		 *  @return nová inštancia triedy {@link Farba Farba} s bledšou
		 *      verziou tejto farby
		 * 
		 *  @see #svetlejšia()
		 *  @see #tmavšia()
		 */
		public Farba svetlejšia()
		{
			int r = getRed();
			int g = getGreen();
			int b = getBlue();

			/*-
			 * Poznámky:
			 *  1. čierna.svetlejšia() má vytvoriť šedú,
			 *  2. použitie svetlejšia() na modrú, musí vrátiť modrú,
			 *  3. mnohonásobné použitie svetlejšia() nakoniec vyústi do
			 *     bielej.
			 */
			int i = (int)(1.0 / (1.0 - faktor));

			if (r == 0 && g == 0 && b == 0)
				return new Farba(i, i, i, getAlpha());

			if (r > 0 && r < i) r = i;
			if (g > 0 && g < i) g = i;
			if (b > 0 && b < i) b = i;

			return new Farba(Math.min((int)(r / faktor), 255),
				Math.min((int)(g / faktor), 255),
				Math.min((int)(b / faktor), 255), getAlpha());
		}

		/** <a class="alias"></a> Alias pre {@link #svetlejšia() svetlejšia}.*/
		public Farba svetlejsia() { return svetlejšia(); }

		/** <a class="alias"></a> Alias pre {@link #svetlejšia() svetlejšia}.*/
		public Farba bledšia() { return svetlejšia(); }

		/** <a class="alias"></a> Alias pre {@link #svetlejšia() svetlejšia}.*/
		public Farba bledsia() { return svetlejšia(); }

		/**
		 * Vytvorí novú tmavšiu verziu tejto farby. Metóda použije na každú
		 * farebnú zložku (RGB) vlastnú mierku na stmavenie tejto farby.
		 * <P><b>Upozornenie:</b> I keď sú operácie {@link #svetlejšia()
		 * svetlejšia} a tmavšia opačné, ich niekoľkonásobné striedavé
		 * použitie môže v dôsledku zaokrúhlení viesť ku získaniu úplne inej
		 * farby.
		 * 
		 *  @return nová inštancia triedy {@link Farba Farba} s tmavšou
		 *      verziou tejto farby
		 */
		public Farba tmavšia()
		{
			return new Farba(Math.max((int)(getRed() * faktor), 0),
				Math.max((int)(getGreen() * faktor), 0),
				Math.max((int)(getBlue() * faktor), 0), getAlpha());
		}

		/** <a class="alias"></a> Alias pre {@link #tmavšia() tmavšia}.*/
		public Farba tmavsia() { return tmavšia(); }

		/**
		 * Vytvorí priehľadnejšiu verziu tejto farby.
		 * 
		 *  @return nová inštancia triedy {@link Farba Farba} s priehľadnejšou
		 *      verziou tejto farby
		 */
		public Farba priehľadnejšia()
		{
			return new Farba(getRed(), getGreen(), getBlue(),
				Math.max((int)(getAlpha() * faktor), 0));
		}

		/** <a class="alias"></a> Alias pre {@link #priehľadnejšia() priehľadnejšia}. */
		public Farba priehladnejsia() { return priehľadnejšia(); }

		/**
		 * Vytvorí menej priehľadnú verziu tejto farby.
		 * 
		 *  @return nová inštancia triedy {@link Farba Farba} s menej
		 *      priehľadnou verziou tejto farby
		 */
		public Farba nepriehľadnejšia()
		{
			int i = (int)(1.0 / (1.0 - faktor));
			int a = getAlpha();

			if (a > 0 && a < i)
				return new Farba(getRed(), getGreen(), getBlue(), i);

			return new Farba(getRed(), getGreen(), getBlue(),
				Math.min((int)(a / faktor), 255));
		}

		/** <a class="alias"></a> Alias pre {@link #nepriehľadnejšia() nepriehľadnejšia}. */
		public Farba nepriehladnejsia() { return nepriehľadnejšia(); }

		/** <a class="alias"></a> Alias pre {@link #nepriehľadnejšia() nepriehľadnejšia}. */
		public Farba menejPriehľadná() { return nepriehľadnejšia(); }

		/** <a class="alias"></a> Alias pre {@link #nepriehľadnejšia() nepriehľadnejšia}. */
		public Farba menejPriehladna() { return nepriehľadnejšia(); }

		/**
		 * Vytvorí novú bledšiu verziu tejto farby. Metóda použije na každú
		 * farebnú zložku (RGB) zadanú mierku (faktor) zosvetlenia.
		 * <P><b>Upozornenie:</b> I keď sú operácie {@code currsvetlejšia}
		 * a {@link #tmavšia(double) tmavšia} opačné, ich niekoľkonásobné
		 * striedavé použitie môže v dôsledku zaokrúhlení viesť ku získaniu
		 * úplne inej farby.
		 * 
		 *  @param faktor faktor zosvetlenia – hodnota v rozsahu 0.0 – 1.0,
		 *      pričom krajné hodnoty (0.0 a 1.0) nie sú povolené; čím je
		 *      hodnota faktora nižšia, tým je zmena svetlosti výraznejšia
		 *  @return nová inštancia triedy {@link Farba Farba} s bledšou
		 *      verziou tejto farby
		 */
		public Farba svetlejšia(double faktor)
		{
			int r = getRed();
			int g = getGreen();
			int b = getBlue();

			/*-
			 * Poznámky:
			 *  1. čierna.svetlejšia() má vytvoriť šedú,
			 *  2. použitie svetlejšia() na modrú, musí vrátiť modrú,
			 *  3. mnohonásobné použitie svetlejšia() nakoniec vyústi do
			 *     bielej.
			 */
			int i = (int)(1.0 / (1.0 - faktor));

			if (r == 0 && g == 0 && b == 0)
				return new Farba(i, i, i, getAlpha());

			if (r > 0 && r < i) r = i;
			if (g > 0 && g < i) g = i;
			if (b > 0 && b < i) b = i;

			return new Farba(Math.min((int)(r / faktor), 255),
				Math.min((int)(g / faktor), 255),
				Math.min((int)(b / faktor), 255), getAlpha());
		}

		/** <a class="alias"></a> Alias pre {@link #svetlejšia(double) svetlejšia}.*/
		public Farba bledšia(double faktor) { return svetlejšia(faktor); }

		/** <a class="alias"></a> Alias pre {@link #svetlejšia(double) svetlejšia}.*/
		public Farba bledsia(double faktor) { return svetlejšia(faktor); }

		/** <a class="alias"></a> Alias pre {@link #svetlejšia(double) svetlejšia}.*/
		public Farba svetlejsia(double faktor) { return svetlejšia(faktor); }

		/**
		 * Vytvorí novú tmavšiu verziu tejto farby. Metóda použije na každú
		 * farebnú zložku (RGB) zadanú mierku (faktor) stmavenia.
		 * <P><b>Upozornenie:</b> I keď sú operácie {@link #svetlejšia(double)
		 * svetlejšia} a {@code currtmavšia} opačné, ich niekoľkonásobné
		 * striedavé použitie môže v dôsledku zaokrúhlení viesť ku získaniu
		 * úplne inej farby.
		 * 
		 *  @param faktor faktor stmavenia – hodnota v rozsahu 0.0 – 1.0,
		 *      pričom krajné hodnoty (0.0 a 1.0) nie sú na použitie vhodné
		 *      (0.0 by stmavila farbu do čiernej a 1.0 by nevykonala žiadnu
		 *      zmenu svetlosti); čím je hodnota faktora nižšia, tým je
		 *      úroveň stmavenia výraznejšia
		 *  @return nová inštancia triedy {@link Farba Farba} s tmavšou
		 *      verziou tejto farby
		 */
		public Farba tmavšia(double faktor)
		{
			return new Farba(Math.max((int)(getRed() * faktor), 0),
				Math.max((int)(getGreen() * faktor), 0),
				Math.max((int)(getBlue() * faktor), 0), getAlpha());
		}

		/** <a class="alias"></a> Alias pre {@link #tmavšia(double) tmavšia}.*/
		public Farba tmavsia(double faktor) { return tmavšia(faktor); }

		/**
		 * Vytvorí priehľadnejšiu verziu tejto farby na základe zadaného
		 * faktora.
		 * 
		 *  @param faktor faktor spriehľadnenia – hodnota v rozsahu 0.0 – 1.0,
		 *      pričom krajné hodnoty (0.0 a 1.0) nie sú na použitie vhodné
		 *      (0.0 by nastavila farbu na úplne priehľadnú a 1.0 by
		 *      nevykonala žiadnu zmenu priehľadnosti); čím je hodnota
		 *      faktora nižšia, tým je úroveň zmeny priehľadnosti výraznejšia
		 *  @return nová inštancia triedy {@link Farba Farba} s priehľadnejšou
		 *      verziou tejto farby
		 */
		public Farba priehľadnejšia(double faktor)
		{
			return new Farba(getRed(), getGreen(), getBlue(),
				Math.max((int)(getAlpha() * faktor), 0));
		}

		/** <a class="alias"></a> Alias pre {@link #priehľadnejšia() priehľadnejšia}. */
		public Farba priehladnejsia(double faktor) { return priehľadnejšia(faktor); }

		/**
		 * Vytvorí menej priehľadnú verziu tejto farby na základe zadaného
		 * faktora.
		 * 
		 *  @param faktor faktor znepriehľadnenia – hodnota v rozsahu 0.0 –
		 *      1.0, pričom krajné hodnoty (0.0 a 1.0) nie sú povolené; čím
		 *      je hodnota faktora nižšia, tým je zmena nepriehľadnosti
		 *      výraznejšia
		 *  @return nová inštancia triedy {@link Farba Farba} s menej
		 *      priehľadnou verziou tejto farby
		 */
		public Farba nepriehľadnejšia(double faktor)
		{
			int i = (int)(1.0 / (1.0 - faktor));
			int a = getAlpha();

			if (a > 0 && a < i)
				return new Farba(getRed(), getGreen(), getBlue(), i);

			return new Farba(getRed(), getGreen(), getBlue(),
				Math.min((int)(a / faktor), 255));
		}

		/** <a class="alias"></a> Alias pre {@link #nepriehľadnejšia(double) nepriehľadnejšia}. */
		public Farba nepriehladnejsia(double faktor) { return nepriehľadnejšia(faktor); }

		/** <a class="alias"></a> Alias pre {@link #nepriehľadnejšia(double) nepriehľadnejšia}. */
		public Farba menejPriehľadná(double faktor) { return nepriehľadnejšia(faktor); }

		/** <a class="alias"></a> Alias pre {@link #nepriehľadnejšia(double) nepriehľadnejšia}. */
		public Farba menejPriehladna(double faktor) { return nepriehľadnejšia(faktor); }


		/**
		 * Otvorí dialóg na výber farby. Funguje rovnako ako metóda {@link
		 * #zvoľFarbu() zvoľFarbu}. Predvolená farba v otvorenom dialógu bude
		 * {@linkplain Svet#farbaPozadia() farba pozadia sveta}. Po zvolení
		 * želanej farby používateľom, vráti metóda zvolenú farbu v novom
		 * objekte typu {@link Farba Farba}. Ak používateľ dialóg zruší,
		 * metóda vráti {@code valnull}.
		 * 
		 *  @return zvolená farba alebo {@code valnull}
		 */
		public static Farba vyberFarbu()
		{
			Color farba = JColorChooser.showDialog(svet,
				"Voľba farby", Svet.farbaPozadia());

			if (null == farba) return null;
			return new Farba(farba);
		}

		/** <a class="alias"></a> Alias pre {@link #vyberFarbu() vyberFarbu}. */
		public static Farba dialógVýberFarby() { return vyberFarbu(); }

		/** <a class="alias"></a> Alias pre {@link #vyberFarbu() vyberFarbu}. */
		public static Farba dialogVyberFarby() { return vyberFarbu(); }

		/**
		 * Otvorí dialóg na výber farby. Funguje rovnako ako metóda {@link
		 * #vyberFarbu() vyberFarbu}. Predvolená farba v otvorenom dialógu
		 * bude {@linkplain Svet#farbaPozadia() farba pozadia sveta}. Po
		 * zvolení želanej farby používateľom, vráti metóda zvolenú farbu
		 * v novom objekte typu {@link Farba Farba}. Ak používateľ dialóg
		 * zruší, metóda vráti {@code valnull}.
		 * 
		 *  @return zvolená farba alebo {@code valnull}
		 */
		public static Farba zvoľFarbu()
		{
			Color farba = JColorChooser.showDialog(svet,
				"Voľba farby", Svet.farbaPozadia());

			if (null == farba) return null;
			return new Farba(farba);
		}

		/** <a class="alias"></a> Alias pre {@link #zvoľFarbu() zvoľFarbu}. */
		public static Farba zvolFarbu() { return zvoľFarbu(); }

		/** <a class="alias"></a> Alias pre {@link #zvoľFarbu() zvoľFarbu}. */
		public static Farba dialógVoľbaFarby() { return zvoľFarbu(); }

		/** <a class="alias"></a> Alias pre {@link #zvoľFarbu() zvoľFarbu}. */
		public static Farba dialogVolbaFarby() { return zvoľFarbu(); }

		/**
		 * Otvorí dialóg na výber farby. Funguje rovnako ako metóda {@link
		 * #zvoľFarbu(GRobot.Farba) zvoľFarbu}. Otvorený dialóg bude mať
		 * predvolenú zadanú farbu (argument {@code počiatočnáFarba}). Po
		 * zvolení želanej farby používateľom, vráti metóda zvolenú farbu
		 * v novom objekte typu {@link Farba Farba}. Ak používateľ dialóg
		 * zruší, metóda vráti {@code valnull}.
		 * 
		 *  @param počiatočnáFarba predvolená farba v novo otvorenom dialógu
		 *  @return zvolená farba alebo {@code valnull}
		 */
		public static Farba vyberFarbu(Farba počiatočnáFarba)
		{
			Color farba = JColorChooser.showDialog(svet,
				"Voľba farby", počiatočnáFarba);

			if (null == farba) return null;
			return new Farba(farba);
		}

		/** <a class="alias"></a> Alias pre {@link #vyberFarbu(GRobot.Farba) vyberFarbu}. */
		public static Farba dialógVýberFarby(Farba počiatočnáFarba) { return vyberFarbu(počiatočnáFarba); }

		/** <a class="alias"></a> Alias pre {@link #vyberFarbu(GRobot.Farba) vyberFarbu}. */
		public static Farba dialogVyberFarby(Farba počiatočnáFarba) { return vyberFarbu(počiatočnáFarba); }

		/**
		 * Otvorí dialóg na výber farby. Funguje rovnako ako metóda {@link
		 * #vyberFarbu(GRobot.Farba) vyberFarbu}. Otvorený dialóg bude mať
		 * predvolenú zadanú farbu (argument {@code počiatočnáFarba}). Po
		 * zvolení želanej farby používateľom, vráti metóda zvolenú farbu
		 * v novom objekte typu {@link Farba Farba}. Ak používateľ dialóg
		 * zruší, metóda vráti {@code valnull}.
		 * 
		 *  @param počiatočnáFarba predvolená farba v novo otvorenom dialógu
		 *  @return zvolená farba alebo {@code valnull}
		 */
		public static Farba zvoľFarbu(Farba počiatočnáFarba)
		{
			Color farba = JColorChooser.showDialog(svet,
				"Voľba farby", počiatočnáFarba);

			if (null == farba) return null;
			return new Farba(farba);
		}

		/** <a class="alias"></a> Alias pre {@link #zvoľFarbu(GRobot.Farba) zvoľFarbu}. */
		public static Farba zvolFarbu(Farba počiatočnáFarba) { return zvoľFarbu(počiatočnáFarba); }

		/** <a class="alias"></a> Alias pre {@link #zvoľFarbu(GRobot.Farba) zvoľFarbu}. */
		public static Farba dialógVoľbaFarby(Farba počiatočnáFarba) { return zvoľFarbu(počiatočnáFarba); }

		/** <a class="alias"></a> Alias pre {@link #zvoľFarbu(GRobot.Farba) zvoľFarbu}. */
		public static Farba dialogVolbaFarby(Farba počiatočnáFarba) { return zvoľFarbu(počiatočnáFarba); }

		/**
		 * Otvorí dialóg na výber farby. Funguje rovnako ako metóda {@link
		 * #zvoľFarbu(String) zvoľFarbu}. Predvolená farba v otvorenom
		 * dialógu bude {@linkplain Svet#farbaPozadia() farba pozadia sveta}.
		 * Po zvolení želanej farby používateľom, vráti metóda zvolenú farbu
		 * v novom objekte typu {@link Farba Farba}. Ak používateľ dialóg
		 * zruší, metóda vráti {@code valnull}. Programátor má možnosť zvoliť
		 * vlastný titulok dialógového okna.
		 * 
		 *  @param titulok vlastný titulok dialógu
		 *  @return zvolená farba alebo {@code valnull}
		 */
		public static Farba vyberFarbu(String titulok)
		{
			Color farba = JColorChooser.showDialog(svet,
				titulok, Svet.farbaPozadia());

			if (null == farba) return null;
			return new Farba(farba);
		}

		/** <a class="alias"></a> Alias pre {@link #vyberFarbu(String) vyberFarbu}. */
		public static Farba dialógVýberFarby(String titulok) { return vyberFarbu(titulok); }

		/** <a class="alias"></a> Alias pre {@link #vyberFarbu(String) vyberFarbu}. */
		public static Farba dialogVyberFarby(String titulok) { return vyberFarbu(titulok); }

		/**
		 * Otvorí dialóg na výber farby. Funguje rovnako ako metóda {@link
		 * #vyberFarbu(String) vyberFarbu}. Predvolená farba v otvorenom
		 * dialógu bude {@linkplain Svet#farbaPozadia() farba pozadia sveta}.
		 * Po zvolení želanej farby používateľom, vráti metóda zvolenú farbu
		 * v novom objekte typu {@link Farba Farba}. Ak používateľ dialóg
		 * zruší, metóda vráti {@code valnull}. Programátor má možnosť zvoliť
		 * vlastný titulok dialógového okna.
		 * 
		 *  @param titulok vlastný titulok dialógu
		 *  @return zvolená farba alebo {@code valnull}
		 */
		public static Farba zvoľFarbu(String titulok)
		{
			Color farba = JColorChooser.showDialog(svet,
				titulok, Svet.farbaPozadia());

			if (null == farba) return null;
			return new Farba(farba);
		}

		/** <a class="alias"></a> Alias pre {@link #zvoľFarbu(String) zvoľFarbu}. */
		public static Farba zvolFarbu(String titulok) { return zvoľFarbu(titulok); }

		/** <a class="alias"></a> Alias pre {@link #zvoľFarbu(String) zvoľFarbu}. */
		public static Farba dialógVoľbaFarby(String titulok) { return zvoľFarbu(titulok); }

		/** <a class="alias"></a> Alias pre {@link #zvoľFarbu(String) zvoľFarbu}. */
		public static Farba dialogVolbaFarby(String titulok) { return zvoľFarbu(titulok); }

		/**
		 * Otvorí dialóg na výber farby. Funguje rovnako ako metóda {@link
		 * #zvoľFarbu(String, GRobot.Farba) zvoľFarbu}. Otvorený dialóg bude
		 * mať predvolenú zadanú farbu (argument {@code počiatočnáFarba}). Po
		 * zvolení želanej farby používateľom, vráti metóda zvolenú farbu
		 * v novom objekte typu {@link Farba Farba}. Ak používateľ dialóg
		 * zruší, metóda vráti {@code valnull}. Programátor má možnosť zvoliť
		 * vlastný titulok dialógového okna.
		 * 
		 *  @param titulok vlastný titulok dialógu
		 *  @param počiatočnáFarba predvolená farba v novo otvorenom dialógu
		 *  @return zvolená farba alebo {@code valnull}
		 */
		public static Farba vyberFarbu(String titulok, Farba počiatočnáFarba)
		{
			Color farba = JColorChooser.showDialog(svet,
				titulok, počiatočnáFarba);

			if (null == farba) return null;
			return new Farba(farba);
		}

		/** <a class="alias"></a> Alias pre {@link #vyberFarbu(String, GRobot.Farba) vyberFarbu}. */
		public static Farba dialógVýberFarby(String titulok, Farba počiatočnáFarba) { return vyberFarbu(titulok, počiatočnáFarba); }

		/** <a class="alias"></a> Alias pre {@link #vyberFarbu(String, GRobot.Farba) vyberFarbu}. */
		public static Farba dialogVyberFarby(String titulok, Farba počiatočnáFarba) { return vyberFarbu(titulok, počiatočnáFarba); }

		/**
		 * Otvorí dialóg na výber farby. Funguje rovnako ako metóda {@link
		 * #vyberFarbu(String, GRobot.Farba) vyberFarbu}. Otvorený dialóg bude
		 * mať predvolenú zadanú farbu (argument {@code počiatočnáFarba}). Po
		 * zvolení želanej farby používateľom, vráti metóda zvolenú farbu
		 * v novom objekte typu {@link Farba Farba}. Ak používateľ dialóg
		 * zruší, metóda vráti {@code valnull}. Programátor má možnosť zvoliť
		 * vlastný titulok dialógového okna.
		 * 
		 *  @param titulok vlastný titulok dialógu
		 *  @param počiatočnáFarba predvolená farba v novo otvorenom dialógu
		 *  @return zvolená farba alebo {@code valnull}
		 */
		public static Farba zvoľFarbu(String titulok, Farba počiatočnáFarba)
		{
			Color farba = JColorChooser.showDialog(svet,
				titulok, počiatočnáFarba);

			if (null == farba) return null;
			return new Farba(farba);
		}

		/** <a class="alias"></a> Alias pre {@link #zvoľFarbu(String, GRobot.Farba) zvoľFarbu}. */
		public static Farba zvolFarbu(String titulok, Farba počiatočnáFarba) { return zvoľFarbu(titulok, počiatočnáFarba); }

		/** <a class="alias"></a> Alias pre {@link #zvoľFarbu(String, GRobot.Farba) zvoľFarbu}. */
		public static Farba dialógVoľbaFarby(String titulok, Farba počiatočnáFarba) { return zvoľFarbu(titulok, počiatočnáFarba); }

		/** <a class="alias"></a> Alias pre {@link #zvoľFarbu(String, GRobot.Farba) zvoľFarbu}. */
		public static Farba dialogVolbaFarby(String titulok, Farba počiatočnáFarba) { return zvoľFarbu(titulok, počiatočnáFarba); }


		/**
		 * Vykoná konverziu z farebnej reprezentácie RGB do HSB.
		 * Argument tejto metódy očakáva zložky farebného priestoru RGB
		 * skombinované v jednej celočíselnej premennej (prípadná zložka
		 * priehľadnosti je ignorovaná).
		 * Hodnoty definujúce farbu farebného priestoru HSB sú vrátené ako
		 * prvky poľa reálnych čísel v rozsahu od {@code num0.0} do
		 * {@code num1.0}. Ide o:<br />
		 *  H – odtieň (hue) farby – vyjadruje farebný odtieň farby v rámci
		 *  viditeľného farebného spektra),<br />
		 *  S – sýtosť (saturation) farby – hodnota {@code num0.0} znamená,
		 *  že farba je odtieňom šedej, hodnota {@code num1.0} vyjadruje
		 *  plne sýte farby,<br />
		 *  B – jas (brightnes) farby.
		 * 
		 *  @param rgb farba vyjadrená ako kombinácia zložiek farebného
		 *      priestoru RGB
		 *  @return hodnoty definujúce farbu vo farebnom priestore HSB
		 *  @see #RGBtoHSV(int)
		 */
		public static double[] RGBtoHSB(int rgb)
		{
			float[] hsb = Color.RGBtoHSB((rgb >> 16) & 0xff,
				(rgb >> 8) & 0xff, rgb & 0xff, null);
			return new double[]{hsb[0], hsb[1], hsb[2]};
		}

		/**
		 * Vykoná konverziu z farebnej reprezentácie RGB do HSB.
		 * Funguje rovnako ako metóda {@link #RGBtoHSB(int) RGBtoHSB(rgb)},
		 * ibaže nevracia zložky HSB ako argument, ale očakáva trojprvkové
		 * pole typu {@code typedouble}, do ktorého prevedené zložky vloží.
		 * 
		 *  @param rgb farba vyjadrená ako kombinácia zložiek farebného
		 *      priestoru RGB
		 *  @param hsb pole, do ktorého metóda vloží hodnoty definujúce farbu
		 *      vo farebnom priestore HSB
		 *  @see #RGBtoHSV(int, double[])
		 */
		public static void RGBtoHSB(int rgb, double[] hsb)
		{
			float[] f_hsb = new float[3];
			Color.RGBtoHSB((rgb >> 16) & 0xff,
				(rgb >> 8) & 0xff, rgb & 0xff, f_hsb);
			hsb[0] = f_hsb[0]; hsb[1] = f_hsb[1]; hsb[2] = f_hsb[2];
		}

		/**
		 * Vykoná konverziu z farebnej reprezentácie HSB do RGB. Zložky
		 * farebného priestoru HSB sú očakávané v rozsahu od {@code num0.0}
		 * do {@code num1.0}.
		 * Argumenty sú prepočítané na zložky farebného priestoru RGB
		 * a skombinované do celočíselnej hodnoty vrátenej ako výsledok.
		 * 
		 *  @param h odtieň (hue) farby (vyjadruje farbu v rámci viditeľného
		 *      farebného spektra)
		 *  @param s sýtosť (saturation) farby ({@code num0.0} – odtiene
		 *      šedej, {@code num1.0} plne sýte farby)
		 *  @param b jas (brightnes) farby
		 *  @return výsledná kombinácia RGB komponentov
		 *  @see #HSVtoRGB(double, double, double)
		 */
		public static int HSBtoRGB(double h, double s, double b)
		{
			return Color.HSBtoRGB((float)h, (float)s, (float)b);
		}

		// Konverziu medzi HSV a RGB sme vykonali podľa nasledujúcich
		// zdrojov:
		// http://en.wikipedia.org/wiki/HSL_and_HSV
		// http://www.cs.rit.edu/~ncs/color/t_convert.html
		//   (http://snipplr.com/view/14590)
		// http://stackoverflow.com/questions/2399150/convert-rgb-value-to-hsv
		// avšak v súlade s rozsahmi v javadoc-7.0/api/java/awt/Color.html#
		// HSBtoRGB(float, float, float): h, s, v ‹0, 1›

		// h * 60 = 360
		// h /= 6;

		/*
		int polomer = 200;
		Obrázok paleta = new Obrázok((polomer * 2) + 4, (polomer * 2) + 4);

		for (int y = -polomer; y <= polomer; ++y)
		{
			for (int x = -polomer; x <= polomer; ++x)
			{
				double vzdialenosť = vzdialenosťK(x, y);
				if (vzdialenosť <= polomer)
				{
					int priehľadnosť = (int)(vzdialenosť < (polomer - 1) ? 255 :
						(polomer - vzdialenosť) * 255);

					int farba = priehľadnosť << 24;
					double h = smerNa(x, y) / 360;
					double s = 1.0;
					double v = vzdialenosť / polomer;

					farba |= (Farba.HSVtoRGB(h, s, v) & 0x00ffffff);
					paleta.prepíšBod(x, y, farba);
				}
			}
		}

		obrázok(paleta);
		*/

		/**
		 * Vykoná konverziu z farebnej reprezentácie RGB do HSV.
		 * Argument tejto metódy očakáva zložky farebného priestoru RGB
		 * skombinované v jednej celočíselnej premennej (prípadná zložka
		 * priehľadnosti je ignorovaná).
		 * Hodnoty definujúce farbu farebného priestoru HSV sú vrátené ako
		 * prvky poľa reálnych čísel v rozsahu od {@code num0.0} do
		 * {@code num1.0}. Ide o:<br />
		 *  H – odtieň (hue) farby – vyjadruje farebný odtieň farby v rámci
		 *  viditeľného farebného spektra),<br />
		 *  S – sýtosť (saturation) farby – hodnota {@code num0.0} znamená,
		 *  že farba je odtieňom šedej, hodnota {@code num1.0} vyjadruje
		 *  plne sýte farby,<br />
		 *  V – valér (value) farby – vyjadruje svetlosť farby.
		 * 
		 *  @param rgb farba vyjadrená ako kombinácia zložiek farebného
		 *      priestoru RGB
		 *  @return hodnoty definujúce farbu vo farebnom priestore HSV
		 *  @see #RGBtoHSB(int)
		 */
		public static double[] RGBtoHSV(int rgb)
		{
			double r = (double)((rgb >> 16) & 0xff) / 255.0;
			double g = (double)((rgb >>  8) & 0xff) / 255.0;
			double b = (double)(rgb         & 0xff) / 255.0;

			// Valér
			double min = r;
			double max = r;

			if (g < min) min = g;
			if (b < min) min = b;

			if (g > max) max = g;
			if (b > max) max = b;

			double h, s, v = max;
			double chroma = max - min;

			// Sýtosť
			if (max != 0)
			{
				s = chroma / max;
			}
			else
			{
				s = 0;
				h = -1;
				return new double[]{h, s, v};
			}

			// Odtieň
			if (r == max)
				h = ((g - b) / chroma) % 6;	// medzi žltou a purpurovou
			else if (g == max)
				h = 2 + (b - r) / chroma;		// medzi tyrkysovou a žltou
			else
				h = 4 + (r - g) / chroma;		// medzi purpurovou a tyrkysovou

			return new double[]{h, s, v};
		}

		/**
		 * Vykoná konverziu z farebnej reprezentácie RGB do HSV.
		 * Funguje rovnako ako metóda {@link #RGBtoHSV(int) RGBtoHSV(rgb)},
		 * ibaže nevracia zložky HSV ako argument, ale očakáva trojprvkové
		 * pole typu {@code typedouble}, do ktorého prevedené zložky vloží.
		 * 
		 *  @param rgb farba vyjadrená ako kombinácia zložiek farebného
		 *      priestoru RGB
		 *  @param hsv pole, do ktorého metóda vloží hodnoty definujúce farbu
		 *      vo farebnom priestore HSV
		 *  @see #RGBtoHSB(int, double[])
		 */
		public static void RGBtoHSV(int rgb, double[] hsv)
		{
			double r = (double)((rgb >> 16) & 0xff) / 255.0;
			double g = (double)((rgb >>  8) & 0xff) / 255.0;
			double b = (double)(rgb         & 0xff) / 255.0;

			// Valér
			double min = r;
			double max = r;

			if (g < min) min = g;
			if (b < min) min = b;

			if (g > max) max = g;
			if (b > max) max = b;

			// double h, s, v = max;
			hsv[2] = max;
			double chroma = max - min;

			// Sýtosť
			if (max != 0)
			{
				// s = chroma / max;
				hsv[1] = chroma / max;

				// Odtieň
				if (r == max)
					// h = ((g - b) / chroma) % 6;	// medzi žltou a purpurovou
					hsv[0] = ((g - b) / chroma) % 6;
				else if (g == max)
					// h = 2 + (b - r) / chroma;		// medzi tyrkysovou a žltou
					hsv[0] = 2 + (b - r) / chroma;
				else
					// h = 4 + (r - g) / chroma;		// medzi purpurovou a tyrkysovou
					hsv[0] = 4 + (r - g) / chroma;

				// return new double[]{h, s, v};
			}
			else
			{
				// s = 0;
				// h = -1;
				hsv[1] = 0;
				hsv[0] = -1;
				// return new double[]{h, s, v};
			}
		}

		/**
		 * Vykoná konverziu z farebnej reprezentácie HSV do RGB. Zložky
		 * farebného priestoru HSV sú očakávané v rozsahu od {@code num0.0}
		 * do {@code num1.0}.
		 * Argumenty sú prepočítané na zložky farebného priestoru RGB
		 * a skombinované do celočíselnej hodnoty vrátenej ako výsledok.
		 * 
		 *  @param h odtieň (hue) farby (vyjadruje farbu v rámci viditeľného
		 *      farebného spektra)
		 *  @param s sýtosť (saturation) farby ({@code num0.0} – odtiene
		 *      šedej, {@code num1.0} plne sýte farby)
		 *  @param v valér (value) farby (vyjadruje svetlosť farby)
		 *  @return výsledná kombinácia RGB komponentov
		 *  @see #HSBtoRGB(double, double, double)
		 */
		public static int HSVtoRGB(double h, double s, double v)
		{
			double r, g, b; int i;

			// Úprava rozsahov argumentov
			if (h > 1.0 || h < 0.0) h -= Math.floor(h);
			if (s > 1.0 || s < 0.0) s -= Math.floor(s);
			if (v > 1.0 || v < 0.0) v -= Math.floor(v);

			if (0 == s)
			{
				// Achromatická „farba“ (šedá)
				r = g = b = v;
			}
			else
			{
				h *= 6;  i = (int)h;		// Nájdi farebný sektor (0 až 5)
				double fact = h - i;		// Rozložiteľná časť odtieňa

				double p = v * (1 - s);
				double q = v * (1 - s * fact);
				double t = v * (1 - s * (1 - fact));

				switch (i)
				{
					case  0: r = v; g = t; b = p; break;
					case  1: r = q; g = v; b = p; break;
					case  2: r = p; g = v; b = t; break;
					case  3: r = p; g = q; b = v; break;
					case  4: r = t; g = p; b = v; break;
					default: r = v; g = p; b = q; // case 5:
				}

				/*
				double c = v * s;
				double x = c * (1 - Math.abs((h % 2) - 1));

				switch (i)
				{
					case  0: r = c; g = x; b = 0; break;
					case  1: r = x; g = c; b = 0; break;
					case  2: r = 0; g = c; b = x; break;
					case  3: r = 0; g = x; b = c; break;
					case  4: r = x; g = 0; b = c; break;
					default: r = c; g = 0; b = x; // case 5:
				}

				double m = v - c;
				r += m; g += m; b += m;
				*/
			}

			i = 0xff00 |  (int)(r * 255);
			i <<= 8; i |= (int)(g * 255);
			i <<= 8; i |= (int)(b * 255);

			return i;
		}

		/**
		 * Reťazcová reprezentácia tejto farby na účely ladenia obsahujúca
		 * informáciu o farebných zložkách a alfe. Pozri aj metódy
		 * {@link #farbaNaReťazec(Color) farbaNaReťazec}
		 * a {@link #reťazecNaFarbu(String) reťazecNaFarbu}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return reťazcová reprezentácia tejto farby na účely ladenia
		 * obsahujúca informáciu o farebných zložkách a alfe
		 */
		@Override public String toString()
		{
			return this.getClass().getName() + "[r=" + getRed() + ",g=" +
				getGreen() + ",b=" + getBlue() + ",a=" + getAlpha() + "]";
		}


		// @SuppressWarnings("serial")
		private static TreeMap<Farba, String> mapaFarieb =
			new TreeMap<Farba, String>();
		private static void naplňMapu()
		// Inštancie farieb v čase definície ešte nie sú inicializované…
		{
			mapaFarieb.put(žiadna, "žiadna");
			mapaFarieb.put(biela, "biela");
			mapaFarieb.put(svetlošedá, "svetlošedá");
			mapaFarieb.put(šedá, "šedá");
			mapaFarieb.put(tmavošedá, "tmavošedá");
			mapaFarieb.put(čierna, "čierna");
			mapaFarieb.put(svetločervená, "svetločervená");
			mapaFarieb.put(červená, "červená");
			mapaFarieb.put(tmavočervená, "tmavočervená");
			mapaFarieb.put(svetlozelená, "svetlozelená");
			mapaFarieb.put(zelená, "zelená");
			mapaFarieb.put(tmavozelená, "tmavozelená");
			mapaFarieb.put(svetlomodrá, "svetlomodrá");
			mapaFarieb.put(modrá, "modrá");
			mapaFarieb.put(tmavomodrá, "tmavomodrá");
			mapaFarieb.put(svetlotyrkysová, "svetlotyrkysová");
			mapaFarieb.put(tyrkysová, "tyrkysová");
			mapaFarieb.put(tmavotyrkysová, "tmavotyrkysová");
			mapaFarieb.put(svetlopurpurová, "svetlopurpurová");
			mapaFarieb.put(purpurová, "purpurová");
			mapaFarieb.put(tmavopurpurová, "tmavopurpurová");
			mapaFarieb.put(svetložltá, "svetložltá");
			mapaFarieb.put(žltá, "žltá");
			mapaFarieb.put(tmavožltá, "tmavožltá");
			mapaFarieb.put(svetlohnedá, "svetlohnedá");
			mapaFarieb.put(hnedá, "hnedá");
			mapaFarieb.put(tmavohnedá, "tmavohnedá");
			mapaFarieb.put(svetlooranžová, "svetlooranžová");
			mapaFarieb.put(oranžová, "oranžová");
			mapaFarieb.put(tmavooranžová, "tmavooranžová");
			mapaFarieb.put(svetloružová, "svetloružová");
			mapaFarieb.put(ružová, "ružová");
			mapaFarieb.put(tmavoružová, "tmavoružová");
		}

		private final static Pattern hex6Match = Pattern.compile(
			"#[0-9A-Fa-f]{6}");

		private final static Pattern hex3Match = Pattern.compile(
			"#[0-9A-Fa-f]{3}");

		private final static Pattern rgbaMatch = Pattern.compile(
			"[Rr][Gg][Bb][Aa]? *\\(( *[0-9]{0,3} *,){2,3} *[0-9]{0,3} *\\)");

		private final static Pattern rgbaSplit = Pattern.compile(
			"[Rr][Gg][Bb][Aa]? *\\( *| *, *| *\\)");


		/**
		 * Prevedie zadanú inštanciu farby do textovej podoby. (Vhodné
		 * napríklad pri ukladaní údajov do konfiguračného súboru.)
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param farba farba, ktorá má byť prevedená do reťazcovej podoby
		 * @return farba prevedená do reťazcovej podoby
		 * @see #reťazecNaFarbu(String)
		 */
		public static String farbaNaReťazec(Color farba)
		{
			if (mapaFarieb.isEmpty()) naplňMapu();

			// Mapa farieb bola spočiatku naopak, ale
			// z pohľadu efektivity to bolo… zbytočné:
			// for (Map.Entry<Farba, String> položka : mapaFarieb.entrySet())
			// 	if (položka.getValue().equals(farba)) return položka.getKey();

			// Testovanie, ktoré preukázalo, že mapa obsahuje jedinú položku
			// s kľúčom null (inštancie farieb v čase vytvorenia mapy
			// nejestvovali, takže inicializácia v {{…}} bola neúčinná:
			//
			// for (Map.Entry<Farba, String> položka : mapaFarieb.entrySet())
			// {
			// 	System.out.println(položka.getKey() + " " + položka.getValue());
			// 	if (null == položka.getKey()) continue;
			// 	if (položka.getKey().equals(farba)) return položka.getValue();
			// }

			String text = mapaFarieb.get(farba);
			if (null != text) return text;

			int r = farba.getRed();
			int g = farba.getGreen();
			int b = farba.getBlue();
			int a = farba.getAlpha();

			if (255 == a)
			{
				if (r / 16 == r % 16 && g / 16 == g % 16 && b / 16 == b % 16)
					return String.format(Locale.ENGLISH,
						"#%x%x%x", r % 16, g % 16, b % 16);
				return String.format(Locale.ENGLISH,
					"#%02x%02x%02x", r, g, b);
			}

			return String.format(Locale.ENGLISH,
				"rgba(%d, %d, %d, %d)", r, g, b, a);
		}

		/** <a class="alias"></a> Alias pre {@link #farbaNaReťazec(Color) farbaNaReťazec}. */
		public static String farbaNaRetazec(Color farba)
		{ return farbaNaReťazec(farba); }

		/**
		 * Prevedie zadanú implementáciu farebnosti do textovej podoby.
		 * (Vhodné napríklad pri ukladaní údajov do konfiguračného súboru.)
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param farba inštancia farebnosti, ktorá má byť prevedená do
		 *     reťazcovej podoby
		 * @return implementácia farebnosti prevedená do reťazcovej podoby
		 * @see #reťazecNaFarbu(String)
		 */
		public static String farbaNaReťazec(Farebnosť farba)
		{ return farbaNaReťazec(farba.farba()); }

		/** <a class="alias"></a> Alias pre {@link #farbaNaReťazec(Farebnosť) farbaNaReťazec}. */
		public static String farbaNaRetazec(Farebnosť farba)
		{ return farbaNaReťazec(farba); }

		/**
		 * Prevedie zadaný reťazec reprezentujúci farbu na inštanciu farby.
		 * Metóda rozpoznáva buď názvy inštancií rozhrania {@link Farebnosť
		 * Farebnosť} (modrá, červená…), alebo reťazce v tvare:
		 * 
		 * <ul>
		 * <li><code>#</code><i>rrggbb</i>, kde <i>rr</i> je červená zložka
		 * v šestnástkovom tvare, <i>gg</i> zelená zložka v šestnástkovom
		 * tvare a <i>bb</i> modrá zložka v šestnástkovom tvare,</li>
		 * 
		 * <li><code>#</code><i>rgb</i>, kde <i>r</i> je červená zložka
		 * v šestnástkovom tvare a <i>g</i> zelená zložka v šestnástkovom
		 * tvare, <i>b</i> modrá zložka v šestnástkovom tvare, pričom všetky
		 * zložky v tomto budú rozšírené na: <i>rr</i>, <i>gg</i>, <i>bb</i>,
		 * napríklad: <code>#8af</code> = <code>#88aaff</code></li>
		 * 
		 * <li><code>rgb(</code><i>red</i><code>, </code><i>green</i><code>,
		 * </code><i>blue</i><code>)</code>, kde <i>red</i> je červená zložka
		 * (v desiatkovom tvare), <i>green</i> zelená zložka, <i>blue</i>
		 * modrá zložka (všetko v desiatkovom tvare),</li>
		 * 
		 * <li><code>rgba(</code><i>red</i><code>, </code><i>green</i><code>,
		 * </code><i>blue</i><code>, </code><i>alpha</i><code>)</code>, kde
		 * <i>red</i> je červená zložka (v desiatkovom tvare), <i>green</i>
		 * zelená zložka, <i>blue</i> modrá zložka, <i>alpha</i> priehľadnosť
		 * (všetko v desiatkovom tvare). <small>(Tento tvar nekorešponduje so
		 * zápisom používaným v jazykoch slúžiacich na tvorbu webu (HTML,
		 * CSS…), pretože na rozdiel od nich uvádza z dôvodu zachovania
		 * presnej hodnoty zložku priehľadnosti ako celé číslo v rozsahu od
		 * {@code num0} do {@code num255}. Na prevod skutočného webového
		 * tvaru môžete použiť metódy definované v triede {@link
		 * SVGPodpora SVGPodpora}.)</small></li>
		 * </ul>
		 * 
		 * <P>Metóda je vhodná ako doplnok k metóde {@link
		 * #farbaNaReťazec(Color) farbaNaReťazec}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param text reťazec, ktorý má byť prevedený na farbu
		 * @return inštancia farby získaná z reťazcovej podoby
		 * @see #farbaNaReťazec(Color)
		 */
		public static Farba reťazecNaFarbu(String text)
		{
			text = text.trim();
			// Mapa farieb bola spočiatku naopak, ale
			// z pohľadu efektivity to bolo… zbytočné:
			// Farba farba = mapaFarieb.get(text);
			// if (null != farba) return farba;
			try
			{
				Object o = Farebnosť.class.getField(text).get(null);
				if (o instanceof Farba) return (Farba)o;
			}
			catch (Exception e) { }

			if (hex6Match.matcher(text).matches())
			{
				try
				{
					return new Farba(
						Integer.parseInt(text.substring(1, 3), 16),
						Integer.parseInt(text.substring(3, 5), 16),
						Integer.parseInt(text.substring(5, 7), 16));
				}
				catch (Exception e)
				{
					vypíšChybovéHlásenia(e, true);
				}
			}
			else if (hex3Match.matcher(text).matches())
			{
				try
				{
					int r = Integer.parseInt(text.substring(1, 2), 16);
					int g = Integer.parseInt(text.substring(2, 3), 16);
					int b = Integer.parseInt(text.substring(3, 4), 16);
					return new Farba(r << 4 | r, g << 4 | g, b << 4 | b);
				}
				catch (Exception e)
				{
					vypíšChybovéHlásenia(e, true);
				}
			}
			else if (rgbaMatch.matcher(text).matches())
			{
				String zložky[] = rgbaSplit.split(text);

				// System.out.println("zložky: " + zložky.length);
				// for (String s : zložky) System.out.println(s);

				try
				{
					if (5 == zložky.length)
						return new Farba(
							Integer.parseInt(zložky[1]),
							Integer.parseInt(zložky[2]),
							Integer.parseInt(zložky[3]),
							Integer.parseInt(zložky[4]));
					return new Farba(
						Integer.parseInt(zložky[1]),
						Integer.parseInt(zložky[2]),
						Integer.parseInt(zložky[3]));
				}
				catch (Exception e)
				{
					vypíšChybovéHlásenia(e, true);
				}
			}

			return žiadna;
		}

		/** <a class="alias"></a> Alias pre {@link #reťazecNaFarbu(String) reťazecNaFarbu}. */
		public static Farba retazecNaFarbu(String text)
		{ return reťazecNaFarbu(text); }


		/**
		 * Posúdi, či je zadaný reťazec v rozpoznateľnom formáte
		 * reprezentujúcom farbu.
		 * Metóda rozpoznáva aj názvy inštancií rozhrania {@link Farebnosť
		 * Farebnosť} (modrá, červená…) a uzná za správe reťazce v jednom
		 * z nasledujúcich tvarov:
		 * 
		 * <ul>
		 * <li><code>#</code><i>rrggbb</i>, kde <i>rr</i> je červená zložka
		 * v šestnástkovom tvare, <i>gg</i> zelená zložka v šestnástkovom
		 * tvare a <i>bb</i> modrá zložka v šestnástkovom tvare,</li>
		 * 
		 * <li><code>#</code><i>rgb</i>, kde <i>r</i> je červená zložka
		 * v šestnástkovom tvare a <i>g</i> zelená zložka v šestnástkovom
		 * tvare, <i>b</i> modrá zložka v šestnástkovom tvare, pričom všetky
		 * zložky v tomto budú rozšírené na: <i>rr</i>, <i>gg</i>, <i>bb</i>,
		 * napríklad: <code>#8af</code> = <code>#88aaff</code></li>
		 * 
		 * <li><code>rgb(</code><i>red</i><code>, </code><i>green</i><code>,
		 * </code><i>blue</i><code>)</code>, kde <i>red</i> je červená zložka
		 * (v desiatkovom tvare), <i>green</i> zelená zložka, <i>blue</i>
		 * modrá zložka (všetko v desiatkovom tvare),</li>
		 * 
		 * <li><code>rgba(</code><i>red</i><code>, </code><i>green</i><code>,
		 * </code><i>blue</i><code>, </code><i>alpha</i><code>)</code>, kde
		 * <i>red</i> je červená zložka (v desiatkovom tvare), <i>green</i>
		 * zelená zložka, <i>blue</i> modrá zložka, <i>alpha</i> priehľadnosť
		 * (všetko v desiatkovom tvare)</li>
		 * </ul>
		 * 
		 * <P>Metóda je vhodná ako doplnok k metódam {@link
		 * #farbaNaReťazec(Color) farbaNaReťazec} a {@link
		 * #reťazecNaFarbu(String) reťazecNaFarbu}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param text reťazec, ktorý má byť posúdený
		 * @return {@code val true} ak je zadaný teťazec v rozpoznateľnom
		 * formáte
		 * @see #farbaNaReťazec(Color)
		 * @see #farbaNaReťazec(Farebnosť)
		 * @see #reťazecNaFarbu(String)
		 */
		public static boolean správnyFormát(String text)
		{
			text = text.trim();
			// Mapa farieb bola spočiatku naopak, ale
			// z pohľadu efektivity to bolo… zbytočné:
			// Farba farba = mapaFarieb.get(text);
			// if (null != farba) return farba;
			try
			{
				Object o = Farebnosť.class.getField(text).get(null);
				if (o instanceof Farba) return true;
			}
			catch (Exception e) { }

			int číslo = 0;

			if (hex6Match.matcher(text).matches())
			{
				try
				{
					číslo = Integer.parseInt(text.substring(1, 3), 16);
					číslo = Integer.parseInt(text.substring(3, 5), 16);
					číslo = Integer.parseInt(text.substring(5, 7), 16);
					return true;
				}
				catch (Exception e)
				{
					return false;
				}
			}
			else if (hex3Match.matcher(text).matches())
			{
				try
				{
					číslo = Integer.parseInt(text.substring(1, 2), 16);
					číslo = Integer.parseInt(text.substring(2, 3), 16);
					číslo = Integer.parseInt(text.substring(3, 4), 16);
					return true;
				}
				catch (Exception e)
				{
					return false;
				}
			}
			else if (rgbaMatch.matcher(text).matches())
			{
				String zložky[] = rgbaSplit.split(text);

				// System.out.println("zložky: " + zložky.length);
				// for (String s : zložky) System.out.println(s);

				try
				{
					if (5 == zložky.length)
					{
						číslo = Integer.parseInt(zložky[1]);
						číslo = Integer.parseInt(zložky[2]);
						číslo = Integer.parseInt(zložky[3]);
						číslo = Integer.parseInt(zložky[4]);
						return true;
					}

					číslo = Integer.parseInt(zložky[1]);
					číslo = Integer.parseInt(zložky[2]);
					číslo = Integer.parseInt(zložky[3]);
					return true;
				}
				catch (Exception e)
				{
					return false;
				}
			}

			return false;
		}

		/** <a class="alias"></a> Alias pre {@link #správnyFormát(String) správnyFormát}. */
		public static boolean spravnyFormat(String text)
		{ return správnyFormát(text); }


		/**
		 * Táto metóda je súčasťou implementácie rozhrania {@link Comparable
		 * Comparable}. Porovnanie farieb bolo implementované preto, aby mohli
		 * byť inštancie farieb zaradené do triedeného zoznamu. Nie je možné
		 * objektívne určiť ktorá farba je „väčšia“ alebo „menšia“, ale farby
		 * sú v počítači reprezentované číslicovo. Táto metóda jednoducho
		 * vzájomne odčíta číslicové reprezentácie farieb a vráti výsledok.
		 * Vďaka tomu je možné použiť inštanciu triedy Farba ako kľúč
		 * triedeného zoznamu, ktorého použitie je v rámci jazyka Java
		 * efektívnejšie. Vďaka tomu je možné vytvoriť triedený zoznam Javy,
		 * v ktorom sa dajú informácie rýchlo vyhľadávať podľa farebného
		 * kľúča.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param ináFarba inštancia inej farby, s ktorou má byť táto farba
		 *     porovnaná
		 * @return rozdiel farebných zložiek inej a tejto farby
		 */
		public int compareTo(Color ináFarba)
		{ return getRGB() - ináFarba.getRGB(); }
	}


	// ---------------------- //
	//  *** Trieda Písmo ***  //
	// ---------------------- //

	/**
	 * Trieda obaľuje triedu Javy {@link Font Font}. Táto trieda kopíruje
	 * najdôležitejšie vlastnosti pôvodnej triedy. Veľa užitočných informácií
	 * o písmach nájdete pri podrobnostiach konštruktora
	 * {@link #GRobot.Písmo(String, int, double) Písmo(názov, štýl, veľkosť)}.
	 * 
	 * <P><b>Príklad:</b>
	 * <P>Výsledkom kreslenia tohto príkladu sú nápisy napísané rôznymi
	 * veľkosťami a rezmi písma z rodiny písiem Arial (<small>pozri zoznam
	 * zmien: <a href="zoznam-zmien.html">poďakovanie</a> uvedené pri
	 * verzii 1.35</small>):
	 * <pre CLASS="example">
		{@link GRobot#skočNa(double, double) skočNa}({@code num0}, &#45;{@code num200});

		{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num10}; ++i)
		{
			{@code typeint} a = ({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num10}, {@code num55});

			{@code kwdif} (a &lt;= {@code num25})
				{@link GRobot#písmo(Font) písmo}({@code kwdnew} {@link GRobot.Písmo#GRobot.Písmo(String, int, double) Písmo}({@code srg"Arial"}, {@code currPísmo}.{@link GRobot.Písmo#OBYČAJNÉ OBYČAJNÉ}, a));
			{@code kwdelse if} (a &lt;= {@code num40})
				{@link GRobot#písmo(Font) písmo}({@code kwdnew} {@link GRobot.Písmo#GRobot.Písmo(String, int, double) Písmo}({@code srg"Arial "}, {@code currPísmo}.{@link GRobot.Písmo#TUČNÉ TUČNÉ}, a));
			{@code kwdelse}
				{@link GRobot#písmo(Font) písmo}({@code kwdnew} {@link GRobot.Písmo#GRobot.Písmo(String, int, double) Písmo}({@code srg"Arial"}, {@code currPísmo}.{@link GRobot.Písmo#TUČNÉ TUČNÉ} | {@code currPísmo}.{@link GRobot.Písmo#KURZÍVA KURZÍVA}, a));

			{@link GRobot#text(String) text}({@code srg"Zmena písma"});
			{@link GRobot#skoč(double, double) skoč}({@code num0}, {@code num40});
		}
		</pre>
	 * 
	 * <P><b>Výsledok:</b>
	 * 
	 * <P><image>zmenaPisma.png</image>Jeden z možných výsledkov vykonávania
	 * tohto príkladu
	 * 
	 * @see java.awt.Font
	 */
	@SuppressWarnings("serial")
	public static class Písmo extends Font
	{
		// Pozri aj: https://docs.oracle.com/javase/8/docs/api/java/awt/Font.html

		/**
		 * Konštanta označujúca obyčajné písmo. Nachádza využitie
		 * v konštruktore prijímajúcom štýl: {@link
		 * GRobot.Písmo#GRobot.Písmo(String, int, double) Písmo(názov, štýl,
		 * veľkosť)}.
		 */
		public final static int OBYČAJNÉ = Font.PLAIN;

		/** <a class="alias"></a> Alias pre {@link #OBYČAJNÉ OBYČAJNÉ}. */
		public final static int OBYCAJNE = Font.PLAIN;

		/** <a class="alias"></a> Alias pre {@link #OBYČAJNÉ OBYČAJNÉ}. */
		public final static int NORMÁLNE = Font.PLAIN;

		/** <a class="alias"></a> Alias pre {@link #OBYČAJNÉ OBYČAJNÉ}. */
		public final static int NORMALNE = Font.PLAIN;

		/**
		 * Konštanta označujúca tučné písmo. Môže byť skombinovaná
		 * s {@linkplain #KURZÍVA kuzívou}. Konštanta nachádza využitie
		 * v konštruktore prijímajúcom štýl: {@link
		 * GRobot.Písmo#GRobot.Písmo(String, int, double) Písmo(názov, štýl,
		 * veľkosť)}.
		 */
		public final static int TUČNÉ = Font.BOLD;

		/** <a class="alias"></a> Alias pre {@link #TUČNÉ TUČNÉ}. */
		public final static int TUCNE = Font.BOLD;

		/** <a class="alias"></a> Alias pre {@link #TUČNÉ TUČNÉ}. */
		public final static int SILNÉ = Font.BOLD;

		/** <a class="alias"></a> Alias pre {@link #TUČNÉ TUČNÉ}. */
		public final static int SILNE = Font.BOLD;

		/**
		 * Konštanta označujúca písmo kurzívy. Môže byť skombinovaná
		 * s {@linkplain #TUČNÉ tučným písmom}. Konštanta nachádza využitie
		 * v konštruktore prijímajúcom štýl: {@link
		 * GRobot.Písmo#GRobot.Písmo(String, int, double) Písmo(názov, štýl,
		 * veľkosť)}.
		 */
		public final static int KURZÍVA = Font.ITALIC;

		/** <a class="alias"></a> Alias pre {@link #KURZÍVA KURZÍVA}. */
		public final static int KURZIVA = Font.ITALIC;

		/** <a class="alias"></a> Alias pre {@link #KURZÍVA KURZÍVA}. */
		public final static int ŠIKMÉ = Font.ITALIC;

		/** <a class="alias"></a> Alias pre {@link #KURZÍVA KURZÍVA}. */
		public final static int SIKME = Font.ITALIC;

		/**
		 * Vytvorí nové písmo z jestvujúceho objektu typu {@link Font Font}.
		 * 
		 *  @param font objekt {@link Font Font}, z ktorého má byť vytvorené
		 *      nové písmo
		 */
		public Písmo(Font font) { super(font); }

		/**
		 * Vytvorí nové písmo s atribútmi určenými v parametri {@code
		 * attributes}. Ak je tento parameter rovný {@code valnull}, písmo
		 * bude vytvorené s predvolenými hodnotami.
		 * 
		 *  @param attributes atribúty, ktoré majú byť priradené novému písmu,
		 *     alebo {@code valnull}
		 */
		public Písmo(Map<? extends AttributedCharacterIterator.Attribute, ?> attributes)
		{ super(attributes); }

		/**
		 * Vytvorí nové písmo s určeným názvom, štýlom a veľkosťou.
		 * 
		 * <P>Názov písma môže byť (z technického pohľadu) buď názov rodiny
		 * písiem (anlg. font family name; ten je vo svete robota z dôvodu
		 * zjednodušenia považovaný za {@linkplain #názov() názov písma}),
		 * alebo názov rezu písma (ang. font face name), čo je užšia
		 * špecifikácia (príklad: Helvetica Bold, Arial Italic). Pri
		 * vytváraní písma je názov kombinovaný so štýlom, aby bolo nájdené
		 * vyhovujúce písmo. Ak napríklad zadáme názov písma ako {@code
		 * srg"Arial Bold"} (čo znamená tučné písmo z rodiny písiem Arial)
		 * a za štýl dosadíme {@link #KURZÍVA Písmo.KURZÍVA} (anglicky
		 * „italic“), systém spravujúci písma vyhľadá písmo v rodine Arial,
		 * ktoré bude aj tučné aj šikmé – {@code srg"Arial Bold Italic"}.
		 * Názov je so štýlom zlučovaný, nie sčítavnaný, ani odčítavaný. Ak
		 * určíme názov písma {@code srg"Arial Bold"} a štýl {@link #TUČNÉ
		 * Písmo.TUČNÉ}, nezískame dvojnásobne tučné písmo, ale iba
		 * {@linkplain #TUČNÉ TUČNÉ}, rovnako písmo nebude stenčené ak
		 * určíme názov {@code srg"Arial Bold"} a štýl {@link #OBYČAJNÉ
		 * Písmo.OBYČAJNÉ}. Názov môže byť aj názov logického písma
		 * v angličtine: Dialog, DialogInput, Monospaced, Serif alebo
		 * SansSerif. Logické názvy<sup>[1]</sup> určujú všeobecný typ písma
		 * – písmo pre dialógy, vstupné dialógy, s pevnou šírkou znakov,
		 * serifové (pätkové) alebo bezserifové (bezpätkové).
		 * 
		 * <P>Ak nie je možné nájsť konkrétny rez písma, systém na správu
		 * písiem môže algoritmicky písmo vyrobiť. Ak napríklad požadujeme
		 * {@linkplain #ŠIKMÉ šikmé} písmo, ale v stanovenej rodine taký rez
		 * nejestvuje, systém môže jednotlivé znaky obyčajného písma
		 * zošikmiť. Ak systém písmo nedokáže nájsť vôbec, vytvorí písmo
		 * typu Dialog (čiže vytvorí logické písmo).
		 * 
		 * <P><small>[1] – termín „logický“ je v počítačovej terminológii
		 * často používaný ako opak „fyzického“; logický môže znamenať
		 * všeobecný, nekonkrétny, patriaci do určitej množiny, vytvorený na
		 * určitý účel… naopak fyzický znamená kokrétny, pevný,
		 * stanovený…</small>
		 * 
		 *  @param názov  názov písma (názov rezu alebo rodiny písiem) alebo
		 *      logického písma; ak zadáme {@code valnull} systém vytvorí
		 *      písmo, ktorému priradí logický názov {@code srg"Default"}
		 *  @param štýl  konštanta štýlu písma – {@link #OBYČAJNÉ
		 *      Písmo.OBYČAJNÉ}, {@link #TUČNÉ Písmo.TUČNÉ}, {@link #KURZÍVA
		 *      Písmo.KURZÍVA} alebo kombinácia {@link #TUČNÉ
		 *      Písmo.TUČNÉ}<code> | </code>{@link #KURZÍVA Písmo.KURZÍVA};
		 *      pri nesprávne zadanom štýle je vytvorené {@linkplain
		 *      #OBYČAJNÉ obyčajné} písmo
		 *  @param veľkosť veľkosť písma v bodoch (hodnota je zaokrúhlená na
		 *      typ {@code typefloat})
		 */
		public Písmo(String názov, int štýl, double veľkosť)
		{
			// Old:
			// public Písmo(String názov, int štýl, int veľkosť)
			// { super(názov, štýl, veľkosť); }
			super(zostavAtribúty(
				TextAttribute.FAMILY, názov,
				TextAttribute.WEIGHT, 0 == (štýl & Font.BOLD) ?
					TextAttribute.WEIGHT_REGULAR :
					TextAttribute.WEIGHT_BOLD,
				TextAttribute.POSTURE, 0 == (štýl & Font.ITALIC) ?
					TextAttribute.POSTURE_REGULAR :
					TextAttribute.POSTURE_OBLIQUE,
				TextAttribute.SIZE, new Float((float)veľkosť)));
		}

		/**
		 * Vytvorí nové písmo podľa zadaných atribútov určujúcich názov, štýl,
		 * veľkosť písma, horný/dolný index, prečiarknutie alebo podčiarknutie.
		 * 
		 * <P>Tento konštruktor prijíma variabilný počet parametrov rôznych
		 * údajových typov. Niektoré parametre figurujú samostatne, iné vo
		 * dvojiciach. Konštruktor ich spracúva postupne:
		 * <P>(1) Ak nájde reťazec, zistí jeho význam a podľa potreby spracuje
		 * ďalší parameter.
		 * <P>(2) Ak nájde údajový typ Javy {@link TextAttribute
		 * TextAttribute}, tak vždy prevezme ďalší parameter, ktorý použije
		 * ako hodnotu.
		 * <P>V druhom prípade musí mať ďalší parameter aj správny údajový
		 * typ, pričom konštruktor dokáže zabezpečiť konverziu reťazcov na
		 * čísla alebo logické hodnoty pre zvolené atribúty
		 * ({@link TextAttribute TextAttribute}). Konkrétne:
		 * {@link TextAttribute#WEIGHT WEIGHT},
		 * {@link TextAttribute#WIDTH WIDTH},
		 * {@link TextAttribute#POSTURE POSTURE},
		 * {@link TextAttribute#SIZE SIZE},
		 * {@link TextAttribute#JUSTIFICATION JUSTIFICATION},
		 * {@link TextAttribute#TRACKING TRACKING},
		 * 
		 * {@link TextAttribute#SUPERSCRIPT SUPERSCRIPT},
		 * {@link TextAttribute#UNDERLINE UNDERLINE},
		 * {@link TextAttribute#BIDI_EMBEDDING BIDI_EMBEDDING},
		 * {@link TextAttribute#INPUT_METHOD_UNDERLINE INPUT_METHOD_UNDERLINE},
		 * {@link TextAttribute#KERNING KERNING},
		 * {@link TextAttribute#LIGATURES LIGATURES},
		 * 
		 * {@link TextAttribute#STRIKETHROUGH STRIKETHROUGH},
		 * {@link TextAttribute#RUN_DIRECTION RUN_DIRECTION}
		 * a {@link TextAttribute#SWAP_COLORS SWAP_COLORS}.
		 * (Úplný zoznam atribútov nájdete v opise triedy
		 * {@link TextAttribute TextAttribute}.)
		 * 
		 * <P>Nasledujúca tabuľka zhŕňa povolené významy reťazcov pre prvý
		 * prípad a očakávané tvary ďalšieho parametra (pričom reťazce
		 * v druhej časti nespracúvajú žiadny ďalší parameter, takže ak
		 * nasledujúci parameter jestvuje, tak pôsobí opäť samostatne):
		 *
		 * <style><!--
		 * table.txtAttrList tr th:nth-child(1),
		 * table.txtAttrList tr td:nth-child(1)
		 * { width: 20%; }
		 * 
		 * table.txtAttrList tr th:nth-child(2),
		 * table.txtAttrList tr td:nth-child(2)
		 * { width: 20%; }
		 * 
		 * table.txtAttrList tr th:nth-child(3),
		 * table.txtAttrList tr td:nth-child(3)
		 * { width: 60%; }
		 * --></style>
		 * 
		 * <table class="shadedTable txtAttrList">
		 * <tr><th>Tvar atribútu</th><th>Význam atribútu</th><th>Očakávané
		 * hodnoty</th></tr>
		 * 
		 * <tr><td>{@code srg"Názov"}, {@code srg"Rodina"}, {@code srg"Name"},
		 * {@code srg"FamilyName"}, {@code srg"FaceName"}…</td><td>Názov rodiny
		 * písiem s prípadným určením konkrétneho rezu.</td>
		 * <td>Napríklad: {@code srg"Default"}, {@code srg"Arial Bold"},
		 * {@code srg"Courier New"}…</td></tr>
		 * 
		 * <tr><td>{@code srg"Štýl"}, {@code srg"Rez"}, {@code srg"Style"},
		 * {@code srg"TypeFace"}…</td><td>Spresnenie rodiny písiem a určenie
		 * prípadných ďalších znakov.</td>
		 * <td>Môže byť kombinácia slov (v jednom reťazci):
		 * {@code prečiarknutý}/&#8203;{@code prečiarknutá}/&#8203;{@code
		 * prečiarknuté},
		 * {@code podčiarknutý}/&#8203;{@code podčiarknutá}/&#8203;{@code
		 * podčiarknuté},
		 * {@code tučný}/&#8203;{@code tučná}/&#8203;{@code tučné},
		 * {@code silný}/&#8203;{@code silná}/&#8203;{@code silné},
		 * {@code šikmý}/&#8203;{@code šikmá}/&#8203;{@code
		 * šikmé}/&#8203;{@code kurzíva},
		 * {@code horný}/&#8203;{@code dolný} ({@code index}) alebo ich
		 * anglických alternatív, príklady: {@code srg"Tučná kurzíva"},
		 * {@code srg"Šikmý horný index"}, {@code
		 * srg"Prečiarknuté tučné"}…</td></tr>
		 * 
		 * <tr><td>{@code srg"Veľkosť"}, {@code srg"Size"}</td><td>Určenie
		 * veľkosti písma v bodoch.</td>
		 * <td>Veľkosť písma v bodoch, napríklad: {@code srg"14"}, {@code
		 * num24}, {@code num12.5}…</td></tr>
		 * 
		 * <tr><th colspan="2">Tvar atribútu</th><th>Význam
		 * atribútu</th></tr>
		 * 
		 * <tr><td colspan="2">{@code srg"Prečiarknuté"}, {@code
		 * srg"Strikethrough"}, {@code srg"Strike"}…</td><td>Nastaví príznak
		 * prečiarknutého písma.</td></tr>
		 * 
		 * <tr><td colspan="2">{@code srg"Podčiarknuté"}, {@code
		 * srg"Underline"}</td><td>Nastaví príznak podčiarknutého
		 * písma.</td></tr>
		 * 
		 * <tr><td colspan="2">{@code srg"Tučné"}, {@code srg"Silné"}, {@code
		 * srg"Bold"}, {@code srg"Strong"}</td><td>Nastaví príznak tučného
		 * rezu písma.</td></tr>
		 * 
		 * <tr><td colspan="2">{@code srg"Kurzíva"}, {@code srg"Šikmé"},
		 * {@code srg"Italic"}, {@code srg"Oblique"}</td><td>Nastaví príznak
		 * rezu kurzívy písma.</td></tr>
		 * 
		 * <tr><td colspan="2">{@code srg"Horný index"}, {@code srg"Horné"},
		 * {@code srg"Superscript"}, {@code srg"Super"}…</td><td>Nastaví
		 * príznak horného indexu písma.</td></tr>
		 * 
		 * <tr><td colspan="2">{@code srg"Dolný index"}, {@code srg"Dolné"},
		 * {@code srg"Subscript"}, {@code srg"Sub"}…</td><td>Nastaví príznak
		 * dolného indexu písma.</td></tr>
		 * 
		 * </table>
		 * 
		 * <P><b>Príklady použitia:</b>
		 * 
		 * <pre CLASS="example">
			{@link Písmo Písmo} písmo = {@code kwdnew} {@code currPísmo}({@code srg"Názov"}, {@code srg"Cambria"}, {@code srg"Veľkosť"}, {@code num22});
			{@link GRobot#písmo(java.awt.Font) písmo}(písmo);
			{@link GRobot#text(String) text}({@code srg"Text písmom Cambria veľkého 22 bodov."});
			</pre>
		 * <P><image>novyKonstruktorPisma1.png</image>Výsledok vyššieho
		 * príkladu použitia; Veľkosť bola spracovaná vo forme celého čísla
		 * <P> 
		 * 
		 * <pre CLASS="example">
			{@link GRobot#písmo(java.awt.Font) písmo}({@code kwdnew} {@code currPísmo}({@code srg"Názov"}, {@code srg"Times New Roman"}, {@code srg"Veľkosť"}, {@code srg"12"}, {@code srg"Dolný index"}));
			{@link GRobot#text(String) text}({@code srg"Dolný index „Times New Roman“, 12 bodov."});
			</pre>
		 * <P><image>novyKonstruktorPisma2.png</image>Výsledok vyššieho
		 * príkladu použitia; Veľkosť bola spracovaná vo forme reťazca
		 * a dolný index je uvedený ako samostatný atribút
		 * <P> 
		 * 
		 * <pre CLASS="example">
			{@link Svet Svet}.{@link Svet#písmo(java.awt.Font) písmo}({@code kwdnew} {@code currPísmo}({@code srg"Názov"}, {@code srg"Arial"}, {@code srg"Štýl"}, {@code srg"Podčiarknutá kurzíva"}, {@code srg"Veľkosť"}, {@code num22.5}));
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"Konzola podčiarknutou kurzívou Arial 22.5 boda."});
			</pre>
		 * <P><image>novyKonstruktorPisma3.png</image>Výsledok vyššieho
		 * príkladu použitia; Veľkosť bola spracovaná vo forme reálneho
		 * čísla a štýl bol určený hodnotou atribútu, ktorá smie obsahovať
		 * viac príznakov naraz
		 * <P> 
		 * 
		 * <P><b>Upozornenie:</b> Tento konštruktor je najliberálnejší.
		 * Je schopný prijať a spracovať prakticky akékoľvek údaje rozdelené
		 * na dostatočne malé jednovýznamové celky. Cenou za to je mierne
		 * zvýšenie jeho výpočtovej náročnosti. Odporúčame ho používať buď na
		 * jednorazové vytvorenie písma, alebo napríklad na spracovanie
		 * „surových“ údajov prijatých z nejakého externého zdroja…
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param atribúty séria atribútov podľa opisu
		 */
		public Písmo(Object... atribúty)
		{
			super(zostavAtribúty(atribúty));
		}

		// Zostaví mapu atribútov
		private static HashMap<TextAttribute, Object>
			zostavAtribúty(Object... atribúty)
		{
			HashMap<TextAttribute, Object> mapa =
				new HashMap<TextAttribute, Object>();
			int hranica = atribúty.length;
			for (int i = 0; i < hranica; ++i)
			{
				if (atribúty[i] instanceof TextAttribute)
				{
					if (i + 1 < hranica)
					{
						if (TextAttribute.WEIGHT ==
								(TextAttribute)atribúty[i] ||
							TextAttribute.WIDTH ==
								(TextAttribute)atribúty[i] ||
							TextAttribute.POSTURE ==
								(TextAttribute)atribúty[i] ||
							TextAttribute.SIZE ==
								(TextAttribute)atribúty[i] ||
							TextAttribute.JUSTIFICATION ==
								(TextAttribute)atribúty[i] ||
							TextAttribute.TRACKING ==
								(TextAttribute)atribúty[i])
						{
							Float číslo = 0.0F;

							if (TextAttribute.WEIGHT ==
								(TextAttribute)atribúty[i])
								číslo = TextAttribute.WEIGHT_REGULAR;
							else if (TextAttribute.WIDTH ==
								(TextAttribute)atribúty[i])
								číslo = TextAttribute.WIDTH_REGULAR;
							else if (TextAttribute.POSTURE ==
								(TextAttribute)atribúty[i])
								číslo = TextAttribute.POSTURE_REGULAR;
							else if (TextAttribute.SIZE ==
								(TextAttribute)atribúty[i])
								číslo = 12.0F;
							else if (TextAttribute.JUSTIFICATION ==
								(TextAttribute)atribúty[i])
								číslo = TextAttribute.JUSTIFICATION_FULL;

							if (null == atribúty[i + 1]) ; else
							if (atribúty[i + 1] instanceof Number)
								číslo = ((Number)atribúty[i + 1]).
									floatValue();
							else try
							{
								číslo = Float.valueOf(
									atribúty[i + 1].toString());
							}
							catch (Exception e)
							{
								vypíšChybovéHlásenia(e, false);
							}

							mapa.put((TextAttribute)atribúty[i], číslo);
						}
						else if (TextAttribute.SUPERSCRIPT ==
								(TextAttribute)atribúty[i] ||
							TextAttribute.UNDERLINE ==
								(TextAttribute)atribúty[i] ||
							TextAttribute.BIDI_EMBEDDING ==
								(TextAttribute)atribúty[i] ||
							TextAttribute.INPUT_METHOD_UNDERLINE ==
								(TextAttribute)atribúty[i] ||
							TextAttribute.KERNING ==
								(TextAttribute)atribúty[i] ||
							TextAttribute.LIGATURES ==
								(TextAttribute)atribúty[i])
						{
							Integer číslo = 0;

							if (TextAttribute.UNDERLINE ==
									(TextAttribute)atribúty[i] ||
								TextAttribute.INPUT_METHOD_UNDERLINE ==
									(TextAttribute)atribúty[i])
								číslo = -1;

							if (null == atribúty[i + 1]) ; else
							if (atribúty[i + 1] instanceof Number)
								číslo = ((Number)atribúty[i + 1]).
									intValue();
							else try
							{
								číslo = Integer.valueOf(
									atribúty[i + 1].toString());
							}
							catch (Exception e)
							{
								vypíšChybovéHlásenia(e, false);
							}

							mapa.put((TextAttribute)atribúty[i], číslo);
						}
						else if (TextAttribute.STRIKETHROUGH ==
								(TextAttribute)atribúty[i] ||
							TextAttribute.RUN_DIRECTION ==
								(TextAttribute)atribúty[i] ||
							TextAttribute.SWAP_COLORS ==
								(TextAttribute)atribúty[i])
						{
							Boolean hodnota = false;

							if (TextAttribute.RUN_DIRECTION	 ==
								(TextAttribute)atribúty[i])
								hodnota = null;

							if (null == atribúty[i + 1]) ; else
							if (atribúty[i + 1] instanceof Boolean)
								hodnota = (Boolean)atribúty[i + 1];
							else try
							{
								hodnota = Boolean.valueOf(
									atribúty[i + 1].toString());
							}
							catch (Exception e)
							{
								vypíšChybovéHlásenia(e, false);
							}

							mapa.put((TextAttribute)atribúty[i], hodnota);
						}
						else
							mapa.put((TextAttribute)atribúty[i],
								atribúty[i + 1]);
					}

					++i;
				}
				else if (atribúty[i] instanceof String)
				{
					String atribút = ((String)atribúty[i]).toLowerCase();

					if (atribút.equals("názov") || atribút.equals("nazov") ||
						atribút.equals("rodina") || atribút.equals("name") ||
						atribút.equals("family") ||
						atribút.equals("familyname") ||
						atribút.equals("family name")||
						atribút.equals("face") ||
						atribút.equals("facename") ||
						atribút.equals("face name"))
					{
						if (i + 1 < hranica)
							mapa.put(TextAttribute.FAMILY, atribúty[i + 1]);

						++i;
					}
					else if (atribút.equals("štýl") || atribút.equals("styl") ||
						atribút.equals("rez") || atribút.equals("style") ||
						atribút.equals("typeface") ||
						atribút.equals("type face"))
					{
						if (i + 1 < hranica)
						{
							String štýl = ((String)atribúty[i + 1]).toLowerCase();

							if (-1 != štýl.indexOf("horn") ||
								-1 != štýl.indexOf("sup"))
								mapa.put(TextAttribute.SUPERSCRIPT,
									TextAttribute.SUPERSCRIPT_SUPER);

							if (-1 != štýl.indexOf("doln") ||
								-1 != štýl.indexOf("sub"))
								mapa.put(TextAttribute.SUPERSCRIPT,
									TextAttribute.SUPERSCRIPT_SUB);

							if (-1 != štýl.indexOf("prečiarknut") ||
								-1 != štýl.indexOf("preciarknut") ||
								-1 != štýl.indexOf("strike"))
								mapa.put(TextAttribute.STRIKETHROUGH,
									TextAttribute.STRIKETHROUGH_ON);

							if (-1 != štýl.indexOf("podčiarknut") ||
								-1 != štýl.indexOf("podciarknut") ||
								-1 != štýl.indexOf("underline"))
								mapa.put(TextAttribute.UNDERLINE,
									TextAttribute.UNDERLINE_ON);

							if (-1 != štýl.indexOf("tučn") ||
								-1 != štýl.indexOf("tucn") ||
								-1 != štýl.indexOf("siln") ||
								-1 != štýl.indexOf("bold") ||
								-1 != štýl.indexOf("strong"))
								mapa.put(TextAttribute.WEIGHT,
									TextAttribute.WEIGHT_BOLD);

							if (-1 != štýl.indexOf("kurzíva") ||
								-1 != štýl.indexOf("kurziva") ||
								-1 != štýl.indexOf("šikm") ||
								-1 != štýl.indexOf("sikm") ||
								-1 != štýl.indexOf("italic") ||
								-1 != štýl.indexOf("oblique"))
								mapa.put(TextAttribute.POSTURE,
									TextAttribute.POSTURE_OBLIQUE);
						}

						++i;
					}
					else if (atribút.equals("veľkosť") ||
						atribút.equals("velkost") || atribút.equals("size"))
					{
						if (i + 1 < hranica)
						{
							Float veľkosť = 12.0F;
							if (null == atribúty[i + 1]) ; else
							if (atribúty[i + 1] instanceof Number)
								veľkosť = ((Number)atribúty[i + 1]).
									floatValue();
							else try
							{
								veľkosť = Float.valueOf(
									atribúty[i + 1].toString());
							}
							catch (Exception e)
							{
								vypíšChybovéHlásenia(e, false);
							}

							mapa.put(TextAttribute.SIZE, veľkosť);
						}

						++i;
					}
					else if (atribút.equals("prečiarknuté") ||
						atribút.equals("preciarknute") ||
						atribút.equals("prečiarknutá") ||
						atribút.equals("preciarknuta") ||
						atribút.equals("prečiarknutý") ||
						atribút.equals("preciarknuty") ||
						atribút.equals("strike") ||
						atribút.equals("strikethrough") ||
						atribút.equals("strike through"))
						mapa.put(TextAttribute.STRIKETHROUGH,
							TextAttribute.STRIKETHROUGH_ON);
					else if (atribút.equals("podčiarknuté") ||
						atribút.equals("podciarknute") ||
						atribút.equals("podčiarknutá") ||
						atribút.equals("podciarknuta") ||
						atribút.equals("podčiarknutý") ||
						atribút.equals("podciarknuty") ||
						atribút.equals("underline"))
						mapa.put(TextAttribute.UNDERLINE,
							TextAttribute.UNDERLINE_ON);
					else if (atribút.equals("tučné") ||
						atribút.equals("tucne") || atribút.equals("tučná") ||
						atribút.equals("tucna") || atribút.equals("silné") ||
						atribút.equals("silne") || atribút.equals("silná") ||
						atribút.equals("silna") || atribút.equals("silný") ||
						atribút.equals("silny") || atribút.equals("bold")||
						atribút.equals("strong"))
						mapa.put(TextAttribute.WEIGHT,
							TextAttribute.WEIGHT_BOLD);
					else if (atribút.equals("kurzíva") ||
						atribút.equals("kurziva") || atribút.equals("šikmé") ||
						atribút.equals("sikme") || atribút.equals("šikmá") ||
						atribút.equals("sikma") || atribút.equals("šikmý") ||
						atribút.equals("sikmy") || atribút.equals("italic") ||
						atribút.equals("oblique"))
						mapa.put(TextAttribute.POSTURE,
							TextAttribute.POSTURE_OBLIQUE);
					else if (atribút.equals("horný") ||
						atribút.equals("horny") || atribút.equals("horné") ||
						atribút.equals("horne") || atribút.equals("horná") ||
						atribút.equals("horna") ||
						atribút.equals("hornýindex") ||
						atribút.equals("hornyindex") ||
						atribút.equals("horný index") ||
						atribút.equals("horny index") ||
						atribút.equals("sup") || atribút.equals("super") ||
						atribút.equals("superscript") ||
						atribút.equals("super script"))
						mapa.put(TextAttribute.SUPERSCRIPT,
							TextAttribute.SUPERSCRIPT_SUPER);
					else if (atribút.equals("dolný") ||
						atribút.equals("dolny") || atribút.equals("dolné") ||
						atribút.equals("dolne") || atribút.equals("dolná") ||
						atribút.equals("dolna") ||
						atribút.equals("dolnýindex") ||
						atribút.equals("dolnyindex") ||
						atribút.equals("dolný index") ||
						atribút.equals("dolny index") ||
						atribút.equals("sub") || atribút.equals("subscript") ||
						atribút.equals("sub script"))
						mapa.put(TextAttribute.SUPERSCRIPT,
							TextAttribute.SUPERSCRIPT_SUB);
				}
			}
			return mapa;
		}

		/**
		 * Vráti veľkosť písma v bodoch<!--, zaokrúhlenú na celé číslo-->.
		 * Táto veľkosť zodpovedá približne 1/72 palca.
		 *  @return veľkosť písma v bodoch
		 */
		public float veľkosť() { return getSize2D(); }

		/** <a class="alias"></a> Alias pre {@link #veľkosť() veľkosť}. */
		public float velkost() { return getSize2D(); }

		/**
		 * Overí, či bolo písmo vytvorené so štýlom {@link #OBYČAJNÉ OBYČAJNÉ}
		 * alebo {@link #NORMÁLNE NORMÁLNE}.
		 *  @return vráti {@code valtrue} ak bolo písmo vytvorené so štýlom
		 *      {@link #OBYČAJNÉ OBYČAJNÉ} alebo {@link #NORMÁLNE NORMÁLNE},
		 *      inak vráti {@code valfalse}
		 */
		public boolean obyčajné() { return isPlain(); }

		/** <a class="alias"></a> Alias pre {@link #obyčajné() obyčajné}. */
		public boolean obycajne() { return isPlain(); }

		/** <a class="alias"></a> Alias pre {@link #obyčajné() obyčajné}. */
		public boolean normálne() { return isPlain(); }

		/** <a class="alias"></a> Alias pre {@link #obyčajné() obyčajné}. */
		public boolean normalne() { return isPlain(); }

		/**
		 * Overí, či bolo písmo vytvorené so štýlom {@link #TUČNÉ TUČNÉ}
		 * alebo {@link #SILNÉ SILNÉ}.
		 *  @return vráti {@code valtrue} ak bolo písmo vytvorené so štýlom
		 *      {@link #TUČNÉ TUČNÉ} alebo {@link #SILNÉ SILNÉ},
		 *      inak vráti {@code valfalse}
		 */
		public boolean tučné() { return isBold(); }

		/** <a class="alias"></a> Alias pre {@link #tučné() tučné}. */
		public boolean tucne() { return isBold(); }

		/** <a class="alias"></a> Alias pre {@link #tučné() tučné}. */
		public boolean silné() { return isBold(); }

		/** <a class="alias"></a> Alias pre {@link #tučné() tučné}. */
		public boolean silne() { return isBold(); }

		/**
		 * Overí, či bolo písmo vytvorené so štýlom {@link #KURZÍVA KURZÍVA}
		 * alebo {@link #ŠIKMÉ ŠIKMÉ}.
		 *  @return vráti {@code valtrue} ak bolo písmo vytvorené so štýlom
		 *      {@link #KURZÍVA KURZÍVA} alebo {@link #ŠIKMÉ ŠIKMÉ},
		 *      inak vráti {@code valfalse}
		 */
		public boolean kurzíva() { return isItalic(); }

		/** <a class="alias"></a> Alias pre {@link #kurzíva() kurzíva}. */
		public boolean kurziva() { return isItalic(); }

		/** <a class="alias"></a> Alias pre {@link #kurzíva() kurzíva}. */
		public boolean šikmé() { return isItalic(); }

		/** <a class="alias"></a> Alias pre {@link #kurzíva() kurzíva}. */
		public boolean sikme() { return isItalic(); }

		/**
		 * Vráti názov tohto písma. Konkrétne ide o názov rodiny písiem (angl.
		 * font family name), čo môže byť napríklad Helvetica, Arial, Verdana
		 * a podobne.
		 * <P><small>(<b>Poznámka:</b> Ešte rozlišujeme názov rezu písma
		 * (angl. font face name), čo môže byť napríklad Arial Bold, Verdana
		 * Italic a podobne.)</small>
		 * 
		 *  @return reťazec reprezentujúci názov písma (konkrétne rodiny
		 *      písiem)
		 */
		public String názov() { return getFamily(); }

		/** <a class="alias"></a> Alias pre {@link #názov() názov}. */
		public String nazov() { return getFamily(); }


		/**
		 * Uloží záznam o tomto písme do zadaného konfiguračného súboru.
		 * Súbor musí byť otvorený na zápis. Metóda je používaná
		 * {@linkplain Svet#použiKonfiguráciu(String) automatickou
		 * konfiguráciou} sveta.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param súbor inštancia triedy {@linkplain Súbor súbor}
		 *   otvorená na zápis
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see Svet#použiKonfiguráciu()
		 * @see Svet#čítajKonfiguráciuSveta()
		 * @see #čítajZoSúboru(Súbor)
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 */
		public void uložDoSúboru(Súbor súbor) throws IOException
		{
			String mennýPriestor = súbor.mennýPriestorVlastností;

			try
			{
				if (null == mennýPriestor)
					súbor.mennýPriestorVlastností = "písmo";
				else
					súbor.mennýPriestorVlastností = mennýPriestor + ".písmo";

				súbor.zapíšVlastnosť("názov", getFamily());
				// súbor.zapíšVlastnosť("veľkosť", Long.valueOf(getSize()));
				súbor.zapíšVlastnosť("veľkosť", Double.valueOf(getSize2D()));
				if (isPlain())
					súbor.zapíšVlastnosť("štýl", "normálny");
				else if (isBold() && isItalic())
					súbor.zapíšVlastnosť("štýl", "tučná kurzíva");
				else if (isBold())
					súbor.zapíšVlastnosť("štýl", "tučné");
				else if (isItalic())
					súbor.zapíšVlastnosť("štýl", "kurzíva");
				else súbor.zapíšVlastnosť("štýl", null);

				// Ďalšie vlastnosti – index, prečiarknutie a podčiarknutie
				Map<TextAttribute, ?> atribúty = getAttributes();
				Object hodnota;

				hodnota = atribúty.get(TextAttribute.SUPERSCRIPT);
				if (null != hodnota && hodnota instanceof Number)
					súbor.zapíšVlastnosť("index",
						((Number)hodnota).intValue());
				else súbor.vymažVlastnosť("index");

				hodnota = atribúty.get(TextAttribute.STRIKETHROUGH);
				if (null != hodnota && hodnota instanceof Boolean)
					súbor.zapíšVlastnosť("prečiarknutie",
						(Boolean)hodnota);
				else súbor.vymažVlastnosť("prečiarknutie");

				hodnota = atribúty.get(TextAttribute.UNDERLINE);
				if (null != hodnota && hodnota instanceof Number)
					súbor.zapíšVlastnosť("podčiarknutie",
						((Number)hodnota).intValue());
				else súbor.vymažVlastnosť("podčiarknutie");
			}
			finally
			{
				súbor.mennýPriestorVlastností = mennýPriestor;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #uložDoSúboru(Súbor) uložDoSúboru}. */
		public void ulozDoSuboru(Súbor súbor) throws IOException
		{ uložDoSúboru(súbor); }

		/**
		 * Prečíta záznam o tomto písme zo zadaného konfiguračného súboru
		 * a vráti inštanciu {@linkplain Písmo písma}, ktorá sa zhoduje so
		 * záznamom v súbore. Táto metóda použije aktuálnu inštanciu ako
		 * predvolenú hodnotu a v prípade potreby vytvorí novú inštanciu
		 * písma. Ak je záznam písma v súbore zhodný s týmto písmom, tak
		 * metóda novú inštanciu nevytvára. Namiesto toho vráti hodnotu
		 * tejto (to jest aktuálnej) inštancie (čiže samú seba –
		 * {@code valthis}). Súbor musí byť otvorený na čítanie.
		 * 
		 * <P>Metóda je používaná {@linkplain Svet#použiKonfiguráciu(String)
		 * automatickou konfiguráciou} sveta.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param súbor inštancia triedy {@linkplain Súbor súbor}
		 *   otvorená na čítanie
		 * @return inštancia, ktorá sa zhoduje so záznamom v súbore
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see Svet#použiKonfiguráciu()
		 * @see Svet#čítajKonfiguráciuSveta()
		 * @see #uložDoSúboru(Súbor)
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 */
		@SuppressWarnings("unchecked")
		public Písmo čítajZoSúboru(Súbor súbor) throws IOException
		{
			String mennýPriestor = súbor.mennýPriestorVlastností;

			try
			{
				if (null == mennýPriestor)
					súbor.mennýPriestorVlastností = "písmo";
				else
					súbor.mennýPriestorVlastností = mennýPriestor + ".písmo";

				// int veľkosť = súbor.čítajVlastnosť("veľkosť",
				// 	Long.valueOf(getSize())).intValue();
				float veľkosť = súbor.čítajVlastnosť("veľkosť",
					Double.valueOf(getSize2D())).floatValue();

				String štýlStr = súbor.čítajVlastnosť(
					"štýl", "normálny").toLowerCase();
				int štýl = Písmo.OBYČAJNÉ;
				if (null != štýlStr)
				{
					if (-1 != štýlStr.indexOf("tučné") ||
						-1 != štýlStr.indexOf("tucne") ||
						-1 != štýlStr.indexOf("tučná") ||
						-1 != štýlStr.indexOf("tucna"))
						štýl |= Písmo.TUČNÉ;
					if (-1 != štýlStr.indexOf("kurzíva") ||
						-1 != štýlStr.indexOf("kurziva"))
						štýl |= Písmo.KURZÍVA;
				}

				String názov = súbor.čítajVlastnosť("názov", getFamily());

				Map<TextAttribute, Object> atribúty =
					(Map<TextAttribute, Object>)getAttributes();
				Object hodnota;

				Integer indexFontu = null;
				hodnota = atribúty.get(TextAttribute.SUPERSCRIPT);
				if (null != hodnota && hodnota instanceof Number)
					indexFontu = ((Number)hodnota).intValue();
				Integer indexSúboru = null;
				hodnota = súbor.čítajVlastnosť("index", (Long)null);
				if (null != hodnota) indexSúboru = ((Long)hodnota).intValue();

				Boolean prečiarknutieFontu = null;
				hodnota = atribúty.get(TextAttribute.STRIKETHROUGH);
				if (null != hodnota && hodnota instanceof Boolean)
					prečiarknutieFontu = (Boolean)hodnota;
				Boolean prečiarknutieSúboru = súbor.čítajVlastnosť(
					"prečiarknutie", (Boolean)null);

				Integer podčiarknutieFontu = null;
				hodnota = atribúty.get(TextAttribute.UNDERLINE);
				if (null != hodnota && hodnota instanceof Number)
					podčiarknutieFontu = ((Number)hodnota).intValue();
				Integer podčiarknutieSúboru = null;
				hodnota = súbor.čítajVlastnosť("podčiarknutie", (Long)null);
				if (null != hodnota)
					podčiarknutieSúboru = ((Long)hodnota).intValue();

				if (indexFontu == indexSúboru &&
					prečiarknutieFontu == prečiarknutieSúboru &&
					podčiarknutieFontu == podčiarknutieSúboru)
				{
					if (!názov.equalsIgnoreCase(getFamily()) ||
						veľkosť != getSize2D() || štýl != getStyle())
						return new Písmo(názov, štýl, veľkosť);

					return this;
				}

				atribúty.remove(TextAttribute.SUPERSCRIPT);
				atribúty.remove(TextAttribute.STRIKETHROUGH);
				atribúty.remove(TextAttribute.UNDERLINE);

				if (!názov.equalsIgnoreCase(getFamily()))
					atribúty.put(TextAttribute.FAMILY, názov);

				if (veľkosť != getSize2D())
					atribúty.put(TextAttribute.SIZE, veľkosť);

				if (štýl != getStyle())
				{
					atribúty.put(TextAttribute.WEIGHT,
						0 == (štýl & Písmo.TUČNÉ) ?
						TextAttribute.WEIGHT_REGULAR :
						TextAttribute.WEIGHT_BOLD);
					atribúty.put(TextAttribute.POSTURE,
						0 == (štýl & Písmo.KURZÍVA) ?
						TextAttribute.POSTURE_REGULAR :
						TextAttribute.POSTURE_OBLIQUE);
				}

				if (null != indexSúboru)
					atribúty.put(TextAttribute.SUPERSCRIPT, indexSúboru);

				if (null != prečiarknutieSúboru)
					atribúty.put(TextAttribute.STRIKETHROUGH,
						prečiarknutieSúboru);

				if (null != podčiarknutieSúboru)
					atribúty.put(TextAttribute.UNDERLINE, podčiarknutieSúboru);

				return new Písmo(atribúty);
			}
			finally
			{
				súbor.mennýPriestorVlastností = mennýPriestor;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(Súbor) čítajZoSúboru}. */
		public Pismo citajZoSuboru(Súbor súbor) throws IOException
		{ return new Pismo(čítajZoSúboru(súbor)); }

		/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(Súbor) čítajZoSúboru}. */
		public Písmo prečítajZoSúboru(Súbor súbor) throws IOException
		{ return čítajZoSúboru(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(Súbor) čítajZoSúboru}. */
		public Pismo precitajZoSuboru(Súbor súbor) throws IOException
		{ return new Pismo(čítajZoSúboru(súbor)); }

		/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(Súbor) čítajZoSúboru}. */
		@Deprecated public Písmo načítajZoSúboru(Súbor súbor) throws IOException
		{ return čítajZoSúboru(súbor); }

		/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(Súbor) čítajZoSúboru}. */
		@Deprecated public Pismo nacitajZoSuboru(Súbor súbor) throws IOException
		{ return new Pismo(čítajZoSúboru(súbor)); }

		/**
		 * Uloží záznam o zadanom písme do zadaného konfiguračného súboru.
		 * Súbor musí byť otvorený na zápis. Metóda je používaná
		 * {@linkplain Svet#použiKonfiguráciu(String) automatickou
		 * konfiguráciou} sveta.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param súbor inštancia triedy {@linkplain Súbor súbor}
		 *   otvorená na zápis
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see Svet#použiKonfiguráciu()
		 * @see Svet#čítajKonfiguráciuSveta()
		 * @see #čítajZoSúboru(Súbor)
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 */
		public static void uložDoSúboru(Súbor súbor, Písmo písmo)
			throws IOException
		{
			String mennýPriestor = súbor.mennýPriestorVlastností;

			try
			{
				if (null == písmo)
				{
					súbor.zapíšVlastnosť("písmo", null);

					if (null == mennýPriestor)
						súbor.mennýPriestorVlastností = "písmo";
					else
						súbor.mennýPriestorVlastností = mennýPriestor + ".písmo";

					súbor.vymažVlastnosť("názov");
					súbor.vymažVlastnosť("veľkosť");
					súbor.vymažVlastnosť("štýl");
					súbor.vymažVlastnosť("index");
					súbor.vymažVlastnosť("prečiarknutie");
					súbor.vymažVlastnosť("podčiarknutie");
				}
				else
				{
					súbor.vymažVlastnosť("písmo");

					if (null == mennýPriestor)
						súbor.mennýPriestorVlastností = "písmo";
					else
						súbor.mennýPriestorVlastností =
							mennýPriestor + ".písmo";

					súbor.zapíšVlastnosť("názov", písmo.getFamily());
					// súbor.zapíšVlastnosť("veľkosť",
					// 	Long.valueOf(písmo.getSize()));
					súbor.zapíšVlastnosť("veľkosť",
						Double.valueOf(písmo.getSize2D()));
					if (písmo.isPlain())
						súbor.zapíšVlastnosť("štýl", "normálny");
					else if (písmo.isBold() && písmo.isItalic())
						súbor.zapíšVlastnosť("štýl", "tučná kurzíva");
					else if (písmo.isBold())
						súbor.zapíšVlastnosť("štýl", "tučné");
					else if (písmo.isItalic())
						súbor.zapíšVlastnosť("štýl", "kurzíva");
					else súbor.zapíšVlastnosť("štýl", null);

					// Ďalšie vlastnosti – index, prečiarknutie a podčiarknutie
					Map<TextAttribute, ?> atribúty = písmo.getAttributes();
					Object hodnota;

					hodnota = atribúty.get(TextAttribute.SUPERSCRIPT);
					if (null != hodnota && hodnota instanceof Number)
						súbor.zapíšVlastnosť("index",
							((Number)hodnota).intValue());
					else súbor.vymažVlastnosť("index");

					hodnota = atribúty.get(TextAttribute.STRIKETHROUGH);
					if (null != hodnota && hodnota instanceof Boolean)
						súbor.zapíšVlastnosť("prečiarknutie",
							(Boolean)hodnota);
					else súbor.vymažVlastnosť("prečiarknutie");

					hodnota = atribúty.get(TextAttribute.UNDERLINE);
					if (null != hodnota && hodnota instanceof Number)
						súbor.zapíšVlastnosť("podčiarknutie",
							((Number)hodnota).intValue());
					else súbor.vymažVlastnosť("podčiarknutie");
				}
			}
			finally
			{
				súbor.mennýPriestorVlastností = mennýPriestor;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #uložDoSúboru(GRobot.Súbor, GRobot.Písmo) uložDoSúboru}. */
		public static void ulozDoSuboru(Súbor súbor, Písmo písmo)
			throws IOException
		{ uložDoSúboru(súbor, písmo); }

		/**
		 * Prečíta záznam o písme zo zadaného konfiguračného súboru a vráti
		 * inštanciu {@linkplain Písmo písma} vytvorenú podľa záznamu v súbore.
		 * Druhý argument určuje predvolenú hodnotu. V prípade, že je záznam
		 * v súbore zhodný s predvolenou hodnotou, tak táto metóda nevytvorí
		 * novú inštanciu, ale vráti inštanciu predvolenej hodnoty.
		 * Súbor musí byť otvorený na čítanie.
		 * 
		 * <P>Metóda je používaná {@linkplain Svet#použiKonfiguráciu(String)
		 * automatickou konfiguráciou} sveta.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param súbor inštancia triedy {@linkplain Súbor súbor}
		 *   otvorená na čítanie
		 * @return inštancia písma vytvorená podľa záznamu v súbore alebo
		 *   predvolená hodnota
		 * 
		 * @see ObsluhaUdalostí#konfiguráciaZmenená()
		 * @see Svet#použiKonfiguráciu()
		 * @see Svet#čítajKonfiguráciuSveta()
		 * @see #uložDoSúboru(Súbor)
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 */
		@SuppressWarnings("unchecked")
		public static Písmo čítajZoSúboru(Súbor súbor, Písmo písmo)
			throws IOException
		{
			String mennýPriestor = súbor.mennýPriestorVlastností;

			try
			{
				if (súbor.vlastnosťJestvuje("písmo")) return null;

				if (null == mennýPriestor)
					súbor.mennýPriestorVlastností = "písmo";
				else
					súbor.mennýPriestorVlastností = mennýPriestor + ".písmo";

				// int veľkosť = súbor.čítajVlastnosť("veľkosť",
				// 	Long.valueOf(null == písmo ? new Long(16) :
				// 		písmo.getSize())).intValue();
				float veľkosť = súbor.čítajVlastnosť("veľkosť",
					Double.valueOf(null == písmo ? new Float(16.0) :
						písmo.getSize2D())).floatValue();

				String štýlStr = súbor.čítajVlastnosť(
					"štýl", "normálny").toLowerCase();
				int štýl = Písmo.OBYČAJNÉ;
				if (null != štýlStr)
				{
					if (-1 != štýlStr.indexOf("tučné") ||
						-1 != štýlStr.indexOf("tucne") ||
						-1 != štýlStr.indexOf("tučná") ||
						-1 != štýlStr.indexOf("tucna"))
						štýl |= Písmo.TUČNÉ;
					if (-1 != štýlStr.indexOf("kurzíva") ||
						-1 != štýlStr.indexOf("kurziva"))
						štýl |= Písmo.KURZÍVA;
				}

				String názov = súbor.čítajVlastnosť("názov",
					null == písmo ? "Helvetica" : písmo.getFamily());

				Map<TextAttribute, Object> atribúty =
					(Map<TextAttribute, Object>)písmo.getAttributes();
				Object hodnota;

				Integer indexFontu = null;
				hodnota = atribúty.get(TextAttribute.SUPERSCRIPT);
				if (null != hodnota && hodnota instanceof Number)
					indexFontu = ((Number)hodnota).intValue();
				Integer indexSúboru = null;
				hodnota = súbor.čítajVlastnosť("index", (Long)null);
				if (null != hodnota) indexSúboru = ((Long)hodnota).intValue();

				Boolean prečiarknutieFontu = null;
				hodnota = atribúty.get(TextAttribute.STRIKETHROUGH);
				if (null != hodnota && hodnota instanceof Boolean)
					prečiarknutieFontu = (Boolean)hodnota;
				Boolean prečiarknutieSúboru = súbor.čítajVlastnosť(
					"prečiarknutie", (Boolean)null);

				Integer podčiarknutieFontu = null;
				hodnota = atribúty.get(TextAttribute.UNDERLINE);
				if (null != hodnota && hodnota instanceof Number)
					podčiarknutieFontu = ((Number)hodnota).intValue();
				Integer podčiarknutieSúboru = null;
				hodnota = súbor.čítajVlastnosť("podčiarknutie", (Long)null);
				if (null != hodnota)
					podčiarknutieSúboru = ((Long)hodnota).intValue();

				if (indexFontu == indexSúboru &&
					prečiarknutieFontu == prečiarknutieSúboru &&
					podčiarknutieFontu == podčiarknutieSúboru)
				{
					if (null == písmo || !názov.equalsIgnoreCase(
						písmo.getFamily()) || veľkosť != písmo.getSize2D() ||
						štýl != písmo.getStyle())
						return new Písmo(názov, štýl, veľkosť);

					return písmo;
				}

				atribúty.remove(TextAttribute.SUPERSCRIPT);
				atribúty.remove(TextAttribute.STRIKETHROUGH);
				atribúty.remove(TextAttribute.UNDERLINE);

				if (!názov.equalsIgnoreCase(písmo.getFamily()))
					atribúty.put(TextAttribute.FAMILY, názov);

				if (veľkosť != písmo.getSize2D())
					atribúty.put(TextAttribute.SIZE, veľkosť);

				if (štýl != písmo.getStyle())
				{
					atribúty.put(TextAttribute.WEIGHT,
						0 == (štýl & Písmo.TUČNÉ) ?
						TextAttribute.WEIGHT_REGULAR :
						TextAttribute.WEIGHT_BOLD);
					atribúty.put(TextAttribute.POSTURE,
						0 == (štýl & Písmo.KURZÍVA) ?
						TextAttribute.POSTURE_REGULAR :
						TextAttribute.POSTURE_OBLIQUE);
				}

				if (null != indexSúboru)
					atribúty.put(TextAttribute.SUPERSCRIPT, indexSúboru);

				if (null != prečiarknutieSúboru)
					atribúty.put(TextAttribute.STRIKETHROUGH,
						prečiarknutieSúboru);

				if (null != podčiarknutieSúboru)
					atribúty.put(TextAttribute.UNDERLINE, podčiarknutieSúboru);

				return new Písmo(atribúty);
			}
			finally
			{
				súbor.mennýPriestorVlastností = mennýPriestor;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(GRobot.Súbor, GRobot.Písmo) čítajZoSúboru}. */
		public static Pismo citajZoSuboru(Súbor súbor, Písmo písmo)
			throws IOException
		{ return new Pismo(čítajZoSúboru(súbor, písmo)); }

		/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(GRobot.Súbor, GRobot.Písmo) čítajZoSúboru}. */
		public static Písmo prečítajZoSúboru(Súbor súbor, Písmo písmo)
			throws IOException
		{ return čítajZoSúboru(súbor, písmo); }

		/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(GRobot.Súbor, GRobot.Písmo) čítajZoSúboru}. */
		public static Pismo precitajZoSuboru(Súbor súbor, Písmo písmo)
			throws IOException
		{ return new Pismo(čítajZoSúboru(súbor, písmo)); }

		/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(GRobot.Súbor, GRobot.Písmo) čítajZoSúboru}. */
		@Deprecated public static Písmo načítajZoSúboru(Súbor súbor, Písmo písmo)
			throws IOException
		{ return čítajZoSúboru(súbor, písmo); }

		/** <a class="alias"></a> Alias pre {@link #čítajZoSúboru(GRobot.Súbor, GRobot.Písmo) čítajZoSúboru}. */
		@Deprecated public static Pismo nacitajZoSuboru(Súbor súbor, Písmo písmo)
			throws IOException
		{ return new Pismo(čítajZoSúboru(súbor, písmo)); }
	}

	/** <a class="alias"></a> Alias pre {@link Písmo Písmo}. */
	@SuppressWarnings("serial")
	public static class Pismo extends Písmo
	{
		public Pismo(Font font) { super(font); }
		public Pismo(Map<? extends AttributedCharacterIterator.Attribute, ?> attributes)
		{ super(attributes); }
		public Pismo(String názov, int štýl, double veľkosť)
		{ super(názov, štýl, veľkosť); }
	}


	// --------------------- //
	//  *** Trieda Zvuk ***  //
	// --------------------- //

	/**
	 * Táto trieda dovoľuje programátorovi podrobnejšie pracovať so zvukom,
	 * ktorý prečítal pomocou metódy {@link Svet#čítajZvuk(String)
	 * čítajZvuk}.
	 * 
	 * <P><b>Príklad:</b>
	 * <pre CLASS="example">
		{@code currZvuk} môjZvuk = {@link Svet Svet}.{@link Svet#čítajZvuk(String) čítajZvuk}({@code srg"zvuk.wav"});
		môjZvuk.{@link #prehraj() prehraj}();
		{@code comm// …}
		</pre>
	 * 
	 * <P><a href="resources/zvuk.wav" target="_blank">zvuk.wav</a> –
	 * zvuk na prevzatie.
	 * 
	 *  @see Svet#priečinokZvukov(String)
	 *  @see Svet#priečinokZvukov()
	 *  @see Svet#čítajZvuky(Object[])
	 *  @see Svet#čítajZvuky(String[])
	 *  @see Svet#čítajZvuk(String)
	 *  @see Svet#zvuk(String)
	 *  @see Svet#zvukNaPozadí(String)
	 *  @see Svet#zastavZvuky(Object[])
	 *  @see Svet#hlasitosťPreZvuky(double, Object[])
	 *  @see Svet#váhaPreZvuky(double, Object[])
	 *  @see Svet#zastavZvuky(String[])
	 *  @see Svet#hlasitosťPreZvuky(double, String[])
	 *  @see Svet#váhaPreZvuky(double, String[])
	 */
	public static class Zvuk
	{
		// Užitočné zdroje informácií:
		// 
		//  http://www.jsresources.org/faq_audio.html
		//  http://onjava.com/onjava/excerpt/jenut3_ch17/index.html
		//  http://www3.ntu.edu.sg/home/ehchua/programming/java/J8c_PlayingSound.html
		//  http://www.anyexample.com/programming/java/java_play_wav_sound_file.xml

		private Clip klip;
		private FloatControl hlasitosť = null;
		private FloatControl váha = null;
		private boolean dookola = false;

		private MediaPlayer prehrávač;

		private Zvuk(Clip klip)
		{
			this.klip = klip;
			prehrávač = null;
		}

		private Zvuk(MediaPlayer prehrávač)
		{
			// System.out.println("New player…");
			klip = null;
			this.prehrávač = prehrávač;
			this.prehrávač.setOnEndOfMedia(() ->
			{
				System.out.println("Cycles: " +
					this.prehrávač.getCycleCount());
				System.out.println("Current: " +
					this.prehrávač.getCurrentCount());
				System.out.println("’ll stop: " + (MediaPlayer.INDEFINITE
					!= this.prehrávač.getCycleCount() &&
					this.prehrávač.getCurrentCount() >=
					this.prehrávač.getCycleCount()));

				if (MediaPlayer.INDEFINITE !=
						this.prehrávač.getCycleCount() &&
					this.prehrávač.getCurrentCount() >=
						this.prehrávač.getCycleCount())
					this.prehrávač.stop();
			});
		}

		private static JFXPanel jfxPanel = null;

		////////////////////////////////////////////////////////////////
		// Táto metóda je využívaná automaticky všetkými metódami
		// pracujúcimi so zvukmi. Pozri napríklad:
		//
		//    Svet.čítajZvuky(Object[])
		//    Svet.čítajZvuk(String)
		//    Svet.zvuk(String)
		//    Svet.zvukNaPozadí(String)
		//
		private static Zvuk čítaj(URL url)
		{
			// ## System.out.println("Zvuk.čítaj: ");
			// ## System.out.println("  " + url.toString());
			// ## System.out.println("  Prot: " + url.getProtocol());
			// ## System.out.println("  File: " + url.getFile());
			// ## System.out.println("  Host: " + url.getHost());
			// ## System.out.println("  Path: " + url.getPath());


			String súbor = url.getFile();
			String typ = súbor.substring(súbor.
				lastIndexOf('.') + 1).toLowerCase();

			if (typ.equals("mp3")
				// Unsupported: || typ.equals("ogg")
			)
			{
				try
				{
					if (null == jfxPanel) jfxPanel = new JFXPanel();
					Media médium = new Media(url.toString());
					MediaPlayer prehrávač = new MediaPlayer(médium);
					return new Zvuk(prehrávač);
				}
				catch (Exception e)
				{
					//*##*/ e.printStackTrace();
				}
			}


			Clip klip = null;
			AudioInputStream vstup = null;

			try
			{
				vstup = AudioSystem.getAudioInputStream(url);
			}
			catch (Exception e) { return null; }

			try
			{
				klip = AudioSystem.getClip();
				klip.open(vstup);
			}
			catch (Exception e) { return null; }
			finally
			{
				try
				{
					vstup.close();
				}
				catch (Exception e) { return null; }
			}

			return new Zvuk(klip);
		}

		// Uvoľní zdroje zvuku
		private void uvoľni()
		{
			if (null != prehrávač)
			{
				prehrávač.dispose();
				prehrávač = null;
			}

			if (null != klip)
			{
				try
				{
					klip.close();
				}
				catch (Exception e)
				{
					//*##*/ e.printStackTrace();
				}

				klip = null;
				hlasitosť = null;
				váha = null;
				dookola = false;
			}
		}


		/**
		 * Zastaví prehrávanie zvuku.
		 */
		public void zastav()
		{
			if (null != prehrávač)
			{
				prehrávač.stop();
				// ## prehrávač.seek(Duration.ZERO);
				// prehrávač.seek(Duration.INDEFINITE);
			}

			if (null != klip)
			{
				klip.stop();
				klip.setFramePosition(0);
			}
		}

		/**
		 * Spustí prehrávanie zvuku.
		 */
		public void prehraj()
		{
			if (null != prehrávač)
			{
				// ## prehrávač.stop();
				prehrávač.seek(Duration.ZERO);

				prehrávač.setCycleCount(1);
				prehrávač.play();
			}

			if (null != klip)
			{
				klip.setFramePosition(0);
				klip.start();
				dookola = false;
			}
		}

		/**
		 * Spustí prehrávanie zvuku v nekonečnom cykle.
		 */
		public void prehrávaťDookola()
		{
			if (null != prehrávač)
			{
				// ## prehrávač.stop();
				prehrávač.seek(Duration.ZERO);

				prehrávač.setCycleCount(MediaPlayer.INDEFINITE);
				prehrávač.play();
			}

			if (null != klip)
			{
				klip.setFramePosition(0);
				klip.loop(Clip.LOOP_CONTINUOUSLY);
				dookola = true;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #prehrávaťDookola() prehrávaťDookola}. */
		public void prehravatDookola() { prehrávaťDookola(); }

		/** <a class="alias"></a> Alias pre {@link #prehrávaťDookola() prehrávaťDookola}. */
		public void opakovaťDookola() { prehrávaťDookola(); }

		/** <a class="alias"></a> Alias pre {@link #prehrávaťDookola() prehrávaťDookola}. */
		public void opakovatDookola() { prehrávaťDookola(); }

		/** <a class="alias"></a> Alias pre {@link #prehrávaťDookola() prehrávaťDookola}. */
		public void cyklickyOpakovať() { prehrávaťDookola(); }

		/** <a class="alias"></a> Alias pre {@link #prehrávaťDookola() prehrávaťDookola}. */
		public void cyklickyOpakovat() { prehrávaťDookola(); }


		/**
		 * Pozastaví prehrávanie zvuku.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void pozastav()
		{
			if (null != prehrávač)
			{
				prehrávač.pause();
			}

			if (null != klip)
			{
				klip.stop();
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pozastav() pozastav}. */
		public void pauza() { pozastav(); }

		/**
		 * Spustí pozastavené prehrávanie zvuku.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void pokračuj()
		{
			if (null != prehrávač)
			{
				prehrávač.play();
			}

			if (null != klip)
			{
				if (dookola)
					klip.loop(Clip.LOOP_CONTINUOUSLY);
				else
					klip.start();
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pokračuj() pokračuj}. */
		public void pokracuj() { pokračuj(); }

		/**
		 * Zistí trvanie zvuku v sekundách.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return trvanie zvuku v sekundách
		 */
		public double trvanie()
		{
			if (null != prehrávač)
				return prehrávač.getStopTime().toSeconds();

			if (null != klip)
				return (double)klip.getMicrosecondLength() / 1E6D;

			return 0;
		}

		/**
		 * Nastaví polohu prehrávania zvuku v sekundách (vzhľadom od začiatku).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param poloha poloha zvuku v sekundách
		 */
		public void poloha(double poloha)
		{
			if (null != prehrávač)
				prehrávač.seek(Duration.seconds(poloha));

			if (null != klip)
				klip.setMicrosecondPosition((long)(poloha * 1E6D));
		}

		/**
		 * Zistí polohu prehrávania zvuku v sekundách (vzhľadom od začiatku).
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return poloha zvuku v sekundách
		 */
		public double poloha()
		{
			if (null != prehrávač)
				return prehrávač.getCurrentTime().toSeconds();

			if (null != klip)
				return (double)klip.getMicrosecondPosition() / 1E6D;

			return 0;
		}

		/**
		 * Zistí, či sa zvuk práve prehráva alebo nie.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return {@code valtrue} – zvuk sa prehráva;
		 *     {@code valfalse} – zvuk sa neprehráva
		 */
		public boolean prehrávaSa()
		{
			if (null != prehrávač)
			{
				// ## System.out.println("Current time: " + prehrávač.getCurrentTime());
				// ## System.out.println("Stop time: " + prehrávač.getStopTime());
				// ## System.out.println("Compare: " + prehrávač.getCurrentTime().greaterThanOrEqualTo(prehrávač.getStopTime()));

				// ## if (prehrávač.getCurrentTime().greaterThanOrEqualTo(
				// ## 	prehrávač.getStopTime()))
				// ## {
				// ## 	// ## System.out.println("Considered as not playing.");
				// ## 	return false;
				// ## }

				// ## System.out.println("Status: " + prehrávač.getStatus() + " (" + MediaPlayer.Status.PLAYING + " = " + (prehrávač.getStatus() == MediaPlayer.Status.PLAYING) + ")");

				return prehrávač.getStatus() == MediaPlayer.Status.PLAYING;
			}

			if (null != klip)
				return klip.isActive();

			return false;
		}

		/** <a class="alias"></a> Alias pre {@link #prehrávaSa() prehrávaSa}. */
		public boolean prehravaSa() { return prehrávaSa(); }


		/**
		 * Zistí, či je (resp. nie je) týmto objektom podporovaná schopnosť
		 * zmeny hlasitosti. (Za normálnych okolností by metóda mala vracať
		 * hodnotu {@code valfalse}. To znamená, že hlasitosť zvuku je
		 * podporovaná.)
		 * 
		 *  @return {@code valtrue} – vlastnosť nie je podporovaná;
		 *      {@code valfalse} – vlastnosť je podporovaná
		 */
		public boolean hlasitosťNepodporovaná()
		{
			if (null != prehrávač) return false;

			if (null == hlasitosť)
			{
				if (klip.isControlSupported(FloatControl.Type.MASTER_GAIN))
					hlasitosť = (FloatControl)
						klip.getControl(FloatControl.Type.MASTER_GAIN);
				else return true;
			}

			return null == hlasitosť;
		}

		/** <a class="alias"></a> Alias pre {@link #hlasitosťNepodporovaná() hlasitosťNepodporovaná}. */
		public boolean hlasitostNepodporovana()
		{ return hlasitosťNepodporovaná(); }

		/**
		 * <a class="getter"></a> Vráti aktuálnu mieru hlasitosti prehrávania tohto zvuku.
		 * 
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@link Zvuk Zvuk} môjZvuk = {@link Svet Svet}.{@link Svet#čítajZvuk(String) čítajZvuk}({@code srg"zvuk.wav"});

			môjZvuk.{@link #hlasitosť(double) hlasitosť}({@code num2.0});
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Hlasitosť "} + ({@code typeint})(môjZvuk.{@code currhlasitosť}() * {@code num100}) + {@code srg"%"});
			môjZvuk.{@link #prehraj() prehraj}();
			{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});

			môjZvuk.{@link #hlasitosť(double) hlasitosť}({@code num0.5});
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Hlasitosť "} + ({@code typeint})(môjZvuk.{@code currhlasitosť}() * {@code num100}) + {@code srg"%"});
			môjZvuk.{@link #prehraj() prehraj}();
			{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});

			môjZvuk.{@link #hlasitosť(double) hlasitosť}(&#45;{@code num1.0});
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Hlasitosť "} + ({@code typeint})(môjZvuk.{@code currhlasitosť}() * {@code num100}) + {@code srg"%"});
			môjZvuk.{@link #prehraj() prehraj}();
			{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});
			</pre>
		 * 
		 * <P><a href="resources/zvuk.wav" target="_blank">zvuk.wav</a> –
		 * zvuk na prevzatie.
		 * 
		 *  @return reálne číslo vyjadrujúce mieru hlasitosti v percentách;
		 *      0% – {@code num0.0}; 100% – {@code num1.0}
		 */
		public double hlasitosť()
		{
			if (null != prehrávač)
				return prehrávač.getVolume();

			if (hlasitosťNepodporovaná()) return 1.0;

			float dB = hlasitosť.getValue();
			double miera = Math.pow(10.0, (double)dB / 20.0);

			return miera;
		}

		/** <a class="alias"></a> Alias pre {@link #hlasitosť() hlasitosť}. */
		public double hlasitost() { return hlasitosť(); }

		/**
		 * <a class="setter"></a> Upraví mieru hlasitosti pri prehrávaní tohto zvuku.
		 * Metóda prijíma reálne číslo vyjadrujúce mieru hlasitosti
		 * v percentách, pričom 100% zodpovedá hodnote {@code num1.0}.
		 * 
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@link Zvuk Zvuk} môjZvuk = {@link Svet Svet}.{@link Svet#čítajZvuk(String) čítajZvuk}({@code srg"zvuk.wav"});

			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Hlasitosť 75%"});
			môjZvuk.{@code currhlasitosť}({@code num0.75});
			môjZvuk.{@link #prehraj() prehraj}();
			{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});

			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Hlasitosť 50%"});
			môjZvuk.{@code currhlasitosť}({@code num0.5});
			môjZvuk.{@link #prehraj() prehraj}();
			{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});

			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Hlasitosť 25%"});
			môjZvuk.{@code currhlasitosť}({@code num0.25});
			môjZvuk.{@link #prehraj() prehraj}();
			{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});
			</pre>
		 * 
		 * <P><a href="resources/zvuk.wav" target="_blank">zvuk.wav</a> –
		 * zvuk na prevzatie.
		 * 
		 *  @param miera  miera hlasitosti v percentách – 0% zodpovedá hodnote
		 *      {@code num0.0}, 100% hodnote {@code num1.0}
		 */
		public void hlasitosť(double miera)
		{
			if (null != prehrávač)
			{
				prehrávač.setVolume(miera);
				return;
			}

			if (hlasitosťNepodporovaná()) return;

			float dB = (float)(Math.log10(miera) * 20.0);

			if (dB > hlasitosť.getMaximum()) dB = hlasitosť.getMaximum();
			if (dB < hlasitosť.getMinimum()) dB = hlasitosť.getMinimum();


			if (klip.isActive())
			{
				klip.stop();
				hlasitosť.setValue(dB);
				if (dookola)
					klip.loop(Clip.LOOP_CONTINUOUSLY);
				else
					klip.start();
			}
			else
			{
				hlasitosť.setValue(dB);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #hlasitosť(double) hlasitosť}. */
		public void hlasitost(double miera) { hlasitosť(miera); }


		/**
		 * Zistí, či je (resp. nie je) týmto objektom podporovaná schopnosť
		 * zmeny stereo váhy (prehrávania v ľavom alebo pravom kanáli).
		 * 
		 *  @return {@code valtrue} – vlastnosť nie je podporovaná;
		 *      {@code valfalse} – vlastnosť je podporovaná
		 */
		public boolean váhaNepodporovaná()
		{
			if (null != prehrávač) return false;

			if (null == váha)
			{
				if (klip.getFormat().getChannels() == 1 &&
					klip.isControlSupported(FloatControl.Type.PAN))
					váha = (FloatControl)
						klip.getControl(FloatControl.Type.PAN);
				else if (klip.getFormat().getChannels() == 2 &&
					klip.isControlSupported(FloatControl.Type.BALANCE))
					váha = (FloatControl)
						klip.getControl(FloatControl.Type.BALANCE);
				else return true;
			}

			return null == váha;
		}

		/** <a class="alias"></a> Alias pre {@link #váhaNepodporovaná() váhaNepodporovaná}. */
		public boolean vahaNepodporovana() { return váhaNepodporovaná(); }

		/**
		 * <a class="getter"></a> Vráti aktuálnu mieru stereo vyváženia prehrávania tohto
		 * zvuku.
		 * 
		 *  @return reálne číslo od {@code -}{@code num1.0} (ľavý kanál)
		 *     po {@code +}{@code num1.0} (pravý kanál) vyjadrujúce mieru
		 *     stereo vyváženia
		 */
		public double váha()
		{
			if (null != prehrávač)
				return prehrávač.getBalance();

			if (váhaNepodporovaná()) return 0.0;
			return váha.getValue();
		}

		/** <a class="alias"></a> Alias pre {@link #váha() váha}. */
		public double vaha() { return váha(); }

		/**
		 * <a class="setter"></a> Upraví mieru stereo vyváženia prehrávania
		 * tohto zvuku vzhľadom na ľavý a pravý kanál. Metóda prijíma reálne
		 * číslo vyjadrujúce mieru vyváženia v rozsahu od
		 * {@code -}{@code num1.0} (ľavý kanál) po
		 * {@code +}{@code num1.0} (pravý kanál).
		 * 
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@link Zvuk Zvuk} môjZvuk = {@link Svet Svet}.{@link Svet#čítajZvuk(String) čítajZvuk}({@code srg"zvuk.wav"});

			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Prehraj"});
			môjZvuk.{@link #prehraj() prehraj}();
			{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});

			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Vľavo 50%"});
			môjZvuk.{@code currváha}(&#45;{@code num0.5});
			môjZvuk.{@link #prehraj() prehraj}();
			{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});

			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Vpravo 50%"});
			môjZvuk.{@code currváha}({@code num0.5});
			môjZvuk.{@link #prehraj() prehraj}();
			{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});

			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Vľavo 100%"});
			môjZvuk.{@code currváha}(&#45;{@code num1.0});
			môjZvuk.{@link #prehraj() prehraj}();
			{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});

			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Vpravo 100%"});
			môjZvuk.{@code currváha}({@code num1.0});
			môjZvuk.{@link #prehraj() prehraj}();
			{@link Svet Svet}.{@link Svet#čakaj(double) čakaj}({@code num1.0});

			môjZvuk.{@code currváha}({@code num0.0});    {@code comm// na stred}
			</pre>
		 * 
		 * <P><a href="resources/zvuk.wav" target="_blank">zvuk.wav</a> –
		 * zvuk na prevzatie.
		 * 
		 *  @param miera  miera stereo vyváženia – reálne číslo od
		 *      {@code -}{@code num1.0} (ľavý kanál) po
		 *      {@code +}{@code num1.0} (pravý kanál)
		 */
		public void váha(double miera)
		{
			if (null != prehrávač)
			{
				prehrávač.setBalance(miera);
				return;
			}

			if (váhaNepodporovaná()) return;

			if (miera > váha.getMaximum()) miera = váha.getMaximum();
			if (miera < váha.getMinimum()) miera = váha.getMinimum();


			if (klip.isActive())
			{
				klip.stop();
				váha.setValue((float)miera);
				if (dookola)
					klip.loop(Clip.LOOP_CONTINUOUSLY);
				else
					klip.start();
			}
			else
			{
				váha.setValue((float)miera);
			}
		}

		/** <a class="alias"></a> Alias pre {@link #váha(double) váha}. */
		public void vaha(double miera) { váha(miera); }
	}


	// ---------------------------- //
	//  *** Trieda Zoznam<Typ> ***  //
	// ---------------------------- //

	/**
	 * Zoznam je použiteľný na vytvorenie zoznamu ľubovoľných objektov.
	 * Trieda obaľuje a rozširuje triedu Javy {@link Vector Vector}{@code
	 * <Typ>}. To znamená, že podobne ako pri pôvodnom vektore, je možné
	 * vytvorený zoznam prechádzať konštrukciou:
	 * <pre CLASS="example">
		{@code kwdfor} (Typ prvok : zoznam)
		{
			prvok.metóda(…
			…
		}
		</pre>
	 * Napríklad zoznam reťazcov vytvoríme a prejdeme takto:
	 * <pre CLASS="example">
		{@code kwdfinal} {@code currZoznam}&lt;{@link String String}&gt; zoznamMien = {@code kwdnew} {@link Zoznam#GRobot.Zoznam() Zoznam}&lt;{@link String String}&gt;();
		zoznamMien.{@link #pridaj(Object) pridaj}({@code srg"Adam"});
		zoznamMien.{@link #pridaj(Object) pridaj}({@code srg"Braňo"});
		zoznamMien.{@link #pridaj(Object) pridaj}({@code srg"Cyril"});
		zoznamMien.{@link #pridaj(Object) pridaj}({@code srg"Daniel"});

		{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Zoznam mien:"});
		{@code kwdfor} ({@link String String} meno : zoznamMien)
		{
			{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg" >"}, meno);
		}
		</pre>
	 * 
	 * <P><b>Výsledok:</b>
	 * <pre CLASS="example">
		{@code Zoznam mien:}
		{@code  > Adam}
		{@code  > Braňo}
		{@code  > Cyril}
		{@code  > Daniel}
		</pre>
	 * 
	 * <P>Zoznamy sú dynamické – prvky je možné ľubovoľne pridávať a odoberať –
	 * táto trieda obsahuje širokú skupinu metód pokrývajúcu najdôležitejšie
	 * funkcie práce so zoznamom ({@linkplain #pridaj(Object)
	 * pridávanie}/&#8203;{@linkplain #vlož(int, Object) vkladanie}, {@linkplain
	 * #odober(Object) odoberanie}, {@linkplain #nahraď(int, Object)
	 * nahrádzanie} a {@linkplain #hľadaj(Object) vyhľadávanie}…).
	 * Vnútorná správa zoznamu je v réžii Javy. Dôležité je upozorniť, že
	 * nie je dobré meniť zoznam (pridávať alebo odoberať prvky) počas jeho
	 * prechádzania. Mohlo by dôjsť k nepredvídateľným vedľajším efektom
	 * alebo by to mohlo viesť ku vzniku výnimky.
	 * 
	 * @see java.util.Vector Vector&lt;E&gt;
	 */
	@SuppressWarnings("serial")
	public static class Zoznam<Typ> extends Vector<Typ>
	{
		// Pozri aj: https://docs.oracle.com/javase/8/docs/api/java/util/Vector.html

		/**
		 * Táto trieda slúži na vytvorenie obráteného iterátora zoznamu.
		 * Jej použitie je implicitné. Je uvedené napríklad v opise metód
		 * {@link Zoznam#odzadu() Zoznam.odzadu()} a {@link Zoznam#naopak()
		 * Zoznam.naopak()}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * <P>Zdroj: <a href="http://stackoverflow.com/questions/1098117/can-one-do-a-for-each-loop-in-java-in-reverse-order" target="_blank">Can one do a for each loop in java in reverse order?
		 * – Stack Overflow</a>
		 * @see Zoznam#odzadu()
		 * @see Zoznam#odzadu(List)
		 * @see Zoznam#naopak()
		 * @see Zoznam#naopak(List)
		 */
		public static class ObrátenýIterátor<Typ> implements Iterable<Typ>
		{
			// Ďalší zdroj: https://docs.oracle.com/javase/tutorial/extra/generics/methods.html
			private final List<Typ> pôvodný;

			public ObrátenýIterátor(List<Typ> pôvodný)
			{ this.pôvodný = pôvodný; }

			public Iterator<Typ> iterator()
			{
				final ListIterator<Typ> i =
					pôvodný.listIterator(pôvodný.size());

				return new Iterator<Typ>()
				{
					public boolean hasNext() { return i.hasPrevious(); }
					public Typ next() { return i.previous(); }
					public void remove() { i.remove(); }
				};
			}

			/*public static <Typ> ObrátenýIterátor<Typ> odzadu(List<Typ>
			pôvodný) { return new ObrátenýIterátor<Typ>(pôvodný); }
			public static <Typ> ObrátenýIterátor<Typ> naopak(List<Typ>
			pôvodný) { return new ObrátenýIterátor<Typ>(pôvodný); }*/
		}

		/** <a class="alias"></a> Alias pre {@link ObrátenýIterátor ObrátenýIterátor}. */
		public static class ObratenyIterator<Typ> extends
		ObrátenýIterátor<Typ> { public ObratenyIterator(List<Typ> pôvodný)
		{ super(pôvodný); } }

		private int index = 0;
		private boolean prejdenýDokola = false;

		/**
		 * Vytvorí prázdny zoznam.
		 */
		public Zoznam() { super(); }

		/**
		 * Vytvorí zoznam obsahujúci zadané prvky.
		 */
		// (Pre preklad nasledujúceho textu do slovenčiny pozrite nižšie.)
		// -------------------------------------------------------------------
		// To suppress: "warning: [unchecked] Possible heap pollution from
		// parameterized vararg type" there are three possibilities:
		//   ∙ @SafeVarargs
		//   ∙ @SuppressWarnings({"unchecked", "varargs"})
		//   ∙ @SuppressWarnings("unchecked")
		// We are using the first one.
		// Source: https://books.google.sk/books?id=TsHVAbd-kpUC&pg=PT114&lpg=
		//   PT114&dq=%22warning:+%5Bunchecked%5D+Possible+heap+pollution+from
		//   +parameterized+vararg+type%22&source=bl&ots=zfwcqYDTYe&sig=rjY7sI
		//   8r9VYHTgKEdsIXmgbqOkA&hl=sk&sa=X&ved=0CEMQ6AEwBWoVChMIq5nygPWOyAI
		//   VRpIsCh3p9QeR#v=onepage&q=%22warning%3A%20%5Bunchecked%5D%20Possi
		//   ble%20heap%20pollution%20from%20parameterized%20vararg%20type%22&
		//   f=false
		// Cite: “We could use the @SuppressWarnings("unchecked") annotation
		//   instead to suppress the warning at the declaration of the method,
		//   but warnings are still generated with their usage. Using
		//   @SafeVarargs suppresses warnings at both places.”
		// -------------------------------------------------------------------
		// Na potlačenie varovania: „[nekontrolované] Možné znečistenie haldy
		// parametrizovaným typom vararg“ sú tri možnosti:
		//   ∙ @SafeVarargs
		//   ∙ @SuppressWarnings({"unchecked", "varargs"})
		//   ∙ @SuppressWarnings("unchecked")
		// My používame prvý z nich.
		// Zdroj: «pozri vyššie»
		// Citácia: „Na potlačenie varovania by sme namiesto toho mohli použiť
		//   anotáciu @SuppressWarnings("unchecked") pri deklarácii metódy,
		//   ale varovania by boli stále generované pri jej použití. Použitím
		//   @SafeVarargs potlačíme varovania na obidvoch miestach.“
		// -------------------------------------------------------------------
		@SafeVarargs
		public Zoznam(Typ... prvky)
		{
			super();
			if (prvky.length > 10) ensureCapacity(prvky.length);
			for (Typ prvok : prvky) super.add(prvok);
		}

		/**
		 * Vytvorí zoznam obsaujúci prvky zadanej kolekcie.
		 * 
		 *  @param c kolekcia, ktorej prvky sú použité na naplnenie zoznamu
		 *  @see java.util.Collection Collection&lt;E&gt;
		 */
		public Zoznam(Collection<? extends Typ> c)
		{
			// Pozri aj: https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html
			super(c);
		}

		/**
		 * Vytvorí prázdny zoznam s určenou počiatočnou kapacitou. Tento
		 * konštruktor je vhodné použiť ak vieme, že do zoznamu pridáme naraz
		 * veľké množstvo prvkov. Odhadované množstvo prvkov zadáme ako
		 * počiatočnú kapacitu zoznamu.
		 * 
		 *  @param počiatočnáKapacita počiatočná {@linkplain #kapacita()
		 *      kapacita} zoznamu
		 */
		public Zoznam(int počiatočnáKapacita) { super(počiatočnáKapacita); }

		/**
		 * Vytvorí prázdny zoznam s určenou počiatočnou kapacitou a zadaným
		 * prírastkom kapacity použitým na zväčšenie kapacity po dosiahnutí
		 * aktuálneho limitu. Tento konštruktor je vhodné použiť ak vieme,
		 * že do zoznamu pridáme naraz veľké množstvo prvkov a objem
		 * pridávaných prvkov sa bude nárazovo meniť. Odhadované množstvo
		 * prvkov zadáme ako počiatočnú kapacitu zoznamu. Prírastok kapacity
		 * je odhad naraz pridávaného objemu prvkov v priebehu bytia
		 * zoznamu.
		 * 
		 *  @param počiatočnáKapacita počiatočná {@linkplain #kapacita()
		 *      kapacita} zoznamu
		 *  @param prírastokKapacity objem o ktorý sa zväčší kapacita
		 *      zoznamu po prekročení aktuálneho limitu
		 */
		public Zoznam(int počiatočnáKapacita, int prírastokKapacity)
		{ super(počiatočnáKapacita, prírastokKapacity); }


		/**
		 * Vráti aktuálnu kapacitu zoznamu.
		 * 
		 *  @return aktuálna kapacita zoznamu (veľkosť vnútorného poľa
		 *      slúžiaceho na uchovávanie prvkov zoznamu – nie je totožná so
		 *      skutočnou {@linkplain #veľkosť() veľkosťou} zoznamu –
		 *      kapacita udáva množstvo prvkov, ktoré môžeme do zoznamu
		 *      pridať bez potreby zväčšenia jeho vnútornej veľkosti
		 *      (pamäťových nárokov); zväčšenie vnútornej veľkosti zoznamu
		 *      vždy zaberá určitý čas…)
		 */
		public int kapacita() { return capacity(); }

		/**
		 * Vráti počet prvkov zoznamu.
		 * 
		 * @return počet prvkov zoznamu
		 */
		public int veľkosť() { return size(); }

		/** <a class="alias"></a> Alias pre {@link #veľkosť() veľkosť}. */
		public int počet() { return size(); }

		/** <a class="alias"></a> Alias pre {@link #veľkosť() veľkosť}. */
		public int dĺžka() { return size(); }

		/** <a class="alias"></a> Alias pre {@link #veľkosť() veľkosť}. */
		public int velkost() { return size(); }

		/** <a class="alias"></a> Alias pre {@link #veľkosť() veľkosť}. */
		public int pocet() { return size(); }

		/** <a class="alias"></a> Alias pre {@link #veľkosť() veľkosť}. */
		public int dlzka() { return size(); }

		/**
		 * Vráti {@code valtrue} vtedy a len vtedy, keď je zoznam prázdny,
		 * inak vráti {@code valfalse}.
		 * 
		 *  @return {@code valtrue}/&#8203;{@code valfalse}
		 */
		public boolean prázdny() { return isEmpty(); }

		/** <a class="alias"></a> Alias pre {@link #prázdny() prázdny}. */
		public boolean prazdny() { return isEmpty(); }

		/** <a class="alias"></a> Alias pre {@link #prázdny() prázdny}. */
		public boolean jePrázdny() { return isEmpty(); }

		/** <a class="alias"></a> Alias pre {@link #prázdny() prázdny}. */
		public boolean jePrazdny() { return isEmpty(); }


		/**
		 * Pridá zadaný prvok na koniec zoznamu. Dĺžka zoznamu narastie
		 * o jedna a {@linkplain #kapacita() kapacita} sa zvýši ak je
		 * prekročený aktuálny limit.
		 * 
		 *  @param prvok prvok, ktorý má byť pridaný na koniec zoznamu
		 */
		public void pridaj(Typ prvok) { addElement(prvok); }

		/**
		 * Pridá zadaný zoznam na koniec tohto zoznamu podľa poradia určeného
		 * zadaným zoznamom (jeho iterátorom). Výsledok akcie je
		 * nepredvídateľný ak počas operácie dôjde ku zmene zadaného zoznamu.
		 * 
		 *  @param inýZoznam zoznam, ktorého prvky majú byť pridané na koniec
		 *      tohto zoznamu
		 */
		public void pridaj(Vector<Typ> inýZoznam)
		{
			if (this == inýZoznam)
			{
				Vector<Typ> kópia = new Vector<Typ>(inýZoznam);
				addAll(kópia);
			}
			else addAll(inýZoznam);
		}


		/**
		 * Vloží prvok na zadanú pozíciu v zozname. Všetky prvky, počnúc
		 * zadanou polohou, sú posunuté o jednu pozíciu vyššie. Veľkosť
		 * zoznamu sa zvýši o jedna. Zadaná poloha musí byť číslo väčšie alebo
		 * rovné nule a menšie alebo rovné veľkosti zoznamu. (Ak je poloha
		 * rovná dĺžke zoznamu, prvok je pridaný na jeho koniec.)
		 * 
		 *  @param kde poloha prvku v zozname – poradové číslo väčšie alebo
		 *      rovné nule a menšie alebo rovné veľkosti zoznamu
		 *  @param prvok prvok, ktorý má byť vložený na zadanú pozíciu
		 */
		public void vlož(int kde, Typ prvok) { insertElementAt(prvok, kde); }

		/** <a class="alias"></a> Alias pre {@link #vlož(int,java.lang.Object) vlož}. */
		public void vloz(int kde, Typ prvok) { insertElementAt(prvok, kde); }

		/** <a class="alias"></a> Alias pre {@link #vlož(int,java.lang.Object) vlož}. */
		public void pridaj(int kde, Typ prvok) { insertElementAt(prvok, kde); }


		/**
		 * Nahradí prvok na zadanej pozícii zadaným prvkom. Poloha musí byť
		 * číslo väčšie alebo rovné nule a menšie než veľkosť zoznamu. Dĺžka
		 * zoznamu sa nemení, pôvodný prvok je nahradený.
		 * 
		 *  @param kde poloha prvku v zozname – poradové číslo väčšie alebo
		 *      rovné nule a menšie než veľkosť zoznamu
		 *  @param prvok prvok, ktorým má byť určený prvok nahradený
		 */
		public void prepíš(int kde, Typ prvok) { setElementAt(prvok, kde); }

		/** <a class="alias"></a> Alias pre {@link #prepíš(int,java.lang.Object) prepíš}. */
		public void prepis(int kde, Typ prvok) { setElementAt(prvok, kde); }

		/** <a class="alias"></a> Alias pre {@link #prepíš(int,java.lang.Object) prepíš}. */
		public void nastav(int kde, Typ prvok) { setElementAt(prvok, kde); }

		/** <a class="alias"></a> Alias pre {@link #prepíš(int,java.lang.Object) prepíš}. */
		public void nahraď(int kde, Typ prvok) { setElementAt(prvok, kde); }

		/** <a class="alias"></a> Alias pre {@link #prepíš(int,java.lang.Object) prepíš}. */
		public void nahrad(int kde, Typ prvok) { setElementAt(prvok, kde); }


		/**
		 * Odstráni všetky prvky zoznamu. Po úspešnom vykonaní tejto metódy
		 * bude zoznam prázdny.
		 */
		public void vymaž() { removeAllElements(); }

		/** <a class="alias"></a> Alias pre {@link #vymaž() vymaž}. */
		public void vymaz() { removeAllElements(); }


		/**
		 * Odstráni prvok na zadanej pozícii. Pozícia musí byť číslo väčšie
		 * alebo rovné nule a menšie než veľkosť zoznamu. Každý prvok
		 * nachádzajúci sa nad určeným prvkom je posunutý o jednu pozíciu
		 * nižšie. Veľkosť zoznamu je znížená o jedna.
		 * 
		 *  @param kde poloha prvku odstraňovaného zo zoznamu – poradové
		 *      číslo väčšie alebo rovné nule a menšie než veľkosť zoznamu
		 */
		public void odober(int kde) { removeElementAt(kde); }

		/** <a class="alias"></a> Alias pre {@link #odober(int) odober}. */
		public void vymaž(int kde) { removeElementAt(kde); }

		/** <a class="alias"></a> Alias pre {@link #odober(int) odober}. */
		public void vymaz(int kde) { removeElementAt(kde); }


		/**
		 * Odstráni zo zoznamu prvý výskyt prvku zhodného so zadaným
		 * prvkom<sup>[1]</sup>. Ak zoznam taký prvok neobsahuje, zostáva
		 * nezmenený.
		 * <P>
		 * <small>[1] – ak chceme byť úplne presní, tak povieme, že metóda
		 * odstráni prvý výskyt elementu v zozname, ktorý pri porovnaní so
		 * zadaným prvkom spĺňa nasledujúcu podmienku: {@code (prvok ==
		 * }{@code valnull }{@code ? element == }{@code valnull }{@code :
		 * prvok.equals(element))} (ak taký element jestvuje);
		 * toto vyjadrenie obsahuje podmienku, ktorá exaktne vyjadruje to,
		 * že ak je nami zadaný prvok prázdny ({@code valnull}), tak sa
		 * metóda pokúsi nájsť a odstrániť prvý prázdny element v zozname,
		 * inak porovnáva obsahy jednotlivých elementov zoznamu a odstráni
		 * ten, ktorého obsah (hodnota) je ekvivalentný s obsahom nami
		 * zadaného prvku</small>
		 * 
		 *  @param prvok prvok, ktorý má byť zo zoznamu odstránený (ak sa
		 *      v ňom nachádza)
		 *  @return {@code valtrue} ak zoznam zadaný prvok obsahoval
		 */
		public boolean odober(Typ prvok) { return remove(prvok); }


		/**
		 * Zistí, či sa zadaný objekt nachádza v zozname<sup>[1]</sup>.
		 * <P>
		 * <small>[1] – ak chceme byť úplne presní, tak povieme, že metóda
		 * vráti logickú hodnotu {@code valtrue} iba v prípade, že aspoň
		 * jeden element zoznamu vyhovuje podmienke
		 * {@code (prvok == }{@code valnull }{@code ? element == }{@code
		 * valnull }{@code : prvok.equals(element))}, kde {@code prvok} je
		 * nami zadaný prvok a {@code element} je porovnávaný prvok zoznamu
		 * (metóda postupne prechádza jednotlivé elementy zoznamu
		 * a porovnáva ich s nami zadaným prvkom);
		 * toto vyjadrenie obsahuje podmienku, ktorá exaktne vyjadruje to,
		 * že ak je nami zadaný prvok prázdny ({@code valnull}), metóda hľadá
		 * výskyt prázdneho prvku v zozname, inak hľadá taký prvok, ktorého
		 * obsah sa zhoduje s obsahom nami zadaného (neprázdneho)
		 * prvku</small>
		 * 
		 *  @param prvok prvok, ktorého výskyt v zozname má byť overený
		 *  @return ak bol zadaný prvok v zozname nájdený, vráti sa
		 *      {@code valtrue}
		 */
		public boolean obsahuje(Typ prvok) { return contains(prvok); }


		/**
		 * Vráti hodnotu vnútorného počítadla používaného najmä metódami
		 * {@link #ďalší() ďalší} a {@link #predchádzajúci() predchádzajúci}.
		 * Vnútorné počítadlo používa a nastavuje aj mnoho iných metód triedy
		 * {@link Zoznam Zoznam}.
		 * 
		 *  @return hodnota vnútorného počítadla
		 */
		public int počítadlo() { return index; }

		/** <a class="alias"></a> Alias pre {@link #počítadlo() počítadlo}. */
		public int pocitadlo() { return index; }

		/**
		 * Nastaví novú hodnotu vnútorného počítadla používaného metódami
		 * {@link #ďalší() ďalší} a {@link #predchádzajúci() predchádzajúci}.
		 * Táto metóda kontroluje hodnotu počítadla tak, aby bola v rozsahu
		 * {@code -}{@code num1} až {@link #veľkosť() veľkosť}{@code ()},
		 * čo sú hraničné hodnoty vhodné na použitie pri cyklickom
		 * prechádzaní zoznamu. Ak chceme prechádzať zoznam od začiatku
		 * metódou {@link #ďalší() ďalší}, je šikovnejšie použiť metódu
		 * {@link #počítadloNaZačiatok() počítadloNaZačiatok} a v prípade
		 * prechádzania zoznamu od konca (metódou {@link #predchádzajúci()
		 * predchádzajúci}) zase metódu {@link #počítadloNaKoniec()
		 * počítadloNaKoniec}.
		 * 
		 * <P>Nasledujúci príklad ukazuje, ako prejsť číselný zoznam od
		 * konca.
		 * 
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@code kwdfinal} {@link Zoznam Zoznam}&lt;{@link Integer Integer}&gt; čísla = {@code kwdnew} {@link Zoznam#GRobot.Zoznam(Object[]) Zoznam}&lt;{@link Integer Integer}&gt;({@code num0}, {@code num8}, {@code num5}, {@code num4});

			čísla.{@link #počítadloNaKoniec() počítadloNaKoniec}();
			{@link Integer Integer} i = čísla.{@link #predchádzajúciPrvok() predchádzajúciPrvok}();
			{@code kwdwhile} (!čísla.{@link #prejdenýDokola() prejdenýDokola}())
			{
				{@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}(i, {@code srg" "});
				i = čísla.{@link #predchádzajúciPrvok() predchádzajúciPrvok}();
			}
			</pre>
		 * 
		 * <P><b>Výsledok:</b>
		 * <pre CLASS="example">
			{@code 4 5 8 0 }
			</pre>
		 * 
		 * <P>Vo verzii knižnice 1.50 pribudol jeden komfortnejší spôsob
		 * prechádzania zoznamu odzadu – pozri metódu {@link #odzadu()
		 * odzadu}.
		 * 
		 *  @param nováHodnota nová hodnota vnútorného počítadla
		 */
		public void počítadlo(int nováHodnota)
		{
			if (nováHodnota > size()) nováHodnota = size();
			if (nováHodnota < -1) nováHodnota = -1;
			index = nováHodnota;
		}

		/** <a class="alias"></a> Alias pre {@link #počítadlo() počítadlo}. */
		public void pocitadlo(int nováHodnota) { počítadlo(index); }


		/**
		 * Nastaví vnútorné počítadlo zoznamu na polohu pred prvým prvkom
		 * ({@code -}{@code num1}), aby najbližšie volanie metódy
		 * {@link #ďalší() ďalší} vrátilo prvý prvok zoznamu.
		 */
		public void počítadloNaZačiatok() { index = -1; }

		/** <a class="alias"></a> Alias pre {@link #počítadloNaZačiatok() počítadloNaZačiatok}. */
		public void pocitadloNaZaciatok() { index = -1; }

		/**
		 * Nastaví vnútorné počítadlo zoznamu na polohu za posledným prvkom
		 * ({@link #veľkosť() veľkosť}{@code ()}), aby najbližšie volanie
		 * metódy {@link #predchádzajúci() predchádzajúci} vrátilo posledný
		 * prvok zoznamu.
		 * 
		 * (Pri opise metódy {@link #počítadlo(int) počítadlo} je príklad
		 * ukazujúci, ako prejsť zoznam čísel od konca. Príklad využíva aj
		 * túto metódu.)
		 */
		public void počítadloNaKoniec() { index = size(); }

		/** <a class="alias"></a> Alias pre {@link #počítadloNaKoniec() počítadloNaKoniec}. */
		public void pocitadloNaKoniec() { index = size(); }


		/**
		 * Vráti prvok na zadanej pozícii v zozname. Poloha musí byť číslo
		 * väčšie alebo rovné nule a menšie než veľkosť zoznamu.
		 * 
		 *  @param kde poloha prvku v zozname – poradové číslo väčšie alebo
		 *      rovné nule a menšie než veľkosť zoznamu
		 *  @return prvok zoznamu
		 */
		public Typ daj(int kde) { return elementAt(kde); }

		/** <a class="alias"></a> Alias pre {@link #daj(int) daj}. */
		public Typ vráť(int kde) { return elementAt(kde); }

		/** <a class="alias"></a> Alias pre {@link #daj(int) daj}. */
		public Typ vrat(int kde) { return elementAt(kde); }

		/** <a class="alias"></a> Alias pre {@link #daj(int) daj}. */
		public Typ čítaj(int kde) { return elementAt(kde); }

		/** <a class="alias"></a> Alias pre {@link #daj(int) daj}. */
		public Typ citaj(int kde) { return elementAt(kde); }

		/**
		 * Vráti prvok na pozícii vnútorného {@linkplain #počítadlo()
		 * počítadla} zoznamu. Ak je z neakého dôvodu hodnota vnútorného
		 * počítadla menšia od nuly (a zoznam nie je prázdny), metóda vráti
		 * posledný prvok zoznamu. Ak je naopak hodnota počítadla väčšia
		 * alebo rovná dĺžke zoznamu, vráti prvý prvok zoznamu (opäť
		 * v prípade, že zoznam nie je prázdny).
		 * 
		 *  @return prvok zoznamu
		 */
		public Typ daj()
		{
			if (0 == size()) throw new NoSuchElementException();
			if (index >= size()) return firstElement();
			if (index < 0) return lastElement();
			return elementAt(index);
		}

		/** <a class="alias"></a> Alias pre {@link #daj() daj}. */
		public Typ vráť() { return daj(); }

		/** <a class="alias"></a> Alias pre {@link #daj() daj}. */
		public Typ vrat() { return daj(); }

		/** <a class="alias"></a> Alias pre {@link #daj() daj}. */
		public Typ čítaj() { return daj(); }

		/** <a class="alias"></a> Alias pre {@link #daj() daj}. */
		public Typ citaj() { return daj(); }


		/**
		 * Vráti prvý prvok zoznamu. (Prvok s indexom 0.) Zároveň nastaví
		 * vnútorné {@linkplain #počítadlo() počítadlo} prvkov na nulu.
		 * 
		 *  @return prvý prvok zoznamu
		 */
		public Typ prvý() { index = 0; return firstElement(); }

		/** <a class="alias"></a> Alias pre {@link #prvý() prvý}. */
		public Typ prvy() { return prvý(); }

		/** <a class="alias"></a> Alias pre {@link #prvý() prvý}. */
		public Typ prvýPrvok() { return prvý(); }

		/** <a class="alias"></a> Alias pre {@link #prvý() prvý}. */
		public Typ prvyPrvok() { return prvý(); }

		/**
		 * Vráti posledný prvok zoznamu. (Prvok s indexom
		 * <em>«zoznam»</em>{@code .}{@link #veľkosť()
		 * veľkosť}{@code  - }{@code num1}.) Zároveň nastaví vnútorné
		 * {@linkplain #počítadlo() počítadlo} prvkov na index posledného
		 * prvku.
		 * 
		 *  @return posledný prvok zoznamu
		 */
		public Typ posledný() { index = size() - 1; return lastElement(); }

		/** <a class="alias"></a> Alias pre {@link #posledný() posledný}. */
		public Typ posledny() { return posledný(); }

		/** <a class="alias"></a> Alias pre {@link #posledný() posledný}. */
		public Typ poslednýPrvok() { return posledný(); }

		/** <a class="alias"></a> Alias pre {@link #posledný() posledný}. */
		public Typ poslednyPrvok() { return posledný(); }


		/**
		 * Vráti ďalší prvok zoznamu. Ak vnútorné {@linkplain #počítadlo()
		 * počítadlo} prvkov prekročilo najvyššiu hodnotu, vráti prvý prvok.
		 * V takej situácii je zoznam považovaný za prejdený dokola a metóda
		 * metóda {@link #prejdenýDokola() prejdenýDokola} vráti {@code
		 * valtrue}.
		 * 
		 *  @return ďalší prvok zoznamu; prvok je určený podľa hodnoty
		 *      vnútorného {@linkplain #počítadlo() počítadla}
		 */
		public Typ ďalší()
		{
			if (0 == size()) throw new NoSuchElementException();
			if (++index >= size() || index < 0)
			{
				prejdenýDokola = true;
				return prvý();
			}
			prejdenýDokola = false;
			return elementAt(index);
		}

		/** <a class="alias"></a> Alias pre {@link #ďalší() ďalší}. */
		public Typ dalsi() { return ďalší(); }

		/** <a class="alias"></a> Alias pre {@link #ďalší() ďalší}. */
		public Typ ďalšíPrvok() { return ďalší(); }

		/** <a class="alias"></a> Alias pre {@link #ďalší() ďalší}. */
		public Typ dalsiPrvok() { return ďalší(); }

		// /**
		//  * Vráti predchádzajúci prvok zoznamu. Metóda je zastaraná. Nahrádza
		//  * ju metóda {@link #predchádzajúci() predchádzajúci}.
		//  * 
		//  *  @return predchádzajúci prvok zoznamu; prvok je určený podľa hodnoty
		//  *      vnútorného {@linkplain #počítadlo() počítadla}
		//  */
		// @Deprecated public Typ predošlý()
		// {
		// 	if (0 == size()) throw new NoSuchElementException();
		// 	if (--index < 0 || index >= size())
		// 	{
		// 		prejdenýDokola = true;
		// 		return posledný();
		// 	}
		// 	prejdenýDokola = false;
		// 	return elementAt(index);
		// }
		// 
		// /** <a class="alias"></a> Alias pre {@link #predošlý() predošlý}. */
		// @Deprecated public Typ predosly() { return predošlý(); }
		// 
		// /** <a class="alias"></a> Alias pre {@link #predošlý() predošlý}. */
		// @Deprecated public Typ predošlýPrvok() { return predošlý(); }
		// 
		// /** <a class="alias"></a> Alias pre {@link #predošlý() predošlý}. */
		// @Deprecated public Typ predoslyPrvok() { return predošlý(); }

		/**
		 * Vráti predchádzajúci prvok zoznamu. Ak vnútorné {@linkplain
		 * #počítadlo() počítadlo} prvkov kleslo pod najnižšiu hodnotu,
		 * vráti posledný prvok. V takej situácii je zoznam považovaný za
		 * prejdený dokola a metóda metóda {@link #prejdenýDokola()
		 * prejdenýDokola} vráti {@code valtrue}.
		 * 
		 * (Pri opise metódy {@link #počítadlo(int) počítadlo} je príklad
		 * ukazujúci, ako prejsť zoznam čísel od konca. Príklad využíva aj
		 * túto metódu.)
		 * 
		 *  @return predchádzajúci prvok zoznamu; prvok je určený podľa hodnoty
		 *      vnútorného {@linkplain #počítadlo() počítadla}
		 */
		public Typ predchádzajúci()
		{
			if (0 == size()) throw new NoSuchElementException();
			if (--index < 0 || index >= size())
			{
				prejdenýDokola = true;
				return posledný();
			}
			prejdenýDokola = false;
			return elementAt(index);
		}

		/** <a class="alias"></a> Alias pre {@link #predchádzajúci() predchádzajúci}. */
		public Typ predchadzajuci() { return predchádzajúci(); }

		/** <a class="alias"></a> Alias pre {@link #predchádzajúci() predchádzajúci}. */
		public Typ predchádzajúciPrvok() { return predchádzajúci(); }

		/** <a class="alias"></a> Alias pre {@link #predchádzajúci() predchádzajúci}. */
		public Typ predchadzajuciPrvok() { return predchádzajúci(); }


		/**
		 * Vráti {@code valtrue}, keď bol zoznam pri poslednom volaní metódy
		 * {@link #ďalší() ďalší} alebo {@link #predchádzajúci() predchádzajúci}
		 * prejdený dokola. Na výslednú hodnotu tejto metódy majú vplyv len
		 * spomenuté dve metódy.
		 * 
		 * (Pri opise metódy {@link #počítadlo(int) počítadlo} je príklad
		 * ukazujúci, ako prejsť zoznam čísel od konca. Príklad využíva aj
		 * túto metódu.)
		 * 
		 *  @return {@code valtrue}/&#8203;{@code valfalse}
		 */
		public boolean prejdenýDokola() { return prejdenýDokola; }

		/** <a class="alias"></a> Alias pre {@link #prejdenýDokola() prejdenýDokola}. */
		public boolean prejdenyDokola() { return prejdenýDokola; }

		/** <a class="alias"></a> Alias pre {@link #prejdenýDokola() prejdenýDokola}. */
		public boolean bolPrejdenýDokola() { return prejdenýDokola; }

		/** <a class="alias"></a> Alias pre {@link #prejdenýDokola() prejdenýDokola}. */
		public boolean bolPrejdenyDokola() { return prejdenýDokola; }


		/**
		 * Vráti náhodný prvok zoznamu. Zároveň nastaví vnútorné {@linkplain
		 * #počítadlo() počítadlo} na hodnotu prvku, ktorý bol vrátený.
		 * 
		 *  @return náhodný prvok zoznamu
		 */
		public Typ náhodný()
		{
			if (0 == size()) throw new NoSuchElementException();
			return elementAt(index = Math.abs(generátor.nextInt()) % size());
		}

		/** <a class="alias"></a> Alias pre {@link #náhodný() náhodný}. */
		public Typ nahodny() { return náhodný(); }

		/** <a class="alias"></a> Alias pre {@link #náhodný() náhodný}. */
		public Typ náhodnýPrvok() { return náhodný(); }

		/** <a class="alias"></a> Alias pre {@link #náhodný() náhodný}. */
		public Typ nahodnyPrvok() { return náhodný(); }


		/**
		 * Vráti polohu prvého výskytu zadaného prvku v zozname alebo
		 * {@code -}{@code num1} ak prvok nebol v zozname
		 * nájdený<sup>[1]</sup>.
		 * <P>
		 * <small>[1] – ak chceme byť úplne presní, tak povieme, že metóda
		 * vráti najnižší index {@code i} pre ktorý platí podmienka
		 * {@code (prvok == }{@code valnull }{@code ? element ==
		 * }{@code valnull }{@code : prvok.equals(element))} (kde
		 * {@code element} je prvok zoznamu na pozícii {@code i}) alebo
		 * {@code -}{@code num1} ak taký index nejestvuje;
		 * toto vyjadrenie obsahuje podmienku, ktorá exaktne vyjadruje to,
		 * že ak je nami zadaný prvok prázdny ({@code valnull}), tak sa
		 * metóda pokúsi nájsť prvý prázdny element v zozname, inak porovnáva
		 * obsahy jednotlivých elementov zoznamu s obsahom nami zadaného
		 * (neprázdneho) prvku</small>
		 * 
		 *  @param prvok  hľadaný prvok
		 *  @return poloha prvku v zozname (hľadá sa prvý výskyt) alebo
		 *      {@code -}{@code num1} ak prvok nebol nájdený
		 */
		public int nájdi(Typ prvok) { return indexOf(prvok); }

		/** <a class="alias"></a> Alias pre {@link #nájdi(java.lang.Object) nájdi}. */
		public int najdi(Typ prvok) { return indexOf(prvok); }

		/** <a class="alias"></a> Alias pre {@link #nájdi(java.lang.Object) nájdi}. */
		public int hľadaj(Typ prvok) { return indexOf(prvok); }

		/** <a class="alias"></a> Alias pre {@link #nájdi(java.lang.Object) nájdi}. */
		public int hladaj(Typ prvok) { return indexOf(prvok); }

		/**
		 * Vráti polohu prvého výskytu zadaného prvku v zozname počnúc
		 * štartovacou pozíciou zadanou v parametri {@code začniOd} alebo
		 * {@code -}{@code num1} ak prvok nebol v zozname
		 * nájdený<sup>[1]</sup>.
		 * <P>
		 * <small>[1] – ak chceme byť úplne presní, tak povieme, že metóda
		 * vráti najnižší index {@code i} pre ktorý platí podmienka
		 * {@code (i >= začniOd && prvok == }{@code valnull
		 * }{@code ? element == }{@code valnull }{@code :
		 * prvok.equals(element))} (kde {@code element} je prvok zoznamu na
		 * pozícii {@code i}) alebo {@code -}{@code num1} ak taký index
		 * nejestvuje;
		 * toto vyjadrenie obsahuje podmienku, ktorá exaktne vyjadruje to,
		 * že ak je nami zadaný prvok prázdny ({@code valnull}), tak sa
		 * metóda pokúsi nájsť prvý prázdny element v zozname (počnúc
		 * hľadanie od pozície {@code začniOd}), inak porovnáva obsahy
		 * jednotlivých elementov zoznamu s obsahom nami zadaného
		 * (neprázdneho) prvku</small>
		 * 
		 *  @param prvok  hľadaný prvok
		 *  @param začniOd  pozícia v zozname od ktorej sa má začať hľadať
		 *  @return poloha prvého prvku v zozname nájdeného na pozícii
		 *      väčšej alebo rovnej hodnote parametra {@code začniOd} alebo
		 *      {@code -}{@code num1} ak prvok nebol nájdený
		 */
		public int nájdi(Typ prvok, int začniOd) { return indexOf(prvok, začniOd); }

		/** <a class="alias"></a> Alias pre {@link #nájdi(java.lang.Object,int) nájdi}. */
		public int najdi(Typ prvok, int začniOd) { return indexOf(prvok, začniOd); }

		/** <a class="alias"></a> Alias pre {@link #nájdi(java.lang.Object,int) nájdi}. */
		public int hľadaj(Typ prvok, int začniOd)
		{ return indexOf(prvok, začniOd); }

		/** <a class="alias"></a> Alias pre {@link #nájdi(java.lang.Object,int) nájdi}. */
		public int hladaj(Typ prvok, int začniOd)
		{ return indexOf(prvok, začniOd); }

		/**
		 * Vráti polohu posledného výskytu zadaného prvku v zozname alebo
		 * {@code -}{@code num1} ak prvok nebol v zozname
		 * nájdený<sup>[1]</sup>.
		 * <P>
		 * <small>[1] – ak chceme byť úplne presní, tak povieme, že metóda
		 * vráti najvyšší index {@code i} pre ktorý platí podmienka
		 * {@code (prvok == }{@code valnull }{@code ? element ==
		 * }{@code valnull }{@code : prvok.equals(element))} (kde {@code
		 * element} je prvok zoznamu na pozícii {@code i}) alebo
		 * {@code -}{@code num1} ak taký index nejestvuje;
		 * toto vyjadrenie obsahuje podmienku, ktorá exaktne vyjadruje to,
		 * že ak je nami zadaný prvok prázdny ({@code valnull}), tak sa
		 * metóda pokúsi nájsť posledný prázdny element v zozname, inak
		 * porovnáva obsahy jednotlivých elementov zoznamu s obsahom nami
		 * zadaného (neprázdneho) prvku</small>
		 * 
		 *  @param prvok  hľadaný prvok
		 *  @return poloha posledného prvku v zozname alebo
		 *      {@code -}{@code num1} ak prvok nebol nájdený
		 */
		public int nájdiPosledný(Typ prvok) { return lastIndexOf(prvok); }

		/** <a class="alias"></a> Alias pre {@link #nájdiPosledný(java.lang.Object) nájdiPosledný}. */
		public int najdiPosledny(Typ prvok) { return lastIndexOf(prvok); }

		/** <a class="alias"></a> Alias pre {@link #nájdiPosledný(java.lang.Object) nájdiPosledný}. */
		public int hľadajOdzadu(Typ prvok) { return lastIndexOf(prvok); }

		/** <a class="alias"></a> Alias pre {@link #nájdiPosledný(java.lang.Object) nájdiPosledný}. */
		public int hladajOdzadu(Typ prvok) { return lastIndexOf(prvok); }

		/**
		 * Vráti polohu posledného výskytu zadaného prvku v zozname počnúc
		 * štartovacou pozíciou zadanou v parametri {@code začniOd} alebo
		 * {@code -}{@code num1} ak prvok nebol v zozname nájdený.
		 * <P>
		 * <small>[1] – ak chceme byť úplne presní, tak povieme, že metóda
		 * vráti najvyšší index {@code i} pre ktorý platí podmienka
		 * {@code (i <= začniOd && prvok == }{@code valnull
		 * }{@code ? element == }{@code valnull }{@code :
		 * prvok.equals(element))} (kde {@code element} je prvok zoznamu na
		 * pozícii {@code i}) alebo {@code -}{@code num1} ak taký index
		 * nejestvuje;
		 * toto vyjadrenie obsahuje podmienku, ktorá exaktne vyjadruje to,
		 * že ak je nami zadaný prvok prázdny ({@code valnull}), tak sa
		 * metóda pokúsi nájsť posledný prázdny element v zozname (počnúc
		 * hľadanie od pozície {@code začniOd}), inak porovnáva obsahy
		 * jednotlivých elementov zoznamu s obsahom nami zadaného
		 * (neprázdneho) prvku</small>
		 * 
		 *  @param prvok  hľadaný prvok
		 *  @param začniOd  pozícia v zozname od ktorej sa má začať hľadať
		 *  @return poloha posledného prvku v zozname nájdeného na pozícii
		 *      menšej alebo rovnej hodnote parametra {@code začniOd} alebo
		 *      {@code -}{@code num1} ak prvok nebol nájdený (vráti
		 *      {@code -}{@code num1}), ak je parameter {@code začniOd}
		 *      záporný)
		 */
		public int nájdiPosledný(Typ prvok, int začniOd) { return lastIndexOf(prvok, začniOd); }

		/** <a class="alias"></a> Alias pre {@link #nájdiPosledný(java.lang.Object,int) nájdiPosledný}. */
		public int najdiPosledny(Typ prvok, int začniOd) { return lastIndexOf(prvok, začniOd); }

		/** <a class="alias"></a> Alias pre {@link #nájdiPosledný(java.lang.Object,int) nájdiPosledný}. */
		public int hľadajOdzadu(Typ prvok, int začniOd)
		{ return lastIndexOf(prvok, začniOd); }

		/** <a class="alias"></a> Alias pre {@link #nájdiPosledný(java.lang.Object,int) nájdiPosledný}. */
		public int hladajOdzadu(Typ prvok, int začniOd)
		{ return lastIndexOf(prvok, začniOd); }

		/**
		 * Vymení prvky v zozname nachádzajúce sa na zadaných pozíciách.
		 * @param kde1 pozícia (index) prvku
		 * @param kde2 pozícia (index) prvku
		 * @throws ArrayIndexOutOfBoundsException ak je niektorá zo zadaných
		 *   pozící mimo rozsahu zoznamu
		 * @see #vymeň(int, int)
		 * @see #vymeň(java.lang.Object,int)
		 * @see #vymeň(int,java.lang.Object)
		 * @see #vymeň(java.lang.Object,java.lang.Object)
		 */
		public void vymeň(int kde1, int kde2)
		{
			if (kde1 == kde2) return;
			Typ prvok1 = elementAt(kde1);
			Typ prvok2 = elementAt(kde2);
			setElementAt(prvok2, kde1);
			setElementAt(prvok1, kde2);
		}

		/**
		 * Vymení prvky v zozname, z ktorých jeden je určený pozíciou
		 * (indexom) a druhý objektom nachádzajúcim sa v zozname.
		 * @param kde pozícia (index) prvku
		 * @param prvok objekt nachádzajúci sa v zozname
		 * @throws ArrayIndexOutOfBoundsException ak je zadaná pozícia
		 *    rozsahu zoznamu alebo ak sa zadaný prvok v zozname nenachádza
		 * @see #vymeň(int, int)
		 * @see #vymeň(java.lang.Object,int)
		 * @see #vymeň(int,java.lang.Object)
		 * @see #vymeň(java.lang.Object,java.lang.Object)
		 */
		public void vymeň(int kde, Typ prvok)
		{
			int i = indexOf(prvok);
			vymeň(kde, i);
		}

		/**
		 * Vymení prvky v zozname, z ktorých jeden je určený pozíciou
		 * (indexom) a druhý objektom nachádzajúcim sa v zozname.
		 * @param prvok objekt nachádzajúci sa v zozname
		 * @param kde pozícia (index) prvku
		 * @throws ArrayIndexOutOfBoundsException ak je zadaná pozícia
		 *    rozsahu zoznamu alebo ak sa zadaný prvok v zozname nenachádza
		 * @see #vymeň(int, int)
		 * @see #vymeň(java.lang.Object,int)
		 * @see #vymeň(int,java.lang.Object)
		 * @see #vymeň(java.lang.Object,java.lang.Object)
		 */
		public void vymeň(Typ prvok, int kde)
		{
			int i = indexOf(prvok);
			vymeň(i, kde);
		}

		/**
		 * Vymení prvky zoznamu určené objektami nachádzajúcimi sa
		 * v zozname.
		 * @param prvok1 objekt nachádzajúci sa v zozname
		 * @param prvok2 objekt nachádzajúci sa v zozname
		 * @throws ArrayIndexOutOfBoundsException ak sa niektorý zo zadaných
		 *   prvkov v zozname nenachádza
		 * @see #vymeň(int, int)
		 * @see #vymeň(java.lang.Object,int)
		 * @see #vymeň(int,java.lang.Object)
		 * @see #vymeň(java.lang.Object,java.lang.Object)
		 */
		public void vymeň(Typ prvok1, Typ prvok2)
		{
			int i = indexOf(prvok1);
			int j = indexOf(prvok2);
			vymeň(i, j);
		}

		/** <a class="alias"></a> Alias pre {@link #vymeň(int, int) vymeň}. */
		public void vymen(int kde1, int kde2) { vymeň(kde1, kde2); }

		/** <a class="alias"></a> Alias pre {@link #vymeň(int,java.lang.Object) vymeň}. */
		public void vymen(int kde, Typ prvok) { vymeň(kde, prvok); }

		/** <a class="alias"></a> Alias pre {@link #vymeň(java.lang.Object,int) vymeň}. */
		public void vymen(Typ prvok, int kde) { vymeň(prvok, kde); }

		/** <a class="alias"></a> Alias pre {@link #vymeň(java.lang.Object,java.lang.Object) vymeň}. */
		public void vymen(Typ prvok1, Typ prvok2) { vymeň(prvok1, prvok2); }


		/**
		 * Vytvorí pre tento zoznam prevrátený iterátor. To znamená, že
		 * nasledujúci cyklus:
		 * <pre CLASS="example">
			{@link Zoznam Zoznam}&lt;{@link String String}&gt; zoznam = …
			{@code kwdfor} ({@link String String} prvok : zoznam.{@code currodzadu}()) …
			</pre>
		 * bude vykonaný pre každý prvok zoznamu začnúc od posledného
		 * a končiac prvým.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param pôvodný pôvodný zoznam
		 * @return iterátor umožňujúci prejsť zoznam v obrátenom poradí
		 */
		public ObrátenýIterátor<Typ> odzadu()
		{ return new ObrátenýIterátor<Typ>(this); }

		/**
		 * Vytvorí pre zadaný zoznam prevrátený iterátor. To znamená, že
		 * nasledujúci cyklus:
		 * <pre CLASS="example">
			{@link Zoznam Zoznam}&lt;{@link String String}&gt; zoznam = …
			{@code kwdfor} ({@link String String} prvok : Zoznam.&lt;{@link String String}&gt;{@code currodzadu}(zoznam)) …
			</pre>
		 * bude vykonaný pre každý prvok zoznamu začnúc od posledného
		 * a končiac prvým. Jednoduchšie je použitie metódy
		 * {@link #odzadu() #odzadu}{@code ()}, ale tá je použiteľná len
		 * pre inštancie triedy {@link Zoznam Zoznam}. Táto metóda je
		 * použiteľná pre ľubovoľný zoznam, ktorý je implementáciou
		 * rozhrania {@link java.util.List List}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param pôvodný pôvodný zoznam
		 * @return iterátor umožňujúci prejsť zoznam v obrátenom poradí
		 * @see #odzadu()
		 */
		public static <Typ> ObrátenýIterátor<Typ> odzadu(List<Typ> pôvodný)
		{ return new ObrátenýIterátor<Typ>(pôvodný); }

		/**
		 * Vytvorí pre tento zoznam prevrátený iterátor. To znamená, že
		 * nasledujúci cyklus:
		 * <pre CLASS="example">
			{@link Zoznam Zoznam}&lt;{@link String String}&gt; zoznam = …
			{@code kwdfor} ({@link String String} prvok : zoznam.{@code currnaopak}()) …
			</pre>
		 * bude vykonaný pre každý prvok zoznamu začnúc od posledného
		 * a končiac prvým.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param pôvodný pôvodný zoznam
		 * @return iterátor umožňujúci prejsť zoznam v obrátenom poradí
		 */
		public ObrátenýIterátor<Typ> naopak()
		{ return new ObrátenýIterátor<Typ>(this); }

		/**
		 * Vytvorí pre zadaný zoznam prevrátený iterátor. To znamená, že
		 * nasledujúci cyklus:
		 * <pre CLASS="example">
			{@link Zoznam Zoznam}&lt;{@link String String}&gt; zoznam = …
			{@code kwdfor} ({@link String String} prvok : Zoznam.&lt;{@link String String}&gt;{@code currnaopak}(zoznam)) …
			</pre>
		 * bude vykonaný pre každý prvok zoznamu začnúc od posledného
		 * a končiac prvým. Jednoduchšie je použitie metódy
		 * {@link #naopak() #naopak}{@code ()}, ale tá je použiteľná len
		 * pre inštancie triedy {@link Zoznam Zoznam}. Táto metóda je
		 * použiteľná pre ľubovoľný zoznam, ktorý je implementáciou
		 * rozhrania {@link java.util.List List}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param pôvodný pôvodný zoznam
		 * @return iterátor umožňujúci prejsť zoznam v obrátenom poradí
		 * @see #naopak()
		 */
		public static <Typ> ObrátenýIterátor<Typ> naopak(List<Typ> pôvodný)
		{ return new ObrátenýIterátor<Typ>(pôvodný); }
	}


	// ----------------------- //
	//  *** Trieda Kláves ***  //
	// ----------------------- //

	/**
	 * Trieda je určená na použitie s udalosťami klávesnice ({@link
	 * KeyEvent KeyEvent}). Definuje niekoľko konštánt kódov klávesov, čím
	 * uľahčuje použitie klávesnice (pozri metódy obsluhy
	 * udalostí {@link ObsluhaUdalostí#stlačenieKlávesu() stlačenieKlávesu},
	 * {@link ObsluhaUdalostí#uvoľnenieKlávesu() uvoľnenieKlávesu}).
	 * Nasledujúci príklad pri stlačení klávesu {@code VĽAVO} pípne:
	 * <pre CLASS="example">
		{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
		{
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#stlačenieKlávesu() stlačenieKlávesu}()
			{
				{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#kláves(int) kláves}({@code currKláves}.{@link Kláves#VĽAVO VĽAVO}))
				{
					{@link Svet Svet}.{@link Svet#pípni() pípni}();
				}
			}
		};
		</pre>
	 * @see java.awt.event.KeyEvent
	 */
	@SuppressWarnings("serial")
	public static class Kláves extends KeyEvent
	{
		// Pozri aj: https://docs.oracle.com/javase/8/docs/api/java/awt/event/KeyEvent.html

		// Táto trieda má jediný dôvod svojho bytia – definícia konštánt –
		// nie je inštancionalizovateľná
		private Kláves() { super(null, 0, 0, 0, 0, ' '); }

		/** Kód klávesu vľavo ({@link KeyEvent#VK_LEFT}). */
		public final static int VĽAVO = KeyEvent.VK_LEFT;

		/** Kód klávesu vľavo ({@link KeyEvent#VK_LEFT}). */
		public final static int VLAVO = KeyEvent.VK_LEFT;

		/** Kód klávesu vpravo ({@link KeyEvent#VK_RIGHT}). */
		public final static int VPRAVO = KeyEvent.VK_RIGHT;

		/** Kód klávesu hore ({@link KeyEvent#VK_UP}). */
		public final static int HORE = KeyEvent.VK_UP;

		/** Kód klávesu dole ({@link KeyEvent#VK_DOWN}). */
		public final static int DOLE = KeyEvent.VK_DOWN;

		/** Kód klávesu medzerník ({@link KeyEvent#VK_SPACE}). */
		public final static int MEDZERA = KeyEvent.VK_SPACE;

		/** Kód klávesu medzerník ({@link KeyEvent#VK_SPACE}). */
		public final static int MEDZERNÍK = KeyEvent.VK_SPACE;

		/** Kód klávesu medzerník ({@link KeyEvent#VK_SPACE}). */
		public final static int MEDZERNIK = KeyEvent.VK_SPACE;

		/** Kód klávesu Page Up ({@link KeyEvent#VK_PAGE_UP}). */
		public final static int PAGE_UP = KeyEvent.VK_PAGE_UP;

		/** Kód klávesu Page Up ({@link KeyEvent#VK_PAGE_UP}). */
		public final static int STRÁNKA_HORE = KeyEvent.VK_PAGE_UP;

		/** Kód klávesu Page Up ({@link KeyEvent#VK_PAGE_UP}). */
		public final static int STRANKA_HORE = KeyEvent.VK_PAGE_UP;

		/** Kód klávesu Page Down ({@link KeyEvent#VK_PAGE_DOWN}). */
		public final static int PAGE_DOWN = KeyEvent.VK_PAGE_DOWN;

		/** Kód klávesu Page Down ({@link KeyEvent#VK_PAGE_DOWN}). */
		public final static int STRÁNKA_DOLE = KeyEvent.VK_PAGE_DOWN;

		/** Kód klávesu Page Down ({@link KeyEvent#VK_PAGE_DOWN}). */
		public final static int STRANKA_DOLE = KeyEvent.VK_PAGE_DOWN;

		/** Kód klávesu tabulátor ({@link KeyEvent#VK_TAB}). */
		public final static int TAB = KeyEvent.VK_TAB;

		/** Kód klávesu tabulátor ({@link KeyEvent#VK_TAB}). */
		public final static int TABULÁTOR = KeyEvent.VK_TAB;

		/** Kód klávesu tabulátor ({@link KeyEvent#VK_TAB}). */
		public final static int TABULATOR = KeyEvent.VK_TAB;

		/** Kód klávesu Enter ({@link KeyEvent#VK_ENTER}). */
		public final static int ENTER = KeyEvent.VK_ENTER;

		/** Kód klávesu Escape ({@link KeyEvent#VK_ESCAPE}). */
		public final static int ESCAPE = KeyEvent.VK_ESCAPE;

		/** Kód klávesu Backspace ({@link KeyEvent#VK_BACK_SPACE}). */
		public final static int BACKSPACE = KeyEvent.VK_BACK_SPACE;

		/** Kód klávesu Backspace ({@link KeyEvent#VK_BACK_SPACE}). */
		public final static int BACK_SPACE = KeyEvent.VK_BACK_SPACE;

		/** Kód klávesu Delete ({@link KeyEvent#VK_DELETE}). */
		public final static int DELETE = KeyEvent.VK_DELETE;

		/**
		 * Kombinačný kód klávesových skratiek ponuky, čo je na niektorých
		 * operačných systémoch (ako Windows) kód pre kláves {@code Ctrl},
		 * na iných kód pre iný kláves, napríklad {@code ⌘}
		 * ({@code Command}) na macOS (predtým OS X a Mac OS) pre Apple
		 * Macintosh.
		 * Použitie tohto kódu má zmysel napríklad pri volaní metódy {@link
		 * Svet#pridajKlávesovúSkratku(String, int, int)
		 * Svet.pridajKlávesovúSkratku(príkaz, kódKlávesu, modifikátor)}
		 * v argumente {@code modifikátor}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public final static int SKRATKA_PONUKY = Toolkit.
			getDefaultToolkit().getMenuShortcutKeyMask();
	}

	/** <a class="alias"></a> Alias pre {@link Kláves Kláves}. */
	@SuppressWarnings("serial")
	public static class Klaves extends Kláves
	{ private Klaves() { super(); } }

	/*
	 * Statická inštancia triedy {@link Kláves Kláves}. * /
	public final static Kláves kláves = new Kláves();

	/* * <a class="alias"></a> Alias pre {@link #kláves kláves}. * /
	public final static Kláves klaves = kláves;
	// nedajú sa inštancionalizovať
	*/


	// ------------------------- //
	//  *** Trieda Schránka ***  //
	// ------------------------- //

	/**
	 * Táto trieda pokrýva základné činnosti so schránkou operačného
	 * systému. Schránka (angl. Clipboard) je odkladací priestor operačného
	 * systému, ktorý dovoľuje prenášať informácie rôzneho druhu medzi
	 * aplikáciami. Obvykle sú základným operáciám na prácu so schránkou
	 * priradené známe klávesové skratky: {@code Ctrl + C} (Windows), {@code
	 * ⌘ + C} (<small>Command + C</small> – Macintosh) na vloženie
	 * (kopírovanie) informácie do schránky; {@code Ctrl + V} (Windows),
	 * {@code ⌘ + V} (<small>Command + C</small>, Macintosh) na prevzatie
	 * (prilepenie, „vloženie“) informácie zo schránky (terminológia v tejto
	 * oblasti sa v súčasnosti, žiaľ, značne rôzni). Vo svete robota tieto
	 * skratky nefungujú automaticky. Ak chceme, aby aplikácia vytvorená
	 * pomocou robota používala schránku, musíme prepojiť patričné
	 * {@linkplain PoložkaPonuky položky ponuky} (ktoré musíme vytvoriť)
	 * a prepojiť s funkcionalitou (volaním metód a prípadným
	 * doprogramovaním) tejto statickej triedy. Ako bolo práve čiastočne
	 * podotknuté, táto trieda i všetky jej metódy sú statické. Z toho
	 * vyplýva, že nemá zmysel vytvárať jej inštancie ({@linkplain
	 * Svet#schránka jedna je i tak vytvorená automaticky}). Použitie
	 * triedy je jednoduché, stačí napísať názov triedy (prípadne jej
	 * statickej inštancie – rozdiel je vo veľkosti prvého písmena)
	 * a za bodkou názov metódy, ktorú chceme použiť. Napríklad na
	 * vloženie textu do schránky slúži nasledujúci riadok kódu:
	 * <pre CLASS="example">
		{@code currschránka}.{@link #text(String) text}({@code srg"Tento text bude skopírovaný do schránky…"});
		</pre>
	 * <P>Text zo schránky, naopak, prevezmeme nasledujúcim riadkom kódu:
	 * <pre CLASS="example">
		{@link String String} text = {@code currschránka}.{@link #text() text}();
		</pre>
	 * <P>Ďalšie spracovanie prevzatého textu zariadime podľa potreby,
	 * napríklad: text pripojíme do ďalšej premennej, {@linkplain
	 * Svet#vypíšRiadok(Object[]) vypíšeme} ho na obrazovku, zobrazíme
	 * v dialógu ({@linkplain Svet#správa(String) správe}) a podobne.
	 */
	public static class Schránka
	{
		// Táto trieda uchováva obrazovú informáciu počas prítomnosti
		// v schránke
		// Zdroj: http://www.exampledepot.com/egs/java.awt.datatransfer/ToClipImg.html
		private static class ImageSelection implements Transferable
		{
			// Konštanta „príchutí“ dát…
			private final static DataFlavor[] dataFlavors =
				new DataFlavor[] { DataFlavor.imageFlavor };

			// Údaje
			private Image image;

			// Konštruktor
			public ImageSelection(Image image) { this.image = image; }

			// Vráť podporované „príchute“ (typy údajov v schránke)
			public DataFlavor[] getTransferDataFlavors() { return dataFlavors; }

			// Vráti true, ak je stanovená „príchuť“ (stanovený typ údajov)
			// podporovaná
			public boolean isDataFlavorSupported(DataFlavor flavor)
			{ return DataFlavor.imageFlavor.equals(flavor); }

			// Vráti obrázok
			public Object getTransferData(DataFlavor flavor) throws
				UnsupportedFlavorException, IOException
			{
				if (!DataFlavor.imageFlavor.equals(flavor))
					throw new UnsupportedFlavorException(flavor);
				return image;
			}
		}

		// Prázdna implementácia poslucháča rozhrania
		private static class Poslucháč implements ClipboardOwner { public void
			lostOwnership(Clipboard aClipboard, Transferable aContents) {}}
		private static Poslucháč poslucháč = new Poslucháč();

		// Objekt systémovej schránky
		private static Clipboard schránka = Toolkit.
			getDefaultToolkit().getSystemClipboard();

		// Objekt schránky na čítanie
		private static Transferable obsahSchránky = null;

		// Nie je možné (a aj zbytočné) vytvárať inštancie
		private Schránka() {}

		/**
		 * Prevezme zo schránky text, ak schránka obsahuje textovú informáciu.
		 * @return text, ktorý bol obsiahnutý v schránke alebo {@code valnull}
		 *     ak schránka neobsahovala textovú informáciu
		 */
		public static String text()
		{
			String prevzatýText = null;
			obsahSchránky = schránka.getContents(null);

			if (null != obsahSchránky && obsahSchránky.
				isDataFlavorSupported(DataFlavor.stringFlavor))
			{
				try
				{
					prevzatýText = (String)obsahSchránky.getTransferData
						(DataFlavor.stringFlavor);
				}
				catch (UnsupportedFlavorException e) // ignorujeme
				{
					vypíšChybovéHlásenia(e);
					// Vysoko nepravdepodobné, keďže používame
					// štandardný DataFlavor
					// System.out.println(e);
					// e.printStackTrace();
				}
				catch (IOException e) // ignorujeme
				{
					vypíšChybovéHlásenia(e);
					// System.out.println(e);
					// e.printStackTrace();
				}
			}

			return prevzatýText;
		}

		/**
		 * Vloží do schránky zadaný text.
		 * @return {@code valtrue} ak bola operácia úspešná
		 */
		public static boolean text(String reťazec)
		{
			StringSelection textovýVýber = new StringSelection(reťazec);

			try
			{
				schránka.setContents(textovýVýber, poslucháč);
				return true;
			}
			catch (IllegalStateException e)
			{
				vypíšChybovéHlásenia(e);
			} // ignorujeme

			return false;
		}


		/**
		 * Prevezme zo schránky obrázok, ak schránka obsahuje obrazovú
		 * informáciu. (V prípade úspešného prevzatia obrazovej informácie zo
		 * schránky vráti metóda nový objekt typu {@link Obrázok Obrázok}.
		 * Tento je automaticky registrovaný vo vnútornom zozname obrázkov.
		 * Ak je objekt s obrázkom určený len na jedno použitie, mal by byť po
		 * skončení práce s ním {@linkplain Svet#uvoľni(GRobot.Obrázok)
		 * uvoľnený}, inak zostane prítomný v pamäti počítača až do ukončenia
		 * činnosti aplikácie.)
		 * 
		 *  @return nový objekt s obrázkom, ktorý bol obsiahnutý v schránke,
		 *      alebo {@code valnull} ak schránka neobsahovala obrazovú
		 *      informáciu
		 */
		public static Obrázok obrázok()
		{
			Obrázok prevzatýObrázok = null;
			obsahSchránky = schránka.getContents(null);

			if (null != obsahSchránky && obsahSchránky.
				isDataFlavorSupported(DataFlavor.imageFlavor))
			{
				try
				{
					Image obrázok = (Image)obsahSchránky.
						getTransferData(DataFlavor.imageFlavor);

					prevzatýObrázok = new Obrázok(
						obrázok.getWidth(null), obrázok.getHeight(null));
					prevzatýObrázok.grafika.translate(
						-prevzatýObrázok.posunX, -prevzatýObrázok.posunY);
					prevzatýObrázok.grafika.drawImage(obrázok, 0, 0, null);
					prevzatýObrázok.grafika.translate(
						prevzatýObrázok.posunX, prevzatýObrázok.posunY);
				}
				catch (UnsupportedFlavorException e) // ignorujeme
				{
					vypíšChybovéHlásenia(e);
					// Vysoko nepravdepodobné, keďže používame
					// štandardný DataFlavor
					// System.out.println(e);
					// e.printStackTrace();
				}
				catch (IOException e) // ignorujeme
				{
					vypíšChybovéHlásenia(e);
					// System.out.println(e);
					// e.printStackTrace();
				}
			}

			return prevzatýObrázok;
		}

		/** <a class="alias"></a> Alias pre {@link #obrázok() obrázok}. */
		public static BufferedImage obrazok() { return obrázok(); }

		/**
		 * Vloží do schránky zadaný obrázok.
		 * 
		 * <P><b>Upozornenie:</b> Obrázok je uchovaný v schránke len počas
		 * činnosti aplikácie robota. Po zatvorení okna sveta, je obrázok zo
		 * schránky odstránený.
		 * 
		 * @return {@code valtrue} ak bola operácia úspešná
		 */
		public static boolean obrázok(Image obrázok)
		{
			ImageSelection obrázkovýVýber = new ImageSelection(obrázok);

			try
			{
				schránka.setContents(obrázkovýVýber, poslucháč);
				return true;
			}
			catch (IllegalStateException e)
			{
				vypíšChybovéHlásenia(e);
			} // ignorujeme

			return false;
		}

		/** <a class="alias"></a> Alias pre {@link #obrázok(Image) obrázok}. */
		public static boolean obrazok(Image obrázok)
		{ return obrázok(obrázok); }
	}

	/** <a class="alias"></a> Alias pre {@link Schránka Schránka}. */
	public static class Schranka extends Schránka { private Schranka() {} }

	/** Statická inštancia triedy {@link Schránka Schránka}. */
	public final static Schránka schránka = new Schránka();

	/** <a class="alias"></a> Alias pre {@link #schránka schránka}. */
	public final static Schránka schranka = schránka;


	// ------------------------------ //
	//  *** Trieda ÚdajeUdalostí ***  //
	// ------------------------------ //

	/**
	 * Toto je statická trieda disponujúca informáciami o rôznych udalostiach
	 * sveta. Svet pravidelne automaticky aktualizuje staické údaje uložené
	 * v rámci tejto triedy. Využite nachádza pri {@linkplain ObsluhaUdalostí
	 * spracovaní udalostí} (pozri triedu {@link ObsluhaUdalostí
	 * ObsluhaUdalostí}).
	 */
	public static class ÚdajeUdalostí
	{
		// Technická poznámka: v skutočnosti je z technického hľadiska výrok
		// „údaje inštancie údajeUdalostí sú pravidelne aktualizované“
		// nepravdivý; všetky údaje sú totiž z dôvodu jednoduchšej syntaxe
		// umiestnené (z OOP pohľadu úplne nesprávne) mimo definície tejto
		// triedy (v sekcii označenej komentárom „Vlastnosti údajov
		// udalostí“); všetky vlastnosti sú statické, rovnako ako všetky
		// metódy tejto triedy; inštancia údajeUdalostí je preto
		// z technického hľadiska úplne zbytočná, avšak z didaktického
		// hľadiska bolo pre nás lepšie vytvoriť inštanciu triedy ako to je
		// zaužívané pri svete a plátnach…


		// Súkromný konštruktor = nie je možné vytvoriť vlastnú inštanciu triedy
		private ÚdajeUdalostí() {}


		/**
		 * Ak je aktívny {@linkplain Svet#spustiČasovač(double) časovač},
		 * tak vráti objekt s informáciami o poslednej udalosti časovača.
		 * Využiteľné v reakcii {@link ObsluhaUdalostí#tik()
		 * ObsluhaUdalostí.tik()}.
		 * 
		 *  @return objekt typu {@link ActionEvent ActionEvent}
		 *      s informáciami o poslednej udalosti časovača
		 */
		public static ActionEvent tik() { return poslednýTik; }


		/**
		 * Vráti objekt s informáciami o poslednej udalosti okna.
		 * Využiteľné v metódach {@link ObsluhaUdalostí#presunutieOkna()
		 * presunutieOkna} alebo {@link ObsluhaUdalostí#zmenaVeľkostiOkna()
		 * zmenaVeľkostiOkna}.
		 * 
		 *  @return objekt typu {@link ComponentEvent
		 *      ComponentEvent} s informáciami o poslednej udalosti okna
		 */
		public static ComponentEvent okno() { return poslednáUdalosťOkna; }

		/**
		 * Vráti objekt s informáciami o poslednej udalosti okna súvisiacej
		 * s jeho {@linkplain ObsluhaUdalostí#aktiváciaOkna()
		 * aktiváciou} alebo {@linkplain ObsluhaUdalostí#deaktiváciaOkna()
		 * deaktiváciou}.
		 * Využiteľné v metódach {@link ObsluhaUdalostí#aktiváciaOkna()
		 * aktiváciaOkna} alebo {@link ObsluhaUdalostí#deaktiváciaOkna()
		 * deaktiváciaOkna}.
		 * 
		 *  @return objekt typu {@link WindowEvent WindowEvent} s informáciami
		 *      o poslednej udalosti okna súvisiacej s jeho {@linkplain
		 *      ObsluhaUdalostí#aktiváciaOkna() aktiváciou} alebo {@linkplain
		 *      ObsluhaUdalostí#deaktiváciaOkna() deaktiváciou}
		 */
		public static WindowEvent aktivitaOkna()
		{ return poslednáUdalosťAktivityOkna; }


		/**
		 * Vráti objekt {@link PoložkaPonuky PoložkaPonuky} s naposledy
		 * zvolenou položkou ponuky. Využiteľné v metóde {@link
		 * ObsluhaUdalostí#voľbaPoložkyPonuky() voľbaPoložkyPonuky}.
		 * 
		 *  @return objekt typu {@link PoložkaPonuky PoložkaPonuky} naposledy
		 *      zvolenej položky ponuky
		 */
		public static PoložkaPonuky položkaPonuky() { return poslednáPoložkaPonuky; }

		/** <a class="alias"></a> Alias pre {@link #položkaPonuky() položkaPonuky}. */
		public static PolozkaPonuky polozkaPonuky() { return (PolozkaPonuky)poslednáPoložkaPonuky; }


		/**
		 * Vráti objekt {@link KontextováPoložka KontextováPoložka}
		 * s naposledy zvolenou kontextovou položkou. Využiteľné v metóde
		 * {@link ObsluhaUdalostí#voľbaKontextovejPoložky()
		 * voľbaKontextovejPoložky}.
		 * 
		 *  @return objekt typu {@link KontextováPoložka KontextováPoložka}
		 *      naposledy zvolenej kontextovej položky
		 */
		public static KontextováPoložka kontextováPoložka() { return poslednáKontextováPoložka; }

		/** <a class="alias"></a> Alias pre {@link #kontextováPoložka() kontextováPoložka}. */
		public static KontextovaPolozka kontextovaPolozka() { return (KontextovaPolozka)poslednáKontextováPoložka; }


		/**
		 * Vráti objekt {@link Tlačidlo Tlačidlo} naposledy
		 * zvoleného tlačidla. Využiteľné v metóde {@link
		 * ObsluhaUdalostí#voľbaTlačidla() voľbaTlačidla}.
		 * Praktický príklad nájdete v opise triedy {@link Tlačidlo
		 * Tlačidlo}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return objekt typu {@link Tlačidlo Tlačidlo} naposledy
		 *      zvoleného tlačidla
		 */
		public static Tlačidlo tlačidlo() { return poslednéTlačidlo; }

		/** <a class="alias"></a> Alias pre {@link #tlačidlo() tlačidlo}. */
		public static Tlacidlo tlacidlo() { return (Tlacidlo)poslednéTlačidlo; }


		/**
		 * Vráti objekt s informáciami o poslednej udalosti klávesnice.
		 * Využiteľné napríklad v metódach {@link
		 * ObsluhaUdalostí#stlačenieKlávesu() stlačenieKlávesu} alebo {@link
		 * ObsluhaUdalostí#uvoľnenieKlávesu() uvoľnenieKlávesu}.
		 * 
		 *  @return objekt typu {@link KeyEvent KeyEvent}
		 *      s informáciami o poslednej udalosti klávesnice
		 *  @see #kláves()
		 *  @see #kláves(int)
		 *  @see #znak()
		 *  @see #znak(char)
		 */
		public static KeyEvent klávesnica() { return poslednáUdalosťKlávesnice; }

		/** <a class="alias"></a> Alias pre {@link #klávesnica() klávesnica}. */
		public static KeyEvent klavesnica() { return poslednáUdalosťKlávesnice; }

		/**
		 * Overí kód klávesu poslednej udalosti klávesnice.
		 * 
		 *  @param kód kód klávesu – použiteľné sú kódy definované v triede
		 *      {@link Kláves Kláves} alebo {@link KeyEvent KeyEvent}
		 *  @return {@code valtrue} ak sa zadaný {@code kód} zhoduje s kódom
		 *      klávesu naposledy vzniknutej udalosti {@linkplain
		 *      #klávesnica() klávesnice}
		 *  @see #klávesnica()
		 *  @see #kláves()
		 */
		public static boolean kláves(int kód)
		{ return poslednáUdalosťKlávesnice.getKeyCode() == kód; }

		/** <a class="alias"></a> Alias pre {@link #kláves(int) kláves}. */
		public static boolean klaves(int kód)
		{ return poslednáUdalosťKlávesnice.getKeyCode() == kód; }

		/**
		 * Vráti kód klávesu poslednej udalosti klávesnice.
		 * 
		 *  @return kód klávesu naposledy vzniknutej udalosti {@linkplain
		 *      #klávesnica() klávesnice} – kódy sú zhodné s kódmi
		 *      definovanými v triede {@link Kláves Kláves} alebo {@link
		 *      KeyEvent KeyEvent}
		 *  @see #klávesnica()
		 *  @see #kláves(int)
		 */
		public static int kláves()
		{ return poslednáUdalosťKlávesnice.getKeyCode(); }

		/** <a class="alias"></a> Alias pre {@link #kláves() kláves}. */
		public static int klaves()
		{ return poslednáUdalosťKlávesnice.getKeyCode(); }

		/**
		 * Overí či pri poslednej udalosti klávesnice bol zadaný určený
		 * {@code znak}.
		 * 
		 *  @param znak znak, ktorého zhodu chceme overiť
		 *  @return {@code valtrue} ak sa zadaný {@code znak} zhoduje so
		 *      znakom zadaným pri poslednej vzniknutej udalosti {@linkplain
		 *      #klávesnica() klávesnice}
		 *  @see #klávesnica()
		 *  @see #znak()
		 */
		public static boolean znak(char znak)
		{ return poslednáUdalosťKlávesnice.getKeyChar() == znak; }

		/**
		 * Vráti znak zadaný pri poslednej udalosti klávesnice.
		 * 
		 *  @return znak naposledy registrovanej udalosti {@linkplain
		 *      #klávesnica() klávesnice}
		 *  @see #klávesnica()
		 *  @see #znak(char)
		 */
		public static char znak()
		{ return poslednáUdalosťKlávesnice.getKeyChar(); }


		/**
		 * Vráti príkaz poslednej udalosti klávesovej skratky.
		 * Využiteľné v metóde {@link ObsluhaUdalostí#klávesováSkratka()
		 * klávesováSkratka}.
		 * 
		 *  @return príkaz poslednej udalosti klávesovej skratky
		 */
		public static String príkazSkratky() { return poslednýPríkazSkratky; }

		/** <a class="alias"></a> Alias pre {@link #príkazSkratky() príkazSkratky}. */
		public static String prikazSkratky() { return poslednýPríkazSkratky; }

		/**
		 * Vráti objekt s informáciami o poslednej udalosti klávesovej skratky.
		 * Využiteľné v metóde {@link ObsluhaUdalostí#klávesováSkratka()
		 * klávesováSkratka}.
		 * 
		 *  @return objekt typu {@link ActionEvent ActionEvent} s informáciami
		 *      o poslednej udalosti klávesovej skratky
		 */
		public static ActionEvent udalosťSkratky()
		{ return poslednáUdalosťSkratky; }

		/** <a class="alias"></a> Alias pre {@link #udalosťSkratky() udalosťSkratky}. */
		public static ActionEvent udalostSkratky()
		{ return poslednáUdalosťSkratky; }


		/**
		 * Vráti objekt s informáciami o poslednej udalosti myši.
		 * Využiteľné v metódach {@link ObsluhaUdalostí#klik() klik}
		 * {@link ObsluhaUdalostí#stlačenieTlačidlaMyši()
		 * stlačenieTlačidlaMyši},
		 * {@link ObsluhaUdalostí#uvoľnenieTlačidlaMyši()
		 * uvoľnenieTlačidlaMyši},
		 * {@link ObsluhaUdalostí#pohybMyši() pohybMyši}
		 * a {@link ObsluhaUdalostí#ťahanieMyšou() ťahanieMyšou}.
		 * 
		 *  @return objekt typu {@link MouseEvent MouseEvent}
		 *      s informáciami o poslednej udalosti myši
		 *  @see #kolieskoMyši()
		 *  @see #tlačidloMyši1()
		 *  @see #tlačidloMyši2()
		 *  @see #tlačidloMyši3()
		 *  @see #tlačidloMyšiDole(int)
		 *  @see #tlačidloMyšiHore(int)
		 *  @see #tlačidloMyši()
		 *  @see #tlačidloMyši(int)
		 *  @see #súradnicaMyšiX()
		 *  @see #súradnicaMyšiY()
		 */
		public static MouseEvent myš() { return poslednáUdalosťMyši; }

		/** <a class="alias"></a> Alias pre {@link #myš() myš}. */
		public static MouseEvent mys() { return poslednáUdalosťMyši; }

		/**
		 * Vráti spresnenie objektu s informáciami o poslednej udalosti myši,
		 * ktorá sa dotýkala rolovania kolieskom myši. Táto udalosť je
		 * rozšírením udalosti {@link MouseEvent MouseEvent}, ktorú je možné
		 * získať metódou {@link #myš() myš}. Informácie sú využiteľné
		 * v metóde {@link ObsluhaUdalostí#rolovanieKolieskomMyši()
		 * rolovanieKolieskomMyši}.
		 * 
		 * <P>Nasledujúci príklad ukazuje, ako sa dajú na rozhýbanie robota
		 * použiť metódy {@link #rolovanieKolieskomMyšiX()
		 * rolovanieKolieskomMyšiX} a {@link #rolovanieKolieskomMyšiY()
		 * rolovanieKolieskomMyšiY} (ak nemáte horizontálne koliesko alebo
		 * zariadenie, ktoré umožňuje horizontálne rolovanie, skúste použiť
		 * s vertikálnym kolieskom kláves {@code Shift}):
		 * 
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} RolovanieKolieskom {@code kwdextends} {@link GRobot GRobot}
			{
				{@code kwdprivate} {@code typeint} Δx = {@code num0};
				{@code kwdprivate} {@code typeint} Δy = {@code num0};

				{@code kwdprivate} RolovanieKolieskom()
				{
					{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
					{
						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#tik() tik}()
						{
							{@link GRobot#otoč(double, double) otoč}(Δx, Δy);
							{@link GRobot#choď(double, double) choď}(Δx, Δy);
							Δx = Δy = {@code num0};
						}

						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#rolovanieKolieskomMyši() rolovanieKolieskomMyši}()
						{
							Δx += {@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#rolovanieKolieskomMyšiX() rolovanieKolieskomMyšiX}();
							Δy += {@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#rolovanieKolieskomMyšiY() rolovanieKolieskomMyšiY}();
						}
					};

					<!--{@link GRobot#predvolenýTvar(boolean) predvolenýTvar}({@code valfalse});-->
					{@link Svet Svet}.{@link Svet#spustiČasovač() spustiČasovač}();
				}

				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
				{
					{@code kwdnew} RolovanieKolieskom();
				}
			}
			</pre>
		 * 
		 * 
		 * <P><b>Výsledok:</b>
		 * 
		 * <table style="margin-left: auto; margin-right: auto;"><tr>
		 * <td><image>rolovanieKolieskomWin.png</image></td>
		 * <td rowspan="2">    </td>
		 * <td><image>rolovanieKolieskomMac.png</image></td></tr><tr>
		 * <td style="text-align: center;"><small>Pokus o nakreslenie
		 * obrázka iba s použitím<br />rolovania kolieska myši na OS
		 * Windows</small></td><td style="text-align: center;"><small>Pokus
		 * o nakreslenie obrázka iba s použitím<br />rolovania kolieska myši
		 * na macOS (predtým OS X a Mac OS)</small></td></tr></table>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return spresnený objekt typu {@link MouseWheelEvent
		 *      MouseWheelEvent} s informáciami o poslednej udalosti myši,
		 *      ktorá sa dotýkala rolovania kolieskom myši
		 *  @see #myš()
		 *  @see #tlačidloMyši1()
		 *  @see #tlačidloMyši2()
		 *  @see #tlačidloMyši3()
		 *  @see #tlačidloMyšiDole(int)
		 *  @see #tlačidloMyšiHore(int)
		 *  @see #tlačidloMyši()
		 *  @see #tlačidloMyši(int)
		 *  @see #súradnicaMyšiX()
		 *  @see #súradnicaMyšiY()
		 *  @see #rolovanieKolieskomMyšiX()
		 *  @see #rolovanieKolieskomMyšiY()
		 */
		public static MouseWheelEvent kolieskoMyši() { return poslednáUdalosťRolovania; }

		/** <a class="alias"></a> Alias pre {@link #kolieskoMyši() kolieskoMyši}. */
		public static MouseWheelEvent kolieskoMysi() { return poslednáUdalosťRolovania; }

		/**
		 * Vráti počet jednotiek rolovania kolieskom myši v smere x.
		 * Volanie tejto metódy má význam len v reakcii {@link
		 * ObsluhaUdalostí#rolovanieKolieskomMyši() rolovanieKolieskomMyši}
		 * obsluhy udalostí. Kladná hodnota znamená doprava, záporná doľava.
		 * <P>Príklad použitia tejto metódy sa nachádza pri opise metódy
		 * {@link #kolieskoMyši()}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return počet jednotiek rolovania kolieskom myši v smere x;
		 *   kladná hodnota znamená doprava, záporná doľava
		 * @see #kolieskoMyši()
		 * @see ObsluhaUdalostí#rolovanieKolieskomMyši()
		 */
		public static int rolovanieKolieskomMyšiX()
		{
			synchronized (zámokMyši)
			{
				return rolovanieKolieskomMyšiX;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #rolovanieKolieskomMyšiX()}. */
		public static int rolovanieKolieskomMysiX() { return rolovanieKolieskomMyšiX(); }

		/**
		 * Vráti počet jednotiek rolovania kolieskom myši v smere osi y.
		 * Volanie tejto metódy má význam len v reakcii {@link
		 * ObsluhaUdalostí#rolovanieKolieskomMyši() rolovanieKolieskomMyši}
		 * obsluhy udalostí. Kladná hodnota znamená hore, záporná dole, čo
		 * je v súlade so súradnicovým priestorom robota, ale v protiklade
		 * s hodnotou vrátenou systémom (metódou {@link
		 * ÚdajeUdalostí#kolieskoMyši() kolieskoMyši()}{@code .}{@link
		 * MouseWheelEvent#getWheelRotation() getWheelRotation()}).
		 * <P>Príklad použitia tejto metódy sa nachádza pri opise metódy
		 * {@link #kolieskoMyši()}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return počet jednotiek rolovania kolieskom myši v smere y;
		 *   kladná hodnota znamená hore, záporná dole (v súlade so
		 *   súradnicovým priestorom robota)
		 * @see #kolieskoMyši()
		 * @see ObsluhaUdalostí#rolovanieKolieskomMyši()
		 */
		public static int rolovanieKolieskomMyšiY()
		{
			synchronized (zámokMyši)
			{
				return rolovanieKolieskomMyšiY;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #rolovanieKolieskomMyšiY()}. */
		public static int rolovanieKolieskomMysiY() { return rolovanieKolieskomMyšiY(); }

		/**
		 * Vráti hodnotu x-ovej súradnice myši prepočítanú do súradníc
		 * plátna. Dáva presnejší výsledok ako súradnice získané cez metódy
		 * {@link #myš() ÚdajeUdalostí.myš()}.{@link MouseEvent#getX()
		 * getX()} a {@link #myš() ÚdajeUdalostí.myš()}.{@link
		 * MouseEvent#getY() getY()}.
		 * 
		 *  @return hodnota x-ovej súradnice myši
		 *  @see #myš()
		 *  @see #súradnicaMyšiY()
		 */
		public static double súradnicaMyšiX()
		{
			synchronized (zámokMyši)
			{
				return súradnicaMyšiX;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #súradnicaMyšiX()}. */
		public static double suradnicaMysiX() { return súradnicaMyšiX(); }

		/**
		 * Vráti hodnotu y-ovej súradnice myši prepočítanú do súradníc
		 * plátna. Dáva presnejší výsledok ako súradnice získané cez metódy
		 * {@link #myš() ÚdajeUdalostí.myš()}.{@link MouseEvent#getX()
		 * getX()} a {@link #myš() ÚdajeUdalostí.myš()}.{@link
		 * MouseEvent#getY() getY()}.
		 * 
		 *  @return hodnota y-ovej súradnice myši
		 *  @see #myš()
		 *  @see #súradnicaMyšiX()
		 */
		public static double súradnicaMyšiY()
		{
			synchronized (zámokMyši)
			{
				return súradnicaMyšiY;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #súradnicaMyšiY()}. */
		public static double suradnicaMysiY() { return súradnicaMyšiY(); }

		/** <a class="alias"></a> Alias pre {@link #súradnicaMyšiX()}. */
		public static double polohaMyšiX() { return súradnicaMyšiX(); }

		/** <a class="alias"></a> Alias pre {@link #polohaMyšiX()}. */
		public static double polohaMysiX() { return súradnicaMyšiX(); }

		/** <a class="alias"></a> Alias pre {@link #súradnicaMyšiY()}. */
		public static double polohaMyšiY() { return súradnicaMyšiY(); }

		/** <a class="alias"></a> Alias pre {@link #polohaMyšiY()}. */
		public static double polohaMysiY() { return súradnicaMyšiY(); }

		/**
		 * Vráti polohu kurzora myši prepočítanú do súradníc plátna.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return aktuálna poloha kurzora myši
		 * @see #súradnicaMyšiX()
		 * @see #súradnicaMyšiY()
		 */
		public static Bod polohaMyši()
		{
			return new Bod(súradnicaMyšiX, súradnicaMyšiY);
		}

		/** <a class="alias"></a> Alias pre {@link #polohaMyši()}. */
		public static Bod polohaMysi()
		{
			return polohaMyši();
		}


		/**
		 * Je stlačené prvé tlačidlo myši?
		 * 
		 *  @return {@code valtrue}/&#8203;{@code valfalse} – podľa toho, či je
		 *      tlačidlo stlačené alebo nie
		 *  @see #myš()
		 *  @see #kolieskoMyši()
		 *  @see #tlačidloMyši2()
		 *  @see #tlačidloMyši3()
		 *  @see #tlačidloMyšiDole(int)
		 *  @see #tlačidloMyšiHore(int)
		 *  @see #tlačidloMyši()
		 *  @see #tlačidloMyši(int)
		 */
		public static boolean tlačidloMyši1()
		{
			synchronized (zámokMyši)
			{
				return tlačidloMyši1;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #tlačidloMyši1() tlačidloMyši1}. */
		public static boolean tlacidloMysi1() { return tlačidloMyši1(); }

		/**
		 * Je stlačené druhé tlačidlo myši?
		 * 
		 *  @return {@code valtrue}/&#8203;{@code valfalse} – podľa toho, či je
		 *      tlačidlo stlačené alebo nie
		 *  @see #myš()
		 *  @see #kolieskoMyši()
		 *  @see #tlačidloMyši1()
		 *  @see #tlačidloMyši3()
		 *  @see #tlačidloMyšiDole(int)
		 *  @see #tlačidloMyšiHore(int)
		 *  @see #tlačidloMyši()
		 *  @see #tlačidloMyši(int)
		 */
		public static boolean tlačidloMyši2()
		{
			synchronized (zámokMyši)
			{
				return tlačidloMyši2;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #tlačidloMyši2() tlačidloMyši2}. */
		public static boolean tlacidloMysi2() { return tlačidloMyši2(); }

		/**
		 * Je stlačené tretie tlačidlo myši?
		 * 
		 *  @return {@code valtrue}/&#8203;{@code valfalse} – podľa toho, či je
		 *      tlačidlo stlačené alebo nie
		 *  @see #myš()
		 *  @see #kolieskoMyši()
		 *  @see #tlačidloMyši1()
		 *  @see #tlačidloMyši2()
		 *  @see #tlačidloMyšiDole(int)
		 *  @see #tlačidloMyšiHore(int)
		 *  @see #tlačidloMyši()
		 *  @see #tlačidloMyši(int)
		 */
		public static boolean tlačidloMyši3()
		{
			synchronized (zámokMyši)
			{
				return tlačidloMyši3;
			}
		}


		/** <a class="alias"></a> Alias pre {@link #tlačidloMyši3() tlačidloMyši3}. */
		public static boolean tlacidloMysi3() { return tlačidloMyši3(); }

		/**
		 * Vráti informáciu o stave požadovaného tlačidla myši. Ak je
		 * požadované tlačidlo dole (stlačené), je návratová hodnota {@code
		 * valtrue}, inak {@code valfalse}.
		 * 
		 *  @param ktoré  poradové číslo tlačidla myši: 1 až 3 – {@link
		 *      GRobot#ĽAVÉ ĽAVÉ}, {@link GRobot#STREDNÉ STREDNÉ}, {@link
		 *      GRobot#PRAVÉ PRAVÉ}
		 *  @return {@code valtrue} ak je stanovené tlačidlo stlačené,
		 *      v opačnom prípade {@code valfalse}; ak je parameter
		 *      {@code ktoré} mimo povolených hodnôt (1 – 3), metóda vráti
		 *      {@code valfalse}
		 *  @see #myš()
		 *  @see #kolieskoMyši()
		 *  @see #tlačidloMyši1()
		 *  @see #tlačidloMyši2()
		 *  @see #tlačidloMyši3()
		 *  @see #tlačidloMyšiHore(int)
		 *  @see #tlačidloMyši()
		 *  @see #tlačidloMyši(int)
		 */
		public static boolean tlačidloMyšiDole(int ktoré)
		{
			synchronized (zámokMyši)
			{
				switch (ktoré)
				{
				case ĽAVÉ: return tlačidloMyši1;
				case STREDNÉ: return tlačidloMyši2;
				case PRAVÉ: return tlačidloMyši3;
				}
			}
			return false;
		}

		/** <a class="alias"></a> Alias pre {@link #tlačidloMyšiDole(int) tlačidloMyšiDole}. */
		public static boolean tlacidloMysiDole(int ktoré)
		{ return tlačidloMyšiDole(ktoré); }

		/** <a class="alias"></a> Alias pre {@link #tlačidloMyšiDole(int) tlačidloMyšiDole}. */
		public static boolean tlačidloMyšiStlačené(int ktoré)
		{ return tlačidloMyšiDole(ktoré); }

		/** <a class="alias"></a> Alias pre {@link #tlačidloMyšiDole(int) tlačidloMyšiDole}. */
		public static boolean tlacidloMysiStlacene(int ktoré)
		{ return tlačidloMyšiDole(ktoré); }

		/**
		 * Vráti informáciu o stave požadovaného tlačidla myši. Ak je
		 * požadované tlačidlo hore (uvoľnené), je návratová hodnota {@code
		 * valtrue}, inak {@code valfalse}.
		 * 
		 *  @param ktoré  poradové číslo tlačidla myši: 1 až 3 – {@link
		 *      GRobot#ĽAVÉ ĽAVÉ}, {@link GRobot#STREDNÉ STREDNÉ}, {@link
		 *      GRobot#PRAVÉ PRAVÉ}
		 *  @return {@code valtrue} ak je stanovené tlačidlo uvoľnené,
		 *      v opačnom prípade {@code valfalse}; ak je parameter
		 *      {@code ktoré} mimo povolených hodnôt (1 – 3), metóda vráti
		 *      {@code valtrue}
		 *  @see #myš()
		 *  @see #kolieskoMyši()
		 *  @see #tlačidloMyši1()
		 *  @see #tlačidloMyši2()
		 *  @see #tlačidloMyši3()
		 *  @see #tlačidloMyšiDole(int)
		 *  @see #tlačidloMyši()
		 *  @see #tlačidloMyši(int)
		 */
		public static boolean tlačidloMyšiHore(int ktoré)
		{
			synchronized (zámokMyši)
			{
				switch (ktoré)
				{
				case ĽAVÉ: return tlačidloMyši1;
				case STREDNÉ: return tlačidloMyši2;
				case PRAVÉ: return tlačidloMyši3;
				}
			}
			return true;
		}

		/** <a class="alias"></a> Alias pre {@link #tlačidloMyšiHore(int) tlačidloMyšiHore}. */
		public static boolean tlacidloMysiHore(int ktoré)
		{ return tlačidloMyšiHore(ktoré); }

		/** <a class="alias"></a> Alias pre {@link #tlačidloMyšiHore(int) tlačidloMyšiHore}. */
		public static boolean tlačidloMyšiUvoľnené(int ktoré)
		{ return tlačidloMyšiHore(ktoré); }

		/** <a class="alias"></a> Alias pre {@link #tlačidloMyšiHore(int) tlačidloMyšiHore}. */
		public static boolean tlacidloMysiUvolnene(int ktoré)
		{ return tlačidloMyšiHore(ktoré); }

		/**
		 * Vráti poradové číslo tlačidla myši, s ktorým bolo naposledy
		 * manipulované. (Či už bolo stlačené alebo uvoľnené.)
		 * 
		 *  @return 0 – so žiadnym; 1 až 3 – {@link GRobot#ĽAVÉ ĽAVÉ},
		 *      {@link GRobot#STREDNÉ STREDNÉ}, {@link GRobot#PRAVÉ PRAVÉ}
		 *  @see #myš()
		 *  @see #kolieskoMyši()
		 *  @see #tlačidloMyši1()
		 *  @see #tlačidloMyši2()
		 *  @see #tlačidloMyši3()
		 *  @see #tlačidloMyšiDole(int)
		 *  @see #tlačidloMyšiHore(int)
		 *  @see #tlačidloMyši(int)
		 */
		public static int tlačidloMyši()
		{
			synchronized (zámokMyši)
			{
				return tlačidloMyši;
			}
		}


		/** <a class="alias"></a> Alias pre {@link #tlačidloMyši() tlačidloMyši}. */
		public static int tlacidloMysi()
		{ return tlačidloMyši(); }

		/**
		 * Overí, či bolo naposledy manipulované (či bolo stlačené alebo
		 * uvoľnené) s tlačidlom myši so zadaným poradovým číslom.
		 * 
		 *  @param ktoré 0 – žiadne; 1 až 3 – {@link GRobot#ĽAVÉ ĽAVÉ},
		 *      {@link GRobot#STREDNÉ STREDNÉ}, {@link GRobot#PRAVÉ PRAVÉ}
		 *  @see #myš()
		 *  @see #kolieskoMyši()
		 *  @see #tlačidloMyši1()
		 *  @see #tlačidloMyši2()
		 *  @see #tlačidloMyši3()
		 *  @see #tlačidloMyšiDole(int)
		 *  @see #tlačidloMyšiHore(int)
		 *  @see #tlačidloMyši()
		 */
		public static boolean tlačidloMyši(int ktoré)
		{
			synchronized (zámokMyši)
			{
				return ktoré == tlačidloMyši;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #tlačidloMyši(int) tlačidloMyši}. */
		public static boolean tlacidloMysi(int ktoré)
		{ return tlačidloMyši(ktoré); }


		/**
		 * Vráti posledné (aktuálne) plátno, ktorého grafika bola vymazaná.
		 * Táto informácia je aktualizovaná vždy a výhradne pred volaním
		 * reakcie {@link ObsluhaUdalostí#vymazanie() vymazanie} pre ktorú
		 * je táto informácia primárne určená. Odporúča sa použiť túto metódu
		 * práve v nej.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return {@linkplain Plátno plátno}, ktorého grafika bola naposledy
		 * vymazaná ({@link GRobot#podlaha podlaha} alebo {@link GRobot#strop
		 * strop})
		 * @see ObsluhaUdalostí#vymazanie()
		 */
		public static Plátno vymazanéPlátno()
		{ return poslednéVymazanéPlátno; }

		/** <a class="alias"></a> Alias pre {@link #vymazanéPlátno() vymazanéPlátno}. */
		public static Plátno vymazanePlatno()
		{ return poslednéVymazanéPlátno; }

		/**
		 * Overí, či zadané plátno ({@link GRobot#podlaha podlaha} alebo
		 * {@link GRobot#strop strop}) bolo posledným vymazaným plátnom.
		 * Informácia o tom, ktoré plátno bolo vymazané, je aktualizovaná
		 * vždy a výhradne pred volaním reakcie
		 * {@link ObsluhaUdalostí#vymazanie() vymazanie} pre ktorú je táto
		 * informácia primárne určená. Odporúča sa použiť túto metódu práve
		 * v nej.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param plátno {@linkplain Plátno plátno} na overenie toho, či
		 * práve jeho grafila bola naposledy vymazaná
		 * @return {@code valtrue} ak sa zadané plátno zhoduje s tým, ktoré
		 * bolo vymazané naposledy
		 * @see ObsluhaUdalostí#vymazanie()
		 */
		public static boolean vymazanéPlátno(Plátno plátno)
		{ return plátno == poslednéVymazanéPlátno; }

		/** <a class="alias"></a> Alias pre {@link #vymazanéPlátno(GRobot.Plátno) vymazanéPlátno}. */
		public static boolean vymazanePlatno(Plátno plátno)
		{ return plátno == poslednéVymazanéPlátno; }
	}

	/** <a class="alias"></a> Alias pre {@link ÚdajeUdalostí ÚdajeUdalostí}. */
	public static class UdajeUdalosti extends ÚdajeUdalostí
	{ private UdajeUdalosti() {} }

	/**
	 * Táto inštancia je z technického hľadiska zbytočná, pretože trieda
	 * {@link ÚdajeUdalostí ÚdajeUdalostí} a všetky jej prvky sú statické
	 * a na prístup k statickým prvkom triedy by ste mali používať syntax:
	 * <code>ÚdajeUdalostí.</code><i>«prvok triedy»</i>, no napriek tomu je
	 * definovaná – z dôvodu spätnej kompatibility.
	 */
	public final static ÚdajeUdalostí údajeUdalostí = new ÚdajeUdalostí();

	/** <a class="alias"></a> Alias pre {@link #údajeUdalostí údajeUdalostí}. */
	public final static ÚdajeUdalostí udajeUdalosti = údajeUdalostí;


	// -------------------------------- //
	//  *** Trieda ObsluhaUdalostí ***  //
	// -------------------------------- //

	/**
	 * Trieda obsluhy udalostí slúži na obsluhu rozmanitých udalostí. Napríklad:
	 * akcie myši, klávesnice, voľby položky ponuky, vymazania alebo
	 * prekreslenia sveta… Keď chcete, aby aplikácia vytvorená s podporou
	 * knižnice grafického robota poskytovala funkcionalitu spojenú
	 * s klávesnicou, myšou a podobne, je potrebné nasledujúcim spôsobom
	 * vytvoriť inštanciu tejto triedy slúžiacej na obsluhu udalostí, pričom
	 * stačí uviesť tie metódy (reakcie), ktoré plánujete využiť:
	 * <pre CLASS="example">
		{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
		{
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#tik() tik}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#klik() klik}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#voľbaPoložkyPonuky() voľbaPoložkyPonuky}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#voľbaKontextovejPoložky() voľbaKontextovejPoložky}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#voľbaTlačidla() voľbaTlačidla}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#vymazanie() vymazanie}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#prekreslenie() prekreslenie}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#presunutieOkna() presunutieOkna}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#zmenaVeľkostiOkna() zmenaVeľkostiOkna}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#aktiváciaOkna() aktiváciaOkna}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#deaktiváciaOkna() deaktiváciaOkna}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#ukončenie() ukončenie}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#potvrdenieÚdajov() potvrdenieÚdajov}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#zrušenieÚdajov() zrušenieÚdajov}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#stlačenieTlačidlaMyši() stlačenieTlačidlaMyši}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#uvoľnenieTlačidlaMyši() uvoľnenieTlačidlaMyši}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#pohybMyši() pohybMyši}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#ťahanieMyšou() ťahanieMyšou}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#rolovanieKolieskomMyši() rolovanieKolieskomMyši}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#stlačenieKlávesu() stlačenieKlávesu}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#uvoľnenieKlávesu() uvoľnenieKlávesu}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#zadanieZnaku() zadanieZnaku}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#klávesováSkratka() klávesováSkratka}() {}

			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#ťahanieSúborov() ťahanieSúborov}() {}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#pustenieSúboru(String) pustenieSúboru}(String súbor) {}

			{@code kwd@}Override {@code kwdpublic} {@link Color java.awt.Color} {@link ObsluhaUdalostí#farbaAktívnehoSlova(String) farbaAktívnehoSlova}({@link String String} slovo) { {@code kwdreturn} {@code valnull}; }
			{@code comm// atď.}
		};
		</pre>
	 * <P>Musí byť presne dodržaná syntax metód:
	 * {@code kwd@}{@code Override }{@code kwdpublic }{@code
	 * typevoid }<i>«názov reakcie»</i>{@code () }<code>{ … }</code>, kde
	 * <i>«názov reakcie»</i> je jeden z názvov vyššie uvedených reakcií.
	 * <small>(Klauzula {@code Override} slúži na kontrolu. Keby sme ju
	 * neuviedli a omylom urobili v názve metódy (reakcie) hoci nepatrný
	 * preklep, obsluha určenej udalosti by nefungovala (aplikácia by
	 * nereagovala).)</small> Medzi zložené zátvorky sa <code>{}</code>,
	 * samozrejme, vpisuje kód, ktorý bude spustený v prípade, že nastane
	 * (vznikne) prislúchajúca udalosť (napríklad používateľ stlačí kláves,
	 * tlačidlo myši a podobne…).
	 * 
	 * <P>Od verzie 1.49 je možné vytváranie obsluhy udalostí obísť a to tak,
	 * že budú podobným spôsobom prekryté metódy {@linkplain Svet#hlavnýRobot()
	 * hlavného robota}, ktoré sú na tento účel pripravené:
	 * {@link GRobot GRobot}{@code .}{@link GRobot#tik() tik}{@code ()},
	 * {@link GRobot GRobot}{@code .}{@link GRobot#klik() klik}{@code ()}…
	 * Jedninou metódou, ktorú {@linkplain Svet#hlavnýRobot() hlavný robot}
	 * neposkytuje je metóda {@link #ladenie(int, String, int) ladenie}.
	 * Pri ostatných metódach platí, že metódy obsluhy udalostí majú prednosť.
	 * Z toho dôvodu je možné, že ak nastane počas spracovania metódy obsluhy
	 * udalostí výnimka, ktorá nebude v jej tele zachytená, tak k spracovaniu
	 * udalosti {@linkplain Svet#hlavnýRobot() hlavným robotom} ani nedôjde.
	 * 
	 * <P>Pre jeden svet je možné <b>spravidla</b> definovať len
	 * <b>jednu</b> inštanciu obsluhy udalostí. <small>(Výnimku z tohto
	 * pravidla spomenieme neskôr.)</small> Pri pokuse o vytvorenie
	 * viacerých inštancií vznikne výnimka oznamujúca, že obsluha udalostí
	 * už bola definovaná.
	 * 
	 * <P>Nasledujúci príklad demonštruje vytvorenie obsluhy udalostí na
	 * {@linkplain #klik() klik myšou}. Robotovi najskôr nastavuje
	 * {@linkplain GRobot#rýchlosť(double, boolean) rýchlosť}, inak by sa
	 * nehýbal, a vzápätí je v obsluhe udalostí definované, aby sa robot po
	 * {@linkplain #klik() kliknutí myšou} na plátno rozbehol smerom
	 * {@linkplain GRobot#cieľNaMyš() na pozíciu, kam bolo kliknuté}.
	 * <pre CLASS="example">
		{@link GRobot#rýchlosť(double, boolean) rýchlosť}({@code num10}, {@code valfalse});

		{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
		{
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link #klik() klik}()
			{
				{@link GRobot#cieľNaMyš() cieľNaMyš}();
			}
		};
		</pre>
	 * 
	 * <P><b>Ďalšie udalosti</b>
	 * 
	 * <P>Udalosti zverejnené vo vyššie uvedenom zozname môžeme považovať za
	 * „štandardné“. (Z pohľadu knižnice grafického robota.) Obsluha
	 * udalostí podporuje ešte tri ďalšie udalosti, s pomocou ktorých je možné
	 * využiť automaticky vytváraný konfiguračný súbor knižnice
	 * grafického robota. Sú to: {@link ObsluhaUdalostí#konfiguráciaZmenená()
	 * konfiguráciaZmenená()},
	 * {@link ObsluhaUdalostí#zapíšKonfiguráciu(GRobot.Súbor)
	 * zapíšKonfiguráciu(súbor)}
	 * a {@link ObsluhaUdalostí#čítajKonfiguráciu(GRobot.Súbor)
	 * čítajKonfiguráciu(súbor)}. Ich význam je podrobnejšie opísaný
	 * v komentároch v príklade nižšie.
	 * 
	 * <P>Automatická konfigurácia sa spúšťa príkazom
	 * {@link Svet Svet}.{@link Svet#použiKonfiguráciu() použiKonfiguráciu}
	 * pred vytvorením sveta. Predvolene je v konfigurácii uložená len
	 * informácia o veľkosti a polohe hlavného okna aplikácie. K týmto údajom
	 * je možné pridať skupinu vlastných konfiguračných údajov a to
	 * nasledujúcim spôsobom:
	 * 
	 *<pre CLASS="example">
		{@code kwdimport} knižnica.{@link GRobot GRobot};

		{@code kwdpublic} {@code typeclass} TestKonfigurácie {@code kwdextends} {@link GRobot GRobot}
		{
			{@code comm// Stručný princíp:}
			{@code comm// }
			{@code comm//  1. Pre každú vlastnosť definujeme dvojicu atribútov.}
			{@code comm//     A) Jeden atribút bude slúžiť na uchovanie skutočnej hodnoty}
			{@code comm//        vlastnosti. S ním budeme pracovať v rámci celej aplikácie.}
			{@code comm//     B) Druhý atribút bude slúžiť na uchovanie počiatočnej (prečítanej)}
			{@code comm//        hodnoty vlastnosti. S ním budeme pracovať len pri čítaní}
			{@code comm//        počiatočnej hodnoty a overení toho, či nastala zmena hodnoty}
			{@code comm//        sledovanej vlastnosti.}
			{@code comm// }
			{@code comm//  2. Prekryjeme trojicu rekacií: konfiguráciaZmenená, zapíšKonfiguráciu}
			{@code comm//     a čítajKonfiguráciu.}
			{@code comm//     A) konfiguráciaZmenená – poskytuje od nás knižnici grafického}
			{@code comm//        robota informáciu o tom, či je potrebné zapísať konfiguračný}
			{@code comm//        súbor, to jest, či bola konfigurácia zmenená…}
			{@code comm//     B) zapíšKonfiguráciu – slúži na zapísanie našich vlastných}
			{@code comm//        konfiguračných atribútov}
			{@code comm//     C) čítajKonfiguráciu – slúži na čítanie našich vlastných}
			{@code comm//        konfiguračných atribútov}
			{@code comm//}
			{@code comm//  3. Nesmieme zabudnúť spustiť príkaz Svet.použiKonfiguráciu… Tento}
			{@code comm//     príkaz musí byť spustený ešte pred inicializáciou (naštartovaním)}
			{@code comm//     sveta, to znamená – pred spustením konštruktora (pozri metódu main}
			{@code comm//     nižšie).}
			{@code comm//}


			{@code comm// Definícia vlastných konfiguračných vlastností:}
			{@code kwdprivate} {@code typeboolean} vlastnosť = {@code valfalse};         {@code comm// „skutočná“ vlastnosť}
			{@code kwdprivate} {@code typeboolean} prečítanáVlastnosť = {@code valfalse}; {@code comm// „tieň“ – detektor zmien}

			{@code comm// Prípadne ďalšie dvojice…}
			{@code comm// ...}

			{@code kwdprivate} TestKonfigurácie()
			{
				{@code comm// Toto tlačidlo bude meniť stav vlastnosti:}
				{@code kwdfinal} {@link Tlačidlo Tlačidlo} tlačidlo = {@code kwdnew} {@link Tlačidlo#GRobot.Tlačidlo(java.lang.String) Tlačidlo}({@code srg"Zapnúť"});

				{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
				{
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#voľbaTlačidla() voľbaTlačidla}()
					{
						{@code kwdif} (tlačidlo.{@link Tlačidlo#aktivované() aktivované}())
						{
							{@code comm// Ak bolo zvolené, zmení sa hodnota vlastnosti aj text}
							{@code comm// tlačidla}
							vlastnosť = !vlastnosť;
							tlačidlo.{@link Tlačidlo#text(java.lang.String) text}(vlastnosť ? {@code srg"Vypnúť"} : {@code srg"Zapnúť"});
						}
					}

					{@code comm// Na to, aby vlastná konfigurácia fungovala je nevyhnutné}
					{@code comm// naprogramovanie nasledujúcich troch reakcií:}

					{@code kwd@}Override {@code kwdpublic} {@code typeboolean} {@link ObsluhaUdalostí#konfiguráciaZmenená() konfiguráciaZmenená}()
					{
						{@code kwdif} (vlastnosť != prečítanáVlastnosť) {@code kwdreturn} {@code valtrue};
						{@code comm// ...}

						{@code kwdreturn} {@code valfalse};
					}

					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#zapíšKonfiguráciu(GRobot.Súbor) zapíšKonfiguráciu}({@link Súbor Súbor} súbor)
						{@code kwdthrows} {@code java.io.IOException}
					{
						{@code comm// Zapisujeme hodnoty skutočných vlastností:}
						{@link Súbor súbor}.{@link Súbor#zapíšVlastnosť(java.lang.String, java.lang.Object) zapíšVlastnosť}({@code srg"vlastnosť"}, vlastnosť);
						{@code comm// ...}
					}

					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#čítajKonfiguráciu(GRobot.Súbor) čítajKonfiguráciu}({@link Súbor Súbor} súbor)
						{@code kwdthrows} {@code java.io.IOException}
					{
						{@code comm// Pri čítaní zmeníme naraz hodnotu skutočnej vlastnosti}
						{@code comm// aj hodnotu premennej prečítanáVlastnosť, ktorá slúži ako}
						{@code comm// detektor zmien a ktorá je vyhodnocovaná v reakcii}
						{@code comm// konfiguráciaZmenená.}
						vlastnosť = prečítanáVlastnosť = {@link Súbor súbor}.{@link Súbor#čítajVlastnosť(java.lang.String, java.lang.Boolean) čítajVlastnosť}(
							{@code srg"vlastnosť"}, vlastnosť).{@link Boolean#booleanValue() booleanValue}();
						{@code comm// ...}
					}
				};

				{@code comm// Pre korektnosť je po prečítaní konfigurácie vhodné upraviť}
				{@code comm// ovládacie prvky tak, aby ich vzhľad zodpovedal aktuálnej hodnote}
				{@code comm// vlastnosti s ktorou súvisia:}

				tlačidlo.{@link Tlačidlo#text(java.lang.String) text}(vlastnosť ? {@code srg"Vypnúť"} : {@code srg"Zapnúť"});
				{@code comm// ...}
			}

			{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
			{
				{@code comm// Dôležité je uviesť príkaz použiKonfiguráciu pred inicializáciou}
				{@code comm// aplikácie (pred spustením konštruktora). Inak by bol pokus}
				{@code comm// o vykonanie tohto príkazu zamietnutý}
				{@link Svet Svet}.{@link Svet#použiKonfiguráciu() použiKonfiguráciu}({@code srg"test.cfg"});
				{@code kwdnew} TestKonfigurácie();
			}
		}
		</pre>
	 * 
	 * Na to, aby mala vlastná konfigurácia zmysel (aby sa aktuálne hodnoty
	 * konfiguračných premenných vždy korektne uložili pri ukončení aplikácie
	 * a prečítali pri jej opätovnom štarte), je potrebné prekryť
	 * (naprogramovať obsah) všetkých troch reakcií: {@link
	 * #konfiguráciaZmenená() konfiguráciaZmenená}, {@link
	 * #zapíšKonfiguráciu(GRobot.Súbor) zapíšKonfiguráciu} a {@link
	 * #čítajKonfiguráciu(GRobot.Súbor) čítajKonfiguráciu}. Syntax pri
	 * prekrývaní je potrebné detailne dodržať, to znamená, že pri tých
	 * reakciách, pri ktorých je to vyžadované, je nunté uviesť parameter
	 * {@code Súbor} aj klauzulu {@code kwdthrows}.
	 * 
	 * <P><b>Výnimka z pravidla jedinej obsluhy udalostí</b>
	 * 
	 * <P>Pôvodne nebolo možné v tomto smere v knižnici grafického
	 * robota robiť žiadne výnimky. Z bezpečnostných dôvodov bolo v rámci
	 * jednej aplikácie možné vytvoriť len jednu obsluhu udalostí a tá bola
	 * pre stanovenú aplikáciu konečná. Vo verzii 1.30 pribudla možnosť
	 * {@linkplain Svet#povoľViacnásobnúObsluhuUdalostí() povolenia
	 * vytvárania viacerých inštancií obsluhy udalostí}. Odporúčame túto
	 * možnosť využiť len v nevyhnutnom prípade. Príklad, ktorý používa
	 * zapnutie viacnásobného spracovania udalostí nájdete pri opise metódy
	 * {@link Svet#presmerujObsluhuUdalostí(GRobot.ObsluhaUdalostí)
	 * presmerujObsluhuUdalostí}.
	 * 
	 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
	 * 
	 * @see Svet#povoľViacnásobnúObsluhuUdalostí()
	 * @see Svet#presmerujObsluhuUdalostí(GRobot.ObsluhaUdalostí)
	 */
	public static class ObsluhaUdalostí
	{
		/**
		 * Vráti aktuálny objekt obsluhy udalostí (aktívnu obsluhu udalostí)
		 * alebo {@code valnull}, ak nie je aktívna žiadna obsluha udalostí.
		 * (Túto metódu nie je možné prekryť – neslúži na obsluhu žiadnej
		 * udalosti.)
		 * @return aktívna obsluha udalostí
		 * @see Svet#aktívnaObsluhaUdalostí()
		 */
		public final static ObsluhaUdalostí aktívna() { return počúvadlo; }

		/** <a class="alias"></a> Alias pre {@link #aktívna() aktívna}. */
		public final static ObsluhaUdalosti aktivna()
		{ return (ObsluhaUdalosti)počúvadlo; }


		/**
		 * Predvolený konštruktor obsluhy udalostí.
		 * @throws GRobotException  ak nie je povolená viacnásobná obsluha
		 *     udalostí a už bola vytvorená inštancia obsluhy udalostí
		 *     (identifikátor {@code eventFactoryAlreadyExists})
		 */
		public ObsluhaUdalostí()
		{
			if (viacnásobnáObsluhuUdalostíUmožnená)
			{
				if (null == počúvadlo)
				{
					počúvadlo = this;
					čítajVlastnúKonfiguráciu();
				}
			}
			else
			{
				if (null != počúvadlo)
					throw new GRobotException(
						"Obsluha udalostí už bola definovaná!",
						"eventFactoryAlreadyExists");
				počúvadlo = this;
				čítajVlastnúKonfiguráciu();
			}
		}

		/**
		 * Spustená v pravidelnom časovom intervale časovača, ktorý je možné
		 * odštartovať metódou {@link Svet#spustiČasovač(double)
		 * spustiČasovač} a zastaviť metódou {@link Svet#zastavČasovač()
		 * zastavČasovač}. Informácie o poslednej udalosti časovača je možné
		 * získať pomocou metódy {@link ÚdajeUdalostí#tik()
		 * ÚdajeUdalostí.tik()}.
		 * 
		 * <P>Časovač pre všetkých robotov automaticky spúšta metódu {@link
		 * GRobot#pracuj() pracuj} a časovač môže byť taktiež niektorými
		 * metódami automaticky spustený. Pozri napríklad: {@link
		 * GRobot#rýchlosť(double) rýchlosť}, {@link
		 * GRobot#uhlováRýchlosť(double) uhlováRýchlosť}…
		 * 
		 * @see GRobot#tik()
		 */
		public void tik() {}

		/**
		 * Spustená pri kliknutí tlačidlom myši. Použite metódu
		 * {@link ÚdajeUdalostí#myš() ÚdajeUdalostí.myš()} na
		 * získanie podrobnejších údajov o tejto udalosti. Stav myši
		 * je aktualizovaný aj vo vnútorných premenných sveta.
		 * 
		 *  @see ÚdajeUdalostí#tlačidloMyši1()
		 *  @see ÚdajeUdalostí#tlačidloMyši2()
		 *  @see ÚdajeUdalostí#tlačidloMyši3()
		 *  @see ÚdajeUdalostí#myš()
		 *  @see ÚdajeUdalostí#kolieskoMyši()
		 *  @see ÚdajeUdalostí#súradnicaMyšiX()
		 *  @see ÚdajeUdalostí#súradnicaMyšiY()
		 * 
		 * @see GRobot#klik()
		 */
		public void klik() {}

		/**
		 * Spustená pri zvolení položky ponuky. Na získanie naposledy zvolenej
		 * položky ponuky použite metódu {@link
		 * ÚdajeUdalostí#položkaPonuky() ÚdajeUdalostí.položkaPonuky()}
		 * <!--alebo {@link Svet#poslednáPoložkaPonuky()
		 * Svet.poslednáPoložkaPonuky()}--> alebo využite metódu {@link
		 * PoložkaPonuky#aktivovaná() aktivovaná} triedy {@link
		 * PoložkaPonuky PoložkaPonuky} na overenie aktivácie konkrétnej
		 * položky ponuky.
		 * 
		 * @see GRobot#voľbaPoložkyPonuky()
		 */
		public void voľbaPoložkyPonuky() {}

		/** <a class="alias"></a> Alias pre {@link #voľbaPoložkyPonuky() voľbaPoložkyPonuky}. */
		public void volbaPolozkyPonuky() {}

		/**
		 * Spustená pri zvolení kontextovej položky. Na získanie naposledy
		 * zvolenej kontextovej položky použite metódu {@link
		 * ÚdajeUdalostí#kontextováPoložka()
		 * ÚdajeUdalostí.kontextováPoložka()} <!--alebo {@link
		 * Svet#poslednáKontextováPoložka() Svet.poslednáKontextováPoložka()}-->
		 * alebo využite metódu {@link KontextováPoložka#aktivovaná()
		 * aktivovaná} triedy {@link KontextováPoložka KontextováPoložka} na
		 * overenie aktivácie konkrétnej kontextovej položky.
		 * 
		 * @see GRobot#voľbaKontextovejPoložky()
		 */
		public void voľbaKontextovejPoložky() {}

		/** <a class="alias"></a> Alias pre {@link #voľbaKontextovejPoložky() voľbaKontextovejPoložky}. */
		public void volbaKontextovejPolozky() {}


		/**
		 * Spustená pri zvolení tlačidla. Použite metódu {@link
		 * ÚdajeUdalostí#tlačidlo() ÚdajeUdalostí.tlačidlo()}
		 * na získanie inštancie naposledy zvoleného tlačidla, prípadne
		 * metódu {@link Tlačidlo Tlačidlo}{@code .}{@link
		 * Tlačidlo#aktivované() aktivované}{@code ()} na overenie toho, či
		 * bolo toto tlačidlo naposledny aktivované. Praktický príklad
		 * nájdete v opise triedy {@link Tlačidlo Tlačidlo}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @see Tlačidlo
		 * @see GRobot#voľbaTlačidla()
		 */
		public void voľbaTlačidla() {}

		/** <a class="alias"></a> Alias pre {@link #voľbaTlačidla() voľbaTlačidla}. */
		public void volbaTlacidla() {}

		/**
		 * Spustená po vymazaní grafiky sveta. Táto reakcia môže
		 * byť použitá na obnovenie (znovu nakreslenie) grafického obsahu
		 * {@linkplain GRobot.Plátno plátien} po úplnom vymazaní. Je to
		 * alternatívny spôsob. Robot má dostatok nástrojov (metód) na
		 * kreslenie (a kreslenie každého robota môže byť nasmerované ako na
		 * {@linkplain GRobot#kresliNaPodlahu() podlahu}, tak na {@linkplain
		 * GRobot#kresliNaStrop() strop}). Ak potrebujete využívať metódy
		 * triedy {@link Graphics2D Graphics2D}, použite metódu {@link
		 * GRobot.Plátno#grafika() podlaha.grafika()} (resp. {@link
		 * GRobot.Plátno#grafika() strop.grafika()}) na prístup k nej. Majte
		 * na pamäti, že grafika plátna pracuje s odlišným súradnicovým
		 * priestorom, než grafické roboty.
		 * <P>Od verzie 1.75 je možné rozlišovať, ktoré plátno bolo práve
		 * vymazané. Slúžia na to metódy {@linkplain ÚdajeUdalostí údajov
		 * udalostí}: {@link ÚdajeUdalostí#vymazanéPlátno() vymazanéPlátno()}
		 * a {@link ÚdajeUdalostí#vymazanéPlátno(GRobot.Plátno)
		 * vymazanéPlátno(plátno)}
		 * 
		 * @see GRobot#vymazanie()
		 */
		public void vymazanie() {}

		/**
		 * Spustená pri (pred) prekreslení sveta. Táto reakcia môže byť
		 * využitá na dokreslenie obsahu {@linkplain GRobot.Plátno plátien}
		 * (ich „finálne úpravy“) pred prekreslením sveta. Robot má dostatok
		 * nástrojov (metód) na kreslenie (a kreslenie každého robota môže
		 * byť nasmerované ako na {@linkplain GRobot#kresliNaPodlahu()
		 * podlahu}, tak na {@linkplain GRobot#kresliNaStrop() strop}). Ak
		 * potrebujete využívať metódy (nástroje) triedy {@link Graphics2D
		 * Graphics2D}, použite metódu {@link GRobot.Plátno#grafika()
		 * podlaha.grafika()} (resp. {@link GRobot.Plátno#grafika()
		 * strop.grafika()}) na prevzatie grafického objektu, pomocou
		 * ktorého môžete tiež dokresľovať obsah plátien (v podstate
		 * rovnocenne ako pri kreslení pomocou robota, avšak treba mať na
		 * pamäti, že grafika plátna pracuje s odlišným súradnicovým
		 * priestorom, než grafické roboty).
		 * 
		 * @see GRobot#prekreslenie()
		 */
		public void prekreslenie() {}

		/**
		 * Spustená po prekreslení sveta. Funguje podobne ako reakcia {@link
		 * #prekreslenie() prekreslenie}, ibaže je spustená po prekreslení
		 * sveta, tesne pred finálnym zobrazením grafiky v okne (na
		 * obrazovke). Takže v tomto momente je čas na posledné finálne
		 * úpravy obsahu, ktorý bude reálne zobrazený na obrazovke. Čokoľvek
		 * sa v tomto momente pokúsite nakresliť na {@linkplain
		 * GRobot.Plátno plátno} podlahy alebo stropu, už nestihne byť
		 * zobrazené v tomto pracovnom cykle, avšak môžete použiť grafický
		 * objekt sveta (získaný metódou {@link GRobot.Svet#grafika()
		 * Svet.grafika()}) na dokreslenie (krátkodobého) grafického obsahu.
		 * Treba podotknúť že spomenutý objekt {@code grafika} pracuje
		 * v súradnicovom priestore Javy a všetko, čo pomocou neho
		 * nakreslíte, bude na obrazovke zobrazené len do najbližšieho
		 * prekreslenia.
		 * (O súradnicových priestoroch sa podrobnejšie píše napríklad
		 * v opisoch metód {@link GRobot#cesta() GRobot.cesta()}, {@link
		 * SVGPodpora#zapíš(String, String, boolean) SVGpodpora.zapíš(…)},
		 * {@link SVGPodpora#čítaj(String) SVGpodpora.čítaj(meno)} a priebežne
		 * v celej dokumentácii.)
		 * 
		 * @see GRobot#dokreslenie()
		 */
		public void dokreslenie() {}

		/**
		 * Spustená pri presunutí okna sveta. Na získanie objektu
		 * s podrobnejšími údajmi o tejto udalosti použite metódu {@link
		 * ÚdajeUdalostí#okno() ÚdajeUdalostí.okno()}.
		 * 
		 * @see GRobot#presunutieOkna()
		 */
		public void presunutieOkna() {}

		/**
		 * Spustená pri zmene veľkosti okna sveta. Na získanie objektu
		 * s podrobnejšími údajmi o tejto udalosti použite metódu {@link
		 * ÚdajeUdalostí#okno() ÚdajeUdalostí.okno()}. (Po vykonaní tejto
		 * metódy je v prípade, že sa pracovalo s {@linkplain
		 * Plátno#vypíš(Object[]) výpismi textov} na podlahu alebo strop,
		 * spustené automatické prekreslenie. Ak je automatické prekreslenie
		 * {@linkplain Svet#nekresli() vypnuté}, musí sa o prekreslenie
		 * sveta pri zmene veľkosti okna {@linkplain Svet#prekresli()
		 * postarať programátor}.)
		 * 
		 * @see GRobot#zmenaVeľkostiOkna()
		 */
		public void zmenaVeľkostiOkna() {}

		/** <a class="alias"></a> Alias pre {@link #zmenaVeľkostiOkna() zmenaVeľkostiOkna}. */
		public void zmenaVelkostiOkna() {}

		/**
		 * Spustená pri aktivácii okna sveta. Na získanie objektu
		 * s podrobnejšími údajmi o tejto udalosti použite metódu
		 * {@link ÚdajeUdalostí#aktivitaOkna() ÚdajeUdalostí.aktivitaOkna()}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see GRobot#aktiváciaOkna()
		 */
		public void aktiváciaOkna() {}

		/** <a class="alias"></a> Alias pre {@link #aktiváciaOkna() aktiváciaOkna}. */
		public void aktivaciaOkna() {}

		/**
		 * Spustená pri deaktivácii okna sveta. Na získanie objektu
		 * s podrobnejšími údajmi o tejto udalosti použite metódu
		 * {@link ÚdajeUdalostí#aktivitaOkna() ÚdajeUdalostí.aktivitaOkna()}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @see GRobot#deaktiváciaOkna()
		 */
		public void deaktiváciaOkna() {}

		/** <a class="alias"></a> Alias pre {@link #deaktiváciaOkna() deaktiváciaOkna}. */
		public void deaktivaciaOkna() {}


		/**
		 * Spustená pri ukončení aplikácie. V tejto reakcii je možné vykonať
		 * niektoré záverečné upratovacie akcie, napríklad uloženie stavu
		 * aplikácie a podobne.
		 * 
		 * <P>Od verzie 1.50 je upravená priorita spúšťania tejto
		 * obsluhy udalosti v hlavnom robotovi a v obsluhe udalostí.
		 * Udalosť v obsluhe udalostí je spustená pred automatickým
		 * uložením konfigurácie a udalosť v hlavnom robotovi po ňom.
		 * 
		 * @see GRobot#ukončenie()
		 */
		public void ukončenie() {}

		/** <a class="alias"></a> Alias pre {@link #ukončenie() ukončenie}. */
		public void ukoncenie() {}

		/**
		 * Spustená po stlačení klávesu {@code Enter} vo vstupnom riadku
		 * zobrazenom po zavolaní metódy {@link Svet#začniVstup()
		 * začniVstup}. Na získanie potvrdených údajov použite metódy
		 * {@link Svet#prevezmiReťazec() prevezmiReťazec},
		 * {@link Svet#prevezmiCeléČíslo() prevezmiCeléČíslo} alebo
		 * {@link Svet#prevezmiReálneČíslo() prevezmiReálneČíslo}.
		 * V prípade, že potvrdené údaje nie sú v správnom tvare (platí pre
		 * celé alebo reálne číslo), je prislúchajúcou metódou „prevezmi“
		 * vrátené
		 * {@code valnull}.
		 * 
		 * @see GRobot#potvrdenieÚdajov()
		 */
		public void potvrdenieÚdajov() {}

		/** <a class="alias"></a> Alias pre {@link #potvrdenieÚdajov() potvrdenieÚdajov}. */
		public void potvrdenieUdajov() {}

		/** <a class="alias"></a> Alias pre {@link #potvrdenieÚdajov() potvrdenieÚdajov}. */
		public void potvrdenieVstupu() {}

		/**
		 * Spustená po pozitívnom spracovaní príkazu v {@linkplain
		 * Svet#interaktívnyRežim(boolean) interaktívnom režime}.
		 * 
		 * @see GRobot#spracovaniePríkazu()
		 */
		public void spracovaniePríkazu() {}

		/** <a class="alias"></a> Alias pre {@link #spracovaniePríkazu() spracovaniePríkazu}. */
		public void spracovaniePrikazu() {}

		/**
		 * Spustená po stlačení klávesu {@code ESC} vo vstupnom riadku
		 * zobrazenom po zavolaní metódy {@link Svet#začniVstup()
		 * začniVstup}.
		 * Reakciou na zrušenie vstupu môže byť napríklad {@linkplain
		 * Svet#koniec() ukončenie} primitívnej priamočiarej aplikácie
		 * vyžadujúcej na svouju činnosť potvrdenie vstupu.
		 * 
		 * @see GRobot#zrušenieÚdajov()
		 */
		public void zrušenieÚdajov() {}

		/** <a class="alias"></a> Alias pre {@link #zrušenieÚdajov() zrušenieÚdajov}. */
		public void zrusenieUdajov() {}

		/** <a class="alias"></a> Alias pre {@link #zrušenieÚdajov() zrušenieÚdajov}. */
		public void zrušenieVstupu() {}

		/** <a class="alias"></a> Alias pre {@link #zrušenieÚdajov() zrušenieÚdajov}. */
		public void zrusenieVstupu() {}

		/**
		 * Spustená pri stlačení tlačidla myši. Použite metódu
		 * {@link ÚdajeUdalostí#myš() ÚdajeUdalostí.myš()} na
		 * získanie podrobnejších údajov o tejto udalosti. Stav myši
		 * je aktualizovaný aj vo vnútorných premenných sveta.
		 * 
		 *  @see ÚdajeUdalostí#tlačidloMyši1()
		 *  @see ÚdajeUdalostí#tlačidloMyši2()
		 *  @see ÚdajeUdalostí#tlačidloMyši3()
		 *  @see ÚdajeUdalostí#myš()
		 *  @see ÚdajeUdalostí#kolieskoMyši()
		 *  @see ÚdajeUdalostí#súradnicaMyšiX()
		 *  @see ÚdajeUdalostí#súradnicaMyšiY()
		 * 
		 * @see GRobot#stlačenieTlačidlaMyši()
		 */
		public void stlačenieTlačidlaMyši() {}

		/** <a class="alias"></a> Alias pre {@link #stlačenieTlačidlaMyši() stlačenieTlačidlaMyši}. */
		public void stlacenieTlacidlaMysi() {}

		/**
		 * Spustená pri uvoľnení tlačidla myši. Použite metódu
		 * {@link ÚdajeUdalostí#myš() ÚdajeUdalostí.myš()} na
		 * získanie podrobnejších údajov o tejto udalosti. Stav myši
		 * je aktualizovaný aj vo vnútorných premenných sveta.
		 * 
		 *  @see ÚdajeUdalostí#tlačidloMyši1()
		 *  @see ÚdajeUdalostí#tlačidloMyši2()
		 *  @see ÚdajeUdalostí#tlačidloMyši3()
		 *  @see ÚdajeUdalostí#myš()
		 *  @see ÚdajeUdalostí#kolieskoMyši()
		 *  @see ÚdajeUdalostí#súradnicaMyšiX()
		 *  @see ÚdajeUdalostí#súradnicaMyšiY()
		 * 
		 * @see GRobot#uvoľnenieTlačidlaMyši()
		 */
		public void uvoľnenieTlačidlaMyši() {}

		/** <a class="alias"></a> Alias pre {@link #uvoľnenieTlačidlaMyši() uvoľnenieTlačidlaMyši}. */
		public void uvolnenieTlacidlaMysi() {}

		/**
		 * Spustená pri pohybe myši nad plátnom podlahy. Použite metódu
		 * {@link ÚdajeUdalostí#myš() ÚdajeUdalostí.myš()} na
		 * získanie podrobnejších údajov o tejto udalosti. Stav myši
		 * je aktualizovaný aj vo vnútorných premenných sveta.
		 * 
		 *  @see ÚdajeUdalostí#tlačidloMyši1()
		 *  @see ÚdajeUdalostí#tlačidloMyši2()
		 *  @see ÚdajeUdalostí#tlačidloMyši3()
		 *  @see ÚdajeUdalostí#myš()
		 *  @see ÚdajeUdalostí#kolieskoMyši()
		 *  @see ÚdajeUdalostí#súradnicaMyšiX()
		 *  @see ÚdajeUdalostí#súradnicaMyšiY()
		 * 
		 * @see GRobot#pohybMyši()
		 */
		public void pohybMyši() {}

		/** <a class="alias"></a> Alias pre {@link #pohybMyši() pohybMyši}. */
		public void pohybMysi() {}

		/**
		 * Spustená pri pohybe myši nad plátnom podlahy počas držania
		 * tlačidla myši. Použite metódu {@link ÚdajeUdalostí#myš()
		 * ÚdajeUdalostí.myš()} na získanie podrobnejších údajov o tejto
		 * udalosti. Stav myši je aktualizovaný aj vo vnútorných premenných
		 * sveta.
		 * 
		 *  @see ÚdajeUdalostí#tlačidloMyši1()
		 *  @see ÚdajeUdalostí#tlačidloMyši2()
		 *  @see ÚdajeUdalostí#tlačidloMyši3()
		 *  @see ÚdajeUdalostí#myš()
		 *  @see ÚdajeUdalostí#kolieskoMyši()
		 *  @see ÚdajeUdalostí#súradnicaMyšiX()
		 *  @see ÚdajeUdalostí#súradnicaMyšiY()
		 * 
		 * @see GRobot#ťahanieMyšou()
		 */
		public void ťahanieMyšou() {}

		/** <a class="alias"></a> Alias pre {@link #ťahanieMyšou() ťahanieMyšou}. */
		public void tahanieMysou() {}

		/**
		 * Spustená pri rolovaní kolieskom myši. Použite metódu {@link
		 * ÚdajeUdalostí#myš() ÚdajeUdalostí.myš()} alebo {@link
		 * ÚdajeUdalostí#kolieskoMyši() ÚdajeUdalostí.kolieskoMyši()} na
		 * získanie podrobnejších údajov o tejto udalosti. Stav myši je
		 * aktualizovaný aj vo vnútorných premenných sveta. <!--Keď chcete
		 * obnoviť alebo zapnúť rolovanie textov vnútornej konzoly (stropu
		 * alebo podlahy), použite v tele tejto reakcie metódu plátna {@link
		 * Plátno#rolujTexty() rolujTexty}.-->
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @see ÚdajeUdalostí#tlačidloMyši1()
		 *  @see ÚdajeUdalostí#tlačidloMyši2()
		 *  @see ÚdajeUdalostí#tlačidloMyši3()
		 *  @see ÚdajeUdalostí#myš()
		 *  @see ÚdajeUdalostí#kolieskoMyši()
		 *  @see ÚdajeUdalostí#súradnicaMyšiX()
		 *  @see ÚdajeUdalostí#súradnicaMyšiY()
		 *  @see ÚdajeUdalostí#rolovanieKolieskomMyšiX()
		 *  @see ÚdajeUdalostí#rolovanieKolieskomMyšiY()
		 * 
		 * @see GRobot#rolovanieKolieskomMyši()
		 */
		public void rolovanieKolieskomMyši() {}

		/** <a class="alias"></a> Alias pre {@link #rolovanieKolieskomMyši() rolovanieKolieskomMyši}. */
		public void rolovanieKolieskomMysi() {}

		/**
		 * Spustená pri stlačení klávesu. Použite metódu
		 * {@link ÚdajeUdalostí#klávesnica() ÚdajeUdalostí.klávesnica()}
		 * na získanie podrobnejších údajov o tejto udalosti.
		 * Užitočné sú aj ďalšie metódy triedy {@link ÚdajeUdalostí
		 * ÚdajeUdalostí} uvedené v zozname nižšie.
		 * Pre túto udalosť najmä {@link ÚdajeUdalostí#kláves() kláves()}
		 * a {@link ÚdajeUdalostí#kláves(int) kláves(int)}
		 * 
		 *  @see ÚdajeUdalostí#klávesnica()
		 *  @see ÚdajeUdalostí#kláves()
		 *  @see ÚdajeUdalostí#kláves(int)
		 *  @see ÚdajeUdalostí#znak()
		 *  @see ÚdajeUdalostí#znak(char)
		 * 
		 * @see GRobot#stlačenieKlávesu()
		 */
		public void stlačenieKlávesu() {}

		/** <a class="alias"></a> Alias pre {@link #stlačenieKlávesu() stlačenieKlávesu}. */
		public void stlacenieKlavesu() {}

		/**
		 * Spustená pri uvoľnení klávesu. Použite metódu
		 * {@link ÚdajeUdalostí#klávesnica() ÚdajeUdalostí.klávesnica()}
		 * na získanie podrobnejších údajov o tejto udalosti.
		 * Užitočné sú aj ďalšie metódy triedy {@link ÚdajeUdalostí
		 * ÚdajeUdalostí} uvedené v zozname nižšie.
		 * Pre túto udalosť najmä {@link ÚdajeUdalostí#kláves() kláves()}
		 * a {@link ÚdajeUdalostí#kláves(int) kláves(int)}
		 * 
		 *  @see ÚdajeUdalostí#klávesnica()
		 *  @see ÚdajeUdalostí#kláves()
		 *  @see ÚdajeUdalostí#kláves(int)
		 *  @see ÚdajeUdalostí#znak()
		 *  @see ÚdajeUdalostí#znak(char)
		 * 
		 * @see GRobot#uvoľnenieKlávesu()
		 */
		public void uvoľnenieKlávesu() {}

		/** <a class="alias"></a> Alias pre {@link #uvoľnenieKlávesu() uvoľnenieKlávesu}. */
		public void uvolnenieKlavesu() {}

		/**
		 * Spustená pri zadaní znaku z klávesnice. Nie každý kláves generuje
		 * túto udalosť. Táto udalosť vzniká len pri stlačení a uvoľnení
		 * klávesu, ktorý produkuje znak, to znamená, že pri klávesoch ako
		 * šípky, {@code Shift}, {@code Ctrl}, {@code Cmd} a podobne táto
		 * udalosť nevzniká. Použite metódu
		 * {@link ÚdajeUdalostí#klávesnica() ÚdajeUdalostí.klávesnica()}
		 * na získanie podrobnejších údajov o tejto udalosti.
		 * Užitočné sú aj ďalšie metódy triedy {@link ÚdajeUdalostí
		 * ÚdajeUdalostí} uvedené v zozname nižšie.
		 * Pre túto udalosť najmä {@link ÚdajeUdalostí#znak() znak()}
		 * a {@link ÚdajeUdalostí#znak(char) znak(char)}
		 * 
		 *  @see ÚdajeUdalostí#klávesnica()
		 *  @see ÚdajeUdalostí#kláves()
		 *  @see ÚdajeUdalostí#kláves(int)
		 *  @see ÚdajeUdalostí#znak()
		 *  @see ÚdajeUdalostí#znak(char)
		 * 
		 * @see GRobot#zadanieZnaku()
		 */
		public void zadanieZnaku() {}


		/**
		 * Spustená pri zvolení {@linkplain Svet#pridajKlávesovúSkratku(String,
		 * int, int) klávesovej skratky}. Použite metódu {@link
		 * ÚdajeUdalostí#príkazSkratky() ÚdajeUdalostí.príkazSkratky()} na
		 * získanie textu príkazu súvisiaceho s touto klávesovou skratkou,
		 * prípadne metódu {@link ÚdajeUdalostí#udalosťSkratky()
		 * ÚdajeUdalostí.udalosťSkratky()} na získanie doplňujúcich údajov
		 * o tejto udalosti.
		 * 
		 *  @see ÚdajeUdalostí#príkazSkratky()
		 *  @see ÚdajeUdalostí#udalosťSkratky()
		 * 
		 * @see GRobot#klávesováSkratka()
		 */
		public void klávesováSkratka() {}

		/** <a class="alias"></a> Alias pre {@link #klávesováSkratka() klávesováSkratka}. */
		public void klavesovaSkratka() {}


		/* *
		 * Táto reakcia je spustená vždy, keď sa má aplikácia vyjadriť, či je
		 * ochotná akceptovať pustenie súboru alebo nie. Aplikácia to môže
		 * zvážiť napríklad podľa polohy kurzora myši. Predvolenie je pustenie
		 * súboru zakázané.
		 * 
		 * <P>Príklad najjednoduchšieho spracovania pustených súborov je
		 * v opise metódy {@link #pustenieSúboru(String)}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @return {@code valtrue} ak má byť pustenie súboru povolené,
		 *     inak {@code valfalse}
		 * /
		public boolean povoliťPustenieSúboru() { return false; }

		/** <a class="alias"></a> Alias pre {@link #povoliťPustenieSúboru() povoliťPustenieSúboru}. * /
		public boolean povolitPustenieSuboru() { return false; }

		Treba povoliť pustenie súborov prekrytím
		 * metódy {@link #povoliťPustenieSúboru() povoliťPustenieSúboru}
		 * a spracovať súbory v tejto metóde (t. j. v metóde {@code
		 * currpustenieSúboru} – tu ich len vypisujeme):

			{@code kwd@}Override {@code kwdpublic} {@code typeboolean} {@link #povoliťPustenieSúboru() povoliťPustenieSúboru}()
			{
				{@code kwdreturn} {@code valtrue};
			}*/

		/**
		 * Táto reakcia je spúšťaná počas ťahania súboru a lebo súborov nad
		 * plátnom. To umožňuje aplikácii v prípade potreby graficky
		 * zareagovať.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public void ťahanieSúborov() {}

		/** <a class="alias"></a> Alias pre {@link #ťahanieSúborov() ťahanieSúborov}. */
		public void tahanieSuborov() {}

		/**
		 * Spustená po dokončení ťahania súboru z externej aplikácie. Ak bolo
		 * z externej aplikácie potiahnutých viac súborov, tak bude táto
		 * reakcia spustená pre každý z nich osobitne.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * <P><b>Príklad:</b>
		 * <P>Toto je najjednoduchší príklad spracovania súborov potiahnutých
		 * a pustených nad plátnom.
		 * <pre CLASS="example">
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@code currpustenieSúboru}({@link String String} súbor)
			{
				{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}(súbor);
			}
			</pre>
		 * 
		 * @param súbor úplná cesta a meno súboru
		 * 
		 * @see GRobot#pustenieSúboru(String)
		 */
		public void pustenieSúboru(String súbor) {}

		/** <a class="alias"></a> Alias pre {@link #pustenieSúboru(String) pustenieSúboru}. */
		public void pustenieSuboru(String súbor) {}


		/**
		 * Spustená pri overovaní zmeny farby, ktorou má byť vypísané určité
		 * (zadané) aktívne slovo vnútornej konzoly. Pomocou tejto reakcie je
		 * možné paušálne meniť farbu všetkých aktívnych slov, odlišovať farby
		 * takých slov, ktoré už boli používateľom zvolené od takých, ktoré
		 * doteraz používateľ ani raz nezvolil a podobne. Ak si farbu aktívneho
		 * slova neželáme zmeniť, treba vrátiť hodnotu {@code valnull}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param slovo identifikátor toho aktívneho slova vnútornej konzoly,
		 *     ktorého farba má byť ovplyvnená
		 * @return nová farba aktívneho slova alebo {@code valnull}
		 * 
		 * @see GRobot#farbaAktívnehoSlova(String)
		 * @see Plátno#vypíšAktívneSlovo(String, Object[])
		 */
		public Color farbaAktívnehoSlova(String slovo) { return null; }

		/** <a class="alias"></a> Alias pre {@link #farbaAktívnehoSlova(String) farbaAktívnehoSlova}. */
		public Color farbaAktivnehoSlova(String slovo) { return null; }


		/**
		 * Výsledok (návratová hodnota) tejto reakcie môže byť overená pred
		 * zápisom {@linkplain Svet#použiKonfiguráciu() automatickej
		 * konfigurácie}. Ak iné súčasti knižnice oznámia, že konfiguráciu
		 * je potrebné uložiť, tak táto reakcia vôbec nemusí byť spustená.
		 * V prípade, že je spustená, tak ak je jej návratová hodnota rovná
		 * {@code valtrue}, tak bude spustená reakcia
		 * {@link #zapíšKonfiguráciu(GRobot.Súbor) zapíšKonfiguráciu}.
		 * (V opačnom prípade by bola uvedená reakcia spustená len
		 * vtedy, ak by bola zmenená niektorá z predvolených položiek
		 * {@linkplain Svet#použiKonfiguráciu() automatickej
		 * konfigurácie} – t. j. napríklad používateľ by presunul hlavné okno
		 * aplikácie, zmenil jeho veľkosť alebo by bol registrovaný niektorý
		 * robot na uloženie konfigurácie.)
		 * Príklad použitia je uvedený v hlavnej sekcii opisu triedy {@link
		 * ObsluhaUdalostí ObsluhaUdalostí}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @return signál dovoľujúci knižnici overiť, či bola zmenená
		 *      aspoň jedna položka konfigurácie a či je potrebné zapísať
		 *      konfiguráciu na disk; ak majú byť zmenené prvky konfigurácie
		 *      korektne zapísané na disk je nevyhnutné zariadiť, aby
		 *      návratová hodnota prekrývajúcej verzie tejto metódy bola
		 *      rovná {@code valtrue}
		 * 
		 * @see #čítajKonfiguráciu(GRobot.Súbor)
		 * @see #zapíšKonfiguráciu(GRobot.Súbor)
		 * 
		 * @see GRobot#konfiguráciaZmenená()
		 * @see Svet#použiKonfiguráciu()
		 */
		public boolean konfiguráciaZmenená() { return false; }

		/** <a class="alias"></a> Alias pre {@link #konfiguráciaZmenená() konfiguráciaZmenená}. */
		public boolean konfiguraciaZmenena() { return false; }

		/**
		 * Reakcia je vykonaná počas čítania {@linkplain
		 * Svet#použiKonfiguráciu() automatickej konfigurácie}. Je určená na
		 * prečítanie hodnôt vlastnej konfigurácie. Príklad použitia je
		 * uvedený v hlavnej sekcii opisu triedy {@link ObsluhaUdalostí
		 * ObsluhaUdalostí}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súbor inštancia triedy {@link Súbor Súbor} reprezentujúca
		 *      otvorený konfiguračný súbor pripravený na čítanie údajov
		 * 
		 * @see #konfiguráciaZmenená()
		 * @see #zapíšKonfiguráciu(GRobot.Súbor)
		 * 
		 * @see GRobot#čítajKonfiguráciu(GRobot.Súbor)
		 * @see Svet#použiKonfiguráciu()
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 */
		public void čítajKonfiguráciu(Súbor súbor) throws IOException {}

		/** <a class="alias"></a> Alias pre {@link #čítajKonfiguráciu(GRobot.Súbor) čítajKonfiguráciu}. */
		public void citajKonfiguraciu(Súbor subor) throws IOException {}

		/**
		 * Reakcia je vykonaná počas zápisu {@linkplain
		 * Svet#použiKonfiguráciu() automatickej konfigurácie}. Je určená na
		 * zápis hodnôt vlastnej konfigurácie. Príklad použitia je uvedený
		 * v hlavnej sekcii opisu triedy {@link ObsluhaUdalostí
		 * ObsluhaUdalostí}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param súbor inštancia triedy {@link Súbor Súbor} reprezentujúca
		 *      otvorený konfiguračný súbor pripravený na zápis údajov
		 * 
		 * @see #konfiguráciaZmenená()
		 * @see #čítajKonfiguráciu(GRobot.Súbor)
		 * 
		 * @see GRobot#zapíšKonfiguráciu(GRobot.Súbor)
		 * @see Svet#použiKonfiguráciu()
		 *  @exception IOException ak vznikla chyba vo vstupno/výstupnej
		 *      operácii
		 */
		public void zapíšKonfiguráciu(Súbor súbor) throws IOException {}

		/** <a class="alias"></a> Alias pre {@link #zapíšKonfiguráciu(GRobot.Súbor) zapíšKonfiguráciu}. */
		public void zapisKonfiguraciu(Súbor subor) throws IOException {}

		/**
		 * Táto reakcia súvisí s časovo náročným spracovaním údajov počas
		 * práce s pevným diskom. Napríklad s {@link Obrázok#čítaj(String)
		 * čítaním} a {@link Obrázok#ulož(String, boolean) zápisom} sekvencie
		 * PNG súborov (pozri triedu {@link Obrázok Obrázok} a jej metódy
		 * {@link Obrázok#čítaj(String) čítaj(súbor)}
		 * a {@link Obrázok#ulož(String, boolean) ulož(súbor, prepísať)})
		 * alebo {@linkplain Súbor#kopíruj(String, String) kopírovaním
		 * súborov} a podobne. Typ udalosti, ktorá spôsobila spustenie tejto
		 * reakcie je určený prvým parametrom – {@code kódSpracovania}.
		 * Ostatné parametre sú naplnené podľa ich relevantnosti.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param kódSpracovania obsahuje kód činnosti, ktorá spôsobila
		 *      vznik tejto udalosti; aktuálne platné kódy sú:
		 *      {@link #ČÍTANIE_PNG_SEKVENCIE ČÍTANIE_PNG_SEKVENCIE},
		 *      {@link #CHYBA_ČÍTANIA_PNG_SEKVENCIE
		 *      CHYBA_ČÍTANIA_PNG_SEKVENCIE}, {@link #ZÁPIS_PNG_SEKVENCIE
		 *      ZÁPIS_PNG_SEKVENCIE}, {@link #ČÍTANIE_GIF_ANIMÁCIE
		 *      ČÍTANIE_GIF_ANIMÁCIE}, {@link #ZÁPIS_GIF_ANIMÁCIE
		 *      ZÁPIS_GIF_ANIMÁCIE}, {@link #KOPÍROVANIE_SÚBOROV
		 *      KOPÍROVANIE_SÚBOROV} a {@link #POROVNANIE_SÚBOROV
		 *      POROVNANIE_SÚBOROV}
		 *  @param zdroj názov zdrojového súboru alebo {@code valnull}
		 *  @param cieľ  názov cieľového súboru alebo {@code valnull}
		 *  @param stav hodnota určujúca aktuálne spracovaný objem údajov
		 *      alebo {@code num-1}, ak táto hodnota nie je známa alebo je
		 *      irelevantná
		 *  @param celkovo hodnota určujúca celkový objem údajov, ktorý má byť
		 *      spracovaný alebo {@code num-1}, ak táto hodnota nie je známa
		 *      alebo je irelevantná
		 */
		public void sekvencia(int kódSpracovania, String zdroj,
			String cieľ, long stav, long celkovo) {}

		/**
		 * Táto reakcia je vykonávaná v {@linkplain Svet#režimLadenia(boolean)
		 * režime ladenia}.
		 * Návratová hodnota reakcie je odpoveďou na otázku položenú
		 * {@linkplain Svet#režimLadenia(boolean) režimom ladenia}
		 * nadradenému procesu prostredníctvom parametra {@code správa}.
		 * Hodnota parametra {@code správa} môže byť jedna z nasledujúcich:
		 * 
		 * <P>&nbsp;
		 * <table class="commands">
		 * <tr><td>{@link #VYPÍSAŤ_PREMENNÉ VYPÍSAŤ_PREMENNÉ}</td><td
		 * >–</td><td>Má režim ladenia vypísať obsah všetkých premenných
		 * (pred začatím vykonávania skriptu)?</td></tr>
		 * <tr><td>{@link #VYPÍSAŤ_MENOVKU VYPÍSAŤ_MENOVKU}</td><td
		 * >–</td><td>Má režim ladenia vypísať (pred začatím vykonávania
		 * skriptu) definíciu menovky, ktorú našiel pri predbežnej analýze
		 * skriptu?</td></tr>
		 * <tr><td>{@link #VYPÍSAŤ_RIADOK VYPÍSAŤ_RIADOK}</td><td>–</td><td>Má
		 * režim ladenia vypísať aktuálny riadok skriptu?</td></tr>
		 * <tr><td>{@link #ČAKAŤ ČAKAŤ}</td><td>–</td><td>Má režim ladenia
		 * čakať pred vykonaním riadka skriptu? Ak je odpoveď „áno“,
		 * tak je táto správa posielaná opakovane (každých 350 ms).</td></tr>
		 * <tr><td>{@link #PRERUŠIŤ PRERUŠIŤ}</td><td>–</td><td>Má režim
		 * prerušiť vykonávanie skriptu?</td></tr>
		 * <tr><td>{@link #ZABRÁNIŤ_VYKONANIU ZABRÁNIŤ_VYKONANIU}</td><td
		 * >–</td><td>Má režim v poslednej chvíli zabrániť vykonaniu
		 * príkazu s konkrétnymi hodnotami argumentov?</td></tr>
		 * <tr><td>{@link #VYPÍSAŤ_PRÍKAZ VYPÍSAŤ_PRÍKAZ}</td><td>–</td><td>Má
		 * režim vypísať ozvenu potvrdeného príkazu {@linkplain
		 * Svet#interaktívnyRežim(boolean) interaktívneho režimu}?</td></tr>
		 * <tr><td>{@link #VYKONAŤ_PRÍKAZ VYKONAŤ_PRÍKAZ}</td><td>–</td><td>Má
		 * režim vykonať potvrdený príkaz {@linkplain
		 * Svet#interaktívnyRežim(boolean) interaktívneho režimu}?</td></tr>
		 * <tr><td>{@link #UKONČENIE_SKRIPTU UKONČENIE_SKRIPTU}</td><td
		 * >–</td><td>{@linkplain Svet#spustiSkript(String[]) Vykonávanie
		 * skriptu v samostatnom vlákne} oznamuje, že jeho činnosť bola
		 * ukončená (bez chyby).</td></tr>
		 * <tr><td>{@link #UKONČENIE_CHYBOU UKONČENIE_CHYBOU}</td><td
		 * >–</td><td>{@linkplain Svet#spustiSkript(String[]) Vykonávanie
		 * skriptu v samostatnom vlákne} oznamuje, že jeho činnosť bola
		 * ukončená chybou. V parametri {@code riadok} je číslo riadka, na
		 * ktorom vznikla chyba a reťazec parametra {@code príkaz} obsahuje
		 * v tomto prípade jednoduchý text chybového hlásenia.</td></tr>
		 * 
		 * <tr><td>{@link #ČÍSELNÁ_PREMENNÁ ČÍSELNÁ_PREMENNÁ}<br />
		 * {@link #FAREBNÁ_PREMENNÁ FAREBNÁ_PREMENNÁ}<br />
		 * {@link #POLOHOVÁ_PREMENNÁ POLOHOVÁ_PREMENNÁ}<br />
		 * {@link #REŤAZCOVÁ_PREMENNÁ REŤAZCOVÁ_PREMENNÁ}</td><td
		 * >–</td><td>Má režim vypísať obsah premennej prislúchajúceho
		 * údajového typu? Táto otázka vznikne vždy, keď sa zmení hodnota
		 * premennej.</td></tr>
		 * </table>
		 * 
		 * <P>&nbsp;
		 * <P>Ak je {@linkplain Svet#režimLadenia(boolean) režim ladenia}
		 * zapnutý počas {@linkplain Svet#interaktívnyRežim(boolean)
		 * interaktívneho režimu}, tak pred vykonaním každého potvrdeného
		 * riadka vznikne otázka typu {@link #VYKONAŤ_PRÍKAZ VYKONAŤ_PRÍKAZ}.
		 * 
		 * <P><b>Príklad:</b>
		 * <pre CLASS="example">
			{@code kwdimport} knižnica.{@link GRobot GRobot};

			{@code kwdpublic} {@code typeclass} RežimLadeniaInteraktívne {@code kwdextends} {@link GRobot GRobot}
			{
				{@code kwdprivate} RežimLadeniaInteraktívne()
				{
					{@link GRobot#interaktívnyRežim(boolean) interaktívnyRežim}({@code valtrue});
					{@link Svet Svet}.{@link Svet#režimLadenia(boolean) režimLadenia}({@code valtrue});
					{@link Svet Svet}.{@link Svet#vypíš(Object[]) vypíš}({@code valthis});

					{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
					{
						{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#potvrdenieÚdajov() potvrdenieÚdajov}()
						{
							{@link Farba Farba} záloha = {@link Svet Svet}.{@link Svet#farbaTextu() farbaTextu}();
							{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}(červená);
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg"Chyba"});
							{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}(záloha);
						}

						{@code kwd@}Override {@code kwdpublic} {@code typeboolean} {@code currladenie}(
							{@code typeint} riadok, String príkaz, {@code typeint} správa)
						{
							{@code kwdswitch} (správa)
							{
							{@code kwdcase} {@link GRobot#VYPÍSAŤ_PRÍKAZ VYPÍSAŤ_PRÍKAZ}:
							{@code kwdcase} {@link GRobot#VYKONAŤ_PRÍKAZ VYKONAŤ_PRÍKAZ}:
								{@code kwdreturn} {@code valtrue};
							}

							{@code kwdif} (správa &lt; {@code num0}) {@code kwdreturn} {@code valtrue};

							{@link Farba Farba} záloha = {@link Svet Svet}.{@link Svet#farbaTextu() farbaTextu}();
							{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}(purpurová);
							{@link Svet Svet}.{@link Svet#vypíšRiadok(Object[]) vypíšRiadok}({@code srg" × "}, príkaz);
							{@link Svet Svet}.{@link Svet#farbaTextu(java.awt.Color) farbaTextu}(záloha);
							{@code kwdreturn} {@code valfalse};
						}
					};

					{@link Svet Svet}.{@link Svet#registrujRobota() registrujRobota}();
					{@link Svet Svet}.{@link Svet#čítajKonfiguráciuSveta() čítajKonfiguráciuSveta}();
				}

				{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}[] args)
				{
					{@link Svet Svet}.{@link Svet#použiKonfiguráciu() použiKonfiguráciu}();
					{@link Svet Svet}.{@link Svet#nekresli() nekresli}();
					{@code kwdnew} RežimLadeniaInteraktívne();
					{@link Svet Svet}.{@link Svet#kresli() kresli}();
					{@link Svet Svet}.{@link Svet#aktivujVstupnýRiadok() aktivujVstupnýRiadok}();
				}
			}
			</pre>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @param riadok poradové číslo riadka skriptu alebo hodnota −1
		 * (ktorá signalizuje, že číslo riadka nie je známe)
		 * @param príkaz príkaz skriptu, prípadne názov premennej
		 * @param správa typ správy, na ktorú sa režim pokúša získať odpoveď
		 * od nadradeného procesu (pozri vyššie)
		 * @return návratová hodnota je odpoveďou na správu poslanú parametrom
		 * <code>správa</code>; {@code valtrue} – kladná odpoveď na niektorú
		 * z vyššie položených otázok; {@code valfalse} – záporná odpoveď na
		 * niektorú z vyššie položených otázok
		 * 
		 * @see Svet#interaktívnyRežim(boolean)
		 * @see Svet#interaktívnaInštancia(String)
		 * @see Svet#režimLadenia(boolean)
		 * @see Svet#vykonajPríkaz(String)
		 * @see Svet#vykonajSkript(String[])
		 */
		public boolean ladenie(int riadok, String príkaz, int správa)
		{
			if (VYKONAŤ_PRÍKAZ == správa) return true;
			return false;
		}
	}

	/** <a class="alias"></a> Alias pre {@link ObsluhaUdalostí ObsluhaUdalostí}. */
	public static class ObsluhaUdalosti extends ObsluhaUdalostí
	{ public ObsluhaUdalosti() { super(); } }

	// Pretože v dokumentácii často hovorím aj o spracovaní udalostí:

	/** <a class="alias"></a> Alias pre {@link ObsluhaUdalostí ObsluhaUdalostí}. */
	public static class SpracovanieUdalostí extends ObsluhaUdalostí
	{ public SpracovanieUdalostí() { super(); } }

	/** <a class="alias"></a> Alias pre {@link ObsluhaUdalostí ObsluhaUdalostí}. */
	public static class SpracovanieUdalosti extends ObsluhaUdalostí
	{ public SpracovanieUdalosti() { super(); } }


	// ------------------------ //
	//  *** Trieda Častica ***  //
	// ------------------------ //

	/**
	 * Toto je pomocná trieda určená na tvorbu časticových simulácií.
	 * Implementuje dve základné rozhrania {@link Poloha Poloha}
	 * a {@link Smer Smer}, čiže táto trieda obsahuje iba metódy na zistenie
	 * polohy a smeru častice, ostatnú funkcionalitu je potrebné
	 * doprogramovať.
	 * <P>Výhodou takejto implementácie je jej odľahčenosť a široké možnosti
	 * použitia. Častica rezervuje omnoho menej prostriedkov ako robot, ale dá
	 * sa použiť na mnohých miestach v knižnici grafického robota namiesto
	 * robota alebo iného objektu implementujúceho rozhranie polohy alebo
	 * smeru.
	 * 
	 * <P><b>Príklad:</b>
	 * <P>Tento príklad ukazuje využitie triedy {@code currČastica} pri
	 * implementácii simulácie ohňostroja.
	 * <pre CLASS="example">
		{@code kwdimport} knižnica.{@link GRobot GRobot};

		{@code kwdpublic} {@code typeclass} Ohňostroj {@code kwdextends} {@link GRobot GRobot}
		{
			{@code comm// Vnorená súkromná trieda reprezentujúca raketu ohňostroja. Je}
			{@code comm// odvodená od triedy Častica a rozširuje ju len mierne. Definuje}
			{@code comm// novú metódu (reakciu) aktivita, ktorá sa stará o fungovanie aktívnej}
			{@code comm// rakety (spúšťa rovnomennú reakciu aktívnych čiastočiek – pozri}
			{@code comm// nižšie).}
			{@code kwdprivate} {@code typeclass} Raketa {@code kwdextends} {@code currČastica}
			{
				{@code comm// Ďalšia vnorená tried (druhá úroveň), ktorá reprezentuje čiastočku}
				{@code comm// vybuchnutej rakety. Tiež je odvodená od triedy Častica, no}
				{@code comm// rozširuje ju o málo viac než trieda Raketa. Čiastočka totiž musí}
				{@code comm// mať okrem aktivity definovanú ešte rýchlosť a zrýchlenie}
				{@code comm// (vlastnosti, ktoré má robot definované predvolene, ale použitie}
				{@code comm// robota by nebolo efektívne – bolo by to ako použiť Ferrari na}
				{@code comm// jazdu do obchodu, ktorý je krížom cez ulicu). Metóda reset slúži}
				{@code comm// na opätovné nastavenie počiatočných hodnôt vlastností čiastočky.}
				{@code kwdprivate} {@code typeclass} Čiastočka {@code kwdextends} {@code currČastica}
				{
					{@code comm// Atribút rýchlosti posunu v smere osi x.}
					{@code kwdpublic} {@code typedouble} vx = {@code num0};

					{@code comm// Atribút rýchlosti posunu v smere osi y.}
					{@code kwdpublic} {@code typedouble} vy = {@code num0};

					{@code comm// Atribút zrýchlenia posunu v smere osi x.}
					{@code kwdpublic} {@code typedouble} ax = {@code num0};

					{@code comm// Atribút zrýchlenia posunu v smere osi y.}
					{@code kwdpublic} {@code typedouble} ay = {@code num0};

					{@code comm// Atribút životnosti čiastočky v tikoch.}
					{@code kwdpublic} {@code typeint} život = {@code num0};

					{@code comm// Definovanie vlastnej reakcie na časovač – má za úlohu}
					{@code comm// zabezpečiť činnosť aktívnych čiastočiek a tiež postupné}
					{@code comm// ubúdanie života čiastočky.}
					{@code kwdpublic} {@code typevoid} aktivita()
					{
						{@code kwdif} (život &gt; {@code num0})
						{
							x += vx;
							y += vy;
							vx += ax;
							vy += ay;
							--život;
						}
					}

					{@code comm// Táto metóda slúži na nastavenie počiatočných hodnôt}
					{@code comm// vlastností čiastočky.}
					{@code kwdpublic} {@code typevoid} reset()
					{
						{@code comm// Nastavenie súradníc podľa nadradenej triedy rakety:}
						x = Raketa.{@code valthis}.x;
						y = Raketa.{@code valthis}.y;

						{@code comm// Voľba nových parametrov (využíva sa aktuálna inštancia}
						{@code comm// najvyššej hierarchicky, nie dedične, nadradenej triedy):}
						Ohňostroj.{@code valthis}.{@link GRobot#domov() domov}();
						Ohňostroj.{@code valthis}.{@link GRobot#náhodnýSmer() náhodnýSmer}();
						{@code typedouble} a = {@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}(-{@code num0.25}, -{@code num0.8});
						{@code typedouble} v = {@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num8}, {@code num10});

						{@code comm// Nastavenie nového zrýchlenia:}
						Ohňostroj.{@code valthis}.{@link GRobot#dopredu(double) dopredu}(a);
						ax = Ohňostroj.{@code valthis}.{@link GRobot#polohaX() polohaX}();
						ay = Ohňostroj.{@code valthis}.{@link GRobot#polohaY() polohaY}();

						{@code comm// Nastavenie novej (počiatočnej) rýchlosti:}
						Ohňostroj.{@code valthis}.{@link GRobot#dopredu(double) dopredu}(v &#45; a);
						vx = Ohňostroj.{@code valthis}.{@link GRobot#polohaX() polohaX}();
						vy = Ohňostroj.{@code valthis}.{@link GRobot#polohaY() polohaY}();

						{@code comm// Gravitácia:}
						ay -= {@code num0.1};

						{@code comm// Náhodná dĺžka života:}
						život = ({@code typeint}){@link Svet Svet}.{@link Svet#náhodnéCeléČíslo(long, long) náhodnéCeléČíslo}({@code num8}, {@code num16});
					}
				}

				{@code comm// Vnútorný zoznam čiastočiek každej rakety. (V konštruktore nižšie}
				{@code comm// je určené, že každá raketa bude obsahovať presne 50 čiastočiek.)}
				{@code kwdprivate} {@code kwdfinal} {@link Zoznam Zoznam}&lt;Čiastočka&gt; čiastočky = {@code kwdnew} {@link GRobot.Zoznam#GRobot.Zoznam() Zoznam}&lt;Čiastočka&gt;();

				{@code comm// Konštruktor rakety.}
				{@code kwdpublic} Raketa()
				{
					{@code comm// Vytvorenie 50 čiastočiek:}
					{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num50}; ++i)
						čiastočky.pridaj({@code kwdnew} Čiastočka());
				}

				{@code comm// Táto metóda sa stará o „štart“ rakety. V tejto implementácii je to}
				{@code comm// iba odpálenie rakety na náhodnej pozícii (raketa nevyletuje).}
				{@code kwdpublic} {@code typevoid} štart()
				{
					{@link #náhodnáPoloha() náhodnáPoloha}();
					{@code kwdfor} (Čiastočka čiastočka : čiastočky) čiastočka.reset();
				}

				{@code comm// Definovanie vlastnej reakcie na časovač – má za úlohu}
				{@code comm// zabezpečiť činnosť a kreslenie aktívnych rakiet.}
				{@code kwdpublic} {@code typevoid} aktivita()
				{
					{@code kwdfor} (Čiastočka čiastočka : čiastočky)
						{@code kwdif} (čiastočka.život &gt; {@code num0})
						{
							čiastočka.aktivita();
							{@link GRobot#skočNa(Poloha) skočNa}(čiastočka);
							{@link GRobot#krúžok() krúžok}();
						}
				}
			}

			{@code comm// Vnútorný zoznam rakiet ohňostroja. (V konštruktore je ich vytvorených}
			{@code comm// desať.)}
			{@code kwdprivate} {@code kwdfinal} {@link Zoznam Zoznam}&lt;Raketa&gt; rakety = {@code kwdnew} {@link GRobot.Zoznam#GRobot.Zoznam() Zoznam}&lt;Raketa&gt;();

			{@code comm// Konštruktor ohňostroja.}
			{@code kwdprivate} Ohňostroj()
			{
				{@code comm// Nastavenie parametrov jedinej inštancie robota, ktorá bude použitá}
				{@code comm// na kreslenie čiastočiek rakiet:}
				{@link GRobot#zdvihniPero() zdvihniPero}();
				{@link GRobot#veľkosť(double) veľkosť}({@code num3});
				{@link GRobot#skry() skry}();

				{@code comm// Pridanie desiatich rakiet do vnútorného zoznamu:}
				{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num10}; ++i)
					rakety.{@link Zoznam#pridaj(Object) pridaj}({@code kwdnew} Raketa());

				{@code comm// Spustenie časovača (inak by ohňostroj nefungoval):}
				{@link Svet Svet}.{@link Svet#spustiČasovač() spustiČasovač}();
			}

			{@code comm// Po každom kliknutí sa odpáli ďalšia raketa (po odpálení poslednej}
			{@code comm// sa pokračuje opäť prvou).}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#klik() klik}()
			{
				rakety.{@link Zoznam#ďalší() ďalší}().štart();
			}

			{@code comm// Pri každom tiku sa prekreslí obrazovka a zabezpečí sa fungovanie}
			{@code comm// aktívnych rakiet.}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#tik() tik}()
			{
				{@link Svet Svet}.{@link Svet#vymažGrafiku() vymažGrafiku}();
				{@code kwdfor} (Raketa raketa : rakety) raketa.aktivita();
			}

			{@code comm// Hlavná metóda.}
			{@code kwdpublic} {@code kwdstatic} {@code typevoid}  ... args)
			{
				Svet.použiKonfiguráciu({@code srg"ohnostroj.cfg"});
				{@code kwdnew} Ohňostroj();
			}
		}
		</pre>
	 * <P><b>Výsledok:</b>
	 * <P><image>ohnostroj.png</image>Ukážka náhodného výsledku po
	 * niekoľkých klikoch
	 * 
	 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
	 */
	public static class Častica implements Poloha, Smer
	{
		/**
		 * Atribút súradnice x polohy častice.
		 */
		public double x = 0;

		/**
		 * Atribút súradnice y polohy častice.
		 */
		public double y = 0;

		/**
		 * Atribút smeru častice.
		 */
		public double uhol = 90;

		/** <a class="getter"></a> Metóda vráti súradnicu x polohy častice. */
		public double polohaX() { return x; }

		/** <a class="getter"></a> Metóda vráti súradnicu y polohy častice. */
		public double polohaY() { return y; }

		/** <a class="getter"></a> Metóda vráti súradnicu x polohy častice. */
		public double súradnicaX() { return x; }

		/** <a class="getter"></a> Metóda vráti súradnicu x polohy častice. */
		public double suradnicaX() { return x; }

		/** <a class="getter"></a> Metóda vráti súradnicu y polohy častice. */
		public double súradnicaY() { return y; }

		/** <a class="getter"></a> Metóda vráti súradnicu y polohy častice. */
		public double suradnicaY() { return y; }

		/** <a class="getter"></a> Metóda vráti objekt spájajúce obidve súradnice polohy častice. */
		public Bod poloha() { return new Bod(x, y); }


		// /**
		//  * <a class="setter"></a> Metóda nastaví nové súradnice častice podľa zadaného bodu.
		//  * @param bod bod určujúci novú polohu častice
		//  */
		// public void poloha(Point2D bod)
		// {
		// 	x = bod.getX();
		// 	y = bod.getY();
		// }

		/**
		 * <a class="setter"></a> Metóda nastaví nové súradnice častice podľa zadaného bodu.
		 * @param bod bod určujúci novú polohu častice
		 */
		public void poloha(Poloha bod)
		{
			x = bod.polohaX();
			y = bod.polohaY();
		}


		/** <a class="getter"></a> Metóda vráti smer častice. */
		public double uhol() { return uhol; }

		/** <a class="getter"></a> Metóda vráti smer častice. */
		public double smer() { return uhol; }


		/**
		 * <a class="setter"></a> Metóda nastaví nový smer častice.
		 * @param uhol hodnota určujúca nový uhol častice
		 */
		public void uhol(double uhol) { this.uhol = uhol; }

		/**
		 * <a class="setter"></a> Metóda nastaví nový smer častice.
		 * @param uhol hodnota určujúca nový uhol častice
		 */
		public void smer(double uhol) { this.uhol = uhol; }


		/**
		 * <a class="setter"></a> Metóda nastaví nový smer častice.
		 * @param uhol objekt určujúci nový uhol častice
		 */
		public void uhol(Smer objekt) { uhol = objekt.uhol(); }

		/**
		 * <a class="setter"></a> Metóda nastaví nový smer častice.
		 * @param uhol objekt určujúci nový uhol častice
		 */
		public void smer(Smer objekt) { uhol = objekt.uhol(); }


		/**
		 * Vygeneruje pre časticu náhodné súradnice x a y, ktoré budú v rozsahu
		 * hraničných hodnôt plochy plátien sveta grafického robota.
		 */
		public void náhodnáPoloha()
		{
			x = Svet.náhodnéReálneČíslo(Svet.najmenšieX(), Svet.najväčšieX());
			y = Svet.náhodnéReálneČíslo(Svet.najmenšieY(), Svet.najväčšieY());
		}

		/**
		 * Vygeneruje pre časticu náhodnú hodnotu smeru.
		 */
		public void náhodnýSmer()
		{
			uhol = Svet.náhodnéReálneČíslo(0, 360);
		}

		/**
		 * Táto metóda je predvolene prázdna. Je určená na prekrytie v triedach
		 * odvodených od častice. Častica môže byť chápaná ako odľahčená verzia
		 * robota. O celú jej funkčnosť (vrátane aktivity) sa musí postarať
		 * programátor, ktorý sa ju rozhodne rozšíriť a využiť na svoje účely.
		 * Aktivita častice nie je v knižnici grafického robota nikde vnútorne
		 * použitá, ale jej definícia v tejto triede poskytuje spoločný bod
		 * použitia všetkých odvodených tried.
		 */
		public void aktivita() {}
	}

	/** <a class="alias"></a> Alias pre {@link Častica Častica}. */
	public static class Castica extends Častica
	{ public Castica() { super(); } }


	// -------------------- //
	//  *** Trieda Bod ***  //
	// -------------------- //

	/**
	 * Táto trieda uchováva súradnice x, y, pričom súčasne reprezentuje
	 * inštanciu bodu Javy {@link Point2D Point2D} a implementáciu rozhrania
	 * {@link Poloha Poloha} knižnice grafického robota. Účelom tejto
	 * triedy je zlepšenie vnútornej kompatibility v knižnici grafického
	 * robota. Niektoré metódy s návratovou hodnotou {@link Poloha Poloha}
	 * v skutočnosti vracajú objekt typu {@code currBod}.
	 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
	 */
	public static class Bod extends Point2D implements Poloha
	{
		private double x, y;

		private final static Pattern xyMatch = Pattern.compile(
			"[Xx][Yy] *\\( *[-+.0-9A-Ea-eNPpXx]+ *, " +
			"*[-+.0-9A-Ea-eNPpXx]+ *\\)");

		private final static Pattern xySplit = Pattern.compile(
			"[Xx][Yy] *\\( *| *, *| *\\)");

		private final static Pattern coordMatch = Pattern.compile(
			"\\[ *[-+.0-9A-Ea-eNPpXx]+ *, *[-+.0-9A-Ea-eNPpXx]+ *\\]");

		private final static Pattern coordSplit = Pattern.compile(
			"\\[ *| *, *| *\\]");


		/**
		 * Predvolený konštruktor – nastaví súradnice bodu na hodnotu [0, 0].
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 */
		public Bod() { x = y = 0; }

		/**
		 * Konštruktor – prijíma súradnice bodu.
		 * @param x počiatočná x-ová súradnica tohto objektu
		 * @param y počiatočná y-ová súradnica tohto objektu
		 */
		public Bod(double x, double y) { setLocation(x, y); }

		/**
		 * Konštruktor – prijíma objekt určujúci bod.
		 * @param bod objekt určujúci počiatočné súradnice tohto objektu
		 */
		public Bod(Point2D bod) { setLocation(bod.getX(), bod.getY()); }

		/**
		 * Kopírovací konštruktor.
		 * @param bod iná inštancia bodu, ktorá bude skopírovaná
		 */
		public Bod(Bod bod) { setLocation(bod.x, bod.y); }

		/**
		 * <a class="getter"></a> Vráti aktuálnu x-ovú súradnicu bodu.
		 *  @return aktuálna x-ová súradnica bodu
		 */
		// @Override // netreba, lebo ide o abstraktnú metódu
		public double getX() { return x; }

		/**
		 * <a class="getter"></a> Vráti aktuálnu y-ovú súradnicu bodu.
		 *  @return aktuálna y-ová súradnica bodu
		 */
		// @Override // netreba, lebo ide o abstraktnú metódu
		public double getY() { return y; }

		/**
		 * <a class="setter"></a> Nastaví nové súradnice tohto bodu.
		 *  @param x nová x-ová súradnica bodu
		 *  @param y nová y-ová súradnica bodu
		 */
		// @Override // netreba, lebo ide o abstraktnú metódu
		public void setLocation(double x, double y)
		{ this.x = x; this.y = y; }

		// Pozor! Neimplementovať viac setterov – vyžadovalo by to
		// komplikované preťaženie inštancie stred


		/**
		 * <a class="getter"></a> Vráti aktuálnu x-ovú súradnicu bodu.
		 *  @return aktuálna x-ová súradnica bodu
		 */
		public double polohaX() { return x; }

		/**
		 * <a class="getter"></a> Vráti aktuálnu y-ovú súradnicu bodu.
		 *  @return aktuálna y-ová súradnica bodu
		 */
		public double polohaY() { return y; }

		/**
		 * <a class="getter"></a> Vráti aktuálnu x-ovú súradnicu bodu.
		 *  @return aktuálna x-ová súradnica bodu
		 */
		public double súradnicaX() { return x; }

		/**
		 * <a class="getter"></a> Vráti aktuálnu x-ovú súradnicu bodu.
		 *  @return aktuálna x-ová súradnica bodu
		 */
		public double suradnicaX() { return x; }

		/**
		 * <a class="getter"></a> Vráti aktuálnu y-ovú súradnicu bodu.
		 *  @return aktuálna y-ová súradnica bodu
		 */
		public double súradnicaY() { return y; }

		/**
		 * <a class="getter"></a> Vráti aktuálnu y-ovú súradnicu bodu.
		 *  @return aktuálna y-ová súradnica bodu
		 */
		public double suradnicaY() { return y; }

		/**
		 * <a class="getter"></a> V tomto prípade vráti samého seba. Táto
		 * metóda je súčasťou úplnej implementácie rozhrania {@link Poloha
		 * Poloha}. Metóda je používaná inštanciami ostatných tried knižnice
		 * grafického robota.
		 */
		public Bod poloha() { return this; }

		/**
		 * <a class="setter"></a> Nastaví nové súradnice tohto bodu.
		 *  @param x nová x-ová súradnica bodu
		 *  @param y nová y-ová súradnica bodu
		 */
		public void poloha(double x, double y)
		{ this.x = x; this.y = y; }

		/**
		 * <a class="setter"></a> Nastaví nové súradnice tohto bodu podľa
		 * zadanej implementácie polohy.
		 *  @param poloha poloha obsahujúca nové súradnice bodu
		 */
		public void poloha(Poloha poloha)
		{ this.x = poloha.polohaX(); this.y = poloha.polohaY(); }

		// Pozor! Neimplementovať viac setterov – vyžadovalo by to
		// komplikované preťaženie inštancie stred



		/**
		 * Zistí vzdialenosť tohto bodu od bodu zadaného prostredníctvom
		 * súradníc.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 *  @param súradnicaX x-ová súradnica bodu
		 *  @param súradnicaY y-ová súradnica bodu
		 *  @return vzdialenosť medzi týmto a zadaným bodom
		 */
		public double vzdialenosťOd(double súradnicaX, double súradnicaY)
		{ return Math.hypot(súradnicaX - x, súradnicaY - y); }

		/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(double, double) vzdialenosťOd}. */
		public double vzdialenostOd(double súradnicaX, double súradnicaY)
		{ return vzdialenosťOd(súradnicaX, súradnicaY); }

		/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(double, double) vzdialenosťOd}. */
		public double vzdialenosťK(double súradnicaX, double súradnicaY)
		{ return Math.hypot(súradnicaX - x, súradnicaY - y); }

		/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(double, double) vzdialenosťOd}. */
		public double vzdialenostK(double súradnicaX, double súradnicaY)
		{ return vzdialenosťK(súradnicaX, súradnicaY); }


		/**
		 * Zistí vzdialenosť medzi týmto bodom a zadaným objektom.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param objekt objekt implementujúci rozhranie poloha
		 *  @return vzdialenosť medzi týmto bodom a zadaným objektom
		 * 
		 *  @see #vzdialenosť()
		 *  @see #vzdialenosťOd(double, double)
		 *  @see #vzdialenosťOd(Poloha)
		 *  @see #vzdialenosťOd(Shape)
		 *  @see #vzdialenosťOdMyši()
		 *  @see Svet#vzdialenosť(Poloha)
		 */
		public double vzdialenosťOd(Poloha objekt)
		{ return Math.hypot(objekt.polohaX() - x, objekt.polohaY() - y); }

		/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Poloha) vzdialenosťOd}. */
		public double vzdialenostOd(Poloha objekt) { return vzdialenosťOd(objekt); }

		/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Poloha) vzdialenosťOd}. */
		public double vzdialenosťK(Poloha objekt)
		{ return Math.hypot(objekt.polohaX() - x, objekt.polohaY() - y); }

		/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Poloha) vzdialenosťOd}. */
		public double vzdialenostK(Poloha objekt) { return vzdialenosťK(objekt); }

		/**
		 * Zistí vzdialenosť medzi týmto bodom a stredom
		 * hraníc<sup>[1]</sup> zadaného tvaru.
		 * 
		 * <P><small>[1] – nejde presne o stred útvaru; je použitý
		 * najrýchlejší a najjednoduchší spôsob zistenia približného
		 * stredu: vezme sa obdĺžnik tesne ohraničujúci útvar a určí sa
		 * jeho stred – čiže „stred hraníc“</small>
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 *  @param tvar  tvar Javy ({@link Shape Shape})
		 *  @return vzdialenosť medzi bodom a stredom hraníc zadaného tvaru
		 * 
		 *  @see #vzdialenosť()
		 *  @see #vzdialenosťOd(Poloha)
		 *  @see #vzdialenosťOdMyši()
		 */
		public double vzdialenosťOd(Shape tvar)
		{
			Rectangle2D hranice = tvar.getBounds2D();

			return Math.hypot(
				(prepočítajSpäťX(hranice.getX()) +
					hranice.getWidth() / 2) - x,
				(prepočítajSpäťY(hranice.getY()) -
					hranice.getHeight() / 2) - y);
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Shape) vzdialenosťOd}. */
		public double vzdialenostOd(Shape tvar) { return vzdialenosťOd(tvar); }

		/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Shape) vzdialenosťOd}. */
		public double vzdialenosťK(Shape tvar)
		{
			Rectangle2D hranice = tvar.getBounds2D();

			return Math.hypot(
				(prepočítajSpäťX(hranice.getX()) +
					hranice.getWidth() / 2) - x,
				(prepočítajSpäťY(hranice.getY()) -
					hranice.getHeight() / 2) - y);
		}

		/** <a class="alias"></a> Alias pre {@link #vzdialenosťOd(Shape) vzdialenosťOd}. */
		public double vzdialenostK(Shape tvar) { return vzdialenosťK(tvar); }

		/**
		 * Zistí vzdialenosť medzi týmto bodom a aktuálnymi súradnicami
		 * myši.
		 * 
		 *  @return vzdialenosť medzi týmto bodom a súradnicami myši
		 * 
		 *  @see #vzdialenosť()
		 *  @see #vzdialenosťOd(Poloha)
		 *  @see Svet#vzdialenosť(Poloha)
		 */
		public double vzdialenosťOdMyši()
		{ return Math.hypot(súradnicaMyšiX - x, súradnicaMyšiY - y); }

		/** <a class="alias"></a> Alias pre {@link #vzdialenosťOdMyši() vzdialenosťOdMyši}. */
		public double vzdialenostOdMysi() { return vzdialenosťOdMyši(); }

		/** <a class="alias"></a> Alias pre {@link #vzdialenosťOdMyši() vzdialenosťOdMyši}. */
		public double vzdialenosťKMyši()
		{ return Math.hypot(súradnicaMyšiX - x, súradnicaMyšiY - y); }

		/** <a class="alias"></a> Alias pre {@link #vzdialenosťOdMyši() vzdialenosťOdMyši}. */
		public double vzdialenostKMysi() { return vzdialenosťKMyši(); }


		/**
		 * Zistí, aká je vzdialenosť tohto bodu od stredu súradnicovej
		 * sústavy.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 *  @return vzdialenosť bodu od stredu súradnicovej sústavy
		 */
		public double vzdialenosť() { return Math.hypot(x, y); }

		/** <a class="alias"></a> Alias pre {@link #vzdialenosť() vzdialenosť}. */
		public double vzdialenost() { return vzdialenosť(); }


		/**
		 * Táto statická metóda prepočíta súradnice stredu ohraničujúceho
		 * obdĺžnika zadaného tvaru (skrátene „stredu tvaru“) zo
		 * súradnicového priestoru Javy do súradnicového priestoru
		 * knižnice grafického robota (skrátene „vráti polohu zadaného
		 * objektu“). O súradnicových priestoroch sa podrobnejšie píše
		 * napríklad v opisoch metód {@link GRobot#cesta() GRobot.cesta()},
		 * {@link SVGPodpora#zapíš(String, String, boolean)
		 * SVGpodpora.zapíš(…)}, {@link SVGPodpora#čítaj(String)
		 * SVGpodpora.čítaj(meno)} a priebežne v celej dokumentácii.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param tvar tvar, ktorého polohu chceme zistiť
		 * @return objekt typu {@link Bod Bod} so súradnicami „stredu tvaru“
		 */
		public static Bod polohaTvaru(Shape tvar)
		{
			Rectangle2D hranice = tvar.getBounds2D();
			double Δx = (prepočítajSpäťX(hranice.getX()) +
				hranice.getWidth() / 2);
			double Δy = (prepočítajSpäťY(hranice.getY()) -
				hranice.getHeight() / 2);
			return new Bod(Δx, Δy);
		}


		/**
		 * Reťazcová reprezentácia tohto bodu na účely ladenia obsahujúca
		 * informácie o súradniciach. Pozri aj metódy
		 * {@link #polohaNaReťazec(Poloha) polohaNaReťazec},
		 * {@link #reťazecNaPolohu(String) reťazecNaPolohu},
		 * {@link #bodNaReťazec(Point2D) bodNaReťazec}
		 * a {@link #reťazecNaBod(String) reťazecNaBod}.
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * @return reťazcová reprezentácia tohto bodu na účely ladenia
		 * obsahujúca informácie o súradniciach
		 */
		@Override public String toString()
		{ return this.getClass().getName() + "[x=" + x + ",y=" + y + "]"; }


		/**
		 * Prevedie zadanú implementáciu rozhrania {@link Poloha Poloha}
		 * (čiže nielen bodu – vstupom môže byť napríklad {@link GRobot
		 * robot}, {@link Oblasť oblasť}, {@link Tlačidlo tlačidlo},
		 * {@link Častica častica}…) do textovej podoby, ktorá bude
		 * reprezentovať polohu so súradnicami x a y.
		 * (Vhodné napríklad pri ukladaní údajov do konfiguračného súboru.)
		 * @param poloha poloha, ktorá má byť prevedená do reťazcovej podoby
		 * @return poloha prevedená do reťazcovej podoby
		 * @see #reťazecNaPolohu(String)
		 * @see #správnyFormát(String)
		 */
		public static String polohaNaReťazec(Poloha poloha)
		{
			return "xy(" + poloha.polohaX() + ", " + poloha.polohaY() + ")";
		}

		/** <a class="alias"></a> Alias pre {@link #polohaNaReťazec(Poloha) polohaNaReťazec}. */
		public static String polohaNaRetazec(Poloha poloha)
		{ return polohaNaReťazec(poloha); }

		/**
		 * Prevedie súradnice inštancie triedy {@link Point2D Point2D} (bod
		 * Javy) do textovej podoby.
		 * @param bod bod, ktorý má byť prevedený do reťazcovej podoby
		 * @return súradnice bodu prevedené do reťazcovej podoby
		 * @see #reťazecNaBod(String)
		 * @see #správnyFormát(String)
		 */
		public static String bodNaReťazec(Point2D bod)
		{
			return "[" + bod.getX() + ", " + bod.getY() + "]";
		}

		/** <a class="alias"></a> Alias pre {@link #bodNaReťazec(Point2D) bodNaReťazec}. */
		public static String bodNaRetazec(Point2D bod)
		{ return bodNaReťazec(bod); }

		/**
		 * Prevedie zadanú implementáciu rozhrania {@link Poloha Poloha} (čiže
		 * nielen bodu – vstupom môže byť napríklad {@link GRobot robot},
		 * {@link Oblasť oblasť}, {@link Tlačidlo tlačidlo}, {@link Častica
		 * častica}…) do textovej podoby, ktorá bude reprezentovať polohu so
		 * súradnicami x a y.
		 * (Vhodné napríklad pri ukladaní údajov do konfiguračného súboru.)
		 * @param x x-ová súradnica polohy, ktorá má byť prevedená do
		 *     reťazcovej podoby
		 * @param y y-ová súradnica polohy, ktorá má byť prevedená do
		 *     reťazcovej podoby
		 * @return poloha prevedená do reťazcovej podoby
		 * @see #reťazecNaPolohu(String)
		 * @see #správnyFormát(String)
		 */
		public static String polohaNaReťazec(double x, double y)
		{ return "xy(" + x + ", " + y + ")"; }

		/** <a class="alias"></a> Alias pre {@link #polohaNaReťazec(double, double) polohaNaReťazec}. */
		public static String polohaNaRetazec(double x, double y)
		{ return polohaNaReťazec(x, y); }

		/**
		 * Prevedie súradnice inštancie triedy {@link Point2D Point2D} (bod
		 * Javy) do textovej podoby.
		 * @param x x-ová súradnica bodu, ktorý má byť prevedený do
		 *     reťazcovej podoby
		 * @param y y-ová súradnica bodu, ktorý má byť prevedený do
		 *     reťazcovej podoby
		 * @return súradnice bodu prevedené do reťazcovej podoby
		 * @see #reťazecNaBod(String)
		 * @see #správnyFormát(String)
		 */
		public static String bodNaReťazec(double x, double y)
		{ return "[" + x + ", " + y + "]"; }

		/** <a class="alias"></a> Alias pre {@link #bodNaReťazec(double, double) bodNaReťazec}. */
		public static String bodNaRetazec(double x, double y)
		{ return bodNaReťazec(x, y); }

		/**
		 * Prevedie zadaný reťazec reprezentujúci polohu alebo súradnice bodu
		 * na implementáciu rozhrania Poloha (triedu {@link Bod Bod}).
		 * Metóda rozpoznáva reťazce v tvare:
		 * 
		 * <ul>
		 * <li><code>xy(</code><i>súradnicaX</i><code>,
		 * </code><i>súradnicaY</i><code>)</code></li>
		 * 
		 * <li>alebo <code>[</code><i>súradnicaX</i><code>,
		 * </code><i>súradnicaY</i><code>]</code>,</li>
		 * </ul>
		 * 
		 * kde <i>súradnicaX</i> je x-ová a <i>súradnicaY</i> y-ová súradnica
		 * polohy/bodu.
		 * 
		 * <P>Metóda je vhodná ako doplnok k metóde {@link
		 * #polohaNaReťazec(Poloha) polohaNaReťazec}.
		 * 
		 * @param text reťazec, ktorý má byť prevedený
		 * @return implementácia rozhrania Poloha (trieda {@link Bod Bod})
		 * obsahujúca polohu získanú z reťazcovej podoby
		 * @see #polohaNaReťazec(Poloha)
		 * @see #správnyFormát(String)
		 */
		public static Poloha reťazecNaPolohu(String text)
		{
			text = text.trim();
			double x = 0.0, y = 0.0;

			if (xyMatch.matcher(text).matches())
			{
				String súradnice[] = xySplit.split(text);

				// System.out.println("súradnice " + súradnice.length);
				// for (String s : súradnice) System.out.println(s);

				try
				{
					x = java.lang.Double.parseDouble(súradnice[1]);
					y = java.lang.Double.parseDouble(súradnice[2]);
				}
				catch (Exception e)
				{
					vypíšChybovéHlásenia(e);
				}
			}
			else if (coordMatch.matcher(text).matches())
			{
				String súradnice[] = coordSplit.split(text);

				// System.out.println("súradnice " + súradnice.length);
				// for (String s : súradnice) System.out.println(s);

				try
				{
					x = java.lang.Double.parseDouble(súradnice[1]);
					y = java.lang.Double.parseDouble(súradnice[2]);
				}
				catch (Exception e)
				{
					vypíšChybovéHlásenia(e);
				}
			}

			return new Bod(x, y);
		}

		/** <a class="alias"></a> Alias pre {@link #reťazecNaPolohu(String) reťazecNaPolohu}. */
		public static Poloha retazecNaPolohu(String text)
		{ return reťazecNaPolohu(text); }

		/**
		 * Prevedie zadaný reťazec reprezentujúci polohu alebo súradnice bodu
		 * na inštanciu triedy {@link Point2D.Double Point2D.Double}.
		 * Metóda rozpoznáva reťazce v tvare:
		 * 
		 * <ul>
		 * <li><code>xy(</code><i>súradnicaX</i><code>,
		 * </code><i>súradnicaY</i><code>)</code></li>
		 * 
		 * <li>alebo <code>[</code><i>súradnicaX</i><code>,
		 * </code><i>súradnicaY</i><code>]</code>,</li>
		 * </ul>
		 * 
		 * kde <i>súradnicaX</i> je x-ová a <i>súradnicaY</i> y-ová súradnica
		 * polohy/bodu. (Poznámka: Táto metóda vnútorne používa metódu {@link
		 * #reťazecNaPolohu(String) reťazecNaPolohu}, ktorej výstup prevedie
		 * na bod Javy, takže z hľadiska výkonu je výhodnejšie použitie metódy
		 * {@link #reťazecNaPolohu(String) reťazecNaPolohu}.)
		 * 
		 * <P>Metóda je vhodná ako doplnok k metóde
		 * {@link #bodNaReťazec(Point2D) bodNaReťazec}.
		 * 
		 * @param text reťazec, ktorý má byť prevedený
		 * @return inštancia triedy {@link Point2D.Double Point2D.Double}
		 * so súradnicami získanými z reťazcovej podoby
		 * @see #bodNaReťazec(Point2D)
		 * @see #správnyFormát(String)
		 */
		public static Point2D.Double reťazecNaBod(String text)
		{
			Poloha bod = reťazecNaPolohu(text);
			return new Point2D.Double(bod.polohaX(), bod.polohaY());
		}

		/** <a class="alias"></a> Alias pre {@link #reťazecNaBod(String) reťazecNaBod}. */
		public static Point2D.Double retazecNaBod(String text)
		{ return reťazecNaBod(text); }


		/**
		 * Zistí, či je zadaný reťazec v rozpoznateľnom formáte
		 * reprezentujúcom polohu alebo súradnice bodu.
		 * Metóda uzná za správne reťazce v tvare:
		 * 
		 * <ul>
		 * <li><code>xy(</code><i>súradnicaX</i><code>,
		 * </code><i>súradnicaY</i><code>)</code></li>
		 * 
		 * <li>alebo <code>[</code><i>súradnicaX</i><code>,
		 * </code><i>súradnicaY</i><code>]</code>,</li>
		 * </ul>
		 * 
		 * kde <i>súradnicaX</i> je x-ová a <i>súradnicaY</i> y-ová súradnica
		 * polohy/bodu.
		 * 
		 * <P>Metóda je vhodná ako doplnok k metódam {@link
		 * #polohaNaReťazec(Poloha) polohaNaReťazec} a {@link
		 * #reťazecNaPolohu(String) reťazecNaPolohu}.
		 * 
		 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
		 * 
		 * @param text reťazec, ktorý má byť posúdený
		 * @return {@code val true} ak je zadaný teťazec v rozpoznateľnom
		 * formáte
		 * @see #polohaNaReťazec(double, double)
		 * @see #polohaNaReťazec(Poloha)
		 * @see #bodNaReťazec(double, double)
		 * @see #bodNaReťazec(Point2D)
		 * @see #reťazecNaPolohu(String)
		 * @see #reťazecNaBod(String)
		 * @see #správnyFormát(String)
		 */
		public static boolean správnyFormát(String text)
		{
			text = text.trim();
			double číslo = 0.0;

			if (xyMatch.matcher(text).matches())
			{
				String súradnice[] = xySplit.split(text);

				try
				{
					číslo = java.lang.Double.parseDouble(súradnice[1]);
					číslo = java.lang.Double.parseDouble(súradnice[2]);
					return true;
				}
				catch (Exception e)
				{
					return false;
				}
			}
			else if (coordMatch.matcher(text).matches())
			{
				String súradnice[] = coordSplit.split(text);

				try
				{
					číslo = java.lang.Double.parseDouble(súradnice[1]);
					číslo = java.lang.Double.parseDouble(súradnice[2]);
					return true;
				}
				catch (Exception e)
				{
					return false;
				}
			}

			return false;
		}

		/** <a class="alias"></a> Alias pre {@link #správnyFormát(String) správnyFormát}. */
		public static boolean spravnyFormat(String text)
		{ return správnyFormát(text); }
	}


	// -------------------------------- //
	//  *** Trieda GRobotException ***  //
	// -------------------------------- //

	/**
	 * Výnimka generovaná knižnicou so slovenským textom opisujúcim udalosť
	 * a univerzálnym jazykovým identifikátorom umožňujúcim preklad do
	 * ľubovoľného jazyka. Tento objekt bol do prostredia knižnice pridaný
	 * potom, čo začala byť využívaná za hranicami svojho pôvodného určenia.
	 * Jestvuje len veľmi málo výnimiek v rámci knižnice, ktoré nie sú priamo
	 * generované prostredníctvom tejto triedy (napríklad systémové správy,
	 * ktoré sú posúvané knižnicou: {@link NoSuchElementException},
	 * {@link NullPointerException}, {@link UnsupportedFlavorException}
	 * alebo priamy vznik správ {@link ArrayIndexOutOfBoundsException},
	 * {@link IllegalArgumentException}, ktoré sú generované niektorými
	 * metódami Javy, ktoré knižnica vnútorne používa…).
	 * <P>
	 * V nasledujúcej tabuľke uvádzame zoznam všetkých jazykových
	 * identifikátorov výnimiek {@code currGRobotException} s prislúchajúcimi
	 * slovenskými textami a stručným vysvetlnením príčin vzniku týchto
	 * výnimiek:
	 * <P>
	 * <table class="langIDTable">
	 * <tr><th>Jazykový identifikátor</th><th>Text výnimky v slovenskom
	 * jazyku</th><th>Stručné vysvetlenie</th></tr>
	 * 
	 * <tr><td><code>commandCancelled</code></td><td>Vykonanie príkazu bolo
	 * zrušené: <i>«príkaz»</i></td><td>Znamená, že vykonávanie príkazu
	 * v {@linkplain Svet#interaktívnyRežim(boolean) interaktívnom režime}
	 * bolo zrušené. Znenie príkazu je zistiteľné metódou
	 * {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>configNotApplicable</code></td><td>Konfiguráciu nie je
	 * možné použiť. Svet už bol inicializovaný!</td><td>Vzniká pri pokuse
	 * o použitie automatickej konfigurácie vo svete, ktorý už
	 * jestvuje.</td></tr>
	 * 
	 * <tr><td><code>cursorAlreadyExists</code></td><td>Kurzor so zadaným
	 * menom (<i>«meno»</i>) už jestvuje.</td><td>Vzniká pri pokuse
	 * o vytvorenie kurzora. Meno je zistiteľné metódou
	 * {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>cursorNotExists</code></td><td>Kurzor so zadaným menom
	 * (<i>«meno»</i>) nejestvuje.</td><td>Vzniká pri pokuse o zmenu kurzora,
	 * ktorý nebol definovaný. Meno je zistiteľné metódou
	 * {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>eventFactoryAlreadyExists</code></td><td>Obsluha
	 * udalostí už bola definovaná!</td><td>Vzniká pri pokuse o vytvorenie
	 * ďalšej obsluhy udalostí v prípade, že nebolo explicitne povolené
	 * viacnásobné vytváranie obsluhy udalostí.</td></tr>
	 * 
	 * <tr><td><code>fileNameOmitted</code></td><td>Názov súboru nesmie byť
	 * zamlčaný.</td><td>Vzniká pri pokuse o otvorenie súboru s „prázdnym“
	 * (nulovým – {@code valnull}) menom. Spresňujúcim objektom je inštancia
	 * {@link NullPointerException} (bez textu).</td></tr>
	 * 
	 * <tr><td><code>fileNotFound</code></td><td>Súbor „<i>«súbor»</i>“ nebol
	 * nájdený.</td><td>Vzniká pri pokuse o otvorenie nejestvujúceho súboru
	 * (<i>«súbor»</i>) na čítanie. Názov súboru je zistiteľný metódou
	 * {@link #getParameter() getParameter}. Spresňujúcim objektom je pôvodná
	 * systémová výnimka {@link FileNotFoundException}.</td></tr>
	 * 
	 * <tr><td><code>firstFileNotExists</code></td><td>Prvý súbor
	 * „<i>«súbor»</i>“ nejestvuje.</td><td>Vzniká pri porovnaní súborov,
	 * ak prvý súbor nejestvuje. Názov súboru je zistiteľný metódou
	 * {@link #getParameter() getParameter}. Spresňujúcim objektom je
	 * inštancia {@link FileNotFoundException} (bez textu).</td></tr>
	 * 
	 * <tr><td><code>firstObjectNotFile</code></td><td>Prvý súbor
	 * „<i>«súbor»</i>“ nie je súbor.</td><td>Vzniká pri porovnaní súborov,
	 * ak prvý z objektov nie je súbor. Názov objektu je zistiteľný metódou
	 * {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>imageAlreadyExists</code></td><td>Obrázok
	 * „<i>«súbor»</i>“ už jestvuje.</td><td>Vzniká pri pokuse o zápis obrázka
	 * do súboru, ktorý už jestvuje (<i>«súbor»</i>), ale len v prípade, že
	 * nebol explicitne zadaný parameter prepísania súboru. Názov súboru je
	 * zistiteľný metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>imageBroken</code></td><td>Obrázok je
	 * poškodený!</td><td>Znamená, že spracovanie obrázka zlyhalo, pretože je
	 * pravdepodobne poškodený.</td></tr>
	 * 
	 * <tr><td><code>imageFileBroken</code></td><td>Obrázok „<i>«súbor»</i>“
	 * je poškodený!</td><td>Znamená, že spracovanie obrázka prečítaného zo
	 * súboru zlyhalo pravdepodobne preto, lebo súbor bol poškodený. Názov
	 * súboru je zistiteľný metódou
	 * {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>imageNotFound</code></td><td>Obrázok „<i>«súbor»</i>“
	 * nebol nájdený.</td><td>Znamená, že pokus o prečítanie súboru s obrázkom
	 * (<i>«súbor»</i>) zlyhal z dôvodu nenájdenia súboru. Názov súboru je
	 * zistiteľný metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>invalidImageFormat</code></td><td>Neplatný formát
	 * obrázka: <i>«prípona»</i></td><td>Vzniká pri pokuse o zápis obrázka
	 * do súboru s nepodporovaným formátom určeným podľa prípony súboru
	 * (<i>«prípona»</i>). Prípona súboru je zistiteľná metódou
	 * {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>invalidImageTemplate</code></td><td>Šablóna názvov
	 * sekvencie obrázkov „<i>«šablóna»</i>“ nie je použiteľná.</td><td>Vzniká
	 * pri pokuse o čítanie alebo zápis sekvencie obrázkov vo formáte PNG,
	 * pričom prípona súboru neurčuje formát PNG. Šablóna je zistiteľná
	 * metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>namespaceContainsEquals</code></td><td>Menný priestor
	 * nesmie obsahovať znak rovná sa.</td><td>Vzniká pri pokuse o prácu
	 * s menným priestorom, ktorého názov obsahuje znak rovná sa. Názov
	 * menného priestoru je zistiteľný metódou
	 * {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>namespaceEmpty</code></td><td>Menný priestor nesmie
	 * byť prázdny.</td><td>Vzniká pri pokuse o prácu s menným priestorom
	 * bez názvu.</td></tr>
	 * 
	 * <tr><td><code>namespaceEndsWithDot</code></td><td>Menný priestor
	 * sa nesmie končiť bodkou.</td><td>Vzniká pri pokuse o prácu s menným
	 * priestorom, ktorého názov sa končí bodkou. Názov menného priestoru
	 * je zistiteľný metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>namespaceStartsWithDot</code></td><td>Menný priestor
	 * sa nesmie začínať bodkou.</td><td>Vzniká pri pokuse o prácu s menným
	 * priestorom, ktorého názov sa začína bodkou. Názov menného priestoru
	 * je zistiteľný metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>namespaceStartsWithSemicolon</code></td><td>Menný
	 * priestor sa nesmie začínať znakom komentára.</td><td>Vzniká pri
	 * pokuse o prácu s menným priestorom, ktorého názov sa začína
	 * bodkočiarkou (znakom komentára). Názov menného priestoru je
	 * zistiteľný metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>negativeLineWidth</code></td><td>Hrúbka čiary nesmie
	 * byť záporná!</td><td>Vzniká pri pokuse o zadanie zápornej hrúbky
	 * čiary spojnice. Spresňujúcim objektom je výnimka
	 * {@link IllegalArgumentException} (bez textu).</td></tr>
	 * 
	 * <tr><td><code>negativePenWidth</code></td><td>Hrúbka čiary pera
	 * nesmie byť záporná!</td><td>Vzniká pri pokuse o zadanie zápornej
	 * hrúbky pera. Spresňujúcim objektom je výnimka
	 * {@link IllegalArgumentException} (bez textu).</td></tr>
	 * 
	 * <tr><td><code>negativeRadius</code></td><td>Polomer <i>«objektu»</i>
	 * nesmie byť záporný!</td><td>Vzniká pri pokuse o zadanie záporného
	 * polomeru kružnice, kruh, vpísanej kružnice alebo opísanej kružnice
	 * (doplnené namiesto <i>«objektu»</i>), čo spresňuje aj
	 * {@link #getParameter() voliteľný parameter} výnimky, ktorý môže
	 * nadobúdať hodnoty <code>circle</code>, <code>filledCircle</code>,
	 * <code>incircle</code> alebo <code>circumcircle</code>. Spresňujúcim
	 * objektom je výnimka {@link IllegalArgumentException}
	 * (bez textu).</td></tr>
	 * 
	 * <tr><td><code>negativeSemiaxe</code></td><td>Dĺžka poloosy
	 * <i>«objektu»</i> nesmie byť záporná!</td><td>Vzniká pri pokuse
	 * o zadanie záporného rozmeru poloosy elipsy, vyplnenej elipsy alebo
	 * vpísanej elipsy (doplnené namiesto <i>«objektu»</i>), čo spresňuje
	 * aj {@link #getParameter() voliteľný parameter} výnimky, ktorý môže
	 * nadobúdať hodnoty <code>ellipse</code>, <code>filledEllipse</code>
	 * alebo <code>inellipse</code>. Spresňujúcim objektom je výnimka
	 * {@link IllegalArgumentException} (bez textu).</td></tr>
	 * 
	 * <tr><td><code>noFileForReadingOpen</code></td><td>Nie je otvorený
	 * súbor na čítanie.</td><td>Vzniká pri pokuse o čítanie prostredníctvom
	 * inštancie typu {@link Súbor Súbor}, ak nebol otvorený žiadny súbor na
	 * čítanie.</td></tr>
	 * 
	 * <tr><td><code>noFileForWritingOpen</code></td><td>Nie je otvorený
	 * súbor na zápis.</td><td>Vzniká pri pokuse o zápis prostredníctvom
	 * inštancie typu {@link Súbor Súbor}, ak nebol otvorený žiadny súbor
	 * na zápis.</td></tr>
	 * 
	 * <tr><td><code>noRobotWithSuchName</code></td><td>Robot so zadaným
	 * menom (<i>«meno»</i>) nejestvuje.</td><td>Vzniká pri pokuse
	 * o registráciu robota v konfigurácii podľa mena, ktoré nepatrí žiadnemu
	 * robotovi. Meno údajného robota, ktorého registrácia zlyhala je
	 * zistiteľné metódou {@link #getParameter() getParameter}. Spresňujúcim
	 * objektom je výnimka {@link IllegalArgumentException}
	 * (bez textu).</td></tr>
	 * 
	 * <tr><td><code>pathEmpty</code></td><td>Názov priečinka nesmie by
	 * prázdny.</td><td>Vzniká pri pokuse o vypísanie zoznamu súborov
	 * s prázdnym názvom priečinka.</td></tr>
	 * 
	 * <tr><td><code>pathInvalid</code></td><td>Zadaná cesta (<i>«cesta»</i>)
	 * nesmeruje na priečinok.</td><td>Vzniká pri pokuse o vypísanie zoznamu
	 * súborov na ceste, ktorej cieľom nie je priečinok. Cesta je zistiteľná
	 * metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>pathNotFound</code></td><td>Cesta „<i>«cesta»</i>“
	 * nebola nájdená.</td><td>Vzniká pri pokuse o vypísanie zoznamu súborov
	 * na neplatnej ceste (<i>«cesta»</i>). Cesta je zistiteľná metódou
	 * {@link #getParameter() getParameter}. Spresňujúcim objektom je výnimka
	 * {@link FileNotFoundException} generovaná inou súčasťou
	 * knižnice.</td></tr>
	 * 
	 * <tr><td><code>pathUnreadable</code></td><td>Cestu „<i>«cesta»</i>“
	 * nie je možné čítať.</td><td>Vzniká pri pokuse o vypísanie zoznamu
	 * súborov na ceste, ktorú nie je možné čítať. Cesta je zistiteľná
	 * metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>propertyContainsDot</code></td><td>Názov vlastnosti
	 * nesmie obsahovať bodku.</td><td>Vzniká pri pokuse o prácu
	 * s vlastnosťou, ktorej názov obsahuje bodku. Názov vlastnosti je
	 * zistiteľný metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>propertyContainsEquals</code></td><td>Názov vlastnosti
	 * nesmie obsahovať znak rovná sa.</td><td>Vzniká pri pokuse o prácu
	 * s vlastnosťou pri zadaní názvu vlastnosti obsahujúceho znak rovná sa.
	 * Názov vlastnosti je zistiteľný metódou
	 * {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>propertyDuplicate</code></td><td>V konfiguračnom súbore
	 * sa nachádza zdvojená vlastnosť: <i>«názov»</i></td><td>Vzniká pri
	 * čítaní konfiguračného súboru, ktorý obsahuje duplikát určitej
	 * vlastnosti. Názov vlastnosti je zistiteľný metódou
	 * {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>propertyNameEmpty</code></td><td>Názov vlastnosti
	 * nesmie byť prázdny.“, prípadne „V konfiguračnom súbore sa nachádza
	 * vlastnosť bez názvu.</td><td>Vzniká pri pokuse o prácu s vlastnosťou
	 * bez názvu.</td></tr>
	 * 
	 * <tr><td><code>propertyStartsWithSemicolon</code></td><td>Názov
	 * vlastnosti sa nesmie začínať znakom komentára.“, prípadne
	 * „V konfiguračnom súbore sa nachádza vlastnosť začínajúca sa znakom
	 * komentára.</td><td>Vzniká pri pokuse o prácu s vlastnosťou, ktorej
	 * názov sa začína bodkočiarkou (znakom komentára). Názov vlastnosti je
	 * zistiteľný metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>robotAlreadyEmployed</code></td><td>Tento robot už je
	 * zamestnaný na účely tvorby inej oblasti.</td><td>Vzniká pri pokuse
	 * o zamestnanie robota na účely tvorby oblasti, ktorý už je zamestnancom
	 * inej oblasti.</td></tr>
	 * 
	 * <tr><td><code>robotHasNoName</code></td><td>Robot nemá meno.“,
	 * prípadne „Zadaný robot nemá meno.</td><td>Vzniká pri pokuse
	 * o prečítanie konfigurácie zo súboru alebo o registráciu v konfigurácii
	 * takého robota, ktorý nebol pomenovaný.</td></tr>
	 * 
	 * <tr><td><code>robotHeadsToOpositeDirection</code></td><td>Robot je
	 * obrátený presne opačným smerom od cieľového miesta kreslenia oblúka –
	 * musel by prejsť nekonečnom, aby sa do cieľa dostal.</td><td>Vzniká pri
	 * pokuse o kreslenie takého oblúka, ktorý by smeroval do
	 * nekonečna.</td></tr>
	 * 
	 * <tr><td><code>robotNameContainsEquals</code></td><td>Meno robota nesmie
	 * obsahovať znak rovná sa.</td><td>Vzniká pri pokuse o priradenie takého
	 * mena robotovi, ktoré obsahuje znak rovná sa. Meno robota, ktorého
	 * priradenie zlyhalo je zistiteľné metódou
	 * {@link #getParameter() getParameter}. Spresňujúcim objektom je výnimka
	 * {@link IllegalArgumentException} (bez textu).</td></tr>
	 * 
	 * <tr><td><code>robotNameEmpty</code></td><td>Meno robota nesmie byť
	 * prázdne.</td><td>Vzniká pri pokuse o priradenie prázdneho mena
	 * robotovi. Spresňujúcim objektom je výnimka
	 * {@link IllegalArgumentException} (bez textu).</td></tr>
	 * 
	 * <tr><td><code>robotNameEndsWithDot</code></td><td>Meno robota sa
	 * nesmie končiť bodkou.</td><td>Vzniká pri pokuse o priradenie takého
	 * mena robotovi, ktoré sa končí znakom bodky. Meno robota, ktorého
	 * priradenie zlyhalo je zistiteľné metódou
	 * {@link #getParameter() getParameter}. Spresňujúcim objektom je
	 * výnimka {@link IllegalArgumentException} (bez textu).</td></tr>
	 * 
	 * <tr><td><code>robotNameMustBeUnique</code></td><td>Meno robota
	 * (<i>«meno»</i>) musí byť unikátne.</td><td>Vzniká pri pokuse
	 * o priradenie takého mena robotovi, ktoré už bolo použité. Meno robota,
	 * ktorého priradenie zlyhalo je zistiteľné metódou
	 * {@link #getParameter() getParameter}. Spresňujúcim objektom je výnimka
	 * {@link IllegalArgumentException} (bez textu).</td></tr>
	 * 
	 * <tr><td><code>robotNameStartsWithDot</code></td><td>Meno robota sa
	 * nesmie začínať bodkou.</td><td>Vzniká pri pokuse o priradenie takého
	 * mena robotovi, ktoré sa začína znakom bodky. Meno robota, ktorého
	 * priradenie zlyhalo je zistiteľné metódou
	 * {@link #getParameter() getParameter}. Spresňujúcim objektom je
	 * výnimka {@link IllegalArgumentException} (bez textu).</td></tr>
	 * 
	 * <tr><td><code>robotNameStartsWithSemicolon</code></td><td>Meno robota
	 * sa nesmie začínať znakom komentára.</td><td>Vzniká pri pokuse
	 * o priradenie takého mena robotovi, ktoré sa začína znakom bodkočiarky
	 * (znak komentára). Meno robota, ktorého priradenie zlyhalo je
	 * zistiteľné metódou {@link #getParameter() getParameter}. Spresňujúcim
	 * objektom je výnimka {@link IllegalArgumentException}
	 * (bez textu).</td></tr>
	 * 
	 * <tr><td><code>scriptNotFound</code></td><td>Skript „<i>«skript»</i>“
	 * nebol nájdený.</td><td>Znamená, že pokus o prečítanie skriptu zo súboru
	 * (<i>«skript»</i>) zlyhal z dôvodu nenájdenia súboru. Názov súboru je
	 * zistiteľný metódou {@link #getParameter() getParameter}. Spresňujúcim
	 * objektom je pôvodná systémová výnimka
	 * {@link FileNotFoundException}.</td></tr>
	 * 
	 * <tr><td><code>secondFileNotExists</code></td><td>Druhý súbor
	 * „<i>«súbor»</i>“ nejestvuje.</td><td>Vzniká pri porovnaní súborov,
	 * ak druhý súbor nejestvuje. Názov súboru je zistiteľný metódou
	 * {@link #getParameter() getParameter}. Spresňujúcim objektom je
	 * inštancia {@link FileNotFoundException} (bez textu).</td></tr>
	 * 
	 * <tr><td><code>secondObjectNotFile</code></td><td>Druhý súbor
	 * „<i>«súbor»</i>“ nie je súbor.</td><td>Vzniká pri porovnaní súborov,
	 * ak druhý z objektov nie je súbor. Názov objektu je zistiteľný metódou
	 * {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>segmentsAreParallel</code></td><td>Úsečky sú
	 * paralelné.</td><td>Táto výnimka vzniká pri hľadaní priesečníkov
	 * úsečiek.</td></tr>
	 * 
	 * <tr><td><code>soundNotFound</code></td><td>Zvuk „<i>«súbor»</i>“ nebol
	 * nájdený.</td><td>Znamená, že pokus o prečítanie súboru so zvukom
	 * (<i>«súbor»</i>) zlyhal z dôvodu nenájdenia súboru. Názov súboru je
	 * zistiteľný metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>soundUnreadable</code></td><td>Zvuk „<i>«súbor»</i>“
	 * nie je možné čítať.</td><td>Znamená, že pokus o prečítanie súboru
	 * so zvukom (<i>«súbor»</i>) zlyhal z dôvodu nesprávneho formátu,
	 * prípadne iných príčin. Názov súboru je zistiteľný metódou
	 * {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>sourceFileNotExists</code></td><td>Zdrojový súbor
	 * „<i>«súbor»</i>“ nejestvuje.</td><td>Vzniká pri kopírovaní alebo
	 * pripájaní súborov, ak zdrojový súbor nejestvuje. Názov súboru je
	 * zistiteľný metódou {@link #getParameter() getParameter}. Spresňujúcim
	 * objektom je inštancia {@link FileNotFoundException}
	 * (bez textu).</td></tr>
	 * 
	 * <tr><td><code>sourceObjectNotFile</code></td><td>Zdrojový súbor
	 * „<i>«súbor»</i>“ nie je súbor.</td><td>Vzniká pri kopírovaní alebo
	 * pripájaní súborov, ak zdrojový objekt nie je súbor. Názov objektu je
	 * zistiteľný metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>svgImportError</code></td><td>Chyba pri spracovaní SVG
	 * údajov.</td><td>Vzniká pri spracovaní SVG údajov zadaných vo forme
	 * XML/SVG reťazca (do metódy {@link SVGPodpora#pridajSVG(String)
	 * pridajSVG}). Spresneňujúcim objektom (zistiteľným metódou {@link
	 * Throwable#getCause()}) je pôvodná výnimka, ktorá spôsobila vznik
	 * chyby počas spracovania.</td></tr>
	 * 
	 * <tr><td><code>svgReadError</code></td><td>Chyba pri spracovaní SVG
	 * súboru „<i>«meno»</i>“.</td><td>Vzniká pri spracovaní SVG súboru.
	 * Spresneňujúcim objektom (zistiteľným metódou
	 * {@link Throwable#getCause()}) je pôvodná výnimka, ktorá vyvolala
	 * chybu spracovania.</td></tr>
	 * 
	 * <tr><td><code>svgWriteError</code></td><td>Chyba pri zápise SVG
	 * súboru „<i>«meno»</i>“.</td><td>Vzniká pri zapisovaní SVG súboru.
	 * Spresneňujúcim objektom (zistiteľným metódou
	 * {@link Throwable#getCause()}) je pôvodná výnimka, ktorá vyvolala
	 * chybu spracovania.</td></tr>
	 * 
	 * <tr><td><code>targetFileExists</code></td><td>Cieľový súbor
	 * „<i>«súbor»</i>“ už jestvuje.</td><td>Vzniká pri kopírovaní súborov,
	 * ak cieľový súbor jestvuje a nebol explicitne zadaný príznak prepísania
	 * súboru. Názov súboru je zistiteľný metódou
	 * {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>targetObjectNotFile</code></td><td>Cieľový súbor
	 * „<i>«súbor»</i>“ nie je súbor.</td><td>Vzniká pri kopírovaní alebo
	 * pripájaní súborov, ak cieľový objekt nie je súbor. Názov objektu je
	 * zistiteľný metódou {@link #getParameter() getParameter}.</td></tr>
	 * 
	 * <tr><td><code>unsupportedDataType</code></td><td>Počas čítania zo
	 * súboru nastal pokus o vloženie údajov do premennej nasledujúceho
	 * nepodporovaného údajového typu: <i>«meno triedy»</i></td><td>Vzniká
	 * pri pokuse o prečítanie údajov nepodporovaného údajového typu zo
	 * súboru. Ekvivalentný druh výnimky nevzniká pri pokuse o zápis údajov
	 * do súboru, pretože pri zápise je každý objekt jednoducho prevedený
	 * na reťazec metódou <code>toString</code>. Kanonický názov triedy,
	 * ktorej čítanie zlyhalo je zistiteľný metódou
	 * {@link #getParameter() getParameter}. Spresňujúcim objektom je výnimka
	 * {@link IllegalArgumentException} (bez textu).</td></tr>
	 * 
	 * <tr><td><code>worldAlreadyExists</code></td><td>Svet už
	 * jestvuje!</td><td>Vzniká pri pokuse o inicializáciu nového robota
	 * (v jestvujúcom svete), ktorý sa pokúša predefinovať rozmery
	 * kresliacich plátien.</td></tr>
	 * 
	 * <tr><td><code>zeroPositionCannotBeChanged</code></td><td>Polohu stredu
	 * nie je možné meniť!</td><td>Vzniká pri pokuse o zmenu polohy inštancie
	 * {@link Poloha#stred stred}.</td></tr>
	 * 
	 * </table>
	 * <P>(<a href="zoznam-zmien.html">Pozri zoznam zmien.</a>)
	 */
	@SuppressWarnings("serial")
	public static class GRobotException extends RuntimeException
	{
		// (?<!Runtime|IllegalArgument|FileNotFound|IO|catch \(|@|NullPointer)Exception

		// Jazykový identifikátor
		private String langIDString;

		// Voliteľný argument správy
		private String parameter;

		/**
		 * Konštruktor umožňujúci vytvorenie výnimky s textom správy
		 * a univerzálnym jazykovým identifikátorom.
		 * 
		 * @param message text správy (spravidla v slovenčine) dostupný
		 *     prostredníctvom zdedenej metódy {@link Throwable#getMessage()}
		 * @param langIDString univerzálny jazykový identifikátor dostupný
		 *     prostredníctvom metódy {@link #getLangIDString}
		 */
		public GRobotException(String message, String langIDString)
		{
			super(message);
			this.langIDString = langIDString;
			this.parameter = null;
		}

		/**
		 * Konštruktor umožňujúci vytvorenie výnimky s textom správy
		 * univerzálnym jazykovým identifikátorom a ďalším objektom výnimky,
		 * ktorý spresňuje okolnosti vzniku tejto výnimky. Spresňujúcim
		 * objektom môže byť napríklad: {@link IllegalArgumentException},
		 * {@link FileNotFoundException}, {@link IOException},
		 * {@link NullPointerException}…
		 * 
		 * @param message text správy (spravidla v slovenčine) dostupný
		 *     prostredníctvom zdedenej metódy {@link Throwable#getMessage()}
		 * @param langIDString univerzálny jazykový identifikátor dostupný
		 *     prostredníctvom metódy {@link #getLangIDString}
		 * @param cause spresňujúci objekt výnimky dostupný prostredníctvom
		 *     metódy {@link Throwable#getCause()}
		 */
		public GRobotException(String message, String langIDString,
			Throwable cause)
		{
			super(message, cause);
			this.langIDString = langIDString;
			this.parameter = null;
		}

		/**
		 * Konštruktor umožňujúci vytvorenie výnimky s textom správy,
		 * univerzálnym jazykovým identifikátorom a parametrom.
		 * 
		 * @param message text správy (spravidla v slovenčine) dostupný
		 *     prostredníctvom zdedenej metódy {@link Throwable#getMessage()}
		 * @param langIDString univerzálny jazykový identifikátor dostupný
		 *     prostredníctvom metódy {@link #getLangIDString()}
		 * @param parameter parameter dopĺňajúci informáciu o vzniknutej
		 *     výnimke (napríklad meno súboru) dostupný prostredníctvom
		 *     metódy {@link #getParameter()}
		 */
		public GRobotException(String message, String langIDString,
			String parameter)
		{
			super(message);
			this.langIDString = langIDString;
			this.parameter = parameter;
		}

		/**
		 * Konštruktor umožňujúci vytvorenie výnimky s textom správy,
		 * univerzálnym jazykovým identifikátorom, parametrom a ďalším
		 * objektom výnimky, ktorý spresňuje okolnosti vzniku tejto výnimky.
		 * Spresňujúcim objektom môže byť napríklad:
		 * {@link IllegalArgumentException}, {@link FileNotFoundException},
		 * {@link IOException}, {@link NullPointerException}…
		 * 
		 * @param message text správy (spravidla v slovenčine) dostupný
		 *     prostredníctvom zdedenej metódy {@link Throwable#getMessage()}
		 * @param langIDString univerzálny jazykový identifikátor dostupný
		 *     prostredníctvom metódy {@link #getLangIDString()}
		 * @param parameter parameter dopĺňajúci informáciu o vzniknutej
		 *     výnimke (napríklad meno súboru) dostupný prostredníctvom
		 *     metódy {@link #getParameter()}
		 * @param cause spresňujúci objekt výnimky dostupný prostredníctvom
		 *     metódy {@link Throwable#getCause()}
		 */
		public GRobotException(String message, String langIDString,
			String parameter, Throwable cause)
		{
			super(message, cause);
			this.langIDString = langIDString;
			this.parameter = parameter;
		}

		/**
		 * Metóda vracajúca univerzálny jazykový identifikátor.
		 * 
		 * @return univerzálny jazykový identifikátor využiteľný pri
		 *     prekladoch prostredia
		 */
		public String getLangIDString() { return langIDString; }

		/**
		 * Metóda vracajúca nepovinný parameter spresňujúci vznik výnimky
		 * alebo {@code valnull}.
		 * 
		 * @return nepovinný spresňujúci parameter výnimky, napríklad meno
		 *     súboru
		 */
		public String getParameter() { return parameter; }
	}


	// --------------------------- //
	//  *** Trieda SVGPodpora ***  //
	// --------------------------- //

	/**
	 * Táto trieda slúži na komunikáciu knižnice s okolím prostredníctvom
	 * základov štandardu SVG. Cieľom pri implementácii bolo najmä poskytnutie
	 * možnosti importu a exportu tvarov knižnice GRobot vo formáte SVG 1.1,
	 * resp. SVG 2.0. Aj keď v čase implementácie prvej verzie tejto triedy
	 * nebol návrh SVG 2.0 úplný, knižnica s jeho použitím od začiatku počíta
	 * a návrh SVG 2.0 bol implementovaný do procesu importu tvarov.
	 * 
	 * <P><b>Poznámka:</b> Pri exporte nie sú využité vlastnosti SVG 2.0
	 * (najmä takzvaný „bearing“ – aktuálne pootočenie, ktorý má v budúcnosti
	 * slúžiť na implementáciu korytnačej grafiky v rámci štandardu SVG),
	 * pretože súčasný softvér tento štandard nie je schopný spracovať, takže
	 * takto exportované údaje by neboli použiteľné.
	 * 
	 * <P>Spracovanie úplnej implementácie štandardu SVG by bolo príliš
	 * náročné. Knižnica sa zameriava na úplné základy – import a export
	 * reprezentácie tvarov (úsečka, obdĺžnik, kružnica, elipsa, lomená
	 * čiara, polygón a cesta), import a export základnej reprezentácie
	 * farieb výplní a čiar a tiež hrúbok čiar a použitie geometrických
	 * transformácií tvarov. Knižnica nepodporuje žiadne zložitejšie výplne,
	 * štýly/druhy čiar a nadpojenia čiar, posunutie počiatku transformácií,
	 * ani štýlovanie prostredníctvom kaskádových štýlov (CSS) a podobne.
	 * Trieda tieto vlastnosti ani nezachováva.
	 * (<small>Jedinou drobnou výnimkou je automatický prevod vybraných CSS
	 * definícií uvedených v <i>atribúte</i> {@code style="…"} na hodnoty
	 * konkrétnych XML atribútov. Príklad: {@code <rect …
	 * style="fill:blue" />} bude spracované tak, ako keby bolo uvedené
	 * v tvare {@code <rect … fill="blue" />}. Avšak okrem vybraných CSS
	 * definícií ako {@code fill}, {@code stroke}, {@code fill-opacity},
	 * {@code stroke-opacity}, {@code stroke-width} a {@code transform} sú
	 * všetky ostatné CSS definície ignorované. Tiež nie je analyzovaný
	 * obsah <i>značky</i> {@code <style> … </style>}, z čoho vyplýva, že
	 * aj obsah atribútu {@code class} je ignorovaný.</small>)
	 * Z toho dôvodu <b>nie je</b> vhodné použiť knižnicu na úpravu SVG
	 * súborov, ktoré boli vytvorené inými softvérmi (napríklad <a
	 * href="https://inkscape.org/" target="_blank">Inkscape</a>). Stratilo
	 * by sa príliš veľa informácií. Ukážky vhodného použitia tejto triedy
	 * ukazujú nasledujúce príklady…
	 * 
	 * <P><b>Príklad:</b>
	 * <P>Tento príklad ukazuje spôsob vykreslenia importovaných SVG údajov
	 * v rámci podporovaných možností knižnice. Príklad potrebuje na svoje
	 * fungovanie ukážkový SVG súbor {@code srg"Panak.svg"}, ktorý je
	 * k dispozícii na prevzatie pod zdrojovým kódom príkladu. Nakreslený
	 * obrázok je možné presúvať klikaním a ťahaním myšou.
	 * <pre CLASS="example">
		{@code kwdimport} knižnica.{@link GRobot GRobot};

		{@code kwdpublic} {@code typeclass} SVGZobraz {@code kwdextends} {@link GRobot GRobot}
		{
			{@code comm// Konštruktor.}
			{@code kwdprivate} SVGZobraz()
			{
				{@code comm// Nastavenie rozmerov plátien volaním nadradeného konštruktora:}
				{@code valsuper}({@code num1200}, {@code num650});

				{@code comm// Vypnutie predvoleného spôsobu automatického prekresľovania:}
				{@link Svet Svet}.{@link Svet#nekresli() nekresli}();

				{@code comm// Zabezpečenie toho, aby robot nebol skrytý po prvom konzolovom výpise:}
				{@link Svet Svet}.{@link Svet#vypíš(Object...) vypíš}({@code valthis});

				{@code comm// Prečítanie tvarov z SVG súboru:}
				{@code typeint} prečítané = {@link SVGPodpora svgPodpora}.{@link SVGPodpora#čítaj(String) čítaj}({@code srg"Panak.svg"});

				{@code comm// Overenie toho, či sa čítanie podarilo:}
				{@code kwdif} ({@code num-1} == prečítané)
				{
					{@code comm// V prípade neúspechu je informácia vypísaná červenou farbou:}
					{@link Svet Svet}.{@link Svet#farbaTextu(Color) farbaTextu}({@link Farebnosť#červená červená});
					{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"Čítanie súboru sa nepodarilo."});
				}
				{@code kwdelse}
				{
					{@code comm// V prípade úspechu je vypísaný počet prečítaných tvarov:}
					{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"Počet prečítaných tvarov: "}, prečítané);
					vykresli();
				}

				{@code comm// Spustenie časovača zapne kontrolu potreby prekreslenia sveta}
				{@code comm// v pravidelných časových inervaloch (pozri reakciu tik nižšie;}
				{@code comm// samozrejme, že ak sa zistí, že je prekreslenie sveta potrebné,}
				{@code comm// tak bude zároveň vykonané):}
				{@link Svet Svet}.{@link Svet#spustiČasovač() spustiČasovač}();
			}

			{@code comm// V obsluhe udalosti časovača (tik) je zabezpečované prekresľovanie}
			{@code comm// sveta v pravidelných časových intervaloch (v prípade potreby).}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#tik() tik}()
			{
				{@code kwdif} ({@link Svet Svet}.{@link Svet#neboloPrekreslené() neboloPrekreslené}()) {@link Svet Svet}.{@link Svet#prekresli() prekresli}();
			}

			{@code comm// Po kliknutí (alebo ťahaní myšou – pozri nižšie) bude SVG obrázok}
			{@code comm// prekreslený na novej pozícii.}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#klik() klik}()
			{
				{@link Plátno podlaha}.{@link Plátno#vymažGrafiku() vymažGrafiku}();
				{@code kwdif} ({@link ÚdajeUdalostí ÚdajeUdalostí}.{@link ÚdajeUdalostí#tlačidloMyši(int) tlačidloMyši}({@link GRobot#ĽAVÉ ĽAVÉ}))
					{@link GRobot#skočNaMyš() skočNaMyš}(); {@code kwdelse} {@link GRobot#otočNaMyš() otočNaMyš}();
				vykresli();
			}

			{@code comm// Reakcia na ťahanie myšou je rovnaká ako na klik.}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#ťahanieMyšou() ťahanieMyšou}()
			{
				{@link GRobot#klik() klik}();
			}

			{@code comm// Vlastný tvar robota bude kružnica so „zárezom“.}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#kresliTvar() kresliTvar}()
			{
				{@link GRobot#kružnica() kružnica}();
				{@link GRobot#dopredu() dopredu}();
			}

			{@code comm// Táto metóda slúži na nakreslenie prečítaného jednoduchého SVG obrázka.}
			{@code comm// (Jednoduchého v zmysle využitia základných možností formátu SVG,}
			{@code comm// s ktorými dovoľuje pracovať trieda SVGPodpora.)}
			{@code kwdpublic} {@code typevoid} vykresli()
			{
				{@code comm// Deklarácia a definícia premenných. Farbu bude treba na overenie}
				{@code comm// toho, či má kreslený tvar definovanú farbu výplne alebo čiary.}
				{@code comm// Počet uložený v premennej by mal mierne zvýšiť efektívnosť}
				{@code comm// vykonávania cyklu.}
				{@link Farba Farba} farba;
				{@code typeint} počet = {@link SVGPodpora svgPodpora}.{@link SVGPodpora#počet() počet}();

				{@code comm// Cyklus – nakreslenie čiar a/alebo výplní všetkých tvarov.}
				{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; počet; ++i)
				{
					{@code comm// Kreslenie výplne:}
					farba = {@link SVGPodpora svgPodpora}.{@link SVGPodpora#farbaVýplne(int) farbaVýplne}(i);
					{@code kwdif} ({@code valnull} != farba)
					{
						{@link GRobot#farba(Color) farba}(farba);
						{@link GRobot#vyplňTvar(Shape, boolean) vyplňTvar}({@link SVGPodpora svgPodpora}.{@link SVGPodpora#dajVýsledný(int) dajVýsledný}(i), {@code valtrue});
					}

					{@code comm// Kreslenie čiary:}
					farba = {@link SVGPodpora svgPodpora}.{@link SVGPodpora#farbaČiary(int) farbaČiary}(i);
					{@code kwdif} ({@code valnull} != farba)
					{
						{@code typedouble} hrúbkaČiary = {@link SVGPodpora svgPodpora}.{@link SVGPodpora#hrúbkaČiary(double) hrúbkaČiary}(i);
						{@code kwdif} ({@link Double Double}.{@link Double#isFinite(double) isFinite}(hrúbkaČiary))
							{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}(hrúbkaČiary);
						{@code kwdelse}
							{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num1});
						{@link GRobot#farba(Color) farba}(farba);
						{@link GRobot#kresliTvar(Shape, boolean) kresliTvar}({@link SVGPodpora svgPodpora}.{@link SVGPodpora#dajVýsledný(int) dajVýsledný}(i), {@code valtrue});
					}
				}

				{@code comm// Po dokončení každého kreslenia (prvé je vykonané pri spustení}
				{@code comm// aplikácie a ďalšie pri kliknutí alebo ťahaní myšou) je opätovne}
				{@code comm// nastavená hrúbka a farba čiary robota na 0.5 boda a červenú. To}
				{@code comm// ovplyvní nakreslenie vlastného tvaru robota – kružnice so „zárezom“.}
				{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}({@code num.5});
				{@link GRobot#farba(Color) farba}({@link Farebnosť#červená červená});
			}

			{@code comm// Hlavná metóda.}
			{@code kwdpublic} {@code kwdstatic} {@code typevoid} main(String... args)
			{
				{@link Svet Svet}.{@link Svet#použiKonfiguráciu(String) použiKonfiguráciu}({@code srg"SVGZobraz.cfg"});
				{@code kwdnew} SVGZobraz();
			}
		}
		</pre>
	 * 
	 * <P> <br /><a target="_blank" href="resources/Panak.svg">Panak.svg</a>
	 * – SVG obrázok na prevzatie<br /> 
	 * 
	 * <P><b>Výsledok:</b>
	 * <P><image>svg-panak.png</image>Vzhľad plochy sveta po spustení
	 * príkladu<br /><small>(plátno ukážky je zmenšené)</small>
	 * <P> 
	 * 
	 * <P><b>Príklad:</b>
	 * <P>Nasledujúca séria príkazov ukazuje import tvaru z SVG súboru a jeho
	 * použitie na kreslenie vlastného vyplneného tvaru robota. Príkazy
	 * vyžadujú na svoje fungovanie SVG súbor {@code srg"SVGTvaryRobota.svg"},
	 * ktorý je k dispozícii na prevzatie nižšie. (Pod ním nájdete rozšírenú
	 * verziu tohto príkladu.)
	 * <pre CLASS="example">
		{@code kwdtry}
		{
			{@link SVGPodpora svgPodpora}.{@link SVGPodpora#čítaj(String) čítaj}({@code srg"SVGTvaryRobota.svg"});

			{@link Shape Shape} tvar = {@link SVGPodpora svgPodpora}.{@link SVGPodpora#dajVýsledný(int) dajVýsledný}({@code num0});

			{@code kwdfinal} {@link Oblasť Oblasť} tvarVOblasti = {@code kwdnew} {@link Oblasť Oblasť}(
				{@link SVGPodpora SVGPodpora}.{@link SVGPodpora#presuňDoStredu(Shape) presuňDoStredu}(tvar));

			{@link GRobot#vlastnýTvar(KreslenieTvaru) vlastnýTvar}(({@link GRobot GRobot} r) -> r.{@link GRobot#vyplňOblasť(Area) vyplňOblasť}(tvarVOblasti));
		}
		{@code kwdcatch} ({@link Exception Exception} e)
		{
			e.{@link Exception#printStackTrace() printStackTrace}();
		}
		</pre>
	 * 
	 * <P> <br /><a target="_blank" href="resources/SVGTvaryRobota.svg"
	 * >SVGTvaryRobota.svg</a> – SVG súbor (s tvarmi robota) na prevzatie<br /> 
	 * 
	 * <P>Nasledujúce rozšírenie príkladu pracuje so zapnutým {@linkplain
	 * GRobot#interaktívnyRežim(boolean) interaktívnym režimom robota}
	 * a {@linkplain Svet#interaktívnyRežim(boolean) sveta} a používa tiež
	 * štandardú konfiguráciu {@linkplain Svet#použiKonfiguráciu sveta} aj
	 * {@linkplain Svet#registrujRobota(GRobot) robota}. Definuje aj dve tzv.
	 * zákaznícke vlastnosti. To sú také vlastnosti, ktoré sú definované nad
	 * rámec štandardnej konfigurácie (podrobnosti sú v komentároch). Zmenu
	 * tvaru docieli používateľ po spustení aplikácie zadaním a potvrdením
	 * príkazu „nastav tvar <i>«číslo»</i>“ vo vstupnom riadku, pričom pri
	 * použití súboru <a target="_blank" href="resources/SVGTvaryRobota.svg"
	 * >SVGTvaryRobota.svg</a> sú použiteľné číselné hodnoty 1 – 3 na zmenu
	 * tvarov prečítaných zo súboru a nula, ktorá znamená predvolený tvar.
	 * 
	 * <pre CLASS="example">
		{@code kwdimport} knižnica.{@link GRobot GRobot};
		{@code kwdimport} knižnica.{@link GRobot GRobot}.{@link SVGPodpora SVGPodpora}.{@link Transformácia Transformácia};

		{@code kwdimport} java.awt.{@link Shape Shape};

		{@code kwdpublic} {@code typeclass} SVGTvarRobota {@code kwdextends} {@link GRobot GRobot}
		{
			{@code comm// Do tohto atribútu bude ukladaný tvar prevedený z SVG údajov na}
			{@code comm// oblasť (tento proces nazývame zjednodušene v komentároch nižšie aj}
			{@code comm// generovaním oblasti):}
			{@code kwdprivate} {@link Oblasť Oblasť} tvarVOblasti = {@code valnull};

			{@code comm// Tento atribút slúži na detekciu zmeny veľkosti robota, aby mohol byť}
			{@code comm// tvar uložený v oblasti (definovanej vyššie) pregenerovaný (to znamená,}
			{@code comm// že pri každej zmene veľkosti robota sa oblasť znovu vygeneruje – tento}
			{@code comm// prístup nepočíta s príliš častými zmenami veľkosti robota):}
			{@code kwdprivate} {@code typedouble} poslednáVeľkosť = {@code num10.0};

			{@code comm// V tomto atribúte je uložené poradové číslo naposledy prevedeného tvaru}
			{@code comm// z SVG údajov (ide o jednu z dvoch tzv. zákazníckych vlastností v tomto}
			{@code comm// príklade):}
			{@code kwdprivate} {@code typeint} poslednýNastavenýTvar = {@code num1};

			{@code comm// Toto je záložná hodnota predchádzajúceho atribútu – je to hodnota,}
			{@code comm// ktorá bola prečítaná z konfigurácie (ak jestvovala) a slúži na detekciu}
			{@code comm// zmien (aby bola naplnená litera zapísaná v príklade TestKonfigurácie}
			{@code comm// uvedenom v opise triedy ObsluhaUdalostí):}
			{@code kwdprivate} {@code typeint} prečítanýNastavenýTvar = {@code num1};

			{@code comm// V tomto atribúte je názov naposledy čítaného SVG súboru, ktorého}
			{@code comm// údaje majú slúžiť ako zdroj tvarov (ide o jednu z dvoch tzv.}
			{@code comm// zákazníckych vlastností v tomto príklade):}
			{@code kwdprivate} {@link String String} poslednýČítanýSúbor = {@code valnull};

			{@code comm// Toto je záložná hodnota predchádzajúceho atribútu a je medzi nimi}
			{@code comm// rovnaký vzťah ako medzi dvoma celočíselnými atribútmi vyššie:}
			{@code kwdprivate} {@link String String} menoSúboruZKonfigurácie = {@code valnull};


			{@code comm// Konštruktor.}
			{@code kwdprivate} SVGTvarRobota()
			{
				{@code comm// Úprava rozmerov plátien volaním nadradeného konštruktora.}
				{@code valsuper}({@code num800}, {@code num600});

				{@code comm// Vypnutie automatického prekresľovania, pretože tento príklad}
				{@code comm// používa prekresľovanie v pravidelných časových intevaloch na}
				{@code comm// požiadanie (rovnako ako príklady uvedené v opise metódy}
				{@code comm// Svet.nebolPrekreslený() a triedy Obrázok).}
				{@link Svet Svet}.{@link Svet#nekresli() nekresli}();

				{@code comm// Tento príkaz zabezpečí, aby sa pri ďalších výpisoch metódami}
				{@code comm// sveta hlavný robot automaticky neskryl (vysvetlenie je uvedené}
				{@code comm// v poznámke v opise metódy Plátno.vypíš(…)):}
				{@link Svet Svet}.{@link Svet#vypíš(Object...) vypíš}({@code valthis});

				{@code comm// Definovanie obsluhy udalostí – obsluhujeme časovač, neúspešné}
				{@code comm// zadanie príkazu a konfiguráciu.}
				{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
				{
					{@code comm// Toto je reakcia na udalosti časovača.}
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#tik() tik}()
					{
						{@code comm// Vždy, keď má vnútorný indikátor potreby prekreslenia}
						{@code comm// pravdivú logickú hodnotu (true), zariadime spustenie}
						{@code comm// prekreslenia sveta:}
						{@code kwdif} ({@link Svet Svet}.{@link Svet#neboloPrekreslené() neboloPrekreslené}()) {@link Svet Svet}.{@link Svet#prekresli() prekresli}();
					}

					{@code comm// Reakcia na potvrdenie vstupu je v interaktívnom režime}
					{@code comm// spustená vtedy, keď potvrdený príkaz nebol rozpoznaný,}
					{@code comm// čiže v prípade chybného príkazu.}
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#potvrdenieVstupu() potvrdenieVstupu}()
					{
						{@code comm// Vyššie opísanú situáciu vyriešime tak, že potvrdený}
						{@code comm// reťazec vrátime späť do príkazového riadka, aby ho}
						{@code comm// mohol používateľ opraviť a znova potvrdiť.}
						{@link Svet Svet}.{@link Svet#textVstupnéhoRiadka(String) textVstupnéhoRiadka}({@link Svet Svet}.{@link Svet#prevezmiReťazec() prevezmiReťazec}());
					}


					{@code comm// Táto reakcia je spustená, keď si svet potrebuje overiť,}
					{@code comm// či má zmysel zapisovať konfiguráciu, či sa zmenila hodnota}
					{@code comm// niektorej zákazníckej vlastnosti. (Svet túto reakciu vôbec}
					{@code comm// nemusí spustiť.)}
					{@code kwd@}Override {@code kwdpublic} {@code typeboolean} {@link ObsluhaUdalostí#konfiguráciaZmenená() konfiguráciaZmenená}()
					{
						{@code comm// Nasledujúce riadky obsahujú kontroly zmien hodnôt}
						{@code comm// zákazníckych vlastností:}
						{@code kwdif} (poslednýNastavenýTvar != prečítanýNastavenýTvar)
							{@code kwdreturn} {@code valtrue};
						{@code kwdif} (poslednýČítanýSúbor != menoSúboruZKonfigurácie)
							{@code kwdreturn} {@code valtrue};

						{@code comm// (Tu by nasledovali ďalšie kontroly zmien hodnôt.)}

						{@code kwdreturn} {@code valfalse};
					}

					{@code comm// Táto reakcia dovoľuje zapísať zákaznícke vlastnosti do}
					{@code comm// konfiguračného súboru.}
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#zapíšKonfiguráciu(Súbor) zapíšKonfiguráciu}({@link Súbor Súbor} súbor)
						{@code kwdthrows} java.io.IOException
					{
						{@code comm// Zapisujeme hodnoty vlastností:}
						súbor.{@link Súbor#zapíšVlastnosť(String, Object) zapíšVlastnosť}({@code srg"nastavenýTvar"}, poslednýNastavenýTvar);
						súbor.{@link Súbor#zapíšVlastnosť(String, Object) zapíšVlastnosť}({@code srg"čítanýSúbor"}, poslednýČítanýSúbor);

						{@code comm// (Tu by nasledovali ďalšie zápisy hodnôt.)}
					}

					{@code comm// Táto reakcia umožňuje prečítanie hodnôt zákazníckych}
					{@code comm// vlastností z konfiguračného súboru.}
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#čítajKonfiguráciu(Súbor) čítajKonfiguráciu}({@link Súbor Súbor} súbor)
						{@code kwdthrows} java.io.{@link java.io.IOException IOException}
					{
						{@code comm// Čítanie hodnôt vlastností.}
						{@code comm// }
						{@code comm// Pri čítaní zmeníme pri každej čítanej vlastnosti naraz}
						{@code comm// hodnotu skutočnej vlastnosti aj hodnotu premennej}
						{@code comm// slúžiacej na uchovanie prečítanej hodnoty (tá slúži ako}
						{@code comm// detektor zmien a je vyhodnocovaná v reakcii}
						{@code comm// konfiguráciaZmenená.}

						poslednýNastavenýTvar = prečítanýNastavenýTvar =
							súbor.{@link Súbor#čítajVlastnosť(String, Long) čítajVlastnosť}({@code srg"nastavenýTvar"},
								({@code typelong})poslednýNastavenýTvar).{@link Long#intValue() intValue}();
						poslednýČítanýSúbor = menoSúboruZKonfigurácie =
							súbor.{@link Súbor#čítajVlastnosť(String, String) čítajVlastnosť}({@code srg"čítanýSúbor"}, poslednýČítanýSúbor);

						{@code comm// (Tu by nasledovali ďalšie čítania hodnôt.)}
					}
				};

				{@code comm// Zapnutie interaktívneho (príkazového) režimu a registrácia robota}
				{@code comm// v rámci konfigurácie:}
				{@link Svet Svet}.{@link Svet#interaktívnyRežim(boolean) interaktívnyRežim}({@code valtrue});
				{@link GRobot#interaktívnyRežim(boolean) interaktívnyRežim}({@code valtrue});
				{@link Svet Svet}.{@link Svet#registrujRobota(GRobot) registrujRobota}({@code valthis});

				{@code comm// Čítanie naposledy čítaného súboru (počiatočná hodnota null má}
				{@code comm// špeciálny význam – vtedy sa metóda pokúsi čítať súbor}
				{@code comm// s predvoleným názvom – pozri definíciu metódy čítaj nižšie).}
				{@code comm// Keďže úspešné vykonanie tejto metódy mení (resetuje) hodnotu}
				{@code comm// poradového čísla naposledny nastavovaného tvaru (čo je žiaduce}
				{@code comm// pri vykonaní z príkazového riadka), je pred týmto volaním hodnota}
				{@code comm// tohto číselného atribútu zálohovaná a po ňom spätne obnovená:}
				{@code typeint} zálohaHodnotyTvaru = poslednýNastavenýTvar;
				čítaj(poslednýČítanýSúbor);
				poslednýNastavenýTvar = zálohaHodnotyTvaru;

				{@code comm// Nastavenie tvaru podľa atribútu, ktorého hodnotu sme práve}
				{@code comm// zálohovali a obnovili (pozri komentár a kód vyššie):}
				nastavTvar(poslednýNastavenýTvar);

				{@code comm// Spustenie časovača (inak by nefungovalo prekresľovanie spomínané}
				{@code comm// pri príkaze Svet.nekresli(); v úvode tohto konštruktora):}
				{@link Svet Svet}.{@link Svet#spustiČasovač() spustiČasovač}();
			}


			{@code comm/////////////////////////////////////////////////////////////////}
			{@code comm// ##   Výhodou interaktívneho režimu je, že všetky nové    ## //}
			{@code comm// ##   definované verejné metódy (spĺňajúce kritériá       ## //}
			{@code comm// ##   opísané pri metóde Svet.interaktívnyRežim(zapni))   ## //}
			{@code comm// ##   sa automaticky stávajú príkazmi použiteľnými        ## //}
			{@code comm// ##   v tomto režime…                                     ## //}
			{@code comm/////////////////////////////////////////////////////////////////}


			{@code comm// Vypíše aktuálny počet útvarov uložených vo vnútornom zásobníku}
			{@code comm// inštancie svgPodpora. To je zároveň horná hranica číselného rozsahu}
			{@code comm// použiteľného s metódou nastavTvar (nižšie).}
			{@code kwdpublic} {@code typevoid} vypíšPočet()
			{
				{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"Počet tvarov v zásobníku: "}, {@link SVGPodpora svgPodpora}.{@link SVGPodpora#počet() počet}());
			}

			{@code comm// | Tento alias je definovaný len preto, aby bola v príkazovom riadku}
			{@code comm// | interaktívneho režimu použiteľná aj verzia tohto príkazu bez}
			{@code comm// | diakritiky.}
			{@code kwdpublic} {@code typevoid} vypisPocet() { vypíšPočet(); }


			{@code comm// Táto metóda slúži na prečítanie SVG súboru so zadaným menom. Tvary,}
			{@code comm// ktoré sa podaria nájsť inštancii svgPodpora budú použiteľné na}
			{@code comm// nastavenie vlastného tvaru robota.}
			{@code kwdpublic} {@code typevoid} čítaj({@link String String} meno)
			{
				{@code comm// Ak je namiesto názvu súboru zadaná hodnota null, tak je použitý}
				{@code comm// preddefinovaný názov súboru „SVGTvaryRobota.svg“:}
				{@code kwdif} ({@code valnull} == meno) meno = {@code srg"SVGTvaryRobota.svg"};

				{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"Čítam súbor: "}, meno);

				{@code comm// Pri každom novom čítaní sú z vnútorného zásobníka tvarov}
				{@code comm// inštancie svgPodpora vymazané všetky tvary:}
				{@link SVGPodpora svgPodpora}.{@link SVGPodpora#vymaž() vymaž}();

				{@code comm// Do premennej výsledok najprv vložíme hodnotu -1, ktorá signalizuje}
				{@code comm// chybu:}
				{@code typeint} výsledok = {@code num-1};

				{@code comm// V nasledujúcom bloku na zachytávanie výnimiek sa pokúsime}
				{@code comm// prečítať súbor so zadaným menom:}
				{@code kwdtry}
				{
					{@code comm// Ak sa čítanie podarí, tak v premennej výsledok bude počet}
					{@code comm// prečítaných tvarov (aj táto metóda môže vrátiť hodnotu -1}
					{@code comm// bez vzniku výnimky, takže pôvodná mínus jednotka môže byť}
					{@code comm// bez nášho vedomia prepísaná novou, ale to vôbec neprekáža,}
					{@code comm// lebo výsledná informácia je totožná):}
					výsledok = {@link SVGPodpora svgPodpora}.{@link SVGPodpora#čítaj(String) čítaj}(meno);
				}
				{@code kwdcatch} ({@link Exception Exception} e)
				{
					{@code comm// V prípade vzniknutia výnimky je na štandardnom chybovo výstupe}
					{@code comm// vypísaná krátka správa o pôvode („stope v zásobníku“) chyby:}
					e.{@link Throwable#printStackTrace() printStackTrace}();
				}

				{@code comm// Podľa hodnoty premennej výsledok je vypísané hlásenie a prípadne}
				{@code comm// vykonané ďalšie kroky…}
				{@code kwdif} ({@code num-1} == výsledok)
					{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"Čítanie súboru zlyhalo!"});
				{@code kwdelse}
				{
					{@code comm// V prípade úspechu je okrem vypísania správy nastavený}
					{@code comm// predvolený tvar robota a vymazaná oblasť obsahujúca}
					{@code comm// vlastný tvar:}
					{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"Počet prečítaných tvarov: "}, výsledok);
					poslednýČítanýSúbor = meno;
					poslednýNastavenýTvar = {@code num0};
					tvarVOblasti = {@code valnull};
				}
				vypíšPočet();
			}

			{@code comm// | Tento alias je definovaný len preto, aby bola v príkazovom riadku}
			{@code comm// | interaktívneho režimu použiteľná aj verzia tohto príkazu bez}
			{@code comm// | diakritiky.}
			{@code kwdpublic} {@code typevoid} citaj({@link String String} meno) { čítaj(meno); }

			{@code comm// Táto verzia metódy dovoľuje použitie tohto príkazu bez zadania}
			{@code comm// parametra (namiesto ktorého je dosadená predvolená hodnota null).}
			{@code kwdpublic} {@code typevoid} čítaj() { čítaj({@code valnull}); }

			{@code comm// | Tento alias je definovaný len preto, aby bola v príkazovom riadku}
			{@code comm// | interaktívneho režimu použiteľná aj verzia tohto príkazu bez}
			{@code comm// | diakritiky.}
			{@code kwdpublic} {@code typevoid} citaj() { čítaj(); }


			{@code comm// Táto metóda vygeneruje taký tvar oblasti, ktorý bude použiteľný ako}
			{@code comm// vlastný tvar robota. Oblasť musí byť umiestnená v strede plátna, inak}
			{@code comm// by bol vlastný tvar posunutý oproti skutočnej polohe robota. Tvar}
			{@code comm// oblasti je vygenerovaný z SVG tvaru, ktorý je uložený vo vnútornom}
			{@code comm// zásobníku inštancie svgPodpora pod poradovým číslom určeným parametrom}
			{@code comm// „ktorý“. Metóda tiež zariadi, aby bola veľkosť tvaru oblasi prispôsobená}
			{@code comm// podľa aktuálnej veľkosti a mierky robota.}
			{@code kwdpublic} {@code typevoid} nastavTvar({@code typeint} ktorý)
			{
				{@code comm// Hodnota nula znamená predvolený tvar robota.}
				{@code kwdif} ({@code num0} == ktorý)
				{
					poslednýNastavenýTvar = {@code num0};
					tvarVOblasti = {@code valnull};

					{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"Nastavený predvolený tvar."});
				}
				{@code kwdelse}
				{
					{@code comm// Všetky ostatné hodnoty znamenajú poradové číslo tvaru vo}
					{@code comm// vnútornom zásobníku inštancie svgPodpora, pričom metódy}
					{@code comm// dávajúce tvary smú prijímať aj záporné čísla – v tom prípade}
					{@code comm// to znamená n-tý tvar od konca zásobníka. Kladné hodnoty}
					{@code comm// musia byť odlíšené, pretože metóda funguje rovnako ako}
					{@code comm// všetko v jazyku Java – nula je index prvého tvaru. Index}
					{@code comm// vypočítame zo zadaného poradového čísla jednoducho, je to}
					{@code comm// hodnota: ktorý − 1.}
					{@link Shape Shape} tvar = {@link SVGPodpora svgPodpora}.{@link SVGPodpora#dajVýsledný(int) dajVýsledný}(ktorý &lt; {@code num0} ? ktorý : ktorý &#45; {@code num1});

					{@code kwdif} ({@code valnull} == tvar)
					{
						{@code comm// Ak metóda dajVýsledný vráti null, znamená to, že}
						{@code comm// tvar nebol nájdený (lebo požadovaný index je mimo}
						{@code comm// rozsahu).}
						{@link Svet Svet}.{@link Svet#pípni() pípni}();
						{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"Tvar s poradovým číslom "},
							ktorý, {@code srg" nebol nájdený."});
					}
					{@code kwdelse}
					{
						{@code comm// V prípade úspešne nájdeného tvaru najprv upravíme}
						{@code comm// jeho veľkosť podľa aktuálnej veľkosti a mierky robota,}
						{@code comm// pričom ak sú veľkosť robota v súčine s mierkou rovné}
						{@code comm// hodnote desať, tak to značí, že veľkosť tvaru nemá}
						{@code comm// byť zmenená.}

						{@code comm// Atribút poslednáVeľkosť bude slúžiť na overenie zmeny}
						{@code comm// veľkosti vlastného tvaru a zároveň ho použijeme}
						{@code comm// v nasledujúcom kroku (na overenie potreby úpravy veľkosti}
						{@code comm// tvaru a na jej prípadné vykonanie).}
						poslednáVeľkosť = {@link GRobot#veľkosť() veľkosť}() * {@link GRobot#mierka() mierka}();

						{@code kwdif} ({@code num10.0} != poslednáVeľkosť)
							{@code comm// Na zmenu veľkosti tvaru (v prípade, že je potrebné ju}
							{@code comm// upraviť) je použitá transformácia MIERKA:}
							tvar = {@link SVGPodpora SVGPodpora}.{@link SVGPodpora#dajVýsledný(Shape, Transformácia, Transformácia...) dajVýsledný}(
								tvar, {@code kwdnew} {@link Transformácia#GRobot.SVGPodpora.Transformácia(int, Double...) Transformácia}(
									{@link Transformácia Transformácia}.{@link Transformácia#MIERKA MIERKA},
									poslednáVeľkosť / {@code num10.0}));

						{@code comm// Potom presunieme vrátený tvar do stredu súradnicovej}
						{@code comm// sústavy grafického robota. Môžeme použiť metódu}
						{@code comm// SVGPodpora.presuňDoStredu(tvar):}
						tvarVOblasti = {@code kwdnew} {@link Oblasť#GRobot.Oblasť(Shape) Oblasť}({@link SVGPodpora SVGPodpora}.{@link SVGPodpora#presuňDoStredu(Shape) presuňDoStredu}(tvar));

						{@code comm// Nakoniec zaznamenáme poradové číslo použitého tvaru:}
						poslednýNastavenýTvar = ktorý;

						{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"Nastavený tvar: "}, ktorý);
					}
				}
			}


			{@code comm// Táto verzia metódy dovoľuje použitie príkazu tohto bez zadania}
			{@code comm// parametra (namiesto ktorého je dosadená predvolená hodnota 1).}
			{@code kwdpublic} {@code typevoid} nastavTvar() { nastavTvar({@code num1}); }


			{@code comm// Táto reakcia zabezpečuje kreslenie vlastného (a v tomto prípade aj}
			{@code comm// predvoleného) tvaru robota.}
			{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link GRobot#kresliTvar() kresliTvar}()
			{
				{@code comm// Ak je definovaná oblasť s vlastným tvarom, tak sa vykoná vetva}
				{@code comm// zabezpečujúca nakreslenie vlastného tvaru (s nejakými kontrolami).}
				{@code kwdif} ({@code valnull} != tvarVOblasti && {@code num0} != poslednýNastavenýTvar)
				{
					{@code comm// Ak sa zmenila veľkosť robota (alebo mierka), tak nastane}
					{@code comm// pregenerovanie tvaru:}
					{@code kwdif} (poslednáVeľkosť != {@link GRobot#veľkosť() veľkosť}() * {@link GRobot#mierka() mierka}())
						nastavTvar(poslednýNastavenýTvar);

					{@code comm// Podľa toho, či je aktivované vypĺňanie tvarov robotom}
					{@code comm// bude oblasť vyplnená alebo obkreslená:}
					{@code kwdif} ({@link GRobot#vypĺňaTvary() vypĺňaTvary}())
						{@link GRobot#vyplňOblasť(Area) vyplňOblasť}(tvarVOblasti);
					{@code kwdelse}
						{@link GRobot#obkresliOblasť(Area) obkresliOblasť}(tvarVOblasti);
				}
				{@code kwdelse}
				{
					{@code comm// Alternatívna vetva obsahuje len príkaz kreslenia predvoleného}
					{@code comm// tvaru robota:}
					{@link GRobot#trojzubec() trojzubec}();
				}
			}


			{@code comm// Hlavná metóda.}
			{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}... args)
			{
				{@link Svet Svet}.{@link Svet#použiKonfiguráciu(String) použiKonfiguráciu}({@code srg"SVGTvarRobota.cfg"});
				{@code kwdnew} SVGTvarRobota();
			}
		}
		</pre>
	 * 
	 * <P><b>Výsledok:</b>
	 * <P><image>SVGTvarRobota.png</image>Ukážka vzhľadu okna po prvom
	 * spustení aplikácie<br /><small>(ukážka je zmenšená)</small>
	 * <P> 
	 * 
	 * <P><b>Príklad:</b>
	 * <P>Tento príklad ukazuje ako previesť (konvertovať) rastrový
	 * obrázok prečítaný z PNG súboru na množinu kruhov s veľkosťami
	 * podľa lokálneho jasu konkrétnych častí obrázka. Výsledok konverzie
	 * je uložený do vektorového SVG súboru.
	 * <P>Budeme postupovať tak, že najskôr prečítame bitmapový obrázok
	 * zo súboru s názvom „mola.jpeg“, obrázok virtuálne rozdelíme na bloky
	 * veľké 10 × 10 bodov (pixelov), vypočítame priemerný farebný jas
	 * bodov v každom bloku a podľa týchto hodnôt vyrobíme kruhy tvoriace
	 * mozaiku nového obrázka vo formáte SVG. (Viaceré hodnoty v príklade
	 * sú zadané „napevno“, nie univerzálne. Dôvodom je úsilie
	 * o nezvyšovanie zložitosti príkladu.)
	 * <pre CLASS="example">
		{@code kwdimport} knižnica.{@link GRobot GRobot};

		{@code kwdpublic} {@code typeclass} SVGKruhy {@code kwdextends} {@link GRobot GRobot}
		{
			{@code comm// Konštruktor.}
			{@code kwdprivate} SVGKruhy()
			{
				{@code comm// Úprava rozmerov plátna volaním nadradeného konštruktora.}
				{@code valsuper}({@code num800}, {@code num600});

				{@code comm// Skryje robota:}
				{@link GRobot#skry() skry}();

				{@code comm// Vypnutie automatického prekresľovania.}
				{@link Svet Svet}.{@link Svet#nekresli() nekresli}();

				{@code comm// Vytvorí obrázok zo súboru uloženého na pevnom disku}
				{@code comm// (prípadne inej jednotke, ktorá je aktuálna):}
				{@link Obrázok Obrázok} obrázok = {@link Obrázok Obrázok}.{@link Obrázok#prečítaj(String) prečítaj}({@code srg"mola.jpeg"});

				{@code comm// Zobrazí prečítaný obrázok v mierke 1 : 2, keďže obrázok má}
				{@code comm// v porovnaní s plátnami dvojnásobné rozmery. (Samozrejme, že}
				{@code comm// toto nie je univerzálne riešenie. Univerzálne riešenie by muselo}
				{@code comm// porovnať rozmery obrázka s rozmermi plátien a na základe toho}
				{@code comm// vypočítať mierku.)}
				{@link GRobot#obrázok(Image, double) obrázok}(obrázok, {@code num0.5});

				{@code comm// Ak teraz presmerujeme kreslenie na strop, kresba obrázka na}
				{@code comm// podlahe zostane neporušená a môžeme s ňou manipulovať samostatne}
				{@code comm// (to nesúvisí s grafikou samotného obrázka, tá zostane neporušená}
				{@code comm// i tak):}
				{@link GRobot#kresliNaStrop() kresliNaStrop}();

				{@code comm// Umiestnime robota na počiatočnú pozíciu – do ľavého dolného rohu}
				{@code comm// plátna. Poloha robota je dôležitá len pre výstupné SVG údaje.}
				{@link GRobot#skočNa(double, double) skočNa}({@link Svet Svet}.{@link Svet#najmenšieX() najmenšieX}() + {@code num2.5}, {@link Svet Svet}.{@link Svet#najmenšieY() najmenšieY}() + {@code num2.5});

				{@code comm// Nastavenie (konštantnej) veľkosti robota má zmysel najmä pri}
				{@code comm// inej verzii konverzie obrázka, ale výkonu aplikácie to neublíži:}
				{@link GRobot#veľkosť(double) veľkosť}({@code num2.5});


				{@code comm// Úlohou nasledujúcich štyroch (postupne sa vnárajúcich) cyklov}
				{@code comm// „for“ je prechádzať po blokoch 10 × 10 pixelov po obrázku,}
				{@code comm// vypočítať z každého bloku priemer jasu (alebo farebnosti, prípadne}
				{@code comm// iného parametra) a z vypočítaného údaja vyrobiť tvar, ktorý bude}
				{@code comm// uložený do SVG údajov.}
				//
				{@code comm// Poznámky:}
				{@code comm// ---------}
				//
				{@code comm// Využívané sú len metódy/príkazy knižnice grafického robota.}
				{@code comm// Toto riešenie síce nie je optimálne, ale je odolné voči chybám,}
				{@code comm// pretože spracúvané hodnoty podstupujú viacnásobnú kontrolu.}
				{@code comm// Keby sme však potrebovali dávkovo spracovať veľké množstvo údajov}
				{@code comm// (napríklad mnoho obrázkov), bolo by nevyhnutné riešenie}
				{@code comm// optimalizovať. Odporúčame priamu prácu s rastrom:}
				//
				{@code comm//    int[] údaje = ((java.awt.image.DataBufferInt)obrázok.}
				{@code comm//        getRaster().getDataBuffer()).getData();}
				{@code comm//    …}
				//
				{@code comm// Takto získané celočíselné pole obsahuje farebné (ARGB) údaje}
				{@code comm// o jednotlivých bodoch obrázka počnúc ľavým horným rohom,}
				{@code comm// pokračujúc doprava a po jednotlivých riadkoch až na koniec.}
				//
				{@code kwdfor} ({@code typedouble} y = obrázok.{@link Obrázok#najmenšieY() najmenšieY}();
					y &lt;= obrázok.{@link Obrázok#najväčšieY() najväčšieY}(); y += {@code num10.0})
				{
					{@code kwdfor} ({@code typedouble} x = obrázok.{@link Obrázok#najmenšieX() najmenšieX}();
						x &lt;= obrázok.{@link Obrázok#najväčšieX() najväčšieX}(); x += {@code num10.0})
					{
						{@code comm// Do nasledujúcich premenných budú ukladané údaje určené}
						{@code comm// na výsledné spracovanie. V tomto prípade je to celková}
						{@code comm// suma hodnôt farebných zložiek všetkých bodov a počet}
						{@code comm// bodov, ktoré boli skutočne vyhodnotené.}
						{@code typeint} suma = {@code num0};
						{@code typeint} počet = {@code num0};

						{@code comm// Spracovanie bloku 10 × 10 pixelov:}
						{@code kwdfor} ({@code typeint} j = {@code num0}; j &lt; {@code num10}; ++j)
						{
							{@code kwdfor} ({@code typeint} i = {@code num0}; i &lt; {@code num10}; ++i)
							{
								{@code comm// Najprv je prečítaná farba každého bodu. Bod je}
								{@code comm// čítaný bez ohľadu na polohu robota. Súradnice}
								{@code comm// bodu sú určené výhradne riadiacimi premennými}
								{@code comm// štyroch cyklov „for“:}
								{@link Farba Farba} farba = obrázok.{@link Obrázok#farbaBodu(double, double) farbaBodu}(x + i, y + j);

								{@code comm// Ak neboli požadované súradnice mimo hraníc}
								{@code comm// obrázka, tak je získaná farba spracovaná:}
								{@code kwdif} (žiadna != farba)
								{
									{@code comm// Zvýši sa počítadlo spracovaných farieb:}
									++počet;

									{@code comm// A súčet všetkých farebných zložiek je pridaný}
									{@code comm// do celkovej sumy:}
									suma += farba.{@link Farba#červená() červená}() +
										farba.{@link Farba#zelená() zelená}() + farba.{@link Farba#modrá() modrá}();
								}
							}
						}

						{@code comm// Vyrobiť tvar má zmysel len ak sú k dispozícii údaje}
						{@code comm// na spracovanie.}
						{@code kwdif} ({@code num0} != počet)
						{
							{@code comm// Upravíme veľkosť robota podľa priemeru vypočítaného}
							{@code comm// z farebných hodnôt všetkých spracovaných bodov}
							{@code comm// (čísla vo vzorci sme získali empiricky – to jest}
							{@code comm// čiastočne odhadom na základe predchádzajúcich}
							{@code comm// vedomostí a skúseností a čiastočne „doladením“ podľa}
							{@code comm// estetiky výsledku):}
							{@link GRobot#veľkosť(double) veľkosť}({@code num3.25} &#45; ((suma / ({@code num3} * počet)) / {@code num80.0}));

							{@code comm// Do inštancie svgPodpora pridáme čierny krúžok na}
							{@code comm// pozícii robota s veľkosťou robota:}
							{@link SVGPodpora svgPodpora}.{@link SVGPodpora#pridaj(Shape, String...) pridaj}({@link GRobot#kruh() kruh}(), {@code srg"fill"}, {@code srg"black"});
						}

						{@code comm// Posunutie robota o kúsok doprava – synchrónne s prechodom}
						{@code comm// na ďalší spracúvaný blok pixelov:}
						{@link GRobot#skoč(double, double) skoč}({@code num5.0}, {@code num0.0});
					}

					{@code comm// Posunutie robota na začiatok vyššieho riadka:}
					{@link GRobot#skočNa(double, double) skočNa}({@link Svet Svet}.{@link Svet#najmenšieX() najmenšieX}() + {@code num2.5}, {@link GRobot#polohaY() polohaY}() + {@code num5.0});

					{@code comm// Prekreslenie sveta (skrytím tohto príkazu do komentára sa}
					{@code comm// proces konverzie značne urýchli):}
					{@link Svet Svet}.{@link Svet#prekresli() prekresli}();
				}


				{@code comm// Skrytie obrázka na podlahe:}
				{@link Plátno podlaha}.{@link Plátno#priehľadnosť(double) priehľadnosť}({@code num0});

				{@code comm// Uloženie SVG súboru (s predvoleným titulkom a prepisujúc}
				{@code comm// prípadný pôvodný súbor):}
				{@link SVGPodpora svgPodpora}.{@link SVGPodpora#zapíš(String) zapíš}({@code srg"mola-bodkova.svg"}, {@code valnull}, {@code valtrue});

				{@code comm// Opätovné zapnutie automatického prekresľovania.}
				{@link Svet Svet}.{@link Svet#kresli() kresli}();
			}


			{@code comm// Hlavná metóda.}
			{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}... args)
			{
				{@link Svet Svet}.{@link Svet#použiKonfiguráciu(String) použiKonfiguráciu}({@code srg"SVGKruhy.cfg"});
				{@code kwdnew} SVGKruhy();
			}
		}
		</pre>
	 * 
	 * <P> <br /><a target="_blank" href="resources/mola.jpeg">mola.jpeg</a>
	 * – pôvodný rastrový obrázok na prevzatie<br /> 
	 * 
	 * <P><image>mola-mensia.jpeg</image>Pôvodný rastrový obrázok<br
	 * /><small>(zobrazovaný obrázok je oproti pôvodnému obrázku <a
	 * target="_blank" href="resources/mola.jpeg">na prevzatie</a> zmenšený
	 * o 50 %)</small>
	 * <P> 
	 * 
	 * <P><b>Výsledok:</b>
	 * <P><image>mola-bodkova.svg</image>Výsledný <a target="_blank"
	 * href="resources/mola-bodkova.svg">SVG obraz</a>
	 * <P> 
	 * 
	 * <P><b>Príklad:</b>
	 * <P>Tento príklad ukazuje vytvorenie fraktálneho útvaru rastlinky
	 * s pomocou korytnačej grafiky grafického robota a jej uloženie do HTML
	 * súboru obsahujúceho SVG definíciu. Generovanie rastlinky používa
	 * náhodné čísla, preto každé spustenie vygeneruje a uloží unikátny
	 * obrázok. V skutočnosti sú ukladané dva súbory – rastrový obrázok vo
	 * formáte PNG a HTML obsahujúce SVG. Ďalšie podrobnosti o fungovaní
	 * príkladu sú v jeho komentároch.
	 * 
	 * <pre CLASS="example">
		{@code kwdimport} knižnica.{@link GRobot GRobot};

		{@code comm// Túto triedu Javy reprezentujúcu 2D úsečku potrebujeme na pridávanie}
		{@code comm// jednotlivých úsečiek do inštancie svgPodpora.}
		{@code kwdimport} java.awt.geom.{@link Line2D Line2D};

		{@code comm// V tomto príklade je implementovaných viacero mechanizmov, ktoré priamo}
		{@code comm// nesúvisia s formátom SVG. Všetko je podrobne vysvetlené v komentároch.}
		{@code comm// SVG formátu sa dotýkajú všetky pasáže používajúce triedu SVGPodpora}
		{@code comm// a inštanciu svgPodpora.}
		{@code kwdpublic} {@code typeclass} SVGRastlinka {@code kwdextends} {@link GRobot GRobot}
		{
			{@code comm// Súkromný konštruktor.}
			{@code kwdprivate} SVGRastlinka()
			{
				{@code comm// Úprava rozmerov plátna volaním nadradeného konštruktora.}
				{@code valsuper}({@code num800}, {@code num640});

				{@code comm// Vypnutie predvoleného automatického prekresľovania.}
				{@link Svet Svet}.{@link Svet#nekresli() nekresli}();

				{@code comm// Obsluha udalostí zabezpečujúca prekresľovanie sveta}
				{@code comm// v pravidelných časových intervaloch.}
				{@code kwdnew} {@link ObsluhaUdalostí#GRobot.ObsluhaUdalostí() ObsluhaUdalostí}()
				{
					{@code kwd@}Override {@code kwdpublic} {@code typevoid} {@link ObsluhaUdalostí#tik() tik}()
					{
						{@code kwdif} ({@link Svet Svet}.{@link Svet#neboloPrekreslené() neboloPrekreslené}()) {@link Svet Svet}.{@link Svet#prekresli() prekresli}();
					}
				};

				{@code comm// Spustenie časovača (na pravidelné prekresľovanie).}
				{@link Svet Svet}.{@link Svet#spustiČasovač() spustiČasovač}();

				{@code comm// Úvodné nastavenie robota a spustenie kreslenia rastlinky.}
				{@link GRobot#skoč(double, double) skoč}({@code num0}, {@code num-300});
				{@link GRobot#farba(int, int, int, int) farba}({@code num0}, {@code num120}, {@code num0}, {@code num120});
				rastlinka({@code num96});

				{@code comm// Skrytie robota.}
				{@link GRobot#skry() skry}();
			}

			{@code comm// Atribúty slúžiace na uchovanie súradníc úsečky.}
			{@code kwdprivate} {@code typedouble} x0, y0, x1, y1;

			{@code comm// Pomocná metóda na zaznamenanie aktuálnej polohy robota.}
			{@code kwdprivate} {@code typevoid} uložPolohu()
			{
				{@code comm// Je dôležité prepočítať súradnice zo súradnicového priestoru}
				{@code comm// robota do súradnicového priestoru, ktorý je používaný formátom}
				{@code comm// SVG. Vo viacerých prípadoch je konverzia vykonaná automaticky,}
				{@code comm// ale tu to nie je možné, pretože čítame priamo polohu robota,}
				{@code comm// ktorú ukladáme ako bezrozmerné číslo, ktorého pôvod nie je možné}
				{@code comm// detegovať žiadnou súčasťou knižnice alebo Javy. Rovnaká situácia}
				{@code comm// nastáva aj v metóde pridajÚsečku (nižšie).}
				{@code comm// }
				{@code comm// O súradnicových priestoroch je viac napísané v príklade v opise}
				{@code comm// metódy cesta() triedy GRobot a v opisoch metód zapíš a čítaj}
				{@code comm// v tejto triede (SVGPodpora)…}
				x0 = x1 = {@link SVGPodpora SVGPodpora}.{@link SVGPodpora#prepočítajX(double) prepočítajX}({@link GRobot#polohaX() polohaX}());
				y0 = y1 = {@link SVGPodpora SVGPodpora}.{@link SVGPodpora#prepočítajY(double) prepočítajY}({@link GRobot#polohaY() polohaY}());
			}

			{@code comm// Pomocná metóda na pridanie úsečky do SVG údajov.}
			{@code kwdprivate} {@code typevoid} pridajÚsečku()
			{
				{@code comm// Je dôležité prepočítať súradnice zo súradnicového priestoru}
				{@code comm// robota do súradnicového priestoru, ktorý je používaný formátom}
				{@code comm// SVG. Podrobnejšie je to vysvetlené v komentároch v metóde}
				{@code comm// uložPolohu (vyššie).}
				x0 = x1; x1 = {@link SVGPodpora SVGPodpora}.{@link SVGPodpora#prepočítajX(double) prepočítajX}({@link GRobot#polohaX() polohaX}());
				y0 = y1; y1 = {@link SVGPodpora SVGPodpora}.{@link SVGPodpora#prepočítajY(double) prepočítajY}({@link GRobot#polohaY() polohaY}());

				{@code comm// Z prevedených súradníc vytvoríme úsečku, ktorú vložíme do}
				{@code comm// vnútorného zásobníka tvarov inštancie svgPodpora a vzápätí}
				{@code comm// upravíme jej vizuálne vlastnosti.}
				{@link SVGPodpora svgPodpora}.{@link SVGPodpora#pridaj(Shape, String...) pridaj}({@code kwdnew} {@link Line2D Line2D}.{@link Line2D.Double#Line2D.Double(double, double, double, double) Double}(x0, y0, x1, y1));
				{@link SVGPodpora svgPodpora}.{@link SVGPodpora#hrúbkaČiary(int, double) hrúbkaČiary}({@code num-1}, {@link GRobot#hrúbkaČiary() hrúbkaČiary}());
				{@link SVGPodpora svgPodpora}.{@link SVGPodpora#farbaČiary(int, Color) farbaČiary}({@code num-1}, {@link GRobot#farba() farba}());
			}

			{@code comm// Rekurzívna metóda na kreslenie rastlinky}
			{@code kwdprivate} {@code typevoid} rastlinka({@code typedouble} dĺžka)
			{
				{@code kwdif} (dĺžka &lt; {@code num2}) {@code kwdreturn};

				{@code comm// V komentároch v tejto metóde vysvetlíme princípy, ktorými sa}
				{@code comm// riadi jej vykonávanie. Na zjednodušenie ignorujme v najbližších}
				{@code comm// úvahách rekurzívne volanie. (Aj tak sa nakoniec ukáže, že ak}
				{@code comm// správne uvažujeme, tak sa ním nemusíme zaoberať.)}

				{@code comm// Hlavná zásada znie:}
				{@code comm// -------------------}
				{@code comm// }
				{@code comm//   #######################################################}
				{@code comm//   ##  Po vykonaní tejto metódy musí mať robot rovnakú  ##}
				{@code comm//   ##  orientáciu a polohu ako mal pred jej vykonaním.  ##}
				{@code comm//   #######################################################}

				{@code comm// „Vypočítame“, respektíve náhodne vygenerujeme, dva uhly, o ktoré}
				{@code comm// sa bude robot otáčať pred prechodom do rekurzívnej vetvy. Uhly}
				{@code comm// si musíme zapamätať v lokálnych premenných, aby sme boli schopní}
				{@code comm// zabezpečiť dodržanie hlavnej zásady (vyššie).}
				{@code typedouble} uhol1 = {@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num0}, {@code num30});
				{@code typedouble} uhol2 = {@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num0}, {@code num30});

				{@code comm// Nastavíme hrúbku čiary a položíme pero:}
				{@link GRobot#hrúbkaČiary(double) hrúbkaČiary}(dĺžka / {@code num12});
				{@link GRobot#položPero() položPero}();

				{@code comm// Prostredný z nasledujúcej trojice príkazov mení polohu robota.}
				{@code comm// Túto zmenu treba na konci metódy vrátiť naspäť (v súlade}
				{@code comm// s dodržaním hlavnej zásady uvedenej vyššie). Keďže príkazom}
				{@code comm// vyššie sme položili pero, robot kreslí čiaru. Nakreslenú úsečku}
				{@code comm// zároveň zaznamenáme do SVG údajov metódami uložPolohu}
				{@code comm// a pridajÚsečku.}
				uložPolohu();
				{@link GRobot#dopredu(double) dopredu}(dĺžka);
				pridajÚsečku();

				{@code comm// Pootočenie doprava vlastne zjednodušene znamená odčítanie}
				{@code comm// zadaného uhla od aktuálneho uhla. Súčet všetkých pootočení}
				{@code comm// musí byť rovný nule. Toto je prvé pootočenie v zápornom smere:}
				{@link GRobot#vpravo(double) vpravo}(uhol1);

				{@code comm// Prvé rekurzívne volanie – tu nastáva vetvenie rastlinky vpravo:}
				rastlinka(dĺžka &#45; {@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num5}, {@code num16}));

				{@code comm// Toto pootočenie v kladnom smere vykompenzuje predchádzajúce}
				{@code comm// prvé záporné pootočenie, no zároveň robota pootočí o ďalší úsek}
				{@code comm// v kladnom smere (doľava):}
				{@link GRobot#vľavo(double) vľavo}(uhol1 + uhol2);

				{@code comm// Prvé rekurzívne volanie – tu nastáva vetvenie rastlinky vľavo:}
				rastlinka(dĺžka &#45; {@link Svet Svet}.{@link Svet#náhodnéReálneČíslo(double, double) náhodnéReálneČíslo}({@code num5}, {@code num16}));

				{@code comm// Posledné pootočenie vykompenzuje poslednú zmenu orientácie na nulu:}
				{@link GRobot#vpravo(double) vpravo}(uhol2);

				{@code comm// Nakoniec vrátime zmenu polohy tak, aby sa robot vrátil do svojej}
				{@code comm// východiskovej polohy. Musíme to urobiť až po vykompenzovaní}
				{@code comm// všetkých zmien orientácie, inak by sa robot vrátil na iné miesto.}
				{@code comm// Vďaka dodržaniu hlavnej zásady si nemusíme robiť starosti s tým,}
				{@code comm// čo sa udeje s polohou a orientáciou robota počas rekurzívneho}
				{@code comm// volania pretože práve dodržanie tejto zásady zabezpečí, že po}
				{@code comm// návrate z rekurzívneho volania bude poloha a orientácia robota}
				{@code comm// zachovaná. Z pohľadu orientácie a polohy sa rekurzívnym volaním}
				{@code comm// nič nezmenilo. Bez tohto faktu by sa s týmto typom fraktálneho}
				{@code comm// kreslenia vôbec nedalo pracovať. Práve preto je zásada uvedená}
				{@code comm// na začiatku klasifikovaná ako hlavná. }
				{@link GRobot#zdvihniPero() zdvihniPero}();
				{@link GRobot#dozadu(double) dozadu}(dĺžka);
			}

			{@code comm// Tento atribút slúži na číslovanie verzií uložených grafických súborov.}
			{@code kwdprivate} {@code kwdstatic} {@code typeint} n = {@code num0};

			{@code comm// Táto metóda slúži na uloženie ďalšej verzie vygenerovaného obrázka}
			{@code comm// v dvoch formátoch – PNG a HTML obsahujúce SVG definície.}
			{@code kwdprivate} {@code kwdstatic} {@code typevoid} uložĎalšíObrázok({@link String String} názov)
			{
				{@code comm// Keďže v tomto príklade je implementované automatické}
				{@code comm// prekresľovanie časovačom, je potrebné pred uložením}
				{@code comm// prekresliť svet. Mohlo by sa totiž stať, že fáza ukladania}
				{@code comm// by predbehla fázu prekreslenia, takže by sa do súboru vo formáte}
				{@code comm// PNG uložil neúplný obrázok (SVG údaje sú vkladané do objektu}
				{@code comm// svgPodpora priebežne a nesúvisia s prekresľovaním).}
				{@link Svet Svet}.{@link Svet#prekresli() prekresli}();

				{@code comm// Zápis cyklu „for“ s chýbajúcim podmieneným výrazom (nižšie) znamená}
				{@code comm// „nekonečný cyklus“. Žiadny cyklus nesmie byť pri programovaní}
				{@code comm// nekonečný! Spôsobovalo by to uviaznutie. Aj v tomto prípade nejde}
				{@code comm// o skutočný nekonečný cyklus, ale o cyklus, na ktorom sa usilujeme}
				{@code comm// ukázať také opakovanie, ktorého podmienky ukončenia nie je možné}
				{@code comm// zapísať v tvare logických (booleovských) výrazov.}
				{@code comm// }
				{@code comm// V tomto prípade ide o to, aby sa cyklus ukončil až po úspešnom}
				{@code comm// zápise obidvoch grafických súborov – PNG a HTML obsahujúce SVG}
				{@code comm// definície (ďalej HTML/SVG). To znamená, že ďalšia iterácia}
				{@code comm// nastáva iba v prípade neúspešného zápisu jedného zo súborov.}
				{@code comm// Ak zlyhá zápis PNG súboru, tak vznikne výnimka, o ktorej je}
				{@code comm// poslaná krátka správa na chybový konzolový výstup (err)}
				{@code comm// a pokračuje sa ďalšou iteráciou. Ak zlyhá zápis HTML/SVG}
				{@code comm// súboru, tak sa preruší vykonávanie aktuálnej iterácie}
				{@code comm// (a akoby mimochodom sa vymaže práve zapísaný PNG súbor, aby}
				{@code comm// vo výsledku obsahy oboch typov súborov korešpondovali – je to}
				{@code comm// obeť princípu – takáto situácia môže nastať v takom prípade,}
				{@code comm// ak používateľ vymaže niektorý PNG súbor, ale ponechá HTML/SVG}
				{@code comm// súbor, inak by nastať nemala) a pokračuje sa nasledujúcou}
				{@code comm// iteráciou. Ak nezlyhá zápis ani jedného súboru, tak je činnosť}
				{@code comm// metódy ukončená. V každom z uvedených prípadov je vykonaný blok}
				{@code comm// finally, v ktorom nastáva zvyšovanie hodnoty počítadla n (ktoré}
				{@code comm// slúži na číslovanie verzií ukladaných súborov). Celý tento}
				{@code comm// relatívne komplikovaný (prinajmenšom komplikovane znejúci)}
				{@code comm// mechanizmus vedie k nasledujúcemu výslednému efektu:}
				{@code comm// }
				{@code comm// Predpokladajme, že program je spustený prvý raz a nemá šancu}
				{@code comm// jestvovať ani jeden súbor s obrázkom (PNG alebo HTML/SVG). Ak}
				{@code comm// sa nevyskytne žiadny nepredvídateľný problém (napr. hardvérové}
				{@code comm// zlyhanie), tak budú obidva súbory (.png a .html) korektne}
				{@code comm// zapísané, metóda bude hneď po prvom pokuse (to jest prvej}
				{@code comm// iterácii „nekonečného cyklu“) ukončená, no ešte pred skončením}
				{@code comm// stihne aktualizovať hodnotu počítadla n (to jest zvýšiť ju}
				{@code comm// o jeden v bloku finally, pretože blok finally má to výsostné}
				{@code comm// postavenie, že je vykonaný vždy).}
				{@code comm// }
				{@code comm// Teraz predpokladajme, že program je spustený n-tý raz a jestvuje}
				{@code comm// bližšie neurčený počet uložených PNG a HTML/SVG súborov. Zápis}
				{@code comm// PNG súboru bude zlyhávať dokedy bude jestvovať súbor s aktuálnym}
				{@code comm// poradovým číslom, pričom po každom ďalšom pokuse sa poradové}
				{@code comm// číslo zvýši o jeden. Pri prvom poradovom čísle, pre ktoré nebude}
				{@code comm// jestvovať prislúchajúci súbor zápis uspeje a ďalej sa bude}
				{@code comm// pokračovať tak ako v predchádzajúcom prípade. Algoritmus bude}
				{@code comm// úspešný aj v prípade, že by príčina zlyhania bola iná. Ukončí}
				{@code comm// sa jednoducho pri prvom úspechu.}
				{@code comm// }
				{@code comm// Aby sme zamedzili uviaznutiu v nekonečnom cykle v takom prípade,}
				{@code comm// keď je cieľové umiestnenie súborov na zápis chránené proti zápisu,}
				{@code comm// je vo vetve catch umiestnená kontrola, ktorá overí, či súbor}
				{@code comm// s aktuálnym poradovým číslom jestvuje. Ak nie, znamená to, že}
				{@code comm// príčina zlyhania bola zrejme iná a vykonávanie metódy bude}
				{@code comm// predčasne ukončené. Algoritmus by vďaka tejto kontrole nemal}
				{@code comm// uviaznuť.}
				{@code comm// }
				{@code comm// Implementácia tohto algoritmu by samozrejme mohla byť aj iná, no}
				{@code comm// cieľom bolo ukázať možnosť vytvorenia takého cyklu, ktorý nie je}
				{@code comm// riadený iba booleovskými podmienkami.}
				{@code kwdfor} (;;)
				{
					{@code kwdtry}
					{
						{@code comm// Pokus o uloženie PNG súboru.}
						{@link Svet Svet}.{@link Svet#uložObrázok(String) uložObrázok}(názov + {@code srg"-"} + n + {@code srg".png"});

						{@code comm// Pokus o uloženie HTML/SVG súboru.}
						{@code kwdif} ({@code num-1} == {@link SVGPodpora svgPodpora}.{@link SVGPodpora#zapíš(String) zapíš}(názov + {@code srg"-"} + n + {@code srg".html"}))
						{
							{@link Súbor Súbor}.{@link Súbor#vymaž(String) vymaž}(názov + {@code srg"-"} + n + {@code srg".png"});
							{@code kwdcontinue};
						}

						{@code comm// Ukončenie – sem sa vykonávanie algoritmu dostane len}
						{@code comm// ak boli obidva zápisy úspešné.}
						{@code kwdreturn};
					}
					{@code kwdcatch} ({@link Throwable Throwable} t)
					{
						{@code comm// Oznámenie o chybe na chybovú konzolu.}
						{@link System System}.err.{@link java.io.PrintStream#println(String) println}(t.{@link Throwable#getMessage() getMessage}());

						{@code comm// Test uviaznutia pri jednotke chránenej na zápis.}
						{@code kwdif} (!{@link Súbor Súbor}.{@link Súbor#jestvuje(String) jestvuje}(názov + {@code srg"-"} + n + {@code srg".png"}))
						{
							{@code comm// Oznámenie možnej príčiny a ukončenie.}
							{@link System System}.err.{@link java.io.PrintStream#println(String) println}({@code srg"Disk je pravdepodobne "} +
								{@code srg"chránený proti zápisu!"});
							{@code kwdreturn};
						}
					}
					{@code kwdfinally}
					{
						{@code comm// Tento príkaz sa vykoná na konci každej iterácie, ale aj}
						{@code comm// tesne pred skončením metódy (popri vykonaní príkazu}
						{@code comm// return). Zabezpečuje postupné zvyšovanie hodnoty}
						{@code comm// atribútu n, ktorý slúži na číslovanie zapisovaných súborov.}
						++n;
					}
				}
			}

			{@code comm// Hlavná metóda.}
			{@code kwdpublic} {@code kwdstatic} {@code typevoid} main({@link String String}... args)
			{
				{@link Svet Svet}.{@link Svet#použiKonfiguráciu(String) použiKonfiguráciu}({@code srg"svg-rastlinka.cfg"});

				{@code kwdtry}
				{
					{@code comm// Spustenie časomiery, vygenerovanie rastlinky}
					{@code comm// a zastavenie časomiery:}
					{@link Svet Svet}.{@link Svet#spustiČasomieru() spustiČasomieru}();
					{@code kwdnew} SVGRastlinka();
					{@code typedouble} čas = {@link Svet Svet}.{@link Svet#zastavČasomieru() zastavČasomieru}();

					{@code comm// Uloženie vygenerovanej rastlinky do súborov vo formátoch}
					{@code comm// PNG a HTML/SVG:}
					uložĎalšíObrázok({@code srg"rastlinka"});

					{@code comm// Vypísanie výsledku merania (času) na konzolu sveta}
					{@code comm// a systémovú konzolu:}
					{@link Svet Svet}.{@link Svet#vypíšRiadok(Object...) vypíšRiadok}({@code srg"Kreslenie rastlinky trvalo: "}, čas, {@code srg"s"});
					{@link System System}.out.{@link java.io.PrintStream#println(String) println}({@code srg"Kreslenie rastlinky trvalo: "} + čas + {@code srg" s"});

					{@code comm// Uloženie textov (momentálne jediného riadka) konzoly sveta}
					{@code comm// do schránky operačného systému:}
					{@link Svet Svet}.{@link Svet#textyDoSchránky() textyDoSchránky}();
				}
				{@code kwdcatch} ({@link Throwable Throwable} t)
				{
					{@code comm// Oznámenie o prípadnej chybe:}
					t.{@link Throwable#printStackTrace() printStackTrace}();
				}
			}
		}
		</pre>
	 * 
	 * <P><b>Výsledok:</b>
	 * <P><image>rastlinka-svg.png</image>Ukážka možného výstupu<br
	 * />(výsledný HTML súbor si môžete pozrieť <a target="_blank"
	 * href="resources/rastlinka-svg.html">tu</a>)
	 * 
	 * <P><b>Použité zdroje:</b>
	 * 
	 * <ul>
	 * <li><small><a href="mailto:nikos.andronikos@cisra.canon.com.au"
	 * target="_blank">Andronikos, Nikos (Canon, Inc.)</a> –
	 * <a href="mailto:ratan@microsoft.com" target="_blank">Atanassov,
	 * Rossen (Microsoft Co.)</a> – <a href="mailto:tavmjong@free.fr"
	 * target="_blank">Bah, Tavmjong (Invited Expert)</a> –
	 * <a href="mailto:amelia.bellamy.royds@gmail.com"
	 * target="_blank">Bellamy-Royds, Amelia (Invited Expert)</a> –
	 * <a href="mailto:bbirtles@mozilla.com" target="_blank">Birtles,
	 * Brian (Mozilla Japan)</a> – <a href="mailto:bbrinza@microsoft.com"
	 * target="_blank">Brinza, Bogdan (Microsoft Co.)</a> –
	 * <a href="mailto:cyril.concolato@telecom-paristech.fr"
	 * target="_blank">Concolato, Cyril (Telecom ParisTech)</a> –
	 * <a href="mailto:erik@dahlström.net" target="_blank">Dahlström,
	 * Erik (Invited Expert)</a> – <a href="mailto:chris@w3.org"
	 * target="_blank">Lilley, Chris (W3C)</a> – <a
	 * href="mailto:cam@mcc.id.au" target="_blank">McCormack, Cameron
	 * (Mozilla Corporation)</a> – <a href="mailto:schepers@w3.org"
	 * target="_blank">Schepers, Doug (W3C)</a> –
	 * <a href="mailto:dschulze@adobe.com" target="_blank">Schulze, Dirk
	 * (Adobe Systems)</a> – <a href="mailto:schwer@us.ibm.com"
	 * target="_blank">Schwerdtfeger, Richard (IBM)</a> –
	 * <a href="mailto:sa-takagi@kddi.com" target="_blank">Takagi, Satoru
	 * (KDDI Corporation)</a> – <a href="mailto:jwatt@jwatt.org"
	 * target="_blank">Watt, Jonathan (Mozilla Corporation)</a></small>:
	 * <a ref="https://svgwg.org/svg2-draft/toc.html"
	 * target="_blank"><em>Scalable Vector Graphics (SVG) 2.</em> W3C
	 * Editor’s Draft 10 July 2016. Copyright © 2016 W3C<sup>®</sup> (MIT,
	 * ERCIM, Keio, Beihang). W3C liability, trademark and document use rules
	 * apply.</a></li>
	 * 
	 * <li><small><a href="mailto:nikos.andronikos@cisra.canon.com.au"
	 * target="_blank">Andronikos, Nikos (Canon, Inc.)</a> –
	 * <a href="mailto:ratan@microsoft.com" target="_blank">Atanassov,
	 * Rossen (Microsoft Co.)</a> – <a href="mailto:tavmjong@free.fr"
	 * target="_blank">Bah, Tavmjong (Invited Expert)</a> –
	 * <a href="mailto:amelia.bellamy.royds@gmail.com"
	 * target="_blank">Bellamy-Royds, Amelia (Invited Expert)</a> –
	 * <a href="mailto:bbirtles@mozilla.com" target="_blank">Birtles,
	 * Brian (Mozilla Japan)</a> – <a href="mailto:bbrinza@microsoft.com"
	 * target="_blank">Brinza, Bogdan (Microsoft Co.)</a> –
	 * <a href="mailto:cyril.concolato@telecom-paristech.fr"
	 * target="_blank">Concolato, Cyril (Telecom ParisTech)</a> –
	 * <a href="mailto:erik@dahlström.net" target="_blank">Dahlström,
	 * Erik (Invited Expert)</a> – <a href="mailto:chris@w3.org"
	 * target="_blank">Lilley, Chris (W3C)</a> –
	 * <a href="mailto:cam@mcc.id.au" target="_blank">McCormack, Cameron
	 * (Mozilla Corporation)</a> – <a href="mailto:schepers@w3.org"
	 * target="_blank">Schepers, Doug (W3C)</a> –
	 * <a href="mailto:dschulze@adobe.com" target="_blank">Schulze, Dirk
	 * (Adobe Systems)</a> – <a href="mailto:schwer@us.ibm.com"
	 * target="_blank">Schwerdtfeger, Richard (IBM)</a> –
	 * <a href="mailto:sa-takagi@kddi.com" target="_blank">Takagi, Satoru
	 * (KDDI Corporation)</a> – <a href="mailto:jwatt@jwatt.org"
	 * target="_blank">Watt, Jonathan (Mozilla Corporation)</a></small>:
	 * <a href="https://www.w3.org/TR/SVG2/" target="_blank"><em>Scalable
	 * Vector Graphics (SVG) 2. W3C Working Draft 15 September 2015.</em>
	 * Copyright © 2015 W3C<sup>®</sup> (MIT, ERCIM, Keio, Beihang). W3C
	 * liability, trademark and document use rules apply.</a></li>
	 * 
	 * <li><a href="http://www.w3schools.com/svg/" target="_blank"><em>SVG
	 * Tutorial.</em></a> <a
	 * href="http://www.w3schools.com/">W3Schools.com.</a></li>
	 * 
	 * <li><a href="http://planetmath.org/goniometricformulas"
	 * target="_blank"><small>Buck, Warren</small>: <em>Goniometric
	 * formulas.</em> Planetmath.org, 2007.</a></li>
	 * 
	 * <li><a href="http://mathworld.wolfram.com/Ellipse.html"
	 * target="_blank"><small>Weisstein, Eric W.</small>: <em>Ellipse.</em>
	 * Wolfram MathWorld.</a></li>
	 * 
	 * <li><small><a href="http://math.stackexchange.com/users/112135/dilma"
	 * target="_blank">User:Dilma</a> –
	 * <a href="http://math.stackexchange.com/users/111703/kevin"
	 * target="_blank">User:Kevin</a></small>:
	 * <a
	 * href="http://math.stackexchange.com/questions/584911/how-to-calculate-the-tangent-angle-with-the-axis-of-an-ellipse"
	 * target="_blank"><em>How to calculate the tangent angle with the axis of
	 * an ellipse?</em> Mathematics Stack Exchange (calculus), 2013.</a></li>
	 * </ul>
	 */
	public static class SVGPodpora
	{
		/**
		 * Táto trieda slúži na uchovanie pôvodných informácií
		 * o transformáciách rozpoznávaných z textovej podoby podľa
		 * špecifikácie SVG. Je to v podstate medzistupeň prevodu medzi
		 * textovou reprezentáciou (v súlade so špecifikáciou SVG)
		 * a výslednou afinnou transformáciou (prevedenou do prislúchajúcej
		 * inštancie triedy {@link AffineTransform AffineTransform} jazyka
		 * Java).
		 * 
		 * <P>Po prevedení do tvaru afinnej transformácie sa totiž môžu
		 * niektoré informácie stratiť (napríklad údaje o pôvodnom uhle
		 * rotácie v kombinácii so súradnicami stredu rotácie, ale hlavne
		 * údaje o jednotlivých zložkách konečnej zloženej transformácie
		 * tvaru) a je pritom vhodné, aby programátor mal k rozpoznaným
		 * informáciám prístup pred ich záverečným prevedením do tvaru
		 * výslednej zloženej transformácie.
		 * 
		 * <P>Táto trieda slúži len na uchovanie 2D transformácií
		 * špecifikácie SVG, pretože triedy {@link SVGPodpora SVGPodpora}
		 * knižnice a {@link AffineTransform AffineTransform} Javy pracujú
		 * len s týmto typom transformácií.
		 * 
		 * <P>Táto trieda rozpoznáva aj transformácie, ktoré nie sú
		 * podporované štandardom SVG 1.1, ale odvoláva sa na nich (cez
		 * <a href="https://www.w3.org/TR/css-transforms-1/"
		 * target="_blank">definíciu CSS</a>) <a
		 * href="https://svgwg.org/svg2-draft/coords.html#TransformProperty"
		 * target="_blank">draft štandardu SVG 2</a>. (Pri každom takomto
		 * type transformácie sa nachádza upozornenie.)
		 * <!-- Namiesto použitia
		 * tohto typu transformácie v SVG výstupe je lepšie transformáciu
		 * previesť na afinnú transformáciu Javy metódou {@link #daj()
		 * daj}{@code ()} a túto potom previesť na reťazec metódou
		 * {@link #transformáciuNaReťazec(AffineTransform)
		 * transformáciuNaReťazec}{@code (}{@link AffineTransform
		 * AffineTransform}{@code  transformácia)} (alebo jej príbuznou). -->
		 * Tento typ transformácie je pri prevádzaní transformácií na
		 * reťazec predvolene prevedený na iný (kompatibilný a štandardom 1.1
		 * podporovaný) typ transformácie. Na zmenu tohto správania je
		 * potrebné zmeniť predvolenú hodnotu {@code valfalse} statického
		 * príznaku {@link #SVG2 SVG2} na hodnotu {@code valtrue}.
		 */
		public static class Transformácia
		{
			/**
			 * Niektoré transformácie nie sú podporované štandardom SVG 1.1,
			 * preto je ich prevádzanie na reťazce predvolene nastavené tak,
			 * aby boli prevedené na iný kompatibilný typ transformácie. (Aby
			 * neboli prenášané do výstupného súboru.) Tento príznak slúži
			 * na zapnutie doslovného prevádzania týchto typov transformácií –
			 * zmenou predvolenej hodnoty {@code valfalse} na {@code valtrue}.
			 */
			public static boolean SVG2 = false;

			/**
			 * Určuje všeobecnú 2D transformáciu v tvare matice so šiestimi
			 * hodnotami (označme ich <i>a</i> – <i>f</i> ), ktoré sú počas
			 * výpočtov dosadené do matice afinnej 2D transformácie takto:
			 * 
			 * <!-- table>
			 * <tr><td>⎡</td><td>a</td><td> </td><td>c</td>
			 * <td> </td><td>e</td><td>⎤</td></tr>
			 * <tr><td>⎢</td><td>b</td><td> </td><td>d</td>
			 * <td> </td><td>f</td><td>⎥</td></tr>
			 * <tr><td>⎣</td><td>0</td><td> </td><td>0</td>
			 * <td> </td><td>1</td><td>⎦</td></tr>
			 * </table -->
			 * 
			 * <P><img src="resources/matica-vseobecnej-transformacie.svg"
			 * onerror="this.src='resources/matica-vseobecnej-transformacie.png'" />
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Slovenským prekladom tohto identifikátora je
			 * {@link #MATICA MATICA}.)
			 */
			public final static int MATRIX = 0;

			/**
			 * Preklad anglického identifikátora {@link #MATRIX MATRIX}
			 * do slovenského jazyka.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Vysvetlenie významu jednotlivých transformácií je vždy
			 * uvedené pri anglickej verzii jej identifikátora.)
			 */
			public final static int MATICA = 0;

			/**
			 * Určuje 2D posunutie v smere osí x a y.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Slovenským prekladom tohto identifikátora je
			 * {@link #POSUN POSUN}.)
			 */
			public final static int TRANSLATE = 1;

			/**
			 * Preklad anglického identifikátora {@link #TRANSLATE TRANSLATE}
			 * do slovenského jazyka.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Vysvetlenie významu jednotlivých transformácií je vždy
			 * uvedené pri anglickej verzii jej identifikátora.)
			 */
			public final static int POSUN = 1;

			/** <a class="alias"></a> Alias pre {@link #POSUN POSUN}. */
			public final static int POSUŇ = 1;

			/** <a class="alias"></a> Alias pre {@link #POSUN POSUN}. */
			public final static int POSUNUTIE = 1;

			/**
			 * Určuje 2D posunutie v smere osi x.
			 * 
			 * <P>(<b>Upozornenie!</b> Táto transformácia nie je podporovaná
			 * štandardom SVG 1.1. Predvolená hodnota príznaku
			 * {@link #SVG2 SVG2} {@code valfalse} zabezpečuje, aby bola
			 * táto transformácia pri prevode na reťazec prevedená na
			 * kompatibilnú transformáciu.)
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Slovenským prekladom tohto identifikátora je
			 * {@link #POSUN_X POSUN_X}.)
			 */
			public final static int TRANSLATE_X = 2;

			/**
			 * Preklad anglického identifikátora {@link #TRANSLATE_X
			 * TRANSLATE_X} do slovenského jazyka.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Vysvetlenie významu jednotlivých transformácií je vždy
			 * uvedené pri anglickej verzii jej identifikátora.)
			 */
			public final static int POSUN_X = 2;

			/** <a class="alias"></a> Alias pre {@link #POSUN_X POSUN_X}. */
			public final static int POSUŇ_X = 2;

			/** <a class="alias"></a> Alias pre {@link #POSUN_X POSUN_X}. */
			public final static int POSUNUTIE_X = 2;

			/**
			 * Určuje 2D posunutie v smere osi y.
			 * 
			 * <P>(<b>Upozornenie!</b> Táto transformácia nie je podporovaná
			 * štandardom SVG 1.1. Predvolená hodnota príznaku
			 * {@link #SVG2 SVG2} {@code valfalse} zabezpečuje, aby bola
			 * táto transformácia pri prevode na reťazec prevedená na
			 * kompatibilnú transformáciu.)
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Slovenským prekladom tohto identifikátora je
			 * {@link #POSUN_Y POSUN_Y}.)
			 */
			public final static int TRANSLATE_Y = 3;

			/**
			 * Preklad anglického identifikátora {@link #TRANSLATE_Y
			 * TRANSLATE_Y} do slovenského jazyka.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Vysvetlenie významu jednotlivých transformácií je vždy
			 * uvedené pri anglickej verzii jej identifikátora.)
			 */
			public final static int POSUN_Y = 3;

			/** <a class="alias"></a> Alias pre {@link #POSUN_Y POSUN_Y}. */
			public final static int POSUŇ_Y = 3;

			/** <a class="alias"></a> Alias pre {@link #POSUN_Y POSUN_Y}. */
			public final static int POSUNUTIE_Y = 3;

			/**
			 * Určuje 2D zmenu mierky v smere osí x a y.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Slovenským prekladom tohto identifikátora je
			 * {@link #MIERKA MIERKA}.)
			 */
			public final static int SCALE = 4;

			/**
			 * Preklad anglického identifikátora {@link #SCALE SCALE}
			 * do slovenského jazyka.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Vysvetlenie významu jednotlivých transformácií je vždy
			 * uvedené pri anglickej verzii jej identifikátora.)
			 */
			public final static int MIERKA = 4;

			/** <a class="alias"></a> Alias pre {@link #MIERKA MIERKA}. */
			public final static int ZMENA_MIERKY = 4;

			/** <a class="alias"></a> Alias pre {@link #MIERKA MIERKA}. */
			public final static int ZMEŇ_MIERKU = 4;

			/** <a class="alias"></a> Alias pre {@link #MIERKA MIERKA}. */
			public final static int ZMEN_MIERKU = 4;

			/**
			 * Určuje 2D zmenu mierky v smere osi x.
			 * 
			 * <P>(<b>Upozornenie!</b> Táto transformácia nie je podporovaná
			 * štandardom SVG 1.1. Predvolená hodnota príznaku
			 * {@link #SVG2 SVG2} {@code valfalse} zabezpečuje, aby bola
			 * táto transformácia pri prevode na reťazec prevedená na
			 * kompatibilnú transformáciu.)
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Slovenským prekladom tohto identifikátora je
			 * {@link #MIERKA_X MIERKA_X}.)
			 */
			public final static int SCALE_X = 5;

			/**
			 * Preklad anglického identifikátora {@link #SCALE_X SCALE_X}
			 * do slovenského jazyka.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Vysvetlenie významu jednotlivých transformácií je vždy
			 * uvedené pri anglickej verzii jej identifikátora.)
			 */
			public final static int MIERKA_X = 5;

			/** <a class="alias"></a> Alias pre {@link #MIERKA_X MIERKA_X}. */
			public final static int ZMENA_MIERKY_X = 5;

			/** <a class="alias"></a> Alias pre {@link #MIERKA_X MIERKA_X}. */
			public final static int ZMEŇ_MIERKU_X = 5;

			/** <a class="alias"></a> Alias pre {@link #MIERKA_X MIERKA_X}. */
			public final static int ZMEN_MIERKU_X = 5;

			/**
			 * Určuje 2D zmenu mierky v smere osi y.
			 * 
			 * <P>(<b>Upozornenie!</b> Táto transformácia nie je podporovaná
			 * štandardom SVG 1.1. Predvolená hodnota príznaku
			 * {@link #SVG2 SVG2} {@code valfalse} zabezpečuje, aby bola
			 * táto transformácia pri prevode na reťazec prevedená na
			 * kompatibilnú transformáciu.)
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Slovenským prekladom tohto identifikátora je
			 * {@link #MIERKA_Y MIERKA_Y}.)
			 */
			public final static int SCALE_Y = 6;

			/**
			 * Preklad anglického identifikátora {@link #SCALE_Y SCALE_Y}
			 * do slovenského jazyka.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Vysvetlenie významu jednotlivých transformácií je vždy
			 * uvedené pri anglickej verzii jej identifikátora.)
			 */
			public final static int MIERKA_Y = 6;

			/** <a class="alias"></a> Alias pre {@link #MIERKA_Y MIERKA_Y}. */
			public final static int ZMENA_MIERKY_Y = 6;

			/** <a class="alias"></a> Alias pre {@link #MIERKA_Y MIERKA_Y}. */
			public final static int ZMEŇ_MIERKU_Y = 6;

			/** <a class="alias"></a> Alias pre {@link #MIERKA_Y MIERKA_Y}. */
			public final static int ZMEN_MIERKU_Y = 6;

			/**
			 * Určuje 2D rotáciu (pootočenie) o stanovený uhol okolo určeného
			 * bodu ako stredu otáčania.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Slovenským prekladom tohto identifikátora je
			 * {@link #OTOČ OTOČ}.)
			 */
			public final static int ROTATE = 7;

			/**
			 * Preklad anglického identifikátora {@link #ROTATE ROTATE}
			 * do slovenského jazyka.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Vysvetlenie významu jednotlivých transformácií je vždy
			 * uvedené pri anglickej verzii jej identifikátora.)
			 */
			public final static int OTOČ = 7;

			/** <a class="alias"></a> Alias pre {@link #OTOČ OTOČ}. */
			public final static int OTOC = 7;

			/** <a class="alias"></a> Alias pre {@link #OTOČ OTOČ}. */
			public final static int OTOČENIE = 7;

			/** <a class="alias"></a> Alias pre {@link #OTOČ OTOČ}. */
			public final static int OTOCENIE = 7;

			/**
			 * Určuje zošikmenie/sklonenie (čo nie je to isté ako skosenie –
			 * angl. shear) o zadaný uhol v smere osí x a y.
			 * 
			 * <P>(<b>Upozornenie!</b> Táto transformácia nie je podporovaná
			 * štandardom SVG 1.1. Predvolená hodnota príznaku
			 * {@link #SVG2 SVG2} {@code valfalse} zabezpečuje, aby bola
			 * táto transformácia pri prevode na reťazec prevedená na
			 * kompatibilnú transformáciu.)
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Slovenským prekladom tohto identifikátora je
			 * {@link #SKLON SKLON}.)
			 */
			public final static int SKEW = 8;

			/**
			 * Preklad anglického identifikátora {@link #SKEW SKEW}
			 * do slovenského jazyka.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Vysvetlenie významu jednotlivých transformácií je vždy
			 * uvedené pri anglickej verzii jej identifikátora.)
			 */
			public final static int SKLON = 8;

			/** <a class="alias"></a> Alias pre {@link #SKLON SKLON}. */
			public final static int SKLOŇ = 8;

			/** <a class="alias"></a> Alias pre {@link #SKLON SKLON}. */
			public final static int SKOLONENIE = 8;

			/**
			 * Určuje sklonenie o zadaný uhol v smere osi x.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Slovenským prekladom tohto identifikátora je
			 * {@link #SKLON_X SKLON_X}.)
			 */
			public final static int SKEW_X = 9;

			/**
			 * Preklad anglického identifikátora {@link #SKEW_X SKEW_X}
			 * do slovenského jazyka.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Vysvetlenie významu jednotlivých transformácií je vždy
			 * uvedené pri anglickej verzii jej identifikátora.)
			 */
			public final static int SKLON_X = 9;

			/** <a class="alias"></a> Alias pre {@link #SKLON_X SKLON_X}. */
			public final static int SKLOŇ_X = 9;

			/** <a class="alias"></a> Alias pre {@link #SKLON_X SKLON_X}. */
			public final static int SKOLONENIE_X = 9;

			/**
			 * Určuje sklonenie o zadaný uhol v smere osi y.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Slovenským prekladom tohto identifikátora je
			 * {@link #SKLON_Y SKLON_Y}.)
			 */
			public final static int SKEW_Y = 10;

			/**
			 * Preklad anglického identifikátora {@link #SKEW_Y SKEW_Y}
			 * do slovenského jazyka.
			 * 
			 * <P>(<b>Poznámka:</b> Všetky identifikátory transformácií boli
			 * preložené do slovenského jazyka a zároveň ponechané
			 * v anglickom jazyku, aby vzniklo terminologické prepojenie
			 * s definíciami štandardu SVG, ktorý je prirodzene anglický.
			 * Vysvetlenie významu jednotlivých transformácií je vždy
			 * uvedené pri anglickej verzii jej identifikátora.)
			 */
			public final static int SKLON_Y = 10;

			/** <a class="alias"></a> Alias pre {@link #SKLON_Y SKLON_Y}. */
			public final static int SKLOŇ_Y = 10;

			/** <a class="alias"></a> Alias pre {@link #SKLON_Y SKLON_Y}. */
			public final static int SKOLONENIE_Y = 10;


			/**
			 * Uchováva informáciu o type trasformácie uloženej v tejto
			 * inštancii. Pozri: {@link #MATRIX MATRIX}, {@link #TRANSLATE
			 * TRANSLATE}, {@link #TRANSLATE_X TRANSLATE_X}, {@link
			 * #TRANSLATE_Y TRANSLATE_Y}, {@link #SCALE SCALE}, {@link
			 * #SCALE_X SCALE_X}, {@link #SCALE_Y SCALE_Y}, {@link
			 * #ROTATE ROTATE}, {@link #SKEW SKEW}, {@link #SKEW_X SKEW_X},
			 * {@link #SKEW_Y SKEW_Y}.
			 */
			public final int typ;

			/**
			 * Uchováva informácie o hodnotách konkrétnych parametrov
			 * podľa typu transformácie. Konkrétne transformácie majú
			 * stanovený určitý počet parametrov. Pozri: {@link #MATRIX
			 * MATRIX}, {@link #TRANSLATE TRANSLATE}, {@link #TRANSLATE_X
			 * TRANSLATE_X}, {@link #TRANSLATE_Y TRANSLATE_Y}, {@link #SCALE
			 * SCALE}, {@link #SCALE_X SCALE_X}, {@link #SCALE_Y SCALE_Y},
			 * {@link #ROTATE ROTATE}, {@link #SKEW SKEW}, {@link
			 * #SKEW_X SKEW_X}, {@link #SKEW_Y SKEW_Y}.
			 */
			public final double[] hodnota;

			/**
			 * Konštruktor zabezpečujúci bezchybnú inicializáciu inštancie.
			 * Ak je typ mimo rozsahu povolených hodnôt, tak je automaticky
			 * nastavený na hodnotu {@link #MATRIX MATRIX}. Ak vo vstupných
			 * údajoch (v sérii parametrov {@code hodnoty}) niektorý
			 * parameter trasformácie chýba, je jeho hodnota automaticky
			 * nastavená podľa typu transformácie na predvolenú hodnotu
			 * podľa nasledujúcich pravidiel:
			 * <ol>
			 * <li>ak je transformácia typu {@link #SCALE SCALE} a chýba
			 * druhý parameter, tak je jeho hodnota nastavená podľa prvého
			 * parametra,</li>
			 * <li>ak je transformácia typu {@link #SCALE SCALE} a chýba aj
			 * prvý parameter, tak je jeho hodnota nastavená na {@code num1.0}
			 * (a tá je následne skopírovaná do druhého parametra),</li>
			 * <li>ak je transformácia typu {@link #SCALE_X SCALE_X} alebo
			 * {@link #SCALE_Y SCALE_Y}, tak je chýbajúcemu parametru
			 * (transformácia vyžaduje len jeden) nastavená hodnota
			 * {@code num1.0},</li>
			 * <li>vo všetkých ostatných prípadoch je namiesto každého
			 * chýbajúceho parametra doplnená hodnota {@code num0.0}.</li>
			 * </ol>
			 * 
			 * @param typ určuje typ rovinnej transformácie; ak zadaná hodnota
			 *     nie je v množine povolených hodnôt: {@link #MATRIX MATRIX},
			 *     {@link #TRANSLATE TRANSLATE}, {@link #TRANSLATE_X
			 *     TRANSLATE_X}, {@link #TRANSLATE_Y TRANSLATE_Y}, {@link
			 *     #SCALE SCALE}, {@link #SCALE_X SCALE_X}, {@link #SCALE_Y
			 *     SCALE_Y}, {@link #ROTATE ROTATE}, {@link #SKEW SKEW},
			 *     {@link #SKEW_X SKEW_X}, {@link #SKEW_Y SKEW_Y}, tak je
			 *     automaticky doplnená hodnota {@link #MATRIX MATRIX}
			 * @param hodnoty séria argumentov určujúcich hodnoty parametrov
			 *     konkrétnej transformácie
			 */
			public Transformácia(int typ, Double... hodnoty)
			{
				this.typ = (typ >= MATRIX && typ <= SKEW_Y) ? typ : MATRIX;

				switch (typ)
				{
				default:
					this.hodnota = new double[6];

					if (hodnoty.length >= 6 && null != hodnoty[5])
						this.hodnota[5] = hodnoty[5];
					else
						this.hodnota[5] = 0.0;

					if (hodnoty.length >= 5 && null != hodnoty[4])
						this.hodnota[4] = hodnoty[4];
					else
						this.hodnota[4] = 0.0;

					if (hodnoty.length >= 4 && null != hodnoty[3])
						this.hodnota[3] = hodnoty[3];
					else
						this.hodnota[3] = 0.0;

					if (hodnoty.length >= 3 && null != hodnoty[2])
						this.hodnota[2] = hodnoty[2];
					else
						this.hodnota[2] = 0.0;

					if (hodnoty.length >= 2 && null != hodnoty[1])
						this.hodnota[1] = hodnoty[1];
					else
						this.hodnota[1] = 0.0;

					if (hodnoty.length >= 1 && null != hodnoty[0])
						this.hodnota[0] = hodnoty[0];
					else
						this.hodnota[0] = 0.0;
					break;

				case TRANSLATE:
					this.hodnota = new double[2];

					if (hodnoty.length >= 2 && null != hodnoty[1])
						this.hodnota[1] = hodnoty[1];
					else
						this.hodnota[1] = 0.0;

					if (hodnoty.length >= 1 && null != hodnoty[0])
						this.hodnota[0] = hodnoty[0];
					else
						this.hodnota[0] = 0.0;
					break;

				case TRANSLATE_X:
					this.hodnota = new double[1];

					if (hodnoty.length >= 1 && null != hodnoty[0])
						this.hodnota[0] = hodnoty[0];
					else
						this.hodnota[0] = 0.0;
					break;

				case TRANSLATE_Y:
					this.hodnota = new double[1];

					if (hodnoty.length >= 1 && null != hodnoty[0])
						this.hodnota[0] = hodnoty[0];
					else
						this.hodnota[0] = 0.0;
					break;

				case SCALE:
					this.hodnota = new double[2];

					if (hodnoty.length >= 1 && null != hodnoty[0])
						this.hodnota[0] = hodnoty[0];
					else
						this.hodnota[0] = 1.0;

					if (hodnoty.length >= 2 && null != hodnoty[1])
						this.hodnota[1] = hodnoty[1];
					else
						this.hodnota[1] = this.hodnota[0];
					break;

				case SCALE_X:
					this.hodnota = new double[1];

					if (hodnoty.length >= 1 && null != hodnoty[0])
						this.hodnota[0] = hodnoty[0];
					else
						this.hodnota[0] = 1.0;
					break;

				case SCALE_Y:
					this.hodnota = new double[1];

					if (hodnoty.length >= 1 && null != hodnoty[0])
						this.hodnota[0] = hodnoty[0];
					else
						this.hodnota[0] = 1.0;
					break;

				case ROTATE:
					this.hodnota = new double[3];

					if (hodnoty.length >= 3 && null != hodnoty[2])
						this.hodnota[2] = hodnoty[2];
					else
						this.hodnota[2] = 0.0;

					if (hodnoty.length >= 2 && null != hodnoty[1])
						this.hodnota[1] = hodnoty[1];
					else
						this.hodnota[1] = 0.0;

					if (hodnoty.length >= 1 && null != hodnoty[0])
						this.hodnota[0] = hodnoty[0];
					else
						this.hodnota[0] = 0.0;
					break;

				case SKEW:
					this.hodnota = new double[2];

					if (hodnoty.length >= 2 && null != hodnoty[1])
						this.hodnota[1] = hodnoty[1];
					else
						this.hodnota[1] = 0.0;

					if (hodnoty.length >= 1 && null != hodnoty[0])
						this.hodnota[0] = hodnoty[0];
					else
						this.hodnota[0] = 0.0;
					break;

				case SKEW_X:
					this.hodnota = new double[1];

					if (hodnoty.length >= 1 && null != hodnoty[0])
						this.hodnota[0] = hodnoty[0];
					else
						this.hodnota[0] = 0.0;
					break;

				case SKEW_Y:
					this.hodnota = new double[1];

					if (hodnoty.length >= 1 && null != hodnoty[0])
						this.hodnota[0] = hodnoty[0];
					else
						this.hodnota[0] = 0.0;
					break;
				}
			}

			/**
			 * Vráti objekt typu {@link AffineTransform AffineTransform}
			 * vyrobený podľa údajov o 2D SVG transformácii uložených v tejto
			 * inštancii.
			 * 
			 * @return nová inštancia triedy {@link AffineTransform
			 *     AffineTransform}
			 */
			public AffineTransform daj()
			{
				switch (typ)
				{
				default: return new AffineTransform(hodnota);

				case TRANSLATE: return AffineTransform.
					getTranslateInstance(hodnota[0], hodnota[1]);

				case TRANSLATE_X: return AffineTransform.
					getTranslateInstance(hodnota[0], 0.0);

				case TRANSLATE_Y: return AffineTransform.
					getTranslateInstance(0.0, hodnota[0]);

				case SCALE: return AffineTransform.
					getScaleInstance(hodnota[0], hodnota[1]);

				case SCALE_X: return AffineTransform.
					getScaleInstance(hodnota[0], 1.0);

				case SCALE_Y: return AffineTransform.
					getScaleInstance(1.0, hodnota[0]);

				case ROTATE: return AffineTransform.getRotateInstance(
					Math.toRadians(hodnota[0]), hodnota[1], hodnota[2]);

				case SKEW: return AffineTransform.getShearInstance(
					Math.tan(Math.toRadians(hodnota[0])),
					Math.tan(Math.toRadians(hodnota[1])));

				case SKEW_X: return AffineTransform.getShearInstance(
					Math.tan(Math.toRadians(hodnota[0])), 0.0);

				case SKEW_Y: return AffineTransform.getShearInstance(
					0.0, Math.tan(Math.toRadians(hodnota[0])));
				}
			}

			/**
			 * Prevedie túto inštanciu na reťazec – do textovej podoby
			 * v súlade so špecifikáciou SVG. Metóda sa pokúša nájsť
			 * najkratšiu reťazcovú reprezentáciu podľa údajov uložených
			 * v tejto inštancii.
			 * 
			 * @return prevedený reťazec obsahujúci text definície 2D SVG
			 *     transformácie
			 */
			@Override public String toString()
			{
				switch (typ)
				{
				default: return "matrix(" +
					hodnota[0] + ", " + hodnota[1] + ", " +
					hodnota[2] + ", " + hodnota[3] + ", " +
					hodnota[4] + ", " + hodnota[5] + ")";

				case TRANSLATE: return "translate(" +
					hodnota[0] + ", " + hodnota[1] + "px)";

				case TRANSLATE_X:
					if (SVG2) return "translateX(" + hodnota[0] + "px)";
					return "translate(" + hodnota[0] + "px, 0px)";

				case TRANSLATE_Y:
					if (SVG2) return "translateY(" + hodnota[0] + "px)";
					return "translate(0px, " + hodnota[0] + "px)";

				case SCALE:
					if (hodnota[0] == hodnota[1])
						return "scale(" + hodnota[0] + ")";
					return "scale(" + hodnota[0] +
						", " + hodnota[1] + ")";

				case SCALE_X:
					if (SVG2) return "scaleX(" + hodnota[0] + ")";
					return "scale(" + hodnota[0] + ", 1)";

				case SCALE_Y:
					if (SVG2) return "scaleY(" + hodnota[0] + ")";
					return "scale(1, " + hodnota[0] + ")";

				case ROTATE:
					if (0 == hodnota[1] && 0 == hodnota[2])
						return "rotate(" + hodnota[0] + "deg)";
					return "rotate(" + hodnota[0] + "deg, " +
						hodnota[1] + "px, " + hodnota[2] + "px)";

				case SKEW:
					if (SVG2) return "skew(" + hodnota[0] +
						"deg, " + hodnota[1] + "deg)";
					return "matrix(1, " + Math.tan(Math.toRadians(
						hodnota[1])) + ", " + Math.tan(Math.toRadians(
						hodnota[0])) + ", 1, 0, 0)";

				case SKEW_X: return "skewX(" + hodnota[0] + "deg)";

				case SKEW_Y: return "skewY(" + hodnota[0] + "deg)";
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link Transformácia Transformácia}. */
		public static class Transformacia extends Transformácia
		{
			private static Double[] preveďArgumenty(double[] hodnoty)
			{
				int dĺžka = hodnoty.length;
				Double[] hodnoty2 = new Double[dĺžka];
				for (int i = 0; i < dĺžka; ++i) hodnoty2[i] = hodnoty[i];
				return hodnoty2;
			}

			public Transformacia(Transformácia transformácia)
			{ super(transformácia.typ, preveďArgumenty(
				transformácia.hodnota)); }

			public Transformacia(int typ, Double... hodnoty)
			{ super(typ, hodnoty); }
		}


		// Toto je pomocná metóda, ktorá pridáva rozpoznané transformácie
		// zo zdrojového reťazca do cieľového vektora.
		private void pridajTransformácie(
			Vector<Transformácia> vektor, String zdroj)
		{
			int index1 = 0, index2, length = zdroj.length();
			while (-1 != (index2 = zdroj.indexOf(")", index1)))
			{
				Transformácia transformácia = reťazecNaTransformáciu(
					zdroj.substring(index1, 1 + index2));
				if (null != transformácia) vektor.add(transformácia);
				index1 = 1 + index2;
			}
		}

		// Toto pole je použité vždy, keď sa počas vykonávania nasledujúcej
		// metódy nepodarí rozpoznať žiadnu transformáciu
		private final static Transformácia[] žiadneTransformácie =
			new Transformácia[0];

		// Toto pole je použité vždy, keď sa počas vykonávania metódy
		// reťazecNaTransformáciu nepodarí rozpoznať žiadnu číselnú hodnotu
		private final static Double[] žiadneHodnoty = new Double[0];


		/**
		 * Prepočíta zadanú x-ovú (horizontálnu) súradnicu zo súradnicového
		 * priestoru robota do súradnicového priestoru používaného v oblasti
		 * počítačovej grafiky (aj štandardu SVG).
		 * 
		 * @return hodnota súradnice v súradnicovom priestore štandardu
		 * @param x hodnota súradnice x v súradnicovom priestore robota
		 */
		public static double prepočítajX(double x)
		{ return GRobot.prepočítajX(x); }

		/** <a class="alias"></a> Alias pre {@link #prepočítajX(double) prepočítajX}. */
		public static double prepocitajX(double x)
		{ return GRobot.prepočítajX(x); }

		/**
		 * Prepočíta zadanú y-ovú (vertikálnu) súradnicu zo súradnicového
		 * priestoru robota do súradnicového priestoru používaného v oblasti
		 * počítačovej grafiky (aj štandardu SVG).
		 * 
		 * @return hodnota súradnice v súradnicovom priestore štandardu
		 * @param y hodnota súradnice y v súradnicovom priestore robota
		 */
		public static double prepočítajY(double y)
		{ return GRobot.prepočítajY(y); }

		/** <a class="alias"></a> Alias pre {@link #prepočítajY(double) prepočítajY}. */
		public static double prepocitajY(double y)
		{ return GRobot.prepočítajY(y); }

		/**
		 * Prepočíta zadanú x-ovú (horizontálnu) súradnicu zo súradnicového
		 * priestoru používaného v oblasti počítačovej grafiky (aj štandardu
		 * SVG) do súradnicového priestoru robota.
		 * 
		 * @param x hodnota súradnice v súradnicovom priestore štandardu
		 * @return hodnota súradnice x v súradnicovom priestore robota
		 */
		public static double prepočítajSpäťX(double x)
		{ return GRobot.prepočítajSpäťX(x); }

		/** <a class="alias"></a> Alias pre {@link #prepočítajSpäťX(double) prepočítajSpäťX}. */
		public static double prepocitajSpatX(double x)
		{ return GRobot.prepočítajSpäťX(x); }

		/**
		 * Prepočíta zadanú y-ovú (vertikálnu) súradnicu zo súradnicového
		 * priestoru používaného v oblasti počítačovej grafiky (aj štandardu
		 * SVG) do súradnicového priestoru robota.
		 * 
		 * @param y hodnota súradnice v súradnicovom priestore štandardu
		 * @return hodnota súradnice y v súradnicovom priestore robota
		 */
		public static double prepočítajSpäťY(double y)
		{ return GRobot.prepočítajSpäťY(y); }

		/** <a class="alias"></a> Alias pre {@link #prepočítajSpäťY(double) prepočítajSpäťY}. */
		public static double prepocitajSpatY(double y)
		{ return GRobot.prepočítajSpäťY(y); }


		// Táto metóda slúži na centralizáciu prevodov podľa zásady:
		//   „Naprogramuj raz, používaj viac ráz.“
		// 
		// Používajú ju napríklad metódy:
		//   — reťazceNaTransformácie(String...)
		//   — a dajVýsledný(int, String, String...)
		// definované nižšie.
		// 
		private Transformácia[] reťazceNaTransformácie(
			String text, String[] texty)
		{
			if (null == text && null == texty) return null;

			Vector<Transformácia> vektor = new Vector<Transformácia>();

			if (null != text) pridajTransformácie(vektor, text);

			if (null != texty) for (String t : texty)
				if (null != t) pridajTransformácie(vektor, t);

			return vektor.toArray(žiadneTransformácie);
		}

		/**
		 * Táto metóda očakáva reťazec s jedinou 2D transformáciou, ktorý
		 * prevedie na objekt typu {@link Transformácia Transformácia}.
		 * Volajúca metóda musí zabezpečiť, aby bola táto podmienka
		 * dodržaná – je na jej zodpovednosti, aby napríklad rozdelila
		 * prípadnú sériu 2D transformácií, z ktorých sa môže skladať atribút
		 * ‚transform‘ špecifikácie SVG na jednotlivé celky. (Toto obmedzenie
		 * je dôležité v súvislosti s typom návratovej hodnoty – metóda
		 * dokáže poskytnúť informácie o jedinej rozpoznanej transformácii –
		 * vracia jediný objekt typu {@link Transformácia Transformácia}
		 * alebo {@code valnull} v prípade neúspechu.)
		 * 
		 * @param text reťazec obsahujúci text definície jedinej
		 *     2D transformácie, ktorý má byť prevedený na objekt typu
		 *     {@link Transformácia Transformácia}
		 * @return prevedený objekt typu {@link Transformácia Transformácia}
		 *     alebo {@code valnull}, ak sa prevod nepodarí
		 */
		public Transformácia reťazecNaTransformáciu(String text)
		{
			if (null == text) return null;
			text = text.trim();

			int indexOf = text.length() - 1;
			if (indexOf <= 1) return null;

			if (')' != text.charAt(indexOf)) return null;
			text = text.substring(0, indexOf);

			if (-1 == (indexOf = text.indexOf("("))) return null;

			String meno = text.substring(0, indexOf).trim(); int typ;
			if (meno.equalsIgnoreCase("translate"))
				typ = Transformácia.TRANSLATE;
			else if (meno.equalsIgnoreCase("translateX"))
				typ = Transformácia.TRANSLATE_X;
			else if (meno.equalsIgnoreCase("translateY"))
				typ = Transformácia.TRANSLATE_Y;
			else if (meno.equalsIgnoreCase("scale"))
				typ = Transformácia.SCALE;
			else if (meno.equalsIgnoreCase("scaleX"))
				typ = Transformácia.SCALE_X;
			else if (meno.equalsIgnoreCase("scaleY"))
				typ = Transformácia.SCALE_Y;
			else if (meno.equalsIgnoreCase("rotate"))
				typ = Transformácia.ROTATE;
			else if (meno.equalsIgnoreCase("skew"))
				typ = Transformácia.SKEW;
			else if (meno.equalsIgnoreCase("skewX"))
				typ = Transformácia.SKEW_X;
			else if (meno.equalsIgnoreCase("skewY"))
				typ = Transformácia.SKEW_Y;
			else typ = Transformácia.MATRIX;

			ÚdajeTvaru čítaj = new ÚdajeTvaru(
				text.substring(indexOf + 1).trim());

			Vector<Double> hodnoty = new Vector<Double>();

			while (čítaj.nieJeKoniec())
			{
				double hodnota = čítaj.ďalšieČíslo();
				if (!Double.isNaN(hodnota)) hodnoty.add(hodnota);
			}

			return new Transformácia(typ, hodnoty.toArray(žiadneHodnoty));
		}

		/** <a class="alias"></a> Alias pre {@link #reťazecNaTransformáciu(String) reťazecNaTransformáciu}. */
		public Transformacia retazecNaTransformaciu(String text)
		{ return new Transformacia(reťazecNaTransformáciu(text)); }

		/**
		 * Táto metóda slúži na prevod 2D transformácií zadaných
		 * v textovej podobe v tvare, ktorý je v súlade so špecifikáciou
		 * SVG. Metóda dokáže spracovať ľubovoľný počet reťazcov
		 * obsahujúcich ľubovoľný počet SVG definícií 2D transformácií.
		 * Všetky rozpoznané definície prevedie na objekty typu {@link
		 * Transformácia Transformácia}, uloží ich do poľa, ktoré vráti
		 * v návratovej hodnote.
		 * 
		 * @param texty reťazce obsahujúce text definícií 2D SVG
		 *     transformácií, ktorý majú byť prevedené na objekty typu
		 *     {@link Transformácia Transformácia}
		 * @return pole s dĺžkou rovnou počtu transformácií, ktoré sa
		 *     podarilo rozpoznať; každý prvok poľa obsahuje údaje o jednej
		 *     rozpoznanej transformácii uložené v objekte typu {@link
		 *     Transformácia Transformácia}; pole môže mať aj nulovú dĺžku
		 *     (ak by sa nepodarilo rozpoznať ani jednu transformáciu);
		 *     v prípade kritického zlyhania môže metóda vrátiť hodnotu
		 *     {@code valnull}
		 */
		public Transformácia[] reťazceNaTransformácie(String... texty)
		{ return reťazceNaTransformácie(null, texty); }

		/** <a class="alias"></a> Alias pre {@link #reťazceNaTransformácie(String[]) reťazceNaTransformácie}. */
		public Transformacia[] retazceNaTransformacie(String... texty)
		{
			Transformácia[] transformácie = reťazceNaTransformácie(texty);
			if (null == transformácie) return null;
			int dĺžka = transformácie.length;
			Transformacia[] transformacie = new Transformacia[dĺžka];
			for (int i = 0; i < dĺžka; ++i)
				transformacie[i] = new Transformacia(transformácie[i]);
			return transformacie;
		}

		/**
		 * Táto metóda prevedie objekte typu {@link AffineTransform
		 * AffineTransform} do textovej podoby v súlade so špecifikáciou SVG.
		 * Vo viacerých prípadoch je tento prevod jednoducho prepísaním
		 * údajov o afinnej transformácii na maticu {@code matrix(…)}.
		 * Presnejší prevod je možný z údajov uložených v objektoch typu
		 * {@link Transformácia Transformácia}. (Na spôsob výstupu tejto
		 * metódy má vplyv aj hodnota príznaku {@link Transformácia#SVG2
		 * Transformácia.SVG2}.)
		 * 
		 * @param transformácia objekt typu {@link AffineTransform
		 *     AffineTransform}, ktorý má byť prevedený na reťazec
		 * @return prevedený reťazec obsahujúci text definície 2D SVG
		 *     transformácie
		 */
		public String transformáciuNaReťazec(AffineTransform transformácia)
		{
			double[] hodnota = new double[6];
			transformácia.getMatrix(hodnota);

			if (0 == hodnota[1] && 0 == hodnota[2])
			{
				if (1 == hodnota[0] && 1 == hodnota[3])
				{
					if (Transformácia.SVG2)
					{
						if (0 == hodnota[5])
							return "translateX(" + hodnota[4] + "px)";
						if (0 == hodnota[4])
							return "translateY(" + hodnota[5] + "px)";
					}
					return "translate(" + hodnota[4] + "px, " +
						hodnota[5] + "px)";
				}

				if (0 == hodnota[4] && 0 == hodnota[5])
				{
					if (hodnota[0] == hodnota[3])
						return "scale(" + hodnota[0] + ")";
					if (Transformácia.SVG2)
					{
						if (1 == hodnota[3])
							return "scaleX(" + hodnota[0] + ")";
						if (1 == hodnota[0])
							return "scaleY(" + hodnota[3] + ")";
					}
					return "scale(" + hodnota[0] + ", " + hodnota[3] +")";
				}
			}
			else if (1 == hodnota[1] && 1 == hodnota[2] &&
				0 == hodnota[4] && 0 == hodnota[5])
			{
				if (0 == hodnota[3])
					return "skewX(" + Math.toDegrees(
						Math.atan(hodnota[0])) + "deg)";
				if (0 == hodnota[0])
					return "skewY(" + Math.toDegrees(
						Math.atan(hodnota[3])) + "deg)";
				if (Transformácia.SVG2)
					return "skew(" + Math.toDegrees(Math.atan(hodnota[0])) +
						"deg, " + Math.toDegrees(Math.atan(hodnota[3])) +
						"deg)";
			}

			return "matrix(" +
				hodnota[0] + ", " + hodnota[1] + ", " +
				hodnota[2] + ", " + hodnota[3] + ", " +
				hodnota[4] + ", " + hodnota[5] + ")";
		}

		/** <a class="alias"></a> Alias pre {@link #transformáciuNaReťazec(AffineTransform) transformáciuNaReťazec}. */
		public String transformaciuNaRetazec(AffineTransform transformácia)
		{ return transformáciuNaReťazec(transformácia); }

		/**
		 * Táto metóda je doplnkom k metóde {@link
		 * #reťazecNaTransformáciu(String) reťazecNaTransformáciu},
		 * prevádza informácie uložené v objekte typu {@link Transformácia
		 * Transformácia} do textovej podoby v súlade so špecifikáciou SVG.
		 * (Na spôsob výstupu tejto metódy má vplyv aj hodnota príznaku
		 * {@link Transformácia#SVG2 Transformácia.SVG2}.)
		 * 
		 * @param transformácia objekt typu {@link Transformácia
		 *     Transformácia}, ktorý má byť prevedený na reťazec
		 * @return prevedený reťazec obsahujúci text definície 2D SVG
		 *     transformácie
		 */
		public String transformáciuNaReťazec(Transformácia transformácia)
		{
			if (null == transformácia) return null;
			return transformácia.toString();
		}

		/** <a class="alias"></a> Alias pre {@link #transformáciuNaReťazec(Transformácia) transformáciuNaReťazec}. */
		public String transformaciuNaRetazec(Transformácia transformácia)
		{ return transformáciuNaReťazec(transformácia); }

		/**
		 * Táto metóda slúži na prevod objektov typu {@link AffineTransform
		 * AffineTransform} do textovej podoby (tak, aby bola v súlade so
		 * špecifikáciou SVG). Vo viacerých prípadoch je tento prevod
		 * jednoducho prepísaním údajov o afinnej transformácii na maticu
		 * {@code matrix(…)}. Presnejší prevod je možný z údajov uložených
		 * v objektoch typu {@link Transformácia Transformácia}. (Na spôsob
		 * výstupu tejto metódy má vplyv aj hodnota príznaku {@link
		 * Transformácia#SVG2 Transformácia.SVG2}.)
		 * 
		 * @param transformácie objekty typu {@link AffineTransform
		 *     AffineTransform}, ktoré majú byť prevedené do podoby série
		 *     textových definícií uložených (podobne ako pri metóde {@link
		 *     #transformácieNaReťazec(AffineTransform[])
		 *     transformácieNaReťazec} prijímajúcej objekty typu {@link
		 *     Transformácia Transformácia})
		 * @return prevedený reťazec obsahujúci textové definície všetkých
		 *     zadaných afinných transformácií
		 */
		public String transformácieNaReťazec(AffineTransform... transformácie)
		{
			if (null == transformácie) return null;

			// Reťazcový zásobník na spájanie prevedených argumentov
			StringBuffer spojené = new StringBuffer();

			for (AffineTransform jedna : transformácie)
				if (null != jedna)
				{
					spojené.append(' ');
					spojené.append(transformáciuNaReťazec(jedna));
				}

			if (0 == spojené.length()) return "";
			return spojené.substring(1);
		}

		/** <a class="alias"></a> Alias pre {@link #transformácieNaReťazec(AffineTransform[]) transformácieNaReťazec}. */
		public String transformacieNaRetazec(AffineTransform... transformácie)
		{ return transformácieNaReťazec(transformácie); }

		/**
		 * Táto metóda slúži na prevod informácií uložených v ľubovoľnom
		 * počte objektov typu {@link Transformácia Transformácia} do
		 * textovej podoby, ktorá je v súlade so špecifikáciou SVG. (Na
		 * spôsob výstupu tejto metódy má vplyv aj hodnota príznaku {@link
		 * Transformácia#SVG2 Transformácia.SVG2}.)
		 * 
		 * @param transformácie objekty typu {@link Transformácia
		 *     Transformácia}, ktoré majú byť prevedené do celistvej
		 *     podoby série textových definícií uložených v rámci jediného
		 *     reťazca
		 * @return prevedený reťazec obsahujúci textové definície všetkých
		 *     zadaných transformácií
		 */
		public String transformácieNaReťazec(Transformácia... transformácie)
		{
			if (null == transformácie) return null;

			// Reťazcový zásobník na spájanie prevedených argumentov
			StringBuffer spojené = new StringBuffer();

			for (Transformácia jedna : transformácie)
				if (null != jedna)
				{
					spojené.append(' ');
					spojené.append(jedna.toString());
				}

			if (0 == spojené.length()) return "";
			return spojené.substring(1);
		}

		/** <a class="alias"></a> Alias pre {@link #transformácieNaReťazec(Transformácia[]) transformácieNaReťazec}. */
		public String transformacieNaRetazec(Transformácia... transformácie)
		{ return transformácieNaReťazec(transformácie); }


		// Mapa definícií HTML farieb
		private final static TreeMap<String, Farba> mapaFarieb =
			new TreeMap<String, Farba>();

		// Metóda slúžiaca na naplnenie mapy definícií HTML farieb
		private static void naplňMapuFarieb()
		{
			mapaFarieb.put("aliceblue", new Farba(240, 248, 255));
			mapaFarieb.put("amethyst", new Farba(153, 102, 204));
			mapaFarieb.put("antiquewhite", new Farba(250, 235, 215));
			mapaFarieb.put("aqua", new Farba(0, 255, 255));
			mapaFarieb.put("aquamarine", new Farba(127, 255, 212));
			mapaFarieb.put("azure", new Farba(240, 255, 255));
			mapaFarieb.put("beige", new Farba(245, 245, 220));
			mapaFarieb.put("bisque", new Farba(255, 228, 196));
			mapaFarieb.put("black", new Farba(0, 0, 0));
			mapaFarieb.put("blanchedalmond", new Farba(255, 235, 205));
			mapaFarieb.put("blue", new Farba(0, 0, 255));
			mapaFarieb.put("blueviolet", new Farba(138, 43, 226));
			mapaFarieb.put("brown", new Farba(165, 42, 42));
			mapaFarieb.put("burlywood", new Farba(222, 184, 135));
			mapaFarieb.put("cadetblue", new Farba(95, 158, 160));
			mapaFarieb.put("coral", new Farba(255, 127, 80));
			mapaFarieb.put("cornflowerblue", new Farba(100, 149, 237));
			mapaFarieb.put("cornsilk", new Farba(255, 248, 220));
			mapaFarieb.put("crimson", new Farba(220, 20, 60));
			mapaFarieb.put("cyan", new Farba(0, 255, 255));
			mapaFarieb.put("darkblue", new Farba(0, 0, 139));
			mapaFarieb.put("darkcyan", new Farba(0, 139, 139));
			mapaFarieb.put("darkgoldenrod", new Farba(184, 134, 11));
			mapaFarieb.put("darkgray", new Farba(169, 169, 169));
			mapaFarieb.put("darkgreen", new Farba(0, 100, 0));
			mapaFarieb.put("darkgrey", new Farba(169, 169, 169));
			mapaFarieb.put("darkkhaki", new Farba(189, 183, 107));
			mapaFarieb.put("darkmagenta", new Farba(139, 0, 139));
			mapaFarieb.put("darkolivegreen", new Farba(85, 107, 47));
			mapaFarieb.put("darkorange", new Farba(255, 140, 0));
			mapaFarieb.put("darkorchid", new Farba(153, 50, 204));
			mapaFarieb.put("darkred", new Farba(139, 0, 0));
			mapaFarieb.put("darksalmon", new Farba(233, 150, 122));
			mapaFarieb.put("darkseagreen", new Farba(143, 188, 143));
			mapaFarieb.put("darkslateblue", new Farba(72, 61, 139));
			mapaFarieb.put("darkslategray", new Farba(47, 79, 79));
			mapaFarieb.put("darkslategrey", new Farba(47, 79, 79));
			mapaFarieb.put("darkturquoise", new Farba(0, 206, 209));
			mapaFarieb.put("darkviolet", new Farba(148, 0, 211));
			mapaFarieb.put("deeppink", new Farba(255, 20, 147));
			mapaFarieb.put("deepskyblue", new Farba(0, 191, 255));
			mapaFarieb.put("dimgrey", new Farba(105, 105, 105));
			mapaFarieb.put("dodgerblue", new Farba(30, 144, 255));
			mapaFarieb.put("firebrick", new Farba(178, 34, 34));
			mapaFarieb.put("floralwhite", new Farba(255, 250, 240));
			mapaFarieb.put("forestgreen", new Farba(34, 139, 34));
			mapaFarieb.put("fuchsia", new Farba(255, 0, 255));
			mapaFarieb.put("gainsboro", new Farba(220, 220, 220));
			mapaFarieb.put("ghostwhite", new Farba(248, 248, 255));
			mapaFarieb.put("gold", new Farba(255, 215, 0));
			mapaFarieb.put("goldenrod", new Farba(218, 165, 32));
			mapaFarieb.put("gray", new Farba(128, 128, 128));
			mapaFarieb.put("green", new Farba(0, 128, 0));
			mapaFarieb.put("greenyellow", new Farba(173, 255, 47));
			mapaFarieb.put("grey", new Farba(128, 128, 128));
			mapaFarieb.put("honeydew", new Farba(240, 255, 240));
			mapaFarieb.put("hotpink", new Farba(255, 105, 180));
			mapaFarieb.put("chartreuse", new Farba(127, 255, 0));
			mapaFarieb.put("chocolate", new Farba(210, 105, 30));
			mapaFarieb.put("indianred ", new Farba(205, 92, 92));
			mapaFarieb.put("indigo", new Farba(75, 0, 130));
			mapaFarieb.put("ivory", new Farba(255, 255, 240));
			mapaFarieb.put("khaki", new Farba(240, 230, 140));
			mapaFarieb.put("lavender", new Farba(230, 230, 250));
			mapaFarieb.put("lavenderblush", new Farba(255, 240, 245));
			mapaFarieb.put("lawngreen", new Farba(124, 252, 0));
			mapaFarieb.put("lemonchiffon", new Farba(255, 250, 205));
			mapaFarieb.put("lightblue", new Farba(173, 216, 230));
			mapaFarieb.put("lightcoral", new Farba(240, 128, 128));
			mapaFarieb.put("lightcyan", new Farba(224, 255, 255));
			mapaFarieb.put("lightgoldenrodyellow", new Farba(250, 250, 210));
			mapaFarieb.put("lightgray", new Farba(211, 211, 211));
			mapaFarieb.put("lightgreen", new Farba(144, 238, 144));
			mapaFarieb.put("lightgrey", new Farba(211, 211, 211));
			mapaFarieb.put("lightpink", new Farba(255, 182, 193));
			mapaFarieb.put("lightsalmon", new Farba(255, 160, 122));
			mapaFarieb.put("lightseagreen", new Farba(32, 178, 170));
			mapaFarieb.put("lightskyblue", new Farba(135, 206, 250));
			mapaFarieb.put("lightslategray", new Farba(119, 136, 153));
			mapaFarieb.put("lightslategrey", new Farba(119, 136, 153));
			mapaFarieb.put("lightsteelblue", new Farba(176, 196, 222));
			mapaFarieb.put("lightyellow", new Farba(255, 255, 224));
			mapaFarieb.put("lime", new Farba(0, 255, 0));
			mapaFarieb.put("limegreen", new Farba(50, 205, 50));
			mapaFarieb.put("linen", new Farba(250, 240, 230));
			mapaFarieb.put("magenta", new Farba(255, 0, 255));
			mapaFarieb.put("maroon", new Farba(128, 0, 0));
			mapaFarieb.put("mediumaquamarine", new Farba(102, 205, 170));
			mapaFarieb.put("mediumblue", new Farba(0, 0, 205));
			mapaFarieb.put("mediumorchid", new Farba(186, 85, 211));
			mapaFarieb.put("mediumpurple", new Farba(147, 112, 219));
			mapaFarieb.put("mediumseagreen", new Farba(60, 179, 113));
			mapaFarieb.put("mediumslateblue", new Farba(123, 104, 238));
			mapaFarieb.put("mediumspringgreen", new Farba(0, 250, 154));
			mapaFarieb.put("mediumturquoise", new Farba(72, 209, 204));
			mapaFarieb.put("mediumvioletred", new Farba(199, 21, 133));
			mapaFarieb.put("midnightblue", new Farba(25, 25, 112));
			mapaFarieb.put("mintcream", new Farba(245, 255, 250));
			mapaFarieb.put("mistyrose", new Farba(255, 228, 225));
			mapaFarieb.put("moccasin", new Farba(255, 228, 181));
			mapaFarieb.put("navajowhite", new Farba(255, 222, 173));
			mapaFarieb.put("navy", new Farba(0, 0, 128));
			mapaFarieb.put("oldlace", new Farba(253, 245, 230));
			mapaFarieb.put("olive", new Farba(128, 128, 0));
			mapaFarieb.put("olivedrab", new Farba(107, 142, 35));
			mapaFarieb.put("orange", new Farba(255, 165, 0));
			mapaFarieb.put("orangered", new Farba(255, 69, 0));
			mapaFarieb.put("orchid", new Farba(218, 112, 214));
			mapaFarieb.put("palegoldenrod", new Farba(238, 232, 170));
			mapaFarieb.put("palegreen", new Farba(152, 251, 152));
			mapaFarieb.put("paleturquoise", new Farba(175, 238, 238));
			mapaFarieb.put("palevioletred", new Farba(219, 112, 147));
			mapaFarieb.put("papayawhip", new Farba(255, 239, 213));
			mapaFarieb.put("peachpuff", new Farba(255, 218, 185));
			mapaFarieb.put("peru", new Farba(205, 133, 63));
			mapaFarieb.put("pink", new Farba(255, 192, 203));
			mapaFarieb.put("plum", new Farba(221, 160, 221));
			mapaFarieb.put("powderblue", new Farba(176, 224, 230));
			mapaFarieb.put("purple", new Farba(128, 0, 128));
			mapaFarieb.put("rebeccapurple", new Farba(102, 51, 153));
			mapaFarieb.put("red", new Farba(255, 0, 0));
			mapaFarieb.put("rosybrown", new Farba(188, 143, 143));
			mapaFarieb.put("royalblue", new Farba(65, 105, 225));
			mapaFarieb.put("saddlebrown", new Farba(139, 69, 19));
			mapaFarieb.put("salmon", new Farba(250, 128, 114));
			mapaFarieb.put("sandybrown", new Farba(244, 164, 96));
			mapaFarieb.put("seagreen", new Farba(46, 139, 87));
			mapaFarieb.put("seashell", new Farba(255, 245, 238));
			mapaFarieb.put("sienna", new Farba(160, 82, 45));
			mapaFarieb.put("silver", new Farba(192, 192, 192));
			mapaFarieb.put("skyblue", new Farba(135, 206, 235));
			mapaFarieb.put("slateblue", new Farba(106, 90, 205));
			mapaFarieb.put("slategray", new Farba(112, 128, 144));
			mapaFarieb.put("slategrey", new Farba(112, 128, 144));
			mapaFarieb.put("snow", new Farba(255, 250, 250));
			mapaFarieb.put("springgreen", new Farba(0, 255, 127));
			mapaFarieb.put("steelblue", new Farba(70, 130, 180));
			mapaFarieb.put("tan", new Farba(210, 180, 140));
			mapaFarieb.put("teal", new Farba(0, 128, 128));
			mapaFarieb.put("thistle", new Farba(216, 191, 216));
			mapaFarieb.put("tomato", new Farba(255, 99, 71));
			mapaFarieb.put("turquoise", new Farba(64, 224, 208));
			mapaFarieb.put("violet", new Farba(238, 130, 238));
			mapaFarieb.put("wheat", new Farba(245, 222, 179));
			mapaFarieb.put("white", new Farba(255, 255, 255));
			mapaFarieb.put("whitesmoke", new Farba(245, 245, 245));
			mapaFarieb.put("yellow", new Farba(255, 255, 0));
			mapaFarieb.put("yellowgreen", new Farba(154, 205, 50));
		}

		private final TreeMap<String, Double> mapaJednotiek =
			new TreeMap<String, Double>();

		private final TreeMap<String, Double> mapaPosunov =
			new TreeMap<String, Double>();

		private void naplňMapuJednotiek()
		{
			mapaJednotiek.put("%", 0.01);
			mapaJednotiek.put("em", 1.0);
			mapaJednotiek.put("ex", 1.0);
			mapaJednotiek.put("ch", 1.0);
			mapaJednotiek.put("rem", 1.0);
			mapaJednotiek.put("vw", 1.0);
			mapaJednotiek.put("vh", 1.0);
			mapaJednotiek.put("vmin", 1.0);
			mapaJednotiek.put("vmax", 1.0);
			mapaJednotiek.put("cm", 96.0 / 2.54);
			mapaJednotiek.put("mm", 960.0 / 2.54);
			mapaJednotiek.put("q", 101.6);
			mapaJednotiek.put("in", 96.0);
			mapaJednotiek.put("pc", 96.0 / 6.0);
			mapaJednotiek.put("pt", 96.0 / 72.0);
			mapaJednotiek.put("px", 1.0);
			mapaJednotiek.put("deg", 1.0);
			mapaJednotiek.put("rad", 180.0 / Math.PI);
			mapaJednotiek.put("grad", 0.9); // 180.0 / 200.0 == 360.0 / 400.0
			mapaJednotiek.put("turn", 360.0);
		}

		// Rovnaké šablóny (názvami) ako sú tu, sú definované aj v triede
		// Farba, ale minimálne šablóna rgbaMatch je odlišná. Na zachovanie
		// flexibility do budúcna tu boli ponechané všetky.

		private final static Pattern hex6Match = Pattern.compile(
			"#[0-9A-Fa-f]{6}");

		private final static Pattern hex3Match = Pattern.compile(
			"#[0-9A-Fa-f]{3}");

		private final static Pattern rgbaMatch = Pattern.compile(
			"[Rr][Gg][Bb][Aa]? *\\(( *[0-9]{0,3} *,){2,3} *[-+0-9.eE]+ *\\)");

		private final static Pattern rgbaSplit = Pattern.compile(
			"[Rr][Gg][Bb][Aa]? *\\( *| *, *| *\\)");

		/**
		 * Prevedie zadanú inštanciu farby do textovej podoby používanej
		 * v rámci jazykov HTML, CSS a teda aj SVG. Použitie tejto metódy je
		 * vhodné pri ukladaní údajov o farbe (napríklad výplne alebo čiary
		 * obrysu tvaru) do súboru v niektorom z uvedených súborových
		 * formátov (pri CSS by išlo o použitie nad rámec predvolených
		 * možností tejto triedy).
		 * 
		 * <P>Podľa okolností je výsledkom tejto metódy reťazec v jednom
		 * z nasledujúcich tvarov: {@code none} (ak má zadaný objekt hodnotu
		 * {@code valnull}, <i>«HTML meno farby»</i>, {@code #rgb},
		 * {@code #rrggbb} alebo {@code rgba(red, green, blue, alpha)}.
		 * Posledná reprezentácia nie je univerzálne použiteľná v SVG
		 * atribútoch {@code fill} a {@code stroke}. Štandard SVG definuje
		 * doplňujúce atribúty {@code fill-opacity} a {@code stroke-opacity}.
		 * Na ich naplnenie je výhodné použiť metódu
		 * {@link #alfaNaReťazec(Color) alfaNaReťazec(farba)}.
		 * 
		 * @param farba farba, ktorá má byť prevedená do reťazcovej podoby
		 * @param ignorujAlfu ak je hodnota tohto atribútu rovná
		 *   {@code valtrue}, tak vo výslednej reprezentácii bude ignorovaný
		 *   kanál priehľadnosti farby (alfa)
		 * @return farba prevedená do reťazcovej podoby
		 * @see #alfaNaReťazec(Color)
		 * @see #reťazecNaFarbu(String, String)
		 */
		public static String farbaNaReťazec(Color farba, boolean ignorujAlfu)
		{
			if (null == farba) return "none";

			if (mapaFarieb.isEmpty()) naplňMapuFarieb();

			if (ignorujAlfu && 255 != farba.getAlpha())
				farba = new Color(farba.getRed(),
					farba.getGreen(), farba.getBlue());

			for (Map.Entry<String, Farba> položka : mapaFarieb.entrySet())
			{
				if (null == položka.getKey()) continue;
				if (položka.getValue().equals(farba)) return položka.getKey();
			}

			int r = farba.getRed();
			int g = farba.getGreen();
			int b = farba.getBlue();
			int a = farba.getAlpha();

			if (ignorujAlfu || 255 == a)
			{
				if (r / 16 == r % 16 && g / 16 == g % 16 && b / 16 == b % 16)
					return String.format(Locale.ENGLISH,
						"#%x%x%x", r % 16, g % 16, b % 16);
				return String.format(Locale.ENGLISH,
					"#%02x%02x%02x", r, g, b);
			}

			return String.format(Locale.ENGLISH,
				"rgba(%d, %d, %d, %f)", r, g, b,
				((float)a) / 255.0f);
		}

		/** <a class="alias"></a> Alias pre {@link #farbaNaReťazec(Color, boolean) farbaNaReťazec}. */
		public static String farbaNaRetazec(Color farba, boolean ignorujAlfu)
		{ return farbaNaReťazec(farba, ignorujAlfu); }

		/**
		 * Prevedie zadanú implementáciu farebnosti do textovej podoby
		 * používanej v rámci jazykov HTML, CSS a teda aj SVG. Použitie
		 * tejto metódy je vhodné pri ukladaní údajov o farbe (napríklad
		 * výplne alebo čiary obrysu tvaru) do súboru v niektorom z uvedených
		 * súborových formátov (pri CSS by išlo o použitie nad rámec
		 * predvolených možností tejto triedy).
		 * 
		 * <P>Podľa okolností je výsledkom tejto metódy reťazec v jednom
		 * z nasledujúcich tvarov: {@code none} (ak má zadaný objekt hodnotu
		 * {@code valnull}, <i>«HTML meno farby»</i>, {@code #rgb},
		 * {@code #rrggbb} alebo {@code rgba(red, green, blue, alpha)}.
		 * Posledná reprezentácia nie je univerzálne použiteľná v SVG
		 * atribútoch {@code fill} a {@code stroke}. Štandard SVG definuje
		 * doplňujúce atribúty {@code fill-opacity} a {@code stroke-opacity}.
		 * Na ich naplnenie je výhodné použiť metódu
		 * {@link #alfaNaReťazec(Farebnosť) alfaNaReťazec(farba)}.
		 * 
		 * @param farba inštancia farebnosti, ktorá má byť prevedená do
		 *     reťazcovej podoby
		 * @param ignorujAlfu ak je hodnota tohto atribútu rovná
		 *   {@code valtrue}, tak vo výslednej reprezentácii bude ignorovaný
		 *   kanál priehľadnosti farby (alfa)
		 * @return implementácia farebnosti prevedená do reťazcovej podoby
		 * @see #alfaNaReťazec(Farebnosť)
		 * @see #reťazecNaFarbu(String, String)
		 */
		public static String farbaNaReťazec(Farebnosť farba,
			boolean ignorujAlfu)
		{
			if (null == farba) return "none";
			return farbaNaReťazec(farba.farba(), ignorujAlfu);
		}

		/**
		 * Vyjme zo zadanej inštancie farby hodnotu úrovne priehľadnosti
		 * a prevedie ju na reťazec v rozsahu {@code num0.0} až
		 * {@code num1.0}. Táto metóda je dôležitým doplnkom metódy {@link
		 * #farbaNaReťazec(Color, boolean) farbaNaReťazec(farba,
		 * ignorujAlfu)}, pretože nie každý softvér pracujúci s formátom SVG
		 * akceptuje v atribútoch {@code fill} a {@code stroke} farby v tvare
		 * {@code rgba(red, green, blue, alpha)}. Naproti tomu sme si overili,
		 * že všetok nami používaný softvér rešpektuje doplňujúce atribúty
		 * {@code fill-opacity} a {@code stroke-opacity}. Práve na určenie
		 * ich hodnôt je vhodná táto metóda.
		 * 
		 * @param farba farba, ktorej zložka priehľadnosti má byť prevedená
		 *     do reťazcovej podoby
		 * @return zložka priehľadnosti zadanej farby prevedená do reťazcovej
		 *     podoby (číslo v rozsahu {@code num0.0} až {@code num1.0}
		 *     vyjadrené ako text)
		 * @see #farbaNaReťazec(Color, boolean)
		 * @see #reťazecNaFarbu(String, String)
		 */
		public static String alfaNaReťazec(Color farba)
		{
			if (null == farba) return null;
			return String.format(Locale.ENGLISH,
				"%f", ((float)farba.getAlpha()) / 255.0f);
		}

		/** <a class="alias"></a> Alias pre {@link #alfaNaReťazec(Color) alfaNaReťazec}. */
		public static String alfaNaRetazec(Color farba)
		{ return alfaNaReťazec(farba); }

		/**
		 * Vyjme zo zadanej implementácie farebnosti hodnotu úrovne
		 * priehľadnosti a prevedie ju na reťazec v rozsahu {@code num0.0}
		 * až {@code num1.0}. Táto metóda je dôležitým doplnkom metódy
		 * {@link #farbaNaReťazec(Color, boolean) farbaNaReťazec(farba,
		 * ignorujAlfu)}, pretože nie každý softvér pracujúci s formátom SVG
		 * akceptuje v atribútoch {@code fill} a {@code stroke} farby v tvare
		 * {@code rgba(red, green, blue, alpha)}. Naproti tomu sme si overili,
		 * že všetok nami používaný softvér rešpektuje doplňujúce atribúty
		 * {@code fill-opacity} a {@code stroke-opacity}. Práve na určenie
		 * ich hodnôt je vhodná táto metóda.
		 * 
		 * @param farba inštancia farebnosti, ktorej zložka priehľadnosti má
		 *     byť prevedená do reťazcovej podoby
		 * @return zložka priehľadnosti zadanej inštancie prevedená do
		 *     reťazcovej podoby (číslo v rozsahu {@code num0.0} až
		 *     {@code num1.0} vyjadrené ako text)
		 * @see #farbaNaReťazec(Farebnosť, boolean)
		 * @see #reťazecNaFarbu(String, String)
		 */
		public static String alfaNaReťazec(Farebnosť farba)
		{
			if (null == farba) return null;
			return alfaNaReťazec(farba.farba());
		}

		/** <a class="alias"></a> Alias pre {@link #alfaNaReťazec(Farebnosť) alfaNaReťazec}. */
		public static String alfaNaRetazec(Farebnosť farba)
		{ return alfaNaReťazec(farba); }

		/** <a class="alias"></a> Alias pre {@link #farbaNaReťazec(Farebnosť, boolean) farbaNaReťazec}. */
		public static String farbaNaRetazec(Farebnosť farba,
			boolean ignorujAlfu)
		{ return farbaNaReťazec(farba, ignorujAlfu); }

		/**
		 * Prevedie zadaný reťazec reprezentujúci farbu vo formátoch
		 * používaných jazykmi HTML, CSS a teda aj SVG na inštanciu farby
		 * knižnice. Metóda rozpoznáva buď názvy farebných entít uvedených
		 * jazykov (148 názvov typu {@code black}, {@code yellow},
		 * {@code white}…), alebo reťazce v tvare:
		 * 
		 * <ul>
		 * <li><code>#</code><i>rrggbb</i>, kde <i>rr</i> je červená zložka
		 * v šestnástkovom tvare, <i>gg</i> zelená zložka v šestnástkovom
		 * tvare a <i>bb</i> modrá zložka v šestnástkovom tvare,</li>
		 * 
		 * <li><code>#</code><i>rgb</i>, kde <i>r</i> je červená zložka
		 * v šestnástkovom tvare a <i>g</i> zelená zložka v šestnástkovom
		 * tvare, <i>b</i> modrá zložka v šestnástkovom tvare, pričom všetky
		 * zložky v tomto budú rozšírené na: <i>rr</i>, <i>gg</i>, <i>bb</i>,
		 * napríklad: <code>#8af</code> = <code>#88aaff</code></li>
		 * 
		 * <li><code>rgb(</code><i>red</i><code>, </code><i>green</i><code>,
		 * </code><i>blue</i><code>)</code>, kde <i>red</i> je červená zložka
		 * (v desiatkovom tvare), <i>green</i> zelená zložka, <i>blue</i>
		 * modrá zložka (všetko v desiatkovom tvare),</li>
		 * 
		 * <li><code>rgba(</code><i>red</i><code>, </code><i>green</i><code>,
		 * </code><i>blue</i><code>, </code><i>alpha</i><code>)</code>, kde
		 * <i>red</i> je červená zložka (v desiatkovom tvare), <i>green</i>
		 * zelená zložka, <i>blue</i> modrá zložka (v desiatkových tvaroch),
		 * <i>alpha</i> priehľadnosť vyjadrená ako reálne číslo v rozsahu od
		 * {@code num0.0} do {@code num1.0}.</li>
		 * </ul>
		 * 
		 * <P>Druhý argument ({@code alfa}) slúži na doplnenie hodnoty
		 * priehľadnosti k jednej z vyššie uvedených reprezentácií (okrem
		 * poslednej). Je to implementácia alternatívneho spôsobu určovania
		 * priehľadnosti výplne a čiary ({@code fill} a {@code stroke})
		 * prostredníctvom XML atribútov {@code fill-opacity}
		 * a {@code stroke-opacity} štandardu SVG (niektoré softvéry
		 * rozpoznávajú len tento spôsob určovania priehľadnosti).
		 * 
		 * <P>Metóda je vhodná ako doplnok k metódam {@link
		 * #farbaNaReťazec(Color, boolean) farbaNaReťazec} a {@link
		 * #alfaNaReťazec(Color) alfaNaReťazec}.
		 * 
		 * @param text reťazec, ktorý má byť prevedený na farbu
		 * @param alfa dodatočný reťazec obsahujúci úroveň priehľadnosti;
		 *   môže byť {@code valnull}
		 * @return inštancia farby získaná z reťazcovej podoby alebo
		 *   {@code valnull}, ak sa formát nepodarilo rozpoznať
		 * @see #farbaNaReťazec(Color, boolean)
		 * @see #alfaNaReťazec(Color)
		 */
		public static Farba reťazecNaFarbu(String text, String alfa)
		{
			if (mapaFarieb.isEmpty()) naplňMapuFarieb();
			text = text.trim();

			int alfaHodnota = 255;
			try
			{
				if (null != alfa)
					alfaHodnota = (int)(Float.parseFloat(alfa) * 255.0f);
			}
			catch (Exception e)
			{
				vypíšChybovéHlásenia(e, true);
			}

			Farba farba = mapaFarieb.get(text.toLowerCase());
			if (null != farba)
			{
				if (255 == alfaHodnota) return farba;
				return new Farba(farba.getRed(), farba.getGreen(),
					farba.getBlue(), alfaHodnota);
			}

			if (hex6Match.matcher(text).matches())
			{
				try
				{
					if (255 == alfaHodnota)
						return new Farba(
							Integer.parseInt(text.substring(1, 3), 16),
							Integer.parseInt(text.substring(3, 5), 16),
							Integer.parseInt(text.substring(5, 7), 16));
					return new Farba(
						Integer.parseInt(text.substring(1, 3), 16),
						Integer.parseInt(text.substring(3, 5), 16),
						Integer.parseInt(text.substring(5, 7), 16),
						alfaHodnota);
				}
				catch (Exception e)
				{
					vypíšChybovéHlásenia(e, true);
				}
			}
			else if (hex3Match.matcher(text).matches())
			{
				try
				{
					int r = Integer.parseInt(text.substring(1, 2), 16);
					int g = Integer.parseInt(text.substring(2, 3), 16);
					int b = Integer.parseInt(text.substring(3, 4), 16);
					if (255 == alfaHodnota)
						return new Farba(r << 4 | r, g << 4 | g, b << 4 | b);
					return new Farba(r << 4 | r, g << 4 | g, b << 4 | b,
						alfaHodnota);
				}
				catch (Exception e)
				{
					vypíšChybovéHlásenia(e, true);
				}
			}
			else if (rgbaMatch.matcher(text).matches())
			{
				String zložky[] = rgbaSplit.split(text);

				try
				{
					if (5 == zložky.length)
						return new Farba(
							Integer.parseInt(zložky[1]),
							Integer.parseInt(zložky[2]),
							Integer.parseInt(zložky[3]),
							(int)(Float.parseFloat(zložky[4]) * 255.0f));
					if (255 == alfaHodnota)
						return new Farba(
							Integer.parseInt(zložky[1]),
							Integer.parseInt(zložky[2]),
							Integer.parseInt(zložky[3]));
					return new Farba(
						Integer.parseInt(zložky[1]),
						Integer.parseInt(zložky[2]),
						Integer.parseInt(zložky[3]),
						alfaHodnota);
				}
				catch (Exception e)
				{
					vypíšChybovéHlásenia(e, true);
				}
			}

			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #reťazecNaFarbu(String, String) reťazecNaFarbu}. */
		public static Farba retazecNaFarbu(String text, String alfa)
		{ return reťazecNaFarbu(text, alfa); }


		/**
		 * Zabezpečí prevod reťazca na číslo (bez vzniku chyby) s vyhľadaním
		 * a prepočítaním prípadných jednotiek používaných v jazykoch HTML,
		 * CSS a teda aj SVG (uvedených za číselnou hodnotou v reťazcovom
		 * tvare). Všetky relatívne jednotky, okrem percenta, (to jest:
		 * {@code em}, {@code ex}, {@code ch}, {@code rem}, {@code vw},
		 * {@code vh}, {@code vmin} a {@code vmax}) majú nastavený predvolený
		 * pomer prevodu 1 : 1, to znamená, že výsledkom je rovnaká hodnota,
		 * aká bola zapísaná v textovom tvare. Percentuálna jednotka má
		 * nastavený predvolený pomer 1 : 100. Absolútne jednotky (to jest:
		 * {@code cm}, {@code mm}, {@code q}, {@code in}, {@code pc},
		 * {@code pt} a {@code px}) sú prepočítané podľa štandardu. Jednotky
		 * uhlov ({@code deg}, {@code rad}, {@code grad} a {@code turn}) sú
		 * prepočítané na „klasické“ uhlové stupne ({@code deg}), kedy jedna
		 * otáčka znamená 360°.
		 * 
		 * @param hodnota číselná hodnota s prípadným uvedením jednotiek
		 * @return výsledná prevedená a prepočítaná číselná hodnota
		 */
		public double reťazecNaČíslo(String hodnota)
		{
			if (mapaJednotiek.isEmpty()) naplňMapuJednotiek();
			hodnota = hodnota.trim().toLowerCase();
			double prevod = 1.0, posun = 0.0;

			for (Map.Entry<String, Double> položka : mapaJednotiek.entrySet())
			{
				if (null == položka.getKey()) continue;

				String jednotka = položka.getKey();

				if (hodnota.endsWith(jednotka))
				{
					hodnota = hodnota.substring(0, hodnota.length() -
						jednotka.length());
					prevod = položka.getValue();

					try { posun = mapaPosunov.get(jednotka); }
					catch (Exception e) { }
				}
			}

			try { return posun + (Double.parseDouble(hodnota) * prevod); }
			catch (Exception e) { } return 0.0;
		}

		/** <a class="alias"></a> Alias pre {@link #reťazecNaČíslo(String) reťazecNaČíslo}. */
		public double retazecNaCislo(String hodnota)
		{ return reťazecNaČíslo(hodnota); }


		/**
		 * Táto metóda umožňuje upraviť koeficient prevodu jednotky číselnej
		 * hodnoty (pozri opis metódy {@link #reťazecNaČíslo(String)
		 * reťazecNaČíslo}).
		 * 
		 * <P><small>(<b>Poznámky:</b> Aktuálnu hodnotu koeficientu je možné
		 * overiť inou verziou tejto metódy. Touto metódou je tiež možné
		 * nastaviť koeficient prevodu úplne nových jednotiek.)</small>
		 * 
		 * <P>Ak je namiesto jednotky zadaný prázdny reťazec, tak je hodnota
		 * ignorovaná. Podobne, ak je zadaná nová hodnota koeficientu
		 * nekonečná (alebo neplatná, napríklad rovná nule), tak je ignorovaná.
		 * 
		 * @param jednotka jednotka, ktorej koeficient prevodu chceme zmeniť
		 *     alebo nastaviť
		 * @param hodnota nová číselná hodnota koeficientu prevodu
		 */
		public void koeficient(String jednotka, double hodnota)
		{
			if (null == jednotka) return;
			jednotka = jednotka.trim().toLowerCase();
			if (jednotka.isEmpty()) return;
			if (mapaJednotiek.isEmpty()) naplňMapuJednotiek();
			if (Double.isFinite(hodnota) && 0.0 != hodnota)
				mapaJednotiek.put(jednotka, hodnota);
		}

		/**
		 * Táto metóda umožňuje overiť hodnotu koeficientu prevodu jednotky
		 * číselnej hodnoty (pozri opis metódy {@link #reťazecNaČíslo(String)
		 * reťazecNaČíslo}). Ak zadaná jednotka nejestvuje (nie je definovaná),
		 * tak táto metóda vráti hodnotu {@link Double#NaN}.
		 * 
		 * @param jednotka jednotka, ktorej koeficient prevodu chceme zistiť
		 * @return koeficient pre určenú jednotku alebo {@link Double#NaN}
		 */
		public double koeficient(String jednotka)
		{
			if (null == jednotka) return Double.NaN;
			jednotka = jednotka.trim().toLowerCase();
			if (jednotka.isEmpty()) return Double.NaN;
			if (mapaJednotiek.isEmpty()) naplňMapuJednotiek();
			Double hodnota = mapaJednotiek.get(jednotka);
			if (null != hodnota) return hodnota;
			return Double.NaN;
		}


		// Toto pole obsahuje šablónu HTML súboru na zápis SVG tvarov.
		// Hodnotu poľa je možné zistiť alebo nastaviť rovnomennými metódami
		// (a ich aliasmi).
		private String[] htmlŠablóna =
		{
			"<!DOCTYPE html>", "<html>", "<head>",
			"<meta charset=\"$KÓDOVANIE\" />", "<title>$TITULOK</title>",
			"</head>", "<body>", "<svg width=\"$ŠÍRKA\" height=\"$VÝŠKA\">",
			"<g stroke-linecap=\"round\" stroke-linejoin=\"round\">",
			"$TVARY", "</g>", "</svg>", "</body>", "</html>"
		};


		// Toto pole obsahuje šablónu SVG súboru na zápis tvarov. Hodnotu
		// poľa je možné zistiť alebo nastaviť rovnomennými metódami (a ich
		// aliasmi).
		private String[] svgŠablóna =
		{
			"<?xml version=\"1.0\" encoding=\"$KÓDOVANIE\" standalone=\"no\"?>",
			"<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"$ŠÍRKA\" height=\"$VÝŠKA\">",
			"<title>$TITULOK</title>",
			"<g stroke-linecap=\"round\" stroke-linejoin=\"round\">",
			"$TVARY", "</g>", "</svg>"
		};


		/**
		 * Táto metóda umožňuje zistiť aktuálny tvar šablóny HTML súboru.
		 * Šablóna je použitá metódami {@link #zapíš(String) zapíš} slúžiacimi
		 * na zápis tvarov (vo formáte SVG).
		 * 
		 * <P>Jeden prvok poľa je ekvivalentný jednému riadku HTML súboru.
		 * Výnimku tvorí riadok obsahujúci rezervovaný reťazec {@code $TVARY}
		 * (resp. {@code $SHAPES}), pretože tento reťazec bude nahradený SVG
		 * definíciami tvarov.
		 * 
		 * <P>V prípade potreby môžete obsah tejto šablóny nahradiť iným
		 * požadovaným tvarom metódou {@link #htmlŠablóna(String[])
		 * htmlŠablóna(šablóna)}.
		 * 
		 * @return aktuálny tvar šablóny HTML súboru
		 */
		public String[] htmlŠablóna() { return htmlŠablóna; }

		/** <a class="alias"></a> Alias pre {@link #htmlŠablóna() htmlŠablóna}. */
		public String[] htmlSablona() { return htmlŠablóna; }

		/**
		 * Táto metóda umožňuje zistiť aktuálny tvar šablóny SVG súboru.
		 * Šablóna je použitá metódami {@link #zapíš(String) zapíš} slúžiacimi
		 * na zápis tvarov (vo formáte SVG).
		 * 
		 * <P>Jeden prvok poľa je ekvivalentný jednému riadku SVG súboru.
		 * Výnimku tvorí riadok obsahujúci rezervovaný reťazec {@code
		 * $TVARY} (resp. {@code $SHAPES}), pretože tento reťazec bude
		 * nahradený SVG definíciami tvarov.
		 * 
		 * <P>V prípade potreby môžete obsah tejto šablóny nahradiť iným
		 * požadovaným tvarom metódou {@link #svgŠablóna(String[])
		 * svgŠablóna(šablóna)}.
		 * 
		 * @return aktuálny tvar šablóny SVG súboru
		 */
		public String[] svgŠablóna() { return svgŠablóna; }

		/** <a class="alias"></a> Alias pre {@link #svgŠablóna() svgŠablóna}. */
		public String[] svgSablona() { return svgŠablóna; }


		/**
		 * Táto metóda slúži na nastavenie nového tvaru šablóny HTML súboru.
		 * Šablóna je použitá metódami {@link #zapíš(String) zapíš} slúžiacimi
		 * na zápis tvarov (vo formáte SVG).
		 * 
		 * <P>Jeden prvok poľa je ekvivalentný jednému riadku HTML súboru.
		 * Výnimku tvorí riadok obsahujúci rezervovaný reťazec {@code $TVARY}
		 * (resp. {@code $SHAPES}), pretože tento reťazec bude nahradený SVG
		 * definíciami tvarov.
		 * 
		 * <P>Šablóna musí byť v korektnom tvare (dotýka sa to syntaxe
		 * a štruktúry) HTML súboru s vloženým {@code svg} elementom, inak
		 * bude výsledný súbor v nekorektnom tvare, čo môže viesť k jeho
		 * nefunkčnosti! (Za korektnú štruktúru šablóny je zodpovedný autor.)
		 * Šablóna musí obsahovať rezervovaný reťazec: {@code $TVARY} (resp.
		 * {@code $SHAPES}). Mala by tiež obsahovať rezervované reťazce:
		 * {@code $KÓDOVANIE}, {@code $ŠÍRKA}, {@code $VÝŠKA}
		 * a {@code $TITULOK}, ktoré budú nahradené korektným kódovaním,
		 * rozmermi plátien a zadaným alebo predvoleným titulkom.
		 * 
		 * <P><small>(<b>Poznámka:</b> Rezervované reťazce
		 * {@code $KÓDOVANIE}, {@code $ŠÍRKA} a {@code $VÝŠKA} môžu byť
		 * uvedené aj bez diakritiky a všetky rezervované reťazce majú
		 * definované aliasy v anglickom jazyku: {@code $KÓDOVANIE} –
		 * {@code $ENCODING}, {@code $ŠÍRKA} – {@code $WIDTH},
		 * {@code $VÝŠKA} – {@code $HEIGHT}, {@code $TITULOK} –
		 * {@code $TITLE} a {@code $TVARY} – {@code $SHAPES}.)</small>
		 * 
		 * @param šablóna nový požadovaný tvar HTML šablóny
		 * @return {@code valtrue} v prípade úspechu (šablónu sa podarilo
		 *   zmeniť), {@code valfalse} v prípade neúspechu (šablóna
		 *   neobsahuje požadovaný reťazec {@code $TVARY} (resp.
		 *   {@code $SHAPES}) alebo sa v zadaných vstupných údajoch vyskytla
		 *   hodnota {@code valnull} – to znamená, že korektnosť štruktúry
		 *   šablóny nie je overovaná)
		 */
		public boolean htmlŠablóna(String[] šablóna)
		{
			if (null == šablóna) return false;

			boolean korektné = false;

			for (String riadok : šablóna)
			{
				if (null == riadok) return false;

				if (-1 != riadok.indexOf("$TVARY") ||
					-1 != riadok.indexOf("$SHAPES"))
				{
					korektné = true;
					break;
				}
			}

			if (korektné)
			{
				htmlŠablóna = šablóna;
				return true;
			}

			return false;
		}

		/** <a class="alias"></a> Alias pre {@link #htmlŠablóna(String[]) htmlŠablóna}. */
		public boolean htmlSablona(String[] šablóna)
		{ return htmlŠablóna(šablóna); }

		/**
		 * Táto metóda slúži na nastavenie nového tvaru šablóny SVG súboru.
		 * Šablóna je použitá metódami {@link #zapíš(String) zapíš} slúžiacimi
		 * na zápis tvarov (vo formáte SVG).
		 * 
		 * <P>Jeden prvok poľa je ekvivalentný jednému riadku SVG súboru.
		 * Výnimku tvorí riadok obsahujúci rezervovaný reťazec {@code $TVARY}
		 * (resp. {@code $SHAPES}), pretože tento reťazec bude nahradený SVG
		 * definíciami tvarov.
		 * 
		 * <P>Šablóna musí byť v korektnom tvare (dotýka sa to syntaxe
		 * a štruktúry) SVG súboru, inak bude výsledný súbor v nekorektnom
		 * tvare, čo môže viesť k jeho nefunkčnosti! (Za korektnú štruktúru
		 * šablóny je zodpovedný autor.) Šablóna musí obsahovať rezervovaný
		 * reťazec: {@code $TVARY} (resp. {@code $SHAPES}). Mala by tiež
		 * obsahovať rezervované reťazce: {@code $KÓDOVANIE}, {@code $ŠÍRKA},
		 * {@code $VÝŠKA} a {@code $TITULOK}, ktoré budú nahradené korektným
		 * kódovaním, rozmermi plátien a zadaným alebo predvoleným titulkom.
		 * 
		 * <P><small>(<b>Poznámka:</b> Rezervované reťazce
		 * {@code $KÓDOVANIE}, {@code $ŠÍRKA} a {@code $VÝŠKA} môžu byť
		 * uvedené aj bez diakritiky a všetky rezervované reťazce majú
		 * definované aliasy v anglickom jazyku: {@code $KÓDOVANIE} –
		 * {@code $ENCODING}, {@code $ŠÍRKA} – {@code $WIDTH},
		 * {@code $VÝŠKA} – {@code $HEIGHT}, {@code $TITULOK} –
		 * {@code $TITLE} a {@code $TVARY} – {@code $SHAPES}.)</small>
		 * 
		 * @param šablóna nový požadovaný tvar SVG šablóny
		 * @return {@code valtrue} v prípade úspechu (šablónu sa podarilo
		 *   zmeniť), {@code valfalse} v prípade neúspechu (šablóna
		 *   neobsahuje požadovaný reťazec {@code $TVARY} (resp.
		 *   {@code $SHAPES}) alebo sa v zadaných vstupných údajoch vyskytla
		 *   hodnota {@code valnull} – to znamená, že korektnosť štruktúry
		 *   šablóny nie je overovaná)
		 */
		public boolean svgŠablóna(String[] šablóna)
		{
			if (null == šablóna) return false;

			boolean korektné = false;

			for (String riadok : šablóna)
			{
				if (null == riadok) return false;

				if (-1 != riadok.indexOf("$TVARY") ||
					-1 != riadok.indexOf("$SHAPES"))
				{
					korektné = true;
					break;
				}
			}

			if (korektné)
			{
				svgŠablóna = šablóna;
				return true;
			}

			return false;
		}

		/** <a class="alias"></a> Alias pre {@link #svgŠablóna(String[]) svgŠablóna}. */
		public boolean svgSablona(String[] šablóna)
		{ return svgŠablóna(šablóna); }


		// „Továreň“ XML vstupu
		private static XMLInputFactory xmlVstup = null;


		/* *
		 * Prevedie celočíselnú hodnotu typu udalosti v rámci analýzy údajov
		 * z XML prúdu na čitateľný tvar reťazca v slovenskom jazyku.
		 * /
		private static String XMLTypUdalostiNaReťazec(int typUdalosti)
		{
			switch (typUdalosti)
			{
				case XMLStreamConstants.START_ELEMENT:          // 1
					return "začiatočný element";
				case XMLStreamConstants.END_ELEMENT:            // 2
					return "koncový element";
				case XMLStreamConstants.PROCESSING_INSTRUCTION: // 3
					return "inštrukcia na spracovanie";
				case XMLStreamConstants.CHARACTERS:             // 4
					return "znaky";
				case XMLStreamConstants.COMMENT:                // 5
					return "komentár";
				case XMLStreamConstants.SPACE:                  // 6
					return "medzery";
				case XMLStreamConstants.START_DOCUMENT:         // 7
					return "začiatok dokumentu";
				case XMLStreamConstants.END_DOCUMENT:           // 8
					return "koniec dokumentu";
				case XMLStreamConstants.ENTITY_REFERENCE:       // 9
					return "odkaz na entitu";
				case XMLStreamConstants.ATTRIBUTE:              // 10
					return "atribút";
				case XMLStreamConstants.DTD:                    // 11
					return "definícia typu dokumentu";
				case XMLStreamConstants.CDATA:                  // 12
					return "znakové údaje";
				case XMLStreamConstants.NAMESPACE:              // 13
					return "menný priestor";
				case XMLStreamConstants.NOTATION_DECLARATION:   // 14
					return "deklarácia spôsobu zápisu";
				case XMLStreamConstants.ENTITY_DECLARATION:     // 15
					return "deklarácia entity";
			}
			return "neznámy";
		}
		/* */

		// Trieda umožňujúca vytvoriť zásobník atribútov
		@SuppressWarnings("serial")
		private class Atribúty extends TreeMap<String, String>
		{
			public Atribúty() { super(); }
			public Atribúty(Comparator<String> comp) { super(comp); }
			public Atribúty(Map<String, String> m) { super(m); }
			public Atribúty(SortedMap<String, String> m) { super(m); }
		}

		// Zásobník série atribútov
		private final Stack<Atribúty> zásobníkAtribútov = new Stack<Atribúty>();

		// Trieda reprezentujúca údajovú štruktúru tvaru s asociovanými
		// atribútmi
		private class Tvar
		{
			public Shape tvar;
			public final Atribúty atribúty;

			// Zoznam rozpoznaných transformácií
			private Transformácia[] transformácie = null;

			public Tvar(Shape tvar, Atribúty atribúty)
			{
				this.tvar = tvar;
				this.atribúty = new Atribúty(atribúty);
			}
		}

		// Vnútorný zoznam tvarov tejto inštancie
		private final Vector<Tvar> tvary = new Vector<Tvar>();

		/**
		 * Vráti počet tvarov, ktoré sú momentálne uskladnené v tejto
		 * inštancii (v jej vnútornom zásobníku) podpory SVG formátu.
		 * Tvary mohli byť do zásobníka vložené (importované)
		 * {@linkplain #čítaj(String) čítaním zo súboru} alebo metódou
		 * {@link #pridaj(Shape, String[]) pridaj}. Uskladnené tvary
		 * môžu byť {@linkplain #dajSVG(int) vyjadrené v XML/SVG formáte}
		 * a {@linkplain #zapíš(String) uložené} (exportované) do súboru
		 * (HTML alebo SVG).
		 * 
		 * @return počet tvarov, ktoré sú momentálne uskladnené v tejto
		 *     inštancii (v jej vnútornom zásobníku)
		 */
		public int počet() { return tvary.size(); }

		/** <a class="alias"></a> Alias pre {@link #počet() počet}. */
		public int pocet() { return počet(); }

		/**
		 * Vyčistí vnútorný zásobník tvarov tejto inštancie. To znamená, že
		 * všetky vnútorne uskladnené tvary budú z tejto inštancie odstránené.
		 */
		public void vymaž() { tvary.clear(); }

		/** <a class="alias"></a> Alias pre {@link #vymaž() vymaž}. */
		public void vymaz() { vymaž(); }


		/**
		 * Táto statická metóda vyrobí transformovanú verziu zadaného tvaru
		 * tak, aby nové súradnice jeho „stredu“ ležali v strede súradnicovej
		 * sústavy knižnice grafického robota. „Stredom“ tvaru je myslený
		 * stred ohraničujúceho obdĺžnika tvaru. (O súradnicových priestoroch
		 * sa podrobnejšie píše napríklad v opisoch metód {@link
		 * GRobot#cesta() GRobot.cesta()}, {@link SVGPodpora#zapíš(String,
		 * String, boolean) SVGpodpora.zapíš(…)}, {@link
		 * SVGPodpora#čítaj(String) SVGpodpora.čítaj(meno)} a priebežne
		 * v celej dokumentácii.)
		 * 
		 * <P>Keby nejestvovala táto metóda, bolo by potrebné zakaždým
		 * vykonať nasledujúce príkazy:
		 * 
		 * <pre CLASS="example">
			{@link Bod Bod} bod = {@link Bod Bod}.{@link Bod#polohaTvaru(Shape) polohaTvaru}(tvar);

			tvar = {@link SVGPodpora SVGPodpora}.{@link SVGPodpora#dajVýsledný(Shape, Transformácia, Transformácia[]) dajVýsledný}(tvar,
				{@code kwdnew} {@link GRobot.SVGPodpora.Transformácia#GRobot.SVGPodpora.Transformácia(int, Double[]) Transformácia}({@link GRobot.SVGPodpora.Transformácia Transformácia}.{@link GRobot.SVGPodpora.Transformácia#POSUN POSUN},
					-bod.{@link Bod#polohaX() polohaX}(), bod.{@link Bod#polohaY() polohaY}()));
			</pre>
		 * 
		 * Navyše, ak by nejestvovala metóda {@link Bod#polohaTvaru(Shape)
		 * polohaTvaru} (ktorá je relatívne nová), tak by bolo treba
		 * postupovať mierne odlišným spôsobom, napríklad využiť
		 * niektorého robota ({@code r}):
		 * 
		 * <pre CLASS="example">
			{@code comm//  1. Najprv zálohovať jeho aktuálnu polohu (ak na nej záleží):}
			{@link Bod Bod} záloha = r.{@link GRobot#poloha() poloha}();

			{@code comm//  2. Potom sa robotom presunúť do stredu tvaru:}
			r.{@link GRobot#skočNa(Shape) skočNa}(tvar);

			{@code comm//  3. Potom využiť aktuálnu polohu robota na výrobu}
			{@code comm//     presunutého tvaru (s pomocou transformácie):}
			tvar = {@link SVGPodpora SVGPodpora}.{@link SVGPodpora#dajVýsledný(Shape, Transformácia, Transformácia[]) dajVýsledný}(tvar,
				{@code kwdnew} {@link GRobot.SVGPodpora.Transformácia#GRobot.SVGPodpora.Transformácia(int, Double[]) Transformácia}({@link GRobot.SVGPodpora.Transformácia Transformácia}.{@link GRobot.SVGPodpora.Transformácia#POSUN POSUN},
					-r.{@link GRobot#polohaX() polohaX}(), r.{@link GRobot#polohaY() polohaY}()));

			{@code comm//	4. Nakoniec vrátiť robota do pôvodnej polohy (zo zálohy):}
			r.{@link GRobot#skočNa(Poloha) skočNa}(záloha);
			</pre>
		 * 
		 * <P>Tieto okolnosti viedli k vzniku tejto metódy, ktorá pracuje
		 * priamočiarejšie.
		 * 
		 * @param tvar tvar, ktorého presunutá verzia má byť vyprodukovaná
		 * @return transformovaný tvar – presunutý do stredu súradnicovej
		 *   sústavy knižnice
		 */
		public static Shape presuňDoStredu(Shape tvar)
		{
			Rectangle2D hranice = tvar.getBounds2D();
			double novéX = prepočítajSpäťX(hranice.getX()) +
				hranice.getWidth() / 2;
			double novéY = prepočítajSpäťY(hranice.getY()) -
				hranice.getHeight() / 2;
			return AffineTransform.getTranslateInstance(-novéX, novéY).
				createTransformedShape(tvar);
		}

		/** <a class="alias"></a> Alias pre {@link #presuňDoStredu(Shape) presuňDoStredu}. */
		public static Shape presunDoStredu(Shape tvar)
		{ return presuňDoStredu(tvar); }


		/**
		 * Poskytne netransformovaný tvar uložený vo vnútornom zásobníku
		 * tejto inštancie so zadaným „poradovým číslom“, respektíve indexom,
		 * to znamená, že nula označuje prvý tvar v zásobníku. Ak je zadaný
		 * index záporný, metóda bude hľadať tvar od konca zásobníka, to
		 * znamená, že index {@code num-1} označuje posledný tvar vložený do
		 * vnútorného zásobníka. Ak index ani po úprave zo zápornej hodnoty
		 * na kladnú neukazuje na jestvujúci tvar, to znamená, že jeho
		 * hodnota je mimo rozsahu {@code num0} až {@link #počet()
		 * počet()}{@code  - }{@code num1}, tak metóda vráti hodnotu
		 * {@code valnull}.
		 * 
		 * @param index index požadovaného tvaru z vnútorného zásobníka
		 * @return netransformovaný tvar uložený vo vnútornom zásobníku pod
		 *   zadaným indexom alebo {@code valnull}
		 */
		public Shape daj(int index)
		{
			if (index < 0) index = tvary.size() + index;
			if (index >= 0 && index < tvary.size())
				return tvary.get(index).tvar;
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #daj(int) daj}. */
		public Shape dajPôvodný(int index) { return daj(index); }

		/** <a class="alias"></a> Alias pre {@link #daj(int) daj}. */
		public Shape dajPovodny(int index) { return daj(index); }

		/**
		 * Poskytne transformovaný tvar, ktorý je uložený vo vnútornom
		 * zásobníku tejto inštancie pod zadaným „poradovým číslom“,
		 * respektíve indexom (čiže nula označuje prvý tvar v zásobníku).
		 * Táto metóda pracuje s vnútorne definovaným atribútom ‚transform‘,
		 * avšak spracúva iba 2D transformácie (ako všetky súčasti tejto
		 * triedy).
		 * Ak uvedený atribút nie je definovaný, tak je výstup tejto metódy
		 * zhodný s výstupom metódy {@link #daj(int) daj}
		 * (a teda aj {@link #dajPôvodný(int) dajPôvodný}).
		 * 
		 * <P>Tiež platia rovnaké informácie, aké sú uvedené v opise metódy
		 * {@link #daj(int) daj}, čiže: Ak je zadaný index záporný, metóda
		 * hľadá tvar od konca zásobníka, to znamená, že hodnota indexu
		 * {@code num-1} označuje posledný tvar vložený do vnútorného
		 * zásobníka. Ak index ani po úprave z prípadnej zápornej hodnoty
		 * na kladnú neukazuje na jestvujúci tvar, to znamená, že jeho
		 * hodnota je mimo rozsahu {@code num0} až {@link #počet()
		 * počet()}{@code  - }{@code num1}, tak táto metóda vráti hodnotu
		 * {@code valnull}.
		 * 
		 * @param index index požadovaného tvaru z vnútorného zásobníka
		 * @return tvar uložený vo vnútornom zásobníku pod zadaným indexom
		 *   transformovaný podľa hodnoty vnútorného atribútu ‚transform‘
		 *   (ak má atribút definovanú hodnotu, inak je vrátený
		 *   netransforomvaný tvar), alebo {@code valnull} ak tvar so zadaným
		 *   indexom nejestvuje
		 */
		public Shape dajVýsledný(int index)
		{
			if (index < 0) index = tvary.size() + index;
			if (index >= 0 && index < tvary.size())
			{
				Tvar tvar = tvary.get(index);
				if (null == tvar.transformácie)
				{
					String hodnota = tvar.atribúty.get("transform");
					if (null != hodnota)
						tvar.transformácie = reťazceNaTransformácie(hodnota);
				}
				return dajVýsledný(tvar.tvar, null, tvar.transformácie);
			}
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(int, String, String[]) dajVýsledný}. */
		public Shape dajVysledny(int index) { return dajVýsledný(index); }


		/**
		 * Táto metóda pracuje rovnako ako metóda {@link #dajVýsledný(int)
		 * dajVýsledný}, ale namiesto prípadných vnútorne definovaných
		 * transformácií použije 2D transformácie zadané v argumentoch
		 * v tvare reťazcov v súlade so špecifikáciou SVG. Výsledný tvar
		 * bude transformovaný zloženou 2D transformáciou zostavenej
		 * zo všetkých rozpoznaných 2D transformácií obsiahnutých v zadaných
		 * argumentoch {@code transformácia} a {@code transformácie}.
		 * 
		 * @param index index požadovaného tvaru z vnútorného zásobníka
		 * @param transformácia povinná transformácia (2D) v textovom tvare;
		 *     podľa špecifikácie SVG môže obsahovať i niekoľko transformácií
		 *     uvedených za sebou
		 * @param transformácie ďalšie (nepovinné) transformácie (2D),
		 *     z ktorých každá môže obsahovať jednu alebo viac transformácií
		 *     (2D – podľa špecifikácie SVG)
		 * @return tvar, ktorý je uložený vo vnútornom zásobníku pod zadaným
		 *     indexom a transformovaný podľa zadanej transformácie alebo
		 *     transformácií alebo {@code valnull} ak tvar so zadaným indexom
		 *     nejestvuje
		 */
		public Shape dajVýsledný(int index, String transformácia,
			String... transformácie)
		{
			if (index < 0) index = tvary.size() + index;
			if (index >= 0 && index < tvary.size())
			{
				Transformácia[] transformácie2 = reťazceNaTransformácie(
					transformácia, transformácie);
				return dajVýsledný(tvary.get(index).tvar,
					null, transformácie2);
			}
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(int, String, String[]) dajVýsledný}. */
		public Shape dajVysledny(int index, String transformácia,
			String... transformácie)
		{ return dajVýsledný(index, transformácia, transformácie); }

		/**
		 * Táto metóda pracuje rovnako ako metóda {@link #dajVýsledný(int,
		 * String, String[]) dajVýsledný(index, transformácia[,
		 * transformácie])}, ale transformácie sú zadané v tvare poľa reťazcov.
		 * 
		 * @param index index požadovaného tvaru z vnútorného zásobníka
		 * @param transformácie pole reťazcových prvkov, z ktorých každý
		 *     môže obsahovať jednu alebo viac transformácií (2D – podľa
		 *     špecifikácie SVG)
		 * @return tvar, ktorý je uložený vo vnútornom zásobníku pod zadaným
		 *     indexom a transformovaný podľa zadaných transformácií alebo
		 *     {@code valnull} ak tvar so zadaným indexom nejestvuje
		 */
		public Shape dajVýsledný(int index, String[] transformácie)
		{ return dajVýsledný(index, null, transformácie); }

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(int, String[]) dajVýsledný}. */
		public Shape dajVysledny(int index, String[] transformácie)
		{ return dajVýsledný(index, transformácie); }

		/**
		 * Táto metóda pracuje rovnako ako metóda {@link #dajVýsledný(int)
		 * dajVýsledný}, ale namiesto prípadných vnútorne definovaných
		 * transformácií použije transformácie zadané vo forme objektov
		 * triedy {@link AffineTransform AffineTransform}, čiže v tomto
		 * prípade je podľa typu objektu zrejmé, že ide o 2D transformácie.
		 * Výsledný tvar bude transformovaný transformáciou zloženou
		 * zo všetkých zadaných transformácií.
		 * 
		 * @param index index požadovaného tvaru z vnútorného zásobníka
		 * @param transformácia povinný objekt transformácia typu {@link
		 *     AffineTransform AffineTransform}
		 * @param transformácie ďalšie (nepovinné) objekty transformácií typu
		 *     {@link AffineTransform AffineTransform}
		 * @return tvar, ktorý je uložený vo vnútornom zásobníku pod zadaným
		 *     indexom a transformovaný podľa zadanej transformácie alebo
		 *     transformácií alebo {@code valnull} ak tvar so zadaným indexom
		 *     nejestvuje
		 */
		public Shape dajVýsledný(int index, AffineTransform transformácia,
			AffineTransform... transformácie)
		{
			if (index < 0) index = tvary.size() + index;
			if (index >= 0 && index < tvary.size())
				return dajVýsledný(tvary.get(index).tvar,
					transformácia, transformácie);
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(int, AffineTransform, AffineTransform[]) dajVýsledný}. */
		public Shape dajVysledny(int index, AffineTransform transformácia,
			AffineTransform... transformácie)
		{ return dajVýsledný(index, transformácia, transformácie); }

		/**
		 * Táto metóda pracuje rovnako ako metóda {@link #dajVýsledný(int,
		 * AffineTransform, AffineTransform[]) dajVýsledný(index,
		 * transformácia[, transformácie])}, ale transformácie sú zadané
		 * v tvare poľa objektov triedy {@link AffineTransform
		 * AffineTransform}.
		 * 
		 * @param index index požadovaného tvaru z vnútorného zásobníka
		 * @param transformácie pole objektov typu {@link AffineTransform
		 *     AffineTransform}
		 * @return tvar, ktorý je uložený vo vnútornom zásobníku pod zadaným
		 *     indexom a transformovaný podľa zadaných transformácií alebo
		 *     {@code valnull} ak tvar so zadaným indexom nejestvuje
		 */
		public Shape dajVýsledný(int index, AffineTransform[] transformácie)
		{ return dajVýsledný(index, null, transformácie); }

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(int, AffineTransform[]) dajVýsledný}. */
		public Shape dajVysledny(int index, AffineTransform[] transformácie)
		{ return dajVýsledný(index, transformácie); }

		/**
		 * Táto metóda pracuje rovnako ako metóda {@link #dajVýsledný(int)
		 * dajVýsledný}, ale namiesto prípadných vnútorne definovaných
		 * transformácií použije transformácie zadané vo forme objektov
		 * triedy {@link Transformácia Transformácia} (ktorá slúži na
		 * uchovanie informácií o rozpoznaných 2D SVG transformáciách).
		 * Výsledný tvar bude transformovaný transformáciou zloženou zo
		 * všetkých zadaných transformácií.
		 * 
		 * @param index index požadovaného tvaru z vnútorného zásobníka
		 * @param transformácia povinný objekt transformácia typu {@link
		 *     Transformácia Transformácia}
		 * @param transformácie ďalšie (nepovinné) objekty transformácií typu
		 *     {@link Transformácia Transformácia}
		 * @return tvar, ktorý je uložený vo vnútornom zásobníku pod zadaným
		 *     indexom a transformovaný podľa zadanej transformácie alebo
		 *     transformácií alebo {@code valnull} ak tvar so zadaným indexom
		 *     nejestvuje
		 */
		public Shape dajVýsledný(int index, Transformácia transformácia,
			Transformácia... transformácie)
		{
			if (index < 0) index = tvary.size() + index;
			if (index >= 0 && index < tvary.size())
				return dajVýsledný(tvary.get(index).tvar,
					transformácia, transformácie);
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(int, Transformácia, Transformácia[]) dajVýsledný}. */
		public Shape dajVysledny(int index, Transformácia transformácia,
			Transformácia... transformácie)
		{ return dajVýsledný(index, transformácia, transformácie); }

		/**
		 * Táto metóda pracuje rovnako ako metóda {@link #dajVýsledný(int,
		 * Transformácia, Transformácia[]) dajVýsledný(index,
		 * transformácia[, transformácie])}, ale transformácie sú zadané
		 * v tvare poľa objektov triedy {@link Transformácia
		 * Transformácia}.
		 * 
		 * @param index index požadovaného tvaru z vnútorného zásobníka
		 * @param transformácie pole objektov typu {@link Transformácia
		 *     Transformácia}
		 * @return tvar, ktorý je uložený vo vnútornom zásobníku pod zadaným
		 *     indexom a transformovaný podľa zadaných transformácií alebo
		 *     {@code valnull} ak tvar so zadaným indexom nejestvuje
		 */
		public Shape dajVýsledný(int index, Transformácia[] transformácie)
		{ return dajVýsledný(index, null, transformácie); }

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(int, Transformácia[]) dajVýsledný}. */
		public Shape dajVysledny(int index, Transformácia[] transformácie)
		{ return dajVýsledný(index, transformácie); }


		/**
		 * Táto metóda umožňuje transformovať ľubovoľný tvar ({@link Shape
		 * Shape}) Javy podľa 2D transformácií zadaných v tvare reťazcov
		 * v súlade so špecifikáciou SVG.
		 * 
		 * @param tvar tvar javy – objekt typu {@link Shape Shape} (môže ísť
		 *     aj o niektorý tvar generovaný robotom)
		 * @param transformácia povinná 2D transformácia v textovom tvare;
		 *     podľa špecifikácie SVG môže obsahovať i niekoľko transformácií
		 *     uvedených za sebou
		 * @param transformácie ďalšie (nepovinné) transformácie (2D),
		 *     z ktorých každá môže obsahovať jednu alebo viac transformácií
		 *     (podľa špecifikácie SVG)
		 * @return vstupný tvar (z parametra {@code tvar}) transformovaný
		 *     podľa zadaných transformácií (ak nastane chyba, tak je
		 *     návratovou hodnotou {@code valnull})
		 */
		public Shape dajVýsledný(Shape tvar, String transformácia,
			String... transformácie)
		{
			if (null != tvar)
			{
				Transformácia[] transformácie2 = reťazceNaTransformácie(
					transformácia, transformácie);
				return dajVýsledný(tvar, null, transformácie2);
			}
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(int, String, String[]) dajVýsledný}. */
		public Shape dajVysledny(Shape tvar, String transformácia,
			String... transformácie)
		{ return dajVýsledný(tvar, transformácia, transformácie); }

		/**
		 * Táto metóda pracuje rovnako ako metóda {@link #dajVýsledný(Shape,
		 * String, String[]) dajVýsledný(index, transformácia[,
		 * transformácie])}, ale transformácie sú zadané v tvare poľa reťazcov.
		 * 
		 * @param tvar tvar javy – objekt typu {@link Shape Shape} (môže ísť
		 *     aj o niektorý tvar generovaný robotom)
		 * @param transformácie pole reťazcových prvkov, z ktorých každý
		 *     môže obsahovať jednu alebo viac transformácií (2D – podľa
		 *     špecifikácie SVG)
		 * @return vstupný tvar (z parametra {@code tvar}) transformovaný
		 *     podľa zadaných transformácií (ak nastane chyba, tak je
		 *     návratovou hodnotou {@code valnull})
		 */
		public Shape dajVýsledný(Shape tvar, String[] transformácie)
		{ return dajVýsledný(tvar, null, transformácie); }

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(Shape, String[]) dajVýsledný}. */
		public Shape dajVysledny(Shape tvar, String[] transformácie)
		{ return dajVýsledný(tvar, transformácie); }

		/**
		 * Táto metóda umožňuje transformovať ľubovoľný tvar ({@link Shape
		 * Shape}) Javy podľa 2D transformácií zadaných vo forme objektov
		 * typu {@link Transformácia Transformácia}.
		 * 
		 * @param tvar tvar javy – objekt typu {@link Shape Shape} (môže ísť
		 *     aj o niektorý tvar generovaný robotom)
		 * @param transformácia povinný objekt transformácia typu {@link
		 *     Transformácia Transformácia}
		 * @param transformácie ďalšie (nepovinné) objekty transformácií typu
		 *     {@link Transformácia Transformácia}
		 * @return vstupný tvar (z parametra {@code tvar}) transformovaný
		 *     podľa zadaných transformácií (ak nastane chyba, tak je
		 *     návratovou hodnotou {@code valnull})
		 */
		public static Shape dajVýsledný(Shape tvar, Transformácia
			transformácia, Transformácia... transformácie)
		{
			if (null != tvar)
			{
				AffineTransform zložená = new AffineTransform();
				if (null != transformácia)
				{
					// zložená.preConcatenate(transformácia.daj());
					zložená.concatenate(transformácia.daj());
				}
				if (null != transformácie)
					for (Transformácia t : transformácie)
						if (null != t)
						{
							// zložená.preConcatenate(t.daj());
							zložená.concatenate(t.daj());
						}
				return zložená.createTransformedShape(tvar);
			}
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(Shape, Transformácia, Transformácia[]) dajVýsledný}. */
		public static Shape dajVysledny(Shape tvar, Transformácia
			transformácia, Transformácia... transformácie)
		{ return dajVýsledný(tvar, transformácia, transformácie); }

		/**
		 * Táto metóda pracuje rovnako ako metóda {@link #dajVýsledný(Shape,
		 * Transformácia, Transformácia[]) dajVýsledný(index, transformácia[,
		 * transformácie])}, ale transformácie sú zadané v tvare poľa objektov
		 * typu {@link Transformácia Transformácia}.
		 * 
		 * @param tvar tvar javy – objekt typu {@link Shape Shape} (môže ísť
		 *     aj o niektorý tvar generovaný robotom)
		 * @param transformácie pole objektov typu {@link Transformácia
		 *     Transformácia}
		 * @return vstupný tvar (z parametra {@code tvar}) transformovaný
		 *     podľa zadaných transformácií (ak nastane chyba, tak je
		 *     návratovou hodnotou {@code valnull})
		 */
		public static Shape dajVýsledný(Shape tvar,
			Transformácia[] transformácie)
		{ return dajVýsledný(tvar, null, transformácie); }

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(Shape, Transformácia[]) dajVýsledný}. */
		public static Shape dajVysledny(Shape tvar,
			Transformácia[] transformácie)
		{ return dajVýsledný(tvar, transformácie); }

		/**
		 * Táto metóda umožňuje transformovať ľubovoľný tvar ({@link Shape
		 * Shape}) Javy podľa 2D transformácií zadaných vo forme objektov
		 * typu {@link AffineTransform AffineTransform}.
		 * 
		 * @param tvar tvar javy – objekt typu {@link Shape Shape} (môže ísť
		 *     aj o niektorý tvar generovaný robotom)
		 * @param transformácia povinný objekt transformácia typu {@link
		 *     AffineTransform AffineTransform}
		 * @param transformácie ďalšie (nepovinné) objekty transformácií typu
		 *     {@link AffineTransform AffineTransform}
		 * @return vstupný tvar (z parametra {@code tvar}) transformovaný
		 *     podľa zadaných transformácií (ak nastane chyba, tak je
		 *     návratovou hodnotou {@code valnull})
		 */
		public static Shape dajVýsledný(Shape tvar, AffineTransform
			transformácia, AffineTransform... transformácie)
		{
			if (null != tvar)
			{
				AffineTransform zložená = new AffineTransform();
				if (null != transformácia)
				{
					// zložená.preConcatenate(transformácia);
					zložená.concatenate(transformácia);
				}
				if (null != transformácie)
					for (AffineTransform t : transformácie)
						if (null != t)
						{
							// zložená.preConcatenate(t);
							zložená.concatenate(t);
						}
				return zložená.createTransformedShape(tvar);
			}
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(Shape, AffineTransform, AffineTransform[]) dajVýsledný}. */
		public static Shape dajVysledny(Shape tvar, AffineTransform
			transformácia, AffineTransform... transformácie)
		{ return dajVýsledný(tvar, transformácia, transformácie); }

		/**
		 * Táto metóda pracuje rovnako ako metóda {@link #dajVýsledný(Shape,
		 * AffineTransform, AffineTransform[]) dajVýsledný(index,
		 * transformácia[, transformácie])}, ale transformácie sú zadané
		 * v tvare poľa objektov typu {@link AffineTransform AffineTransform}.
		 * 
		 * @param tvar tvar javy – objekt typu {@link Shape Shape} (môže ísť
		 *     aj o niektorý tvar generovaný robotom)
		 * @param transformácie pole objektov typu {@link AffineTransform
		 *     AffineTransform}
		 * @return vstupný tvar (z parametra {@code tvar}) transformovaný
		 *     podľa zadaných transformácií (ak nastane chyba, tak je
		 *     návratovou hodnotou {@code valnull})
		 */
		public static Shape dajVýsledný(Shape tvar,
			AffineTransform[] transformácie)
		{ return dajVýsledný(tvar, null, transformácie); }

		/** <a class="alias"></a> Alias pre {@link #dajVýsledný(Shape, AffineTransform[]) dajVýsledný}. */
		public static Shape dajVysledny(Shape tvar,
			AffineTransform[] transformácie)
		{ return dajVýsledný(tvar, transformácie); }


		/**
		 * Poskytne hodnotu atribútu asociovaného s tvarom so zadaným
		 * indexom. Ak je zadaný index záporný, metóda bude hľadať atribút
		 * pre tvar od konca zásobníka, to znamená, že index {@code num-1}
		 * označuje posledný tvar vložený do vnútorného zásobníka. Ak
		 * požadovaný atribút (alebo tvar) nejestvuje, tak metóda vráti
		 * hodnotu {@code valnull}.
		 * 
		 * @param index index požadovaného tvaru z vnútorného zásobníka
		 * @param meno  názov požadovaného atribútu asociovaného s tvarom
		 * @return reťazec s hodnotou požadovaného atribútu alebo
		 *   {@code valnull}
		 */
		public String dajAtribút(int index, String meno)
		{
			if (index < 0) index = tvary.size() + index;
			if (index >= 0 && index < tvary.size())
				return tvary.get(index).atribúty.get(meno);
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #dajAtribút(int, String) dajAtribút}. */
		public String dajAtribut(int index, String meno)
		{ return dajAtribút(index, meno); }

		/**
		 * Vráti XML/SVG reprezentáciu tvaru uloženého vo vnútornom zásobníku
		 * tejto inštancie so zadaným poradovým číslom, resp. indexom – nula
		 * označuje prvý tvar. (Ide vlastne o export tvaru do reťazca.)
		 * 
		 * Ak je zadaný index záporný, metóda bude hľadať tvar od konca
		 * zásobníka, to znamená, že index {@code num-1} označuje posledný
		 * tvar vložený do vnútorného zásobníka. Index musí po tejto úprave
		 * ukazovať na jestvujúci tvar, to znamená, že jeho hodnota musí byť
		 * v rozsahu {@code num0} až {@link #počet() počet()}{@code
		 *  - }{@code num1}, inak metóda vráti hodnotu {@code valnull}.
		 * 
		 * (Vkladanie/vytváranie nových tvarov do vnútorného zásobníka
		 * tejto inštancie s použitím XML/SVG reprezentácie je možné, okrem
		 * {@linkplain #čítaj(String) prečítania priamo z SVG alebo HTML
		 * súboru}, aj metódou {@link #pridajSVG(String) pridajSVG(xmlSVG)}.)
		 * 
		 * <P>(<small><b>Poznámka:</b> Pri exporte nie sú využité vlastnosti
		 * SVG 2.0, najmä takzvaný „bearing“ – aktuálne pootočenie, ktorý má
		 * v budúcnosti slúžiť na implementáciu korytnačej grafiky
		 * v rámci štandardu SVG. Dôvodom nepoužitia novšej verzie štandardu
		 * je to, že súčasný softvér tento štandard nie je schopný spracovať.
		 * To znamená, že takto exportované údaje by neboli v praxi
		 * použiteľné.)</small>
		 * 
		 * @param index index požadovaného tvaru z vnútorného zásobníka
		 * @return textová XML/SVG reprezentácia tvaru uloženého vo vnútornom
		 *   zásobníku pod zadaným indexom alebo {@code valnull}
		 */
		public String dajSVG(int index)
		{
			if (index < 0) index = tvary.size() + index;
			if (index >= 0 && index < tvary.size())
				return dajSVG(tvary.get(index));
			return null;
		}

		/**
		 * Pokúsi sa zistiť farbu výplne tvaru asociovaného so zadaným
		 * indexom. Možnosti metódy sú obmedzené (pozri informácie v opise
		 * triedy). Ak sa farbu nepodarí zistiť, tak metóda vráti hodnotu
		 * {@code valnull}.
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (táto
		 *   metóda používa na zistenie hodnoty atribútu metódu {@link
		 *   #dajAtribút(int, String) dajAtribút}, takže pre hodnotu indexu
		 *   pri tejto metóde platí to isté ako pre hodnotu indexu pri metóde
		 *   {@link #dajAtribút(int, String) dajAtribút})
		 * @return objekt typu {@link Farba Farba} alebo {@code valnull}
		 */
		public Farba farbaVýplne(int index)
		{
			String farba = dajAtribút(index, "fill");
			if (null != farba)
			{
				if ("none".equalsIgnoreCase(farba)) return null;
				return reťazecNaFarbu(farba, dajAtribút(index,
					"fill-opacity"));
			}
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #farbaVýplne(int) farbaVýplne}. */
		public Farba farbaVyplne(int index) { return farbaVýplne(index); }

		/**
		 * Pokúsi sa zistiť farbu čiary tvaru asociovaného so zadaným
		 * indexom. Možnosti metódy sú obmedzené (pozri informácie v opise
		 * triedy). Ak sa farbu nepodarí zistiť, tak metóda vráti hodnotu
		 * {@code valnull}.
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (táto
		 *   metóda používa na zistenie hodnoty atribútu metódu {@link
		 *   #dajAtribút(int, String) dajAtribút}, takže pre hodnotu indexu
		 *   pri tejto metóde platí to isté ako pre hodnotu indexu pri metóde
		 *   {@link #dajAtribút(int, String) dajAtribút})
		 * @return objekt typu {@link Farba Farba} alebo {@code valnull}
		 */
		public Farba farbaČiary(int index)
		{
			String farba = dajAtribút(index, "stroke");
			if (null != farba)
			{
				if ("none".equalsIgnoreCase(farba)) return null;
				return reťazecNaFarbu(farba, dajAtribút(index,
					"stroke-opacity"));
			}
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #farbaČiary(int) farbaČiary}. */
		public Farba farbaCiary(int index) { return farbaČiary(index); }

		/**
		 * Pokúsi sa zistiť hrúbku čiary tvaru asociovaného so zadaným
		 * indexom. Možnosti metódy sú obmedzené (pozri informácie v opise
		 * triedy). Ak sa hrúbku nepodarí zistiť, tak metóda vráti hodnotu
		 * {@link Double#NaN}.
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (táto
		 *   metóda používa na zistenie hodnoty atribútu metódu {@link
		 *   #dajAtribút(int, String) dajAtribút}, takže pre hodnotu indexu
		 *   pri tejto metóde platí to isté ako pre hodnotu indexu pri metóde
		 *   {@link #dajAtribút(int, String) dajAtribút})
		 * @return objekt typu {@link Farba Farba} alebo {@code valnull}
		 */
		public double hrúbkaČiary(int index)
		{
			String hodnota = dajAtribút(index, "stroke-width");
			if (null != hodnota)
			{
				if ("none".equalsIgnoreCase(hodnota)) return Double.NaN;
				return reťazecNaČíslo(hodnota);
			}
			return Double.NaN;
		}

		/** <a class="alias"></a> Alias pre {@link #hrúbkaČiary(int) hrúbkaČiary}. */
		public double hrubkaCiary(int index) { return hrúbkaČiary(index); }


		/**
		 * Prepíše, vloží novú alebo odstráni hodnotu atribútu asociovaného
		 * s tvarom so zadaným indexom. Ak je index záporný, metóda bude
		 * hľadať tvar od konca zásobníka, to znamená, že index {@code num-1}
		 * označuje posledný tvar vložený do vnútorného zásobníka. Okrem toho
		 * musia byť splnené nasledujúce podmienky: {@code index} musí
		 * ukazovať na jestvujúci tvar (po úprave prípadnej zápornej hodnoty)
		 * a {@code meno} nesmie byť {@code valnull} ani prázdny reťazec,
		 * inak nebude mať volanie tejto metódy žiadny efekt. Ak je
		 * {@code hodnota} rovná {@code valnull}, tak je atribút odstránený,
		 * v opačnom prípade je za novú hodnotu považovaný reťazec vytvorený
		 * z objektu volaním metódy {@code hodnota.}{@link Object#toString()
		 * toString()}.
		 * 
		 * <P><b>Pozor!</b> Atribúty, ktoré sú kľúčové pri vyjadrení
		 * konkrétneho tvaru (napr. {@code cx}, {@code cy}, {@code r} pri
		 * kružnici, {@code points} pri polygóne, {@code d} pri ceste
		 * a podobne) sú počas prevodu do XML/SVG tvaru nahradené konkrétnymi
		 * hodnotami. Preto ich nastavenie/prepísanie/vymazanie touto metódou
		 * nemá zmysel.
		 * 
		 * @param index index tvaru vo vnútornom zásobníku
		 * @param meno názov atribútu asociovaného s tvarom
		 * @param hodnota nová hodnota atribútu alebo {@code valnull}
		 */
		public void prepíšAtribút(int index, String meno, Object hodnota)
		{
			if (index < 0) index = tvary.size() + index;
			if (null != meno && !meno.isEmpty() &&
				index >= 0 && index < tvary.size())
			{
				Tvar tvar = tvary.get(index);
				if (null == hodnota)
					tvar.atribúty.remove(meno);
				else
					tvar.atribúty.put(meno, hodnota.toString());
				if (meno.equals("transform")) tvar.transformácie = null;
			}
		}

		/** <a class="alias"></a> Alias pre {@link #prepíšAtribút(int, String, Object) prepíšAtribút}. */
		public void prepisAtribut(int index, String meno, Object hodnota)
		{ prepíšAtribút(index, meno, hodnota); }

		/** <a class="alias"></a> Alias pre {@link #prepíšAtribút(int, String, Object) prepíšAtribút}. */
		public void nahraďAtribút(int index, String meno, Object hodnota)
		{ prepíšAtribút(index, meno, hodnota); }

		/** <a class="alias"></a> Alias pre {@link #prepíšAtribút(int, String, Object) prepíšAtribút}. */
		public void nahradAtribut(int index, String meno, Object hodnota)
		{ prepíšAtribút(index, meno, hodnota); }

		/** <a class="alias"></a> Alias pre {@link #prepíšAtribút(int, String, Object) prepíšAtribút}. */
		public void nastavAtribút(int index, String meno, Object hodnota)
		{ prepíšAtribút(index, meno, hodnota); }

		/** <a class="alias"></a> Alias pre {@link #prepíšAtribút(int, String, Object) prepíšAtribút}. */
		public void nastavAtribut(int index, String meno, Object hodnota)
		{ prepíšAtribút(index, meno, hodnota); }


		/**
		 * Nastaví novú farbu výplne tvaru asociovanému so zadaným indexom.
		 * (Metóda nastavuje asociovanému tvaru atribúty {@code fill}
		 * a {@code fill-opacity}.)
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (táto
		 *   metóda používa na vloženie hodnoty atribútu metódu {@link
		 *   #prepíšAtribút(int, String, Object) prepíšAtribút}, takže pre
		 *   hodnotu indexu pri tejto metóde platí to isté ako pre hodnotu
		 *   indexu pri metóde {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param farba nová farba výplne; ak je zadaná hodnota
		 *   {@code valnull} tak sú atribúty {@code fill}
		 *   a {@code fill-opacity} tvaru odstránené, inak sú na prevod farby
		 *   do reťazcovej podoby použité metódy {@link #farbaNaReťazec(Color,
		 *   boolean) farbaNaReťazec(farba, ignorujAlfu)} (pre atribút
		 *   {@code fill} a {@link #alfaNaReťazec(Color) alfaNaReťazec(farba)}
		 *   (pre atribút {@code fill-opacity})
		 */
		public void farbaVýplne(int index, Color farba)
		{
			if (null == farba)
			{
				prepíšAtribút(index, "fill", null);
				prepíšAtribút(index, "fill-opacity", null);
			}
			else
			{
				prepíšAtribút(index, "fill", farbaNaReťazec(farba, true));
				if (255 == farba.getAlpha())
					prepíšAtribút(index, "fill-opacity", null);
				else
					prepíšAtribút(index, "fill-opacity",
						alfaNaReťazec(farba));
			}
		}

		/** <a class="alias"></a> Alias pre {@link #farbaVýplne(int, Color) farbaVýplne}. */
		public void farbaVyplne(int index, Color farba) { farbaVýplne(index, farba); }

		/**
		 * Nastaví novú farbu čiary tvaru asociovanému so zadaným indexom.
		 * (Metóda nastavuje asociovanému tvaru atribúty {@code stroke}
		 * a {@code stroke-opacity}.)
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (táto
		 *   metóda používa na vloženie hodnoty atribútu metódu {@link
		 *   #prepíšAtribút(int, String, Object) prepíšAtribút}, takže pre
		 *   hodnotu indexu pri tejto metóde platí to isté ako pre hodnotu
		 *   indexu pri metóde {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param farba nová farba čiary; ak je zadaná hodnota
		 *   {@code valnull} tak sú atribúty {@code stroke}
		 *   a {@code stroke-opacity} tvaru odstránené, inak sú na prevod farby
		 *   do reťazcovej podoby použité metódy {@link #farbaNaReťazec(Color,
		 *   boolean) farbaNaReťazec(farba, ignorujAlfu)} (pre atribút
		 *   {@code stroke} a {@link #alfaNaReťazec(Color) alfaNaReťazec(farba)}
		 *   (pre atribút {@code stroke-opacity})
		 */
		public void farbaČiary(int index, Color farba)
		{
			if (null == farba)
			{
				prepíšAtribút(index, "stroke", null);
				prepíšAtribút(index, "stroke-opacity", null);
			}
			else
			{
				prepíšAtribút(index, "stroke", farbaNaReťazec(farba, true));
				if (255 == farba.getAlpha())
					prepíšAtribút(index, "stroke-opacity", null);
				else
					prepíšAtribút(index, "stroke-opacity",
						alfaNaReťazec(farba));
			}
		}

		/** <a class="alias"></a> Alias pre {@link #farbaČiary(int, Color) farbaČiary}. */
		public void farbaCiary(int index, Color farba) { farbaČiary(index, farba); }

		/**
		 * Nastaví novú hrúbku čiary tvaru asociovanému so zadaným indexom.
		 * (Metóda nastavuje asociovanému tvaru atribút {@code stroke-width}.)
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (táto
		 *   metóda používa na vloženie hodnoty atribútu metódu {@link
		 *   #prepíšAtribút(int, String, Object) prepíšAtribút}, takže pre
		 *   hodnotu indexu pri tejto metóde platí to isté ako pre hodnotu
		 *   indexu pri metóde {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param hrúbka nová hrúbka čiary
		 */
		public void hrúbkaČiary(int index, double hrúbka)
		{
			if (!mapaJednotiek.isEmpty())
			{
				Double prevod = mapaJednotiek.get("px");
				Double posun = mapaPosunov.get("px");
				if (null == posun) posun = 0.0;

				if (null != prevod && 1.0 != prevod &&
					0.0 != prevod && Double.isFinite(prevod))
				{
					prepíšAtribút(index, "stroke-width",
						((hrúbka - posun) / prevod) + "px");
					return;
				}
				else if (0.0 != posun)
				{
					prepíšAtribút(index, "stroke-width",
						(hrúbka - posun) + "px");
					return;
				}
			}

			prepíšAtribút(index, "stroke-width", hrúbka + "px");
		}

		/** <a class="alias"></a> Alias pre {@link #hrúbkaČiary(int, double) hrúbkaČiary}. */
		public void hrubkaCiary(int index, double hrúbka) { hrúbkaČiary(index, hrúbka); }


		/**
		 * Vráti zoznam transformácií v poli objektov typu
		 * {@link Transformácia Transformácia}, ktoré sú priradené k indexom
		 * určenému tvaru prostredníctvom vnútorného atribútu ‚transform‘.
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (pre hodnotu
		 *     indexu platí to isté ako pre hodnotu indexu pri metóde {@link
		 *     #dajAtribút(int, String) dajAtribút}; aj keď táto metóda
		 *     uvedenú metódu vnútorne nepoužíva)
		 * @return pole údajov o transformáciách reprezentovaných objektmi
		 *     {@link Transformácia Transformácia} s dĺžkou rovnou počtu
		 *     transformácií, ktoré sa podarilo rozpoznať vo vnútornom
		 *     atribúte ‚transform‘ (pole môže mať aj nulovú dĺžku, ak by sa
		 *     nepodarilo rozpoznať ani jednu transformáciu) alebo {@code
		 *     valnull}, ak požadovaný tvar nejestvuje alebo ak tvar nemá
		 *     definovaný atribút ‚transform‘
		 */
		public Transformácia[] transformácie(int index)
		{
			if (index < 0) index = tvary.size() + index;
			if (index >= 0 && index < tvary.size())
			{
				Tvar tvar = tvary.get(index);
				if (null == tvar.transformácie)
				{
					String hodnota = tvar.atribúty.get("transform");
					if (null != hodnota)
						tvar.transformácie = reťazceNaTransformácie(hodnota);
				}
				return tvar.transformácie;
			}
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #transformácie(int) transformácie}. */
		public Transformacia[] transformacie(int index)
		{
			Transformácia[] transformácie = transformácie(index);
			if (null == transformácie) return null;
			int dĺžka = transformácie.length;
			Transformacia[] transformacie = new Transformacia[dĺžka];
			for (int i = 0; i < dĺžka; ++i)
				transformacie[i] = new Transformacia(transformácie[i]);
			return transformacie;
		}

		/**
		 * Nastaví alebo odstráni vnútorný atribút transformácií (‚transfrom‘)
		 * tvaru určeného indexom podľa hodnoty zadaného reťazca alebo série
		 * reťazcov.
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (táto
		 *   metóda používa na vloženie hodnoty atribútu metódu {@link
		 *   #prepíšAtribút(int, String, Object) prepíšAtribút}, takže pre
		 *   hodnotu indexu pri tejto metóde platí to isté ako pre hodnotu
		 *   indexu pri metóde {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param transformácia povinný reťazec určujúci novú transformáciu
		 *   alebo transformácie vkladané do atribútu ‚transform‘; ak je
		 *   zadaná typová hodnota {@code (}{@link String String}{@code
		 *   )}{@code valnull} a nie sú zadané nepovinné parametre {@code
		 *   transformácie}, tak sú transformácie tvaru odstránené
		 * @param transformácie nepovinné transformácie (do tohto parametra
		 *   môže byť zadaná aj typová hodnota {@code (}{@link String
		 *   String}{@code [])}{@code valnull} – výsledok potom závisí od
		 *   hodnoty povinného parametra {@code transformácia})
		 */
		public void transformácie(int index, String transformácia,
			String... transformácie)
		{
			if (null == transformácia && (null == transformácie ||
				0 == transformácie.length))
				prepíšAtribút(index, "transform", null);
			else
			{
				// Reťazcový zásobník na spájanie argumentov
				StringBuffer spojené = new StringBuffer();

				if (null != transformácia)
				{
					spojené.append(' ');
					spojené.append(transformácia.trim());
				}

				if (null != transformácie)
					for (String jedna : transformácie)
						if (null != jedna)
						{
							spojené.append(' ');
							spojené.append(jedna.trim());
						}

				if (0 == spojené.length())
					prepíšAtribút(index, "transform", "");
				else
					prepíšAtribút(index, "transform",
						spojené.substring(1));
			}
		}

		/** <a class="alias"></a> Alias pre {@link #transformácie(int, String, String[]) transformácie}. */
		public void transformacie(int index, String transformácia,
			String... transformácie)
		{ transformácie(index, transformácia, transformácie); }

		/**
		 * Nastaví alebo odstráni vnútorný atribút transformácií (‚transfrom‘)
		 * tvaru určeného indexom podľa hodnôt prvkov zadaného poľa reťazcov.
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (táto
		 *   metóda používa na vloženie hodnoty atribútu metódu {@link
		 *   #prepíšAtribút(int, String, Object) prepíšAtribút}, takže pre
		 *   hodnotu indexu pri tejto metóde platí to isté ako pre hodnotu
		 *   indexu pri metóde {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param transformácie pole reťazcov určujúcich novú hodnotu
		 *   atribútu transformácií; ak je zadaná typová hodnota {@code
		 *   (}{@link String String}{@code [])}{@code valnull}, tak sú
		 *   transformácie tvaru odstránené
		 */
		public void transformácie(int index, String[] transformácie)
		{
			if (null == transformácie)
				prepíšAtribút(index, "transform", null);
			else
			{
				// Reťazcový zásobník na spájanie argumentov
				StringBuffer spojené = new StringBuffer();

				for (String jedna : transformácie)
					if (null != jedna)
					{
						spojené.append(' ');
						spojené.append(jedna.trim());
					}

				if (0 == spojené.length())
					prepíšAtribút(index, "transform", "");
				else
					prepíšAtribút(index, "transform",
						spojené.substring(1));
			}
		}

		/** <a class="alias"></a> Alias pre {@link #transformácie(int, String[]) transformácie}. */
		public void transformacie(int index, String[] transformácie)
		{ transformácie(index, transformácie); }

		/**
		 * Nastaví alebo odstráni vnútorný atribút transformácií (‚transfrom‘)
		 * tvaru určeného indexom podľa zadaného objektu alebo série objektov
		 * afinných transformácií. Táto metóda používa vnútorne na prevod
		 * metódu {@link #transformáciuNaReťazec(AffineTransform)
		 * transformáciuNaReťazec}, takže platia aj informácie z opisu
		 * uvedenej metódy (najmä to o prevode do maticového tvaru –
		 * {@code matrix(…)}). (Na spôsob výstupu tejto metódy má vplyv aj
		 * hodnota príznaku {@link Transformácia#SVG2 Transformácia.SVG2}.)
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (táto
		 *   metóda používa na vloženie hodnoty atribútu metódu {@link
		 *   #prepíšAtribút(int, String, Object) prepíšAtribút}, takže pre
		 *   hodnotu indexu pri tejto metóde platí to isté ako pre hodnotu
		 *   indexu pri metóde {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param transformácia povinný objekt určujúci novú transformáciu
		 *   vkladanú do atribútu ‚transform‘; ak je zadaná typová hodnota
		 *   {@code (}{@link AffineTransform AffineTransform}{@code )}{@code
		 *   valnull} a nie sú zadané nepovinné parametre {@code
		 *   transformácie}, tak je atribút tvaru ‚transform‘ odstránený
		 * @param transformácie nepovinné transformácie (do tohto parametra
		 *   môže byť zadaná aj typová hodnota {@code (}{@link AffineTransform
		 *   AffineTransform}{@code [])}{@code valnull} – výsledok potom
		 *   závisí od hodnoty povinného parametra {@code transformácia})
		 */
		public void transformácie(int index, AffineTransform transformácia,
			AffineTransform... transformácie)
		{
			if (null == transformácia && (null == transformácie ||
				0 == transformácie.length))
				prepíšAtribút(index, "transform", null);
			else
			{
				// Reťazcový zásobník na spájanie prevedených argumentov
				StringBuffer spojené = new StringBuffer();

				if (null != transformácia)
				{
					spojené.append(' ');
					spojené.append(transformáciuNaReťazec(transformácia));
				}

				if (null != transformácie)
					for (AffineTransform jedna : transformácie)
						if (null != jedna)
						{
							spojené.append(' ');
							spojené.append(transformáciuNaReťazec(jedna));
						}

				if (0 == spojené.length())
					prepíšAtribút(index, "transform", "");
				else
					prepíšAtribút(index, "transform",
						spojené.substring(1));
			}
		}

		/** <a class="alias"></a> Alias pre {@link #transformácie(int, AffineTransform, AffineTransform[]) transformácie}. */
		public void transformacie(int index, AffineTransform transformácia,
			AffineTransform... transformácie)
		{ transformácie(index, transformácia, transformácie); }

		/**
		 * Nastaví alebo odstráni vnútorný atribút transformácií (‚transfrom‘)
		 * tvaru určeného indexom podľa hodnôt prvkov zadaného poľa objektov
		 * afinných transformácií. Táto metóda používa vnútorne na prevod
		 * metódu {@link #transformáciuNaReťazec(AffineTransform)
		 * transformáciuNaReťazec}, takže platia aj informácie z opisu
		 * uvedenej metódy (najmä to o prevode do maticového tvaru –
		 * {@code matrix(…)}). (Na spôsob výstupu tejto metódy má vplyv aj
		 * hodnota príznaku {@link Transformácia#SVG2 Transformácia.SVG2}.)
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (táto
		 *   metóda používa na vloženie hodnoty atribútu metódu {@link
		 *   #prepíšAtribút(int, String, Object) prepíšAtribút}, takže pre
		 *   hodnotu indexu pri tejto metóde platí to isté ako pre hodnotu
		 *   indexu pri metóde {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param transformácie pole objektov transformácií určujúcich
		 *   novú hodnotu atribútu transformácií; ak je zadaná typová
		 *   hodnota {@code (}{@link AffineTransform
		 *   AffineTransform}{@code [])}{@code valnull}, tak je atribút
		 *   tvaru ‚transform‘ odstránený
		 */
		public void transformácie(int index, AffineTransform[] transformácie)
		{
			if (null == transformácie)
				prepíšAtribút(index, "transform", null);
			else
			{
				// Reťazcový zásobník na spájanie prevedených argumentov
				StringBuffer spojené = new StringBuffer();

				for (AffineTransform jedna : transformácie)
					if (null != jedna)
					{
						spojené.append(' ');
						spojené.append(transformáciuNaReťazec(jedna));
					}

				if (0 == spojené.length())
					prepíšAtribút(index, "transform", "");
				else
					prepíšAtribút(index, "transform",
						spojené.substring(1));
			}
		}

		/** <a class="alias"></a> Alias pre {@link #transformácie(int, AffineTransform[]) transformácie}. */
		public void transformacie(int index, AffineTransform[] transformácie)
		{ transformácie(index, transformácie); }

		/**
		 * Nastaví alebo odstráni vnútorný atribút transformácií (‚transfrom‘)
		 * tvaru určeného indexom podľa zadaného objektu alebo série objektov
		 * afinných transformácií. Táto metóda používa vnútorne na prevod
		 * metódu {@link #transformáciuNaReťazec(Transformácia)
		 * transformáciuNaReťazec}, takže platia aj prípadné relevantné
		 * informácie z opisu uvedenej metódy. (Na spôsob výstupu tejto
		 * metódy má vplyv aj hodnota príznaku {@link Transformácia#SVG2
		 * Transformácia.SVG2}.)
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (táto
		 *   metóda používa na vloženie hodnoty atribútu metódu {@link
		 *   #prepíšAtribút(int, String, Object) prepíšAtribút}, takže pre
		 *   hodnotu indexu pri tejto metóde platí to isté ako pre hodnotu
		 *   indexu pri metóde {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param transformácia povinný objekt určujúci novú transformáciu
		 *   vkladanú do atribútu ‚transform‘; ak je zadaná typová hodnota
		 *   {@code (}{@link Transformácia Transformácia}{@code )}{@code
		 *   valnull} a nie sú zadané nepovinné parametre {@code
		 *   transformácie}, tak je atribút tvaru ‚transform‘ odstránený
		 * @param transformácie nepovinné transformácie (do tohto parametra
		 *   môže byť zadaná aj typová hodnota {@code (}{@link Transformácia
		 *   Transformácia}{@code [])}{@code valnull} – výsledok potom
		 *   závisí od hodnoty povinného parametra {@code transformácia})
		 */
		public void transformácie(int index, Transformácia transformácia,
			Transformácia... transformácie)
		{
			if (null == transformácia && (null == transformácie ||
				0 == transformácie.length))
				prepíšAtribút(index, "transform", null);
			else
			{
				// Reťazcový zásobník na spájanie prevedených argumentov
				StringBuffer spojené = new StringBuffer();

				if (null != transformácia)
				{
					spojené.append(' ');
					spojené.append(transformácia.toString());
				}

				if (null != transformácie)
					for (Transformácia jedna : transformácie)
						if (null != jedna)
						{
							spojené.append(' ');
							spojené.append(jedna.toString());
						}

				if (0 == spojené.length())
					prepíšAtribút(index, "transform", "");
				else
					prepíšAtribút(index, "transform",
						spojené.substring(1));
			}
		}

		/** <a class="alias"></a> Alias pre {@link #transformácie(int, Transformácia, Transformácia[]) transformácie}. */
		public void transformacie(int index, Transformácia transformácia,
			Transformácia... transformácie)
		{ transformácie(index, transformácia, transformácie); }

		/**
		 * Nastaví alebo odstráni vnútorný atribút transformácií (‚transfrom‘)
		 * tvaru určeného indexom podľa hodnôt prvkov zadaného poľa objektov
		 * afinných transformácií. Táto metóda používa vnútorne na prevod
		 * metódu {@link #transformáciuNaReťazec(Transformácia)
		 * transformáciuNaReťazec}, takže platia aj prípadné relevantné
		 * informácie z opisu uvedenej metódy. (Na spôsob výstupu tejto
		 * metódy má vplyv aj hodnota príznaku {@link Transformácia#SVG2
		 * Transformácia.SVG2}.)
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (táto
		 *   metóda používa na vloženie hodnoty atribútu metódu {@link
		 *   #prepíšAtribút(int, String, Object) prepíšAtribút}, takže pre
		 *   hodnotu indexu pri tejto metóde platí to isté ako pre hodnotu
		 *   indexu pri metóde {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param transformácie pole objektov transformácií určujúcich novú
		 *   hodnotu atribútu transformácií; ak je zadaná typová hodnota
		 *   {@code (}{@link Transformácia Transformácia}{@code [])}{@code
		 *   valnull}, tak je atribút tvaru ‚transform‘ odstránený
		 */
		public void transformácie(int index, Transformácia[] transformácie)
		{
			if (null == transformácie)
				prepíšAtribút(index, "transform", null);
			else
			{
				// Reťazcový zásobník na spájanie prevedených argumentov
				StringBuffer spojené = new StringBuffer();

				for (Transformácia jedna : transformácie)
					if (null != jedna)
					{
						spojené.append(' ');
						spojené.append(jedna.toString());
					}

				if (0 == spojené.length())
					prepíšAtribút(index, "transform", "");
				else
					prepíšAtribút(index, "transform",
						spojené.substring(1));
			}
		}

		/** <a class="alias"></a> Alias pre {@link #transformácie(int, Transformácia[]) transformácie}. */
		public void transformacie(int index, Transformácia[] transformácie)
		{ transformácie(index, transformácie); }


		/**
		 * Pridá k vnútornému atribútu transformácií (‚transfrom‘)
		 * tvaru určeného indexom transformácie podľa zadaného reťazca
		 * alebo série reťazcov.
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (pre
		 *   hodnotu indexu platí to isté, čo pri iných metódach tejto triedy,
		 *   napríklad {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param transformácia povinný reťazec určujúci transformáciu
		 *   alebo transformácie pridávané do atribútu ‚transform‘
		 * @param transformácie ďalšie (nepovinné) transformácie na pridanie
		 */
		public void pridajTransformácie(int index, String transformácia,
			String... transformácie)
		{
			if (null != transformácia || (null != transformácie &&
				0 != transformácie.length))
			{
				// Reťazcový zásobník na spájanie argumentov
				StringBuffer spojené = new StringBuffer();

				if (null != transformácia)
				{
					spojené.append(' ');
					spojené.append(transformácia.trim());
				}

				if (null != transformácie)
					for (String jedna : transformácie)
						if (null != jedna)
						{
							spojené.append(' ');
							spojené.append(jedna.trim());
						}

				if (0 != spojené.length())
				{
					String jestvujúce = dajAtribút(index, "transform");
					if (null == jestvujúce || jestvujúce.isEmpty())
						prepíšAtribút(index, "transform",
							spojené.substring(1));
					else
						prepíšAtribút(index, "transform",
							jestvujúce + spojené);
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajTransformácie(int, String, String[]) pridajTransformácie}. */
		public void pridajTransformacie(int index, String transformácia,
			String... transformácie)
		{ pridajTransformácie(index, transformácia, transformácie); }

		/**
		 * Pridá k vnútornému atribútu transformácií (‚transfrom‘)
		 * tvaru určeného indexom transformácie podľa hodnôt prvkov
		 * zadaného poľa reťazcov.
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (pre
		 *   hodnotu indexu platí to isté, čo pri iných metódach tejto triedy,
		 *   napríklad {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param transformácie pole reťazcov s transformáciami na pridanie
		 */
		public void pridajTransformácie(int index, String[] transformácie)
		{
			if (null != transformácie)
			{
				// Reťazcový zásobník na spájanie argumentov
				StringBuffer spojené = new StringBuffer();

				for (String jedna : transformácie)
					if (null != jedna)
					{
						spojené.append(' ');
						spojené.append(jedna.trim());
					}

				if (0 != spojené.length())
				{
					String jestvujúce = dajAtribút(index, "transform");
					if (null == jestvujúce || jestvujúce.isEmpty())
						prepíšAtribút(index, "transform",
							spojené.substring(1));
					else
						prepíšAtribút(index, "transform",
							jestvujúce + spojené);
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajTransformácie(int, String[]) pridajTransformácie}. */
		public void pridajTransformacie(int index, String[] transformácie)
		{ pridajTransformácie(index, transformácie); }

		/**
		 * Pridá k vnútornému atribútu transformácií (‚transfrom‘)
		 * tvaru určeného indexom transformácie podľa zadaného objektu
		 * alebo série objektov afinných transformácií. Táto metóda používa
		 * vnútorne na prevod metódu
		 * {@link #transformáciuNaReťazec(AffineTransform)
		 * transformáciuNaReťazec}, takže platia aj informácie z opisu
		 * uvedenej metódy (najmä to o prevode do maticového tvaru –
		 * {@code matrix(…)}). (Na spôsob výstupu tejto metódy má vplyv aj
		 * hodnota príznaku {@link Transformácia#SVG2 Transformácia.SVG2}.)
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (pre
		 *   hodnotu indexu platí to isté, čo pri iných metódach tejto triedy,
		 *   napríklad {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param transformácia povinný objekt určujúci transformáciu
		 *   pridávanú do atribútu ‚transform‘
		 * @param transformácie ďalšie (nepovinné) transformácie na pridanie
		 */
		public void pridajTransformácie(int index,
			AffineTransform transformácia, AffineTransform... transformácie)
		{
			if (null != transformácia || (null != transformácie &&
				0 != transformácie.length))
			{
				// Reťazcový zásobník na spájanie prevedených argumentov
				StringBuffer spojené = new StringBuffer();

				if (null != transformácia)
				{
					spojené.append(' ');
					spojené.append(transformáciuNaReťazec(transformácia));
				}

				if (null != transformácie)
					for (AffineTransform jedna : transformácie)
						if (null != jedna)
						{
							spojené.append(' ');
							spojené.append(transformáciuNaReťazec(jedna));
						}

				if (0 != spojené.length())
				{
					String jestvujúce = dajAtribút(index, "transform");
					if (null == jestvujúce || jestvujúce.isEmpty())
						prepíšAtribút(index, "transform",
							spojené.substring(1));
					else
						prepíšAtribút(index, "transform",
							jestvujúce + spojené);
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajTransformácie(int, AffineTransform, AffineTransform[]) pridajTransformácie}. */
		public void pridajTransformacie(int index,
			AffineTransform transformácia, AffineTransform... transformácie)
		{ pridajTransformácie(index, transformácia, transformácie); }

		/**
		 * Pridá k vnútornému atribútu transformácií (‚transfrom‘)
		 * tvaru určeného indexom transformácie podľa hodnôt prvkov
		 * zadaného poľa objektov afinných transformácií. Táto metóda
		 * používa vnútorne na prevod metódu
		 * {@link #transformáciuNaReťazec(AffineTransform)
		 * transformáciuNaReťazec}, takže platia aj informácie z opisu
		 * uvedenej metódy (najmä to o prevode do maticového tvaru –
		 * {@code matrix(…)}). (Na spôsob výstupu tejto metódy má vplyv aj
		 * hodnota príznaku {@link Transformácia#SVG2 Transformácia.SVG2}.)
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (pre
		 *   hodnotu indexu platí to isté, čo pri iných metódach tejto triedy,
		 *   napríklad {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param transformácie pole s afinnými transformáciami na pridanie
		 */
		public void pridajTransformácie(int index,
			AffineTransform[] transformácie)
		{
			if (null != transformácie)
			{
				// Reťazcový zásobník na spájanie prevedených argumentov
				StringBuffer spojené = new StringBuffer();

				for (AffineTransform jedna : transformácie)
					if (null != jedna)
					{
						spojené.append(' ');
						spojené.append(transformáciuNaReťazec(jedna));
					}

				if (0 != spojené.length())
				{
					String jestvujúce = dajAtribút(index, "transform");
					if (null == jestvujúce || jestvujúce.isEmpty())
						prepíšAtribút(index, "transform",
							spojené.substring(1));
					else
						prepíšAtribút(index, "transform",
							jestvujúce + spojené);
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajTransformácie(int, AffineTransform[]) pridajTransformácie}. */
		public void pridajTransformacie(int index,
			AffineTransform[] transformácie)
		{ pridajTransformácie(index, transformácie); }

		/**
		 * Pridá k vnútornému atribútu transformácií (‚transfrom‘)
		 * tvaru určeného indexom transformácie podľa zadaného objektu
		 * alebo série objektov afinných transformácií. Táto metóda
		 * používa vnútorne na prevod metódu
		 * {@link #transformáciuNaReťazec(Transformácia)
		 * transformáciuNaReťazec}, takže platia aj prípadné relevantné
		 * informácie z opisu uvedenej metódy. (Na spôsob výstupu tejto
		 * metódy má vplyv aj hodnota príznaku {@link Transformácia#SVG2
		 * Transformácia.SVG2}.)
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (pre
		 *   hodnotu indexu platí to isté, čo pri iných metódach tejto triedy,
		 *   napríklad {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param transformácia povinný objekt určujúci transformáciu
		 *   pridávanú do atribútu ‚transform‘
		 * @param transformácie ďalšie (nepovinné) transformácie na pridanie
		 */
		public void pridajTransformácie(int index,
			Transformácia transformácia, Transformácia... transformácie)
		{
			if (null != transformácia || (null != transformácie &&
				0 != transformácie.length))
			{
				// Reťazcový zásobník na spájanie prevedených argumentov
				StringBuffer spojené = new StringBuffer();

				if (null != transformácia)
				{
					spojené.append(' ');
					spojené.append(transformácia.toString());
				}

				if (null != transformácie)
					for (Transformácia jedna : transformácie)
						if (null != jedna)
						{
							spojené.append(' ');
							spojené.append(jedna.toString());
						}

				if (0 != spojené.length())
				{
					String jestvujúce = dajAtribút(index, "transform");
					if (null == jestvujúce || jestvujúce.isEmpty())
						prepíšAtribút(index, "transform",
							spojené.substring(1));
					else
						prepíšAtribút(index, "transform",
							jestvujúce + spojené);
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajTransformácie(int, Transformácia, Transformácia[]) pridajTransformácie}. */
		public void pridajTransformacie(int index, Transformácia transformácia,
			Transformácia... transformácie)
		{ pridajTransformácie(index, transformácia, transformácie); }

		/**
		 * Pridá k vnútornému atribútu transformácií (‚transfrom‘)
		 * tvaru určeného indexom transformácie podľa hodnôt prvkov
		 * zadaného poľa objektov afinných transformácií. Táto metóda
		 * používa vnútorne na prevod metódu
		 * {@link #transformáciuNaReťazec(Transformácia)
		 * transformáciuNaReťazec}, takže platia aj prípadné relevantné
		 * informácie z opisu uvedenej metódy. (Na spôsob výstupu tejto
		 * metódy má vplyv aj hodnota príznaku {@link Transformácia#SVG2
		 * Transformácia.SVG2}.)
		 * 
		 * @param index index tvaru v rámci vnútorného zásobníka (pre
		 *   hodnotu indexu platí to isté, čo pri iných metódach tejto triedy,
		 *   napríklad {@link #prepíšAtribút(int, String, Object)
		 *   prepíšAtribút})
		 * @param transformácie pole objektov transformácií na pridanie
		 */
		public void pridajTransformácie(int index,
			Transformácia[] transformácie)
		{
			if (null != transformácie)
			{
				// Reťazcový zásobník na spájanie prevedených argumentov
				StringBuffer spojené = new StringBuffer();

				for (Transformácia jedna : transformácie)
					if (null != jedna)
					{
						spojené.append(' ');
						spojené.append(jedna.toString());
					}

				if (0 != spojené.length())
				{
					String jestvujúce = dajAtribút(index, "transform");
					if (null == jestvujúce || jestvujúce.isEmpty())
						prepíšAtribút(index, "transform",
							spojené.substring(1));
					else
						prepíšAtribút(index, "transform",
							jestvujúce + spojené);
				}
			}
		}

		/** <a class="alias"></a> Alias pre {@link #pridajTransformácie(int, Transformácia[]) pridajTransformácie}. */
		public void pridajTransformacie(int index,
			Transformácia[] transformácie)
		{ pridajTransformácie(index, transformácie); }


		/**
		 * Poskytne zoznam atribútov, ktoré sú asociované s tvarom so zadaným
		 * indexom. Ak je zadaný index záporný, metóda bude vytvárať zoznam
		 * atribútov pre tvar od konca zásobníka, to znamená, že index
		 * {@code num-1} označuje posledný tvar vložený do vnútorného
		 * zásobníka. Ak požadovaný tvar nejestvuje, tak metóda namiesto
		 * zoznamu vráti hodnotu {@code valnull}.
		 * 
		 * @param index index vyšetrovaného tvaru z vnútorného zásobníka
		 * @return pole reťazcov s názvami atribútov asociovaných
		 *   s vyšetrovaným tvarom alebo {@code valnull}
		 */
		public String[] zoznamAtribútov(int index)
		{
			if (index < 0) index = tvary.size() + index;
			if (index >= 0 && index < tvary.size())
			{
				Tvar tvar = tvary.get(index);
				Set<String> kľúče = tvar.atribúty.keySet();
				String zoznam[] = new String[kľúče.size()];
				int i = 0; for (String atribút : kľúče) zoznam[i++] = atribút;
				return zoznam;
			}
			return null;
		}

		/** <a class="alias"></a> Alias pre {@link #zoznamAtribútov(int) zoznamAtribútov}. */
		public String[] zoznamAtributov(int index) { return zoznamAtribútov(index); }

		/**
		 * Vloží do vnútorného zásobníka tejto inštancie ďalší tvar
		 * s prípadnou sériou atribútov. Trieda pri {@linkplain
		 * #zapíš(String, String, boolean) ukladaní tvarov do súboru}
		 * nájde vhodnú reprezentáciu zadaného tvaru vo forme XML/SVG značky
		 * (pozri aj metódu {@link #dajSVG(int) dajSVG(index)}), ku ktorej
		 * priradí sériu zadaných atribútov. (Atribúty bez mena alebo
		 * s hodnotou {@code valnull} sú ignorované.)
		 * 
		 * <P><b>Pozor!</b> Atribúty, ktoré sú kľúčové pri vyjadrení
		 * konkrétneho tvaru (napr. {@code cx}, {@code cy}, {@code r} pri
		 * kružnici, {@code points} pri polygóne, {@code d} pri ceste
		 * a podobne) sú počas prevodu do XML/SVG tvaru nahradené konkrétnymi
		 * hodnotami. Preto ich nastavenie touto metódou nemá zmysel.
		 * 
		 * @param tvar inštancia tvaru na uloženie
		 * @param atribúty séria dvojíc reťazcov určujúca doplňujúce atribúty
		 *   tvaru
		 */
		public void pridaj(Shape tvar, String... atribúty)
		{
			int dĺžka = atribúty.length - 1;
			Atribúty zoznam = new Atribúty();
			for (int i = 0; i < dĺžka; i += 2)
				if (null != atribúty[i] && !atribúty[i].isEmpty() &&
					null != atribúty[i + 1])
					zoznam.put(atribúty[i], atribúty[i + 1]);

			Tvar záznam = new Tvar(tvar, zoznam);
			tvary.add(záznam);
		}


		// Hodnoty atribútov nesmú obsahovať rezervované znaky
		private static String upravHodnotuAtribútu(String hodnota)
		{
			hodnota = hodnota.replaceAll("&", "&amp;");
			hodnota = hodnota.replaceAll("<", "&lt;");
			hodnota = hodnota.replaceAll(">", "&gt;");
			hodnota = hodnota.replaceAll("\"", "&quot;");
			return hodnota;
		}

		// Prevedie tvar (inštanciu vnútornej triedy Tvar, ktorá obsahuje
			// inštanciu Javy Shape a množinu doplnkových XML atribútov) na
			// reťazec vo formáte XML/SVG:
			//   RoundRectangle2D.
			//   Rectangle2D:
			//    – treba zabezpečiť vymazanie rx, ry.
			//   Ellipse2D:
			//    – ak je rx a ry rovnaké, tak je to kružnica
			//      (tiež treba zabezpečiť vymazanie rx, ry),
			//    – inak je to elipsa.
			//   Line2D.
			//   Path2D:
			//    – ak pozostáva z počiatočného príkazu moveTo a ďalej len
			//      z príkazov lineTo, tak ide o lomenú čiaru (polyline);
			//    – ak «to isté» a je uzavretá, tak ide o polygón (polygon);
			//    – inak je to klasická cesta.
		private static String dajSVG(Tvar tvar)
		{
			// Pomocné pole na čítanie iterátora
			double[] body = new double[6];

			// Pomocný reťazcový zásobník
			StringBuffer xmlSVG = new StringBuffer();

			// Pomocné reťazcové zásobníky
			Shape tvar2 = tvar.tvar;

			if (tvar2 instanceof RoundRectangle2D)
			{
				RoundRectangle2D tvar3 = (RoundRectangle2D)tvar2;

				tvar.atribúty.put("x", "" + tvar3.getX());
				tvar.atribúty.put("y", "" + tvar3.getY());
				tvar.atribúty.put("width", "" + tvar3.getWidth());
				tvar.atribúty.put("height", "" + tvar3.getHeight());
				tvar.atribúty.put("rx", "" + (tvar3.getArcWidth() / 2.0));
				tvar.atribúty.put("ry", "" + (tvar3.getArcHeight() / 2.0));

				xmlSVG.append("<rect ");
			}
			else if (tvar2 instanceof Rectangle2D)
			{
				Rectangle2D tvar3 = (Rectangle2D)tvar2;

				tvar.atribúty.put("x", "" + tvar3.getX());
				tvar.atribúty.put("y", "" + tvar3.getY());
				tvar.atribúty.put("width", "" + tvar3.getWidth());
				tvar.atribúty.put("height", "" + tvar3.getHeight());
				tvar.atribúty.remove("rx");
				tvar.atribúty.remove("ry");

				xmlSVG.append("<rect ");
			}
			else if (tvar2 instanceof Ellipse2D)
			{
				Ellipse2D tvar3 = (Ellipse2D)tvar2;

				if (tvar3.getWidth() == tvar3.getHeight())
				{
					tvar.atribúty.put("cx", "" + tvar3.getCenterX());
					tvar.atribúty.put("cy", "" + tvar3.getCenterY());
					tvar.atribúty.put("r", "" + ((tvar3.getWidth() +
						tvar3.getHeight()) / 4));
					tvar.atribúty.remove("rx");
					tvar.atribúty.remove("ry");

					xmlSVG.append("<circle ");
				}
				else
				{
					tvar.atribúty.put("cx", "" + tvar3.getCenterX());
					tvar.atribúty.put("cy", "" + tvar3.getCenterY());
					tvar.atribúty.put("rx", "" + tvar3.getWidth());
					tvar.atribúty.put("ry", "" + tvar3.getHeight());

					xmlSVG.append("<ellipse ");
				}
			}
			else if (tvar2 instanceof Line2D)
			{
				Line2D tvar3 = (Line2D)tvar2;

				tvar.atribúty.put("x1", "" + tvar3.getX1());
				tvar.atribúty.put("y1", "" + tvar3.getY1());
				tvar.atribúty.put("x2", "" + tvar3.getX2());
				tvar.atribúty.put("y2", "" + tvar3.getY2());

				xmlSVG.append("<line ");
			}
			else
			{
				boolean jePolygón = true, zavretý = false; int režim = 0;
				PathIterator iterátor = tvar2.getPathIterator(null);
				while (!iterátor.isDone() && jePolygón)
				{
					int typ = iterátor.currentSegment(body);

					switch (typ)
					{
						case PathIterator.SEG_MOVETO: // 1 bod
							if (0 == režim) režim = 1;
							else jePolygón = false;
							break;

						case PathIterator.SEG_LINETO: // 1 bod
							if (1 != režim) jePolygón = false;
							break;

						case PathIterator.SEG_QUADTO: // 2 body
							jePolygón = false;
							break;

						case PathIterator.SEG_CUBICTO: // 3 body
							jePolygón = false;
							break;

						case PathIterator.SEG_CLOSE: // —
							if (1 == režim) režim = 2;
							else jePolygón = false;
							zavretý = true;
							break;
					}

					iterátor.next();
				}

				iterátor = tvar2.getPathIterator(null);

				// Pomocný reťazcový zásobník
				StringBuffer atribút = new StringBuffer();

				if (jePolygón)
				{
					boolean prvý = true;
					// atribút.setLength(0); // netreba

					while (!iterátor.isDone())
					{
						int typ = iterátor.currentSegment(body);

						switch (typ)
						{
							case PathIterator.SEG_MOVETO:
							case PathIterator.SEG_LINETO:
								if (prvý) prvý = false;
								else atribút.append("  ");
								atribút.append(body[0]);
								atribút.append(", ");
								atribút.append(body[1]);
						}

						iterátor.next();
					}

					tvar.atribúty.put("points", atribút.toString());
					xmlSVG.append("<");
					xmlSVG.append(zavretý ? "polygon" : "polyline");
					xmlSVG.append(" ");
				}
				else
				{
					boolean prvý = true;
					// atribút.setLength(0); // netreba

					while (!iterátor.isDone())
					{
						if (prvý) prvý = false;
						else atribút.append("\r\n    ");

						int typ = iterátor.currentSegment(body);

						switch (typ)
						{
							case PathIterator.SEG_MOVETO: // 1 bod
								atribút.append("M ");
								atribút.append(body[0]);
								atribút.append(", ");
								atribút.append(body[1]);
								break;

							case PathIterator.SEG_LINETO: // 1 bod
								atribút.append("L ");
								atribút.append(body[0]);
								atribút.append(", ");
								atribút.append(body[1]);
								break;

							case PathIterator.SEG_QUADTO: // 2 body
								atribút.append("Q ");
								atribút.append(body[0]);
								atribút.append(", ");
								atribút.append(body[1]);
								atribút.append("  ");
								atribút.append(body[2]);
								atribút.append(", ");
								atribút.append(body[3]);
								break;

							case PathIterator.SEG_CUBICTO: // 3 body
								atribút.append("C ");
								atribút.append(body[0]);
								atribút.append(", ");
								atribút.append(body[1]);
								atribút.append("  ");
								atribút.append(body[2]);
								atribút.append(", ");
								atribút.append(body[3]);
								atribút.append("  ");
								atribút.append(body[4]);
								atribút.append(", ");
								atribút.append(body[5]);
								break;

							case PathIterator.SEG_CLOSE: // —
								atribút.append("Z");
								break;
						}

						iterátor.next();
					}

					tvar.atribúty.put("d", atribút.toString());
					xmlSVG.append("<path ");
				}
			}

			for (Map.Entry<String, String> záznam :
				tvar.atribúty.entrySet())
			{
				xmlSVG.append(záznam.getKey());
				xmlSVG.append("=\"");
				xmlSVG.append(upravHodnotuAtribútu(záznam.getValue()));
				xmlSVG.append("\" ");
			}

			xmlSVG.append("/>");
			return xmlSVG.toString();
		}

		/**
		 * Táto metóda slúži na export tvarov uložených vo vnútornom
		 * zásobníku tejto inštancie do formátu SVG. Podľa zadanej prípony
		 * súboru (povolené sú len tieto: {@code .htm}, {@code .html}
		 * a {@code .svg}) bude na export použitá šablóna HTML (pozri aj
		 * {@link #htmlŠablóna() htmlŠablóna}) alebo SVG (pozri aj {@link
		 * #svgŠablóna() svgŠablóna}). Pre každý tvar, ktorý bol {@linkplain
		 * #pridaj(Shape, String[]) vložený do vnútorného zásobníka tejto
		 * inštancie} bude nájdená vhodná reprezentácia v rámci štandardu SVG
		 * (pozri aj metódu {@linkplain #dajSVG(int) dajSVG(index)}).
		 * 
		 * <P>Exportované tvary sú prepočítané tak, aby mohli byť spracúvané
		 * v predvolenom súradnicovom priestore Javy, v ktorom sa „nula“ (to
		 * jest počiatok súradnicovej sústavy) nachádza v ľavom hornom rohu
		 * plátna a y-ová súradnica stúpa smerom nadol. Tento súradnicový
		 * priestor je bežne používaný v oblasti počítačovej grafiky
		 * a používa ho aj formát SVG. (V skutočnosti táto konverzia prebieha
		 * už počas vytvárania {@linkplain Shape tvarov Javy}.)
		 * 
		 * <P>(<small><b>Poznámka:</b> Pri exporte nie sú využité vlastnosti
		 * SVG 2.0, najmä takzvaný „bearing“ – aktuálne pootočenie, ktorý má
		 * v budúcnosti slúžiť na implementáciu korytnačej grafiky
		 * v rámci štandardu SVG. Dôvodom nepoužitia novšej verzie štandardu
		 * je to, že súčasný softvér tento štandard nie je schopný spracovať.
		 * To znamená, že takto exportované údaje by neboli v praxi
		 * použiteľné.)</small>
		 * 
		 * @param meno názov súboru (s príponou {@code .htm}, {@code .html}
		 *   alebo {@code .svg}), do ktorého majú byť zapísané tvary vo
		 *   formáte SVG
		 * @param titulok titulok súboru; ak je zadaná hodnota {@code valnull},
		 *   tak sa použije predvolený tvar titulku: {@code SVG tvary
		 * generované knižnicou GRobot }<i>«verzia»</i>{@code , © }<i>«roky
		 *   vývoja»</i>{@code , }<i>«hlavný vývojár»</i>
		 * @param prepísať príznak prepísania jestvujúceho súboru; ak je
		 *   zadaná hodnota {@code valtrue}, tak v prípade, že cieľový súbor
		 *   jestvuje, je prepísaný; ak je zadaná hodnota {@code valfalse},
		 *   tak v prípade, že cieľový súbor jestvuje, vráti metóda hodnotu
		 *   {@code num-1}
		 * @return počet zapísaných (exportovaných) tvarov alebo {@code num-1}
		 *   ak bol pokus o zápis neúspešný
		 * @throws GRobotException ak nastane chyba počas zápisu súboru
		 */
		public int zapíš(String meno, String titulok, boolean prepísať)
		{
			if (null == meno)
				throw new GRobotException(
					"Názov súboru nesmie byť zamlčaný.",
					"fileNameOmitted", null, new NullPointerException());

			String malé = meno.toLowerCase();
			String[] šablóna;

			if (malé.endsWith(".svg")) šablóna = svgŠablóna;
			else if (malé.endsWith(".htm") || malé.endsWith(".html"))
				šablóna = htmlŠablóna; else return -1;

			File súborCieľa = new File(meno);

			if (!prepísať && súborCieľa.exists()) return -1;

			if (súborCieľa.exists() && !súborCieľa.isFile())
				throw new GRobotException(
					"Cieľový súbor „" + meno + "“ nie je súbor.",
					"targetObjectNotFile", meno);

			súborCieľa = null;

			if (null == titulok) titulok =
				"SVG tvary generované knižnicou " + GRobot.versionString;

			BufferedWriter zápis = null;

			// Otvorenie súboru na zápis (prepísanie prípadného jestvujúceho)
			try
			{
				zápis = new BufferedWriter(new OutputStreamWriter(
					new FileOutputStream(meno), "UTF-8"));
			}
			catch (Exception e)
			{
				throw new GRobotException(
					"Chyba pri zápise SVG súboru „" +
					meno + "“.", "svgWriteError", e);
			}


			int početZapísaných = 0;

			// Pomocný reťazcový zásobník
			StringBuffer $TVARY = new StringBuffer();

			// Vyjadrenie inštancií triedy Tvar vo formáte SVG…
			for (Tvar tvar : tvary)
			{
				$TVARY.append("  ");
				$TVARY.append(dajSVG(tvar));
				$TVARY.append("\r\n");
				++početZapísaných;
			}

			// Zápis šablóny do súboru
			try
			{
				for (String riadok : šablóna)
				{
					if (-1 != riadok.indexOf("$TITULOK"))
						riadok = riadok.replace("$TITULOK", titulok);

					if (-1 != riadok.indexOf("$TITLE"))
						riadok = riadok.replace("$TITLE", titulok);

					if (-1 != riadok.indexOf("$KÓDOVANIE"))
						riadok = riadok.replace("$KÓDOVANIE", "UTF-8");

					if (-1 != riadok.indexOf("$KODOVANIE"))
						riadok = riadok.replace("$KODOVANIE", "UTF-8");

					if (-1 != riadok.indexOf("$ENCODING"))
						riadok = riadok.replace("$ENCODING", "UTF-8");

					if (-1 != riadok.indexOf("$ŠÍRKA"))
						riadok = riadok.replace("$ŠÍRKA", "" + Svet.šírka());

					if (-1 != riadok.indexOf("$WIDTH"))
						riadok = riadok.replace("$WIDTH", "" + Svet.šírka());

					if (-1 != riadok.indexOf("$VÝŠKA"))
						riadok = riadok.replace("$VÝŠKA", "" + Svet.výška());

					if (-1 != riadok.indexOf("$HEIGHT"))
						riadok = riadok.replace("$HEIGHT", "" + Svet.výška());

					if (-1 != riadok.indexOf("$TVARY"))
						riadok = riadok.replace("$TVARY", $TVARY);

					if (-1 != riadok.indexOf("$SHAPES"))
						riadok = riadok.replace("$SHAPES", $TVARY);

					zápis.write(riadok + "\r\n");
				}
			}
			catch (Exception e)
			{
				throw new GRobotException(
					"Chyba pri zápise SVG súboru „" +
					meno + "“.", "svgWriteError", e);
			}

			// Bezpečné zavretie súboru
			try
			{
				zápis.close();
				zápis = null;
			}
			catch (Exception e)
			{
				throw new GRobotException(
					"Chyba pri zápise SVG súboru „" +
					meno + "“.", "svgWriteError", e);
			}

			return početZapísaných;
		}

		/** <a class="alias"></a> Alias pre {@link #zapíš(String, String, boolean) zapíš}. */
		public int zapis(String meno, String titulok, boolean prepísať)
		{ return zapíš(meno, titulok, prepísať); }

		/**
		 * Metóda exportuje tvary uložené vo vnútornom zásobníku tejto
		 * inštancie do formátu SVG.
		 * 
		 * <P>Ďalšie podrobnosti si prečítajte v opise metódy
		 * {@link #zapíš(String, String, boolean)
		 * zapíš(meno, titulok, prepísať)}.
		 * 
		 * <P>Táto metóda sa správa tak, ako keby bola uvedená metóda volaná
		 * s nasledujúcimi hondotami argumentov: {@link #zapíš(String,
		 * String, boolean) zapíš}{@code (meno, titulok, }{@code
		 * valfalse}{@code )}.
		 * 
		 * @param meno názov súboru, do ktorého majú byť zapísané tvary vo
		 *   formáte SVG
		 * @param titulok titulok súboru (alebo {@code valnull})
		 * @return počet zapísaných (exportovaných) tvarov alebo {@code num-1}
		 *   ak bol pokus o zápis neúspešný
		 */
		public int zapíš(String meno, String titulok)
		{ return zapíš(meno, titulok, false); }

		/** <a class="alias"></a> Alias pre {@link #zapíš(String, String) zapíš}. */
		public int zapis(String meno, String titulok)
		{ return zapíš(meno, titulok, false); }

		/**
		 * Metóda exportuje tvary uložené vo vnútornom zásobníku tejto
		 * inštancie do formátu SVG.
		 * 
		 * <P>Ďalšie podrobnosti si prečítajte v opise metódy
		 * {@link #zapíš(String, String, boolean)
		 * zapíš(meno, titulok, prepísať)}.
		 * 
		 * <P>Táto metóda sa správa tak, ako keby bola uvedená metóda volaná
		 * s nasledujúcimi hondotami argumentov: {@link #zapíš(String,
		 * String, boolean) zapíš}{@code (meno, }{@code valnull}{@code
		 * , }{@code valfalse}{@code )}.
		 * 
		 * @param meno názov súboru, do ktorého majú byť zapísané tvary vo
		 *   formáte SVG
		 * @return počet zapísaných (exportovaných) tvarov alebo {@code num-1}
		 *   ak bol pokus o zápis neúspešný
		 */
		public int zapíš(String meno)
		{ return zapíš(meno, null, false); }

		/** <a class="alias"></a> Alias pre {@link #zapíš(String) zapíš}. */
		public int zapis(String meno)
		{ return zapíš(meno, null, false); }


		// Vnútorný prúd na čítanie XML údajov
		private XMLStreamReader čítanie = null;

		// Vnútorné počítadlo nájdených a pridaných tvarov (počas
		// spracovania SVG údajov; napríklad zo vstupného reťazca
		// alebo zo súboru)
		private int početPridanýchTvarov = 0;

		// Zoznam atribútov aktuálneho elementu
		private final Atribúty atribúty = new Atribúty();

		// Spracuje aktuálny element ako obdĺžnik a vytvorí a pridá
		// prislúchajúci tvar do vnútorného zoznamu tvarov
		private void spracujObdĺžnik()
		{
			double x, y, rx, ry, width, height;
			++početPridanýchTvarov;

			if (atribúty.containsKey("x"))
				x = reťazecNaČíslo(atribúty.get("x"));
			else
				x = 0.0;

			if (atribúty.containsKey("y"))
				y = reťazecNaČíslo(atribúty.get("y"));
			else
				y = 0.0;

			if (atribúty.containsKey("width"))
				width = reťazecNaČíslo(atribúty.get("width"));
			else
				width = 0.0;

			if (atribúty.containsKey("height"))
				height = reťazecNaČíslo(atribúty.get("height"));
			else
				height = 0.0;

			if (atribúty.containsKey("rx") && atribúty.containsKey("ry"))
			{
				rx = reťazecNaČíslo(atribúty.get("rx"));
				ry = reťazecNaČíslo(atribúty.get("ry"));
				tvary.add(new Tvar(new RoundRectangle2D.Double(
					x, y, width, height, 2.0 * rx, 2.0 * ry), atribúty));
			}
			else if (atribúty.containsKey("rx"))
			{
				rx = ry = reťazecNaČíslo(atribúty.get("rx"));
				tvary.add(new Tvar(new RoundRectangle2D.Double(
					x, y, width, height, 2.0 * rx, 2.0 * ry), atribúty));
			}
			else if (atribúty.containsKey("ry"))
			{
				rx = ry = reťazecNaČíslo(atribúty.get("ry"));
				tvary.add(new Tvar(new RoundRectangle2D.Double(
					x, y, width, height, 2.0 * rx, 2.0 * ry), atribúty));
			}
			else
			{
				tvary.add(new Tvar(new Rectangle2D.
					Double(x, y, width, height), atribúty));
			}
		}

		// Spracuje aktuálny element ako kružnicu a vytvorí a pridá
		// prislúchajúci tvar do vnútorného zoznamu tvarov
		private void spracujKružnicu()
		{
			double cx, cy, r;
			++početPridanýchTvarov;

			if (atribúty.containsKey("cx"))
				cx = reťazecNaČíslo(atribúty.get("cx"));
			else
				cx = 0.0;

			if (atribúty.containsKey("cy"))
				cy = reťazecNaČíslo(atribúty.get("cy"));
			else
				cy = 0.0;

			if (atribúty.containsKey("r"))
				r = reťazecNaČíslo(atribúty.get("r"));
			else
				r = 0.0;

			tvary.add(new Tvar(new Ellipse2D.Double(
				cx - r, cy - r, r * 2, r * 2), atribúty));
		}

		// Spracuje aktuálny element ako elipsu a vytvorí a pridá
		// prislúchajúci tvar do vnútorného zoznamu tvarov
		private void spracujElipsu()
		{
			double cx, cy, rx, ry;
			++početPridanýchTvarov;

			if (atribúty.containsKey("cx"))
				cx = reťazecNaČíslo(atribúty.get("cx"));
			else
				cx = 0.0;

			if (atribúty.containsKey("cy"))
				cy = reťazecNaČíslo(atribúty.get("cy"));
			else
				cy = 0.0;

			if (atribúty.containsKey("rx"))
				rx = reťazecNaČíslo(atribúty.get("rx"));
			else
				rx = 0.0;

			if (atribúty.containsKey("ry"))
				ry = reťazecNaČíslo(atribúty.get("ry"));
			else
				ry = 0.0;

			tvary.add(new Tvar(new Ellipse2D.Double(
				cx - rx, cy - ry, rx * 2, ry * 2), atribúty));
		}

		// Spracuje aktuálny element ako úsečku a vytvorí a pridá
		// prislúchajúci tvar do vnútorného zoznamu tvarov
		private void spracujÚsečku()
		{
			double x1, y1, x2, y2;
			++početPridanýchTvarov;

			if (atribúty.containsKey("x1"))
				x1 = reťazecNaČíslo(atribúty.get("x1"));
			else
				x1 = 0.0;

			if (atribúty.containsKey("y1"))
				y1 = reťazecNaČíslo(atribúty.get("y1"));
			else
				y1 = 0.0;

			if (atribúty.containsKey("x2"))
				x2 = reťazecNaČíslo(atribúty.get("x2"));
			else
				x2 = 0.0;

			if (atribúty.containsKey("y2"))
				y2 = reťazecNaČíslo(atribúty.get("y2"));
			else
				y2 = 0.0;

			tvary.add(new Tvar(new Line2D.Double(x1, y1, x2, y2), atribúty));
		}

		// Atribúty pomáhajúce pri spracovaní „zložených“ parametrov tvarov –
		// „points“ pri polygónoch a „d“ pri ceste.

		// Trieda na spracovanie hodnoty zvoleného atribútu – v podstate
		// funguje podobne ako prúd znakov
		private class ÚdajeTvaru
		{
			private char údaje[];
			private int poloha;

			// Predvolený konštruktor
			public ÚdajeTvaru()
			{
				údaje = null;
				poloha = -1;
			}

			// Konštruktor, ktorý vykoná rovnakú akciu ako metóda reset
			public ÚdajeTvaru(String novéÚdaje)
			{
				údaje = novéÚdaje.toCharArray();
				poloha = 0;
			}

			// Inicializuje inštanciu novou sériou znakov
			public void reset(String novéÚdaje)
			{
				údaje = novéÚdaje.toCharArray();
				poloha = 0;
			}

			// Vráti aktuálny znak (nekontroluje, či už bola vykonaná
			// inicializácia – spolieha sa na to, že áno)
			public char znak()
			{
				return údaje[poloha];
			}

			// Testuje, či je znak číslo alebo časť číselného literálu
			public boolean jeČíslo()
			{
				if (jeKoniec()) return false;
				char znak = údaje[poloha];
				return '-' == znak || '+' == znak || '.' == znak ||
					'e' == znak || 'E' == znak || Character.isDigit(znak);
			}

			// Testuje, či je znak písmeno
			public boolean jePísmeno()
			{
				if (jeKoniec()) return false;
				char znak = údaje[poloha];
				return Character.isLetter(znak);
			}

			// Testuje, či je znak riadiace písmeno
			public boolean jeRiadiacePísmeno()
			{
				preskočOddeľovače();
				if (jeKoniec()) return false;
				char znak = údaje[poloha];
				return 'e' != znak && 'E' != znak && Character.isLetter(znak);
			}

			// Testuje, či je znak časť číselného iterálu alebo písmeno
			public boolean jeZnakÚdajov()
			{
				if (jeKoniec()) return false;
				char znak = údaje[poloha];
				return '-' == znak || '+' == znak || '.' == znak ||
					Character.isLetterOrDigit(znak);
			}

			// Testuje, či znak nie je časť číselného iterálu ani písmeno
			public boolean jeOddeľovač()
			{
				if (jeKoniec()) return false;
				char znak = údaje[poloha];
				return '-' != znak && '+' != znak && '.' != znak &&
					!Character.isLetterOrDigit(znak);
			}

			// Prejde na nasledujúci znak, ak jestvuje
			public void ďalej()
			{
				if (poloha < údaje.length) ++poloha;
			}

			// Overí, či bol dosiahnutý koniec série znakov
			public boolean jeKoniec()
			{
				return null == údaje || poloha >= údaje.length;
			}

			// Overí, či ešte nebol dosiahnutý koniec série znakov (to jest,
			// či sú ešte nejaké znaky v zásobníku)
			public boolean nieJeKoniec()
			{
				return null != údaje && poloha < údaje.length;
			}

			// Preskočí všetky znaky, ktoré považuje za oddeľovače číselných
			// hodnôt
			public void preskočOddeľovače()
			{
				while (jeOddeľovač()) ďalej();
			}

			// Rozpozná a vráti ďalšie číslo v prúde znakov (ak jestvuje)
			// alebo vráti NaN
			public double ďalšieČíslo()
			{
				while (!jeČíslo()) ďalej();

				if (nieJeKoniec())
				{
					int začiatok = poloha;
					while (jeZnakÚdajov()) ďalej();
					int dĺžka = poloha - začiatok;

					if (0 != dĺžka) try
					{
						return reťazecNaČíslo(new String(
							údaje, začiatok, dĺžka));
					}
					catch (Exception e) { }
				}

				return Double.NaN;
			}
		}

		// Inštancia triedy simulujúcej prúd znakov vytvorený z hodnoty
		// atribútu s pridanou hodnotou rozpoznávania oddeľovačov, riadiacich
		// znakov a číselných hodnôt
		private ÚdajeTvaru údajeTvaru = new ÚdajeTvaru();

		// Spracuje aktuálny element ako lomenú čiaru alebo polygón (čo je
		// vo vnímaní SVG uzavretá lomená čiara) a vytvorí a pridá
		// prislúchajúci tvar do vnútorného zoznamu tvarov
		private void spracujLomenúCestu(boolean polygón)
		{
			if (atribúty.containsKey("points"))
			{
				++početPridanýchTvarov;
				údajeTvaru.reset(atribúty.get("points"));

				Path2D.Double cesta = new Path2D.Double();
				boolean prvý = true;

				while (údajeTvaru.nieJeKoniec())
				{
					double
						xx = údajeTvaru.ďalšieČíslo(),
						yy = údajeTvaru.ďalšieČíslo();

					if (Double.isNaN(xx) || Double.isNaN(yy)) break;

					if (prvý)
					{
						cesta.moveTo(xx, yy);
						prvý = false;
					}
					else cesta.lineTo(xx, yy);
				}

				if (polygón) cesta.closePath();
				tvary.add(new Tvar(cesta, atribúty));
			}
		}

		// Trieda slúžiaca na spracovanie údajov cesty SVG – rozpoznáva
		// a pracuje s posunom, úsečkami (priamymi čiarami), krivkami
		// a pootočením podľa špecifikácie SVG 2.0; používa inštanciu
		// údajeTvaru definovanú vyššie
		private class SpracovanieCesty
		{
			public char režim = 'm';
			public char znak = 0;
			public double odchýlka = 0.0;
			public double lOdchýlka = 0.0;
			public boolean relatívne = false;
			public boolean skrátene = false;
			public boolean otáčaj = false;

			public final double p[] = new double[8];
			public final double lp[] = new double[6];
			public int n = 0, ln = 0;

			public Path2D.Double cesta;
			private double xx, yy;

			// Inicializuje inštanciu novou hodnotou atribútu „d“
			public void reset(String novéÚdaje)
			{
				režim = 'm'; znak = 0;
				odchýlka = lOdchýlka = 0.0;
				relatívne = skrátene = false;
				otáčaj = false;

				for (int i = p.length - 1; i >= 0; --i) p[i] = 0.0;
				for (int i = lp.length - 1; i >= 0; --i) lp[i] = 0.0;
				n = ln = 0;

				cesta = new Path2D.Double();
				údajeTvaru.reset(novéÚdaje);
			}

			// Zistí, či ďalším znakom na spracovanie je písmeno
			public boolean ďalšieJeRiadiacePísmeno()
			{
				if (údajeTvaru.jeRiadiacePísmeno())
				{
					znak = údajeTvaru.znak();
					údajeTvaru.ďalej();
					return true;
				}

				return false;
			}

			// Zistí, či aktuálnym znakom je platný riadiaci znak
			public boolean jeRiadiaciZnak()
			{
				return
					'A' == znak || 'a' == znak || 'B' == znak || 'b' == znak ||
					'C' == znak || 'c' == znak || 'H' == znak || 'h' == znak ||
					'L' == znak || 'l' == znak || 'M' == znak || 'm' == znak ||
					'Q' == znak || 'q' == znak || 'S' == znak || 's' == znak ||
					'T' == znak || 't' == znak || 'V' == znak || 'v' == znak ||
					'Z' == znak || 'z' == znak;
			}

			// Pokúsi sa pridať nový segment cesty – ak sa podarilo nazbierať
			// dostatok údajov
			public void pridajSegment()
			{
				switch (režim)
				{
				case 'm': pridajPosunutie(); break;
				case 'l': pridajČiaru(); break;
				case 'h': pridajHorizontálnuČiaru(); break;
				case 'v': pridajVertikálnuČiaru(); break;
				case 'c': pridajBézierovuKrivku(); break;
				case 's': pridajBézierovuKrivku(); break;
				case 'q': pridajKvadratickúKrivku(); break;
				case 't': pridajKvadratickúKrivku(); break;
				case 'a': pridajOblúk(); break;
				case 'b': spracujOdchýlku(); break;
				}
			}

			// Ak chýba, tak pridá posledný bod krivky totožný so začiatočným
			// bodom aktuálneho segmentu cesty – používa sa pri uzavretí
			// segmentu
			public void pridajPoslednýBodKrivky()
			{
				if (('c' == režim && 4 == n) ||
					('s' == režim && 2 == n) ||
					('q' == režim && 2 == n) ||
					('t' == režim && 0 == n) ||
					('a' == režim && 5 == n))
				{
					double xx, yy, x0, y0;
					x0 = lp[4];
					y0 = lp[5];

					if (relatívne)
					{
						if (ln >= 1)
						{
							x0 -= lp[0];
							y0 -= lp[1];
						}

						if (otáčaj)
						{
							double uhol = Math.toRadians(-odchýlka);
							double sinUhol = Math.sin(uhol);
							double cosUhol = Math.cos(uhol);
							xx = x0 * cosUhol - y0 * sinUhol;
							yy = x0 * sinUhol + y0 * cosUhol;
						}
						else
						{
							xx = x0;
							yy = y0;
						}
					}
					else
					{
						xx = x0;
						yy = y0;
					}

					p[n++] = xx;
					p[n++] = yy;
				}
			}

			// Zmení režim vytvárania cesty podľa aktuálneho riadiaceho znaku
			public void zmeňRežim()
			{
				if (jeRiadiaciZnak())
				{
					if ('z' == znak || 'Z' == znak) pridajPoslednýBodKrivky();
					pridajSegment();

					relatívne = Character.isLowerCase(znak);
					režim = Character.toLowerCase(znak);
					skrátene = 's' == režim || 't' == režim;
					n = 0;

					if ('z' == režim)
					{
						režim = 'm';
						cesta.closePath();
					}
					else if ('b' == režim)
					{
						odchýlka = lOdchýlka;
						otáčaj = true;
					}
				}
			}

			// Spracuje zadané súradnice podľa aktuálneho režimu, uloží ich
			// do požadovaného registra bodu (platné sú hodnoty 1 alebo 2)
			// a výsledok uchová vo vnútorných premenných xx, yy.
			private void dajSúradnice(double x0, double y0, int uložBod)
			{
				if (relatívne)
				{
					if (otáčaj)
					{
						double uhol = Math.toRadians(odchýlka);
						double sinUhol = Math.sin(uhol);
						double cosUhol = Math.cos(uhol);
						xx = x0 * cosUhol - y0 * sinUhol;
						// xx = x0 * cosUhol + y0 * sinUhol;
						// ^^ Takto to odporúčali v draft dokumentácii k SVG 2.
						//    Stratil som deň hľadaním chyby, ale moja vina,
						//    lebo rovnice rotácie poznám, ale nechal som sa
						//    nimi pomýliť – myslel som si, že to nemôžu mať
						//    zle a že to v ich prípade tak má byť alebo čo…
						yy = x0 * sinUhol + y0 * cosUhol;
					}
					else
					{
						xx = x0;
						yy = y0;
					}

					if (ln >= 1)
					{
						xx += lp[0];
						yy += lp[1];
					}
				}
				else
				{
					xx = x0;
					yy = y0;
				}

				if (1 == uložBod || -1 == uložBod)
				{
					if (ln >= 1)
					{
						double Δx = xx - lp[0];
						double Δy = yy - lp[1];

						if (Δx != 0 || Δy != 0)
						{
							lOdchýlka = dajUhol(Δx, Δy);
							if (otáčaj) odchýlka = lOdchýlka;
						}
					}

					if (1 == uložBod)
					{
						lp[0] = xx;
						lp[1] = yy;
					}
				}
				else if (2 == uložBod)
				{
					lp[2] = xx;
					lp[3] = yy;
				}

				if (ln < uložBod) ln = uložBod;
			}

			// Vypočíta smer z rozdielu súradníc – používa sa na nastavenie
			// aktuálneho pootočenia (tzv. „bearingu“)
			private double dajUhol(double Δx, double Δy)
			{
				if (Δx == 0 && Δy == 0) return 360;
				double α = Math.toDegrees(Math.atan2(Δy, Δx));
				if (α < 0) return 360 + α;
				return α;
			}

			// Pridá do cesty príkaz posunutia (moveTo)
			public void pridajPosunutie()
			{
				if (n >= 2)
				{
					dajSúradnice(p[0], p[1], 1);
					lp[4] = xx; lp[5] = yy;
					odchýlka = lOdchýlka = 0.0;

					cesta.moveTo(xx, yy);
					režim = 'l';
					n = 0;
				}
			}

			// Pridá do cesty segmet podľa príkazu kreslenia rovnej
			// čiary/úsečky (lineTo) – berie do úvahy rôzne aktuálne
			// nastavenia (relatívne súradnice, pootočenie)
			public void pridajČiaru()
			{
				if (n >= 2)
				{
					dajSúradnice(p[0], p[1], 1);
					cesta.lineTo(xx, yy);
					n = 0;
				}
			}

			// Pridá do cesty segmet podľa príkazu kreslenia horizontálnej
			// úsečky (pozri aj pridajČiaru)
			public void pridajHorizontálnuČiaru()
			{
				if (n >= 1)
				{
					dajSúradnice(p[0], 0, 1);
					cesta.lineTo(xx, yy);
					n = 0;
				}
			}

			// Pridá do cesty segmet podľa príkazu kreslenia vertikálnej
			// úsečky (pozri aj pridajČiaru)
			public void pridajVertikálnuČiaru()
			{
				if (n >= 1)
				{
					dajSúradnice(0, p[0], 1);
					cesta.lineTo(xx, yy);
					n = 0;
				}
			}

			// Pridá do cesty segmet podľa príkazu kreslenia bézierovej
			// krivky
			public void pridajBézierovuKrivku() // c a s
			{
				if (skrátene && n >= 4)
				{
					double x1, y1;

					if (ln >= 2)
					{
						x1 = 2 * lp[0] - lp[2];
						y1 = 2 * lp[1] - lp[3];
					}
					else if (ln >= 1)
					{
						x1 = 2 * lp[0];
						y1 = 2 * lp[1];
					}
					else x1 = y1 = 0.0;

					dajSúradnice(p[0], p[1], 2);
					double x2 = xx, y2 = yy;

					dajSúradnice(p[2], p[3], 1);
					double x3 = xx, y3 = yy;

					cesta.curveTo(x1, y1, x2, y2, x3, y3);
					n = 0;
				}
				else if (n >= 6)
				{
					dajSúradnice(p[0], p[1], 0);
					double x1 = xx, y1 = yy;

					dajSúradnice(p[2], p[3], 2);
					double x2 = xx, y2 = yy;

					dajSúradnice(p[4], p[5], 1);
					double x3 = xx, y3 = yy;

					cesta.curveTo(x1, y1, x2, y2, x3, y3);
					n = 0;
				}
			}

			// Pridá do cesty segmet podľa príkazu kreslenia kvadratickej
			// krivky
			public void pridajKvadratickúKrivku() // q a t
			{
				if (skrátene && n >= 2)
				{
					double x1, y1;

					if (ln >= 2)
					{
						x1 = 2 * lp[0] - lp[2];
						y1 = 2 * lp[1] - lp[3];
					}
					else if (ln >= 1)
					{
						x1 = 2 * lp[0];
						y1 = 2 * lp[1];
					}
					else x1 = y1 = 0.0;

					dajSúradnice(p[0], p[1], 2);
					double x2 = xx, y2 = yy;

					cesta.quadTo(x1, y1, x2, y2);
					n = 0;
				}
				else if (n >= 4)
				{
					dajSúradnice(p[0], p[1], 2);
					double x1 = xx, y1 = yy;

					dajSúradnice(p[2], p[3], 1);
					double x2 = xx, y2 = yy;

					cesta.quadTo(x1, y1, x2, y2);
					n = 0;
				}
			}

			// Pridá do cesty segmet podľa príkazu kreslenia elipsového oblúka
			public void pridajOblúk()
			{
				if (n >= 7)
				{
					n = 0;

					if (0 == p[0] || 0 == p[1])
					{
						// Pôvodne mal byť tento stav považovaný za chybu,
						// ale neskôr som sa v štandarde dočítal, že tento
						// prípad má byť riešený nakreslením úsečky do
						// cieľového bodu, takže nasledujúca výnimka bola aj
						// s unikátnym jazykovým identifikátorom zrušená…
						//
						// throw new GRobotException(
						// 	"Oblúk SVG cesty nemá riešenie! (" +
						// 	"Jeden z rozmerov elipsy je nulový." +
						// 	")", "svgPathArcUnsolvable",
						// 	"Jeden z rozmerov elipsy je nulový.");

						dajSúradnice(p[5], p[6], 1);
						cesta.lineTo(xx, yy);
					}
					else
					{
						double x1, y1;

						if (ln >= 1)
						{
							x1 = lp[0];
							y1 = lp[1];
						}
						else x1 = y1 = 0.0;

						dajSúradnice(p[5], p[6], 1);
						double x2 = xx, y2 = yy;

						double Δx = x2 - x1;
						double Δy = y2 - y1;

						if (0 != Δx || 0 != Δy)
						{
							double a = Math.abs(p[0]);
							double b = Math.abs(p[1]);
							double ϕ = p[2];

							boolean veľký = p[3] != 0.0;
							boolean klenutý = p[4] != 0.0;

							double radϕ = Math.toRadians(ϕ);
							double cosϕ = Math.cos(radϕ);
							double sinϕ = Math.sin(radϕ);

							double Δx_ = -Δx / 2;
							double Δy_ = -Δy / 2;

							double Σx_ = (x1 + x2) / 2;
							double Σy_ = (y1 + y2) / 2;

							double x1_ = Δx_ * cosϕ + Δy_ * sinϕ;
							double y1_ = Δy_ * cosϕ - Δx_ * sinϕ;

							double Λ = ((x1_ * x1_) / (a * a)) +
								((y1_ * y1_) / (b * b));

							if (Λ > 1.0)
							{
								Λ = Math.sqrt(Λ);
								a = a * Λ;
								b = b * Λ;

								Λ = ((x1_ * x1_) / (a * a)) +
									((y1_ * y1_) / (b * b));
							}

							double ay = a * y1_;
							double bx = b * x1_;

							double ay2 = ay * ay;
							double bx2 = bx * bx;

							double SQ = Math.sqrt(
								(a * a * b * b - ay2 - bx2) / (ay2 + bx2));
							if (!Double.isFinite(SQ)) SQ = 0.0;
							if (veľký == klenutý) SQ = -SQ;

							double x0_ = SQ * ay / b;
							double y0_ = -SQ * bx / a;

							double x0 = x0_ * cosϕ - y0_ * sinϕ + Σx_;
							double y0 = x0_ * sinϕ + y0_ * cosϕ + Σy_;

							double Φx1 = (x1_ - x0_) / a;
							double Φy1 = (y1_ - y0_) / b;
							double Φx2 = (-x1_ - x0_) / a;
							double Φy2 = (-y1_ - y0_) / b;

							double D = Φx1 * Φx1 + Φy1 * Φy1;

							double t1 = Math.toDegrees(
								Math.acos(Φx1 / Math.sqrt(D)));
							if (Φy1 < 0) t1 = -t1;

							double Δt = Math.toDegrees(Math.acos(
								(Φx1 * Φx2 + Φy1 * Φy2) /
								Math.sqrt(D * (Φx2 * Φx2 + Φy2 * Φy2))));
							if (Φx1 * Φy2 - Φy1 * Φx2 < 0) Δt = -Δt;

							if (!klenutý && Δt > 0) Δt -= 360;
							else if (klenutý && Δt < 0) Δt += 360;

							t1 = -t1;
							Δt = -Δt;

							Shape oblúk = AffineTransform.getRotateInstance(
									Math.toRadians(ϕ), x0, y0).
									createTransformedShape(new Arc2D.Double(
										x0 - a, y0 - b, 2 * a, 2 * b, t1, Δt,
										Arc2D.OPEN));

							cesta.append(oblúk, true);

							double opt = (t1 + Δt) % 360;
							if (opt < 0) opt += 360;

							lOdchýlka = Math.toDegrees(Math.atan(b /
								(a * (Math.tan(Math.toRadians(t1 + Δt)))))) + ϕ;

							if (opt > 180) lOdchýlka += 180;
							if (Δt >= 0) lOdchýlka += 180;

							if (otáčaj) odchýlka = lOdchýlka;
						}
					}
				}
			}

			// Spracuje príkaz zmeny aktuálneho pootočenia (tzv. „bearingu“)
			public void spracujOdchýlku()
			{
				if (n >= 1)
				{
					if (relatívne)
						odchýlka += p[0];
					else
						odchýlka = p[0];

					n = 0;
				}
			}

			// Spracuje ďalšie číslo v zásobníku – pridá ho do iného zásobníka
			// a po nazbieraní dostatočného objemu údajov pre aktuálny príkaz
			// pridá do aktuálnej cesty ďalší segment…
			public void spracujČíslo()
			{
				double číslo = údajeTvaru.ďalšieČíslo();

				if (n < p.length)
				{
					if (Double.isFinite(číslo)) p[n++] = číslo;
					pridajSegment();
				}
				else
				{
					System.err.println("Import SVG cesty " +
						"pravdepodobne prešiel (chybne) do " +
						"neznámeho režimu. Jeden alebo " +
						"viacero prvkov definície nebolo " +
						"možné korektne spracovať…");
				}
			}

			// Spracuje (všetky) údaje cesty…
			public void spracuj()
			{
				while (údajeTvaru.nieJeKoniec())
				{
					if (ďalšieJeRiadiacePísmeno())
						zmeňRežim(); else spracujČíslo();
				}
			}
		}

		// Inštancia triedy slúžiacej na spracovanie cesty (definovanej vyššie)
		private SpracovanieCesty spracovanieCesty = new SpracovanieCesty();

		// Spracuje aktuálny element ako cestu a vytvorí a pridá
		// prislúchajúci tvar do vnútorného zoznamu tvarov
		private void spracujCestu()
		{
			if (atribúty.containsKey("d"))
			{
				++početPridanýchTvarov;
				spracovanieCesty.reset(atribúty.get("d"));
				spracovanieCesty.spracuj();
				tvary.add(new Tvar(spracovanieCesty.cesta, atribúty));
			}
		}

		// Do tohto zoznamu si metóda spracujLokálnyŠtýl uloží zoznam
		// CSS definícií, ktoré premení na XML/SVG atribúty.
		private static final TreeSet<String> prepíšZoŠtýlu =
			new TreeSet<String>();

		// Do tohto zoznamu si metóda spracujLokálnyŠtýl uloží zoznam
		// CSS definícií, ktoré pripojí k jestvujúcim XML/SVG atribútom.
		private static final TreeSet<String> pripojZoŠtýlu =
			new TreeSet<String>();

		// Spracuje atribút ‚style‘ tak, že vybranými CSS definíciami prepíše
		// jestvujúce XML atribúty a vybrané CSS definície pripojí
		// k jestvujúcim XML atribútom aktuálneho SVG elementu, pričom
		// v obidvoch prípadoch ak takéto atribúty nejestvujú, tak ich nanovo
		// definuje/vytvorí (a zvyšok atribútu ‚style‘ ignoruje).
		private void spracujLokálnyŠtýl()
		{
			String style = atribúty.get("style");

			if (prepíšZoŠtýlu.isEmpty())
			{
				prepíšZoŠtýlu.add("d");
				prepíšZoŠtýlu.add("x");
				prepíšZoŠtýlu.add("y");
				prepíšZoŠtýlu.add("r");
				prepíšZoŠtýlu.add("cx");
				prepíšZoŠtýlu.add("cy");
				prepíšZoŠtýlu.add("rx");
				prepíšZoŠtýlu.add("ry");
				prepíšZoŠtýlu.add("x1");
				prepíšZoŠtýlu.add("y1");
				prepíšZoŠtýlu.add("x2");
				prepíšZoŠtýlu.add("y2");
				prepíšZoŠtýlu.add("width");
				prepíšZoŠtýlu.add("height");
				prepíšZoŠtýlu.add("points");
				prepíšZoŠtýlu.add("fill");
				prepíšZoŠtýlu.add("stroke");
				prepíšZoŠtýlu.add("fill-opacity");
				prepíšZoŠtýlu.add("stroke-opacity");
				prepíšZoŠtýlu.add("stroke-width");
			}

			if (pripojZoŠtýlu.isEmpty())
			{
				pripojZoŠtýlu.add("transform");
				// pripojZoŠtýlu.add("???");
			}

			if (null != style)
			{
				int index1 = 0, index2, index3, length = style.length();
				do
				{
					index2 = style.indexOf(";", index1);
					if (-1 == index2) index2 = length;
					String definícia = style.substring(index1, index2);

					index3 = definícia.indexOf(":");
					if (-1 != index3)
					{
						String atribút = definícia.substring(0, index3).trim();
						String hodnota = definícia.substring(index3 + 1).trim();

						if (prepíšZoŠtýlu.contains(atribút))
							atribúty.put(atribút, hodnota);

						if (pripojZoŠtýlu.contains(atribút))
						{
							String pôvodnáHodnota = atribúty.get(atribút);
							if (null == pôvodnáHodnota)
								atribúty.put(atribút, hodnota);
							else
								atribúty.put(atribút,
									pôvodnáHodnota.trim() + " " + hodnota);
						}
					}

					index1 = 1 + index2;
				}
				while (index2 < length);
				// atribúty.remove("style");
			}
		}

		// Súkromná metóda slúžiaca na rekurzívnu analýzu SVG údajov
		private void čítajSVG() throws XMLStreamException
		{
			zásobníkAtribútov.clear();

			while (čítanie.hasNext())
			{
				if (čítanie.isEndElement())
				{
					String prefix = čítanie.getPrefix();

					if (null == prefix || prefix.isEmpty())
					{
						String meno = čítanie.getLocalName();

						if ("svg".equals(meno)) return;
						if ("g".equals(meno)) zásobníkAtribútov.pop();
					}
				}
				else if (čítanie.isStartElement())
				{
					String prefix = čítanie.getPrefix();

					if (null == prefix || prefix.isEmpty())
					{
						String meno = čítanie.getLocalName();

						// Rekurzívne čítanie elementu svg
						if ("svg".equals(meno))
						{
							čítanie.next();
							čítajSVG();
						}
						else
						{
							// Čítanie ostatných elementov
							// (v rámci svg elementu)
							int počet = čítanie.getAttributeCount();

							if (0 != počet)
							{
								atribúty.clear();

								{
									Atribúty nadradenéAtribúty = null;
									if (!zásobníkAtribútov.isEmpty())
									{
										nadradenéAtribúty =
											zásobníkAtribútov.peek();
										atribúty.putAll(nadradenéAtribúty);
									}

									for (int i = 0; i < počet; ++i)
									{
										if (čítanie.isAttributeSpecified(i))
										{
											String atribút = čítanie.
												getAttributeLocalName(i);
											String hodnota = čítanie.
												getAttributeValue(i);

											if (null != nadradenéAtribúty &&
												atribút.equals("transform") &&
												nadradenéAtribúty.containsKey(
													atribút))
											{
												hodnota = nadradenéAtribúty.
													get(atribút) + " " + hodnota;
											}

											atribúty.put(atribút, hodnota);
										}
									}
								}

								spracujLokálnyŠtýl();

								if ("g".equals(meno))
								{
									Atribúty atr = new Atribúty();

									if (!zásobníkAtribútov.isEmpty())
									{
										Atribúty nadradenéAtribúty =
											zásobníkAtribútov.peek();

										if (nadradenéAtribúty.containsKey(
											"transform") &&
											atribúty.containsKey(
											"transform"))
										{
											String hodnota =
												nadradenéAtribúty.get(
													"transform") + " " +
												atribúty.get("transform");
											atribúty.put("transform", hodnota);
										}
										atr.putAll(nadradenéAtribúty);
										atr.putAll(atribúty);
									}
									else atr.putAll(atribúty);

									zásobníkAtribútov.push(atr);
								}
								else if ("rect".equals(meno))
									spracujObdĺžnik();
								else if ("circle".equals(meno))
									spracujKružnicu();
								else if ("ellipse".equals(meno))
									spracujElipsu();
								else if ("line".equals(meno))
									spracujÚsečku();
								else if ("polyline".equals(meno))
									spracujLomenúCestu(false);
								else if ("polygon".equals(meno))
									spracujLomenúCestu(true);
								else if ("path".equals(meno))
									spracujCestu();
							}
						}
					}
				}

				čítanie.next();
			}
		}


		/**
		 * Spracuje zadaný reťazec ako súčasť SVG definície a v prípade, že
		 * sú nájdené korektné XML/SVG údaje tvarov, pribudnú podľa nich do
		 * vnútorného zásobníka tejto inštancie ďalšie tvary. (Pozri aj
		 * metódy {@link #čítaj(String) čítaj(meno)}, {@link #pridaj(Shape,
		 * String[]) pridaj(tvar, atribúty)} a {@link #dajSVG(int)
		 * dajSVG(index)}.)
		 * 
		 * @param xmlSVG vstupné XML/SVG údaje
		 * @return počet tvarov, ktoré sa podarilo vo vstupných údajoch
		 *     rozpoznať alebo {@code num-1} ak analýza údajov zlyhá
		 * @throws GRobotException ak nastane chyba počas spracovania
		 *     vstupných údajov
		 */
		public int pridajSVG(String xmlSVG)
		{
			početPridanýchTvarov = -1;

			// „Otvorí“ zadaný reťazec ako prúd…
			try
			{
				if (null == xmlVstup) xmlVstup = XMLInputFactory.newFactory();
				čítanie = xmlVstup.createXMLStreamReader(
					new ByteArrayInputStream(("<svg>" + xmlSVG +
						"</svg>").getBytes("UTF-8")), "UTF-8");
			}
			catch (Exception e)
			{
				throw new GRobotException(
					"Chyba pri spracovaní SVG údajov.",
					"svgImportError", e);
			}


			try
			{
				početPridanýchTvarov = 0;

				while (čítanie.hasNext())
				{
					if (čítanie.isStartElement())
					{
						String prefix = čítanie.getPrefix();

						if (null == prefix || prefix.isEmpty())
						{
							// Začne čítanie elementu svg
							if ("svg".equals(čítanie.getLocalName()))
							{
								čítanie.next();
								čítajSVG();
							}
						}
					}

					čítanie.next();
				}
			}
			catch (Exception e)
			{
				throw new GRobotException(
					"Chyba pri spracovaní SVG údajov.",
					"svgImportError", e);
			}


			// Bezpečné zavretie prúdu
			try
			{
				if (null != čítanie) čítanie.close();
			}
			catch (Exception e)
			{
				throw new GRobotException(
					"Chyba pri spracovaní SVG údajov.",
					"svgImportError", e);
			}

			// Likvidácia dočasnej inštancie čítania prúdu
			čítanie = null;

			// Metóda má vrátiť počet rozpoznaných (a pridaných) tvarov:
			return početPridanýchTvarov;
		}


		/**
		 * Metóda postupne analyzuje XML údaje v zadanom SVG súbore ({@code
		 * meno}) a do vnútorného zásobníka uloží všetky tvary, ktoré v rámci
		 * analyzovaných údajov nájde a to bez ohľadu na ich umiestnenie vo
		 * vrstvách, skupinách alebo v rámci definícií takzvaných značiek
		 * (angl. marker) a podobne. Ak boli čítanie súboru a jeho analýza
		 * úspešné, tak metóda vráti počet spracovaných tvarov (ktoré pribudli
		 * do vnútorného zásobníka inštancie), inak vráti hodnotu {@code
		 * num-1}.
		 * 
		 * <P>Importované tvary sú spracúvané v predvolenom súradnicovom
		 * priestore Javy, v ktorom „nula“ (to jest počiatok súradnicovej
		 * sústavy) sa nachádza v ľavom hornom rohu plátna a y-ová súradnica
		 * stúpa smerom nadol. Tento súradnicový priestor je bežne používaný
		 * v oblasti počítačovej grafiky a používa ho aj formát SVG.
		 * 
		 * <P>Všetky tvary uložené vo vnútornom zásobníku a/alebo niektoré
		 * ich atribúty (súvisiace s ich vizuálnymi vlastnosťami) je možné
		 * získať metódami: {@link #daj(int) daj(index)},
		 * {@link #dajAtribút(int, String) dajAtribút(index, meno)},
		 * {@link #farbaVýplne(int) farbaVýplne(index)},
		 * {@link #farbaČiary(int) farbaČiary(index)},
		 * {@link #hrúbkaČiary(int) hrúbkaČiary(index)} atď.
		 * 
		 * @param meno názov súboru, z ktorého majú byť prečítané
		 *     (importované) SVG tvary
		 * @return počet prečítaných tvarov (z množiny podporovaných tvarov)
		 *     alebo {@code num-1} ak sa čítanie tvarov ani nemohlo začať
		 *     (napríklad preto, že súbor nejestvuje)
		 * @throws GRobotException ak nastane chyba počas spracovania súboru
		 */
		public int čítaj(String meno)
		{
			if (null == meno)
				throw new GRobotException(
					"Názov súboru nesmie byť zamlčaný.",
					"fileNameOmitted", null, new NullPointerException());

			početPridanýchTvarov = -1;

			FileNotFoundException notFound = null;
			boolean ešteRaz = true;

			// Skúsi otvoriť prúd z aktuálnej lokality
			// alebo z aktuálneho zoznamu ciest classpath:
			try
			{
				if (null == xmlVstup) xmlVstup = XMLInputFactory.newFactory();
				čítanie = xmlVstup.createXMLStreamReader(
					dajVstupnýPrúdSúboru(meno), "UTF-8");
				ešteRaz = false;
			}
			catch (FileNotFoundException e)
			{
				notFound = e;
			}
			catch (Exception e)
			{
				throw new GRobotException(
					"Chyba pri spracovaní SVG súboru „" +
					meno + "“.", "svgReadError", e);
			}


			if (ešteRaz)
			{
				// Posledný pokus – otvoriť súbor ako zdroj:
				try
				{
					čítanie = xmlVstup.createXMLStreamReader(
						dajVstupnýPrúdZdroja(meno), "UTF-8");
				}
				catch (Exception e)
				{
					// ‼ // Tento prístup bol vhodný v triede Súbor,
					// ‼ // dokumentácia tejto metódy však oznamuje
					// ‼ // iný prístup…
					// ‼ throw new GRobotException(
					// ‼ 	"Chyba pri spracovaní SVG súboru „" +
					// ‼ 	meno + "“.", "svgReadError", e);
					return početPridanýchTvarov;
				}
			}


			try
			{
				početPridanýchTvarov = 0;

				while (čítanie.hasNext())
				{
					if (čítanie.isStartElement())
					{
						String prefix = čítanie.getPrefix();

						if (null == prefix || prefix.isEmpty())
						{
							// Začne čítanie elementu svg
							if ("svg".equals(čítanie.getLocalName()))
							{
								čítanie.next();
								čítajSVG();
							}
						}
					}

					čítanie.next();
				}
			}
			catch (Exception e)
			{
				throw new GRobotException(
					"Chyba pri spracovaní SVG súboru „" +
					meno + "“.", "svgReadError", e);
			}


			// Bezpečné zavretie prúdu
			try
			{
				if (null != čítanie) čítanie.close();
			}
			catch (Exception e)
			{
				throw new GRobotException(
					"Chyba pri spracovaní SVG súboru „" +
					meno + "“.", "svgReadError", e);
			}

			// Likvidácia dočasnej inštancie čítania prúdu
			čítanie = null;

			// Metóda má vrátiť počet „prečítaných“ (pridaných) tvarov:
			return početPridanýchTvarov;
		}

		/** <a class="alias"></a> Alias pre {@link #čítaj(String) čítaj}. */
		public int citaj(String meno) { return čítaj(meno); }
	}

	/**
	 * Inštancia triedy {@link SVGPodpora SVGPodpora} zastrešujúcej podporu
	 * importu a exportu vektorových tvarov vo formáte SVG.
	 */
	public final static SVGPodpora svgPodpora = new SVGPodpora();
}
